Option Explicit On
Imports SySimFWK, PredefinedControls

Namespace Collection_of_signal_events.Internal_subsystem_events
  <Serializable()> Class Cd_Close_PDI : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public RequestedCloseReason As Simulation_Package.CloseReason
    Public Const Id As Integer = 81
    Public Sub New(ByVal RequestedCloseReason As Simulation_Package.CloseReason)
      MyBase.New(Id, Nothing)
      Me.RequestedCloseReason = RequestedCloseReason
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "679a6a80-bf6c-4128-8040-66391633d8d1"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Cd_Close_PDI"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Close_PDI = POrigin
        If RequestedCloseReason <> Origin.RequestedCloseReason Then
          RequestedCloseReason = Origin.RequestedCloseReason
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(RequestedCloseReason, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Initialisation_Request : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 82
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "ba56b09f-438d-4fc1-ad6d-db3c482e50e6"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Cd_Initialisation_Request"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Initialisation_Request = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_PDI_Version_Check : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public PDI_Version As String
    Public Const Id As Integer = 83
    Public Sub New(ByVal PDI_Version As String)
      MyBase.New(Id, Nothing)
      Me.PDI_Version = PDI_Version
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "9d0b6912-ce1a-4efb-9390-f84b4fd1ce83"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Cd_PDI_Version_Check"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_PDI_Version_Check = POrigin
        If PDI_Version <> Origin.PDI_Version Then
          PDI_Version = Origin.PDI_Version
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(PDI_Version, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Release_PDI_for_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 84
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "7e00eff7-aecc-46c7-8578-8436a6d6dbdb"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Cd_Release_PDI_for_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Release_PDI_for_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Content_Telegram_Error : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 85
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "c90aa269-155e-4246-8fea-40ddb54ef496"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Content Telegram Error"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.OpaqueEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Content_Telegram_Error = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Data_Update_Finished : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 86
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "dd962973-cc90-400f-9edc-7ceefed78120"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Data_Update_Finished"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Data_Update_Finished = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Data_Update_Stop : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 87
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "76761c6f-e7a3-49a0-9f26-bd3163f578f7"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Data_Update_Stop"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Data_Update_Stop = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Disconnection_requested : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 88
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "20be1435-e633-4871-9c3e-f0c03ccad159"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Disconnection requested"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.OpaqueEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Disconnection_requested = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class EST_Ready_For_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 89
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "a5077d3a-c33b-4edc-9a47-6dba0a628c1d"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.EST_Ready_For_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As EST_Ready_For_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Formal_Telegram_Error_Detected : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 90
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "2f6d2e4d-f880-4e85-8f4b-f88a941895cd"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Formal Telegram Error Detected"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.OpaqueEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Formal_Telegram_Error_Detected = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class MDM_Commanded_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 91
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "b39ed89f-6e22-453c-af7f-99c05a8e0f3d"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.MDM_Commanded_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As MDM_Commanded_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class MDM_Triggered_Reset : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 92
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "b51552ea-b226-40f2-849a-33886fcd4d94"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.MDM_Triggered_Reset"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As MDM_Triggered_Reset = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Initialisation_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 93
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "2bb5640a-ca59-4836-a584-03f6392104c1"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_Initialisation_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Initialisation_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_PDI_Available : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 94
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "f7d3ddcd-b556-4619-ab43-ccf8f025f697"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_PDI_Available"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_PDI_Available = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_PDI_Not_Available : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 95
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "e527c1fd-9336-45c6-974e-b341e1937039"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_PDI_Not_Available"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_PDI_Not_Available = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_PDI_Version_Check : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Result As String
    Public ChecksumData As String
    Public PDIVersion As String
    Public Const Id As Integer = 96
    Public Sub New(ByVal Result As String, ByVal ChecksumData As String, ByVal PDIVersion As String)
      MyBase.New(Id, Nothing)
      Me.Result = Result
      Me.ChecksumData = ChecksumData
      Me.PDIVersion = PDIVersion
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "10c840e9-6d03-4c2f-96fb-53a45c06aeec"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_PDI_Version_Check"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_PDI_Version_Check = POrigin
        If Result <> Origin.Result Then
          Result = Origin.Result
          Ret = True
        End If
        If ChecksumData <> Origin.ChecksumData Then
          ChecksumData = Origin.ChecksumData
          Ret = True
        End If
        If PDIVersion <> Origin.PDIVersion Then
          PDIVersion = Origin.PDIVersion
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(Result, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ChecksumData, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(PDIVersion, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Reset_PDI : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedResetReason As Simulation_Package.ResetReason
    Public Const Id As Integer = 97
    Public Sub New(ByVal ReportedResetReason As Simulation_Package.ResetReason)
      MyBase.New(Id, Nothing)
      Me.ReportedResetReason = ReportedResetReason
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "6a95b9a6-50df-459c-b8d2-ae8ff489713e"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_Reset_PDI"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Reset_PDI = POrigin
        If ReportedResetReason <> Origin.ReportedResetReason Then
          ReportedResetReason = Origin.ReportedResetReason
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedResetReason, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Start_Initialisation : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 98
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "9880750c-21e7-4174-839e-84a065047e8f"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_Start_Initialisation"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Start_Initialisation = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Status_Report_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 99
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "842557fc-85b8-4062-8267-f3631add9188"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_Status_Report_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Status_Report_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Status_Report_Completed_Prim : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 100
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "f4d3741a-1b7a-4361-acc9-35240f78358f"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_Status_Report_Completed_Prim"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Status_Report_Completed_Prim = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Status_Report_Completed_Sec : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 101
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "8c9954e5-b247-49e8-af2b-0555030319e6"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Msg_Status_Report_Completed_Sec"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Status_Report_Completed_Sec = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class NotReady_For_PDI_Connection : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 102
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "d311257e-4b59-44c9-ab48-6b3d9e0f87ea"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.NotReady_For_PDI_Connection"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As NotReady_For_PDI_Connection = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Connection_Closed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 103
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "24ced0b6-9cf2-42fb-85e3-fbf7917b3dec"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.PDI_Connection_Closed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Connection_Closed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Connection_Established : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 104
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "04df990a-6eba-4e23-a57b-5eab14676c39"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.PDI_Connection_Established"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Connection_Established = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Connection_Started : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 105
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "96694ad1-1380-43ff-9c39-016a73b841f3"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.PDI_Connection_Started"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Connection_Started = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Released_For_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 106
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "2b8501ee-7c09-41c7-950f-3e6a1ff2a718"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.PDI_Released_For_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Released_For_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Prim_Status_Report_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 107
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "3fc4aca1-441b-4d01-81d5-2e1a7dca9b54"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Prim_Status_Report_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Prim_Status_Report_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Protocol_Error : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 108
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "88eff041-6d2e-4ab1-afef-56485db4bab8"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Protocol Error"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.OpaqueEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Protocol_Error = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Ready_For_PDI_Connection : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 109
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "95b88f34-42f9-4414-9071-1a912f517fb9"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Ready_For_PDI_Connection"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Ready_For_PDI_Connection = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Reboot_Required : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 110
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "baa70868-a006-4d40-8231-d1939a17f02a"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Reboot_Required"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Reboot_Required = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Release_for_maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 111
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "409b14af-ca63-4393-ac17-20588d91b1b9"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Release for maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.OpaqueEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Release_for_maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class SCP_connection_established : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 112
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "4ab3b38e-99e8-4e80-a33f-cdd26cee6a6e"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.SCP connection established"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.OpaqueEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCP_connection_established = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Sec_Status_Report_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 113
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "d5ad6537-c24e-403e-b5fb-3991e5da7201"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Sec_Status_Report_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Sec_Status_Report_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Start_Prim_Status_Report : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 114
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "027787a1-8a78-4437-b5df-3c8d3a825bf7"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Start_Prim_Status_Report"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Start_Prim_Status_Report = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Start_Status_Report : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 115
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "47bb0048-88db-4c87-9299-afca6f6388ab"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Start_Status_Report"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Start_Status_Report = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Status_Report_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 116
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "a127c479-939f-4cec-bf78-5240468f37b1"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Internal subsystem events.Status_Report_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Status_Report_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
End Namespace
