Option Explicit On
Imports SySimFWK, PredefinedControls

Namespace Collection_of_signal_events.LC_Events
  <Serializable()> Class Cd_Activation : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedActivationState As Simulation_Package.ActivationControlableState
    Public Const Id As Integer = 117
    Public Sub New(ByVal CommandedActivationState As Simulation_Package.ActivationControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedActivationState = CommandedActivationState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "76a36768-e460-4340-9059-af9fa5f2e0ac"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Cd_Activation"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Activation = POrigin
        If CommandedActivationState <> Origin.CommandedActivationState Then
          CommandedActivationState = Origin.CommandedActivationState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedActivationState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Deactivation : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedDeactivationState As Simulation_Package.DeactivationControlableState
    Public Const Id As Integer = 118
    Public Sub New(ByVal CommandedDeactivationState As Simulation_Package.DeactivationControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedDeactivationState = CommandedDeactivationState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "8cb5eb92-b5ac-4efb-a330-9082505a1d48"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Cd_Deactivation"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Deactivation = POrigin
        If CommandedDeactivationState <> Origin.CommandedDeactivationState Then
          CommandedDeactivationState = Origin.CommandedDeactivationState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedDeactivationState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Isolate_LC : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedIsolateState As Simulation_Package.IsolateLevelCrossingControlableState
    Public Const Id As Integer = 119
    Public Sub New(ByVal CommandedIsolateState As Simulation_Package.IsolateLevelCrossingControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedIsolateState = CommandedIsolateState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "5c02172a-6a2e-426a-a3e4-f2cae1c53393"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Cd_Isolate_LC"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Isolate_LC = POrigin
        If CommandedIsolateState <> Origin.CommandedIsolateState Then
          CommandedIsolateState = Origin.CommandedIsolateState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedIsolateState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Local_Operation_Handover : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedHandoverState As Simulation_Package.LocalOperationHandoverControlableState
    Public Const Id As Integer = 120
    Public Sub New(ByVal CommandedHandoverState As Simulation_Package.LocalOperationHandoverControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedHandoverState = CommandedHandoverState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "f3d8afba-a59c-44be-a5df-d2d3f71dfb8e"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Cd_Local_Operation_Handover"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Local_Operation_Handover = POrigin
        If CommandedHandoverState <> Origin.CommandedHandoverState Then
          CommandedHandoverState = Origin.CommandedHandoverState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedHandoverState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Detection_Element_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedDetectionElementStatusState As Simulation_Package.DetectionElementStatusState
    Public Const Id As Integer = 121
    Public Sub New(ByVal ReportedDetectionElementStatusState As Simulation_Package.DetectionElementStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedDetectionElementStatusState = ReportedDetectionElementStatusState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "b77cddaa-3391-4a44-a7bb-eabbc50857a9"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_Detection_Element_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Detection_Element_Status = POrigin
        If ReportedDetectionElementStatusState <> Origin.ReportedDetectionElementStatusState Then
          ReportedDetectionElementStatusState = Origin.ReportedDetectionElementStatusState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedDetectionElementStatusState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_LC_Failure_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedNonCriticalFailureState As Simulation_Package.NonCriticalFailureStatusState
    Public ReportedCriticalFailureState As Simulation_Package.CriticalFailureStatusState
    Public Const Id As Integer = 122
    Public Sub New(ByVal ReportedNonCriticalFailureState As Simulation_Package.NonCriticalFailureStatusState, ByVal ReportedCriticalFailureState As Simulation_Package.CriticalFailureStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedNonCriticalFailureState = ReportedNonCriticalFailureState
      Me.ReportedCriticalFailureState = ReportedCriticalFailureState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "e7aa22f0-e7a5-494d-a418-be0d257f0ad8"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_LC_Failure_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_LC_Failure_Status = POrigin
        If ReportedNonCriticalFailureState <> Origin.ReportedNonCriticalFailureState Then
          ReportedNonCriticalFailureState = Origin.ReportedNonCriticalFailureState
          Ret = True
        End If
        If ReportedCriticalFailureState <> Origin.ReportedCriticalFailureState Then
          ReportedCriticalFailureState = Origin.ReportedCriticalFailureState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedNonCriticalFailureState, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedCriticalFailureState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_LC_Functional_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedActivationlStatusState As Simulation_Package.FunctionalStatusState
    Public Const Id As Integer = 123
    Public Sub New(ByVal ReportedActivationlStatusState As Simulation_Package.FunctionalStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedActivationlStatusState = ReportedActivationlStatusState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "8dd37128-1fa9-423e-be86-43cdb970f22b"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_LC_Functional_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_LC_Functional_Status = POrigin
        If ReportedActivationlStatusState <> Origin.ReportedActivationlStatusState Then
          ReportedActivationlStatusState = Origin.ReportedActivationlStatusState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedActivationlStatusState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_LC_Monitoring_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedTimeOverrunState As Simulation_Package.TimeOverrunState
    Public ReportedChangedMonitoringParameter As Simulation_Package.ChangendMonitoringStatus
    Public Const Id As Integer = 124
    Public Sub New(ByVal ReportedTimeOverrunState As Simulation_Package.TimeOverrunState, ByVal ReportedChangedMonitoringParameter As Simulation_Package.ChangendMonitoringStatus)
      MyBase.New(Id, Nothing)
      Me.ReportedTimeOverrunState = ReportedTimeOverrunState
      Me.ReportedChangedMonitoringParameter = ReportedChangedMonitoringParameter
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "565e0899-60ff-43b9-953a-7748748fe59e"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_LC_Monitoring_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_LC_Monitoring_Status = POrigin
        If ReportedTimeOverrunState <> Origin.ReportedTimeOverrunState Then
          ReportedTimeOverrunState = Origin.ReportedTimeOverrunState
          Ret = True
        End If
        If ReportedChangedMonitoringParameter <> Origin.ReportedChangedMonitoringParameter Then
          ReportedChangedMonitoringParameter = Origin.ReportedChangedMonitoringParameter
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedTimeOverrunState, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedChangedMonitoringParameter, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Local_Operation_Handover : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedLocalOperationHandoverState As Simulation_Package.LocalOperationHandoverState
    Public Const Id As Integer = 125
    Public Sub New(ByVal ReportedLocalOperationHandoverState As Simulation_Package.LocalOperationHandoverState)
      MyBase.New(Id, Nothing)
      Me.ReportedLocalOperationHandoverState = ReportedLocalOperationHandoverState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "28156a81-60b9-43d4-9516-2ed8890ad9fb"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_Local_Operation_Handover"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Local_Operation_Handover = POrigin
        If ReportedLocalOperationHandoverState <> Origin.ReportedLocalOperationHandoverState Then
          ReportedLocalOperationHandoverState = Origin.ReportedLocalOperationHandoverState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedLocalOperationHandoverState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Local_Request : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedLocalRequestState As Simulation_Package.LocalRequestState
    Public Const Id As Integer = 126
    Public Sub New(ByVal ReportedLocalRequestState As Simulation_Package.LocalRequestState)
      MyBase.New(Id, Nothing)
      Me.ReportedLocalRequestState = ReportedLocalRequestState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "98a33d43-feb2-460c-9b5c-6a6e052a2d45"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_Local_Request"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Local_Request = POrigin
        If ReportedLocalRequestState <> Origin.ReportedLocalRequestState Then
          ReportedLocalRequestState = Origin.ReportedLocalRequestState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedLocalRequestState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Obstacle_Detection : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedObstacleDetectionStatusState As Simulation_Package.ObstacleDetectionStatusState
    Public Const Id As Integer = 127
    Public Sub New(ByVal ReportedObstacleDetectionStatusState As Simulation_Package.ObstacleDetectionStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedObstacleDetectionStatusState = ReportedObstacleDetectionStatusState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "22364ea1-a131-4bee-9838-ec35f9c8d998"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "LC Events.Msg_Obstacle_Detection"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Obstacle_Detection = POrigin
        If ReportedObstacleDetectionStatusState <> Origin.ReportedObstacleDetectionStatusState Then
          ReportedObstacleDetectionStatusState = Origin.ReportedObstacleDetectionStatusState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedObstacleDetectionStatusState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
End Namespace
