Option Explicit On
Imports SySimFWK, PredefinedControls
Imports SimSupport.SimPrimitives, SimSupport.SimPrimitives.NotifyEnum, SimSupport

Namespace Simulation_Package
  Public Enum ActivationControlableState
    Activation
    Pre_activation
  End Enum
  Public Enum ChangendMonitoringStatus
    MonitoringParameterSet1
    MonitoringParameterSet2
  End Enum
  Public Enum CloseReason
    NormalClose
    OtherVersionRequired
    Timeout
    ProtocolError
    FormalTelegramError
    ContentTelegramError
    ChecksumMismatch
  End Enum
  Public Enum CriticalFailureStatusState
    ACriticalFailureIsPresent
    NoCriticalFailureIsPresent
  End Enum
  Public Enum DeactivationControlableState
    Deactivation
  End Enum
  Public Enum DetectionElementStatusState
    DetectionElementIsVacant
    DetectionElementIsOccupied
    DetectionElementIsFailed
  End Enum
  Public Enum FunctionalStatusState
    DeactivatingAndUnprotected
    ActivatedAndUnprotected
    ActivatedAndProtected
    PreActivated
    IsolatedLC
    DeactivatedAndIdle
  End Enum
  Public Enum InputChannelState
    Switched_On
    Switched_Off
    Disturbed
  End Enum
  Public Enum IsolateLevelCrossingControlableState
    EnableIsolationOfTheLevelCrossing
    DisableIsolationOfTheLevelCrossing
  End Enum
  Public Enum LocalOperationHandoverControlableState
    NoHandOverToLocalOperator
    HandoverToLocalOperatorInitiated
    HandoverToLocalOperatorEstablished
  End Enum
  Public Enum LocalOperationHandoverState
    AllowHandovertoLocalOperator
    ReturnHandoverFromLocalOperator
  End Enum
  Public Enum LocalRequestState
    LocalRequestToActivateTheLevelCrossing
    LocalRequestToDeactivateTheLevelCrossing
  End Enum
  Public Enum NonCriticalFailureStatusState
    ANonCriticalFailureIsPresent
    NoNonCriticalFailureIsPresent
  End Enum
  Public Enum ObstacleDetectionStatusState
    NoObstacleInTheConflictArea
    ObstacleInTheConflictArea
  End Enum
  Public Enum OutputChannelControllableState
    Switched_On
    Switched_Off
    Flashing
  End Enum
  Public Enum OutputChannelDisturbanceState
    Not_Physically_Disturbed
    Physically_Disturbed
  End Enum
  Public Enum ResetReason
    ProtocolError
    FormalTelegramError
    ContentTelegramError
  End Enum
  Public Enum TimeOverrunState
    NoClosureTimeOverrun
    ClosureTimeOverrunOccured
    TimeOverrunIsNotApplicable
  End Enum
  <Serializable()> Public Class EST_SCI_GEN : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.EST_SCI_GEN, ByVal A As Simulation_Package.EST_SCI_GEN) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As EST_SCI_GEN = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.EST_SCI_GEN, ByVal A As Simulation_Package.EST_SCI_GEN) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As EST_SCI_GEN = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  <Serializable()> Public Class EST_SMI_GEN : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.EST_SMI_GEN, ByVal A As Simulation_Package.EST_SMI_GEN) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As EST_SMI_GEN = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.EST_SMI_GEN, ByVal A As Simulation_Package.EST_SMI_GEN) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As EST_SMI_GEN = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_Control_Local_Operation : Implements SMSupport.SMQueued 
    Protected Class F_Control_Local_OperationSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_Control_Local_Operation = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_Control_Local_Operation_States
      RtsF_Control_Local_Operation_States_CONTROL_LOCAL_OPERATION
      RtsF_Control_Local_Operation_States_NotIn_F_Control_Local_Operation
    End Enum
    Public Enum RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States
      RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING
      RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED
      RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED
      RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER
      RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NotIn_COMMAND_HANDOVER_TO_LOCAL_OPERATION
    End Enum
    Public Enum RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States
      RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW
      RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN
      RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1
      RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_NotIn_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR
    End Enum
    Public Enum RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States
      RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2
      RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE
      RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE
      RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_NotIn_REQUEST_BY_LOCAL_OPERATOR
    End Enum
    ' \ART_SMG :: Created for state : F_Control_Local_Operation
    Private RtsCurrent_F_Control_Local_Operation As F_Control_Local_Operation.RtsF_Control_Local_Operation_States
    ' \ART_SMG :: Created for state : COMMAND_HANDOVER_TO_LOCAL_OPERATION
    Private RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION As F_Control_Local_Operation.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States
    ' \ART_SMG :: Created for state : RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR
    Private RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR As F_Control_Local_Operation.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States
    ' \ART_SMG :: Created for state : REQUEST_BY_LOCAL_OPERATOR
    Private RtsCurrent_REQUEST_BY_LOCAL_OPERATOR As F_Control_Local_Operation.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast17 As Boolean
    Private ChgFlg17 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast11 As Boolean
    Private ChgFlg11 As Boolean
    Private ChgFlgLast10 As Boolean
    Private ChgFlg10 As Boolean
    Private ChgFlgLast13 As Boolean
    Private ChgFlg13 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast15 As Boolean
    Private ChgFlg15 As Boolean
    Private ChgFlgLast16 As Boolean
    Private ChgFlg16 As Boolean
    Private ChgFlgLast14 As Boolean
    Private ChgFlg14 As Boolean
    Private ChgFlgLast12 As Boolean
    Private ChgFlg12 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_Control_Local_OperationSMQueue = New F_Control_Local_OperationSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    Protected d8in_Handover_To_Local_Operator_State As OInputPort(Of String)
    ' The port D80out_Handover_To_local_Operation_State refines the Informationflow Output_Established_Handover_To_Local_Operator, Output_No_Handover_To_Local_Operator and Output_Initiated_Handover_To_Local_Operator.
    Protected D80out_Handover_To_local_Operation_State As OOutputPort(Of String)
    Protected d81out_Local_Operation_Handover As OOutputPort(Of String)
    ' The port D81in_Local_Operation_Handover refines the Informationflow Input_Allow_Handover_To_Local_Operator and Input_Return_Handover_To_Local_Operator.
    Protected D81in_Local_Operation_Handover As OInputPort(Of String)
    ' The port D82in_Request_by_Local_Operator refines the Informationflow Activate and Deactivate.
    Protected D82in_Request_by_Local_Operator As OInputPort(Of String)
    Protected d82out_Local_Operation_Handover As OOutputPort(Of String)
    ' The port D83in_Con_Use_Local_Operation provides configuration values for the Local_operator.
    ' 
    ' true: Local_operator is used
    ' false: Local_operator is not used
    Protected D83in_Con_Use_Local_Operation As OInputPort(Of Boolean)
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_Control_Local_Operation: on object;
    ' assume RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION: on object;
    ' assume RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR: on object;
    ' assume RtsCurrent_REQUEST_BY_LOCAL_OPERATOR: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING then
    ' /* #REF123# */
    ' 	/* 5ac1470c-d29d-40a6-ad75-eb5abb9db30e WAITING */
    '   ThisState := "5ac1470c-d29d-40a6-ad75-eb5abb9db30e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"92f83454-fd28-4aec-adf9-b5588a632eb9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 9c027e1f-8760-4ade-9be7-3ce9825ecd29 */  nullstat;/*##END 9c027e1f-8760-4ade-9be7-3ce9825ecd29 */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_ESTABLISHED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING then
    ' /* #REF123# */
    ' 	/* 5ac1470c-d29d-40a6-ad75-eb5abb9db30e WAITING */
    '   ThisState := "5ac1470c-d29d-40a6-ad75-eb5abb9db30e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ea54610f-85f5-4da5-b2a7-f608e5b93acb",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 47a7ee11-08c2-4c00-8111-c71fd9eed430 */  nullstat;/*##END 47a7ee11-08c2-4c00-8111-c71fd9eed430 */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_INITIATED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING then
    ' /* #REF123# */
    ' 	/* 5ac1470c-d29d-40a6-ad75-eb5abb9db30e WAITING */
    '   ThisState := "5ac1470c-d29d-40a6-ad75-eb5abb9db30e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ec0897d4-af84-4f6a-b744-9e2f1e52221b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3c18d83b-10f6-48e6-817b-dd963cee70a7 */  nullstat;/*##END 3c18d83b-10f6-48e6-817b-dd963cee70a7 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_HANDOVER();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED then
    ' /* #REF123# */
    ' 	/* 7b026d2d-e9ca-416d-8192-07b3f3310489 HANDOVER_INITIATED */
    '   ThisState := "7b026d2d-e9ca-416d-8192-07b3f3310489";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_INITIATED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_INITIATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"3cb4f1d3-a660-4394-a889-e2de03d538e9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8e5d97d5-910a-46c8-b4d8-a48ead32168a */  nullstat;/*##END 8e5d97d5-910a-46c8-b4d8-a48ead32168a */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_ESTABLISHED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED then
    ' /* #REF123# */
    ' 	/* 7b026d2d-e9ca-416d-8192-07b3f3310489 HANDOVER_INITIATED */
    '   ThisState := "7b026d2d-e9ca-416d-8192-07b3f3310489";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_INITIATED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_INITIATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"9628a121-2005-48e4-ab0e-cceae9af6bed",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3d4ff295-49bb-4436-af85-fc2c25331c51 */  nullstat;/*##END 3d4ff295-49bb-4436-af85-fc2c25331c51 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_HANDOVER();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED then
    ' /* #REF123# */
    ' 	/* 89aef1a1-e3ba-4067-880c-d87e834f046e HANDOVER_ESTABLISHED */
    '   ThisState := "89aef1a1-e3ba-4067-880c-d87e834f046e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_ESTABLISHED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_ESTABLISHED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"46d6dda0-4097-4419-bc8f-c689d459d701",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT e981d3b2-494c-49ce-9cba-67961e38037d */  nullstat;/*##END e981d3b2-494c-49ce-9cba-67961e38037d */ /* #REF1546# */
    ' 		This.RtsEnter_NO_HANDOVER();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED then
    ' /* #REF123# */
    ' 	/* 89aef1a1-e3ba-4067-880c-d87e834f046e HANDOVER_ESTABLISHED */
    '   ThisState := "89aef1a1-e3ba-4067-880c-d87e834f046e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_ESTABLISHED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_ESTABLISHED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"b5af1fe1-c5d3-462e-ac60-f21f08ab04b7",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT fd53000b-d98a-45ea-831c-d5ac659cb8ff */  nullstat;/*##END fd53000b-d98a-45ea-831c-d5ac659cb8ff */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_INITIATED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER then
    ' /* #REF123# */
    ' 	/* d04b757b-598c-4706-a7fa-7fd3fb4aa36a NO_HANDOVER */
    '   ThisState := "d04b757b-598c-4706-a7fa-7fd3fb4aa36a";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_HANDOVER */
    ' 		/* standard */
    ' 		This.RtsExit_NO_HANDOVER();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"5f3547f9-6fe2-4272-a825-39eeaef2d6c0",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 11c49085-3566-4da4-8e90-904bf4fe79fc */  nullstat;/*##END 11c49085-3566-4da4-8e90-904bf4fe79fc */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_INITIATED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER then
    ' /* #REF123# */
    ' 	/* d04b757b-598c-4706-a7fa-7fd3fb4aa36a NO_HANDOVER */
    '   ThisState := "d04b757b-598c-4706-a7fa-7fd3fb4aa36a";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_HANDOVER */
    ' 		/* standard */
    ' 		This.RtsExit_NO_HANDOVER();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"25de2d4f-7fb7-42f9-a114-a638d7888aa5",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4236accd-f031-4fc7-9818-786cbb4ed259 */  nullstat;/*##END 4236accd-f031-4fc7-9818-786cbb4ed259 */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_ESTABLISHED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW then
    ' /* #REF123# */
    ' 	/* 15e1e6c5-6cac-43a0-9416-a0cadce5ad42 ALLOW */
    '   ThisState := "15e1e6c5-6cac-43a0-9416-a0cadce5ad42";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ALLOW */
    ' 		/* standard */
    ' 		This.RtsExit_ALLOW();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e63db777-a5ed-448c-84db-f96968abaf85",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 51a848bc-bea4-4cbc-8c42-adbe7dd47892 */  nullstat;/*##END 51a848bc-bea4-4cbc-8c42-adbe7dd47892 */ /* #REF1546# */
    ' 		This.RtsEnter_RETURN();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN then
    ' /* #REF123# */
    ' 	/* 15212936-05a3-4893-83ea-05b821ca7167 RETURN */
    '   ThisState := "15212936-05a3-4893-83ea-05b821ca7167";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_RETURN */
    ' 		/* standard */
    ' 		This.RtsExit_RETURN();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"309f3b6d-3505-43f4-b814-bc9603c5b9bd",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 518176b1-8962-4793-8e5f-6b44a8b63601 */  nullstat;/*##END 518176b1-8962-4793-8e5f-6b44a8b63601 */ /* #REF1546# */
    ' 		This.RtsEnter_ALLOW();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1 then
    ' /* #REF123# */
    ' 	/* c5d2c1c0-a72f-4050-ac38-bffa712066a5 WAITING_1 */
    '   ThisState := "c5d2c1c0-a72f-4050-ac38-bffa712066a5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_1 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"2d3e0ed7-6da0-4e44-b075-f43be046d3e3",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT dba879ee-f64d-4f9c-80b3-f018708802fe */  nullstat;/*##END dba879ee-f64d-4f9c-80b3-f018708802fe */ /* #REF1546# */
    ' 		This.RtsEnter_ALLOW();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1 then
    ' /* #REF123# */
    ' 	/* c5d2c1c0-a72f-4050-ac38-bffa712066a5 WAITING_1 */
    '   ThisState := "c5d2c1c0-a72f-4050-ac38-bffa712066a5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_1 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"bce9f4f6-52c8-4318-b45a-f575bfc5e532",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 5b6f5048-605b-4423-b973-3416328230ea */  nullstat;/*##END 5b6f5048-605b-4423-b973-3416328230ea */ /* #REF1546# */
    ' 		This.RtsEnter_RETURN();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2 then
    ' /* #REF123# */
    ' 	/* f31513d8-89fd-43d8-a03a-8fb58edd2feb WAITING_2 */
    '   ThisState := "f31513d8-89fd-43d8-a03a-8fb58edd2feb";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_2 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_2();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"fdf961cb-c917-4387-81ec-d82568a65cce",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT db3ca82e-6327-4edf-a5e0-6f9381263807 */  nullstat;/*##END db3ca82e-6327-4edf-a5e0-6f9381263807 */ /* #REF1546# */
    ' 		This.RtsEnter_REQUEST_TO_ACTIVATE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2 then
    ' /* #REF123# */
    ' 	/* f31513d8-89fd-43d8-a03a-8fb58edd2feb WAITING_2 */
    '   ThisState := "f31513d8-89fd-43d8-a03a-8fb58edd2feb";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_2 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_2();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"7d1ec19d-414e-4654-b277-2644f7f45731",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT aaa0e0f0-6259-4a1b-b56b-e5540c3ff177 */  nullstat;/*##END aaa0e0f0-6259-4a1b-b56b-e5540c3ff177 */ /* #REF1546# */
    ' 		This.RtsEnter_REQUEST_TO_DEACTIVATE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE then
    ' /* #REF123# */
    ' 	/* 9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8 REQUEST_TO_ACTIVATE */
    '   ThisState := "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_REQUEST_TO_ACTIVATE */
    ' 		/* standard */
    ' 		This.RtsExit_REQUEST_TO_ACTIVATE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"9bb178d5-47c2-4727-af46-7bd15623df8b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT db1a813e-935f-4fd1-b060-23ca9bc6730a */  nullstat;/*##END db1a813e-935f-4fd1-b060-23ca9bc6730a */ /* #REF1546# */
    ' 		This.RtsEnter_REQUEST_TO_DEACTIVATE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE then
    ' /* #REF123# */
    ' 	/* d7b487b0-108c-4860-a873-d371727d221d REQUEST_TO_DEACTIVATE */
    '   ThisState := "d7b487b0-108c-4860-a873-d371727d221d";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_REQUEST_TO_DEACTIVATE */
    ' 		/* standard */
    ' 		This.RtsExit_REQUEST_TO_DEACTIVATE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"dab89919-4903-49f3-a571-af1a64ba3d5d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 0bdc57c3-2bcb-4657-8814-a156542c3538 */  nullstat;/*##END 0bdc57c3-2bcb-4657-8814-a156542c3538 */ /* #REF1546# */
    ' 		This.RtsEnter_REQUEST_TO_ACTIVATE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Control_Local_Operation =  /* #REF121d# */ RtsF_Control_Local_Operation_States{enum_datatype}.RtsF_Control_Local_Operation_States_NotIn_F_Control_Local_Operation then
    ' /* #REF123# */
    ' 	/* fde0e912-15df-4f80-8ca3-3cf26945add9 Initial0 */
    '   ThisState := "fde0e912-15df-4f80-8ca3-3cf26945add9";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"fde0e912-15df-4f80-8ca3-3cf26945add9",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"fde0e912-15df-4f80-8ca3-3cf26945add9",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"dafb2eb3-320e-434a-8c40-9eaaa68e720c",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 56653119-1678-472c-bfab-fb804fa413e4 */  nullstat;/*##END 56653119-1678-472c-bfab-fb804fa413e4 */ /* #REF1546# */
    ' 	This.RtsDefault_CONTROL_LOCAL_OPERATION();/* #REF1587# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING Then
        ThisState = "5ac1470c-d29d-40a6-ad75-eb5abb9db30e"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "92f83454-fd28-4aec-adf9-b5588a632eb9", 0, NullString)
          Me.RtsEnter_HANDOVER_ESTABLISHED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING Then
        ThisState = "5ac1470c-d29d-40a6-ad75-eb5abb9db30e"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ea54610f-85f5-4da5-b2a7-f608e5b93acb", 0, NullString)
          Me.RtsEnter_HANDOVER_INITIATED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING Then
        ThisState = "5ac1470c-d29d-40a6-ad75-eb5abb9db30e"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ec0897d4-af84-4f6a-b744-9e2f1e52221b", 0, NullString)
          Me.RtsEnter_NO_HANDOVER()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED Then
        ThisState = "7b026d2d-e9ca-416d-8192-07b3f3310489"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_HANDOVER_INITIATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "3cb4f1d3-a660-4394-a889-e2de03d538e9", 0, NullString)
          Me.RtsEnter_HANDOVER_ESTABLISHED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED Then
        ThisState = "7b026d2d-e9ca-416d-8192-07b3f3310489"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_HANDOVER_INITIATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "9628a121-2005-48e4-ab0e-cceae9af6bed", 0, NullString)
          Me.RtsEnter_NO_HANDOVER()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED Then
        ThisState = "89aef1a1-e3ba-4067-880c-d87e834f046e"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_HANDOVER_ESTABLISHED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "46d6dda0-4097-4419-bc8f-c689d459d701", 0, NullString)
          Me.RtsEnter_NO_HANDOVER()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED Then
        ThisState = "89aef1a1-e3ba-4067-880c-d87e834f046e"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_HANDOVER_ESTABLISHED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "b5af1fe1-c5d3-462e-ac60-f21f08ab04b7", 0, NullString)
          Me.RtsEnter_HANDOVER_INITIATED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER Then
        ThisState = "d04b757b-598c-4706-a7fa-7fd3fb4aa36a"
        If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NO_HANDOVER()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "5f3547f9-6fe2-4272-a825-39eeaef2d6c0", 0, NullString)
          Me.RtsEnter_HANDOVER_INITIATED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER Then
        ThisState = "d04b757b-598c-4706-a7fa-7fd3fb4aa36a"
        If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NO_HANDOVER()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "25de2d4f-7fb7-42f9-a114-a638d7888aa5", 0, NullString)
          Me.RtsEnter_HANDOVER_ESTABLISHED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW Then
        ThisState = "15e1e6c5-6cac-43a0-9416-a0cadce5ad42"
        If SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ALLOW()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e63db777-a5ed-448c-84db-f96968abaf85", 0, NullString)
          Me.RtsEnter_RETURN()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN Then
        ThisState = "15212936-05a3-4893-83ea-05b821ca7167"
        If SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) Then
          Me.RtsExit_RETURN()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "309f3b6d-3505-43f4-b814-bc9603c5b9bd", 0, NullString)
          Me.RtsEnter_ALLOW()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1 Then
        ThisState = "c5d2c1c0-a72f-4050-ac38-bffa712066a5"
        If SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "2d3e0ed7-6da0-4e44-b075-f43be046d3e3", 0, NullString)
          Me.RtsEnter_ALLOW()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1 Then
        ThisState = "c5d2c1c0-a72f-4050-ac38-bffa712066a5"
        If SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "bce9f4f6-52c8-4318-b45a-f575bfc5e532", 0, NullString)
          Me.RtsEnter_RETURN()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2 Then
        ThisState = "f31513d8-89fd-43d8-a03a-8fb58edd2feb"
        If SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_2()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "fdf961cb-c917-4387-81ec-d82568a65cce", 0, NullString)
          Me.RtsEnter_REQUEST_TO_ACTIVATE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2 Then
        ThisState = "f31513d8-89fd-43d8-a03a-8fb58edd2feb"
        If SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_2()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "7d1ec19d-414e-4654-b277-2644f7f45731", 0, NullString)
          Me.RtsEnter_REQUEST_TO_DEACTIVATE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE Then
        ThisState = "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8"
        If SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) Then
          Me.RtsExit_REQUEST_TO_ACTIVATE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "9bb178d5-47c2-4727-af46-7bd15623df8b", 0, NullString)
          Me.RtsEnter_REQUEST_TO_DEACTIVATE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE Then
        ThisState = "d7b487b0-108c-4860-a873-d371727d221d"
        If SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) Then
          Me.RtsExit_REQUEST_TO_DEACTIVATE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "dab89919-4903-49f3-a571-af1a64ba3d5d", 0, NullString)
          Me.RtsEnter_REQUEST_TO_ACTIVATE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Control_Local_Operation = RtsF_Control_Local_Operation_States.RtsF_Control_Local_Operation_States_NotIn_F_Control_Local_Operation Then
        ThisState = "fde0e912-15df-4f80-8ca3-3cf26945add9"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "fde0e912-15df-4f80-8ca3-3cf26945add9", 0, NullString)
        RtsNotify(Me, SEXIT, "fde0e912-15df-4f80-8ca3-3cf26945add9", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "dafb2eb3-320e-434a-8c40-9eaaa68e720c", 0, NullString)
        Me.RtsDefault_CONTROL_LOCAL_OPERATION()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "9c47fa9f-13bf-4654-bb95-13001c4dd0ed", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_Control_Local_Operation := RtsF_Control_Local_Operation_States{enum_datatype}.RtsF_Control_Local_Operation_States_NotIn_F_Control_Local_Operation;/* #REF1566# */
    ' This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION := RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NotIn_COMMAND_HANDOVER_TO_LOCAL_OPERATION;/* #REF1566# */
    ' This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_NotIn_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR;/* #REF1566# */
    ' This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_NotIn_REQUEST_BY_LOCAL_OPERATOR;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "9c47fa9f-13bf-4654-bb95-13001c4dd0ed", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_Control_Local_Operation = RtsF_Control_Local_Operation_States.RtsF_Control_Local_Operation_States_NotIn_F_Control_Local_Operation
      Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NotIn_COMMAND_HANDOVER_TO_LOCAL_OPERATION
      Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_NotIn_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR
      Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_NotIn_REQUEST_BY_LOCAL_OPERATOR
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : CONTROL_LOCAL_OPERATION
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b2ec10b4-085a-4509-85af-b993487cb1bd|") then
    '   OperatedStates := OperatedStates + "b2ec10b4-085a-4509-85af-b993487cb1bd|";
    ' end if
    ' // Simulation support : Notification function call for entering state : CONTROL_LOCAL_OPERATION ///* #REF520# */
    ' RtsNotify(This,SENTER,"b2ec10b4-085a-4509-85af-b993487cb1bd",0,NullString);
    ' 
    ' SimCore.EnterState("b2ec10b4-085a-4509-85af-b993487cb1bd","CONTROL_LOCAL_OPERATION");
    ' 
    ' This.RtsCurrent_F_Control_Local_Operation := RtsF_Control_Local_Operation_States{enum_datatype}.RtsF_Control_Local_Operation_States_CONTROL_LOCAL_OPERATION;/* #REF521# */
    ' 
    Private Sub RtsEnter_CONTROL_LOCAL_OPERATION()
      If not OperatedStates.Contains("b2ec10b4-085a-4509-85af-b993487cb1bd|") Then
        OperatedStates = OperatedStates + "b2ec10b4-085a-4509-85af-b993487cb1bd|"
      End If
      'Simulation support : Notification function call for entering state : CONTROL_LOCAL_OPERATION ///* #REF520# */
      RtsNotify(Me, SENTER, "b2ec10b4-085a-4509-85af-b993487cb1bd", 0, NullString)
      SimCore.EnterState("b2ec10b4-085a-4509-85af-b993487cb1bd", "CONTROL_LOCAL_OPERATION")
      Me.RtsCurrent_F_Control_Local_Operation = RtsF_Control_Local_Operation_States.RtsF_Control_Local_Operation_States_CONTROL_LOCAL_OPERATION
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5ac1470c-d29d-40a6-ad75-eb5abb9db30e|") then
    '   OperatedStates := OperatedStates + "5ac1470c-d29d-40a6-ad75-eb5abb9db30e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"5ac1470c-d29d-40a6-ad75-eb5abb9db30e",0,NullString);
    ' 
    ' SimCore.EnterState("5ac1470c-d29d-40a6-ad75-eb5abb9db30e","CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::WAITING");
    ' 
    ' This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION := RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING()
      If not OperatedStates.Contains("5ac1470c-d29d-40a6-ad75-eb5abb9db30e|") Then
        OperatedStates = OperatedStates + "5ac1470c-d29d-40a6-ad75-eb5abb9db30e|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "5ac1470c-d29d-40a6-ad75-eb5abb9db30e", 0, NullString)
      SimCore.EnterState("5ac1470c-d29d-40a6-ad75-eb5abb9db30e", "CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::WAITING")
      Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_INITIATED
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7b026d2d-e9ca-416d-8192-07b3f3310489|") then
    '   OperatedStates := OperatedStates + "7b026d2d-e9ca-416d-8192-07b3f3310489|";
    ' end if
    ' // Simulation support : Notification function call for entering state : HANDOVER_INITIATED ///* #REF520# */
    ' RtsNotify(This,SENTER,"7b026d2d-e9ca-416d-8192-07b3f3310489",0,NullString);
    ' 
    ' SimCore.EnterState("7b026d2d-e9ca-416d-8192-07b3f3310489","CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::HANDOVER_INITIATED");
    ' 
    ' This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION := RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT f1cbbee1-e3c9-4a8d-9476-e7f60eb01668 */  D80out_Handover_To_local_Operation_State := "Handover to local operator initiated"; nullstat;/*##END f1cbbee1-e3c9-4a8d-9476-e7f60eb01668 */ 
    Private Sub RtsEnter_HANDOVER_INITIATED()
      If not OperatedStates.Contains("7b026d2d-e9ca-416d-8192-07b3f3310489|") Then
        OperatedStates = OperatedStates + "7b026d2d-e9ca-416d-8192-07b3f3310489|"
      End If
      'Simulation support : Notification function call for entering state : HANDOVER_INITIATED ///* #REF520# */
      RtsNotify(Me, SENTER, "7b026d2d-e9ca-416d-8192-07b3f3310489", 0, NullString)
      SimCore.EnterState("7b026d2d-e9ca-416d-8192-07b3f3310489", "CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::HANDOVER_INITIATED")
      Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED
      'Entry Actions
      D80out_Handover_To_local_Operation_State.SetValue("Handover to local operator initiated")
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_ESTABLISHED
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("89aef1a1-e3ba-4067-880c-d87e834f046e|") then
    '   OperatedStates := OperatedStates + "89aef1a1-e3ba-4067-880c-d87e834f046e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : HANDOVER_ESTABLISHED ///* #REF520# */
    ' RtsNotify(This,SENTER,"89aef1a1-e3ba-4067-880c-d87e834f046e",0,NullString);
    ' 
    ' SimCore.EnterState("89aef1a1-e3ba-4067-880c-d87e834f046e","CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::HANDOVER_ESTABLISHED");
    ' 
    ' This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION := RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 30f152a5-07a6-4f95-a7f2-5fa2790f16e2 */  D80out_Handover_To_local_Operation_State := "Handover to local operator established"; nullstat;/*##END 30f152a5-07a6-4f95-a7f2-5fa2790f16e2 */ 
    Private Sub RtsEnter_HANDOVER_ESTABLISHED()
      If not OperatedStates.Contains("89aef1a1-e3ba-4067-880c-d87e834f046e|") Then
        OperatedStates = OperatedStates + "89aef1a1-e3ba-4067-880c-d87e834f046e|"
      End If
      'Simulation support : Notification function call for entering state : HANDOVER_ESTABLISHED ///* #REF520# */
      RtsNotify(Me, SENTER, "89aef1a1-e3ba-4067-880c-d87e834f046e", 0, NullString)
      SimCore.EnterState("89aef1a1-e3ba-4067-880c-d87e834f046e", "CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::HANDOVER_ESTABLISHED")
      Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED
      'Entry Actions
      D80out_Handover_To_local_Operation_State.SetValue("Handover to local operator established")
    End Sub
    
    ' \ART_SMG :: Created for state : NO_HANDOVER
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d04b757b-598c-4706-a7fa-7fd3fb4aa36a|") then
    '   OperatedStates := OperatedStates + "d04b757b-598c-4706-a7fa-7fd3fb4aa36a|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_HANDOVER ///* #REF520# */
    ' RtsNotify(This,SENTER,"d04b757b-598c-4706-a7fa-7fd3fb4aa36a",0,NullString);
    ' 
    ' SimCore.EnterState("d04b757b-598c-4706-a7fa-7fd3fb4aa36a","CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::NO_HANDOVER");
    ' 
    ' This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION := RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 7171baea-bff6-4ddf-b193-58430dc4c963 */  D80out_Handover_To_local_Operation_State := "No handover to local operator"; nullstat;/*##END 7171baea-bff6-4ddf-b193-58430dc4c963 */ 
    Private Sub RtsEnter_NO_HANDOVER()
      If not OperatedStates.Contains("d04b757b-598c-4706-a7fa-7fd3fb4aa36a|") Then
        OperatedStates = OperatedStates + "d04b757b-598c-4706-a7fa-7fd3fb4aa36a|"
      End If
      'Simulation support : Notification function call for entering state : NO_HANDOVER ///* #REF520# */
      RtsNotify(Me, SENTER, "d04b757b-598c-4706-a7fa-7fd3fb4aa36a", 0, NullString)
      SimCore.EnterState("d04b757b-598c-4706-a7fa-7fd3fb4aa36a", "CONTROL_LOCAL_OPERATION::COMMAND_HANDOVER_TO_LOCAL_OPERATION::NO_HANDOVER")
      Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER
      'Entry Actions
      D80out_Handover_To_local_Operation_State.SetValue("No handover to local operator")
    End Sub
    
    ' \ART_SMG :: Created for state : ALLOW
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("15e1e6c5-6cac-43a0-9416-a0cadce5ad42|") then
    '   OperatedStates := OperatedStates + "15e1e6c5-6cac-43a0-9416-a0cadce5ad42|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ALLOW ///* #REF520# */
    ' RtsNotify(This,SENTER,"15e1e6c5-6cac-43a0-9416-a0cadce5ad42",0,NullString);
    ' 
    ' SimCore.EnterState("15e1e6c5-6cac-43a0-9416-a0cadce5ad42","CONTROL_LOCAL_OPERATION::RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR::ALLOW");
    ' 
    ' This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 2cee9d0d-eda9-449c-a26a-b5d69cd4ee30 */  d81out_Local_Operation_Handover := "Allow handover to local operator"; nullstat;/*##END 2cee9d0d-eda9-449c-a26a-b5d69cd4ee30 */ 
    Private Sub RtsEnter_ALLOW()
      If not OperatedStates.Contains("15e1e6c5-6cac-43a0-9416-a0cadce5ad42|") Then
        OperatedStates = OperatedStates + "15e1e6c5-6cac-43a0-9416-a0cadce5ad42|"
      End If
      'Simulation support : Notification function call for entering state : ALLOW ///* #REF520# */
      RtsNotify(Me, SENTER, "15e1e6c5-6cac-43a0-9416-a0cadce5ad42", 0, NullString)
      SimCore.EnterState("15e1e6c5-6cac-43a0-9416-a0cadce5ad42", "CONTROL_LOCAL_OPERATION::RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR::ALLOW")
      Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW
      'Entry Actions
      d81out_Local_Operation_Handover.SetValue("Allow handover to local operator")
    End Sub
    
    ' \ART_SMG :: Created for state : RETURN
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("15212936-05a3-4893-83ea-05b821ca7167|") then
    '   OperatedStates := OperatedStates + "15212936-05a3-4893-83ea-05b821ca7167|";
    ' end if
    ' // Simulation support : Notification function call for entering state : RETURN ///* #REF520# */
    ' RtsNotify(This,SENTER,"15212936-05a3-4893-83ea-05b821ca7167",0,NullString);
    ' 
    ' SimCore.EnterState("15212936-05a3-4893-83ea-05b821ca7167","CONTROL_LOCAL_OPERATION::RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR::RETURN");
    ' 
    ' This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT b8ecd0ec-5ec4-4f51-b095-1e0de62079d8 */  d81out_Local_Operation_Handover := "Return handover from local operator"; nullstat;/*##END b8ecd0ec-5ec4-4f51-b095-1e0de62079d8 */ 
    Private Sub RtsEnter_RETURN()
      If not OperatedStates.Contains("15212936-05a3-4893-83ea-05b821ca7167|") Then
        OperatedStates = OperatedStates + "15212936-05a3-4893-83ea-05b821ca7167|"
      End If
      'Simulation support : Notification function call for entering state : RETURN ///* #REF520# */
      RtsNotify(Me, SENTER, "15212936-05a3-4893-83ea-05b821ca7167", 0, NullString)
      SimCore.EnterState("15212936-05a3-4893-83ea-05b821ca7167", "CONTROL_LOCAL_OPERATION::RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR::RETURN")
      Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN
      'Entry Actions
      d81out_Local_Operation_Handover.SetValue("Return handover from local operator")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("c5d2c1c0-a72f-4050-ac38-bffa712066a5|") then
    '   OperatedStates := OperatedStates + "c5d2c1c0-a72f-4050-ac38-bffa712066a5|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"c5d2c1c0-a72f-4050-ac38-bffa712066a5",0,NullString);
    ' 
    ' SimCore.EnterState("c5d2c1c0-a72f-4050-ac38-bffa712066a5","CONTROL_LOCAL_OPERATION::RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR::WAITING");
    ' 
    ' This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_1()
      If not OperatedStates.Contains("c5d2c1c0-a72f-4050-ac38-bffa712066a5|") Then
        OperatedStates = OperatedStates + "c5d2c1c0-a72f-4050-ac38-bffa712066a5|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "c5d2c1c0-a72f-4050-ac38-bffa712066a5", 0, NullString)
      SimCore.EnterState("c5d2c1c0-a72f-4050-ac38-bffa712066a5", "CONTROL_LOCAL_OPERATION::RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR::WAITING")
      Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_2
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f31513d8-89fd-43d8-a03a-8fb58edd2feb|") then
    '   OperatedStates := OperatedStates + "f31513d8-89fd-43d8-a03a-8fb58edd2feb|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"f31513d8-89fd-43d8-a03a-8fb58edd2feb",0,NullString);
    ' 
    ' SimCore.EnterState("f31513d8-89fd-43d8-a03a-8fb58edd2feb","CONTROL_LOCAL_OPERATION::REQUEST_BY_LOCAL_OPERATOR::WAITING");
    ' 
    ' This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_2()
      If not OperatedStates.Contains("f31513d8-89fd-43d8-a03a-8fb58edd2feb|") Then
        OperatedStates = OperatedStates + "f31513d8-89fd-43d8-a03a-8fb58edd2feb|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "f31513d8-89fd-43d8-a03a-8fb58edd2feb", 0, NullString)
      SimCore.EnterState("f31513d8-89fd-43d8-a03a-8fb58edd2feb", "CONTROL_LOCAL_OPERATION::REQUEST_BY_LOCAL_OPERATOR::WAITING")
      Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_ACTIVATE
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|") then
    '   OperatedStates := OperatedStates + "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|";
    ' end if
    ' // Simulation support : Notification function call for entering state : REQUEST_TO_ACTIVATE ///* #REF520# */
    ' RtsNotify(This,SENTER,"9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8",0,NullString);
    ' 
    ' SimCore.EnterState("9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8","CONTROL_LOCAL_OPERATION::REQUEST_BY_LOCAL_OPERATOR::REQUEST_TO_ACTIVATE");
    ' 
    ' This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT c04c5d4a-e9ba-4c6d-8ec3-9bf31bd52204 */  d82out_Local_Operation_Handover := "Request to activate the level Crossing"; nullstat;/*##END c04c5d4a-e9ba-4c6d-8ec3-9bf31bd52204 */ 
    Private Sub RtsEnter_REQUEST_TO_ACTIVATE()
      If not OperatedStates.Contains("9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|") Then
        OperatedStates = OperatedStates + "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|"
      End If
      'Simulation support : Notification function call for entering state : REQUEST_TO_ACTIVATE ///* #REF520# */
      RtsNotify(Me, SENTER, "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8", 0, NullString)
      SimCore.EnterState("9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8", "CONTROL_LOCAL_OPERATION::REQUEST_BY_LOCAL_OPERATOR::REQUEST_TO_ACTIVATE")
      Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE
      'Entry Actions
      d82out_Local_Operation_Handover.SetValue("Request to activate the level Crossing")
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_DEACTIVATE
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d7b487b0-108c-4860-a873-d371727d221d|") then
    '   OperatedStates := OperatedStates + "d7b487b0-108c-4860-a873-d371727d221d|";
    ' end if
    ' // Simulation support : Notification function call for entering state : REQUEST_TO_DEACTIVATE ///* #REF520# */
    ' RtsNotify(This,SENTER,"d7b487b0-108c-4860-a873-d371727d221d",0,NullString);
    ' 
    ' SimCore.EnterState("d7b487b0-108c-4860-a873-d371727d221d","CONTROL_LOCAL_OPERATION::REQUEST_BY_LOCAL_OPERATOR::REQUEST_TO_DEACTIVATE");
    ' 
    ' This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 1a504e14-cb8e-4bf6-94c8-c17369bea829 */  d82out_Local_Operation_Handover := "Request to deactivate the level Crossing"; nullstat;/*##END 1a504e14-cb8e-4bf6-94c8-c17369bea829 */ 
    Private Sub RtsEnter_REQUEST_TO_DEACTIVATE()
      If not OperatedStates.Contains("d7b487b0-108c-4860-a873-d371727d221d|") Then
        OperatedStates = OperatedStates + "d7b487b0-108c-4860-a873-d371727d221d|"
      End If
      'Simulation support : Notification function call for entering state : REQUEST_TO_DEACTIVATE ///* #REF520# */
      RtsNotify(Me, SENTER, "d7b487b0-108c-4860-a873-d371727d221d", 0, NullString)
      SimCore.EnterState("d7b487b0-108c-4860-a873-d371727d221d", "CONTROL_LOCAL_OPERATION::REQUEST_BY_LOCAL_OPERATOR::REQUEST_TO_DEACTIVATE")
      Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE
      'Entry Actions
      d82out_Local_Operation_Handover.SetValue("Request to deactivate the level Crossing")
    End Sub
    
    ' \ART_SMG :: Created for state : CONTROL_LOCAL_OPERATION
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Control_Local_Operation = RtsF_Control_Local_Operation_States{enum_datatype}.RtsF_Control_Local_Operation_States_CONTROL_LOCAL_OPERATION then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : CONTROL_LOCAL_OPERATION
    ' 	RtsNotify(This,SEXIT,"b2ec10b4-085a-4509-85af-b993487cb1bd",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_CONTROL_LOCAL_OPERATION ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_CONTROL_LOCAL_OPERATION()
      If Me.RtsCurrent_F_Control_Local_Operation = RtsF_Control_Local_Operation_States.RtsF_Control_Local_Operation_States_CONTROL_LOCAL_OPERATION Then
        'Simulation support : Notification function call for exiting state : CONTROL_LOCAL_OPERATION
        RtsNotify(Me, SEXIT, "b2ec10b4-085a-4509-85af-b993487cb1bd", 0, NullString)
        RtsExitSSOf_CONTROL_LOCAL_OPERATION()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"5ac1470c-d29d-40a6-ad75-eb5abb9db30e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING()
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "5ac1470c-d29d-40a6-ad75-eb5abb9db30e", 0, NullString)
        RtsExitSSOf_WAITING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_INITIATED
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : HANDOVER_INITIATED
    ' 	RtsNotify(This,SEXIT,"7b026d2d-e9ca-416d-8192-07b3f3310489",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_HANDOVER_INITIATED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_HANDOVER_INITIATED()
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED Then
        'Simulation support : Notification function call for exiting state : HANDOVER_INITIATED
        RtsNotify(Me, SEXIT, "7b026d2d-e9ca-416d-8192-07b3f3310489", 0, NullString)
        RtsExitSSOf_HANDOVER_INITIATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_ESTABLISHED
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : HANDOVER_ESTABLISHED
    ' 	RtsNotify(This,SEXIT,"89aef1a1-e3ba-4067-880c-d87e834f046e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_HANDOVER_ESTABLISHED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_HANDOVER_ESTABLISHED()
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED Then
        'Simulation support : Notification function call for exiting state : HANDOVER_ESTABLISHED
        RtsNotify(Me, SEXIT, "89aef1a1-e3ba-4067-880c-d87e834f046e", 0, NullString)
        RtsExitSSOf_HANDOVER_ESTABLISHED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_HANDOVER
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_HANDOVER
    ' 	RtsNotify(This,SEXIT,"d04b757b-598c-4706-a7fa-7fd3fb4aa36a",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_HANDOVER ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_HANDOVER()
      If Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER Then
        'Simulation support : Notification function call for exiting state : NO_HANDOVER
        RtsNotify(Me, SEXIT, "d04b757b-598c-4706-a7fa-7fd3fb4aa36a", 0, NullString)
        RtsExitSSOf_NO_HANDOVER()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ALLOW
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ALLOW
    ' 	RtsNotify(This,SEXIT,"15e1e6c5-6cac-43a0-9416-a0cadce5ad42",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ALLOW ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ALLOW()
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW Then
        'Simulation support : Notification function call for exiting state : ALLOW
        RtsNotify(Me, SEXIT, "15e1e6c5-6cac-43a0-9416-a0cadce5ad42", 0, NullString)
        RtsExitSSOf_ALLOW()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RETURN
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : RETURN
    ' 	RtsNotify(This,SEXIT,"15212936-05a3-4893-83ea-05b821ca7167",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_RETURN ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_RETURN()
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN Then
        'Simulation support : Notification function call for exiting state : RETURN
        RtsNotify(Me, SEXIT, "15212936-05a3-4893-83ea-05b821ca7167", 0, NullString)
        RtsExitSSOf_RETURN()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"c5d2c1c0-a72f-4050-ac38-bffa712066a5",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_1()
      If Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1 Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "c5d2c1c0-a72f-4050-ac38-bffa712066a5", 0, NullString)
        RtsExitSSOf_WAITING_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_2
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"f31513d8-89fd-43d8-a03a-8fb58edd2feb",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_2 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_2()
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2 Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "f31513d8-89fd-43d8-a03a-8fb58edd2feb", 0, NullString)
        RtsExitSSOf_WAITING_2()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_ACTIVATE
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : REQUEST_TO_ACTIVATE
    ' 	RtsNotify(This,SEXIT,"9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_REQUEST_TO_ACTIVATE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_REQUEST_TO_ACTIVATE()
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE Then
        'Simulation support : Notification function call for exiting state : REQUEST_TO_ACTIVATE
        RtsNotify(Me, SEXIT, "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8", 0, NullString)
        RtsExitSSOf_REQUEST_TO_ACTIVATE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_DEACTIVATE
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : REQUEST_TO_DEACTIVATE
    ' 	RtsNotify(This,SEXIT,"d7b487b0-108c-4860-a873-d371727d221d",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_REQUEST_TO_DEACTIVATE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_REQUEST_TO_DEACTIVATE()
      If Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE Then
        'Simulation support : Notification function call for exiting state : REQUEST_TO_DEACTIVATE
        RtsNotify(Me, SEXIT, "d7b487b0-108c-4860-a873-d371727d221d", 0, NullString)
        RtsExitSSOf_REQUEST_TO_DEACTIVATE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : COMMAND_HANDOVER_TO_LOCAL_OPERATION
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"9ce57006-4aba-481f-85f6-592f437c6cff",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"9ce57006-4aba-481f-85f6-592f437c6cff",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"6c1e3816-410f-4b11-b107-b7c45a1078aa",0,NullString);/* #REF1585# */
    ' /*##STRT 812175af-aca8-4e3b-af36-d5499dd32afc */  nullstat;/*##END 812175af-aca8-4e3b-af36-d5499dd32afc */ /* #REF1546# */
    ' This.RtsEnter_WAITING();/* #REF1590# */
    ' 
    Private Sub RtsDefault_COMMAND_HANDOVER_TO_LOCAL_OPERATION()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "9ce57006-4aba-481f-85f6-592f437c6cff", 0, NullString)
      RtsNotify(Me, SEXIT, "9ce57006-4aba-481f-85f6-592f437c6cff", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "6c1e3816-410f-4b11-b107-b7c45a1078aa", 0, NullString)
      Me.RtsEnter_WAITING()
    End Sub
    
    ' \ART_SMG :: Created for state : CONTROL_LOCAL_OPERATION
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' This.RtsEnter_CONTROL_LOCAL_OPERATION();/* #REF1572# */
    ' This.RtsDefault_COMMAND_HANDOVER_TO_LOCAL_OPERATION();/* #REF1573# */
    ' This.RtsDefault_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR();/* #REF1573# */
    ' This.RtsDefault_REQUEST_BY_LOCAL_OPERATOR();/* #REF1573# */
    ' 
    Private Sub RtsDefault_CONTROL_LOCAL_OPERATION()
      Me.RtsEnter_CONTROL_LOCAL_OPERATION()
      Me.RtsDefault_COMMAND_HANDOVER_TO_LOCAL_OPERATION()
      Me.RtsDefault_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR()
      Me.RtsDefault_REQUEST_BY_LOCAL_OPERATOR()
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"f69cf75d-f64f-41e9-800e-8cbaee4a3b53",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"f69cf75d-f64f-41e9-800e-8cbaee4a3b53",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"ac9d6d81-dc5d-43c1-b9ab-f9d48bc475ce",0,NullString);/* #REF1585# */
    ' /*##STRT 857ecf9a-798e-4f63-820c-229486532338 */  nullstat;/*##END 857ecf9a-798e-4f63-820c-229486532338 */ /* #REF1546# */
    ' This.RtsEnter_WAITING_1();/* #REF1590# */
    ' 
    Private Sub RtsDefault_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "f69cf75d-f64f-41e9-800e-8cbaee4a3b53", 0, NullString)
      RtsNotify(Me, SEXIT, "f69cf75d-f64f-41e9-800e-8cbaee4a3b53", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "ac9d6d81-dc5d-43c1-b9ab-f9d48bc475ce", 0, NullString)
      Me.RtsEnter_WAITING_1()
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_BY_LOCAL_OPERATOR
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"2d8aeea8-d5ce-4657-87e8-05e0528a7b46",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"2d8aeea8-d5ce-4657-87e8-05e0528a7b46",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"33ba9baa-f109-4d8e-9d9a-06c8106fe905",0,NullString);/* #REF1585# */
    ' /*##STRT 417d7a00-67f9-4ae5-ae87-e0d397d2bd2c */  nullstat;/*##END 417d7a00-67f9-4ae5-ae87-e0d397d2bd2c */ /* #REF1546# */
    ' This.RtsEnter_WAITING_2();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REQUEST_BY_LOCAL_OPERATOR()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "2d8aeea8-d5ce-4657-87e8-05e0528a7b46", 0, NullString)
      RtsNotify(Me, SEXIT, "2d8aeea8-d5ce-4657-87e8-05e0528a7b46", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "33ba9baa-f109-4d8e-9d9a-06c8106fe905", 0, NullString)
      Me.RtsEnter_WAITING_2()
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_Control_Local_Operation)
    End Sub
    
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Control_Local_Operation" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Control_Local_Operation, "RtsF_Control_Local_Operation_States");
    ' end if
    ' if Name = "RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION, "RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States");
    ' end if
    ' if Name = "RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States");
    ' end if
    ' if Name = "RtsCurrent_REQUEST_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_Control_Local_Operation" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Control_Local_Operation, "RtsF_Control_Local_Operation_States");
    ' end if
    ' if Name = "RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION, "RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States");
    ' end if
    ' if Name = "RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States");
    ' end if
    ' if Name = "RtsCurrent_REQUEST_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "9c47fa9f-13bf-4654-bb95-13001c4dd0ed";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "10";
    '   Value := Value + "|RtsCurrent_F_Control_Local_Operation";
    '   Value := Value + "|RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION";
    '   Value := Value + "|RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR";
    '   Value := Value + "|RtsCurrent_REQUEST_BY_LOCAL_OPERATOR";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_Control_Local_Operation";
    '   Value := Value + "|RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION";
    '   Value := Value + "|RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR";
    '   Value := Value + "|RtsCurrent_REQUEST_BY_LOCAL_OPERATOR";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_Control_Local_Operation)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Control_Local_Operation" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Control_Local_Operation, "RtsF_Control_Local_Operation_States")
      End If
      If Name = "RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION, "RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States")
      End If
      If Name = "RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States")
      End If
      If Name = "RtsCurrent_REQUEST_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_Control_Local_Operation" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Control_Local_Operation, "RtsF_Control_Local_Operation_States")
      End If
      If Name = "RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION, "RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States")
      End If
      If Name = "RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States")
      End If
      If Name = "RtsCurrent_REQUEST_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR, "RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "9c47fa9f-13bf-4654-bb95-13001c4dd0ed"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "10"
        Value = Value + "|RtsCurrent_F_Control_Local_Operation"
        Value = Value + "|RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION"
        Value = Value + "|RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR"
        Value = Value + "|RtsCurrent_REQUEST_BY_LOCAL_OPERATOR"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_Control_Local_Operation"
        Value = Value + "|RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION"
        Value = Value + "|RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR"
        Value = Value + "|RtsCurrent_REQUEST_BY_LOCAL_OPERATOR"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Control_Local_Operation" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Control_Local_Operation, Value, "RtsF_Control_Local_Operation_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_Operation_States));
    ' end if
    ' if Name = "RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION, Value, "RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States));
    ' end if
    ' if Name = "RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR, Value, "RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States));
    ' end if
    ' if Name = "RtsCurrent_REQUEST_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR, Value, "RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_Control_Local_Operation)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Control_Local_Operation" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Control_Local_Operation, Value, "RtsF_Control_Local_Operation_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_Operation_States))
      End If
      If Name = "RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION, Value, "RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States))
      End If
      If Name = "RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR, Value, "RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States))
      End If
      If Name = "RtsCurrent_REQUEST_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR, Value, "RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States", GetType(F_Control_Local_Operation.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : CONTROL_LOCAL_OPERATION
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b2ec10b4-085a-4509-85af-b993487cb1bd|") then
    '   OperatedStates := OperatedStates + "b2ec10b4-085a-4509-85af-b993487cb1bd|";
    ' end if
    ' /* #REF724# */
    ' select case This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_HANDOVER_INITIATED();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_HANDOVER_ESTABLISHED();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_HANDOVER();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION := RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States{enum_datatype}.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NotIn_COMMAND_HANDOVER_TO_LOCAL_OPERATION;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_ALLOW();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_RETURN();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING_1();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_NotIn_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING_2();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_REQUEST_TO_ACTIVATE();/* #REF730# */
    ' 	case RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_REQUEST_TO_DEACTIVATE();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR := RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_NotIn_REQUEST_BY_LOCAL_OPERATOR;/* #REF736# */
    ' 
    Private Sub RtsExitSSOf_CONTROL_LOCAL_OPERATION()
      If not OperatedStates.Contains("b2ec10b4-085a-4509-85af-b993487cb1bd|") Then
        OperatedStates = OperatedStates + "b2ec10b4-085a-4509-85af-b993487cb1bd|"
      End If
      Select Case Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION
        Case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_WAITING
          Me.RtsExit_WAITING()
        Case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_INITIATED
          Me.RtsExit_HANDOVER_INITIATED()
        Case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_HANDOVER_ESTABLISHED
          Me.RtsExit_HANDOVER_ESTABLISHED()
        Case RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NO_HANDOVER
          Me.RtsExit_NO_HANDOVER()
      End Select
      Me.RtsCurrent_COMMAND_HANDOVER_TO_LOCAL_OPERATION = RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States.RtsF_Control_Local_OperationCOMMAND_HANDOVER_TO_LOCAL_OPERATION_States_NotIn_COMMAND_HANDOVER_TO_LOCAL_OPERATION
      Select Case Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR
        Case RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_ALLOW
          Me.RtsExit_ALLOW()
        Case RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_RETURN
          Me.RtsExit_RETURN()
        Case RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_WAITING_1
          Me.RtsExit_WAITING_1()
      End Select
      Me.RtsCurrent_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationRECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR_States_NotIn_RECEIVE_INPUT_FOR_lOCAL_OPERATION_BY_LOCAL_OPERATOR
      Select Case Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR
        Case RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_WAITING_2
          Me.RtsExit_WAITING_2()
        Case RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE
          Me.RtsExit_REQUEST_TO_ACTIVATE()
        Case RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_DEACTIVATE
          Me.RtsExit_REQUEST_TO_DEACTIVATE()
      End Select
      Me.RtsCurrent_REQUEST_BY_LOCAL_OPERATOR = RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States.RtsF_Control_Local_OperationREQUEST_BY_LOCAL_OPERATOR_States_NotIn_REQUEST_BY_LOCAL_OPERATOR
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5ac1470c-d29d-40a6-ad75-eb5abb9db30e|") then
    '   OperatedStates := OperatedStates + "5ac1470c-d29d-40a6-ad75-eb5abb9db30e|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING()
      If not OperatedStates.Contains("5ac1470c-d29d-40a6-ad75-eb5abb9db30e|") Then
        OperatedStates = OperatedStates + "5ac1470c-d29d-40a6-ad75-eb5abb9db30e|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_INITIATED
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7b026d2d-e9ca-416d-8192-07b3f3310489|") then
    '   OperatedStates := OperatedStates + "7b026d2d-e9ca-416d-8192-07b3f3310489|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_HANDOVER_INITIATED()
      If not OperatedStates.Contains("7b026d2d-e9ca-416d-8192-07b3f3310489|") Then
        OperatedStates = OperatedStates + "7b026d2d-e9ca-416d-8192-07b3f3310489|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_ESTABLISHED
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("89aef1a1-e3ba-4067-880c-d87e834f046e|") then
    '   OperatedStates := OperatedStates + "89aef1a1-e3ba-4067-880c-d87e834f046e|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_HANDOVER_ESTABLISHED()
      If not OperatedStates.Contains("89aef1a1-e3ba-4067-880c-d87e834f046e|") Then
        OperatedStates = OperatedStates + "89aef1a1-e3ba-4067-880c-d87e834f046e|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_HANDOVER
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d04b757b-598c-4706-a7fa-7fd3fb4aa36a|") then
    '   OperatedStates := OperatedStates + "d04b757b-598c-4706-a7fa-7fd3fb4aa36a|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_HANDOVER()
      If not OperatedStates.Contains("d04b757b-598c-4706-a7fa-7fd3fb4aa36a|") Then
        OperatedStates = OperatedStates + "d04b757b-598c-4706-a7fa-7fd3fb4aa36a|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ALLOW
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("15e1e6c5-6cac-43a0-9416-a0cadce5ad42|") then
    '   OperatedStates := OperatedStates + "15e1e6c5-6cac-43a0-9416-a0cadce5ad42|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_ALLOW()
      If not OperatedStates.Contains("15e1e6c5-6cac-43a0-9416-a0cadce5ad42|") Then
        OperatedStates = OperatedStates + "15e1e6c5-6cac-43a0-9416-a0cadce5ad42|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RETURN
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("15212936-05a3-4893-83ea-05b821ca7167|") then
    '   OperatedStates := OperatedStates + "15212936-05a3-4893-83ea-05b821ca7167|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_RETURN()
      If not OperatedStates.Contains("15212936-05a3-4893-83ea-05b821ca7167|") Then
        OperatedStates = OperatedStates + "15212936-05a3-4893-83ea-05b821ca7167|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("c5d2c1c0-a72f-4050-ac38-bffa712066a5|") then
    '   OperatedStates := OperatedStates + "c5d2c1c0-a72f-4050-ac38-bffa712066a5|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_1()
      If not OperatedStates.Contains("c5d2c1c0-a72f-4050-ac38-bffa712066a5|") Then
        OperatedStates = OperatedStates + "c5d2c1c0-a72f-4050-ac38-bffa712066a5|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_2
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f31513d8-89fd-43d8-a03a-8fb58edd2feb|") then
    '   OperatedStates := OperatedStates + "f31513d8-89fd-43d8-a03a-8fb58edd2feb|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_2()
      If not OperatedStates.Contains("f31513d8-89fd-43d8-a03a-8fb58edd2feb|") Then
        OperatedStates = OperatedStates + "f31513d8-89fd-43d8-a03a-8fb58edd2feb|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_ACTIVATE
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|") then
    '   OperatedStates := OperatedStates + "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_REQUEST_TO_ACTIVATE()
      If not OperatedStates.Contains("9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|") Then
        OperatedStates = OperatedStates + "9e841bb7-bd35-42f7-a0f9-6c6fa0b136d8|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_DEACTIVATE
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d7b487b0-108c-4860-a873-d371727d221d|") then
    '   OperatedStates := OperatedStates + "d7b487b0-108c-4860-a873-d371727d221d|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_REQUEST_TO_DEACTIVATE()
      If not OperatedStates.Contains("d7b487b0-108c-4860-a873-d371727d221d|") Then
        OperatedStates = OperatedStates + "d7b487b0-108c-4860-a873-d371727d221d|"
      End If
    End Sub
    
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume D80out_Handover_To_local_Operation_State: a SySimOutputPort;
    ' assume D81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d81out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D82in_Request_by_Local_Operator: a SySimInputPort;
    ' assume d82out_Local_Operation_Handover: a SySimOutputPort;
    ' assume D83in_Con_Use_Local_Operation: a SySimInputPort;
    ' assume d8in_Handover_To_Local_Operator_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg17Tmp := (/*##STRT c8304dbb-2c02-4047-bcfa-23c868aa34f4 */ ( D82in_Request_by_Local_Operator = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END c8304dbb-2c02-4047-bcfa-23c868aa34f4 */ ) : Boolean;
    ' ChgFlg17 := EvalTrigger(ChgFlg17Tmp , ChgFlgLast17);
    ' declare ChgFlg8Tmp := (/*##STRT c6d4068e-d83a-4123-91dd-100db1fdc867 */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END c6d4068e-d83a-4123-91dd-100db1fdc867 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg3Tmp := (/*##STRT 58d87899-f456-4ec7-b043-34ddfb25fb0d */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END 58d87899-f456-4ec7-b043-34ddfb25fb0d */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg5Tmp := (/*##STRT e4d98830-41f7-481a-9e1b-f35443bdce94 */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END e4d98830-41f7-481a-9e1b-f35443bdce94 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg9Tmp := (/*##STRT 590265ba-3c71-4aa3-8dca-6a666c252cd7 */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END 590265ba-3c71-4aa3-8dca-6a666c252cd7 */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' declare ChgFlg2Tmp := (/*##STRT 546586b5-4258-492b-ab65-9e3163f826ea */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END 546586b5-4258-492b-ab65-9e3163f826ea */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg11Tmp := (/*##STRT fd0189fc-6426-4a16-93b6-c7c788ccc57a */ ( D81in_Local_Operation_Handover = "Allow handover to local operator" And D83in_Con_Use_Local_Operation )/*##END fd0189fc-6426-4a16-93b6-c7c788ccc57a */ ) : Boolean;
    ' ChgFlg11 := EvalTrigger(ChgFlg11Tmp , ChgFlgLast11);
    ' declare ChgFlg10Tmp := (/*##STRT 21485af7-07ac-45a9-aec3-e682e2ea9362 */ ( D81in_Local_Operation_Handover = "Return handover from local operator" And D83in_Con_Use_Local_Operation )/*##END 21485af7-07ac-45a9-aec3-e682e2ea9362 */ ) : Boolean;
    ' ChgFlg10 := EvalTrigger(ChgFlg10Tmp , ChgFlgLast10);
    ' declare ChgFlg13Tmp := (/*##STRT 8585f88f-631c-45c6-9243-0b4bbee15537 */ ( D81in_Local_Operation_Handover = "Return handover from local operator" And D83in_Con_Use_Local_Operation )/*##END 8585f88f-631c-45c6-9243-0b4bbee15537 */ ) : Boolean;
    ' ChgFlg13 := EvalTrigger(ChgFlg13Tmp , ChgFlgLast13);
    ' declare ChgFlg4Tmp := (/*##STRT 3e9f5454-4727-4fb1-bf87-5491f6a77d2e */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END 3e9f5454-4727-4fb1-bf87-5491f6a77d2e */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg1Tmp := (/*##STRT e581b89a-45f0-45ba-a671-134fa74f228a */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END e581b89a-45f0-45ba-a671-134fa74f228a */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg15Tmp := (/*##STRT f2998f9e-cc0a-44c0-9f5d-fdc875fff2b1 */ ( D82in_Request_by_Local_Operator = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END f2998f9e-cc0a-44c0-9f5d-fdc875fff2b1 */ ) : Boolean;
    ' ChgFlg15 := EvalTrigger(ChgFlg15Tmp , ChgFlgLast15);
    ' declare ChgFlg16Tmp := (/*##STRT e7dfad3a-ec22-4f70-b40c-9b000b8a21f3 */ ( D82in_Request_by_Local_Operator = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END e7dfad3a-ec22-4f70-b40c-9b000b8a21f3 */ ) : Boolean;
    ' ChgFlg16 := EvalTrigger(ChgFlg16Tmp , ChgFlgLast16);
    ' declare ChgFlg14Tmp := (/*##STRT c506f3a3-1909-43e9-90b6-118da8e48acb */ ( D82in_Request_by_Local_Operator = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END c506f3a3-1909-43e9-90b6-118da8e48acb */ ) : Boolean;
    ' ChgFlg14 := EvalTrigger(ChgFlg14Tmp , ChgFlgLast14);
    ' declare ChgFlg12Tmp := (/*##STRT ee54677c-fcd2-4a53-aee9-1283e9d733b1 */ ( D81in_Local_Operation_Handover = "Allow handover to local operator" And D83in_Con_Use_Local_Operation )/*##END ee54677c-fcd2-4a53-aee9-1283e9d733b1 */ ) : Boolean;
    ' ChgFlg12 := EvalTrigger(ChgFlg12Tmp , ChgFlgLast12);
    ' declare ChgFlg6Tmp := (/*##STRT 8d31a56c-faf2-42a4-861b-4731e45932d5 */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END 8d31a56c-faf2-42a4-861b-4731e45932d5 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg7Tmp := (/*##STRT a302d7d9-44e1-481e-b4f8-be09729f3305 */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END a302d7d9-44e1-481e-b4f8-be09729f3305 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast17 := ChgFlg17Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast11 := ChgFlg11Tmp;
    ' ChgFlgLast10 := ChgFlg10Tmp;
    ' ChgFlgLast13 := ChgFlg13Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast15 := ChgFlg15Tmp;
    ' ChgFlgLast16 := ChgFlg16Tmp;
    ' ChgFlgLast14 := ChgFlg14Tmp;
    ' ChgFlgLast12 := ChgFlg12Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg17 := (/*##STRT c8304dbb-2c02-4047-bcfa-23c868aa34f4 */ ( D82in_Request_by_Local_Operator = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END c8304dbb-2c02-4047-bcfa-23c868aa34f4 */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT c6d4068e-d83a-4123-91dd-100db1fdc867 */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END c6d4068e-d83a-4123-91dd-100db1fdc867 */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 58d87899-f456-4ec7-b043-34ddfb25fb0d */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END 58d87899-f456-4ec7-b043-34ddfb25fb0d */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT e4d98830-41f7-481a-9e1b-f35443bdce94 */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END e4d98830-41f7-481a-9e1b-f35443bdce94 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT 590265ba-3c71-4aa3-8dca-6a666c252cd7 */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END 590265ba-3c71-4aa3-8dca-6a666c252cd7 */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT 546586b5-4258-492b-ab65-9e3163f826ea */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END 546586b5-4258-492b-ab65-9e3163f826ea */ ) : Boolean;
    '   declare MaskedChgFlg11 := (/*##STRT fd0189fc-6426-4a16-93b6-c7c788ccc57a */ ( D81in_Local_Operation_Handover = "Allow handover to local operator" And D83in_Con_Use_Local_Operation )/*##END fd0189fc-6426-4a16-93b6-c7c788ccc57a */ ) : Boolean;
    '   declare MaskedChgFlg10 := (/*##STRT 21485af7-07ac-45a9-aec3-e682e2ea9362 */ ( D81in_Local_Operation_Handover = "Return handover from local operator" And D83in_Con_Use_Local_Operation )/*##END 21485af7-07ac-45a9-aec3-e682e2ea9362 */ ) : Boolean;
    '   declare MaskedChgFlg13 := (/*##STRT 8585f88f-631c-45c6-9243-0b4bbee15537 */ ( D81in_Local_Operation_Handover = "Return handover from local operator" And D83in_Con_Use_Local_Operation )/*##END 8585f88f-631c-45c6-9243-0b4bbee15537 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 3e9f5454-4727-4fb1-bf87-5491f6a77d2e */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END 3e9f5454-4727-4fb1-bf87-5491f6a77d2e */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT e581b89a-45f0-45ba-a671-134fa74f228a */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END e581b89a-45f0-45ba-a671-134fa74f228a */ ) : Boolean;
    '   declare MaskedChgFlg15 := (/*##STRT f2998f9e-cc0a-44c0-9f5d-fdc875fff2b1 */ ( D82in_Request_by_Local_Operator = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END f2998f9e-cc0a-44c0-9f5d-fdc875fff2b1 */ ) : Boolean;
    '   declare MaskedChgFlg16 := (/*##STRT e7dfad3a-ec22-4f70-b40c-9b000b8a21f3 */ ( D82in_Request_by_Local_Operator = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END e7dfad3a-ec22-4f70-b40c-9b000b8a21f3 */ ) : Boolean;
    '   declare MaskedChgFlg14 := (/*##STRT c506f3a3-1909-43e9-90b6-118da8e48acb */ ( D82in_Request_by_Local_Operator = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END c506f3a3-1909-43e9-90b6-118da8e48acb */ ) : Boolean;
    '   declare MaskedChgFlg12 := (/*##STRT ee54677c-fcd2-4a53-aee9-1283e9d733b1 */ ( D81in_Local_Operation_Handover = "Allow handover to local operator" And D83in_Con_Use_Local_Operation )/*##END ee54677c-fcd2-4a53-aee9-1283e9d733b1 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT 8d31a56c-faf2-42a4-861b-4731e45932d5 */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END 8d31a56c-faf2-42a4-861b-4731e45932d5 */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT a302d7d9-44e1-481e-b4f8-be09729f3305 */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END a302d7d9-44e1-481e-b4f8-be09729f3305 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg17 := (/*##STRT c8304dbb-2c02-4047-bcfa-23c868aa34f4 */ ( D82in_Request_by_Local_Operator = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END c8304dbb-2c02-4047-bcfa-23c868aa34f4 */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT c6d4068e-d83a-4123-91dd-100db1fdc867 */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END c6d4068e-d83a-4123-91dd-100db1fdc867 */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 58d87899-f456-4ec7-b043-34ddfb25fb0d */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END 58d87899-f456-4ec7-b043-34ddfb25fb0d */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT e4d98830-41f7-481a-9e1b-f35443bdce94 */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END e4d98830-41f7-481a-9e1b-f35443bdce94 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT 590265ba-3c71-4aa3-8dca-6a666c252cd7 */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END 590265ba-3c71-4aa3-8dca-6a666c252cd7 */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT 546586b5-4258-492b-ab65-9e3163f826ea */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END 546586b5-4258-492b-ab65-9e3163f826ea */ ) : Boolean;
    '   declare UnMaskedChgFlg11 := (/*##STRT fd0189fc-6426-4a16-93b6-c7c788ccc57a */ ( D81in_Local_Operation_Handover = "Allow handover to local operator" And D83in_Con_Use_Local_Operation )/*##END fd0189fc-6426-4a16-93b6-c7c788ccc57a */ ) : Boolean;
    '   declare UnMaskedChgFlg10 := (/*##STRT 21485af7-07ac-45a9-aec3-e682e2ea9362 */ ( D81in_Local_Operation_Handover = "Return handover from local operator" And D83in_Con_Use_Local_Operation )/*##END 21485af7-07ac-45a9-aec3-e682e2ea9362 */ ) : Boolean;
    '   declare UnMaskedChgFlg13 := (/*##STRT 8585f88f-631c-45c6-9243-0b4bbee15537 */ ( D81in_Local_Operation_Handover = "Return handover from local operator" And D83in_Con_Use_Local_Operation )/*##END 8585f88f-631c-45c6-9243-0b4bbee15537 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 3e9f5454-4727-4fb1-bf87-5491f6a77d2e */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END 3e9f5454-4727-4fb1-bf87-5491f6a77d2e */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT e581b89a-45f0-45ba-a671-134fa74f228a */ ( d8in_Handover_To_Local_Operator_State = "Established" And D83in_Con_Use_Local_Operation )/*##END e581b89a-45f0-45ba-a671-134fa74f228a */ ) : Boolean;
    '   declare UnMaskedChgFlg15 := (/*##STRT f2998f9e-cc0a-44c0-9f5d-fdc875fff2b1 */ ( D82in_Request_by_Local_Operator = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END f2998f9e-cc0a-44c0-9f5d-fdc875fff2b1 */ ) : Boolean;
    '   declare UnMaskedChgFlg16 := (/*##STRT e7dfad3a-ec22-4f70-b40c-9b000b8a21f3 */ ( D82in_Request_by_Local_Operator = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END e7dfad3a-ec22-4f70-b40c-9b000b8a21f3 */ ) : Boolean;
    '   declare UnMaskedChgFlg14 := (/*##STRT c506f3a3-1909-43e9-90b6-118da8e48acb */ ( D82in_Request_by_Local_Operator = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation )/*##END c506f3a3-1909-43e9-90b6-118da8e48acb */ ) : Boolean;
    '   declare UnMaskedChgFlg12 := (/*##STRT ee54677c-fcd2-4a53-aee9-1283e9d733b1 */ ( D81in_Local_Operation_Handover = "Allow handover to local operator" And D83in_Con_Use_Local_Operation )/*##END ee54677c-fcd2-4a53-aee9-1283e9d733b1 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT 8d31a56c-faf2-42a4-861b-4731e45932d5 */ ( d8in_Handover_To_Local_Operator_State = "No Handover" And D83in_Con_Use_Local_Operation )/*##END 8d31a56c-faf2-42a4-861b-4731e45932d5 */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT a302d7d9-44e1-481e-b4f8-be09729f3305 */ ( d8in_Handover_To_Local_Operator_State = "Initiated" And D83in_Con_Use_Local_Operation )/*##END a302d7d9-44e1-481e-b4f8-be09729f3305 */ ) : Boolean;
    '   declare PreviousChgFlg17 := ChgFlg17 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg11 := ChgFlg11 : Boolean;
    '   declare PreviousChgFlg10 := ChgFlg10 : Boolean;
    '   declare PreviousChgFlg13 := ChgFlg13 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg15 := ChgFlg15 : Boolean;
    '   declare PreviousChgFlg16 := ChgFlg16 : Boolean;
    '   declare PreviousChgFlg14 := ChgFlg14 : Boolean;
    '   declare PreviousChgFlg12 := ChgFlg12 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := True;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := True;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := True;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := True;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := True;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := True;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := True;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := True;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := True;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := True;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := True;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := True;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := True;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := True;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := True;
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := True;
    '   ChgFlg7 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg8 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg9 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg10 := False;
    '   ChgFlg13 := False;
    '   ChgFlg4 := False;
    '   ChgFlg1 := False;
    '   ChgFlg15 := False;
    '   ChgFlg16 := False;
    '   ChgFlg14 := False;
    '   ChgFlg12 := False;
    '   ChgFlg6 := False;
    '   ChgFlg7 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg17 := false;
    ' ChgFlg8 := false;
    ' ChgFlg3 := false;
    ' ChgFlg5 := false;
    ' ChgFlg9 := false;
    ' ChgFlg2 := false;
    ' ChgFlg11 := false;
    ' ChgFlg10 := false;
    ' ChgFlg13 := false;
    ' ChgFlg4 := false;
    ' ChgFlg1 := false;
    ' ChgFlg15 := false;
    ' ChgFlg16 := false;
    ' ChgFlg14 := false;
    ' ChgFlg12 := false;
    ' ChgFlg6 := false;
    ' ChgFlg7 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg17Tmp As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg17 = EvalTrigger(ChgFlg17Tmp, ChgFlgLast17)
      Dim ChgFlg8Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg3Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg5Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg9Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      Dim ChgFlg2Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg11Tmp As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg11 = EvalTrigger(ChgFlg11Tmp, ChgFlgLast11)
      Dim ChgFlg10Tmp As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg10 = EvalTrigger(ChgFlg10Tmp, ChgFlgLast10)
      Dim ChgFlg13Tmp As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg13 = EvalTrigger(ChgFlg13Tmp, ChgFlgLast13)
      Dim ChgFlg4Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg1Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg15Tmp As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg15 = EvalTrigger(ChgFlg15Tmp, ChgFlgLast15)
      Dim ChgFlg16Tmp As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg16 = EvalTrigger(ChgFlg16Tmp, ChgFlgLast16)
      Dim ChgFlg14Tmp As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg14 = EvalTrigger(ChgFlg14Tmp, ChgFlgLast14)
      Dim ChgFlg12Tmp As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg12 = EvalTrigger(ChgFlg12Tmp, ChgFlgLast12)
      Dim ChgFlg6Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg7Tmp As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast17 = ChgFlg17Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast11 = ChgFlg11Tmp
      ChgFlgLast10 = ChgFlg10Tmp
      ChgFlgLast13 = ChgFlg13Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast15 = ChgFlg15Tmp
      ChgFlgLast16 = ChgFlg16Tmp
      ChgFlgLast14 = ChgFlg14Tmp
      ChgFlgLast12 = ChgFlg12Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg17 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg8 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg9 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg2 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg11 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg10 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg13 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg15 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg16 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg14 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg12 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg6 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim MaskedChgFlg7 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg17 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg8 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg9 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg2 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg11 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg10 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg13 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Established" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg15 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg16 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to deactivate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg14 As Boolean = ((D82in_Request_by_Local_Operator.GetLatchedValue() = "Request to activate the level Crossing" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg12 As Boolean = ((D81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg6 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "No Handover" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim UnMaskedChgFlg7 As Boolean = ((d8in_Handover_To_Local_Operator_State.GetLatchedValue() = "Initiated" And D83in_Con_Use_Local_Operation.GetLatchedValue()))
        Dim PreviousChgFlg17 As Boolean = ChgFlg17
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg11 As Boolean = ChgFlg11
        Dim PreviousChgFlg10 As Boolean = ChgFlg10
        Dim PreviousChgFlg13 As Boolean = ChgFlg13
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg15 As Boolean = ChgFlg15
        Dim PreviousChgFlg16 As Boolean = ChgFlg16
        Dim PreviousChgFlg14 As Boolean = ChgFlg14
        Dim PreviousChgFlg12 As Boolean = ChgFlg12
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = True
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = True
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = True
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = True
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = True
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = True
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = True
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = True
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = True
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = True
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = True
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = True
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = True
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = True
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = True
          ChgFlg6 = False
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = True
          ChgFlg7 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg8 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg9 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg10 = False
          ChgFlg13 = False
          ChgFlg4 = False
          ChgFlg1 = False
          ChgFlg15 = False
          ChgFlg16 = False
          ChgFlg14 = False
          ChgFlg12 = False
          ChgFlg6 = False
          ChgFlg7 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg17 = False
      ChgFlg8 = False
      ChgFlg3 = False
      ChgFlg5 = False
      ChgFlg9 = False
      ChgFlg2 = False
      ChgFlg11 = False
      ChgFlg10 = False
      ChgFlg13 = False
      ChgFlg4 = False
      ChgFlg1 = False
      ChgFlg15 = False
      ChgFlg16 = False
      ChgFlg14 = False
      ChgFlg12 = False
      ChgFlg6 = False
      ChgFlg7 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or D81in_Local_Operation_Handover.Decrement())
      Ret = (Ret Or D82in_Request_by_Local_Operator.Decrement())
      Ret = (Ret Or D83in_Con_Use_Local_Operation.Decrement())
      Ret = (Ret Or d8in_Handover_To_Local_Operator_State.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      D81in_Local_Operation_Handover.Mask(What)
      D82in_Request_by_Local_Operator.Mask(What)
      D83in_Con_Use_Local_Operation.Mask(What)
      d8in_Handover_To_Local_Operator_State.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  ' Entity 'F_Control_Output_Channel_State' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'F_Control_Safe_State_Of_All_Physical_Output_Channel' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'F_Detect_Input_Channel_State' not generated by SySim because unreferenced or not having qualifying stereotypes
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_EST_EfeS : Implements SMSupport.SMQueued 
    Protected Class F_EST_EfeSSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_EST_EfeS = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
          Case PDI_Connection_Closed.Id
            Dim TheMsg As PDI_Connection_Closed = Msg
            TheTarget.RtsPDI_Connection_Closed()
          Case PDI_Released_For_Maintenance.Id
            Dim TheMsg As PDI_Released_For_Maintenance = Msg
            TheTarget.RtsPDI_Released_For_Maintenance()
          Case MDM_Triggered_Reset.Id
            Dim TheMsg As MDM_Triggered_Reset = Msg
            TheTarget.RtsMDM_Triggered_Reset()
          Case Reboot_Required.Id
            Dim TheMsg As Reboot_Required = Msg
            TheTarget.RtsReboot_Required()
          Case Data_Update_Finished.Id
            Dim TheMsg As Data_Update_Finished = Msg
            TheTarget.RtsData_Update_Finished()
          Case PDI_Connection_Established.Id
            Dim TheMsg As PDI_Connection_Established = Msg
            TheTarget.RtsPDI_Connection_Established()
          Case MDM_Commanded_Maintenance.Id
            Dim TheMsg As MDM_Commanded_Maintenance = Msg
            TheTarget.RtsMDM_Commanded_Maintenance()
          Case PDI_Connection_Started.Id
            Dim TheMsg As PDI_Connection_Started = Msg
            TheTarget.RtsPDI_Connection_Started()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_EST_EfeS_States
      RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE
      RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED
      RtsF_EST_EfeS_States_NotIn_F_EST_EfeS
    End Enum
    Public Enum RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States
      RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING
      RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL
      RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE
      RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING
      RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_NotIn_OPERATING_VOLTAGE_SUPPLIED
    End Enum
    Public Enum RtsF_EST_EfeSINITIALISING_States
      RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE
      RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI
      RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE
      RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT
      RtsF_EST_EfeSINITIALISING_States_NotIn_INITIALISING
    End Enum
    ' \ART_SMG :: Created for state : F_EST_EfeS
    Private RtsCurrent_F_EST_EfeS As F_EST_EfeS.RtsF_EST_EfeS_States
    ' \ART_SMG :: Created for state : OPERATING_VOLTAGE_SUPPLIED
    Private RtsCurrent_OPERATING_VOLTAGE_SUPPLIED As F_EST_EfeS.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States
    ' \ART_SMG :: Created for state : INITIALISING
    Private RtsCurrent_INITIALISING As F_EST_EfeS.RtsF_EST_EfeSINITIALISING_States
    ' \ART_SMG :: Created for state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    Private RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1 As SMSupport.RtsTimer
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private ChgFlgLast10 As Boolean
    Private ChgFlg10 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_EST_EfeSSMQueue = New F_EST_EfeSSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The port T1in_Power_On_Detected indicates that the voltage reaches the permitted range for operation.
    Protected T1in_Power_On_Detected As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T2in_Power_Off_Detected indicates that voltage leaves the permitted range for operation.
    Protected T2in_Power_Off_Detected As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T3in_Reset represents the receiving of the request Local_Reset from Maintainer.
    Protected T3in_Reset As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T4in_Booted indicates that the booting process was completed successfully.
    ' 
    ' T4in_Booted shall be trigged under the following conditions:
    ' - all conditions for the required Safety Integrity Level are fulfilled
    ' - the basic data is valid and complete
    ' - the safe communication protocol connection is disconnected
    ' - the time synchronisation was initiated
    Protected T4in_Booted As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T5in_SIL_Not_Fulfilled indicates that at least one condition for the needed Safety Integrity Level is not fulfilled.
    Protected T5in_SIL_Not_Fulfilled As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T7in_Invalid_Or_Missing_Basic_Data indicates a failed validity check of Basic Data on the system data interface to Basic Data identifier.
    Protected T7in_Invalid_Or_Missing_Basic_Data As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port d51out_EST_EfeS_State indicates the current essential state of the EULYNX field element Subsystem.
    ' This Operation_State is displayed at the local status display for the Maintainer.
    Protected d51out_EST_EfeS_State As OOutputPort(Of String)
    ' The port D20in_Con_MDM_Used provides configuration values whether the MDM is used during initialisation.
    ' 
    ' The following values are permitted:
    ' - true: MDM is used
    ' - false: MDM is not used
    Protected D20in_Con_MDM_Used As OInputPort(Of Boolean)
    ' The port d52out_EST_EfeS_init_SubState indicates the current substate within the essential state INITIALISING of the EULYNX field element Subsystem.
    Protected d52out_EST_EfeS_init_SubState As OOutputPort(Of String)
    Protected p2inout As OInputOutputPort(Of EST_SCI_GEN)
    Protected p3inout As OInputOutputPort(Of EST_SMI_GEN)
    ' The port D21in_Con_tmax_No_Maintenance refines the time value Con_tmax_No_Maintenance.
    Protected D21in_Con_tmax_No_Maintenance As OInputPort(Of Integer)
    ' The operation cOp1_init initialises all output ports and block properties.
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp1_init */
    ' 
    ' d52out_EST_EfeS_init_SubState := "unknown";
    Public Sub cOp1_init()
      d52out_EST_EfeS_init_SubState.SetValue("unknown")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' pInstance.RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1();
    Private Shared Sub RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_CallBack(ByRef pInstance As F_EST_EfeS)
      pInstance.RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1()
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_EST_EfeS: on object;
    ' assume RtsCurrent_OPERATING_VOLTAGE_SUPPLIED: on object;
    ' assume RtsCurrent_INITIALISING: on object;
    ' assume RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING then
    ' /* #REF123# */
    ' 	/* 584378e8-56e4-4e55-95b6-e6ab3b8cb2d9 BOOTING */
    '   ThisState := "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_BOOTING */
    ' 		/* standard */
    ' 		This.RtsExit_BOOTING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"5180c282-17be-4c00-8f87-88345df90804",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4fb47724-f471-46ee-a8b3-31fab2e02957 */  nullstat;/*##END 4fb47724-f471-46ee-a8b3-31fab2e02957 */ /* #REF1546# */
    ' 		This.RtsDefault_INITIALISING();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING then
    ' /* #REF123# */
    ' 	/* 584378e8-56e4-4e55-95b6-e6ab3b8cb2d9 BOOTING */
    '   ThisState := "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_BOOTING */
    ' 		/* standard */
    ' 		This.RtsExit_BOOTING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"25a8d0fb-7a48-4d93-8165-36208b292bb6",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 47f7e709-225c-43b0-8c82-5c620c6e7a7f */  nullstat;/*##END 47f7e709-225c-43b0-8c82-5c620c6e7a7f */ /* #REF1546# */
    ' 		This.RtsEnter_FALLBACK_MODE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING then
    ' /* #REF123# */
    ' 	/* 584378e8-56e4-4e55-95b6-e6ab3b8cb2d9 BOOTING */
    '   ThisState := "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_BOOTING */
    ' 		/* standard */
    ' 		This.RtsExit_BOOTING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d9ef2cde-a46b-4c43-9030-d3c86c4ba0c9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 1f8794ec-5d4f-48c5-b562-4941646124ff */  nullstat;/*##END 1f8794ec-5d4f-48c5-b562-4941646124ff */ /* #REF1546# */
    ' 		This.RtsEnter_FALLBACK_MODE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL then
    ' /* #REF123# */
    ' 	/* a4636040-14bc-476e-ad26-646acfd7b1e2 OPERATIONAL */
    '   ThisState := "a4636040-14bc-476e-ad26-646acfd7b1e2";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OPERATIONAL */
    ' 		/* standard */
    ' 		This.RtsExit_OPERATIONAL();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"4a4e18c4-9802-4412-812e-07b78a8b2898",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT e23443ca-2619-48f2-8ab3-9a64078a184d */ 
    ' send NotReady_For_PDI_Connection to p2inout ; nullstat;/*##END e23443ca-2619-48f2-8ab3-9a64078a184d */ /* #REF1546# */
    ' 		This.RtsEnter_BOOTING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL then
    ' /* #REF123# */
    ' 	/* a4636040-14bc-476e-ad26-646acfd7b1e2 OPERATIONAL */
    '   ThisState := "a4636040-14bc-476e-ad26-646acfd7b1e2";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OPERATIONAL */
    ' 		/* standard */
    ' 		This.RtsExit_OPERATIONAL();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"38781306-21cd-4575-98c5-41e1fe7caa79",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT d36ab99b-3cab-4ee1-9547-7d8c929828cd */ 
    ' send NotReady_For_PDI_Connection to p2inout ; nullstat;/*##END d36ab99b-3cab-4ee1-9547-7d8c929828cd */ /* #REF1546# */
    ' 		This.RtsEnter_FALLBACK_MODE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE then
    ' /* #REF123# */
    ' 	/* 27b5cf4a-4264-49c1-a4de-bb0da190439b FALLBACK_MODE */
    '   ThisState := "27b5cf4a-4264-49c1-a4de-bb0da190439b";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_FALLBACK_MODE */
    ' 		/* standard */
    ' 		This.RtsExit_FALLBACK_MODE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e7686964-6df2-4a1c-8fbe-4c853eb72e48",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 0110ca88-06bd-4084-bfdd-8e069c074178 */  nullstat;/*##END 0110ca88-06bd-4084-bfdd-8e069c074178 */ /* #REF1546# */
    ' 		This.RtsEnter_BOOTING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then
    ' /* #REF123# */
    ' 	/* 97fddfbe-c29c-49ad-bc52-e3f5344cc678 INITIALISING */
    '   ThisState := "97fddfbe-c29c-49ad-bc52-e3f5344cc678";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_INITIALISING */
    ' 		/* standard */
    ' 		This.RtsExit_INITIALISING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a72da017-7802-4fae-b997-e619c6efa5f2",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT a8325fd0-c430-4a9c-89de-3260e739a736 */ 
    ' send NotReady_For_PDI_Connection to p2inout ;
    ' send Data_Update_Stop to p3inout ; nullstat;/*##END a8325fd0-c430-4a9c-89de-3260e739a736 */ /* #REF1546# */
    ' 		This.RtsEnter_BOOTING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then
    ' /* #REF123# */
    ' 	/* 97fddfbe-c29c-49ad-bc52-e3f5344cc678 INITIALISING */
    '   ThisState := "97fddfbe-c29c-49ad-bc52-e3f5344cc678";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_INITIALISING */
    ' 		/* standard */
    ' 		This.RtsExit_INITIALISING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"c75dc6af-e202-447c-97b5-ba2c42aad68e",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ca70d3b5-ba0e-49b7-a102-c38332020cba */ 
    ' send NotReady_For_PDI_Connection to p2inout ;
    ' send Data_Update_Stop to p3inout ; nullstat;/*##END ca70d3b5-ba0e-49b7-a102-c38332020cba */ /* #REF1546# */
    ' 		This.RtsEnter_FALLBACK_MODE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_EST_EfeS =  /* #REF121d# */ RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_NotIn_F_EST_EfeS then
    ' /* #REF123# */
    ' 	/* 4e930f52-6a26-4347-96d1-af6980f7568a Initial0 */
    '   ThisState := "4e930f52-6a26-4347-96d1-af6980f7568a";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"4e930f52-6a26-4347-96d1-af6980f7568a",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"4e930f52-6a26-4347-96d1-af6980f7568a",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"3a5596ad-c593-4a3a-a9e3-5bf451d83277",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT e01bc6bf-0ce4-4785-a408-efe2e9e9a0a4 */  cOp1_init (); nullstat;/*##END e01bc6bf-0ce4-4785-a408-efe2e9e9a0a4 */ /* #REF1546# */
    ' 	This.RtsEnter_NO_OPERATING_VOLTAGE();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE then
    ' /* #REF123# */
    ' 	/* 48d2e301-6c43-4f1e-82ec-35deaeb2d862 NO_OPERATING_VOLTAGE */
    '   ThisState := "48d2e301-6c43-4f1e-82ec-35deaeb2d862";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_OPERATING_VOLTAGE */
    ' 		/* standard */
    ' 		This.RtsExit_NO_OPERATING_VOLTAGE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"3a434511-0eba-445e-80cd-df00c7bb50d0",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 6f895cc2-9f02-4994-8ce2-c881c34b6acb */  nullstat;/*##END 6f895cc2-9f02-4994-8ce2-c881c34b6acb */ /* #REF1546# */
    ' 		This.RtsDefault_OPERATING_VOLTAGE_SUPPLIED();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then
    ' /* #REF123# */
    ' 	/* da616023-5253-4e05-b886-1b1bb3e7a15e OPERATING_VOLTAGE_SUPPLIED */
    '   ThisState := "da616023-5253-4e05-b886-1b1bb3e7a15e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OPERATING_VOLTAGE_SUPPLIED */
    ' 		/* standard */
    ' 		This.RtsExit_OPERATING_VOLTAGE_SUPPLIED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"f6de535f-bdb1-4d7f-9713-24010fa30ec1",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 2bdff95d-1d26-4962-beee-38965938fd35 */ 
    ' send NotReady_For_PDI_Connection to p2inout ;
    ' send Data_Update_Stop to p3inout ; nullstat;/*##END 2bdff95d-1d26-4962-beee-38965938fd35 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_OPERATING_VOLTAGE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING Then
        ThisState = "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_BOOTING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "5180c282-17be-4c00-8f87-88345df90804", 0, NullString)
          Me.RtsDefault_INITIALISING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING Then
        ThisState = "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_BOOTING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "25a8d0fb-7a48-4d93-8165-36208b292bb6", 0, NullString)
          Me.RtsEnter_FALLBACK_MODE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING Then
        ThisState = "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_BOOTING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d9ef2cde-a46b-4c43-9030-d3c86c4ba0c9", 0, NullString)
          Me.RtsEnter_FALLBACK_MODE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL Then
        ThisState = "a4636040-14bc-476e-ad26-646acfd7b1e2"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OPERATIONAL()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "4a4e18c4-9802-4412-812e-07b78a8b2898", 0, NullString)
          p2inout.SendEvent(New NotReady_For_PDI_Connection)
          Me.RtsEnter_BOOTING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL Then
        ThisState = "a4636040-14bc-476e-ad26-646acfd7b1e2"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OPERATIONAL()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "38781306-21cd-4575-98c5-41e1fe7caa79", 0, NullString)
          p2inout.SendEvent(New NotReady_For_PDI_Connection)
          Me.RtsEnter_FALLBACK_MODE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE Then
        ThisState = "27b5cf4a-4264-49c1-a4de-bb0da190439b"
        If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          Me.RtsExit_FALLBACK_MODE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e7686964-6df2-4a1c-8fbe-4c853eb72e48", 0, NullString)
          Me.RtsEnter_BOOTING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        ThisState = "97fddfbe-c29c-49ad-bc52-e3f5344cc678"
        If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
          Me.RtsExit_INITIALISING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a72da017-7802-4fae-b997-e619c6efa5f2", 0, NullString)
          p2inout.SendEvent(New NotReady_For_PDI_Connection)
          p3inout.SendEvent(New Data_Update_Stop)
          Me.RtsEnter_BOOTING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        ThisState = "97fddfbe-c29c-49ad-bc52-e3f5344cc678"
        If SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) Then
          Me.RtsExit_INITIALISING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "c75dc6af-e202-447c-97b5-ba2c42aad68e", 0, NullString)
          p2inout.SendEvent(New NotReady_For_PDI_Connection)
          p3inout.SendEvent(New Data_Update_Stop)
          Me.RtsEnter_FALLBACK_MODE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_NotIn_F_EST_EfeS Then
        ThisState = "4e930f52-6a26-4347-96d1-af6980f7568a"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "4e930f52-6a26-4347-96d1-af6980f7568a", 0, NullString)
        RtsNotify(Me, SEXIT, "4e930f52-6a26-4347-96d1-af6980f7568a", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "3a5596ad-c593-4a3a-a9e3-5bf451d83277", 0, NullString)
        cOp1_init()
        Me.RtsEnter_NO_OPERATING_VOLTAGE()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE Then
        ThisState = "48d2e301-6c43-4f1e-82ec-35deaeb2d862"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NO_OPERATING_VOLTAGE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "3a434511-0eba-445e-80cd-df00c7bb50d0", 0, NullString)
          Me.RtsDefault_OPERATING_VOLTAGE_SUPPLIED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        ThisState = "da616023-5253-4e05-b886-1b1bb3e7a15e"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OPERATING_VOLTAGE_SUPPLIED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "f6de535f-bdb1-4d7f-9713-24010fa30ec1", 0, NullString)
          p2inout.SendEvent(New NotReady_For_PDI_Connection)
          p3inout.SendEvent(New Data_Update_Stop)
          Me.RtsEnter_NO_OPERATING_VOLTAGE()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "e27d2f54-250b-41b4-93ec-84cbc2ed656f", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);/* #REF1564# */
    ' SMSupport.RtsBase.RtsCreateTimer(This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_EST_EfeS := RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_NotIn_F_EST_EfeS;/* #REF1566# */
    ' This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED := RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_NotIn_OPERATING_VOLTAGE_SUPPLIED;/* #REF1566# */
    ' This.RtsCurrent_INITIALISING := RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_NotIn_INITIALISING;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "e27d2f54-250b-41b4-93ec-84cbc2ed656f", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      SMSupport.RtsBase.RtsCreateTimer(Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_NotIn_F_EST_EfeS
      Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_NotIn_OPERATING_VOLTAGE_SUPPLIED
      Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_NotIn_INITIALISING
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : NO_OPERATING_VOLTAGE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("48d2e301-6c43-4f1e-82ec-35deaeb2d862|") then
    '   OperatedStates := OperatedStates + "48d2e301-6c43-4f1e-82ec-35deaeb2d862|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_OPERATING_VOLTAGE ///* #REF520# */
    ' RtsNotify(This,SENTER,"48d2e301-6c43-4f1e-82ec-35deaeb2d862",0,NullString);
    ' 
    ' SimCore.EnterState("48d2e301-6c43-4f1e-82ec-35deaeb2d862","NO_OPERATING_VOLTAGE");
    ' 
    ' This.RtsCurrent_F_EST_EfeS := RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT ac32b218-fe6c-4739-8c97-6d5874aa29d4 */  d51out_EST_EfeS_State := "NO_OPERATING_VOLTAGE"; nullstat;/*##END ac32b218-fe6c-4739-8c97-6d5874aa29d4 */ 
    Private Sub RtsEnter_NO_OPERATING_VOLTAGE()
      If not OperatedStates.Contains("48d2e301-6c43-4f1e-82ec-35deaeb2d862|") Then
        OperatedStates = OperatedStates + "48d2e301-6c43-4f1e-82ec-35deaeb2d862|"
      End If
      'Simulation support : Notification function call for entering state : NO_OPERATING_VOLTAGE ///* #REF520# */
      RtsNotify(Me, SENTER, "48d2e301-6c43-4f1e-82ec-35deaeb2d862", 0, NullString)
      SimCore.EnterState("48d2e301-6c43-4f1e-82ec-35deaeb2d862", "NO_OPERATING_VOLTAGE")
      Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE
      'Entry Actions
      d51out_EST_EfeS_State.SetValue("NO_OPERATING_VOLTAGE")
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATING_VOLTAGE_SUPPLIED
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("da616023-5253-4e05-b886-1b1bb3e7a15e|") then
    '   OperatedStates := OperatedStates + "da616023-5253-4e05-b886-1b1bb3e7a15e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OPERATING_VOLTAGE_SUPPLIED ///* #REF520# */
    ' RtsNotify(This,SENTER,"da616023-5253-4e05-b886-1b1bb3e7a15e",0,NullString);
    ' 
    ' SimCore.EnterState("da616023-5253-4e05-b886-1b1bb3e7a15e","OPERATING_VOLTAGE_SUPPLIED");
    ' 
    ' This.RtsCurrent_F_EST_EfeS := RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED;/* #REF521# */
    ' 
    Private Sub RtsEnter_OPERATING_VOLTAGE_SUPPLIED()
      If not OperatedStates.Contains("da616023-5253-4e05-b886-1b1bb3e7a15e|") Then
        OperatedStates = OperatedStates + "da616023-5253-4e05-b886-1b1bb3e7a15e|"
      End If
      'Simulation support : Notification function call for entering state : OPERATING_VOLTAGE_SUPPLIED ///* #REF520# */
      RtsNotify(Me, SENTER, "da616023-5253-4e05-b886-1b1bb3e7a15e", 0, NullString)
      SimCore.EnterState("da616023-5253-4e05-b886-1b1bb3e7a15e", "OPERATING_VOLTAGE_SUPPLIED")
      Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED
    End Sub
    
    ' \ART_SMG :: Created for state : BOOTING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|") then
    '   OperatedStates := OperatedStates + "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|";
    ' end if
    ' // Simulation support : Notification function call for entering state : BOOTING ///* #REF520# */
    ' RtsNotify(This,SENTER,"584378e8-56e4-4e55-95b6-e6ab3b8cb2d9",0,NullString);
    ' 
    ' SimCore.EnterState("584378e8-56e4-4e55-95b6-e6ab3b8cb2d9","OPERATING_VOLTAGE_SUPPLIED::BOOTING");
    ' 
    ' This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED := RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 20a23383-1b2f-42f8-963e-f0d697f8c142 */  d51out_EST_EfeS_State := "BOOTING"; nullstat;/*##END 20a23383-1b2f-42f8-963e-f0d697f8c142 */ 
    Private Sub RtsEnter_BOOTING()
      If not OperatedStates.Contains("584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|") Then
        OperatedStates = OperatedStates + "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|"
      End If
      'Simulation support : Notification function call for entering state : BOOTING ///* #REF520# */
      RtsNotify(Me, SENTER, "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9", 0, NullString)
      SimCore.EnterState("584378e8-56e4-4e55-95b6-e6ab3b8cb2d9", "OPERATING_VOLTAGE_SUPPLIED::BOOTING")
      Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING
      'Entry Actions
      d51out_EST_EfeS_State.SetValue("BOOTING")
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATIONAL
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a4636040-14bc-476e-ad26-646acfd7b1e2|") then
    '   OperatedStates := OperatedStates + "a4636040-14bc-476e-ad26-646acfd7b1e2|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OPERATIONAL ///* #REF520# */
    ' RtsNotify(This,SENTER,"a4636040-14bc-476e-ad26-646acfd7b1e2",0,NullString);
    ' 
    ' SimCore.EnterState("a4636040-14bc-476e-ad26-646acfd7b1e2","OPERATING_VOLTAGE_SUPPLIED::OPERATIONAL");
    ' 
    ' This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED := RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 3e37b8a7-1d4d-41c1-a953-94952b02767b */  d51out_EST_EfeS_State := "OPERATIONAL"; nullstat;/*##END 3e37b8a7-1d4d-41c1-a953-94952b02767b */ 
    Private Sub RtsEnter_OPERATIONAL()
      If not OperatedStates.Contains("a4636040-14bc-476e-ad26-646acfd7b1e2|") Then
        OperatedStates = OperatedStates + "a4636040-14bc-476e-ad26-646acfd7b1e2|"
      End If
      'Simulation support : Notification function call for entering state : OPERATIONAL ///* #REF520# */
      RtsNotify(Me, SENTER, "a4636040-14bc-476e-ad26-646acfd7b1e2", 0, NullString)
      SimCore.EnterState("a4636040-14bc-476e-ad26-646acfd7b1e2", "OPERATING_VOLTAGE_SUPPLIED::OPERATIONAL")
      Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL
      'Entry Actions
      d51out_EST_EfeS_State.SetValue("OPERATIONAL")
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACK_MODE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("27b5cf4a-4264-49c1-a4de-bb0da190439b|") then
    '   OperatedStates := OperatedStates + "27b5cf4a-4264-49c1-a4de-bb0da190439b|";
    ' end if
    ' // Simulation support : Notification function call for entering state : FALLBACK_MODE ///* #REF520# */
    ' RtsNotify(This,SENTER,"27b5cf4a-4264-49c1-a4de-bb0da190439b",0,NullString);
    ' 
    ' SimCore.EnterState("27b5cf4a-4264-49c1-a4de-bb0da190439b","OPERATING_VOLTAGE_SUPPLIED::FALLBACK_MODE");
    ' 
    ' This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED := RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 01d1dbf9-a264-4e8b-a940-dec3af1ea274 */  d51out_EST_EfeS_State := "FALLBACK_MODE"; nullstat;/*##END 01d1dbf9-a264-4e8b-a940-dec3af1ea274 */ 
    Private Sub RtsEnter_FALLBACK_MODE()
      If not OperatedStates.Contains("27b5cf4a-4264-49c1-a4de-bb0da190439b|") Then
        OperatedStates = OperatedStates + "27b5cf4a-4264-49c1-a4de-bb0da190439b|"
      End If
      'Simulation support : Notification function call for entering state : FALLBACK_MODE ///* #REF520# */
      RtsNotify(Me, SENTER, "27b5cf4a-4264-49c1-a4de-bb0da190439b", 0, NullString)
      SimCore.EnterState("27b5cf4a-4264-49c1-a4de-bb0da190439b", "OPERATING_VOLTAGE_SUPPLIED::FALLBACK_MODE")
      Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE
      'Entry Actions
      d51out_EST_EfeS_State.SetValue("FALLBACK_MODE")
    End Sub
    
    ' \ART_SMG :: Created for state : INITIALISING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("97fddfbe-c29c-49ad-bc52-e3f5344cc678|") then
    '   OperatedStates := OperatedStates + "97fddfbe-c29c-49ad-bc52-e3f5344cc678|";
    ' end if
    ' // Simulation support : Notification function call for entering state : INITIALISING ///* #REF520# */
    ' RtsNotify(This,SENTER,"97fddfbe-c29c-49ad-bc52-e3f5344cc678",0,NullString);
    ' 
    ' SimCore.EnterState("97fddfbe-c29c-49ad-bc52-e3f5344cc678","OPERATING_VOLTAGE_SUPPLIED::INITIALISING");
    ' 
    ' This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED := RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 9819677d-b169-4f01-9f0b-be111a75c246 */  d51out_EST_EfeS_State := "INITIALISING"; nullstat;/*##END 9819677d-b169-4f01-9f0b-be111a75c246 */ 
    Private Sub RtsEnter_INITIALISING()
      If not OperatedStates.Contains("97fddfbe-c29c-49ad-bc52-e3f5344cc678|") Then
        OperatedStates = OperatedStates + "97fddfbe-c29c-49ad-bc52-e3f5344cc678|"
      End If
      'Simulation support : Notification function call for entering state : INITIALISING ///* #REF520# */
      RtsNotify(Me, SENTER, "97fddfbe-c29c-49ad-bc52-e3f5344cc678", 0, NullString)
      SimCore.EnterState("97fddfbe-c29c-49ad-bc52-e3f5344cc678", "OPERATING_VOLTAGE_SUPPLIED::INITIALISING")
      Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING
      'Entry Actions
      d51out_EST_EfeS_State.SetValue("INITIALISING")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DATA_UPDATE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("55f58d21-99c3-47dc-864d-0ad4cb189745|") then
    '   OperatedStates := OperatedStates + "55f58d21-99c3-47dc-864d-0ad4cb189745|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_DATA_UPDATE ///* #REF520# */
    ' RtsNotify(This,SENTER,"55f58d21-99c3-47dc-864d-0ad4cb189745",0,NullString);
    ' 
    ' SimCore.EnterState("55f58d21-99c3-47dc-864d-0ad4cb189745","OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_DATA_UPDATE");
    ' 
    ' This.RtsCurrent_INITIALISING := RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 4f519fd9-8d39-42a8-ba74-9d985a67ca5e */ send EST_Ready_For_Maintenance to p3inout ;
    ' send NotReady_For_PDI_Connection to p2inout ;
    '  d52out_EST_EfeS_init_SubState := "WAITING_FOR_DATA_UPDATE"; nullstat;/*##END 4f519fd9-8d39-42a8-ba74-9d985a67ca5e */ 
    Private Sub RtsEnter_WAITING_FOR_DATA_UPDATE()
      If not OperatedStates.Contains("55f58d21-99c3-47dc-864d-0ad4cb189745|") Then
        OperatedStates = OperatedStates + "55f58d21-99c3-47dc-864d-0ad4cb189745|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_DATA_UPDATE ///* #REF520# */
      RtsNotify(Me, SENTER, "55f58d21-99c3-47dc-864d-0ad4cb189745", 0, NullString)
      SimCore.EnterState("55f58d21-99c3-47dc-864d-0ad4cb189745", "OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_DATA_UPDATE")
      Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE
      'Entry Actions
      p3inout.SendEvent(New EST_Ready_For_Maintenance)
      p2inout.SendEvent(New NotReady_For_PDI_Connection)
      d52out_EST_EfeS_init_SubState.SetValue("WAITING_FOR_DATA_UPDATE")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f54cc688-486a-4a44-b544-db367429a879|") then
    '   OperatedStates := OperatedStates + "f54cc688-486a-4a44-b544-db367429a879|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_PDI ///* #REF520# */
    ' RtsNotify(This,SENTER,"f54cc688-486a-4a44-b544-db367429a879",0,NullString);
    ' 
    ' SimCore.EnterState("f54cc688-486a-4a44-b544-db367429a879","OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_PDI");
    ' 
    ' This.RtsCurrent_INITIALISING := RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT bbc47a84-09f1-48f6-a4b5-ac7b88b6be12 */  d52out_EST_EfeS_init_SubState := "WAITING_FOR_PDI"; nullstat;/*##END bbc47a84-09f1-48f6-a4b5-ac7b88b6be12 */ 
    Private Sub RtsEnter_WAITING_FOR_PDI()
      If not OperatedStates.Contains("f54cc688-486a-4a44-b544-db367429a879|") Then
        OperatedStates = OperatedStates + "f54cc688-486a-4a44-b544-db367429a879|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_PDI ///* #REF520# */
      RtsNotify(Me, SENTER, "f54cc688-486a-4a44-b544-db367429a879", 0, NullString)
      SimCore.EnterState("f54cc688-486a-4a44-b544-db367429a879", "OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_PDI")
      Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI
      'Entry Actions
      d52out_EST_EfeS_init_SubState.SetValue("WAITING_FOR_PDI")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI_OR_MAINTENANCE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("11146d81-ef08-452c-85fc-133b181b8586|") then
    '   OperatedStates := OperatedStates + "11146d81-ef08-452c-85fc-133b181b8586|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_PDI_OR_MAINTENANCE ///* #REF520# */
    ' RtsNotify(This,SENTER,"11146d81-ef08-452c-85fc-133b181b8586",0,NullString);
    ' 
    ' SimCore.EnterState("11146d81-ef08-452c-85fc-133b181b8586","OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_PDI_OR_MAINTENANCE");
    ' 
    ' This.RtsCurrent_INITIALISING := RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT d7689f2f-03dc-4bd8-b87b-5b456796bc77 */  d52out_EST_EfeS_init_SubState := "WAITING_FOR_PDI_OR_MAINTENANCE"; nullstat;/*##END d7689f2f-03dc-4bd8-b87b-5b456796bc77 */ 
    Private Sub RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE()
      If not OperatedStates.Contains("11146d81-ef08-452c-85fc-133b181b8586|") Then
        OperatedStates = OperatedStates + "11146d81-ef08-452c-85fc-133b181b8586|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_PDI_OR_MAINTENANCE ///* #REF520# */
      RtsNotify(Me, SENTER, "11146d81-ef08-452c-85fc-133b181b8586", 0, NullString)
      SimCore.EnterState("11146d81-ef08-452c-85fc-133b181b8586", "OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_PDI_OR_MAINTENANCE")
      Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE
      'Entry Actions
      d52out_EST_EfeS_init_SubState.SetValue("WAITING_FOR_PDI_OR_MAINTENANCE")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("0f0b2e27-8057-43d0-a442-6c015c8c4f95|") then
    '   OperatedStates := OperatedStates + "0f0b2e27-8057-43d0-a442-6c015c8c4f95|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT ///* #REF520# */
    ' RtsNotify(This,SENTER,"0f0b2e27-8057-43d0-a442-6c015c8c4f95",0,NullString);
    ' 
    ' SimCore.EnterState("0f0b2e27-8057-43d0-a442-6c015c8c4f95","OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_NO_MAINTENANCE_TIMEOUT");
    ' 
    ' This.RtsCurrent_INITIALISING := RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 27d1ea3c-4e2a-40e3-8c4e-2d4894453e8b */  d52out_EST_EfeS_init_SubState := "WAITING_FOR_NO_MAINTENANCE_TIMEOUT";
    ' send NotReady_For_PDI_Connection to p2inout ; nullstat;/*##END 27d1ea3c-4e2a-40e3-8c4e-2d4894453e8b */ /* #REF523# */
    ' // Start Timers/* #REF525# */
    ' SMSupport.RtsBase.RtsStartTimer(This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1, /*##STRT fbf91ffe-02d2-4424-a869-f8387e3789ba */ D21in_Con_tmax_No_Maintenance/*##END fbf91ffe-02d2-4424-a869-f8387e3789ba */ , CurrentTime);
    Private Sub RtsEnter_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
      If not OperatedStates.Contains("0f0b2e27-8057-43d0-a442-6c015c8c4f95|") Then
        OperatedStates = OperatedStates + "0f0b2e27-8057-43d0-a442-6c015c8c4f95|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT ///* #REF520# */
      RtsNotify(Me, SENTER, "0f0b2e27-8057-43d0-a442-6c015c8c4f95", 0, NullString)
      SimCore.EnterState("0f0b2e27-8057-43d0-a442-6c015c8c4f95", "OPERATING_VOLTAGE_SUPPLIED::INITIALISING::WAITING_FOR_NO_MAINTENANCE_TIMEOUT")
      Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT
      'Entry Actions
      d52out_EST_EfeS_init_SubState.SetValue("WAITING_FOR_NO_MAINTENANCE_TIMEOUT")
      p2inout.SendEvent(New NotReady_For_PDI_Connection)
      'Start Timers/* #REF525# */
      SMSupport.RtsBase.RtsStartTimer(Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1, D21in_Con_tmax_No_Maintenance.GetLatchedValue(), CurrentTime)
    End Sub
    
    ' \ART_SMG :: Created for state : NO_OPERATING_VOLTAGE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_OPERATING_VOLTAGE
    ' 	RtsNotify(This,SEXIT,"48d2e301-6c43-4f1e-82ec-35deaeb2d862",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_OPERATING_VOLTAGE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_OPERATING_VOLTAGE()
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_NO_OPERATING_VOLTAGE Then
        'Simulation support : Notification function call for exiting state : NO_OPERATING_VOLTAGE
        RtsNotify(Me, SEXIT, "48d2e301-6c43-4f1e-82ec-35deaeb2d862", 0, NullString)
        RtsExitSSOf_NO_OPERATING_VOLTAGE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATING_VOLTAGE_SUPPLIED
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OPERATING_VOLTAGE_SUPPLIED
    ' 	RtsNotify(This,SEXIT,"da616023-5253-4e05-b886-1b1bb3e7a15e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OPERATING_VOLTAGE_SUPPLIED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OPERATING_VOLTAGE_SUPPLIED()
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        'Simulation support : Notification function call for exiting state : OPERATING_VOLTAGE_SUPPLIED
        RtsNotify(Me, SEXIT, "da616023-5253-4e05-b886-1b1bb3e7a15e", 0, NullString)
        RtsExitSSOf_OPERATING_VOLTAGE_SUPPLIED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : BOOTING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : BOOTING
    ' 	RtsNotify(This,SEXIT,"584378e8-56e4-4e55-95b6-e6ab3b8cb2d9",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_BOOTING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_BOOTING()
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING Then
        'Simulation support : Notification function call for exiting state : BOOTING
        RtsNotify(Me, SEXIT, "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9", 0, NullString)
        RtsExitSSOf_BOOTING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATIONAL
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OPERATIONAL
    ' 	RtsNotify(This,SEXIT,"a4636040-14bc-476e-ad26-646acfd7b1e2",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OPERATIONAL ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OPERATIONAL()
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL Then
        'Simulation support : Notification function call for exiting state : OPERATIONAL
        RtsNotify(Me, SEXIT, "a4636040-14bc-476e-ad26-646acfd7b1e2", 0, NullString)
        RtsExitSSOf_OPERATIONAL()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACK_MODE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : FALLBACK_MODE
    ' 	RtsNotify(This,SEXIT,"27b5cf4a-4264-49c1-a4de-bb0da190439b",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_FALLBACK_MODE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_FALLBACK_MODE()
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE Then
        'Simulation support : Notification function call for exiting state : FALLBACK_MODE
        RtsNotify(Me, SEXIT, "27b5cf4a-4264-49c1-a4de-bb0da190439b", 0, NullString)
        RtsExitSSOf_FALLBACK_MODE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : INITIALISING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : INITIALISING
    ' 	RtsNotify(This,SEXIT,"97fddfbe-c29c-49ad-bc52-e3f5344cc678",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_INITIALISING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_INITIALISING()
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        'Simulation support : Notification function call for exiting state : INITIALISING
        RtsNotify(Me, SEXIT, "97fddfbe-c29c-49ad-bc52-e3f5344cc678", 0, NullString)
        RtsExitSSOf_INITIALISING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DATA_UPDATE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_DATA_UPDATE
    ' 	RtsNotify(This,SEXIT,"55f58d21-99c3-47dc-864d-0ad4cb189745",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_DATA_UPDATE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_DATA_UPDATE()
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_DATA_UPDATE
        RtsNotify(Me, SEXIT, "55f58d21-99c3-47dc-864d-0ad4cb189745", 0, NullString)
        RtsExitSSOf_WAITING_FOR_DATA_UPDATE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_PDI
    ' 	RtsNotify(This,SEXIT,"f54cc688-486a-4a44-b544-db367429a879",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_PDI ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_PDI()
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_PDI
        RtsNotify(Me, SEXIT, "f54cc688-486a-4a44-b544-db367429a879", 0, NullString)
        RtsExitSSOf_WAITING_FOR_PDI()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI_OR_MAINTENANCE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_PDI_OR_MAINTENANCE
    ' 	RtsNotify(This,SEXIT,"11146d81-ef08-452c-85fc-133b181b8586",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_PDI_OR_MAINTENANCE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE()
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_PDI_OR_MAINTENANCE
        RtsNotify(Me, SEXIT, "11146d81-ef08-452c-85fc-133b181b8586", 0, NullString)
        RtsExitSSOf_WAITING_FOR_PDI_OR_MAINTENANCE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' 	RtsNotify(This,SEXIT,"0f0b2e27-8057-43d0-a442-6c015c8c4f95",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_NO_MAINTENANCE_TIMEOUT ();
    ' 	/* #REF750# */
    ' 	// Stop Timers/* #REF751# */
    ' 	SMSupport.RtsBase.RtsStopTimer(This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1);
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
        RtsNotify(Me, SEXIT, "0f0b2e27-8057-43d0-a442-6c015c8c4f95", 0, NullString)
        RtsExitSSOf_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
        'Stop Timers/* #REF751# */
        SMSupport.RtsBase.RtsStopTimer(Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1)
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATING_VOLTAGE_SUPPLIED
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"f8afd5a1-8c33-479f-9a3e-de908503cccf",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"f8afd5a1-8c33-479f-9a3e-de908503cccf",0,NullString);/* #REF1576# */
    ' This.RtsEnter_OPERATING_VOLTAGE_SUPPLIED();/* #REF1577# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"ed18ff19-8669-4d59-bde0-ef33252b7e94",0,NullString);/* #REF1585# */
    ' /*##STRT 701f6f98-a35b-4693-8df5-b904edcc6e48 */  nullstat;/*##END 701f6f98-a35b-4693-8df5-b904edcc6e48 */ /* #REF1546# */
    ' This.RtsEnter_BOOTING();/* #REF1590# */
    ' 
    Private Sub RtsDefault_OPERATING_VOLTAGE_SUPPLIED()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "f8afd5a1-8c33-479f-9a3e-de908503cccf", 0, NullString)
      RtsNotify(Me, SEXIT, "f8afd5a1-8c33-479f-9a3e-de908503cccf", 0, NullString)
      Me.RtsEnter_OPERATING_VOLTAGE_SUPPLIED()
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "ed18ff19-8669-4d59-bde0-ef33252b7e94", 0, NullString)
      Me.RtsEnter_BOOTING()
    End Sub
    
    ' \ART_SMG :: Created for state : INITIALISING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"91cae632-8f14-42db-9622-cdb3993c16f0",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"91cae632-8f14-42db-9622-cdb3993c16f0",0,NullString);/* #REF1576# */
    ' This.RtsEnter_INITIALISING();/* #REF1577# */
    ' If (D20in_Con_MDM_Used) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"2eb36b43-1871-4a4a-b6d5-24d42b704ae1",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"c7094d38-759f-436b-a3b8-f768c9d79e17",0,NullString);/* #REF1585# */
    ' 	/*##STRT d0bc2907-1f28-4c06-9984-b352a275331b */  nullstat;/*##END d0bc2907-1f28-4c06-9984-b352a275331b */ /* #REF1578# */
    ' /*##STRT 779111ac-4743-40e8-9fd3-fbed24761bb4 */  nullstat;/*##END 779111ac-4743-40e8-9fd3-fbed24761bb4 */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_DATA_UPDATE();/* #REF1590# */
    ' 	ElseIf (NOT D20in_Con_MDM_Used) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"2eb36b43-1871-4a4a-b6d5-24d42b704ae1",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"7660d238-1b79-4c1a-8cc3-0f6384838195",0,NullString);/* #REF1585# */
    ' 	/*##STRT d0bc2907-1f28-4c06-9984-b352a275331b */  nullstat;/*##END d0bc2907-1f28-4c06-9984-b352a275331b */ /* #REF1578# */
    ' /*##STRT 9e7107b0-623b-4ba4-b7f6-40f8dcd30ae7 */ 
    ' send Ready_For_PDI_Connection to p2inout ; nullstat;/*##END 9e7107b0-623b-4ba4-b7f6-40f8dcd30ae7 */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1590# */
    ' 	/* #REF158644# */
    ' End If
    ' 
    Private Sub RtsDefault_INITIALISING()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "91cae632-8f14-42db-9622-cdb3993c16f0", 0, NullString)
      RtsNotify(Me, SEXIT, "91cae632-8f14-42db-9622-cdb3993c16f0", 0, NullString)
      Me.RtsEnter_INITIALISING()
      If (D20in_Con_MDM_Used.GetLatchedValue()) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "2eb36b43-1871-4a4a-b6d5-24d42b704ae1", 0, NullString)
        RtsNotify(Me, TRANSITION, "c7094d38-759f-436b-a3b8-f768c9d79e17", 0, NullString)
        Me.RtsEnter_WAITING_FOR_DATA_UPDATE()
      ElseIf (NOT D20in_Con_MDM_Used.GetLatchedValue()) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "2eb36b43-1871-4a4a-b6d5-24d42b704ae1", 0, NullString)
        RtsNotify(Me, TRANSITION, "7660d238-1b79-4c1a-8cc3-0f6384838195", 0, NullString)
        p2inout.SendEvent(New Ready_For_PDI_Connection)
        Me.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_EST_EfeS)
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_EST_EfeS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_EST_EfeS, "RtsF_EST_EfeS_States");
    ' end if
    ' if Name = "RtsCurrent_OPERATING_VOLTAGE_SUPPLIED" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED, "RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States");
    ' end if
    ' if Name = "RtsCurrent_INITIALISING" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_INITIALISING, "RtsF_EST_EfeSINITIALISING_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_EST_EfeS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_EST_EfeS, "RtsF_EST_EfeS_States");
    ' end if
    ' if Name = "RtsCurrent_OPERATING_VOLTAGE_SUPPLIED" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED, "RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States");
    ' end if
    ' if Name = "RtsCurrent_INITIALISING" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_INITIALISING, "RtsF_EST_EfeSINITIALISING_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "e27d2f54-250b-41b4-93ec-84cbc2ed656f";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "8";
    '   Value := Value + "|RtsCurrent_F_EST_EfeS";
    '   Value := Value + "|RtsCurrent_OPERATING_VOLTAGE_SUPPLIED";
    '   Value := Value + "|RtsCurrent_INITIALISING";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_EST_EfeS";
    '   Value := Value + "|RtsCurrent_OPERATING_VOLTAGE_SUPPLIED";
    '   Value := Value + "|RtsCurrent_INITIALISING";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_EST_EfeS)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_EST_EfeS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_EST_EfeS, "RtsF_EST_EfeS_States")
      End If
      If Name = "RtsCurrent_OPERATING_VOLTAGE_SUPPLIED" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED, "RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States")
      End If
      If Name = "RtsCurrent_INITIALISING" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_INITIALISING, "RtsF_EST_EfeSINITIALISING_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_EST_EfeS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_EST_EfeS, "RtsF_EST_EfeS_States")
      End If
      If Name = "RtsCurrent_OPERATING_VOLTAGE_SUPPLIED" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED, "RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States")
      End If
      If Name = "RtsCurrent_INITIALISING" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_INITIALISING, "RtsF_EST_EfeSINITIALISING_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "e27d2f54-250b-41b4-93ec-84cbc2ed656f"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "8"
        Value = Value + "|RtsCurrent_F_EST_EfeS"
        Value = Value + "|RtsCurrent_OPERATING_VOLTAGE_SUPPLIED"
        Value = Value + "|RtsCurrent_INITIALISING"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_EST_EfeS"
        Value = Value + "|RtsCurrent_OPERATING_VOLTAGE_SUPPLIED"
        Value = Value + "|RtsCurrent_INITIALISING"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_EST_EfeS" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_EST_EfeS, Value, "RtsF_EST_EfeS_States", GetType(F_EST_EfeS.RtsF_EST_EfeS_States));
    ' end if
    ' if Name = "RtsCurrent_OPERATING_VOLTAGE_SUPPLIED" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED, Value, "RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States", GetType(F_EST_EfeS.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States));
    ' end if
    ' if Name = "RtsCurrent_INITIALISING" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_INITIALISING, Value, "RtsF_EST_EfeSINITIALISING_States", GetType(F_EST_EfeS.RtsF_EST_EfeSINITIALISING_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_EST_EfeS)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_EST_EfeS" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_EST_EfeS, Value, "RtsF_EST_EfeS_States", GetType(F_EST_EfeS.RtsF_EST_EfeS_States))
      End If
      If Name = "RtsCurrent_OPERATING_VOLTAGE_SUPPLIED" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED, Value, "RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States", GetType(F_EST_EfeS.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States))
      End If
      If Name = "RtsCurrent_INITIALISING" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_INITIALISING, Value, "RtsF_EST_EfeSINITIALISING_States", GetType(F_EST_EfeS.RtsF_EST_EfeSINITIALISING_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATIONAL
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsPDI_Connection_Closed_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsPDI_Connection_Closed()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsPDI_Connection_Closed_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATIONAL
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsPDI_Released_For_Maintenance_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsPDI_Released_For_Maintenance()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsPDI_Released_For_Maintenance_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACK_MODE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMDM_Triggered_Reset_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMDM_Triggered_Reset()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMDM_Triggered_Reset_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : INITIALISING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsReboot_Required_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsReboot_Required()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsReboot_Required_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DATA_UPDATE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsData_Update_Finished_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsData_Update_Finished()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsData_Update_Finished_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsPDI_Connection_Established_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsPDI_Connection_Established()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsPDI_Connection_Established_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI_OR_MAINTENANCE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMDM_Commanded_Maintenance_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMDM_Commanded_Maintenance()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMDM_Commanded_Maintenance_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI_OR_MAINTENANCE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsPDI_Connection_Started_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsPDI_Connection_Started()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsPDI_Connection_Started_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SMSupport.RtsBase.RtsStopTimer(This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1);
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_F_EST_EfeS(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Private Sub RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1()
      SMSupport.RtsBase.RtsStopTimer(Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_F_EST_EfeS(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Connection_Closed_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Closed_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsPDI_Connection_Closed_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATIONAL
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_OPERATIONAL */
    ' 	/* standard */
    ' 	This.RtsExit_OPERATIONAL();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"473a171b-c9aa-4c91-a99a-887b1b93c31b",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 73fbf57a-61f6-4e7d-af02-5b18dce57d0c */  nullstat;/*##END 73fbf57a-61f6-4e7d-af02-5b18dce57d0c */ /* #REF1546# */
    ' 	This.RtsEnter_INITIALISING();/* #REF1592# */
    ' 	This.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Connection_Closed_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Closed_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 OPERATIONAL
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL Then
        Me.RtsExit_OPERATIONAL()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "473a171b-c9aa-4c91-a99a-887b1b93c31b", 0, NullString)
        Me.RtsEnter_INITIALISING()
        Me.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE()
        RetValue = True
        Return
      End If
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsPDI_Connection_Closed_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_PDI
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_WAITING_FOR_PDI */
    ' 	/* standard */
    ' 	This.RtsExit_WAITING_FOR_PDI();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"a97b9517-ed0f-4919-8e99-6276491c4535",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 3f56e75b-c98b-42b3-b01a-ce27d1f1def7 */  nullstat;/*##END 3f56e75b-c98b-42b3-b01a-ce27d1f1def7 */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Closed_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_PDI
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI Then
        Me.RtsExit_WAITING_FOR_PDI()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "a97b9517-ed0f-4919-8e99-6276491c4535", 0, NullString)
        Me.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Released_For_Maintenance_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Released_For_Maintenance_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsPDI_Released_For_Maintenance_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATIONAL
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT a8c89442-a10b-4f6f-a22b-3c9c69bbf10c */ ( D20in_Con_MDM_Used )/*##END a8c89442-a10b-4f6f-a22b-3c9c69bbf10c */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OPERATIONAL */
    ' 		/* standard */
    ' 		This.RtsExit_OPERATIONAL();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ae3d2804-4155-4ec9-afa6-02693ad93949",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT c7a1ef4a-d7d8-4825-a5fe-91d249af9729 */  nullstat;/*##END c7a1ef4a-d7d8-4825-a5fe-91d249af9729 */ /* #REF1546# */
    ' 		This.RtsEnter_INITIALISING();/* #REF1592# */
    ' 		This.RtsEnter_WAITING_FOR_DATA_UPDATE();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 7412794b-dd44-43f6-b7b8-5e0af048b222 */ (NOT D20in_Con_MDM_Used )/*##END 7412794b-dd44-43f6-b7b8-5e0af048b222 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OPERATIONAL */
    ' 		/* standard */
    ' 		This.RtsExit_OPERATIONAL();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ec3f3514-00aa-4534-b62e-d8054101e8c6",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f7caedb8-4ff3-4044-b4c7-1e2a0800bf81 */  nullstat;/*##END f7caedb8-4ff3-4044-b4c7-1e2a0800bf81 */ /* #REF1546# */
    ' 		This.RtsEnter_INITIALISING();/* #REF1592# */
    ' 		This.RtsEnter_WAITING_FOR_NO_MAINTENANCE_TIMEOUT();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Released_For_Maintenance_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Released_For_Maintenance_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 OPERATIONAL
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL Then
        If (D20in_Con_MDM_Used.GetLatchedValue()) Then
          Me.RtsExit_OPERATIONAL()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ae3d2804-4155-4ec9-afa6-02693ad93949", 0, NullString)
          Me.RtsEnter_INITIALISING()
          Me.RtsEnter_WAITING_FOR_DATA_UPDATE()
          RetValue = True
          Return
        End If
        If (NOT D20in_Con_MDM_Used.GetLatchedValue()) Then
          Me.RtsExit_OPERATIONAL()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ec3f3514-00aa-4534-b62e-d8054101e8c6", 0, NullString)
          Me.RtsEnter_INITIALISING()
          Me.RtsEnter_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
          RetValue = True
          Return
        End If
      End If
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsPDI_Released_For_Maintenance_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_PDI
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 1606fe85-6095-42c6-89dc-86f349280396 */ (NOT D20in_Con_MDM_Used )/*##END 1606fe85-6095-42c6-89dc-86f349280396 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_PDI */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_PDI();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"330ff409-3745-4053-bc57-c666d0e9391a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3df437f0-69f1-457b-8314-c6cb82b44396 */  nullstat;/*##END 3df437f0-69f1-457b-8314-c6cb82b44396 */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING_FOR_NO_MAINTENANCE_TIMEOUT();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 76fbed23-8495-4cbf-aa62-27a5e67a2aeb */ ( D20in_Con_MDM_Used )/*##END 76fbed23-8495-4cbf-aa62-27a5e67a2aeb */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_PDI */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_PDI();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"c3e7461a-5ae4-487c-904c-aca630502787",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ba6ece3e-6f76-4a06-895d-3011a0532f2f */  nullstat;/*##END ba6ece3e-6f76-4a06-895d-3011a0532f2f */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING_FOR_DATA_UPDATE();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Released_For_Maintenance_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_PDI
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI Then
        If (NOT D20in_Con_MDM_Used.GetLatchedValue()) Then
          Me.RtsExit_WAITING_FOR_PDI()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "330ff409-3745-4053-bc57-c666d0e9391a", 0, NullString)
          Me.RtsEnter_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
          RetValue = True
          Return
        End If
        If (D20in_Con_MDM_Used.GetLatchedValue()) Then
          Me.RtsExit_WAITING_FOR_PDI()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "c3e7461a-5ae4-487c-904c-aca630502787", 0, NullString)
          Me.RtsEnter_WAITING_FOR_DATA_UPDATE()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMDM_Triggered_Reset_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMDM_Triggered_Reset_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsMDM_Triggered_Reset_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 FALLBACK_MODE
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_FALLBACK_MODE */
    ' 	/* standard */
    ' 	This.RtsExit_FALLBACK_MODE();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"da634edf-c236-4231-8ff3-a8d6b1a8d805",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT f20e7485-b9cd-4c5a-9235-8d25916c5322 */  nullstat;/*##END f20e7485-b9cd-4c5a-9235-8d25916c5322 */ /* #REF1546# */
    ' 	This.RtsEnter_BOOTING();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 INITIALISING
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMDM_Triggered_Reset_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 FALLBACK_MODE
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE Then
        Me.RtsExit_FALLBACK_MODE()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "da634edf-c236-4231-8ff3-a8d6b1a8d805", 0, NullString)
        Me.RtsEnter_BOOTING()
        RetValue = True
        Return
      End If
      'H1 INITIALISING
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsReboot_Required_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsReboot_Required_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsReboot_Required_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INITIALISING
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT ae90c2cd-6e38-42b8-a5f2-295aec75d3f9 */ ( D20in_Con_MDM_Used )/*##END ae90c2cd-6e38-42b8-a5f2-295aec75d3f9 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_INITIALISING */
    ' 		/* standard */
    ' 		This.RtsExit_INITIALISING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"7a98a3f2-36de-4d09-9aa9-2b4a360367d9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT b8d90de8-eb52-41a9-92b7-381771a24167 */ 
    ' send NotReady_For_PDI_Connection to p2inout ; nullstat;/*##END b8d90de8-eb52-41a9-92b7-381771a24167 */ /* #REF1546# */
    ' 		This.RtsEnter_BOOTING();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsReboot_Required_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 INITIALISING
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        If (D20in_Con_MDM_Used.GetLatchedValue()) Then
          Me.RtsExit_INITIALISING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "7a98a3f2-36de-4d09-9aa9-2b4a360367d9", 0, NullString)
          p2inout.SendEvent(New NotReady_For_PDI_Connection)
          Me.RtsEnter_BOOTING()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsData_Update_Finished_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsData_Update_Finished_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsData_Update_Finished_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsData_Update_Finished_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsData_Update_Finished_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsData_Update_Finished_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_DATA_UPDATE
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_WAITING_FOR_DATA_UPDATE */
    ' 	/* standard */
    ' 	This.RtsExit_WAITING_FOR_DATA_UPDATE();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"0f4ebd90-6d2b-494b-a7ea-9b37573463d0",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 12a44ab5-d76a-4208-beca-1de1e812008b */ 
    ' send Ready_For_PDI_Connection to p2inout ; nullstat;/*##END 12a44ab5-d76a-4208-beca-1de1e812008b */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsData_Update_Finished_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_DATA_UPDATE
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE Then
        Me.RtsExit_WAITING_FOR_DATA_UPDATE()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "0f4ebd90-6d2b-494b-a7ea-9b37573463d0", 0, NullString)
        p2inout.SendEvent(New Ready_For_PDI_Connection)
        Me.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Connection_Established_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Established_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsPDI_Connection_Established_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Connection_Established_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Established_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsPDI_Connection_Established_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_PDI
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_INITIALISING */
    ' 	/* standard */
    ' 	This.RtsExit_INITIALISING();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"af8b8404-ed40-45bc-9476-b2deb6477512",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT de5706e7-87bb-4ebc-92bb-c98af4e77329 */  nullstat;/*##END de5706e7-87bb-4ebc-92bb-c98af4e77329 */ /* #REF1546# */
    ' 	This.RtsEnter_OPERATIONAL();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Established_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_PDI
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI Then
        Me.RtsExit_INITIALISING()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "af8b8404-ed40-45bc-9476-b2deb6477512", 0, NullString)
        Me.RtsEnter_OPERATIONAL()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMDM_Commanded_Maintenance_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMDM_Commanded_Maintenance_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsMDM_Commanded_Maintenance_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMDM_Commanded_Maintenance_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMDM_Commanded_Maintenance_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsMDM_Commanded_Maintenance_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_PDI_OR_MAINTENANCE
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 406d3be1-b906-48f2-ac8d-153aa84c6f60 */ ( D20in_Con_MDM_Used )/*##END 406d3be1-b906-48f2-ac8d-153aa84c6f60 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"db6a653a-7a2e-41f6-914a-8c886920a172",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 70b96fb0-a8bb-4a12-a3ea-1b159ab309e7 */  nullstat;/*##END 70b96fb0-a8bb-4a12-a3ea-1b159ab309e7 */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING_FOR_DATA_UPDATE();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMDM_Commanded_Maintenance_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_PDI_OR_MAINTENANCE
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE Then
        If (D20in_Con_MDM_Used.GetLatchedValue()) Then
          Me.RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "db6a653a-7a2e-41f6-914a-8c886920a172", 0, NullString)
          Me.RtsEnter_WAITING_FOR_DATA_UPDATE()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Connection_Started_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Started_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsPDI_Connection_Started_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsPDI_Connection_Started_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Started_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsPDI_Connection_Started_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_PDI_OR_MAINTENANCE
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE */
    ' 	/* standard */
    ' 	This.RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"8dd92748-343c-41a9-9e07-5d83a02cb59b",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 7d8568fe-6d80-4010-9837-860863d77431 */  nullstat;/*##END 7d8568fe-6d80-4010-9837-860863d77431 */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_PDI();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsPDI_Connection_Started_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_PDI_OR_MAINTENANCE
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE Then
        Me.RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "8dd92748-343c-41a9-9e07-5d83a02cb59b", 0, NullString)
        Me.RtsEnter_WAITING_FOR_PDI()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 OPERATING_VOLTAGE_SUPPLIED
    ' // H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
    ' if This.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States{enum_datatype}.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_OPERATING_VOLTAGE_SUPPLIED(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_F_EST_EfeS(ByRef RetValue As Boolean)
      'H1 OPERATING_VOLTAGE_SUPPLIED
      'H1 OPERATING_VOLTAGE_SUPPLIED - call into substate
      If Me.RtsCurrent_F_EST_EfeS = RtsF_EST_EfeS_States.RtsF_EST_EfeS_States_OPERATING_VOLTAGE_SUPPLIED Then
        RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_OPERATING_VOLTAGE_SUPPLIED(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INITIALISING
    ' // H1 INITIALISING - call into substate
    ' if This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_INITIALISING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_OPERATING_VOLTAGE_SUPPLIED(ByRef RetValue As Boolean)
      'H1 INITIALISING
      'H1 INITIALISING - call into substate
      If Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING Then
        RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_INITIALISING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' if This.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_WAITING_FOR_NO_MAINTENANCE_TIMEOUT */
    ' 	/* standard */
    ' 	This.RtsExit_WAITING_FOR_NO_MAINTENANCE_TIMEOUT();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"40f4427f-5e71-4557-a959-891339ccee9d",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT fbf91ffe-02d2-4424-a869-f8387e3789ba */ 
    ' send Ready_For_PDI_Connection to p2inout ; nullstat;/*##END fbf91ffe-02d2-4424-a869-f8387e3789ba */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_In_INITIALISING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_NO_MAINTENANCE_TIMEOUT
      If Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT Then
        Me.RtsExit_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "40f4427f-5e71-4557-a959-891339ccee9d", 0, NullString)
        p2inout.SendEvent(New Ready_For_PDI_Connection)
        Me.RtsEnter_WAITING_FOR_PDI_OR_MAINTENANCE()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : NO_OPERATING_VOLTAGE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("48d2e301-6c43-4f1e-82ec-35deaeb2d862|") then
    '   OperatedStates := OperatedStates + "48d2e301-6c43-4f1e-82ec-35deaeb2d862|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_OPERATING_VOLTAGE()
      If not OperatedStates.Contains("48d2e301-6c43-4f1e-82ec-35deaeb2d862|") Then
        OperatedStates = OperatedStates + "48d2e301-6c43-4f1e-82ec-35deaeb2d862|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATING_VOLTAGE_SUPPLIED
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("da616023-5253-4e05-b886-1b1bb3e7a15e|") then
    '   OperatedStates := OperatedStates + "da616023-5253-4e05-b886-1b1bb3e7a15e|";
    ' end if
    ' /* #REF737# */
    ' select case This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED
    ' /* #REF738# */
    ' 	case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_BOOTING();/* #REF742# */
    ' 	case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_OPERATIONAL();/* #REF742# */
    ' 	case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_FALLBACK_MODE();/* #REF742# */
    ' 	case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_INITIALISING();/* #REF742# */
    ' 	case else:/* #REF743# */
    ' 		/* #REF744# */
    ' end select
    ' This.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED := RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States{enum_datatype}.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_NotIn_OPERATING_VOLTAGE_SUPPLIED;/* #REF748# */
    ' 
    Private Sub RtsExitSSOf_OPERATING_VOLTAGE_SUPPLIED()
      If not OperatedStates.Contains("da616023-5253-4e05-b886-1b1bb3e7a15e|") Then
        OperatedStates = OperatedStates + "da616023-5253-4e05-b886-1b1bb3e7a15e|"
      End If
      Select Case Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED
        Case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_BOOTING
          Me.RtsExit_BOOTING()
        Case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_OPERATIONAL
          Me.RtsExit_OPERATIONAL()
        Case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_FALLBACK_MODE
          Me.RtsExit_FALLBACK_MODE()
        Case RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_INITIALISING
          Me.RtsExit_INITIALISING()
      End Select
      Me.RtsCurrent_OPERATING_VOLTAGE_SUPPLIED = RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States.RtsF_EST_EfeSOPERATING_VOLTAGE_SUPPLIED_States_NotIn_OPERATING_VOLTAGE_SUPPLIED
    End Sub
    
    ' \ART_SMG :: Created for state : BOOTING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|") then
    '   OperatedStates := OperatedStates + "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_BOOTING()
      If not OperatedStates.Contains("584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|") Then
        OperatedStates = OperatedStates + "584378e8-56e4-4e55-95b6-e6ab3b8cb2d9|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OPERATIONAL
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a4636040-14bc-476e-ad26-646acfd7b1e2|") then
    '   OperatedStates := OperatedStates + "a4636040-14bc-476e-ad26-646acfd7b1e2|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_OPERATIONAL()
      If not OperatedStates.Contains("a4636040-14bc-476e-ad26-646acfd7b1e2|") Then
        OperatedStates = OperatedStates + "a4636040-14bc-476e-ad26-646acfd7b1e2|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACK_MODE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("27b5cf4a-4264-49c1-a4de-bb0da190439b|") then
    '   OperatedStates := OperatedStates + "27b5cf4a-4264-49c1-a4de-bb0da190439b|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_FALLBACK_MODE()
      If not OperatedStates.Contains("27b5cf4a-4264-49c1-a4de-bb0da190439b|") Then
        OperatedStates = OperatedStates + "27b5cf4a-4264-49c1-a4de-bb0da190439b|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : INITIALISING
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("97fddfbe-c29c-49ad-bc52-e3f5344cc678|") then
    '   OperatedStates := OperatedStates + "97fddfbe-c29c-49ad-bc52-e3f5344cc678|";
    ' end if
    ' /* #REF737# */
    ' select case This.RtsCurrent_INITIALISING
    ' /* #REF738# */
    ' 	case RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_WAITING_FOR_DATA_UPDATE();/* #REF742# */
    ' 	case RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_WAITING_FOR_PDI();/* #REF742# */
    ' 	case RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE();/* #REF742# */
    ' 	case RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_WAITING_FOR_NO_MAINTENANCE_TIMEOUT();/* #REF742# */
    ' 	case else:/* #REF743# */
    ' 		/* #REF744# */
    ' end select
    ' This.RtsCurrent_INITIALISING := RtsF_EST_EfeSINITIALISING_States{enum_datatype}.RtsF_EST_EfeSINITIALISING_States_NotIn_INITIALISING;/* #REF748# */
    ' 
    Private Sub RtsExitSSOf_INITIALISING()
      If not OperatedStates.Contains("97fddfbe-c29c-49ad-bc52-e3f5344cc678|") Then
        OperatedStates = OperatedStates + "97fddfbe-c29c-49ad-bc52-e3f5344cc678|"
      End If
      Select Case Me.RtsCurrent_INITIALISING
        Case RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_DATA_UPDATE
          Me.RtsExit_WAITING_FOR_DATA_UPDATE()
        Case RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI
          Me.RtsExit_WAITING_FOR_PDI()
        Case RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_PDI_OR_MAINTENANCE
          Me.RtsExit_WAITING_FOR_PDI_OR_MAINTENANCE()
        Case RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_WAITING_FOR_NO_MAINTENANCE_TIMEOUT
          Me.RtsExit_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
      End Select
      Me.RtsCurrent_INITIALISING = RtsF_EST_EfeSINITIALISING_States.RtsF_EST_EfeSINITIALISING_States_NotIn_INITIALISING
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DATA_UPDATE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("55f58d21-99c3-47dc-864d-0ad4cb189745|") then
    '   OperatedStates := OperatedStates + "55f58d21-99c3-47dc-864d-0ad4cb189745|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_DATA_UPDATE()
      If not OperatedStates.Contains("55f58d21-99c3-47dc-864d-0ad4cb189745|") Then
        OperatedStates = OperatedStates + "55f58d21-99c3-47dc-864d-0ad4cb189745|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f54cc688-486a-4a44-b544-db367429a879|") then
    '   OperatedStates := OperatedStates + "f54cc688-486a-4a44-b544-db367429a879|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_PDI()
      If not OperatedStates.Contains("f54cc688-486a-4a44-b544-db367429a879|") Then
        OperatedStates = OperatedStates + "f54cc688-486a-4a44-b544-db367429a879|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_PDI_OR_MAINTENANCE
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("11146d81-ef08-452c-85fc-133b181b8586|") then
    '   OperatedStates := OperatedStates + "11146d81-ef08-452c-85fc-133b181b8586|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_PDI_OR_MAINTENANCE()
      If not OperatedStates.Contains("11146d81-ef08-452c-85fc-133b181b8586|") Then
        OperatedStates = OperatedStates + "11146d81-ef08-452c-85fc-133b181b8586|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_NO_MAINTENANCE_TIMEOUT
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("0f0b2e27-8057-43d0-a442-6c015c8c4f95|") then
    '   OperatedStates := OperatedStates + "0f0b2e27-8057-43d0-a442-6c015c8c4f95|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_NO_MAINTENANCE_TIMEOUT()
      If not OperatedStates.Contains("0f0b2e27-8057-43d0-a442-6c015c8c4f95|") Then
        OperatedStates = OperatedStates + "0f0b2e27-8057-43d0-a442-6c015c8c4f95|"
      End If
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.TStep(CurrentTime);
    ' if This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.HasElapsed() then
    '   This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.TStop();
    '   RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_CallBack(This);
    ' end if
    ' Ret := SMSupport.Duration.MinOf(Ret, This.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.TimeToLive());
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.TStep(CurrentTime)
      If Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.HasElapsed() Then
        Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.TStop()
        RtsWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1_CallBack(Me)
      End If
      Ret = SMSupport.Duration.MinOf(Ret, Me.RtsAttWAITING_FOR_NO_MAINTENANCE_TIMEOUT_Timer1.TimeToLive())
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume D20in_Con_MDM_Used: a SySimInputPort;
    ' assume D21in_Con_tmax_No_Maintenance: a SySimInputPort;
    ' assume d51out_EST_EfeS_State: a SySimOutputPort;
    ' assume d52out_EST_EfeS_init_SubState: a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T1in_Power_On_Detected: a SySimInputPort;
    ' assume T2in_Power_Off_Detected: a SySimInputPort;
    ' assume T3in_Reset: a SySimInputPort;
    ' assume T4in_Booted: a SySimInputPort;
    ' assume T5in_SIL_Not_Fulfilled: a SySimInputPort;
    ' assume T7in_Invalid_Or_Missing_Basic_Data: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg8Tmp := (/*##STRT 2aac0b22-2761-4f74-80f0-f878a56ff51c */ ( T3in_Reset )/*##END 2aac0b22-2761-4f74-80f0-f878a56ff51c */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg5Tmp := (/*##STRT 6bfbe6fb-6672-44f5-804f-361f26110167 */ ( T7in_Invalid_Or_Missing_Basic_Data )/*##END 6bfbe6fb-6672-44f5-804f-361f26110167 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg2Tmp := (/*##STRT 5a7a4dde-405d-4d9c-8103-afa9ac1dded7 */ ( T2in_Power_Off_Detected )/*##END 5a7a4dde-405d-4d9c-8103-afa9ac1dded7 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg4Tmp := (/*##STRT 426b843f-a0ec-4dbb-ab93-4e42799d9fa9 */ ( T5in_SIL_Not_Fulfilled )/*##END 426b843f-a0ec-4dbb-ab93-4e42799d9fa9 */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg3Tmp := (/*##STRT 8b57f920-1616-4dbb-bd2f-0069a1796c04 */ ( T4in_Booted )/*##END 8b57f920-1616-4dbb-bd2f-0069a1796c04 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg1Tmp := (/*##STRT 5c571ddd-ee68-4292-ad8a-5731f0eb03c3 */ ( T1in_Power_On_Detected )/*##END 5c571ddd-ee68-4292-ad8a-5731f0eb03c3 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg9Tmp := (/*##STRT 3088bce6-f058-407b-8a45-9c2ba023f274 */ ( T3in_Reset )/*##END 3088bce6-f058-407b-8a45-9c2ba023f274 */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' declare ChgFlg10Tmp := (/*##STRT 6b0b1c61-3156-4808-b212-3f6f1098c3da */ ( T5in_SIL_Not_Fulfilled )/*##END 6b0b1c61-3156-4808-b212-3f6f1098c3da */ ) : Boolean;
    ' ChgFlg10 := EvalTrigger(ChgFlg10Tmp , ChgFlgLast10);
    ' declare ChgFlg7Tmp := (/*##STRT 21f6bd97-32da-4b5f-aaef-bd0cc2752b71 */ ( T5in_SIL_Not_Fulfilled )/*##END 21f6bd97-32da-4b5f-aaef-bd0cc2752b71 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg6Tmp := (/*##STRT 649b94ea-b1b5-4e22-b9c1-30910f825081 */ ( T3in_Reset )/*##END 649b94ea-b1b5-4e22-b9c1-30910f825081 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' ChgFlgLast10 := ChgFlg10Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg8 := (/*##STRT 2aac0b22-2761-4f74-80f0-f878a56ff51c */ ( T3in_Reset )/*##END 2aac0b22-2761-4f74-80f0-f878a56ff51c */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 6bfbe6fb-6672-44f5-804f-361f26110167 */ ( T7in_Invalid_Or_Missing_Basic_Data )/*##END 6bfbe6fb-6672-44f5-804f-361f26110167 */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT 5a7a4dde-405d-4d9c-8103-afa9ac1dded7 */ ( T2in_Power_Off_Detected )/*##END 5a7a4dde-405d-4d9c-8103-afa9ac1dded7 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 426b843f-a0ec-4dbb-ab93-4e42799d9fa9 */ ( T5in_SIL_Not_Fulfilled )/*##END 426b843f-a0ec-4dbb-ab93-4e42799d9fa9 */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 8b57f920-1616-4dbb-bd2f-0069a1796c04 */ ( T4in_Booted )/*##END 8b57f920-1616-4dbb-bd2f-0069a1796c04 */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT 5c571ddd-ee68-4292-ad8a-5731f0eb03c3 */ ( T1in_Power_On_Detected )/*##END 5c571ddd-ee68-4292-ad8a-5731f0eb03c3 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT 3088bce6-f058-407b-8a45-9c2ba023f274 */ ( T3in_Reset )/*##END 3088bce6-f058-407b-8a45-9c2ba023f274 */ ) : Boolean;
    '   declare MaskedChgFlg10 := (/*##STRT 6b0b1c61-3156-4808-b212-3f6f1098c3da */ ( T5in_SIL_Not_Fulfilled )/*##END 6b0b1c61-3156-4808-b212-3f6f1098c3da */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 21f6bd97-32da-4b5f-aaef-bd0cc2752b71 */ ( T5in_SIL_Not_Fulfilled )/*##END 21f6bd97-32da-4b5f-aaef-bd0cc2752b71 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT 649b94ea-b1b5-4e22-b9c1-30910f825081 */ ( T3in_Reset )/*##END 649b94ea-b1b5-4e22-b9c1-30910f825081 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg8 := (/*##STRT 2aac0b22-2761-4f74-80f0-f878a56ff51c */ ( T3in_Reset )/*##END 2aac0b22-2761-4f74-80f0-f878a56ff51c */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 6bfbe6fb-6672-44f5-804f-361f26110167 */ ( T7in_Invalid_Or_Missing_Basic_Data )/*##END 6bfbe6fb-6672-44f5-804f-361f26110167 */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT 5a7a4dde-405d-4d9c-8103-afa9ac1dded7 */ ( T2in_Power_Off_Detected )/*##END 5a7a4dde-405d-4d9c-8103-afa9ac1dded7 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 426b843f-a0ec-4dbb-ab93-4e42799d9fa9 */ ( T5in_SIL_Not_Fulfilled )/*##END 426b843f-a0ec-4dbb-ab93-4e42799d9fa9 */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 8b57f920-1616-4dbb-bd2f-0069a1796c04 */ ( T4in_Booted )/*##END 8b57f920-1616-4dbb-bd2f-0069a1796c04 */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT 5c571ddd-ee68-4292-ad8a-5731f0eb03c3 */ ( T1in_Power_On_Detected )/*##END 5c571ddd-ee68-4292-ad8a-5731f0eb03c3 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT 3088bce6-f058-407b-8a45-9c2ba023f274 */ ( T3in_Reset )/*##END 3088bce6-f058-407b-8a45-9c2ba023f274 */ ) : Boolean;
    '   declare UnMaskedChgFlg10 := (/*##STRT 6b0b1c61-3156-4808-b212-3f6f1098c3da */ ( T5in_SIL_Not_Fulfilled )/*##END 6b0b1c61-3156-4808-b212-3f6f1098c3da */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 21f6bd97-32da-4b5f-aaef-bd0cc2752b71 */ ( T5in_SIL_Not_Fulfilled )/*##END 21f6bd97-32da-4b5f-aaef-bd0cc2752b71 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT 649b94ea-b1b5-4e22-b9c1-30910f825081 */ ( T3in_Reset )/*##END 649b94ea-b1b5-4e22-b9c1-30910f825081 */ ) : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   declare PreviousChgFlg10 := ChgFlg10 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := True;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := True;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := True;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := True;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := True;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := True;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := True;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := True;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := True;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg9 := False;
    '   ChgFlg10 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg8 := false;
    ' ChgFlg5 := false;
    ' ChgFlg2 := false;
    ' ChgFlg4 := false;
    ' ChgFlg3 := false;
    ' ChgFlg1 := false;
    ' ChgFlg9 := false;
    ' ChgFlg10 := false;
    ' ChgFlg7 := false;
    ' ChgFlg6 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg8Tmp As Boolean = ((T3in_Reset.GetLatchedValue()))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg5Tmp As Boolean = ((T7in_Invalid_Or_Missing_Basic_Data.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg2Tmp As Boolean = ((T2in_Power_Off_Detected.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg4Tmp As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg3Tmp As Boolean = ((T4in_Booted.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg1Tmp As Boolean = ((T1in_Power_On_Detected.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg9Tmp As Boolean = ((T3in_Reset.GetLatchedValue()))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      Dim ChgFlg10Tmp As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
      ChgFlg10 = EvalTrigger(ChgFlg10Tmp, ChgFlgLast10)
      Dim ChgFlg7Tmp As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg6Tmp As Boolean = ((T3in_Reset.GetLatchedValue()))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      ChgFlgLast10 = ChgFlg10Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg8 As Boolean = ((T3in_Reset.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((T7in_Invalid_Or_Missing_Basic_Data.GetLatchedValue()))
        Dim MaskedChgFlg2 As Boolean = ((T2in_Power_Off_Detected.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((T4in_Booted.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((T1in_Power_On_Detected.GetLatchedValue()))
        Dim MaskedChgFlg9 As Boolean = ((T3in_Reset.GetLatchedValue()))
        Dim MaskedChgFlg10 As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
        Dim MaskedChgFlg7 As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
        Dim MaskedChgFlg6 As Boolean = ((T3in_Reset.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg8 As Boolean = ((T3in_Reset.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((T7in_Invalid_Or_Missing_Basic_Data.GetLatchedValue()))
        Dim UnMaskedChgFlg2 As Boolean = ((T2in_Power_Off_Detected.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((T4in_Booted.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((T1in_Power_On_Detected.GetLatchedValue()))
        Dim UnMaskedChgFlg9 As Boolean = ((T3in_Reset.GetLatchedValue()))
        Dim UnMaskedChgFlg10 As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
        Dim UnMaskedChgFlg7 As Boolean = ((T5in_SIL_Not_Fulfilled.GetLatchedValue()))
        Dim UnMaskedChgFlg6 As Boolean = ((T3in_Reset.GetLatchedValue()))
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        Dim PreviousChgFlg10 As Boolean = ChgFlg10
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = True
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = True
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = True
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = True
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = True
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = True
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = True
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = True
          ChgFlg7 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = True
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg9 = False
          ChgFlg10 = False
          ChgFlg7 = False
          ChgFlg6 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg8 = False
      ChgFlg5 = False
      ChgFlg2 = False
      ChgFlg4 = False
      ChgFlg3 = False
      ChgFlg1 = False
      ChgFlg9 = False
      ChgFlg10 = False
      ChgFlg7 = False
      ChgFlg6 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or D20in_Con_MDM_Used.Decrement())
      Ret = (Ret Or D21in_Con_tmax_No_Maintenance.Decrement())
      Ret = (Ret Or T1in_Power_On_Detected.Decrement())
      Ret = (Ret Or T2in_Power_Off_Detected.Decrement())
      Ret = (Ret Or T3in_Reset.Decrement())
      Ret = (Ret Or T4in_Booted.Decrement())
      Ret = (Ret Or T5in_SIL_Not_Fulfilled.Decrement())
      Ret = (Ret Or T7in_Invalid_Or_Missing_Basic_Data.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      D20in_Con_MDM_Used.Mask(What)
      D21in_Con_tmax_No_Maintenance.Mask(What)
      T1in_Power_On_Detected.Mask(What)
      T2in_Power_Off_Detected.Mask(What)
      T3in_Reset.Mask(What)
      T4in_Booted.Mask(What)
      T5in_SIL_Not_Fulfilled.Mask(What)
      T7in_Invalid_Or_Missing_Basic_Data.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  ' Entity 'F_Monitor_Output_Channel_Disturbance_State' not generated by SySim because unreferenced or not having qualifying stereotypes
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_Monitor_Time_Values : Implements SMSupport.SMQueued 
    Protected Class F_Monitor_Time_ValuesSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_Monitor_Time_Values = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_Monitor_Time_Values_States
      RtsF_Monitor_Time_Values_States_FALLBACKMODE
      RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES
      RtsF_Monitor_Time_Values_States_TECHNICAL_DISTURBANCE
      RtsF_Monitor_Time_Values_States_WAITING_FOR_FINISH_BOOTING
      RtsF_Monitor_Time_Values_States_NotIn_F_Monitor_Time_Values
    End Enum
    Public Enum RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States
      RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE
      RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING
      RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED
      RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_NotIn_MONITOR_CLOSURE_TIME
    End Enum
    Public Enum RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States
      RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1
      RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY
      RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED
      RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING
      RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_NotIn_PDI_CON_LOSS_DELAY
    End Enum
    ' \ART_SMG :: Created for state : F_Monitor_Time_Values
    Private RtsCurrent_F_Monitor_Time_Values As F_Monitor_Time_Values.RtsF_Monitor_Time_Values_States
    ' \ART_SMG :: Created for state : MONITOR_CLOSURE_TIME
    Private RtsCurrent_MONITOR_CLOSURE_TIME As F_Monitor_Time_Values.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States
    ' \ART_SMG :: Created for state : CLOSURE_TIME_IS_RUNNING
    Private RtsAttCLOSURE_TIME_IS_RUNNING_Timer1 As SMSupport.RtsTimer
    ' \ART_SMG :: Created for state : PDI_CON_LOSS_DELAY
    Private RtsCurrent_PDI_CON_LOSS_DELAY As F_Monitor_Time_Values.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States
    ' \ART_SMG :: Created for state : WAITING_FOR_DELAY
    Private RtsAttWAITING_FOR_DELAY_Timer1 As SMSupport.RtsTimer
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_Monitor_Time_ValuesSMQueue = New F_Monitor_Time_ValuesSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The port D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay provides configuration values for the Con_t_PDI_Loss_Deactivation_Delay.
    ' 
    ' true: Con_t_PDI_Loss_Deactivation_Delay is used
    ' false: Con_t_PDI_Loss_Deactivation_Delay is not used
    Protected D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay As OInputPort(Of Boolean)
    ' The port D63in_Con_Use_Closure_Time provides configuration values for the Con_tmax_Closure_Time.
    ' 
    ' true: Con_tmax_Closure_Time is used
    ' false: Con_tmax_Closure_Time is not used
    Protected D63in_Con_Use_Closure_Time As OInputPort(Of Boolean)
    ' The port D54in_Con_tmax_Closure_Time refines the time value for Con_tmax_Closure_Time.
    ' 
    ' The following values are permitted:
    ' - 1 up to any number
    ' 
    Protected D54in_Con_tmax_Closure_Time As OInputPort(Of Integer)
    ' The port D56in_Con_t_PDI_Con_Loss_Deactivation_Delay refines the time value for Con_t_PDI_Loss_Deactivation_Delay.
    ' 
    ' The following values are permitted:
    ' - 1 up to any number
    Protected D56in_Con_t_PDI_Con_Loss_Deactivation_Delay As OInputPort(Of Integer)
    Protected d53out_Time_Expired As OOutputPort(Of String)
    Protected d1in_Receive_LC_State As OInputPort(Of String)
    Protected d3in_LCPF_Protection_State As OInputPort(Of String)
    ' The port D68in_Con_Failure_Status_After_Closure_Time_Overrun provides the configuration value what failure status the Subsystem - Level Crossing is configured to report after a closure time overrun occurred.
    Protected D68in_Con_Failure_Status_After_Closure_Time_Overrun As OInputPort(Of String)
    Protected d6out_LC_Monitoring_Status As OOutputPort(Of String)
    Protected d75out_LC_Failure_Status As OOutputPort(Of String)
    Protected d51in_EST_EfeS_State As OInputPort(Of String)
    ' cOp2_React_On_Closure_Time_Overrun
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp2_React_On_Closure_Time_Overrun */
    ' 
    ' if D68in_Con_Failure_Status_After_Closure_Time_Overrun = "non critical failure report" then
    ' 	d75out_LC_Failure_Status := "A non critical failure is present";
    ' elseif D68in_Con_Failure_Status_After_Closure_Time_Overrun = "critical failure report" then
    ' 	d75out_LC_Failure_Status := "A critical failure is present";
    ' end if
    Public Sub cOp2_React_On_Closure_Time_Overrun()
      If D68in_Con_Failure_Status_After_Closure_Time_Overrun.GetLatchedValue() = "non critical failure report" Then
        d75out_LC_Failure_Status.SetValue("A non critical failure is present")
      ElseIf D68in_Con_Failure_Status_After_Closure_Time_Overrun.GetLatchedValue() = "critical failure report" Then
        d75out_LC_Failure_Status.SetValue("A critical failure is present")
      End If
    End Sub
    
    ' cOp3_React_On_No_Closure_Time_Overrun
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp3_React_On_No_Closure_Time_Overrun */
    ' 
    ' if D68in_Con_Failure_Status_After_Closure_Time_Overrun = "non critical failure report" then
    ' 	d75out_LC_Failure_Status := "No non critical failure present";
    ' elseif D68in_Con_Failure_Status_After_Closure_Time_Overrun = "critical failure report" then
    ' 	d75out_LC_Failure_Status := "No critical failure present";
    ' end if
    Public Sub cOp3_React_On_No_Closure_Time_Overrun()
      If D68in_Con_Failure_Status_After_Closure_Time_Overrun.GetLatchedValue() = "non critical failure report" Then
        d75out_LC_Failure_Status.SetValue("No non critical failure present")
      ElseIf D68in_Con_Failure_Status_After_Closure_Time_Overrun.GetLatchedValue() = "critical failure report" Then
        d75out_LC_Failure_Status.SetValue("No critical failure present")
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_IS_RUNNING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' pInstance.RtsCLOSURE_TIME_IS_RUNNING_Timer1();
    Private Shared Sub RtsCLOSURE_TIME_IS_RUNNING_Timer1_CallBack(ByRef pInstance As F_Monitor_Time_Values)
      pInstance.RtsCLOSURE_TIME_IS_RUNNING_Timer1()
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DELAY
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' pInstance.RtsWAITING_FOR_DELAY_Timer1();
    Private Shared Sub RtsWAITING_FOR_DELAY_Timer1_CallBack(ByRef pInstance As F_Monitor_Time_Values)
      pInstance.RtsWAITING_FOR_DELAY_Timer1()
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_Monitor_Time_Values: on object;
    ' assume RtsCurrent_MONITOR_CLOSURE_TIME: on object;
    ' assume RtsAttCLOSURE_TIME_IS_RUNNING_Timer1: on object;
    ' assume RtsCurrent_PDI_CON_LOSS_DELAY: on object;
    ' assume RtsAttWAITING_FOR_DELAY_Timer1: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE then
    ' /* #REF123# */
    ' 	/* 60cd8525-f413-4f41-b5d4-59f2f6a15cc5 IDLE */
    '   ThisState := "60cd8525-f413-4f41-b5d4-59f2f6a15cc5";
    ' 	if /* #REF2000# *//*##STRT 79af3eb3-db7a-4ed6-8171-41ec871728ae */ (
    '  D63in_Con_Use_Closure_Time = TRUE)/*##END 79af3eb3-db7a-4ed6-8171-41ec871728ae */  and /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IDLE */
    ' 		/* standard */
    ' 		This.RtsExit_IDLE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"02f6a3ed-2f64-4a36-b23f-6fb16ca0a1a9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8e53ebe7-4fbb-4315-84ae-eebcc44054cb */  nullstat;/*##END 8e53ebe7-4fbb-4315-84ae-eebcc44054cb */ /* #REF1546# */
    ' 		This.RtsEnter_CLOSURE_TIME_IS_RUNNING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING then
    ' /* #REF123# */
    ' 	/* c40ef257-adfa-474a-9d82-11870af9e75e CLOSURE_TIME_IS_RUNNING */
    '   ThisState := "c40ef257-adfa-474a-9d82-11870af9e75e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_CLOSURE_TIME_IS_RUNNING */
    ' 		/* standard */
    ' 		This.RtsExit_CLOSURE_TIME_IS_RUNNING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6e04693d-370d-4962-ad8c-73ec47115550",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8af65c9e-ff5a-435a-a0d4-9aed42cc5fb8 */  nullstat;/*##END 8af65c9e-ff5a-435a-a0d4-9aed42cc5fb8 */ /* #REF1546# */
    ' 		This.RtsEnter_IDLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED then
    ' /* #REF123# */
    ' 	/* 9b4408dc-31a5-439b-a8bc-e151cb463bd5 CLOSURE_TIME_EXPIRED */
    '   ThisState := "9b4408dc-31a5-439b-a8bc-e151cb463bd5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_CLOSURE_TIME_EXPIRED */
    ' 		/* standard */
    ' 		This.RtsExit_CLOSURE_TIME_EXPIRED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a15738ea-f592-412f-9618-e084c7178b0a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT dc88f80d-2455-4d5b-922a-9a08c2c0c301 */  nullstat;/*##END dc88f80d-2455-4d5b-922a-9a08c2c0c301 */ /* #REF1546# */
    ' 		This.RtsEnter_IDLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1 then
    ' /* #REF123# */
    ' 	/* caa0924e-4316-405b-bf40-febbdeff2e7d IDLE_1 */
    '   ThisState := "caa0924e-4316-405b-bf40-febbdeff2e7d";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IDLE_1 */
    ' 		/* standard */
    ' 		This.RtsExit_IDLE_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"bca1be62-9e83-45e9-af1f-91a213c78538",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT c98bc9e8-7c71-4e31-bd82-18460106e48e */  nullstat;/*##END c98bc9e8-7c71-4e31-bd82-18460106e48e */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY then
    ' /* #REF123# */
    ' 	/* 028d98e5-cfe2-4431-b58f-d6e72f92697b WAITING_FOR_DELAY */
    '   ThisState := "028d98e5-cfe2-4431-b58f-d6e72f92697b";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_DELAY */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_DELAY();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"daa067eb-debd-4099-8430-878f78b17215",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT cb7b030a-a5f2-4aae-b583-7fe007e993d5 */  nullstat;/*##END cb7b030a-a5f2-4aae-b583-7fe007e993d5 */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED then
    ' /* #REF123# */
    ' 	/* dd80746f-7dd5-49da-ba75-f3c69d9d4b17 DELAY_REACHED */
    '   ThisState := "dd80746f-7dd5-49da-ba75-f3c69d9d4b17";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DELAY_REACHED */
    ' 		/* standard */
    ' 		This.RtsExit_DELAY_REACHED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"0874dcc3-2680-45a7-b171-360637c86f61",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 404f69e9-c938-4283-be80-434b68448c39 */  d53out_Time_Expired := "Delay not Expired"; nullstat;/*##END 404f69e9-c938-4283-be80-434b68448c39 */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING then
    ' /* #REF123# */
    ' 	/* fe4364e8-c6cf-46d5-996c-9d75d68c3272 WAITING */
    '   ThisState := "fe4364e8-c6cf-46d5-996c-9d75d68c3272";
    ' 	if /* #REF2000# *//*##STRT 49b11495-00e6-4100-838d-1ad8cc3e476c */ (NOT d1in_Receive_LC_State = "Isolated" AND D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay = TRUE)/*##END 49b11495-00e6-4100-838d-1ad8cc3e476c */  and /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"f354afa9-fc94-4de2-ada6-0ef1ae477a06",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 73e1ae65-5a42-4a54-80f6-eecc4f79adcd */  nullstat;/*##END 73e1ae65-5a42-4a54-80f6-eecc4f79adcd */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING_FOR_DELAY();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Monitor_Time_Values =  /* #REF121d# */ RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_NotIn_F_Monitor_Time_Values then
    ' /* #REF123# */
    ' 	/* a637c4c0-3f7a-4874-9e9f-3f40b7e33db0 Initial0 */
    '   ThisState := "a637c4c0-3f7a-4874-9e9f-3f40b7e33db0";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"a637c4c0-3f7a-4874-9e9f-3f40b7e33db0",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"a637c4c0-3f7a-4874-9e9f-3f40b7e33db0",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"108c59bd-b3de-45a7-84f9-7333bd56c6d8",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 09aa4c2e-8f06-4846-974f-45f68b3be09a */  nullstat;/*##END 09aa4c2e-8f06-4846-974f-45f68b3be09a */ /* #REF1546# */
    ' 	This.RtsDefault_MONITOR_TIME_VALUES();/* #REF1587# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE Then
        ThisState = "60cd8525-f413-4f41-b5d4-59f2f6a15cc5"
        If (D63in_Con_Use_Closure_Time.GetLatchedValue() = True) And SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IDLE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "02f6a3ed-2f64-4a36-b23f-6fb16ca0a1a9", 0, NullString)
          Me.RtsEnter_CLOSURE_TIME_IS_RUNNING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING Then
        ThisState = "c40ef257-adfa-474a-9d82-11870af9e75e"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_CLOSURE_TIME_IS_RUNNING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6e04693d-370d-4962-ad8c-73ec47115550", 0, NullString)
          Me.RtsEnter_IDLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED Then
        ThisState = "9b4408dc-31a5-439b-a8bc-e151cb463bd5"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_CLOSURE_TIME_EXPIRED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a15738ea-f592-412f-9618-e084c7178b0a", 0, NullString)
          Me.RtsEnter_IDLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1 Then
        ThisState = "caa0924e-4316-405b-bf40-febbdeff2e7d"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IDLE_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "bca1be62-9e83-45e9-af1f-91a213c78538", 0, NullString)
          Me.RtsEnter_WAITING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY Then
        ThisState = "028d98e5-cfe2-4431-b58f-d6e72f92697b"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_FOR_DELAY()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "daa067eb-debd-4099-8430-878f78b17215", 0, NullString)
          Me.RtsEnter_WAITING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED Then
        ThisState = "dd80746f-7dd5-49da-ba75-f3c69d9d4b17"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_DELAY_REACHED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "0874dcc3-2680-45a7-b171-360637c86f61", 0, NullString)
          d53out_Time_Expired.SetValue("Delay not Expired")
          Me.RtsEnter_WAITING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING Then
        ThisState = "fe4364e8-c6cf-46d5-996c-9d75d68c3272"
        If (NOT d1in_Receive_LC_State.GetLatchedValue() = "Isolated" And D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay.GetLatchedValue() = True) And SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "f354afa9-fc94-4de2-ada6-0ef1ae477a06", 0, NullString)
          Me.RtsEnter_WAITING_FOR_DELAY()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_NotIn_F_Monitor_Time_Values Then
        ThisState = "a637c4c0-3f7a-4874-9e9f-3f40b7e33db0"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "a637c4c0-3f7a-4874-9e9f-3f40b7e33db0", 0, NullString)
        RtsNotify(Me, SEXIT, "a637c4c0-3f7a-4874-9e9f-3f40b7e33db0", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "108c59bd-b3de-45a7-84f9-7333bd56c6d8", 0, NullString)
        Me.RtsDefault_MONITOR_TIME_VALUES()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "5d29ff3d-2377-4e29-9604-92ae41fc36f4", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);/* #REF1564# */
    ' SMSupport.RtsBase.RtsCreateTimer(This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1);/* #REF1564# */
    ' SMSupport.RtsBase.RtsCreateTimer(This.RtsAttWAITING_FOR_DELAY_Timer1);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_Monitor_Time_Values := RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_NotIn_F_Monitor_Time_Values;/* #REF1566# */
    ' This.RtsCurrent_MONITOR_CLOSURE_TIME := RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_NotIn_MONITOR_CLOSURE_TIME;/* #REF1566# */
    ' This.RtsCurrent_PDI_CON_LOSS_DELAY := RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_NotIn_PDI_CON_LOSS_DELAY;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "5d29ff3d-2377-4e29-9604-92ae41fc36f4", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      SMSupport.RtsBase.RtsCreateTimer(Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1)
      SMSupport.RtsBase.RtsCreateTimer(Me.RtsAttWAITING_FOR_DELAY_Timer1)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_NotIn_F_Monitor_Time_Values
      Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_NotIn_MONITOR_CLOSURE_TIME
      Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_NotIn_PDI_CON_LOSS_DELAY
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACKMODE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5415a742-0f6d-4809-951b-94e482845382|") then
    '   OperatedStates := OperatedStates + "5415a742-0f6d-4809-951b-94e482845382|";
    ' end if
    ' // Simulation support : Notification function call for entering state : FALLBACKMODE ///* #REF520# */
    ' RtsNotify(This,SENTER,"5415a742-0f6d-4809-951b-94e482845382",0,NullString);
    ' 
    ' SimCore.EnterState("5415a742-0f6d-4809-951b-94e482845382","FALLBACKMODE");
    ' 
    ' This.RtsCurrent_F_Monitor_Time_Values := RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_FALLBACKMODE;/* #REF521# */
    ' 
    Private Sub RtsEnter_FALLBACKMODE()
      If not OperatedStates.Contains("5415a742-0f6d-4809-951b-94e482845382|") Then
        OperatedStates = OperatedStates + "5415a742-0f6d-4809-951b-94e482845382|"
      End If
      'Simulation support : Notification function call for entering state : FALLBACKMODE ///* #REF520# */
      RtsNotify(Me, SENTER, "5415a742-0f6d-4809-951b-94e482845382", 0, NullString)
      SimCore.EnterState("5415a742-0f6d-4809-951b-94e482845382", "FALLBACKMODE")
      Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_FALLBACKMODE
    End Sub
    
    ' \ART_SMG :: Created for state : MONITOR_TIME_VALUES
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("8f7eac4a-0aa0-4ca3-9348-fb00ce552732|") then
    '   OperatedStates := OperatedStates + "8f7eac4a-0aa0-4ca3-9348-fb00ce552732|";
    ' end if
    ' // Simulation support : Notification function call for entering state : MONITOR_TIME_VALUES ///* #REF520# */
    ' RtsNotify(This,SENTER,"8f7eac4a-0aa0-4ca3-9348-fb00ce552732",0,NullString);
    ' 
    ' SimCore.EnterState("8f7eac4a-0aa0-4ca3-9348-fb00ce552732","MONITOR_TIME_VALUES");
    ' 
    ' This.RtsCurrent_F_Monitor_Time_Values := RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES;/* #REF521# */
    ' 
    Private Sub RtsEnter_MONITOR_TIME_VALUES()
      If not OperatedStates.Contains("8f7eac4a-0aa0-4ca3-9348-fb00ce552732|") Then
        OperatedStates = OperatedStates + "8f7eac4a-0aa0-4ca3-9348-fb00ce552732|"
      End If
      'Simulation support : Notification function call for entering state : MONITOR_TIME_VALUES ///* #REF520# */
      RtsNotify(Me, SENTER, "8f7eac4a-0aa0-4ca3-9348-fb00ce552732", 0, NullString)
      SimCore.EnterState("8f7eac4a-0aa0-4ca3-9348-fb00ce552732", "MONITOR_TIME_VALUES")
      Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES
    End Sub
    
    ' \ART_SMG :: Created for state : TECHNICAL_DISTURBANCE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7052fa1a-b272-4068-b775-85e1797ee229|") then
    '   OperatedStates := OperatedStates + "7052fa1a-b272-4068-b775-85e1797ee229|";
    ' end if
    ' // Simulation support : Notification function call for entering state : TECHNICAL_DISTURBANCE ///* #REF520# */
    ' RtsNotify(This,SENTER,"7052fa1a-b272-4068-b775-85e1797ee229",0,NullString);
    ' 
    ' SimCore.EnterState("7052fa1a-b272-4068-b775-85e1797ee229","TECHNICAL_DISTURBANCE");
    ' 
    ' This.RtsCurrent_F_Monitor_Time_Values := RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_TECHNICAL_DISTURBANCE;/* #REF521# */
    ' 
    Private Sub RtsEnter_TECHNICAL_DISTURBANCE()
      If not OperatedStates.Contains("7052fa1a-b272-4068-b775-85e1797ee229|") Then
        OperatedStates = OperatedStates + "7052fa1a-b272-4068-b775-85e1797ee229|"
      End If
      'Simulation support : Notification function call for entering state : TECHNICAL_DISTURBANCE ///* #REF520# */
      RtsNotify(Me, SENTER, "7052fa1a-b272-4068-b775-85e1797ee229", 0, NullString)
      SimCore.EnterState("7052fa1a-b272-4068-b775-85e1797ee229", "TECHNICAL_DISTURBANCE")
      Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_TECHNICAL_DISTURBANCE
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_FINISH_BOOTING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("832754ab-48db-40ec-b881-7feb0ad7b473|") then
    '   OperatedStates := OperatedStates + "832754ab-48db-40ec-b881-7feb0ad7b473|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_FINISH_BOOTING ///* #REF520# */
    ' RtsNotify(This,SENTER,"832754ab-48db-40ec-b881-7feb0ad7b473",0,NullString);
    ' 
    ' SimCore.EnterState("832754ab-48db-40ec-b881-7feb0ad7b473","WAITING_FOR_FINISH_BOOTING");
    ' 
    ' This.RtsCurrent_F_Monitor_Time_Values := RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_WAITING_FOR_FINISH_BOOTING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_FOR_FINISH_BOOTING()
      If not OperatedStates.Contains("832754ab-48db-40ec-b881-7feb0ad7b473|") Then
        OperatedStates = OperatedStates + "832754ab-48db-40ec-b881-7feb0ad7b473|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_FINISH_BOOTING ///* #REF520# */
      RtsNotify(Me, SENTER, "832754ab-48db-40ec-b881-7feb0ad7b473", 0, NullString)
      SimCore.EnterState("832754ab-48db-40ec-b881-7feb0ad7b473", "WAITING_FOR_FINISH_BOOTING")
      Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_WAITING_FOR_FINISH_BOOTING
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("60cd8525-f413-4f41-b5d4-59f2f6a15cc5|") then
    '   OperatedStates := OperatedStates + "60cd8525-f413-4f41-b5d4-59f2f6a15cc5|";
    ' end if
    ' // Simulation support : Notification function call for entering state : IDLE ///* #REF520# */
    ' RtsNotify(This,SENTER,"60cd8525-f413-4f41-b5d4-59f2f6a15cc5",0,NullString);
    ' 
    ' SimCore.EnterState("60cd8525-f413-4f41-b5d4-59f2f6a15cc5","MONITOR_TIME_VALUES::MONITOR_CLOSURE_TIME::IDLE");
    ' 
    ' This.RtsCurrent_MONITOR_CLOSURE_TIME := RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 6c1b2177-d39c-457e-9cb9-73d3b13a0359 */  d6out_LC_Monitoring_Status := "No Closure time overrun";
    '  cOp3_React_On_No_Closure_Time_Overrun (); nullstat;/*##END 6c1b2177-d39c-457e-9cb9-73d3b13a0359 */ 
    Private Sub RtsEnter_IDLE()
      If not OperatedStates.Contains("60cd8525-f413-4f41-b5d4-59f2f6a15cc5|") Then
        OperatedStates = OperatedStates + "60cd8525-f413-4f41-b5d4-59f2f6a15cc5|"
      End If
      'Simulation support : Notification function call for entering state : IDLE ///* #REF520# */
      RtsNotify(Me, SENTER, "60cd8525-f413-4f41-b5d4-59f2f6a15cc5", 0, NullString)
      SimCore.EnterState("60cd8525-f413-4f41-b5d4-59f2f6a15cc5", "MONITOR_TIME_VALUES::MONITOR_CLOSURE_TIME::IDLE")
      Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE
      'Entry Actions
      d6out_LC_Monitoring_Status.SetValue("No Closure time overrun")
      cOp3_React_On_No_Closure_Time_Overrun()
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_IS_RUNNING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("c40ef257-adfa-474a-9d82-11870af9e75e|") then
    '   OperatedStates := OperatedStates + "c40ef257-adfa-474a-9d82-11870af9e75e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : CLOSURE_TIME_IS_RUNNING ///* #REF520# */
    ' RtsNotify(This,SENTER,"c40ef257-adfa-474a-9d82-11870af9e75e",0,NullString);
    ' 
    ' SimCore.EnterState("c40ef257-adfa-474a-9d82-11870af9e75e","MONITOR_TIME_VALUES::MONITOR_CLOSURE_TIME::CLOSURE_TIME_IS_RUNNING");
    ' 
    ' This.RtsCurrent_MONITOR_CLOSURE_TIME := RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING;/* #REF521# */
    ' /* #REF523# */
    ' // Start Timers/* #REF525# */
    ' SMSupport.RtsBase.RtsStartTimer(This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1, /*##STRT f52a6460-98f1-48b2-8340-40545fb11394 */ D54in_Con_tmax_Closure_Time/*##END f52a6460-98f1-48b2-8340-40545fb11394 */ , CurrentTime);
    Private Sub RtsEnter_CLOSURE_TIME_IS_RUNNING()
      If not OperatedStates.Contains("c40ef257-adfa-474a-9d82-11870af9e75e|") Then
        OperatedStates = OperatedStates + "c40ef257-adfa-474a-9d82-11870af9e75e|"
      End If
      'Simulation support : Notification function call for entering state : CLOSURE_TIME_IS_RUNNING ///* #REF520# */
      RtsNotify(Me, SENTER, "c40ef257-adfa-474a-9d82-11870af9e75e", 0, NullString)
      SimCore.EnterState("c40ef257-adfa-474a-9d82-11870af9e75e", "MONITOR_TIME_VALUES::MONITOR_CLOSURE_TIME::CLOSURE_TIME_IS_RUNNING")
      Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING
      'Start Timers/* #REF525# */
      SMSupport.RtsBase.RtsStartTimer(Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1, D54in_Con_tmax_Closure_Time.GetLatchedValue(), CurrentTime)
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_EXPIRED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9b4408dc-31a5-439b-a8bc-e151cb463bd5|") then
    '   OperatedStates := OperatedStates + "9b4408dc-31a5-439b-a8bc-e151cb463bd5|";
    ' end if
    ' // Simulation support : Notification function call for entering state : CLOSURE_TIME_EXPIRED ///* #REF520# */
    ' RtsNotify(This,SENTER,"9b4408dc-31a5-439b-a8bc-e151cb463bd5",0,NullString);
    ' 
    ' SimCore.EnterState("9b4408dc-31a5-439b-a8bc-e151cb463bd5","MONITOR_TIME_VALUES::MONITOR_CLOSURE_TIME::CLOSURE_TIME_EXPIRED");
    ' 
    ' This.RtsCurrent_MONITOR_CLOSURE_TIME := RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 4a075ce2-c037-461b-9004-058ee94236a4 */  d6out_LC_Monitoring_Status := "Closure time overrun occurred"; nullstat;/*##END 4a075ce2-c037-461b-9004-058ee94236a4 */ 
    Private Sub RtsEnter_CLOSURE_TIME_EXPIRED()
      If not OperatedStates.Contains("9b4408dc-31a5-439b-a8bc-e151cb463bd5|") Then
        OperatedStates = OperatedStates + "9b4408dc-31a5-439b-a8bc-e151cb463bd5|"
      End If
      'Simulation support : Notification function call for entering state : CLOSURE_TIME_EXPIRED ///* #REF520# */
      RtsNotify(Me, SENTER, "9b4408dc-31a5-439b-a8bc-e151cb463bd5", 0, NullString)
      SimCore.EnterState("9b4408dc-31a5-439b-a8bc-e151cb463bd5", "MONITOR_TIME_VALUES::MONITOR_CLOSURE_TIME::CLOSURE_TIME_EXPIRED")
      Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED
      'Entry Actions
      d6out_LC_Monitoring_Status.SetValue("Closure time overrun occurred")
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE_1
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("caa0924e-4316-405b-bf40-febbdeff2e7d|") then
    '   OperatedStates := OperatedStates + "caa0924e-4316-405b-bf40-febbdeff2e7d|";
    ' end if
    ' // Simulation support : Notification function call for entering state : IDLE ///* #REF520# */
    ' RtsNotify(This,SENTER,"caa0924e-4316-405b-bf40-febbdeff2e7d",0,NullString);
    ' 
    ' SimCore.EnterState("caa0924e-4316-405b-bf40-febbdeff2e7d","MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::IDLE");
    ' 
    ' This.RtsCurrent_PDI_CON_LOSS_DELAY := RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1;/* #REF521# */
    ' 
    Private Sub RtsEnter_IDLE_1()
      If not OperatedStates.Contains("caa0924e-4316-405b-bf40-febbdeff2e7d|") Then
        OperatedStates = OperatedStates + "caa0924e-4316-405b-bf40-febbdeff2e7d|"
      End If
      'Simulation support : Notification function call for entering state : IDLE ///* #REF520# */
      RtsNotify(Me, SENTER, "caa0924e-4316-405b-bf40-febbdeff2e7d", 0, NullString)
      SimCore.EnterState("caa0924e-4316-405b-bf40-febbdeff2e7d", "MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::IDLE")
      Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DELAY
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("028d98e5-cfe2-4431-b58f-d6e72f92697b|") then
    '   OperatedStates := OperatedStates + "028d98e5-cfe2-4431-b58f-d6e72f92697b|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_DELAY ///* #REF520# */
    ' RtsNotify(This,SENTER,"028d98e5-cfe2-4431-b58f-d6e72f92697b",0,NullString);
    ' 
    ' SimCore.EnterState("028d98e5-cfe2-4431-b58f-d6e72f92697b","MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::WAITING_FOR_DELAY");
    ' 
    ' This.RtsCurrent_PDI_CON_LOSS_DELAY := RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY;/* #REF521# */
    ' /* #REF523# */
    ' // Start Timers/* #REF525# */
    ' SMSupport.RtsBase.RtsStartTimer(This.RtsAttWAITING_FOR_DELAY_Timer1, /*##STRT b8b9fe5a-0eaf-4101-83bf-bb70f89ba409 */ D56in_Con_t_PDI_Con_Loss_Deactivation_Delay/*##END b8b9fe5a-0eaf-4101-83bf-bb70f89ba409 */ , CurrentTime);
    Private Sub RtsEnter_WAITING_FOR_DELAY()
      If not OperatedStates.Contains("028d98e5-cfe2-4431-b58f-d6e72f92697b|") Then
        OperatedStates = OperatedStates + "028d98e5-cfe2-4431-b58f-d6e72f92697b|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_DELAY ///* #REF520# */
      RtsNotify(Me, SENTER, "028d98e5-cfe2-4431-b58f-d6e72f92697b", 0, NullString)
      SimCore.EnterState("028d98e5-cfe2-4431-b58f-d6e72f92697b", "MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::WAITING_FOR_DELAY")
      Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY
      'Start Timers/* #REF525# */
      SMSupport.RtsBase.RtsStartTimer(Me.RtsAttWAITING_FOR_DELAY_Timer1, D56in_Con_t_PDI_Con_Loss_Deactivation_Delay.GetLatchedValue(), CurrentTime)
    End Sub
    
    ' \ART_SMG :: Created for state : DELAY_REACHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("dd80746f-7dd5-49da-ba75-f3c69d9d4b17|") then
    '   OperatedStates := OperatedStates + "dd80746f-7dd5-49da-ba75-f3c69d9d4b17|";
    ' end if
    ' // Simulation support : Notification function call for entering state : DELAY_REACHED ///* #REF520# */
    ' RtsNotify(This,SENTER,"dd80746f-7dd5-49da-ba75-f3c69d9d4b17",0,NullString);
    ' 
    ' SimCore.EnterState("dd80746f-7dd5-49da-ba75-f3c69d9d4b17","MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::DELAY_REACHED");
    ' 
    ' This.RtsCurrent_PDI_CON_LOSS_DELAY := RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED;/* #REF521# */
    ' 
    Private Sub RtsEnter_DELAY_REACHED()
      If not OperatedStates.Contains("dd80746f-7dd5-49da-ba75-f3c69d9d4b17|") Then
        OperatedStates = OperatedStates + "dd80746f-7dd5-49da-ba75-f3c69d9d4b17|"
      End If
      'Simulation support : Notification function call for entering state : DELAY_REACHED ///* #REF520# */
      RtsNotify(Me, SENTER, "dd80746f-7dd5-49da-ba75-f3c69d9d4b17", 0, NullString)
      SimCore.EnterState("dd80746f-7dd5-49da-ba75-f3c69d9d4b17", "MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::DELAY_REACHED")
      Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("fe4364e8-c6cf-46d5-996c-9d75d68c3272|") then
    '   OperatedStates := OperatedStates + "fe4364e8-c6cf-46d5-996c-9d75d68c3272|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"fe4364e8-c6cf-46d5-996c-9d75d68c3272",0,NullString);
    ' 
    ' SimCore.EnterState("fe4364e8-c6cf-46d5-996c-9d75d68c3272","MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::WAITING");
    ' 
    ' This.RtsCurrent_PDI_CON_LOSS_DELAY := RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING()
      If not OperatedStates.Contains("fe4364e8-c6cf-46d5-996c-9d75d68c3272|") Then
        OperatedStates = OperatedStates + "fe4364e8-c6cf-46d5-996c-9d75d68c3272|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "fe4364e8-c6cf-46d5-996c-9d75d68c3272", 0, NullString)
      SimCore.EnterState("fe4364e8-c6cf-46d5-996c-9d75d68c3272", "MONITOR_TIME_VALUES::PDI_CON_LOSS_DELAY::WAITING")
      Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACKMODE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_FALLBACKMODE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : FALLBACKMODE
    ' 	RtsNotify(This,SEXIT,"5415a742-0f6d-4809-951b-94e482845382",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_FALLBACKMODE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_FALLBACKMODE()
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_FALLBACKMODE Then
        'Simulation support : Notification function call for exiting state : FALLBACKMODE
        RtsNotify(Me, SEXIT, "5415a742-0f6d-4809-951b-94e482845382", 0, NullString)
        RtsExitSSOf_FALLBACKMODE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITOR_TIME_VALUES
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : MONITOR_TIME_VALUES
    ' 	RtsNotify(This,SEXIT,"8f7eac4a-0aa0-4ca3-9348-fb00ce552732",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_MONITOR_TIME_VALUES ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_MONITOR_TIME_VALUES()
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES Then
        'Simulation support : Notification function call for exiting state : MONITOR_TIME_VALUES
        RtsNotify(Me, SEXIT, "8f7eac4a-0aa0-4ca3-9348-fb00ce552732", 0, NullString)
        RtsExitSSOf_MONITOR_TIME_VALUES()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : TECHNICAL_DISTURBANCE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_TECHNICAL_DISTURBANCE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : TECHNICAL_DISTURBANCE
    ' 	RtsNotify(This,SEXIT,"7052fa1a-b272-4068-b775-85e1797ee229",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_TECHNICAL_DISTURBANCE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_TECHNICAL_DISTURBANCE()
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_TECHNICAL_DISTURBANCE Then
        'Simulation support : Notification function call for exiting state : TECHNICAL_DISTURBANCE
        RtsNotify(Me, SEXIT, "7052fa1a-b272-4068-b775-85e1797ee229", 0, NullString)
        RtsExitSSOf_TECHNICAL_DISTURBANCE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_FINISH_BOOTING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_WAITING_FOR_FINISH_BOOTING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_FINISH_BOOTING
    ' 	RtsNotify(This,SEXIT,"832754ab-48db-40ec-b881-7feb0ad7b473",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_FINISH_BOOTING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_FINISH_BOOTING()
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_WAITING_FOR_FINISH_BOOTING Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_FINISH_BOOTING
        RtsNotify(Me, SEXIT, "832754ab-48db-40ec-b881-7feb0ad7b473", 0, NullString)
        RtsExitSSOf_WAITING_FOR_FINISH_BOOTING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : IDLE
    ' 	RtsNotify(This,SEXIT,"60cd8525-f413-4f41-b5d4-59f2f6a15cc5",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_IDLE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_IDLE()
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE Then
        'Simulation support : Notification function call for exiting state : IDLE
        RtsNotify(Me, SEXIT, "60cd8525-f413-4f41-b5d4-59f2f6a15cc5", 0, NullString)
        RtsExitSSOf_IDLE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_IS_RUNNING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : CLOSURE_TIME_IS_RUNNING
    ' 	RtsNotify(This,SEXIT,"c40ef257-adfa-474a-9d82-11870af9e75e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_CLOSURE_TIME_IS_RUNNING ();
    ' 	/* #REF750# */
    ' 	// Stop Timers/* #REF751# */
    ' 	SMSupport.RtsBase.RtsStopTimer(This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1);
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_CLOSURE_TIME_IS_RUNNING()
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING Then
        'Simulation support : Notification function call for exiting state : CLOSURE_TIME_IS_RUNNING
        RtsNotify(Me, SEXIT, "c40ef257-adfa-474a-9d82-11870af9e75e", 0, NullString)
        RtsExitSSOf_CLOSURE_TIME_IS_RUNNING()
        'Stop Timers/* #REF751# */
        SMSupport.RtsBase.RtsStopTimer(Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1)
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_EXPIRED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : CLOSURE_TIME_EXPIRED
    ' 	RtsNotify(This,SEXIT,"9b4408dc-31a5-439b-a8bc-e151cb463bd5",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_CLOSURE_TIME_EXPIRED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_CLOSURE_TIME_EXPIRED()
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED Then
        'Simulation support : Notification function call for exiting state : CLOSURE_TIME_EXPIRED
        RtsNotify(Me, SEXIT, "9b4408dc-31a5-439b-a8bc-e151cb463bd5", 0, NullString)
        RtsExitSSOf_CLOSURE_TIME_EXPIRED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE_1
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : IDLE
    ' 	RtsNotify(This,SEXIT,"caa0924e-4316-405b-bf40-febbdeff2e7d",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_IDLE_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_IDLE_1()
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1 Then
        'Simulation support : Notification function call for exiting state : IDLE
        RtsNotify(Me, SEXIT, "caa0924e-4316-405b-bf40-febbdeff2e7d", 0, NullString)
        RtsExitSSOf_IDLE_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DELAY
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_DELAY
    ' 	RtsNotify(This,SEXIT,"028d98e5-cfe2-4431-b58f-d6e72f92697b",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_DELAY ();
    ' 	/* #REF750# */
    ' 	// Stop Timers/* #REF751# */
    ' 	SMSupport.RtsBase.RtsStopTimer(This.RtsAttWAITING_FOR_DELAY_Timer1);
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_DELAY()
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_DELAY
        RtsNotify(Me, SEXIT, "028d98e5-cfe2-4431-b58f-d6e72f92697b", 0, NullString)
        RtsExitSSOf_WAITING_FOR_DELAY()
        'Stop Timers/* #REF751# */
        SMSupport.RtsBase.RtsStopTimer(Me.RtsAttWAITING_FOR_DELAY_Timer1)
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DELAY_REACHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : DELAY_REACHED
    ' 	RtsNotify(This,SEXIT,"dd80746f-7dd5-49da-ba75-f3c69d9d4b17",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_DELAY_REACHED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_DELAY_REACHED()
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED Then
        'Simulation support : Notification function call for exiting state : DELAY_REACHED
        RtsNotify(Me, SEXIT, "dd80746f-7dd5-49da-ba75-f3c69d9d4b17", 0, NullString)
        RtsExitSSOf_DELAY_REACHED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"fe4364e8-c6cf-46d5-996c-9d75d68c3272",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING()
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "fe4364e8-c6cf-46d5-996c-9d75d68c3272", 0, NullString)
        RtsExitSSOf_WAITING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITOR_CLOSURE_TIME
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"e7c9c74b-ccc8-4aee-8068-6ed034c65079",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"e7c9c74b-ccc8-4aee-8068-6ed034c65079",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"0e7db537-aabb-4bd5-bf8f-f5165d902e4e",0,NullString);/* #REF1585# */
    ' /*##STRT c7c072fd-ba81-46f2-b9f9-717deb3044d6 */  nullstat;/*##END c7c072fd-ba81-46f2-b9f9-717deb3044d6 */ /* #REF1546# */
    ' This.RtsEnter_IDLE();/* #REF1590# */
    ' 
    Private Sub RtsDefault_MONITOR_CLOSURE_TIME()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "e7c9c74b-ccc8-4aee-8068-6ed034c65079", 0, NullString)
      RtsNotify(Me, SEXIT, "e7c9c74b-ccc8-4aee-8068-6ed034c65079", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "0e7db537-aabb-4bd5-bf8f-f5165d902e4e", 0, NullString)
      Me.RtsEnter_IDLE()
    End Sub
    
    ' \ART_SMG :: Created for state : MONITOR_TIME_VALUES
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' This.RtsEnter_MONITOR_TIME_VALUES();/* #REF1572# */
    ' This.RtsDefault_MONITOR_CLOSURE_TIME();/* #REF1573# */
    ' This.RtsDefault_PDI_CON_LOSS_DELAY();/* #REF1573# */
    ' 
    Private Sub RtsDefault_MONITOR_TIME_VALUES()
      Me.RtsEnter_MONITOR_TIME_VALUES()
      Me.RtsDefault_MONITOR_CLOSURE_TIME()
      Me.RtsDefault_PDI_CON_LOSS_DELAY()
    End Sub
    
    ' \ART_SMG :: Created for state : PDI_CON_LOSS_DELAY
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"8d3ee5b9-bb05-4c6b-a885-e0b491604086",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"8d3ee5b9-bb05-4c6b-a885-e0b491604086",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"cfc26d2b-4f21-484f-af42-cefc84d37cba",0,NullString);/* #REF1585# */
    ' /*##STRT b2f1893f-3d32-4648-a5fe-cd297d7b6a2a */  nullstat;/*##END b2f1893f-3d32-4648-a5fe-cd297d7b6a2a */ /* #REF1546# */
    ' This.RtsEnter_IDLE_1();/* #REF1590# */
    ' 
    Private Sub RtsDefault_PDI_CON_LOSS_DELAY()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "8d3ee5b9-bb05-4c6b-a885-e0b491604086", 0, NullString)
      RtsNotify(Me, SEXIT, "8d3ee5b9-bb05-4c6b-a885-e0b491604086", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "cfc26d2b-4f21-484f-af42-cefc84d37cba", 0, NullString)
      Me.RtsEnter_IDLE_1()
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_Monitor_Time_Values)
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Monitor_Time_Values" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Monitor_Time_Values, "RtsF_Monitor_Time_Values_States");
    ' end if
    ' if Name = "RtsCurrent_MONITOR_CLOSURE_TIME" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_MONITOR_CLOSURE_TIME, "RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States");
    ' end if
    ' if Name = "RtsCurrent_PDI_CON_LOSS_DELAY" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_PDI_CON_LOSS_DELAY, "RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_Monitor_Time_Values" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Monitor_Time_Values, "RtsF_Monitor_Time_Values_States");
    ' end if
    ' if Name = "RtsCurrent_MONITOR_CLOSURE_TIME" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_MONITOR_CLOSURE_TIME, "RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States");
    ' end if
    ' if Name = "RtsCurrent_PDI_CON_LOSS_DELAY" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_PDI_CON_LOSS_DELAY, "RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "5d29ff3d-2377-4e29-9604-92ae41fc36f4";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "8";
    '   Value := Value + "|RtsCurrent_F_Monitor_Time_Values";
    '   Value := Value + "|RtsCurrent_MONITOR_CLOSURE_TIME";
    '   Value := Value + "|RtsCurrent_PDI_CON_LOSS_DELAY";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_Monitor_Time_Values";
    '   Value := Value + "|RtsCurrent_MONITOR_CLOSURE_TIME";
    '   Value := Value + "|RtsCurrent_PDI_CON_LOSS_DELAY";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_Monitor_Time_Values)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Monitor_Time_Values" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Monitor_Time_Values, "RtsF_Monitor_Time_Values_States")
      End If
      If Name = "RtsCurrent_MONITOR_CLOSURE_TIME" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_MONITOR_CLOSURE_TIME, "RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States")
      End If
      If Name = "RtsCurrent_PDI_CON_LOSS_DELAY" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_PDI_CON_LOSS_DELAY, "RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_Monitor_Time_Values" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Monitor_Time_Values, "RtsF_Monitor_Time_Values_States")
      End If
      If Name = "RtsCurrent_MONITOR_CLOSURE_TIME" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_MONITOR_CLOSURE_TIME, "RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States")
      End If
      If Name = "RtsCurrent_PDI_CON_LOSS_DELAY" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_PDI_CON_LOSS_DELAY, "RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "5d29ff3d-2377-4e29-9604-92ae41fc36f4"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "8"
        Value = Value + "|RtsCurrent_F_Monitor_Time_Values"
        Value = Value + "|RtsCurrent_MONITOR_CLOSURE_TIME"
        Value = Value + "|RtsCurrent_PDI_CON_LOSS_DELAY"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_Monitor_Time_Values"
        Value = Value + "|RtsCurrent_MONITOR_CLOSURE_TIME"
        Value = Value + "|RtsCurrent_PDI_CON_LOSS_DELAY"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Monitor_Time_Values" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Monitor_Time_Values, Value, "RtsF_Monitor_Time_Values_States", GetType(F_Monitor_Time_Values.RtsF_Monitor_Time_Values_States));
    ' end if
    ' if Name = "RtsCurrent_MONITOR_CLOSURE_TIME" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_MONITOR_CLOSURE_TIME, Value, "RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States", GetType(F_Monitor_Time_Values.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States));
    ' end if
    ' if Name = "RtsCurrent_PDI_CON_LOSS_DELAY" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_PDI_CON_LOSS_DELAY, Value, "RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States", GetType(F_Monitor_Time_Values.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_Monitor_Time_Values)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Monitor_Time_Values" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Monitor_Time_Values, Value, "RtsF_Monitor_Time_Values_States", GetType(F_Monitor_Time_Values.RtsF_Monitor_Time_Values_States))
      End If
      If Name = "RtsCurrent_MONITOR_CLOSURE_TIME" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_MONITOR_CLOSURE_TIME, Value, "RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States", GetType(F_Monitor_Time_Values.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States))
      End If
      If Name = "RtsCurrent_PDI_CON_LOSS_DELAY" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_PDI_CON_LOSS_DELAY, Value, "RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States", GetType(F_Monitor_Time_Values.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_IS_RUNNING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SMSupport.RtsBase.RtsStopTimer(This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1);
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_F_Monitor_Time_Values(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Private Sub RtsCLOSURE_TIME_IS_RUNNING_Timer1()
      SMSupport.RtsBase.RtsStopTimer(Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_F_Monitor_Time_Values(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DELAY
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SMSupport.RtsBase.RtsStopTimer(This.RtsAttWAITING_FOR_DELAY_Timer1);
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsWAITING_FOR_DELAY_Timer1_In_F_Monitor_Time_Values(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Private Sub RtsWAITING_FOR_DELAY_Timer1()
      SMSupport.RtsBase.RtsStopTimer(Me.RtsAttWAITING_FOR_DELAY_Timer1)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsWAITING_FOR_DELAY_Timer1_In_F_Monitor_Time_Values(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 MONITOR_TIME_VALUES
    ' // H1 MONITOR_TIME_VALUES - call into substate
    ' if This.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_MONITOR_TIME_VALUES(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_F_Monitor_Time_Values(ByRef RetValue As Boolean)
      'H1 MONITOR_TIME_VALUES
      'H1 MONITOR_TIME_VALUES - call into substate
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES Then
        RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_MONITOR_TIME_VALUES(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare InternalRetValue := False: boolean;
    ' RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_MONITOR_CLOSURE_TIME(InternalRetValue);
    ' RetValue := RetValue or InternalRetValue;
    ' if RetValue then
    ' 	return;
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_MONITOR_TIME_VALUES(ByRef RetValue As Boolean)
      Dim InternalRetValue As boolean = False
      RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_MONITOR_CLOSURE_TIME(InternalRetValue)
      RetValue = RetValue Or InternalRetValue
      If RetValue Then
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 CLOSURE_TIME_IS_RUNNING
    ' if This.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_CLOSURE_TIME_IS_RUNNING */
    ' 	/* standard */
    ' 	This.RtsExit_CLOSURE_TIME_IS_RUNNING();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"68c0138f-6961-4bdf-8c3a-ccf444ae7ca8",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT f52a6460-98f1-48b2-8340-40545fb11394 */  cOp2_React_On_Closure_Time_Overrun (); nullstat;/*##END f52a6460-98f1-48b2-8340-40545fb11394 */ /* #REF1546# */
    ' 	This.RtsEnter_CLOSURE_TIME_EXPIRED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCLOSURE_TIME_IS_RUNNING_Timer1_In_MONITOR_CLOSURE_TIME(ByRef RetValue As Boolean)
      'H1 CLOSURE_TIME_IS_RUNNING
      If Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING Then
        Me.RtsExit_CLOSURE_TIME_IS_RUNNING()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "68c0138f-6961-4bdf-8c3a-ccf444ae7ca8", 0, NullString)
        cOp2_React_On_Closure_Time_Overrun()
        Me.RtsEnter_CLOSURE_TIME_EXPIRED()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 MONITOR_TIME_VALUES
    ' // H1 MONITOR_TIME_VALUES - call into substate
    ' if This.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States{enum_datatype}.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsWAITING_FOR_DELAY_Timer1_In_MONITOR_TIME_VALUES(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsWAITING_FOR_DELAY_Timer1_In_F_Monitor_Time_Values(ByRef RetValue As Boolean)
      'H1 MONITOR_TIME_VALUES
      'H1 MONITOR_TIME_VALUES - call into substate
      If Me.RtsCurrent_F_Monitor_Time_Values = RtsF_Monitor_Time_Values_States.RtsF_Monitor_Time_Values_States_MONITOR_TIME_VALUES Then
        RtsWAITING_FOR_DELAY_Timer1_In_MONITOR_TIME_VALUES(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare InternalRetValue := False: boolean;
    ' RtsWAITING_FOR_DELAY_Timer1_In_PDI_CON_LOSS_DELAY(InternalRetValue);
    ' RetValue := RetValue or InternalRetValue;
    ' if RetValue then
    ' 	return;
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsWAITING_FOR_DELAY_Timer1_In_MONITOR_TIME_VALUES(ByRef RetValue As Boolean)
      Dim InternalRetValue As boolean = False
      RtsWAITING_FOR_DELAY_Timer1_In_PDI_CON_LOSS_DELAY(InternalRetValue)
      RetValue = RetValue Or InternalRetValue
      If RetValue Then
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_DELAY
    ' if This.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_WAITING_FOR_DELAY */
    ' 	/* standard */
    ' 	This.RtsExit_WAITING_FOR_DELAY();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"645a37c4-efca-48a4-9b5e-44d3bede9aca",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT b8b9fe5a-0eaf-4101-83bf-bb70f89ba409 */ 
    '  d53out_Time_Expired := "Delay Expired"; nullstat;/*##END b8b9fe5a-0eaf-4101-83bf-bb70f89ba409 */ /* #REF1546# */
    ' 	This.RtsEnter_DELAY_REACHED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsWAITING_FOR_DELAY_Timer1_In_PDI_CON_LOSS_DELAY(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_DELAY
      If Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY Then
        Me.RtsExit_WAITING_FOR_DELAY()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "645a37c4-efca-48a4-9b5e-44d3bede9aca", 0, NullString)
        d53out_Time_Expired.SetValue("Delay Expired")
        Me.RtsEnter_DELAY_REACHED()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : FALLBACKMODE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5415a742-0f6d-4809-951b-94e482845382|") then
    '   OperatedStates := OperatedStates + "5415a742-0f6d-4809-951b-94e482845382|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_FALLBACKMODE()
      If not OperatedStates.Contains("5415a742-0f6d-4809-951b-94e482845382|") Then
        OperatedStates = OperatedStates + "5415a742-0f6d-4809-951b-94e482845382|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITOR_TIME_VALUES
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("8f7eac4a-0aa0-4ca3-9348-fb00ce552732|") then
    '   OperatedStates := OperatedStates + "8f7eac4a-0aa0-4ca3-9348-fb00ce552732|";
    ' end if
    ' /* #REF724# */
    ' select case This.RtsCurrent_MONITOR_CLOSURE_TIME/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_IDLE();/* #REF730# */
    ' 	case RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_CLOSURE_TIME_IS_RUNNING();/* #REF730# */
    ' 	case RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_CLOSURE_TIME_EXPIRED();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_MONITOR_CLOSURE_TIME := RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States{enum_datatype}.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_NotIn_MONITOR_CLOSURE_TIME;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_PDI_CON_LOSS_DELAY/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_IDLE_1();/* #REF730# */
    ' 	case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING_FOR_DELAY();/* #REF730# */
    ' 	case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_DELAY_REACHED();/* #REF730# */
    ' 	case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_PDI_CON_LOSS_DELAY := RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States{enum_datatype}.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_NotIn_PDI_CON_LOSS_DELAY;/* #REF736# */
    ' 
    Private Sub RtsExitSSOf_MONITOR_TIME_VALUES()
      If not OperatedStates.Contains("8f7eac4a-0aa0-4ca3-9348-fb00ce552732|") Then
        OperatedStates = OperatedStates + "8f7eac4a-0aa0-4ca3-9348-fb00ce552732|"
      End If
      Select Case Me.RtsCurrent_MONITOR_CLOSURE_TIME
        Case RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_IDLE
          Me.RtsExit_IDLE()
        Case RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_IS_RUNNING
          Me.RtsExit_CLOSURE_TIME_IS_RUNNING()
        Case RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_CLOSURE_TIME_EXPIRED
          Me.RtsExit_CLOSURE_TIME_EXPIRED()
      End Select
      Me.RtsCurrent_MONITOR_CLOSURE_TIME = RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States.RtsF_Monitor_Time_ValuesMONITOR_CLOSURE_TIME_States_NotIn_MONITOR_CLOSURE_TIME
      Select Case Me.RtsCurrent_PDI_CON_LOSS_DELAY
        Case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_IDLE_1
          Me.RtsExit_IDLE_1()
        Case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING_FOR_DELAY
          Me.RtsExit_WAITING_FOR_DELAY()
        Case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_DELAY_REACHED
          Me.RtsExit_DELAY_REACHED()
        Case RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_WAITING
          Me.RtsExit_WAITING()
      End Select
      Me.RtsCurrent_PDI_CON_LOSS_DELAY = RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States.RtsF_Monitor_Time_ValuesPDI_CON_LOSS_DELAY_States_NotIn_PDI_CON_LOSS_DELAY
    End Sub
    
    ' \ART_SMG :: Created for state : TECHNICAL_DISTURBANCE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7052fa1a-b272-4068-b775-85e1797ee229|") then
    '   OperatedStates := OperatedStates + "7052fa1a-b272-4068-b775-85e1797ee229|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_TECHNICAL_DISTURBANCE()
      If not OperatedStates.Contains("7052fa1a-b272-4068-b775-85e1797ee229|") Then
        OperatedStates = OperatedStates + "7052fa1a-b272-4068-b775-85e1797ee229|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_FINISH_BOOTING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("832754ab-48db-40ec-b881-7feb0ad7b473|") then
    '   OperatedStates := OperatedStates + "832754ab-48db-40ec-b881-7feb0ad7b473|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_FINISH_BOOTING()
      If not OperatedStates.Contains("832754ab-48db-40ec-b881-7feb0ad7b473|") Then
        OperatedStates = OperatedStates + "832754ab-48db-40ec-b881-7feb0ad7b473|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("60cd8525-f413-4f41-b5d4-59f2f6a15cc5|") then
    '   OperatedStates := OperatedStates + "60cd8525-f413-4f41-b5d4-59f2f6a15cc5|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_IDLE()
      If not OperatedStates.Contains("60cd8525-f413-4f41-b5d4-59f2f6a15cc5|") Then
        OperatedStates = OperatedStates + "60cd8525-f413-4f41-b5d4-59f2f6a15cc5|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_IS_RUNNING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("c40ef257-adfa-474a-9d82-11870af9e75e|") then
    '   OperatedStates := OperatedStates + "c40ef257-adfa-474a-9d82-11870af9e75e|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_CLOSURE_TIME_IS_RUNNING()
      If not OperatedStates.Contains("c40ef257-adfa-474a-9d82-11870af9e75e|") Then
        OperatedStates = OperatedStates + "c40ef257-adfa-474a-9d82-11870af9e75e|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CLOSURE_TIME_EXPIRED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9b4408dc-31a5-439b-a8bc-e151cb463bd5|") then
    '   OperatedStates := OperatedStates + "9b4408dc-31a5-439b-a8bc-e151cb463bd5|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_CLOSURE_TIME_EXPIRED()
      If not OperatedStates.Contains("9b4408dc-31a5-439b-a8bc-e151cb463bd5|") Then
        OperatedStates = OperatedStates + "9b4408dc-31a5-439b-a8bc-e151cb463bd5|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE_1
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("caa0924e-4316-405b-bf40-febbdeff2e7d|") then
    '   OperatedStates := OperatedStates + "caa0924e-4316-405b-bf40-febbdeff2e7d|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_IDLE_1()
      If not OperatedStates.Contains("caa0924e-4316-405b-bf40-febbdeff2e7d|") Then
        OperatedStates = OperatedStates + "caa0924e-4316-405b-bf40-febbdeff2e7d|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_DELAY
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("028d98e5-cfe2-4431-b58f-d6e72f92697b|") then
    '   OperatedStates := OperatedStates + "028d98e5-cfe2-4431-b58f-d6e72f92697b|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_DELAY()
      If not OperatedStates.Contains("028d98e5-cfe2-4431-b58f-d6e72f92697b|") Then
        OperatedStates = OperatedStates + "028d98e5-cfe2-4431-b58f-d6e72f92697b|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DELAY_REACHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("dd80746f-7dd5-49da-ba75-f3c69d9d4b17|") then
    '   OperatedStates := OperatedStates + "dd80746f-7dd5-49da-ba75-f3c69d9d4b17|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_DELAY_REACHED()
      If not OperatedStates.Contains("dd80746f-7dd5-49da-ba75-f3c69d9d4b17|") Then
        OperatedStates = OperatedStates + "dd80746f-7dd5-49da-ba75-f3c69d9d4b17|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("fe4364e8-c6cf-46d5-996c-9d75d68c3272|") then
    '   OperatedStates := OperatedStates + "fe4364e8-c6cf-46d5-996c-9d75d68c3272|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING()
      If not OperatedStates.Contains("fe4364e8-c6cf-46d5-996c-9d75d68c3272|") Then
        OperatedStates = OperatedStates + "fe4364e8-c6cf-46d5-996c-9d75d68c3272|"
      End If
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.TStep(CurrentTime);
    ' This.RtsAttWAITING_FOR_DELAY_Timer1.TStep(CurrentTime);
    ' if This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.HasElapsed() then
    '   This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.TStop();
    '   RtsCLOSURE_TIME_IS_RUNNING_Timer1_CallBack(This);
    ' end if
    ' if This.RtsAttWAITING_FOR_DELAY_Timer1.HasElapsed() then
    '   This.RtsAttWAITING_FOR_DELAY_Timer1.TStop();
    '   RtsWAITING_FOR_DELAY_Timer1_CallBack(This);
    ' end if
    ' Ret := SMSupport.Duration.MinOf(Ret, This.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.TimeToLive());
    ' Ret := SMSupport.Duration.MinOf(Ret, This.RtsAttWAITING_FOR_DELAY_Timer1.TimeToLive());
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.TStep(CurrentTime)
      Me.RtsAttWAITING_FOR_DELAY_Timer1.TStep(CurrentTime)
      If Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.HasElapsed() Then
        Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.TStop()
        RtsCLOSURE_TIME_IS_RUNNING_Timer1_CallBack(Me)
      End If
      If Me.RtsAttWAITING_FOR_DELAY_Timer1.HasElapsed() Then
        Me.RtsAttWAITING_FOR_DELAY_Timer1.TStop()
        RtsWAITING_FOR_DELAY_Timer1_CallBack(Me)
      End If
      Ret = SMSupport.Duration.MinOf(Ret, Me.RtsAttCLOSURE_TIME_IS_RUNNING_Timer1.TimeToLive())
      Ret = SMSupport.Duration.MinOf(Ret, Me.RtsAttWAITING_FOR_DELAY_Timer1.TimeToLive())
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53out_Time_Expired: a SySimOutputPort;
    ' assume D54in_Con_tmax_Closure_Time: a SySimInputPort;
    ' assume D56in_Con_t_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D63in_Con_Use_Closure_Time: a SySimInputPort;
    ' assume D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay: a SySimInputPort;
    ' assume D68in_Con_Failure_Status_After_Closure_Time_Overrun: a SySimInputPort;
    ' assume d6out_LC_Monitoring_Status: a SySimOutputPort;
    ' assume d75out_LC_Failure_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg6Tmp := (/*##STRT d19e6f7b-964a-4ff4-bb64-c350b9a44617 */ ( d51in_EST_EfeS_State = "OPERATIONAL")/*##END d19e6f7b-964a-4ff4-bb64-c350b9a44617 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg7Tmp := (/*##STRT 68b6bfa4-d6fb-42f8-9faf-275f599f1d6f */ ( d51in_EST_EfeS_State = "INITIALISING")/*##END 68b6bfa4-d6fb-42f8-9faf-275f599f1d6f */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg2Tmp := (/*##STRT bee951ab-50bf-4e8a-9a46-f92c9270ccbc */ ( d3in_LCPF_Protection_State = "Idle" OR d51in_EST_EfeS_State = "FALLBACK_MODE")/*##END bee951ab-50bf-4e8a-9a46-f92c9270ccbc */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg1Tmp := (/*##STRT 486b3c5d-77da-4897-b5ee-5fc6ebac8868 */ ( d1in_Receive_LC_State = "Activated")/*##END 486b3c5d-77da-4897-b5ee-5fc6ebac8868 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg4Tmp := (/*##STRT 3625314c-9596-49b7-ad63-bb0b548103ec */ ( d51in_EST_EfeS_State = "OPERATIONAL")/*##END 3625314c-9596-49b7-ad63-bb0b548103ec */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg5Tmp := (/*##STRT fc9f3906-aedc-49a8-b893-9e5a9d0b4c3e */ ( d51in_EST_EfeS_State = "OPERATIONAL" OR d51in_EST_EfeS_State = "BOOTING" OR d51in_EST_EfeS_State = "NO_OPERATING_VOLTAGE")/*##END fc9f3906-aedc-49a8-b893-9e5a9d0b4c3e */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg3Tmp := (/*##STRT eacf79bb-ddbe-46c1-b695-3a1fcd29dda3 */ ( d3in_LCPF_Protection_State = "Idle" OR d51in_EST_EfeS_State = "FALLBACK_MODE")/*##END eacf79bb-ddbe-46c1-b695-3a1fcd29dda3 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg6 := (/*##STRT d19e6f7b-964a-4ff4-bb64-c350b9a44617 */ ( d51in_EST_EfeS_State = "OPERATIONAL")/*##END d19e6f7b-964a-4ff4-bb64-c350b9a44617 */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 68b6bfa4-d6fb-42f8-9faf-275f599f1d6f */ ( d51in_EST_EfeS_State = "INITIALISING")/*##END 68b6bfa4-d6fb-42f8-9faf-275f599f1d6f */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT bee951ab-50bf-4e8a-9a46-f92c9270ccbc */ ( d3in_LCPF_Protection_State = "Idle" OR d51in_EST_EfeS_State = "FALLBACK_MODE")/*##END bee951ab-50bf-4e8a-9a46-f92c9270ccbc */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT 486b3c5d-77da-4897-b5ee-5fc6ebac8868 */ ( d1in_Receive_LC_State = "Activated")/*##END 486b3c5d-77da-4897-b5ee-5fc6ebac8868 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 3625314c-9596-49b7-ad63-bb0b548103ec */ ( d51in_EST_EfeS_State = "OPERATIONAL")/*##END 3625314c-9596-49b7-ad63-bb0b548103ec */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT fc9f3906-aedc-49a8-b893-9e5a9d0b4c3e */ ( d51in_EST_EfeS_State = "OPERATIONAL" OR d51in_EST_EfeS_State = "BOOTING" OR d51in_EST_EfeS_State = "NO_OPERATING_VOLTAGE")/*##END fc9f3906-aedc-49a8-b893-9e5a9d0b4c3e */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT eacf79bb-ddbe-46c1-b695-3a1fcd29dda3 */ ( d3in_LCPF_Protection_State = "Idle" OR d51in_EST_EfeS_State = "FALLBACK_MODE")/*##END eacf79bb-ddbe-46c1-b695-3a1fcd29dda3 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg6 := (/*##STRT d19e6f7b-964a-4ff4-bb64-c350b9a44617 */ ( d51in_EST_EfeS_State = "OPERATIONAL")/*##END d19e6f7b-964a-4ff4-bb64-c350b9a44617 */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 68b6bfa4-d6fb-42f8-9faf-275f599f1d6f */ ( d51in_EST_EfeS_State = "INITIALISING")/*##END 68b6bfa4-d6fb-42f8-9faf-275f599f1d6f */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT bee951ab-50bf-4e8a-9a46-f92c9270ccbc */ ( d3in_LCPF_Protection_State = "Idle" OR d51in_EST_EfeS_State = "FALLBACK_MODE")/*##END bee951ab-50bf-4e8a-9a46-f92c9270ccbc */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT 486b3c5d-77da-4897-b5ee-5fc6ebac8868 */ ( d1in_Receive_LC_State = "Activated")/*##END 486b3c5d-77da-4897-b5ee-5fc6ebac8868 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 3625314c-9596-49b7-ad63-bb0b548103ec */ ( d51in_EST_EfeS_State = "OPERATIONAL")/*##END 3625314c-9596-49b7-ad63-bb0b548103ec */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT fc9f3906-aedc-49a8-b893-9e5a9d0b4c3e */ ( d51in_EST_EfeS_State = "OPERATIONAL" OR d51in_EST_EfeS_State = "BOOTING" OR d51in_EST_EfeS_State = "NO_OPERATING_VOLTAGE")/*##END fc9f3906-aedc-49a8-b893-9e5a9d0b4c3e */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT eacf79bb-ddbe-46c1-b695-3a1fcd29dda3 */ ( d3in_LCPF_Protection_State = "Idle" OR d51in_EST_EfeS_State = "FALLBACK_MODE")/*##END eacf79bb-ddbe-46c1-b695-3a1fcd29dda3 */ ) : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := True;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg1 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg7 := True;
    '   ChgFlg2 := False;
    '   ChgFlg1 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := True;
    '   ChgFlg1 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg1 := True;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg1 := False;
    '   ChgFlg4 := True;
    '   ChgFlg5 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg1 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := True;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg1 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg3 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg6 := false;
    ' ChgFlg7 := false;
    ' ChgFlg2 := false;
    ' ChgFlg1 := false;
    ' ChgFlg4 := false;
    ' ChgFlg5 := false;
    ' ChgFlg3 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg6Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL"))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg7Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING"))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg2Tmp As Boolean = ((d3in_LCPF_Protection_State.GetLatchedValue() = "Idle" Or d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg1Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated"))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg4Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL"))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg5Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL" Or d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING" Or d51in_EST_EfeS_State.GetLatchedValue() = "NO_OPERATING_VOLTAGE"))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg3Tmp As Boolean = ((d3in_LCPF_Protection_State.GetLatchedValue() = "Idle" Or d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg6 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL"))
        Dim MaskedChgFlg7 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING"))
        Dim MaskedChgFlg2 As Boolean = ((d3in_LCPF_Protection_State.GetLatchedValue() = "Idle" Or d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
        Dim MaskedChgFlg1 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated"))
        Dim MaskedChgFlg4 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL"))
        Dim MaskedChgFlg5 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL" Or d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING" Or d51in_EST_EfeS_State.GetLatchedValue() = "NO_OPERATING_VOLTAGE"))
        Dim MaskedChgFlg3 As Boolean = ((d3in_LCPF_Protection_State.GetLatchedValue() = "Idle" Or d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
        MaskInPorts(False)
        Dim UnMaskedChgFlg6 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL"))
        Dim UnMaskedChgFlg7 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING"))
        Dim UnMaskedChgFlg2 As Boolean = ((d3in_LCPF_Protection_State.GetLatchedValue() = "Idle" Or d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
        Dim UnMaskedChgFlg1 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated"))
        Dim UnMaskedChgFlg4 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL"))
        Dim UnMaskedChgFlg5 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL" Or d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING" Or d51in_EST_EfeS_State.GetLatchedValue() = "NO_OPERATING_VOLTAGE"))
        Dim UnMaskedChgFlg3 As Boolean = ((d3in_LCPF_Protection_State.GetLatchedValue() = "Idle" Or d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = True
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg1 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg7 = True
          ChgFlg2 = False
          ChgFlg1 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg7 = False
          ChgFlg2 = True
          ChgFlg1 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg1 = True
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg1 = False
          ChgFlg4 = True
          ChgFlg5 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg1 = False
          ChgFlg4 = False
          ChgFlg5 = True
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg1 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg3 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg6 = False
      ChgFlg7 = False
      ChgFlg2 = False
      ChgFlg1 = False
      ChgFlg4 = False
      ChgFlg5 = False
      ChgFlg3 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or d1in_Receive_LC_State.Decrement())
      Ret = (Ret Or d3in_LCPF_Protection_State.Decrement())
      Ret = (Ret Or d51in_EST_EfeS_State.Decrement())
      Ret = (Ret Or D54in_Con_tmax_Closure_Time.Decrement())
      Ret = (Ret Or D56in_Con_t_PDI_Con_Loss_Deactivation_Delay.Decrement())
      Ret = (Ret Or D63in_Con_Use_Closure_Time.Decrement())
      Ret = (Ret Or D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay.Decrement())
      Ret = (Ret Or D68in_Con_Failure_Status_After_Closure_Time_Overrun.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      d1in_Receive_LC_State.Mask(What)
      d3in_LCPF_Protection_State.Mask(What)
      d51in_EST_EfeS_State.Mask(What)
      D54in_Con_tmax_Closure_Time.Mask(What)
      D56in_Con_t_PDI_Con_Loss_Deactivation_Delay.Mask(What)
      D63in_Con_Use_Closure_Time.Mask(What)
      D64in_Con_Use_PDI_Con_Loss_Deactivation_Delay.Mask(What)
      D68in_Con_Failure_Status_After_Closure_Time_Overrun.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_Observe_Detection_Element : Implements SMSupport.SMQueued 
    Protected Class F_Observe_Detection_ElementSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_Observe_Detection_Element = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_Observe_Detection_Element_States
      RtsF_Observe_Detection_Element_States_OCCUPIED
      RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE
      RtsF_Observe_Detection_Element_States_VACANT
      RtsF_Observe_Detection_Element_States_WAITING
      RtsF_Observe_Detection_Element_States_NotIn_F_Observe_Detection_Element
    End Enum
    ' \ART_SMG :: Created for state : F_Observe_Detection_Element
    Private RtsCurrent_F_Observe_Detection_Element As F_Observe_Detection_Element.RtsF_Observe_Detection_Element_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_Observe_Detection_ElementSMQueue = New F_Observe_Detection_ElementSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The port D118in_Con_Use_Detection_Element provides configuration values for the detection element.
    ' 
    ' true: Detection element is used
    ' false: Detection element is not used
    Protected D118in_Con_Use_Detection_Element As OInputPort(Of Boolean)
    ' The port D108in_Detection_Element_Status provides the status of the detection element and refines the Informationflow Vacated_Detection_Element, Occupied_Detection_Element and Failed_Detection_Element.
    Protected D108in_Detection_Element_Status As OInputPort(Of String)
    Protected d7out_Detection_Element_Status As OOutputPort(Of String)
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_Observe_Detection_Element: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element =  /* #REF121d# */ RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_NotIn_F_Observe_Detection_Element then
    ' /* #REF123# */
    ' 	/* ce94f9c4-fb0a-4598-8c45-442f7e1ec88e Initial0 */
    '   ThisState := "ce94f9c4-fb0a-4598-8c45-442f7e1ec88e";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"ce94f9c4-fb0a-4598-8c45-442f7e1ec88e",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"ce94f9c4-fb0a-4598-8c45-442f7e1ec88e",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"5d6ff0eb-45ae-458a-b23e-4d55137ec939",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 0514f062-62dd-45e1-9e41-aeb1c3e5d8d0 */  nullstat;/*##END 0514f062-62dd-45e1-9e41-aeb1c3e5d8d0 */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_OCCUPIED then
    ' /* #REF123# */
    ' 	/* b3268a4f-20f4-42f2-9aad-600df1511043 OCCUPIED */
    '   ThisState := "b3268a4f-20f4-42f2-9aad-600df1511043";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OCCUPIED */
    ' 		/* standard */
    ' 		This.RtsExit_OCCUPIED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"c73ea8ff-65d7-4e9f-8416-f8119a0c8945",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 42e30195-11ff-42c0-90c9-2c106dc4206a */  nullstat;/*##END 42e30195-11ff-42c0-90c9-2c106dc4206a */ /* #REF1546# */
    ' 		This.RtsEnter_VACANT();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_OCCUPIED then
    ' /* #REF123# */
    ' 	/* b3268a4f-20f4-42f2-9aad-600df1511043 OCCUPIED */
    '   ThisState := "b3268a4f-20f4-42f2-9aad-600df1511043";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OCCUPIED */
    ' 		/* standard */
    ' 		This.RtsExit_OCCUPIED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"1eb697c1-0c7f-4c96-9fa8-eda2515a1745",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 938ebbaf-f534-4333-b281-aade73507471 */  nullstat;/*##END 938ebbaf-f534-4333-b281-aade73507471 */ /* #REF1546# */
    ' 		This.RtsEnter_TECHNICAL_FAILURE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE then
    ' /* #REF123# */
    ' 	/* b33b9a41-448b-4bc5-9571-f9c86461ed56 TECHNICAL_FAILURE */
    '   ThisState := "b33b9a41-448b-4bc5-9571-f9c86461ed56";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_TECHNICAL_FAILURE */
    ' 		/* standard */
    ' 		This.RtsExit_TECHNICAL_FAILURE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"edf9c2b1-1f5b-43c7-bf67-180e1c5d9dec",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ecac8199-2a01-40ee-9a66-c890ca729386 */  nullstat;/*##END ecac8199-2a01-40ee-9a66-c890ca729386 */ /* #REF1546# */
    ' 		This.RtsEnter_OCCUPIED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE then
    ' /* #REF123# */
    ' 	/* b33b9a41-448b-4bc5-9571-f9c86461ed56 TECHNICAL_FAILURE */
    '   ThisState := "b33b9a41-448b-4bc5-9571-f9c86461ed56";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_TECHNICAL_FAILURE */
    ' 		/* standard */
    ' 		This.RtsExit_TECHNICAL_FAILURE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6587d227-6388-422b-9619-961ef0eb6b9a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT d030dacc-c1dc-4ac0-8c8a-774372ec765e */  nullstat;/*##END d030dacc-c1dc-4ac0-8c8a-774372ec765e */ /* #REF1546# */
    ' 		This.RtsEnter_VACANT();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_VACANT then
    ' /* #REF123# */
    ' 	/* 7efa281d-90e4-453a-a9db-2ccb74b6a4b4 VACANT */
    '   ThisState := "7efa281d-90e4-453a-a9db-2ccb74b6a4b4";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_VACANT */
    ' 		/* standard */
    ' 		This.RtsExit_VACANT();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"91013cfb-9b15-4bd6-996f-9fa67aa502dc",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ba65370e-0c10-4b7e-978e-c0d44872ccd9 */  nullstat;/*##END ba65370e-0c10-4b7e-978e-c0d44872ccd9 */ /* #REF1546# */
    ' 		This.RtsEnter_OCCUPIED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_VACANT then
    ' /* #REF123# */
    ' 	/* 7efa281d-90e4-453a-a9db-2ccb74b6a4b4 VACANT */
    '   ThisState := "7efa281d-90e4-453a-a9db-2ccb74b6a4b4";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_VACANT */
    ' 		/* standard */
    ' 		This.RtsExit_VACANT();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"092b1361-1083-4c7e-ae79-05e5c0bf5ce8",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 06630e0c-a07f-4d7f-babc-e59271f7338d */  nullstat;/*##END 06630e0c-a07f-4d7f-babc-e59271f7338d */ /* #REF1546# */
    ' 		This.RtsEnter_TECHNICAL_FAILURE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_WAITING then
    ' /* #REF123# */
    ' 	/* 3aa37b0b-9530-4911-b038-0e78cd6a9c11 WAITING */
    '   ThisState := "3aa37b0b-9530-4911-b038-0e78cd6a9c11";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"56c8fbe0-8ce8-458a-a21b-7c95f874f26c",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 7a59d4ff-c8ff-41eb-9083-06c14a4ad0ab */  nullstat;/*##END 7a59d4ff-c8ff-41eb-9083-06c14a4ad0ab */ /* #REF1546# */
    ' 		This.RtsEnter_OCCUPIED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_WAITING then
    ' /* #REF123# */
    ' 	/* 3aa37b0b-9530-4911-b038-0e78cd6a9c11 WAITING */
    '   ThisState := "3aa37b0b-9530-4911-b038-0e78cd6a9c11";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e0c5b0d4-e95a-4565-808e-7ee9083f91e8",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT edf8b75f-f47c-4d1f-9ee2-9c7378967997 */  nullstat;/*##END edf8b75f-f47c-4d1f-9ee2-9c7378967997 */ /* #REF1546# */
    ' 		This.RtsEnter_VACANT();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_WAITING then
    ' /* #REF123# */
    ' 	/* 3aa37b0b-9530-4911-b038-0e78cd6a9c11 WAITING */
    '   ThisState := "3aa37b0b-9530-4911-b038-0e78cd6a9c11";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e5427633-1228-4537-b46b-4f8412442592",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f34e1311-6120-4590-b18a-667423dddc05 */  nullstat;/*##END f34e1311-6120-4590-b18a-667423dddc05 */ /* #REF1546# */
    ' 		This.RtsEnter_TECHNICAL_FAILURE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_NotIn_F_Observe_Detection_Element Then
        ThisState = "ce94f9c4-fb0a-4598-8c45-442f7e1ec88e"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "ce94f9c4-fb0a-4598-8c45-442f7e1ec88e", 0, NullString)
        RtsNotify(Me, SEXIT, "ce94f9c4-fb0a-4598-8c45-442f7e1ec88e", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "5d6ff0eb-45ae-458a-b23e-4d55137ec939", 0, NullString)
        Me.RtsEnter_WAITING()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_OCCUPIED Then
        ThisState = "b3268a4f-20f4-42f2-9aad-600df1511043"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OCCUPIED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "c73ea8ff-65d7-4e9f-8416-f8119a0c8945", 0, NullString)
          Me.RtsEnter_VACANT()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_OCCUPIED Then
        ThisState = "b3268a4f-20f4-42f2-9aad-600df1511043"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OCCUPIED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "1eb697c1-0c7f-4c96-9fa8-eda2515a1745", 0, NullString)
          Me.RtsEnter_TECHNICAL_FAILURE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE Then
        ThisState = "b33b9a41-448b-4bc5-9571-f9c86461ed56"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_TECHNICAL_FAILURE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "edf9c2b1-1f5b-43c7-bf67-180e1c5d9dec", 0, NullString)
          Me.RtsEnter_OCCUPIED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE Then
        ThisState = "b33b9a41-448b-4bc5-9571-f9c86461ed56"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_TECHNICAL_FAILURE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6587d227-6388-422b-9619-961ef0eb6b9a", 0, NullString)
          Me.RtsEnter_VACANT()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_VACANT Then
        ThisState = "7efa281d-90e4-453a-a9db-2ccb74b6a4b4"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_VACANT()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "91013cfb-9b15-4bd6-996f-9fa67aa502dc", 0, NullString)
          Me.RtsEnter_OCCUPIED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_VACANT Then
        ThisState = "7efa281d-90e4-453a-a9db-2ccb74b6a4b4"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_VACANT()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "092b1361-1083-4c7e-ae79-05e5c0bf5ce8", 0, NullString)
          Me.RtsEnter_TECHNICAL_FAILURE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_WAITING Then
        ThisState = "3aa37b0b-9530-4911-b038-0e78cd6a9c11"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "56c8fbe0-8ce8-458a-a21b-7c95f874f26c", 0, NullString)
          Me.RtsEnter_OCCUPIED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_WAITING Then
        ThisState = "3aa37b0b-9530-4911-b038-0e78cd6a9c11"
        If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e0c5b0d4-e95a-4565-808e-7ee9083f91e8", 0, NullString)
          Me.RtsEnter_VACANT()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_WAITING Then
        ThisState = "3aa37b0b-9530-4911-b038-0e78cd6a9c11"
        If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e5427633-1228-4537-b46b-4f8412442592", 0, NullString)
          Me.RtsEnter_TECHNICAL_FAILURE()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "36023efc-1adc-4ace-be9b-a9ff7db1be97", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_Observe_Detection_Element := RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_NotIn_F_Observe_Detection_Element;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "36023efc-1adc-4ace-be9b-a9ff7db1be97", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_NotIn_F_Observe_Detection_Element
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : OCCUPIED
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b3268a4f-20f4-42f2-9aad-600df1511043|") then
    '   OperatedStates := OperatedStates + "b3268a4f-20f4-42f2-9aad-600df1511043|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OCCUPIED ///* #REF520# */
    ' RtsNotify(This,SENTER,"b3268a4f-20f4-42f2-9aad-600df1511043",0,NullString);
    ' 
    ' SimCore.EnterState("b3268a4f-20f4-42f2-9aad-600df1511043","OCCUPIED");
    ' 
    ' This.RtsCurrent_F_Observe_Detection_Element := RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_OCCUPIED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT a7527609-f94f-4b27-914f-96b7b5b1cbf5 */  d7out_Detection_Element_Status := "Occupied"; nullstat;/*##END a7527609-f94f-4b27-914f-96b7b5b1cbf5 */ 
    Private Sub RtsEnter_OCCUPIED()
      If not OperatedStates.Contains("b3268a4f-20f4-42f2-9aad-600df1511043|") Then
        OperatedStates = OperatedStates + "b3268a4f-20f4-42f2-9aad-600df1511043|"
      End If
      'Simulation support : Notification function call for entering state : OCCUPIED ///* #REF520# */
      RtsNotify(Me, SENTER, "b3268a4f-20f4-42f2-9aad-600df1511043", 0, NullString)
      SimCore.EnterState("b3268a4f-20f4-42f2-9aad-600df1511043", "OCCUPIED")
      Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_OCCUPIED
      'Entry Actions
      d7out_Detection_Element_Status.SetValue("Occupied")
    End Sub
    
    ' \ART_SMG :: Created for state : TECHNICAL_FAILURE
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b33b9a41-448b-4bc5-9571-f9c86461ed56|") then
    '   OperatedStates := OperatedStates + "b33b9a41-448b-4bc5-9571-f9c86461ed56|";
    ' end if
    ' // Simulation support : Notification function call for entering state : TECHNICAL_FAILURE ///* #REF520# */
    ' RtsNotify(This,SENTER,"b33b9a41-448b-4bc5-9571-f9c86461ed56",0,NullString);
    ' 
    ' SimCore.EnterState("b33b9a41-448b-4bc5-9571-f9c86461ed56","TECHNICAL_FAILURE");
    ' 
    ' This.RtsCurrent_F_Observe_Detection_Element := RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT a13700a9-7baf-4406-a4de-e4554294b535 */  d7out_Detection_Element_Status := "Failed"; nullstat;/*##END a13700a9-7baf-4406-a4de-e4554294b535 */ 
    Private Sub RtsEnter_TECHNICAL_FAILURE()
      If not OperatedStates.Contains("b33b9a41-448b-4bc5-9571-f9c86461ed56|") Then
        OperatedStates = OperatedStates + "b33b9a41-448b-4bc5-9571-f9c86461ed56|"
      End If
      'Simulation support : Notification function call for entering state : TECHNICAL_FAILURE ///* #REF520# */
      RtsNotify(Me, SENTER, "b33b9a41-448b-4bc5-9571-f9c86461ed56", 0, NullString)
      SimCore.EnterState("b33b9a41-448b-4bc5-9571-f9c86461ed56", "TECHNICAL_FAILURE")
      Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE
      'Entry Actions
      d7out_Detection_Element_Status.SetValue("Failed")
    End Sub
    
    ' \ART_SMG :: Created for state : VACANT
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7efa281d-90e4-453a-a9db-2ccb74b6a4b4|") then
    '   OperatedStates := OperatedStates + "7efa281d-90e4-453a-a9db-2ccb74b6a4b4|";
    ' end if
    ' // Simulation support : Notification function call for entering state : VACANT ///* #REF520# */
    ' RtsNotify(This,SENTER,"7efa281d-90e4-453a-a9db-2ccb74b6a4b4",0,NullString);
    ' 
    ' SimCore.EnterState("7efa281d-90e4-453a-a9db-2ccb74b6a4b4","VACANT");
    ' 
    ' This.RtsCurrent_F_Observe_Detection_Element := RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_VACANT;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 211dc77e-fc48-479e-a93f-d007c38d72cb */  d7out_Detection_Element_Status := "Vacant"; nullstat;/*##END 211dc77e-fc48-479e-a93f-d007c38d72cb */ 
    Private Sub RtsEnter_VACANT()
      If not OperatedStates.Contains("7efa281d-90e4-453a-a9db-2ccb74b6a4b4|") Then
        OperatedStates = OperatedStates + "7efa281d-90e4-453a-a9db-2ccb74b6a4b4|"
      End If
      'Simulation support : Notification function call for entering state : VACANT ///* #REF520# */
      RtsNotify(Me, SENTER, "7efa281d-90e4-453a-a9db-2ccb74b6a4b4", 0, NullString)
      SimCore.EnterState("7efa281d-90e4-453a-a9db-2ccb74b6a4b4", "VACANT")
      Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_VACANT
      'Entry Actions
      d7out_Detection_Element_Status.SetValue("Vacant")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("3aa37b0b-9530-4911-b038-0e78cd6a9c11|") then
    '   OperatedStates := OperatedStates + "3aa37b0b-9530-4911-b038-0e78cd6a9c11|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"3aa37b0b-9530-4911-b038-0e78cd6a9c11",0,NullString);
    ' 
    ' SimCore.EnterState("3aa37b0b-9530-4911-b038-0e78cd6a9c11","WAITING");
    ' 
    ' This.RtsCurrent_F_Observe_Detection_Element := RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_WAITING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING()
      If not OperatedStates.Contains("3aa37b0b-9530-4911-b038-0e78cd6a9c11|") Then
        OperatedStates = OperatedStates + "3aa37b0b-9530-4911-b038-0e78cd6a9c11|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "3aa37b0b-9530-4911-b038-0e78cd6a9c11", 0, NullString)
      SimCore.EnterState("3aa37b0b-9530-4911-b038-0e78cd6a9c11", "WAITING")
      Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_WAITING
    End Sub
    
    ' \ART_SMG :: Created for state : OCCUPIED
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_OCCUPIED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OCCUPIED
    ' 	RtsNotify(This,SEXIT,"b3268a4f-20f4-42f2-9aad-600df1511043",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OCCUPIED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OCCUPIED()
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_OCCUPIED Then
        'Simulation support : Notification function call for exiting state : OCCUPIED
        RtsNotify(Me, SEXIT, "b3268a4f-20f4-42f2-9aad-600df1511043", 0, NullString)
        RtsExitSSOf_OCCUPIED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : TECHNICAL_FAILURE
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : TECHNICAL_FAILURE
    ' 	RtsNotify(This,SEXIT,"b33b9a41-448b-4bc5-9571-f9c86461ed56",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_TECHNICAL_FAILURE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_TECHNICAL_FAILURE()
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_TECHNICAL_FAILURE Then
        'Simulation support : Notification function call for exiting state : TECHNICAL_FAILURE
        RtsNotify(Me, SEXIT, "b33b9a41-448b-4bc5-9571-f9c86461ed56", 0, NullString)
        RtsExitSSOf_TECHNICAL_FAILURE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : VACANT
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_VACANT then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : VACANT
    ' 	RtsNotify(This,SEXIT,"7efa281d-90e4-453a-a9db-2ccb74b6a4b4",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_VACANT ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_VACANT()
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_VACANT Then
        'Simulation support : Notification function call for exiting state : VACANT
        RtsNotify(Me, SEXIT, "7efa281d-90e4-453a-a9db-2ccb74b6a4b4", 0, NullString)
        RtsExitSSOf_VACANT()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States{enum_datatype}.RtsF_Observe_Detection_Element_States_WAITING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"3aa37b0b-9530-4911-b038-0e78cd6a9c11",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING()
      If Me.RtsCurrent_F_Observe_Detection_Element = RtsF_Observe_Detection_Element_States.RtsF_Observe_Detection_Element_States_WAITING Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "3aa37b0b-9530-4911-b038-0e78cd6a9c11", 0, NullString)
        RtsExitSSOf_WAITING()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_Observe_Detection_Element)
    End Sub
    
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Observe_Detection_Element" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Detection_Element, "RtsF_Observe_Detection_Element_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_Observe_Detection_Element" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Detection_Element, "RtsF_Observe_Detection_Element_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "36023efc-1adc-4ace-be9b-a9ff7db1be97";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "4";
    '   Value := Value + "|RtsCurrent_F_Observe_Detection_Element";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_Observe_Detection_Element";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_Observe_Detection_Element)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Observe_Detection_Element" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Detection_Element, "RtsF_Observe_Detection_Element_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_Observe_Detection_Element" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Detection_Element, "RtsF_Observe_Detection_Element_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "36023efc-1adc-4ace-be9b-a9ff7db1be97"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "4"
        Value = Value + "|RtsCurrent_F_Observe_Detection_Element"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_Observe_Detection_Element"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Observe_Detection_Element" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Observe_Detection_Element, Value, "RtsF_Observe_Detection_Element_States", GetType(F_Observe_Detection_Element.RtsF_Observe_Detection_Element_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_Observe_Detection_Element)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Observe_Detection_Element" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Observe_Detection_Element, Value, "RtsF_Observe_Detection_Element_States", GetType(F_Observe_Detection_Element.RtsF_Observe_Detection_Element_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : OCCUPIED
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b3268a4f-20f4-42f2-9aad-600df1511043|") then
    '   OperatedStates := OperatedStates + "b3268a4f-20f4-42f2-9aad-600df1511043|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_OCCUPIED()
      If not OperatedStates.Contains("b3268a4f-20f4-42f2-9aad-600df1511043|") Then
        OperatedStates = OperatedStates + "b3268a4f-20f4-42f2-9aad-600df1511043|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : TECHNICAL_FAILURE
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b33b9a41-448b-4bc5-9571-f9c86461ed56|") then
    '   OperatedStates := OperatedStates + "b33b9a41-448b-4bc5-9571-f9c86461ed56|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_TECHNICAL_FAILURE()
      If not OperatedStates.Contains("b33b9a41-448b-4bc5-9571-f9c86461ed56|") Then
        OperatedStates = OperatedStates + "b33b9a41-448b-4bc5-9571-f9c86461ed56|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : VACANT
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7efa281d-90e4-453a-a9db-2ccb74b6a4b4|") then
    '   OperatedStates := OperatedStates + "7efa281d-90e4-453a-a9db-2ccb74b6a4b4|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_VACANT()
      If not OperatedStates.Contains("7efa281d-90e4-453a-a9db-2ccb74b6a4b4|") Then
        OperatedStates = OperatedStates + "7efa281d-90e4-453a-a9db-2ccb74b6a4b4|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("3aa37b0b-9530-4911-b038-0e78cd6a9c11|") then
    '   OperatedStates := OperatedStates + "3aa37b0b-9530-4911-b038-0e78cd6a9c11|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING()
      If not OperatedStates.Contains("3aa37b0b-9530-4911-b038-0e78cd6a9c11|") Then
        OperatedStates = OperatedStates + "3aa37b0b-9530-4911-b038-0e78cd6a9c11|"
      End If
    End Sub
    
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume D108in_Detection_Element_Status: a SySimInputPort;
    ' assume D118in_Con_Use_Detection_Element: a SySimInputPort;
    ' assume d7out_Detection_Element_Status: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg6Tmp := (/*##STRT 98a5badf-17f7-4705-858d-2f4d10fdf12c */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 98a5badf-17f7-4705-858d-2f4d10fdf12c */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg1Tmp := (/*##STRT 5ddc2792-dbb6-4b3f-a8d0-17cc9bc3cb3f */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END 5ddc2792-dbb6-4b3f-a8d0-17cc9bc3cb3f */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg7Tmp := (/*##STRT 684a62ed-abae-4122-a0f7-9f1d513db148 */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END 684a62ed-abae-4122-a0f7-9f1d513db148 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg2Tmp := (/*##STRT 064d783c-c02d-4778-8001-92390aede171 */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 064d783c-c02d-4778-8001-92390aede171 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg5Tmp := (/*##STRT 68835989-56ed-4828-80bf-507fff33830b */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END 68835989-56ed-4828-80bf-507fff33830b */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg4Tmp := (/*##STRT fdd01e3f-374e-4b7f-8768-ecc805c54a6f */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END fdd01e3f-374e-4b7f-8768-ecc805c54a6f */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg3Tmp := (/*##STRT af081238-8637-4cb9-b3e5-1a67a141ce29 */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END af081238-8637-4cb9-b3e5-1a67a141ce29 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg8Tmp := (/*##STRT cb8eca30-8643-4404-9bc9-2b3b6f9c40c6 */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END cb8eca30-8643-4404-9bc9-2b3b6f9c40c6 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg9Tmp := (/*##STRT 73c1f43d-056a-4ca7-a819-bbc1c621b9a0 */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 73c1f43d-056a-4ca7-a819-bbc1c621b9a0 */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg6 := (/*##STRT 98a5badf-17f7-4705-858d-2f4d10fdf12c */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 98a5badf-17f7-4705-858d-2f4d10fdf12c */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT 5ddc2792-dbb6-4b3f-a8d0-17cc9bc3cb3f */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END 5ddc2792-dbb6-4b3f-a8d0-17cc9bc3cb3f */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 684a62ed-abae-4122-a0f7-9f1d513db148 */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END 684a62ed-abae-4122-a0f7-9f1d513db148 */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT 064d783c-c02d-4778-8001-92390aede171 */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 064d783c-c02d-4778-8001-92390aede171 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 68835989-56ed-4828-80bf-507fff33830b */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END 68835989-56ed-4828-80bf-507fff33830b */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT fdd01e3f-374e-4b7f-8768-ecc805c54a6f */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END fdd01e3f-374e-4b7f-8768-ecc805c54a6f */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT af081238-8637-4cb9-b3e5-1a67a141ce29 */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END af081238-8637-4cb9-b3e5-1a67a141ce29 */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT cb8eca30-8643-4404-9bc9-2b3b6f9c40c6 */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END cb8eca30-8643-4404-9bc9-2b3b6f9c40c6 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT 73c1f43d-056a-4ca7-a819-bbc1c621b9a0 */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 73c1f43d-056a-4ca7-a819-bbc1c621b9a0 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg6 := (/*##STRT 98a5badf-17f7-4705-858d-2f4d10fdf12c */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 98a5badf-17f7-4705-858d-2f4d10fdf12c */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT 5ddc2792-dbb6-4b3f-a8d0-17cc9bc3cb3f */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END 5ddc2792-dbb6-4b3f-a8d0-17cc9bc3cb3f */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 684a62ed-abae-4122-a0f7-9f1d513db148 */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END 684a62ed-abae-4122-a0f7-9f1d513db148 */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT 064d783c-c02d-4778-8001-92390aede171 */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 064d783c-c02d-4778-8001-92390aede171 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 68835989-56ed-4828-80bf-507fff33830b */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END 68835989-56ed-4828-80bf-507fff33830b */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT fdd01e3f-374e-4b7f-8768-ecc805c54a6f */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END fdd01e3f-374e-4b7f-8768-ecc805c54a6f */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT af081238-8637-4cb9-b3e5-1a67a141ce29 */ ( D108in_Detection_Element_Status = "Detection element occupied" AND D118in_Con_Use_Detection_Element )/*##END af081238-8637-4cb9-b3e5-1a67a141ce29 */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT cb8eca30-8643-4404-9bc9-2b3b6f9c40c6 */ ( D108in_Detection_Element_Status = "Detection element vacant" AND D118in_Con_Use_Detection_Element )/*##END cb8eca30-8643-4404-9bc9-2b3b6f9c40c6 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT 73c1f43d-056a-4ca7-a819-bbc1c621b9a0 */ ( D108in_Detection_Element_Status = "Detection element failed" AND D118in_Con_Use_Detection_Element )/*##END 73c1f43d-056a-4ca7-a819-bbc1c621b9a0 */ ) : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := True;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := True;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := True;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := True;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := True;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := True;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := True;
    '   ChgFlg8 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := True;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg6 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg9 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg6 := false;
    ' ChgFlg1 := false;
    ' ChgFlg7 := false;
    ' ChgFlg2 := false;
    ' ChgFlg5 := false;
    ' ChgFlg4 := false;
    ' ChgFlg3 := false;
    ' ChgFlg8 := false;
    ' ChgFlg9 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg6Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg1Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg7Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg2Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg5Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg4Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg3Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg8Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg9Tmp As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg6 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg7 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg2 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg8 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim MaskedChgFlg9 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg6 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg7 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg2 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element occupied" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg8 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element vacant" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim UnMaskedChgFlg9 As Boolean = ((D108in_Detection_Element_Status.GetLatchedValue() = "Detection element failed" And D118in_Con_Use_Detection_Element.GetLatchedValue()))
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = True
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = True
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = True
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = True
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = True
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = True
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = True
          ChgFlg8 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = True
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg6 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg9 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg6 = False
      ChgFlg1 = False
      ChgFlg7 = False
      ChgFlg2 = False
      ChgFlg5 = False
      ChgFlg4 = False
      ChgFlg3 = False
      ChgFlg8 = False
      ChgFlg9 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or D108in_Detection_Element_Status.Decrement())
      Ret = (Ret Or D118in_Con_Use_Detection_Element.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      D108in_Detection_Element_Status.Mask(What)
      D118in_Con_Use_Detection_Element.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_Observe_Failure_State : Implements SMSupport.SMQueued 
    Protected Class F_Observe_Failure_StateSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_Observe_Failure_State = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_Observe_Failure_State_States
      RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES
      RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING
      RtsF_Observe_Failure_State_States_NotIn_F_Observe_Failure_State
    End Enum
    Public Enum RtsF_Observe_Failure_StateLC_FAILURE_STATE_States
      RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED
      RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED
      RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED
      RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED
      RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE
    End Enum
    Public Enum RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States
      RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1
      RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1
      RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1
      RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1
      RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE
    End Enum
    ' \ART_SMG :: Created for state : F_Observe_Failure_State
    Private RtsCurrent_F_Observe_Failure_State As F_Observe_Failure_State.RtsF_Observe_Failure_State_States
    ' \ART_SMG :: Created for state : LC_FAILURE_STATE
    Private RtsCurrent_LC_FAILURE_STATE As F_Observe_Failure_State.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States
    ' \ART_SMG :: Created for state : LCPF_FAILURE_STATE
    Private RtsCurrent_LCPF_FAILURE_STATE As F_Observe_Failure_State.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast10 As Boolean
    Private ChgFlg10 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_Observe_Failure_StateSMQueue = New F_Observe_Failure_StateSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    Protected d61out_LC_Failure_Status As OOutputPort(Of String)
    Protected d74in_LCPF_Failure_State As OInputPort(Of String)
    ' The port D69in_Con_LC_Failure_Status_After_Present_Failure provides the configuration value what failure status the Subsystem - Level Crossing is configured to report after a failure is present.
    Protected D69in_Con_LC_Failure_Status_After_Present_Failure As OInputPort(Of String)
    ' The port D67in_Con_LCPF_Failure_Status_After_Present_Failure provides the configuration value what failure status the Subsystem - Level Crossing is configured to report after a failure is present.
    Protected D67in_Con_LCPF_Failure_Status_After_Present_Failure As OInputPort(Of String)
    Protected d62out_LCPF_Failure_Status As OOutputPort(Of String)
    ' The port D60in_LC_Failure represents a failure in the LCPF.
    ' 
    ' true: Failure is present
    ' false: Failure is not present
    Protected D60in_LC_Failure As OInputPort(Of Boolean)
    Protected d51out_EST_EfeS_State As OInputPort(Of String)
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_Observe_Failure_State: on object;
    ' assume RtsCurrent_LC_FAILURE_STATE: on object;
    ' assume RtsCurrent_LCPF_FAILURE_STATE: on object;
    ' declare ThisState : String;
    ' if This.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES and (This.RtsCurrent_LC_FAILURE_STATE <> RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE or This.RtsCurrent_LCPF_FAILURE_STATE <> RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE) then/* #REF118# */
    ' /* #REF119# */
    ' 	if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED then
    ' 	/* #REF123# */
    ' 		/* 646b44ea-2825-4d43-b50b-9ccc75403543 CRITICAL_FAILURE_DETECTED */
    '   ThisState := "646b44ea-2825-4d43-b50b-9ccc75403543";
    ' 		if /* #REF2000# *//*##STRT a019bb96-0f0c-4c94-8f15-7e3cfe372ccf */ ( D69in_Con_LC_Failure_Status_After_Present_Failure = "critical failure report")/*##END a019bb96-0f0c-4c94-8f15-7e3cfe372ccf */  and /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_CRITICAL_FAILURE_DETECTED */
    ' 			/* standard */
    ' 			This.RtsExit_CRITICAL_FAILURE_DETECTED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"9e2b2e20-0bf8-4114-ad7d-9731624b071e",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT e54d1af4-2904-4470-a93a-3f95b7f10339 */  nullstat;/*##END e54d1af4-2904-4470-a93a-3f95b7f10339 */ /* #REF1546# */
    ' 			This.RtsEnter_NO_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED then
    ' 	/* #REF123# */
    ' 		/* a03f4528-b49c-41ea-b411-89376c60ba4f NO_CRITICAL_FAILURE_DETECTED */
    '   ThisState := "a03f4528-b49c-41ea-b411-89376c60ba4f";
    ' 		if /* #REF2000# *//*##STRT 46be094c-8114-4548-bd0f-9ccfa7bb7275 */ ( D69in_Con_LC_Failure_Status_After_Present_Failure = "critical failure report")/*##END 46be094c-8114-4548-bd0f-9ccfa7bb7275 */  and /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_NO_CRITICAL_FAILURE_DETECTED */
    ' 			/* standard */
    ' 			This.RtsExit_NO_CRITICAL_FAILURE_DETECTED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"d765db85-2cfc-4460-9d69-f002dcf0a617",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 8112c247-c539-49bd-8363-9c934fd35abd */  nullstat;/*##END 8112c247-c539-49bd-8363-9c934fd35abd */ /* #REF1546# */
    ' 			This.RtsEnter_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED then
    ' 	/* #REF123# */
    ' 		/* 47035f67-f7de-449d-94ff-13b62c689c21 NON_CRITICAL_FAILURE_DETECTED */
    '   ThisState := "47035f67-f7de-449d-94ff-13b62c689c21";
    ' 		if /* #REF2000# *//*##STRT 5e32e0d1-73d9-44cd-bdf2-51044059628c */ ( D69in_Con_LC_Failure_Status_After_Present_Failure = "non critical failure report")/*##END 5e32e0d1-73d9-44cd-bdf2-51044059628c */  and /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_NON_CRITICAL_FAILURE_DETECTED */
    ' 			/* standard */
    ' 			This.RtsExit_NON_CRITICAL_FAILURE_DETECTED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"a9e89537-e308-48e4-ad2d-6e23fdbdf04c",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT f57ff975-e361-41aa-998d-fa5f828e96d3 */  nullstat;/*##END f57ff975-e361-41aa-998d-fa5f828e96d3 */ /* #REF1546# */
    ' 			This.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED then
    ' 	/* #REF123# */
    ' 		/* 8323801e-0538-426b-802b-ce4ce04411d3 NO_NON_CRITICAL_FAILURE_DETECTED */
    '   ThisState := "8323801e-0538-426b-802b-ce4ce04411d3";
    ' 		if /* #REF2000# *//*##STRT 03170625-cb59-48ea-bb0b-dd1cf2a1938b */ ( D69in_Con_LC_Failure_Status_After_Present_Failure = "non critical failure report")/*##END 03170625-cb59-48ea-bb0b-dd1cf2a1938b */  and /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED */
    ' 			/* standard */
    ' 			This.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"72f0b599-7b69-49c6-a756-d6f3bd1f62c7",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT c2bca170-f442-430d-8e84-cad51f80f48b */  nullstat;/*##END c2bca170-f442-430d-8e84-cad51f80f48b */ /* #REF1546# */
    ' 			This.RtsEnter_NON_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1 then
    ' 	/* #REF123# */
    ' 		/* 4c062aa8-3226-46e6-a658-6def3a507176 CRITICAL_FAILURE_DETECTED_1 */
    '   ThisState := "4c062aa8-3226-46e6-a658-6def3a507176";
    ' 		if /* #REF2000# *//*##STRT ae6cf40d-5a11-4ead-b04e-bbcb6f63cd53 */ ( D67in_Con_LCPF_Failure_Status_After_Present_Failure = "critical failure report")/*##END ae6cf40d-5a11-4ead-b04e-bbcb6f63cd53 */  and /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_CRITICAL_FAILURE_DETECTED_1 */
    ' 			/* standard */
    ' 			This.RtsExit_CRITICAL_FAILURE_DETECTED_1();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"8deeba1a-0b39-48a1-a942-88e1472c0e67",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 7f8fc0b2-23fd-4aee-9c5d-5d537b61eaea */  nullstat;/*##END 7f8fc0b2-23fd-4aee-9c5d-5d537b61eaea */ /* #REF1546# */
    ' 			This.RtsEnter_NO_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1 then
    ' 	/* #REF123# */
    ' 		/* e5976040-a2c0-4fea-b959-dc2821185510 NO_CRITICAL_FAILURE_DETECTED_1 */
    '   ThisState := "e5976040-a2c0-4fea-b959-dc2821185510";
    ' 		if /* #REF2000# *//*##STRT 53040085-e0b9-406e-b45b-3f04f2782f14 */ ( D67in_Con_LCPF_Failure_Status_After_Present_Failure = "critical failure report")/*##END 53040085-e0b9-406e-b45b-3f04f2782f14 */  and /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_NO_CRITICAL_FAILURE_DETECTED_1 */
    ' 			/* standard */
    ' 			This.RtsExit_NO_CRITICAL_FAILURE_DETECTED_1();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"6030517e-fa9f-4d6f-90cc-63e646c17845",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 688793da-f98e-428e-ac24-ed8e71924bd7 */  nullstat;/*##END 688793da-f98e-428e-ac24-ed8e71924bd7 */ /* #REF1546# */
    ' 			This.RtsEnter_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1 then
    ' 	/* #REF123# */
    ' 		/* bf178e63-8817-4f60-a0c6-258385534660 NON_CRITICAL_FAILURE_DETECTED_1 */
    '   ThisState := "bf178e63-8817-4f60-a0c6-258385534660";
    ' 		if /* #REF2000# *//*##STRT 5d790eba-eec2-43ce-8533-b2e2910fe2bd */ ( D67in_Con_LCPF_Failure_Status_After_Present_Failure = "non critical failure report")/*##END 5d790eba-eec2-43ce-8533-b2e2910fe2bd */  and /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_NON_CRITICAL_FAILURE_DETECTED_1 */
    ' 			/* standard */
    ' 			This.RtsExit_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"751b56a5-f729-4748-ba38-ac0845db9ee1",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 7b2c52f8-3dbe-4b44-b310-7a1c837c84f8 */  nullstat;/*##END 7b2c52f8-3dbe-4b44-b310-7a1c837c84f8 */ /* #REF1546# */
    ' 			This.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1 then
    ' 	/* #REF123# */
    ' 		/* 5cb007f2-14b4-44fa-914e-b61abd00d3c6 NO_NON_CRITICAL_FAILURE_DETECTED_1 */
    '   ThisState := "5cb007f2-14b4-44fa-914e-b61abd00d3c6";
    ' 		if /* #REF2000# *//*##STRT 96f603ef-1559-453c-9fbb-524112658ce9 */ ( D67in_Con_LCPF_Failure_Status_After_Present_Failure = "non critical failure report")/*##END 96f603ef-1559-453c-9fbb-524112658ce9 */  and /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED_1 */
    ' 			/* standard */
    ' 			This.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"d05c4a5d-f70f-4ddc-8910-f84edf5b7748",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 38dee41e-a2ad-4d37-98dc-956bb2910f36 */  nullstat;/*##END 38dee41e-a2ad-4d37-98dc-956bb2910f36 */ /* #REF1546# */
    ' 			This.RtsEnter_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF120# */
    ' End If
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Failure_State =  /* #REF121d# */ RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_NotIn_F_Observe_Failure_State then
    ' /* #REF123# */
    ' 	/* cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a Initial0 */
    '   ThisState := "cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"8583588a-317c-4904-97e9-34e2e50a6d1b",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT e589b2d5-4796-4720-a7d2-c65bdfe59a71 */  nullstat;/*##END e589b2d5-4796-4720-a7d2-c65bdfe59a71 */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_FOR_BOOTING();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES then
    ' /* #REF123# */
    ' 	/* 58f3ec66-8f15-4e5a-a4d8-a556b906bb8a OBSERVE_FAILURE_STATES */
    '   ThisState := "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OBSERVE_FAILURE_STATES */
    ' 		/* standard */
    ' 		This.RtsExit_OBSERVE_FAILURE_STATES();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"85fd4803-f850-4dcf-afe2-0d8f4a5600e9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT c8d84db1-0909-4b1e-b1b0-873b9059af68 */  nullstat;/*##END c8d84db1-0909-4b1e-b1b0-873b9059af68 */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING_FOR_BOOTING();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING then
    ' /* #REF123# */
    ' 	/* 3f5a0a52-2796-414b-8f46-7e1bef278d38 WAITING_FOR_BOOTING */
    '   ThisState := "3f5a0a52-2796-414b-8f46-7e1bef278d38";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_BOOTING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_BOOTING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6690ddab-3567-4227-86c2-75976b7794b1",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 09c293c1-b195-4966-a0f0-4a1e27e65212 */  nullstat;/*##END 09c293c1-b195-4966-a0f0-4a1e27e65212 */ /* #REF1546# */
    ' 		This.RtsDefault_OBSERVE_FAILURE_STATES();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES And (Me.RtsCurrent_LC_FAILURE_STATE <> RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE Or Me.RtsCurrent_LCPF_FAILURE_STATE <> RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE) Then
        If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED Then
          ThisState = "646b44ea-2825-4d43-b50b-9ccc75403543"
          If (D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") And SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
            Me.RtsExit_CRITICAL_FAILURE_DETECTED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "9e2b2e20-0bf8-4114-ad7d-9731624b071e", 0, NullString)
            Me.RtsEnter_NO_CRITICAL_FAILURE_DETECTED()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED Then
          ThisState = "a03f4528-b49c-41ea-b411-89376c60ba4f"
          If (D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") And SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
            Me.RtsExit_NO_CRITICAL_FAILURE_DETECTED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "d765db85-2cfc-4460-9d69-f002dcf0a617", 0, NullString)
            Me.RtsEnter_CRITICAL_FAILURE_DETECTED()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED Then
          ThisState = "47035f67-f7de-449d-94ff-13b62c689c21"
          If (D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "non critical failure report") And SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
            Me.RtsExit_NON_CRITICAL_FAILURE_DETECTED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "a9e89537-e308-48e4-ad2d-6e23fdbdf04c", 0, NullString)
            Me.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED Then
          ThisState = "8323801e-0538-426b-802b-ce4ce04411d3"
          If (D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "non critical failure report") And SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
            Me.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "72f0b599-7b69-49c6-a756-d6f3bd1f62c7", 0, NullString)
            Me.RtsEnter_NON_CRITICAL_FAILURE_DETECTED()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1 Then
          ThisState = "4c062aa8-3226-46e6-a658-6def3a507176"
          If (D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") And SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
            Me.RtsExit_CRITICAL_FAILURE_DETECTED_1()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "8deeba1a-0b39-48a1-a942-88e1472c0e67", 0, NullString)
            Me.RtsEnter_NO_CRITICAL_FAILURE_DETECTED_1()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1 Then
          ThisState = "e5976040-a2c0-4fea-b959-dc2821185510"
          If (D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") And SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
            Me.RtsExit_NO_CRITICAL_FAILURE_DETECTED_1()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "6030517e-fa9f-4d6f-90cc-63e646c17845", 0, NullString)
            Me.RtsEnter_CRITICAL_FAILURE_DETECTED_1()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1 Then
          ThisState = "bf178e63-8817-4f60-a0c6-258385534660"
          If (D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "non critical failure report") And SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
            Me.RtsExit_NON_CRITICAL_FAILURE_DETECTED_1()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "751b56a5-f729-4748-ba38-ac0845db9ee1", 0, NullString)
            Me.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED_1()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1 Then
          ThisState = "5cb007f2-14b4-44fa-914e-b61abd00d3c6"
          If (D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "non critical failure report") And SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
            Me.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED_1()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "d05c4a5d-f70f-4ddc-8910-f84edf5b7748", 0, NullString)
            Me.RtsEnter_NON_CRITICAL_FAILURE_DETECTED_1()
            RetValue = True
            Return
          End If
        End If
      End If
      If Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_NotIn_F_Observe_Failure_State Then
        ThisState = "cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a", 0, NullString)
        RtsNotify(Me, SEXIT, "cb118f3c-f117-4dc8-b4c4-1dd0b166bb5a", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "8583588a-317c-4904-97e9-34e2e50a6d1b", 0, NullString)
        Me.RtsEnter_WAITING_FOR_BOOTING()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES Then
        ThisState = "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OBSERVE_FAILURE_STATES()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "85fd4803-f850-4dcf-afe2-0d8f4a5600e9", 0, NullString)
          Me.RtsEnter_WAITING_FOR_BOOTING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING Then
        ThisState = "3f5a0a52-2796-414b-8f46-7e1bef278d38"
        If SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_FOR_BOOTING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6690ddab-3567-4227-86c2-75976b7794b1", 0, NullString)
          Me.RtsDefault_OBSERVE_FAILURE_STATES()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "dc24265c-ff4c-46f8-a17c-9dac0716c1a3", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_Observe_Failure_State := RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_NotIn_F_Observe_Failure_State;/* #REF1566# */
    ' This.RtsCurrent_LC_FAILURE_STATE := RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE;/* #REF1566# */
    ' This.RtsCurrent_LCPF_FAILURE_STATE := RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "dc24265c-ff4c-46f8-a17c-9dac0716c1a3", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_NotIn_F_Observe_Failure_State
      Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE
      Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_FAILURE_STATES
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|") then
    '   OperatedStates := OperatedStates + "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OBSERVE_FAILURE_STATES ///* #REF520# */
    ' RtsNotify(This,SENTER,"58f3ec66-8f15-4e5a-a4d8-a556b906bb8a",0,NullString);
    ' 
    ' SimCore.EnterState("58f3ec66-8f15-4e5a-a4d8-a556b906bb8a","OBSERVE_FAILURE_STATES");
    ' 
    ' This.RtsCurrent_F_Observe_Failure_State := RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES;/* #REF521# */
    ' 
    Private Sub RtsEnter_OBSERVE_FAILURE_STATES()
      If not OperatedStates.Contains("58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|") Then
        OperatedStates = OperatedStates + "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|"
      End If
      'Simulation support : Notification function call for entering state : OBSERVE_FAILURE_STATES ///* #REF520# */
      RtsNotify(Me, SENTER, "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a", 0, NullString)
      SimCore.EnterState("58f3ec66-8f15-4e5a-a4d8-a556b906bb8a", "OBSERVE_FAILURE_STATES")
      Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_BOOTING
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("3f5a0a52-2796-414b-8f46-7e1bef278d38|") then
    '   OperatedStates := OperatedStates + "3f5a0a52-2796-414b-8f46-7e1bef278d38|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_BOOTING ///* #REF520# */
    ' RtsNotify(This,SENTER,"3f5a0a52-2796-414b-8f46-7e1bef278d38",0,NullString);
    ' 
    ' SimCore.EnterState("3f5a0a52-2796-414b-8f46-7e1bef278d38","WAITING_FOR_BOOTING");
    ' 
    ' This.RtsCurrent_F_Observe_Failure_State := RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_FOR_BOOTING()
      If not OperatedStates.Contains("3f5a0a52-2796-414b-8f46-7e1bef278d38|") Then
        OperatedStates = OperatedStates + "3f5a0a52-2796-414b-8f46-7e1bef278d38|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_BOOTING ///* #REF520# */
      RtsNotify(Me, SENTER, "3f5a0a52-2796-414b-8f46-7e1bef278d38", 0, NullString)
      SimCore.EnterState("3f5a0a52-2796-414b-8f46-7e1bef278d38", "WAITING_FOR_BOOTING")
      Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("646b44ea-2825-4d43-b50b-9ccc75403543|") then
    '   OperatedStates := OperatedStates + "646b44ea-2825-4d43-b50b-9ccc75403543|";
    ' end if
    ' // Simulation support : Notification function call for entering state : CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"646b44ea-2825-4d43-b50b-9ccc75403543",0,NullString);
    ' 
    ' SimCore.EnterState("646b44ea-2825-4d43-b50b-9ccc75403543","OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LC_FAILURE_STATE := RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 70426f03-f53e-4588-9bfb-1a6c7825eecc */  d61out_LC_Failure_Status := "A critical failure is present"; nullstat;/*##END 70426f03-f53e-4588-9bfb-1a6c7825eecc */ 
    Private Sub RtsEnter_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("646b44ea-2825-4d43-b50b-9ccc75403543|") Then
        OperatedStates = OperatedStates + "646b44ea-2825-4d43-b50b-9ccc75403543|"
      End If
      'Simulation support : Notification function call for entering state : CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "646b44ea-2825-4d43-b50b-9ccc75403543", 0, NullString)
      SimCore.EnterState("646b44ea-2825-4d43-b50b-9ccc75403543", "OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED
      'Entry Actions
      d61out_LC_Failure_Status.SetValue("A critical failure is present")
    End Sub
    
    ' \ART_SMG :: Created for state : NO_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a03f4528-b49c-41ea-b411-89376c60ba4f|") then
    '   OperatedStates := OperatedStates + "a03f4528-b49c-41ea-b411-89376c60ba4f|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"a03f4528-b49c-41ea-b411-89376c60ba4f",0,NullString);
    ' 
    ' SimCore.EnterState("a03f4528-b49c-41ea-b411-89376c60ba4f","OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::NO_CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LC_FAILURE_STATE := RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT e30de1d2-8207-4c8b-8c5d-9b4ae74abc73 */  d61out_LC_Failure_Status := "No critical failure present"; nullstat;/*##END e30de1d2-8207-4c8b-8c5d-9b4ae74abc73 */ 
    Private Sub RtsEnter_NO_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("a03f4528-b49c-41ea-b411-89376c60ba4f|") Then
        OperatedStates = OperatedStates + "a03f4528-b49c-41ea-b411-89376c60ba4f|"
      End If
      'Simulation support : Notification function call for entering state : NO_CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "a03f4528-b49c-41ea-b411-89376c60ba4f", 0, NullString)
      SimCore.EnterState("a03f4528-b49c-41ea-b411-89376c60ba4f", "OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::NO_CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED
      'Entry Actions
      d61out_LC_Failure_Status.SetValue("No critical failure present")
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("47035f67-f7de-449d-94ff-13b62c689c21|") then
    '   OperatedStates := OperatedStates + "47035f67-f7de-449d-94ff-13b62c689c21|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"47035f67-f7de-449d-94ff-13b62c689c21",0,NullString);
    ' 
    ' SimCore.EnterState("47035f67-f7de-449d-94ff-13b62c689c21","OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::NON_CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LC_FAILURE_STATE := RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 2f50bb43-641d-44bc-81c3-abe6ae92b3c3 */  d61out_LC_Failure_Status := "A non critical failure is present"; nullstat;/*##END 2f50bb43-641d-44bc-81c3-abe6ae92b3c3 */ 
    Private Sub RtsEnter_NON_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("47035f67-f7de-449d-94ff-13b62c689c21|") Then
        OperatedStates = OperatedStates + "47035f67-f7de-449d-94ff-13b62c689c21|"
      End If
      'Simulation support : Notification function call for entering state : NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "47035f67-f7de-449d-94ff-13b62c689c21", 0, NullString)
      SimCore.EnterState("47035f67-f7de-449d-94ff-13b62c689c21", "OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::NON_CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED
      'Entry Actions
      d61out_LC_Failure_Status.SetValue("A non critical failure is present")
    End Sub
    
    ' \ART_SMG :: Created for state : NO_NON_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("8323801e-0538-426b-802b-ce4ce04411d3|") then
    '   OperatedStates := OperatedStates + "8323801e-0538-426b-802b-ce4ce04411d3|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"8323801e-0538-426b-802b-ce4ce04411d3",0,NullString);
    ' 
    ' SimCore.EnterState("8323801e-0538-426b-802b-ce4ce04411d3","OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::NO_NON_CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LC_FAILURE_STATE := RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT a9826055-e8dd-444f-b1f0-4b88161873f0 */  d61out_LC_Failure_Status := "No non critical failure present"; nullstat;/*##END a9826055-e8dd-444f-b1f0-4b88161873f0 */ 
    Private Sub RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("8323801e-0538-426b-802b-ce4ce04411d3|") Then
        OperatedStates = OperatedStates + "8323801e-0538-426b-802b-ce4ce04411d3|"
      End If
      'Simulation support : Notification function call for entering state : NO_NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "8323801e-0538-426b-802b-ce4ce04411d3", 0, NullString)
      SimCore.EnterState("8323801e-0538-426b-802b-ce4ce04411d3", "OBSERVE_FAILURE_STATES::LC_FAILURE_STATE::NO_NON_CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED
      'Entry Actions
      d61out_LC_Failure_Status.SetValue("No non critical failure present")
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("4c062aa8-3226-46e6-a658-6def3a507176|") then
    '   OperatedStates := OperatedStates + "4c062aa8-3226-46e6-a658-6def3a507176|";
    ' end if
    ' // Simulation support : Notification function call for entering state : CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"4c062aa8-3226-46e6-a658-6def3a507176",0,NullString);
    ' 
    ' SimCore.EnterState("4c062aa8-3226-46e6-a658-6def3a507176","OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LCPF_FAILURE_STATE := RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 14b83f9e-d475-4b32-8c5c-46757c12539c */  d62out_LCPF_Failure_Status := "A critical failure is present"; nullstat;/*##END 14b83f9e-d475-4b32-8c5c-46757c12539c */ 
    Private Sub RtsEnter_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("4c062aa8-3226-46e6-a658-6def3a507176|") Then
        OperatedStates = OperatedStates + "4c062aa8-3226-46e6-a658-6def3a507176|"
      End If
      'Simulation support : Notification function call for entering state : CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "4c062aa8-3226-46e6-a658-6def3a507176", 0, NullString)
      SimCore.EnterState("4c062aa8-3226-46e6-a658-6def3a507176", "OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1
      'Entry Actions
      d62out_LCPF_Failure_Status.SetValue("A critical failure is present")
    End Sub
    
    ' \ART_SMG :: Created for state : NO_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("e5976040-a2c0-4fea-b959-dc2821185510|") then
    '   OperatedStates := OperatedStates + "e5976040-a2c0-4fea-b959-dc2821185510|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"e5976040-a2c0-4fea-b959-dc2821185510",0,NullString);
    ' 
    ' SimCore.EnterState("e5976040-a2c0-4fea-b959-dc2821185510","OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::NO_CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LCPF_FAILURE_STATE := RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 58c1daef-a76b-4514-bf04-485df79fcae0 */  d62out_LCPF_Failure_Status := "No critical failure present"; nullstat;/*##END 58c1daef-a76b-4514-bf04-485df79fcae0 */ 
    Private Sub RtsEnter_NO_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("e5976040-a2c0-4fea-b959-dc2821185510|") Then
        OperatedStates = OperatedStates + "e5976040-a2c0-4fea-b959-dc2821185510|"
      End If
      'Simulation support : Notification function call for entering state : NO_CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "e5976040-a2c0-4fea-b959-dc2821185510", 0, NullString)
      SimCore.EnterState("e5976040-a2c0-4fea-b959-dc2821185510", "OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::NO_CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1
      'Entry Actions
      d62out_LCPF_Failure_Status.SetValue("No critical failure present")
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("bf178e63-8817-4f60-a0c6-258385534660|") then
    '   OperatedStates := OperatedStates + "bf178e63-8817-4f60-a0c6-258385534660|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"bf178e63-8817-4f60-a0c6-258385534660",0,NullString);
    ' 
    ' SimCore.EnterState("bf178e63-8817-4f60-a0c6-258385534660","OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::NON_CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LCPF_FAILURE_STATE := RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 273e8741-7521-4e33-a029-7b69815c3d16 */  d62out_LCPF_Failure_Status := "A non critical failure is present"; nullstat;/*##END 273e8741-7521-4e33-a029-7b69815c3d16 */ 
    Private Sub RtsEnter_NON_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("bf178e63-8817-4f60-a0c6-258385534660|") Then
        OperatedStates = OperatedStates + "bf178e63-8817-4f60-a0c6-258385534660|"
      End If
      'Simulation support : Notification function call for entering state : NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "bf178e63-8817-4f60-a0c6-258385534660", 0, NullString)
      SimCore.EnterState("bf178e63-8817-4f60-a0c6-258385534660", "OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::NON_CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1
      'Entry Actions
      d62out_LCPF_Failure_Status.SetValue("A non critical failure is present")
    End Sub
    
    ' \ART_SMG :: Created for state : NO_NON_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5cb007f2-14b4-44fa-914e-b61abd00d3c6|") then
    '   OperatedStates := OperatedStates + "5cb007f2-14b4-44fa-914e-b61abd00d3c6|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"5cb007f2-14b4-44fa-914e-b61abd00d3c6",0,NullString);
    ' 
    ' SimCore.EnterState("5cb007f2-14b4-44fa-914e-b61abd00d3c6","OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::NO_NON_CRITICAL_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_LCPF_FAILURE_STATE := RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 91b5f929-90ce-46f6-942b-56ddb4589d6e */  d62out_LCPF_Failure_Status := "No non critical failure present"; nullstat;/*##END 91b5f929-90ce-46f6-942b-56ddb4589d6e */ 
    Private Sub RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("5cb007f2-14b4-44fa-914e-b61abd00d3c6|") Then
        OperatedStates = OperatedStates + "5cb007f2-14b4-44fa-914e-b61abd00d3c6|"
      End If
      'Simulation support : Notification function call for entering state : NO_NON_CRITICAL_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "5cb007f2-14b4-44fa-914e-b61abd00d3c6", 0, NullString)
      SimCore.EnterState("5cb007f2-14b4-44fa-914e-b61abd00d3c6", "OBSERVE_FAILURE_STATES::LCPF_FAILURE_STATE::NO_NON_CRITICAL_FAILURE_DETECTED")
      Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1
      'Entry Actions
      d62out_LCPF_Failure_Status.SetValue("No non critical failure present")
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_FAILURE_STATES
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OBSERVE_FAILURE_STATES
    ' 	RtsNotify(This,SEXIT,"58f3ec66-8f15-4e5a-a4d8-a556b906bb8a",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OBSERVE_FAILURE_STATES ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OBSERVE_FAILURE_STATES()
      If Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_OBSERVE_FAILURE_STATES Then
        'Simulation support : Notification function call for exiting state : OBSERVE_FAILURE_STATES
        RtsNotify(Me, SEXIT, "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a", 0, NullString)
        RtsExitSSOf_OBSERVE_FAILURE_STATES()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_BOOTING
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States{enum_datatype}.RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_BOOTING
    ' 	RtsNotify(This,SEXIT,"3f5a0a52-2796-414b-8f46-7e1bef278d38",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_BOOTING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_BOOTING()
      If Me.RtsCurrent_F_Observe_Failure_State = RtsF_Observe_Failure_State_States.RtsF_Observe_Failure_State_States_WAITING_FOR_BOOTING Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_BOOTING
        RtsNotify(Me, SEXIT, "3f5a0a52-2796-414b-8f46-7e1bef278d38", 0, NullString)
        RtsExitSSOf_WAITING_FOR_BOOTING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"646b44ea-2825-4d43-b50b-9ccc75403543",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_CRITICAL_FAILURE_DETECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_CRITICAL_FAILURE_DETECTED()
      If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED Then
        'Simulation support : Notification function call for exiting state : CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "646b44ea-2825-4d43-b50b-9ccc75403543", 0, NullString)
        RtsExitSSOf_CRITICAL_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"a03f4528-b49c-41ea-b411-89376c60ba4f",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_CRITICAL_FAILURE_DETECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_CRITICAL_FAILURE_DETECTED()
      If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED Then
        'Simulation support : Notification function call for exiting state : NO_CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "a03f4528-b49c-41ea-b411-89376c60ba4f", 0, NullString)
        RtsExitSSOf_NO_CRITICAL_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NON_CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"47035f67-f7de-449d-94ff-13b62c689c21",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NON_CRITICAL_FAILURE_DETECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NON_CRITICAL_FAILURE_DETECTED()
      If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED Then
        'Simulation support : Notification function call for exiting state : NON_CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "47035f67-f7de-449d-94ff-13b62c689c21", 0, NullString)
        RtsExitSSOf_NON_CRITICAL_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_NON_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_NON_CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"8323801e-0538-426b-802b-ce4ce04411d3",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_NON_CRITICAL_FAILURE_DETECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED()
      If Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED Then
        'Simulation support : Notification function call for exiting state : NO_NON_CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "8323801e-0538-426b-802b-ce4ce04411d3", 0, NullString)
        RtsExitSSOf_NO_NON_CRITICAL_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"4c062aa8-3226-46e6-a658-6def3a507176",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_CRITICAL_FAILURE_DETECTED_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_CRITICAL_FAILURE_DETECTED_1()
      If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1 Then
        'Simulation support : Notification function call for exiting state : CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "4c062aa8-3226-46e6-a658-6def3a507176", 0, NullString)
        RtsExitSSOf_CRITICAL_FAILURE_DETECTED_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"e5976040-a2c0-4fea-b959-dc2821185510",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_CRITICAL_FAILURE_DETECTED_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_CRITICAL_FAILURE_DETECTED_1()
      If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1 Then
        'Simulation support : Notification function call for exiting state : NO_CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "e5976040-a2c0-4fea-b959-dc2821185510", 0, NullString)
        RtsExitSSOf_NO_CRITICAL_FAILURE_DETECTED_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NON_CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"bf178e63-8817-4f60-a0c6-258385534660",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NON_CRITICAL_FAILURE_DETECTED_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NON_CRITICAL_FAILURE_DETECTED_1()
      If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1 Then
        'Simulation support : Notification function call for exiting state : NON_CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "bf178e63-8817-4f60-a0c6-258385534660", 0, NullString)
        RtsExitSSOf_NON_CRITICAL_FAILURE_DETECTED_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_NON_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_NON_CRITICAL_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"5cb007f2-14b4-44fa-914e-b61abd00d3c6",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_NON_CRITICAL_FAILURE_DETECTED_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED_1()
      If Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1 Then
        'Simulation support : Notification function call for exiting state : NO_NON_CRITICAL_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "5cb007f2-14b4-44fa-914e-b61abd00d3c6", 0, NullString)
        RtsExitSSOf_NO_NON_CRITICAL_FAILURE_DETECTED_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : LC_FAILURE_STATE
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"30fe9199-4e7a-48aa-84d4-d38ae53b0a6f",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"30fe9199-4e7a-48aa-84d4-d38ae53b0a6f",0,NullString);/* #REF1576# */
    ' If (D60in_LC_Failure AND D69in_Con_LC_Failure_Status_After_Present_Failure = "critical failure report") then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"f91608ec-4c15-4418-a7bc-66b61e6dee5a",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"1132cf2f-bcab-45d2-9fbf-56f1b6af0c0d",0,NullString);/* #REF1585# */
    ' 	/*##STRT 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */  nullstat;/*##END 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */ /* #REF1578# */
    ' /*##STRT 4781b691-1c51-42c2-8cca-976b889c7d73 */  nullstat;/*##END 4781b691-1c51-42c2-8cca-976b889c7d73 */ /* #REF1546# */
    ' 	This.RtsEnter_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 	ElseIf (D69in_Con_LC_Failure_Status_After_Present_Failure = "critical failure report" AND NOT D60in_LC_Failure) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"f91608ec-4c15-4418-a7bc-66b61e6dee5a",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"82325f36-5c6a-4004-8bb6-ef752c20f12d",0,NullString);/* #REF1585# */
    ' 	/*##STRT 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */  nullstat;/*##END 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */ /* #REF1578# */
    ' /*##STRT d4a61187-1666-45af-bae7-005249ef5aa6 */  nullstat;/*##END d4a61187-1666-45af-bae7-005249ef5aa6 */ /* #REF1546# */
    ' 	This.RtsEnter_NO_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 	ElseIf (D60in_LC_Failure AND D69in_Con_LC_Failure_Status_After_Present_Failure = "non critical failure report") then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"f91608ec-4c15-4418-a7bc-66b61e6dee5a",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"4b863bd4-9e2c-4959-81f7-0dce25cbbb10",0,NullString);/* #REF1585# */
    ' 	/*##STRT 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */  nullstat;/*##END 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */ /* #REF1578# */
    ' /*##STRT f24830ba-51e7-43a2-a0d5-0b02b51b6210 */  nullstat;/*##END f24830ba-51e7-43a2-a0d5-0b02b51b6210 */ /* #REF1546# */
    ' 	This.RtsEnter_NON_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 	Else /* #REF1581# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"f91608ec-4c15-4418-a7bc-66b61e6dee5a",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"ae31e9a3-87dc-4df8-bc0b-494166ee3598",0,NullString);/* #REF1585# */
    ' 	/*##STRT 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */  nullstat;/*##END 80b77e9d-0ead-4ab2-8d6e-b4c01e073c47 */ /* #REF1578# */
    ' /*##STRT 7ec21f3e-bf41-49ba-8cbc-2219056f852b */  nullstat;/*##END 7ec21f3e-bf41-49ba-8cbc-2219056f852b */ /* #REF1546# */
    ' 	This.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED();/* #REF1590# */
    ' 	/* #REF158644# */
    ' End If
    ' 
    Private Sub RtsDefault_LC_FAILURE_STATE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "30fe9199-4e7a-48aa-84d4-d38ae53b0a6f", 0, NullString)
      RtsNotify(Me, SEXIT, "30fe9199-4e7a-48aa-84d4-d38ae53b0a6f", 0, NullString)
      If (D60in_LC_Failure.GetLatchedValue() And D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "f91608ec-4c15-4418-a7bc-66b61e6dee5a", 0, NullString)
        RtsNotify(Me, TRANSITION, "1132cf2f-bcab-45d2-9fbf-56f1b6af0c0d", 0, NullString)
        Me.RtsEnter_CRITICAL_FAILURE_DETECTED()
      ElseIf (D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report" And NOT D60in_LC_Failure.GetLatchedValue()) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "f91608ec-4c15-4418-a7bc-66b61e6dee5a", 0, NullString)
        RtsNotify(Me, TRANSITION, "82325f36-5c6a-4004-8bb6-ef752c20f12d", 0, NullString)
        Me.RtsEnter_NO_CRITICAL_FAILURE_DETECTED()
      ElseIf (D60in_LC_Failure.GetLatchedValue() And D69in_Con_LC_Failure_Status_After_Present_Failure.GetLatchedValue() = "non critical failure report") Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "f91608ec-4c15-4418-a7bc-66b61e6dee5a", 0, NullString)
        RtsNotify(Me, TRANSITION, "4b863bd4-9e2c-4959-81f7-0dce25cbbb10", 0, NullString)
        Me.RtsEnter_NON_CRITICAL_FAILURE_DETECTED()
      Else
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "f91608ec-4c15-4418-a7bc-66b61e6dee5a", 0, NullString)
        RtsNotify(Me, TRANSITION, "ae31e9a3-87dc-4df8-bc0b-494166ee3598", 0, NullString)
        Me.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_FAILURE_STATES
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' This.RtsEnter_OBSERVE_FAILURE_STATES();/* #REF1572# */
    ' This.RtsDefault_LC_FAILURE_STATE();/* #REF1573# */
    ' This.RtsDefault_LCPF_FAILURE_STATE();/* #REF1573# */
    ' 
    Private Sub RtsDefault_OBSERVE_FAILURE_STATES()
      Me.RtsEnter_OBSERVE_FAILURE_STATES()
      Me.RtsDefault_LC_FAILURE_STATE()
      Me.RtsDefault_LCPF_FAILURE_STATE()
    End Sub
    
    ' \ART_SMG :: Created for state : LCPF_FAILURE_STATE
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"8e987ee9-03ec-4613-bd63-ebb66fe87aff",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"8e987ee9-03ec-4613-bd63-ebb66fe87aff",0,NullString);/* #REF1576# */
    ' If (d74in_LCPF_Failure_State = "Failure present" AND D67in_Con_LCPF_Failure_Status_After_Present_Failure = "critical failure report") then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"980782f4-0eda-4f0a-a3df-c9e2b88ce2f5",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"13b87111-fc73-4936-9979-c0e6a236aa22",0,NullString);/* #REF1585# */
    ' 	/*##STRT ec7924fd-45d7-4237-9201-5b20d5753971 */  nullstat;/*##END ec7924fd-45d7-4237-9201-5b20d5753971 */ /* #REF1578# */
    ' /*##STRT 7b57b7c0-7c4b-402f-ad2c-fff2177aa68c */  nullstat;/*##END 7b57b7c0-7c4b-402f-ad2c-fff2177aa68c */ /* #REF1546# */
    ' 	This.RtsEnter_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 	ElseIf (d74in_LCPF_Failure_State = "No failure present" AND D67in_Con_LCPF_Failure_Status_After_Present_Failure = "critical failure report") then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"980782f4-0eda-4f0a-a3df-c9e2b88ce2f5",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"6affa4f9-dfcd-45b0-a1bd-900a25040bf9",0,NullString);/* #REF1585# */
    ' 	/*##STRT ec7924fd-45d7-4237-9201-5b20d5753971 */  nullstat;/*##END ec7924fd-45d7-4237-9201-5b20d5753971 */ /* #REF1578# */
    ' /*##STRT ad52c135-5631-4e23-8514-4674eeda6bfa */  nullstat;/*##END ad52c135-5631-4e23-8514-4674eeda6bfa */ /* #REF1546# */
    ' 	This.RtsEnter_NO_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 	ElseIf (d74in_LCPF_Failure_State = "Failure present" AND D67in_Con_LCPF_Failure_Status_After_Present_Failure = "non critical failure report") then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"980782f4-0eda-4f0a-a3df-c9e2b88ce2f5",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"6c9217f8-abe6-443c-adee-a1b623f684f7",0,NullString);/* #REF1585# */
    ' 	/*##STRT ec7924fd-45d7-4237-9201-5b20d5753971 */  nullstat;/*##END ec7924fd-45d7-4237-9201-5b20d5753971 */ /* #REF1578# */
    ' /*##STRT e403fe78-2e70-4289-bcd5-8bf3d21588a4 */  nullstat;/*##END e403fe78-2e70-4289-bcd5-8bf3d21588a4 */ /* #REF1546# */
    ' 	This.RtsEnter_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 	Else /* #REF1581# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"980782f4-0eda-4f0a-a3df-c9e2b88ce2f5",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"56edc216-3a5c-4a2b-ad1f-4221f72492a0",0,NullString);/* #REF1585# */
    ' 	/*##STRT ec7924fd-45d7-4237-9201-5b20d5753971 */  nullstat;/*##END ec7924fd-45d7-4237-9201-5b20d5753971 */ /* #REF1578# */
    ' /*##STRT 771ad6d2-a5a7-4dad-af78-efcf7d4ba814 */  nullstat;/*##END 771ad6d2-a5a7-4dad-af78-efcf7d4ba814 */ /* #REF1546# */
    ' 	This.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF1590# */
    ' 	/* #REF158644# */
    ' End If
    ' 
    Private Sub RtsDefault_LCPF_FAILURE_STATE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "8e987ee9-03ec-4613-bd63-ebb66fe87aff", 0, NullString)
      RtsNotify(Me, SEXIT, "8e987ee9-03ec-4613-bd63-ebb66fe87aff", 0, NullString)
      If (d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present" And D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "980782f4-0eda-4f0a-a3df-c9e2b88ce2f5", 0, NullString)
        RtsNotify(Me, TRANSITION, "13b87111-fc73-4936-9979-c0e6a236aa22", 0, NullString)
        Me.RtsEnter_CRITICAL_FAILURE_DETECTED_1()
      ElseIf (d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present" And D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "critical failure report") Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "980782f4-0eda-4f0a-a3df-c9e2b88ce2f5", 0, NullString)
        RtsNotify(Me, TRANSITION, "6affa4f9-dfcd-45b0-a1bd-900a25040bf9", 0, NullString)
        Me.RtsEnter_NO_CRITICAL_FAILURE_DETECTED_1()
      ElseIf (d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present" And D67in_Con_LCPF_Failure_Status_After_Present_Failure.GetLatchedValue() = "non critical failure report") Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "980782f4-0eda-4f0a-a3df-c9e2b88ce2f5", 0, NullString)
        RtsNotify(Me, TRANSITION, "6c9217f8-abe6-443c-adee-a1b623f684f7", 0, NullString)
        Me.RtsEnter_NON_CRITICAL_FAILURE_DETECTED_1()
      Else
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "980782f4-0eda-4f0a-a3df-c9e2b88ce2f5", 0, NullString)
        RtsNotify(Me, TRANSITION, "56edc216-3a5c-4a2b-ad1f-4221f72492a0", 0, NullString)
        Me.RtsEnter_NO_NON_CRITICAL_FAILURE_DETECTED_1()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_Observe_Failure_State)
    End Sub
    
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Observe_Failure_State" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Failure_State, "RtsF_Observe_Failure_State_States");
    ' end if
    ' if Name = "RtsCurrent_LC_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LC_FAILURE_STATE, "RtsF_Observe_Failure_StateLC_FAILURE_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_LCPF_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LCPF_FAILURE_STATE, "RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_Observe_Failure_State" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Failure_State, "RtsF_Observe_Failure_State_States");
    ' end if
    ' if Name = "RtsCurrent_LC_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LC_FAILURE_STATE, "RtsF_Observe_Failure_StateLC_FAILURE_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_LCPF_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LCPF_FAILURE_STATE, "RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "dc24265c-ff4c-46f8-a17c-9dac0716c1a3";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "8";
    '   Value := Value + "|RtsCurrent_F_Observe_Failure_State";
    '   Value := Value + "|RtsCurrent_LC_FAILURE_STATE";
    '   Value := Value + "|RtsCurrent_LCPF_FAILURE_STATE";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_Observe_Failure_State";
    '   Value := Value + "|RtsCurrent_LC_FAILURE_STATE";
    '   Value := Value + "|RtsCurrent_LCPF_FAILURE_STATE";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_Observe_Failure_State)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Observe_Failure_State" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Failure_State, "RtsF_Observe_Failure_State_States")
      End If
      If Name = "RtsCurrent_LC_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LC_FAILURE_STATE, "RtsF_Observe_Failure_StateLC_FAILURE_STATE_States")
      End If
      If Name = "RtsCurrent_LCPF_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LCPF_FAILURE_STATE, "RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_Observe_Failure_State" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_Failure_State, "RtsF_Observe_Failure_State_States")
      End If
      If Name = "RtsCurrent_LC_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LC_FAILURE_STATE, "RtsF_Observe_Failure_StateLC_FAILURE_STATE_States")
      End If
      If Name = "RtsCurrent_LCPF_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_LCPF_FAILURE_STATE, "RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "dc24265c-ff4c-46f8-a17c-9dac0716c1a3"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "8"
        Value = Value + "|RtsCurrent_F_Observe_Failure_State"
        Value = Value + "|RtsCurrent_LC_FAILURE_STATE"
        Value = Value + "|RtsCurrent_LCPF_FAILURE_STATE"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_Observe_Failure_State"
        Value = Value + "|RtsCurrent_LC_FAILURE_STATE"
        Value = Value + "|RtsCurrent_LCPF_FAILURE_STATE"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Observe_Failure_State" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Observe_Failure_State, Value, "RtsF_Observe_Failure_State_States", GetType(F_Observe_Failure_State.RtsF_Observe_Failure_State_States));
    ' end if
    ' if Name = "RtsCurrent_LC_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_LC_FAILURE_STATE, Value, "RtsF_Observe_Failure_StateLC_FAILURE_STATE_States", GetType(F_Observe_Failure_State.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States));
    ' end if
    ' if Name = "RtsCurrent_LCPF_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_LCPF_FAILURE_STATE, Value, "RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States", GetType(F_Observe_Failure_State.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_Observe_Failure_State)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Observe_Failure_State" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Observe_Failure_State, Value, "RtsF_Observe_Failure_State_States", GetType(F_Observe_Failure_State.RtsF_Observe_Failure_State_States))
      End If
      If Name = "RtsCurrent_LC_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_LC_FAILURE_STATE, Value, "RtsF_Observe_Failure_StateLC_FAILURE_STATE_States", GetType(F_Observe_Failure_State.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States))
      End If
      If Name = "RtsCurrent_LCPF_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_LCPF_FAILURE_STATE, Value, "RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States", GetType(F_Observe_Failure_State.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_FAILURE_STATES
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|") then
    '   OperatedStates := OperatedStates + "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|";
    ' end if
    ' /* #REF724# */
    ' select case This.RtsCurrent_LC_FAILURE_STATE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_CRITICAL_FAILURE_DETECTED();/* #REF730# */
    ' 	case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_CRITICAL_FAILURE_DETECTED();/* #REF730# */
    ' 	case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NON_CRITICAL_FAILURE_DETECTED();/* #REF730# */
    ' 	case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_LC_FAILURE_STATE := RtsF_Observe_Failure_StateLC_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_LCPF_FAILURE_STATE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_CRITICAL_FAILURE_DETECTED_1();/* #REF730# */
    ' 	case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_CRITICAL_FAILURE_DETECTED_1();/* #REF730# */
    ' 	case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF730# */
    ' 	case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED_1();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_LCPF_FAILURE_STATE := RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE;/* #REF736# */
    ' 
    Private Sub RtsExitSSOf_OBSERVE_FAILURE_STATES()
      If not OperatedStates.Contains("58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|") Then
        OperatedStates = OperatedStates + "58f3ec66-8f15-4e5a-a4d8-a556b906bb8a|"
      End If
      Select Case Me.RtsCurrent_LC_FAILURE_STATE
        Case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED
          Me.RtsExit_CRITICAL_FAILURE_DETECTED()
        Case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED
          Me.RtsExit_NO_CRITICAL_FAILURE_DETECTED()
        Case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED
          Me.RtsExit_NON_CRITICAL_FAILURE_DETECTED()
        Case RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED
          Me.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED()
      End Select
      Me.RtsCurrent_LC_FAILURE_STATE = RtsF_Observe_Failure_StateLC_FAILURE_STATE_States.RtsF_Observe_Failure_StateLC_FAILURE_STATE_States_NotIn_LC_FAILURE_STATE
      Select Case Me.RtsCurrent_LCPF_FAILURE_STATE
        Case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_CRITICAL_FAILURE_DETECTED_1
          Me.RtsExit_CRITICAL_FAILURE_DETECTED_1()
        Case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_CRITICAL_FAILURE_DETECTED_1
          Me.RtsExit_NO_CRITICAL_FAILURE_DETECTED_1()
        Case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NON_CRITICAL_FAILURE_DETECTED_1
          Me.RtsExit_NON_CRITICAL_FAILURE_DETECTED_1()
        Case RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NO_NON_CRITICAL_FAILURE_DETECTED_1
          Me.RtsExit_NO_NON_CRITICAL_FAILURE_DETECTED_1()
      End Select
      Me.RtsCurrent_LCPF_FAILURE_STATE = RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States.RtsF_Observe_Failure_StateLCPF_FAILURE_STATE_States_NotIn_LCPF_FAILURE_STATE
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_BOOTING
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("3f5a0a52-2796-414b-8f46-7e1bef278d38|") then
    '   OperatedStates := OperatedStates + "3f5a0a52-2796-414b-8f46-7e1bef278d38|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_BOOTING()
      If not OperatedStates.Contains("3f5a0a52-2796-414b-8f46-7e1bef278d38|") Then
        OperatedStates = OperatedStates + "3f5a0a52-2796-414b-8f46-7e1bef278d38|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("646b44ea-2825-4d43-b50b-9ccc75403543|") then
    '   OperatedStates := OperatedStates + "646b44ea-2825-4d43-b50b-9ccc75403543|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("646b44ea-2825-4d43-b50b-9ccc75403543|") Then
        OperatedStates = OperatedStates + "646b44ea-2825-4d43-b50b-9ccc75403543|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a03f4528-b49c-41ea-b411-89376c60ba4f|") then
    '   OperatedStates := OperatedStates + "a03f4528-b49c-41ea-b411-89376c60ba4f|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("a03f4528-b49c-41ea-b411-89376c60ba4f|") Then
        OperatedStates = OperatedStates + "a03f4528-b49c-41ea-b411-89376c60ba4f|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("47035f67-f7de-449d-94ff-13b62c689c21|") then
    '   OperatedStates := OperatedStates + "47035f67-f7de-449d-94ff-13b62c689c21|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NON_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("47035f67-f7de-449d-94ff-13b62c689c21|") Then
        OperatedStates = OperatedStates + "47035f67-f7de-449d-94ff-13b62c689c21|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_NON_CRITICAL_FAILURE_DETECTED
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("8323801e-0538-426b-802b-ce4ce04411d3|") then
    '   OperatedStates := OperatedStates + "8323801e-0538-426b-802b-ce4ce04411d3|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_NON_CRITICAL_FAILURE_DETECTED()
      If not OperatedStates.Contains("8323801e-0538-426b-802b-ce4ce04411d3|") Then
        OperatedStates = OperatedStates + "8323801e-0538-426b-802b-ce4ce04411d3|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("4c062aa8-3226-46e6-a658-6def3a507176|") then
    '   OperatedStates := OperatedStates + "4c062aa8-3226-46e6-a658-6def3a507176|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("4c062aa8-3226-46e6-a658-6def3a507176|") Then
        OperatedStates = OperatedStates + "4c062aa8-3226-46e6-a658-6def3a507176|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("e5976040-a2c0-4fea-b959-dc2821185510|") then
    '   OperatedStates := OperatedStates + "e5976040-a2c0-4fea-b959-dc2821185510|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("e5976040-a2c0-4fea-b959-dc2821185510|") Then
        OperatedStates = OperatedStates + "e5976040-a2c0-4fea-b959-dc2821185510|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("bf178e63-8817-4f60-a0c6-258385534660|") then
    '   OperatedStates := OperatedStates + "bf178e63-8817-4f60-a0c6-258385534660|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NON_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("bf178e63-8817-4f60-a0c6-258385534660|") Then
        OperatedStates = OperatedStates + "bf178e63-8817-4f60-a0c6-258385534660|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_NON_CRITICAL_FAILURE_DETECTED_1
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5cb007f2-14b4-44fa-914e-b61abd00d3c6|") then
    '   OperatedStates := OperatedStates + "5cb007f2-14b4-44fa-914e-b61abd00d3c6|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_NON_CRITICAL_FAILURE_DETECTED_1()
      If not OperatedStates.Contains("5cb007f2-14b4-44fa-914e-b61abd00d3c6|") Then
        OperatedStates = OperatedStates + "5cb007f2-14b4-44fa-914e-b61abd00d3c6|"
      End If
    End Sub
    
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume d51out_EST_EfeS_State: a SySimInputPort;
    ' assume D60in_LC_Failure: a SySimInputPort;
    ' assume d61out_LC_Failure_Status: a SySimOutputPort;
    ' assume d62out_LCPF_Failure_Status: a SySimOutputPort;
    ' assume D67in_Con_LCPF_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume D69in_Con_LC_Failure_Status_After_Present_Failure: a SySimInputPort;
    ' assume d74in_LCPF_Failure_State: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg10Tmp := (/*##STRT 7c373ce3-c99a-46b5-b299-1e41536c1907 */ ( d51out_EST_EfeS_State = "BOOTING")/*##END 7c373ce3-c99a-46b5-b299-1e41536c1907 */ ) : Boolean;
    ' ChgFlg10 := EvalTrigger(ChgFlg10Tmp , ChgFlgLast10);
    ' declare ChgFlg9Tmp := (/*##STRT 16ab08d5-87ba-4e72-bb12-ef56a93e9ecb */ ( d74in_LCPF_Failure_State = "Failure present")/*##END 16ab08d5-87ba-4e72-bb12-ef56a93e9ecb */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' declare ChgFlg7Tmp := (/*##STRT 833a33e4-40a3-444e-9456-f8b0dde1e328 */ ( d74in_LCPF_Failure_State = "Failure present")/*##END 833a33e4-40a3-444e-9456-f8b0dde1e328 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg8Tmp := (/*##STRT 11e7bf05-d486-416f-afae-9ed1340f7b19 */ ( d74in_LCPF_Failure_State = "No failure present")/*##END 11e7bf05-d486-416f-afae-9ed1340f7b19 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg6Tmp := (/*##STRT 6c2cfe49-2a48-4d04-bf82-06f6eacd2718 */ ( d74in_LCPF_Failure_State = "No failure present")/*##END 6c2cfe49-2a48-4d04-bf82-06f6eacd2718 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg3Tmp := (/*##STRT 825c9354-40cf-484c-b9f0-1d14aec75336 */ ( D60in_LC_Failure )/*##END 825c9354-40cf-484c-b9f0-1d14aec75336 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg5Tmp := (/*##STRT 10b81c2f-f5af-44ee-b726-824c2d2d7416 */ ( D60in_LC_Failure )/*##END 10b81c2f-f5af-44ee-b726-824c2d2d7416 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg1Tmp := (/*##STRT 669c6e41-128e-4a33-bc2d-96fcbd59ab5a */ ( d51out_EST_EfeS_State = "FALLBACK_MODE")/*##END 669c6e41-128e-4a33-bc2d-96fcbd59ab5a */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg2Tmp := (/*##STRT 7424005c-9d2c-48cd-a319-9210231aff57 */ (NOT D60in_LC_Failure )/*##END 7424005c-9d2c-48cd-a319-9210231aff57 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg4Tmp := (/*##STRT d1e10630-7ce4-4cf4-9a34-c2905d8d4493 */ (NOT D60in_LC_Failure )/*##END d1e10630-7ce4-4cf4-9a34-c2905d8d4493 */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast10 := ChgFlg10Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg10 := (/*##STRT 7c373ce3-c99a-46b5-b299-1e41536c1907 */ ( d51out_EST_EfeS_State = "BOOTING")/*##END 7c373ce3-c99a-46b5-b299-1e41536c1907 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT 16ab08d5-87ba-4e72-bb12-ef56a93e9ecb */ ( d74in_LCPF_Failure_State = "Failure present")/*##END 16ab08d5-87ba-4e72-bb12-ef56a93e9ecb */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 833a33e4-40a3-444e-9456-f8b0dde1e328 */ ( d74in_LCPF_Failure_State = "Failure present")/*##END 833a33e4-40a3-444e-9456-f8b0dde1e328 */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT 11e7bf05-d486-416f-afae-9ed1340f7b19 */ ( d74in_LCPF_Failure_State = "No failure present")/*##END 11e7bf05-d486-416f-afae-9ed1340f7b19 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT 6c2cfe49-2a48-4d04-bf82-06f6eacd2718 */ ( d74in_LCPF_Failure_State = "No failure present")/*##END 6c2cfe49-2a48-4d04-bf82-06f6eacd2718 */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 825c9354-40cf-484c-b9f0-1d14aec75336 */ ( D60in_LC_Failure )/*##END 825c9354-40cf-484c-b9f0-1d14aec75336 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 10b81c2f-f5af-44ee-b726-824c2d2d7416 */ ( D60in_LC_Failure )/*##END 10b81c2f-f5af-44ee-b726-824c2d2d7416 */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT 669c6e41-128e-4a33-bc2d-96fcbd59ab5a */ ( d51out_EST_EfeS_State = "FALLBACK_MODE")/*##END 669c6e41-128e-4a33-bc2d-96fcbd59ab5a */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT 7424005c-9d2c-48cd-a319-9210231aff57 */ (NOT D60in_LC_Failure )/*##END 7424005c-9d2c-48cd-a319-9210231aff57 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT d1e10630-7ce4-4cf4-9a34-c2905d8d4493 */ (NOT D60in_LC_Failure )/*##END d1e10630-7ce4-4cf4-9a34-c2905d8d4493 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg10 := (/*##STRT 7c373ce3-c99a-46b5-b299-1e41536c1907 */ ( d51out_EST_EfeS_State = "BOOTING")/*##END 7c373ce3-c99a-46b5-b299-1e41536c1907 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT 16ab08d5-87ba-4e72-bb12-ef56a93e9ecb */ ( d74in_LCPF_Failure_State = "Failure present")/*##END 16ab08d5-87ba-4e72-bb12-ef56a93e9ecb */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 833a33e4-40a3-444e-9456-f8b0dde1e328 */ ( d74in_LCPF_Failure_State = "Failure present")/*##END 833a33e4-40a3-444e-9456-f8b0dde1e328 */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT 11e7bf05-d486-416f-afae-9ed1340f7b19 */ ( d74in_LCPF_Failure_State = "No failure present")/*##END 11e7bf05-d486-416f-afae-9ed1340f7b19 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT 6c2cfe49-2a48-4d04-bf82-06f6eacd2718 */ ( d74in_LCPF_Failure_State = "No failure present")/*##END 6c2cfe49-2a48-4d04-bf82-06f6eacd2718 */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 825c9354-40cf-484c-b9f0-1d14aec75336 */ ( D60in_LC_Failure )/*##END 825c9354-40cf-484c-b9f0-1d14aec75336 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 10b81c2f-f5af-44ee-b726-824c2d2d7416 */ ( D60in_LC_Failure )/*##END 10b81c2f-f5af-44ee-b726-824c2d2d7416 */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT 669c6e41-128e-4a33-bc2d-96fcbd59ab5a */ ( d51out_EST_EfeS_State = "FALLBACK_MODE")/*##END 669c6e41-128e-4a33-bc2d-96fcbd59ab5a */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT 7424005c-9d2c-48cd-a319-9210231aff57 */ (NOT D60in_LC_Failure )/*##END 7424005c-9d2c-48cd-a319-9210231aff57 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT d1e10630-7ce4-4cf4-9a34-c2905d8d4493 */ (NOT D60in_LC_Failure )/*##END d1e10630-7ce4-4cf4-9a34-c2905d8d4493 */ ) : Boolean;
    '   declare PreviousChgFlg10 := ChgFlg10 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := True;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := True;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := True;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := True;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := True;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := True;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := True;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := True;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := True;
    '   ChgFlg4 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg10 := false;
    ' ChgFlg9 := false;
    ' ChgFlg7 := false;
    ' ChgFlg8 := false;
    ' ChgFlg6 := false;
    ' ChgFlg3 := false;
    ' ChgFlg5 := false;
    ' ChgFlg1 := false;
    ' ChgFlg2 := false;
    ' ChgFlg4 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg10Tmp As Boolean = ((d51out_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
      ChgFlg10 = EvalTrigger(ChgFlg10Tmp, ChgFlgLast10)
      Dim ChgFlg9Tmp As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present"))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      Dim ChgFlg7Tmp As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present"))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg8Tmp As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present"))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg6Tmp As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present"))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg3Tmp As Boolean = ((D60in_LC_Failure.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg5Tmp As Boolean = ((D60in_LC_Failure.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg1Tmp As Boolean = ((d51out_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg2Tmp As Boolean = ((NOT D60in_LC_Failure.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg4Tmp As Boolean = ((NOT D60in_LC_Failure.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast10 = ChgFlg10Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg10 As Boolean = ((d51out_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
        Dim MaskedChgFlg9 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present"))
        Dim MaskedChgFlg7 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present"))
        Dim MaskedChgFlg8 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present"))
        Dim MaskedChgFlg6 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present"))
        Dim MaskedChgFlg3 As Boolean = ((D60in_LC_Failure.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((D60in_LC_Failure.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((d51out_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
        Dim MaskedChgFlg2 As Boolean = ((NOT D60in_LC_Failure.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((NOT D60in_LC_Failure.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg10 As Boolean = ((d51out_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
        Dim UnMaskedChgFlg9 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present"))
        Dim UnMaskedChgFlg7 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "Failure present"))
        Dim UnMaskedChgFlg8 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present"))
        Dim UnMaskedChgFlg6 As Boolean = ((d74in_LCPF_Failure_State.GetLatchedValue() = "No failure present"))
        Dim UnMaskedChgFlg3 As Boolean = ((D60in_LC_Failure.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((D60in_LC_Failure.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((d51out_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE"))
        Dim UnMaskedChgFlg2 As Boolean = ((NOT D60in_LC_Failure.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((NOT D60in_LC_Failure.GetLatchedValue()))
        Dim PreviousChgFlg10 As Boolean = ChgFlg10
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = True
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = True
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = True
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = True
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = True
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = True
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = True
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = True
          ChgFlg2 = False
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = True
          ChgFlg4 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg7 = False
          ChgFlg8 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg2 = False
          ChgFlg4 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg10 = False
      ChgFlg9 = False
      ChgFlg7 = False
      ChgFlg8 = False
      ChgFlg6 = False
      ChgFlg3 = False
      ChgFlg5 = False
      ChgFlg1 = False
      ChgFlg2 = False
      ChgFlg4 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or d51out_EST_EfeS_State.Decrement())
      Ret = (Ret Or D60in_LC_Failure.Decrement())
      Ret = (Ret Or D67in_Con_LCPF_Failure_Status_After_Present_Failure.Decrement())
      Ret = (Ret Or D69in_Con_LC_Failure_Status_After_Present_Failure.Decrement())
      Ret = (Ret Or d74in_LCPF_Failure_State.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      d51out_EST_EfeS_State.Mask(What)
      D60in_LC_Failure.Mask(What)
      D67in_Con_LCPF_Failure_Status_After_Present_Failure.Mask(What)
      D69in_Con_LC_Failure_Status_After_Present_Failure.Mask(What)
      d74in_LCPF_Failure_State.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_Observe_LCPF : Implements SMSupport.SMQueued 
    Protected Class F_Observe_LCPFSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_Observe_LCPF = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_Observe_LCPF_States
      RtsF_Observe_LCPF_States_OBSERVE_LCPF
      RtsF_Observe_LCPF_States_NotIn_F_Observe_LCPF
    End Enum
    Public Enum RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States
      RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED
      RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED
      RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE
      RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING
      RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_NotIn_OBSERVE_LCPF_PROTECTION_STATE
    End Enum
    Public Enum RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States
      RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA
      RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA
      RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1
      RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NotIn_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE
    End Enum
    Public Enum RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States
      RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED
      RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED
      RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2
      RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NotIn_OBSERVE_LCPF_FAILURE_STATE
    End Enum
    Public Enum RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States
      RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2
      RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1
      RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_NotIn_OBSERVE_MONITORING_STATUS
    End Enum
    ' \ART_SMG :: Created for state : F_Observe_LCPF
    Private RtsCurrent_F_Observe_LCPF As F_Observe_LCPF.RtsF_Observe_LCPF_States
    ' \ART_SMG :: Created for state : OBSERVE_LCPF_PROTECTION_STATE
    Private RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE As F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States
    ' \ART_SMG :: Created for state : OBSERVE_LCPF_OBSTACLE_DETECTION_STATE
    Private RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE As F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States
    ' \ART_SMG :: Created for state : OBSERVE_LCPF_FAILURE_STATE
    Private RtsCurrent_OBSERVE_LCPF_FAILURE_STATE As F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States
    ' \ART_SMG :: Created for state : OBSERVE_MONITORING_STATUS
    Private RtsCurrent_OBSERVE_MONITORING_STATUS As F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast19 As Boolean
    Private ChgFlg19 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast11 As Boolean
    Private ChgFlg11 As Boolean
    Private ChgFlgLast12 As Boolean
    Private ChgFlg12 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast17 As Boolean
    Private ChgFlg17 As Boolean
    Private ChgFlgLast16 As Boolean
    Private ChgFlg16 As Boolean
    Private ChgFlgLast18 As Boolean
    Private ChgFlg18 As Boolean
    Private ChgFlgLast13 As Boolean
    Private ChgFlg13 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast14 As Boolean
    Private ChgFlg14 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast10 As Boolean
    Private ChgFlg10 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast15 As Boolean
    Private ChgFlg15 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_Observe_LCPFSMQueue = New F_Observe_LCPFSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The port D30in_LCPF_Protection_State refines the Informationflow Status_Level_Crossing_Protection_Facility.
    Protected D30in_LCPF_Protection_State As OInputPort(Of String)
    Protected d4out_Obstacle_Detection_Status As OOutputPort(Of String)
    Protected d3out_LCPF_Protection_State As OOutputPort(Of String)
    Protected d74out_LCPF_Failure_State As OOutputPort(Of String)
    Protected d9out_Changed_Monitoring_State As OOutputPort(Of String)
    ' The port D109in_Con_Use_Obstacle_Detection provides configuration values for the obstacle detection.
    ' 
    ' true: Obstacle detection is used
    ' false: Obstacle detection is not used
    Protected D109in_Con_Use_Obstacle_Detection As OInputPort(Of Boolean)
    ' The port D31in_Obstacle_Detection_State represents a detected Obstacle.
    ' 
    ' true: Obstacle detected in the conflict area
    ' false: No Obstacle detected in the conflict area
    Protected D31in_Obstacle_Detection_State As OInputPort(Of Boolean)
    ' The port D32in_LCPF_Failure_State represents a failure in the LCPF.
    ' 
    ' true: Failure is present
    ' false: Failure is not present
    Protected D32in_LCPF_Failure_State As OInputPort(Of Boolean)
    ' The port D33in_Monitoring_State provides values for the monitoring status.
    ' 
    ' 1.: Monitoring Parameter Set 1
    ' 2.: Monitoring Parameter Set 2
    Protected D33in_Monitoring_State As OInputPort(Of String)
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_Observe_LCPF: on object;
    ' assume RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE: on object;
    ' assume RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE: on object;
    ' assume RtsCurrent_OBSERVE_LCPF_FAILURE_STATE: on object;
    ' assume RtsCurrent_OBSERVE_MONITORING_STATUS: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED then
    ' /* #REF123# */
    ' 	/* 1431a92f-5840-4a27-90d7-661b4825165e UNPROTECTED */
    '   ThisState := "1431a92f-5840-4a27-90d7-661b4825165e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_UNPROTECTED */
    ' 		/* standard */
    ' 		This.RtsExit_UNPROTECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"71cb25b4-bb6d-43f4-b563-2bd6d2ec9af0",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 86d4b382-5f1a-4cc6-b148-31ff3e15335e */  nullstat;/*##END 86d4b382-5f1a-4cc6-b148-31ff3e15335e */ /* #REF1546# */
    ' 		This.RtsEnter_IDLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED then
    ' /* #REF123# */
    ' 	/* 1431a92f-5840-4a27-90d7-661b4825165e UNPROTECTED */
    '   ThisState := "1431a92f-5840-4a27-90d7-661b4825165e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_UNPROTECTED */
    ' 		/* standard */
    ' 		This.RtsExit_UNPROTECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d4737512-5c7d-4707-9a49-b6af2bd16b86",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 32d374fb-9634-4b5f-873c-42d86dfda7a2 */  nullstat;/*##END 32d374fb-9634-4b5f-873c-42d86dfda7a2 */ /* #REF1546# */
    ' 		This.RtsEnter_PROTECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED then
    ' /* #REF123# */
    ' 	/* a59baf02-2f20-43c5-82d7-3e7f21dab024 PROTECTED */
    '   ThisState := "a59baf02-2f20-43c5-82d7-3e7f21dab024";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_PROTECTED */
    ' 		/* standard */
    ' 		This.RtsExit_PROTECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"40f5f34b-3686-4547-adb0-9b8840dd9e27",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 83b8fb83-f513-4954-a9b0-fd36f927c84c */  nullstat;/*##END 83b8fb83-f513-4954-a9b0-fd36f927c84c */ /* #REF1546# */
    ' 		This.RtsEnter_IDLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED then
    ' /* #REF123# */
    ' 	/* a59baf02-2f20-43c5-82d7-3e7f21dab024 PROTECTED */
    '   ThisState := "a59baf02-2f20-43c5-82d7-3e7f21dab024";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_PROTECTED */
    ' 		/* standard */
    ' 		This.RtsExit_PROTECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"141a8729-da7f-4445-ab60-b07ff750e912",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4bee1753-5de2-4106-8f05-d11e6e0f8c34 */  nullstat;/*##END 4bee1753-5de2-4106-8f05-d11e6e0f8c34 */ /* #REF1546# */
    ' 		This.RtsEnter_UNPROTECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE then
    ' /* #REF123# */
    ' 	/* e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1 IDLE */
    '   ThisState := "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IDLE */
    ' 		/* standard */
    ' 		This.RtsExit_IDLE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"9f8ea5b6-6269-44b7-9347-a2a1d70ff12a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 517f60c0-037e-4f36-be33-695527b4ff46 */  nullstat;/*##END 517f60c0-037e-4f36-be33-695527b4ff46 */ /* #REF1546# */
    ' 		This.RtsEnter_PROTECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE then
    ' /* #REF123# */
    ' 	/* e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1 IDLE */
    '   ThisState := "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IDLE */
    ' 		/* standard */
    ' 		This.RtsExit_IDLE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"72b71a38-0193-46bc-8ff7-a6cbdd14b057",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ee8f38d7-bff6-456d-804c-212173a35fb2 */  nullstat;/*##END ee8f38d7-bff6-456d-804c-212173a35fb2 */ /* #REF1546# */
    ' 		This.RtsEnter_UNPROTECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING then
    ' /* #REF123# */
    ' 	/* 7ce5aa6f-4204-48f0-8306-76a724f45ac9 WAITING */
    '   ThisState := "7ce5aa6f-4204-48f0-8306-76a724f45ac9";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8601ec2d-8460-4560-9f9a-f43b8810a46f",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 32309556-ed1a-4daa-a024-39be12a36172 */  nullstat;/*##END 32309556-ed1a-4daa-a024-39be12a36172 */ /* #REF1546# */
    ' 		This.RtsEnter_IDLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING then
    ' /* #REF123# */
    ' 	/* 7ce5aa6f-4204-48f0-8306-76a724f45ac9 WAITING */
    '   ThisState := "7ce5aa6f-4204-48f0-8306-76a724f45ac9";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"dea46de0-e97c-4b3b-a0d8-d5cc4582d3af",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT a1b34df5-98ca-42bc-b20e-56a2b3f50d42 */  nullstat;/*##END a1b34df5-98ca-42bc-b20e-56a2b3f50d42 */ /* #REF1546# */
    ' 		This.RtsEnter_PROTECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING then
    ' /* #REF123# */
    ' 	/* 7ce5aa6f-4204-48f0-8306-76a724f45ac9 WAITING */
    '   ThisState := "7ce5aa6f-4204-48f0-8306-76a724f45ac9";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"41a7183b-5542-474e-9b16-44b20b327516",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT d61723f2-a956-4af2-8b02-f1fdf6bb53a9 */  nullstat;/*##END d61723f2-a956-4af2-8b02-f1fdf6bb53a9 */ /* #REF1546# */
    ' 		This.RtsEnter_UNPROTECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA then
    ' /* #REF123# */
    ' 	/* 802976b7-fc62-497a-8bd9-0d2363b5df49 NO_OBSTACLE_IN_CONFLICT_AREA */
    '   ThisState := "802976b7-fc62-497a-8bd9-0d2363b5df49";
    ' 	if /* #REF2000# *//*##STRT 3fd70dac-ddce-4c43-b6c5-7c5f76f7d702 */ ( D109in_Con_Use_Obstacle_Detection )/*##END 3fd70dac-ddce-4c43-b6c5-7c5f76f7d702 */  and /* #REF2001# */ SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_OBSTACLE_IN_CONFLICT_AREA */
    ' 		/* standard */
    ' 		This.RtsExit_NO_OBSTACLE_IN_CONFLICT_AREA();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"5c3a9974-16ac-4726-be8b-92eb52df3e52",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT c8b0c67a-ee06-40c9-b126-955803211b45 */  nullstat;/*##END c8b0c67a-ee06-40c9-b126-955803211b45 */ /* #REF1546# */
    ' 		This.RtsEnter_OBSTACLE_IN_CONFLICT_AREA();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA then
    ' /* #REF123# */
    ' 	/* 5e35d335-680c-410d-a7ec-4d5382de5dd4 OBSTACLE_IN_CONFLICT_AREA */
    '   ThisState := "5e35d335-680c-410d-a7ec-4d5382de5dd4";
    ' 	if /* #REF2000# *//*##STRT 01a2614d-f3d9-4fb6-8ede-3b329fd7ffc4 */ ( D109in_Con_Use_Obstacle_Detection )/*##END 01a2614d-f3d9-4fb6-8ede-3b329fd7ffc4 */  and /* #REF2001# */ SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_OBSTACLE_IN_CONFLICT_AREA */
    ' 		/* standard */
    ' 		This.RtsExit_OBSTACLE_IN_CONFLICT_AREA();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e247ec0c-57f8-41e8-96b8-70ba3e8ac140",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3b3cb29c-ff99-48bf-8ec7-a3d6630bb42a */  nullstat;/*##END 3b3cb29c-ff99-48bf-8ec7-a3d6630bb42a */ /* #REF1546# */
    ' 		This.RtsEnter_NO_OBSTACLE_IN_CONFLICT_AREA();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1 then
    ' /* #REF123# */
    ' 	/* b2ceb386-d400-4a50-93ae-1a2f7a86cb6b WAITING_1 */
    '   ThisState := "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b";
    ' 	if /* #REF2000# *//*##STRT bb245f3f-3d41-47a6-a870-6a7c8a698e60 */ ( D109in_Con_Use_Obstacle_Detection )/*##END bb245f3f-3d41-47a6-a870-6a7c8a698e60 */  and /* #REF2001# */ SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_1 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"7015c053-6dbf-43d6-b8ca-4aabb30c33b0",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3fd6bb98-04df-4143-875e-b04ba99dfd79 */  nullstat;/*##END 3fd6bb98-04df-4143-875e-b04ba99dfd79 */ /* #REF1546# */
    ' 		This.RtsEnter_OBSTACLE_IN_CONFLICT_AREA();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1 then
    ' /* #REF123# */
    ' 	/* b2ceb386-d400-4a50-93ae-1a2f7a86cb6b WAITING_1 */
    '   ThisState := "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b";
    ' 	if /* #REF2000# *//*##STRT ccfd298b-84a6-4fa2-a503-574052adf9d7 */ ( D109in_Con_Use_Obstacle_Detection )/*##END ccfd298b-84a6-4fa2-a503-574052adf9d7 */  and /* #REF2001# */ SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_1 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"314cf229-48a8-45fa-9a7b-c0783d5a78c3",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 81b0f2df-aee6-41bd-b1fd-412bebba97c2 */  nullstat;/*##END 81b0f2df-aee6-41bd-b1fd-412bebba97c2 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_OBSTACLE_IN_CONFLICT_AREA();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED then
    ' /* #REF123# */
    ' 	/* fba6ce5d-0c82-44ea-8a35-0aac10896646 NO_FAILURE_DETECTED */
    '   ThisState := "fba6ce5d-0c82-44ea-8a35-0aac10896646";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_FAILURE_DETECTED */
    ' 		/* standard */
    ' 		This.RtsExit_NO_FAILURE_DETECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"1c25d060-74c9-467c-b3f0-b6b58ad9e9ae",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 93a4a6d0-2312-4e89-b247-db6390fff5a4 */  nullstat;/*##END 93a4a6d0-2312-4e89-b247-db6390fff5a4 */ /* #REF1546# */
    ' 		This.RtsEnter_FAILURE_DETECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED then
    ' /* #REF123# */
    ' 	/* ae094529-37d0-467e-ab7f-01f2c4947262 FAILURE_DETECTED */
    '   ThisState := "ae094529-37d0-467e-ab7f-01f2c4947262";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_FAILURE_DETECTED */
    ' 		/* standard */
    ' 		This.RtsExit_FAILURE_DETECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"54290180-3f18-4dd9-a179-d20c358aae22",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT fab0e585-2ed4-4fb8-8244-b2c24d2638f7 */  nullstat;/*##END fab0e585-2ed4-4fb8-8244-b2c24d2638f7 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_FAILURE_DETECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2 then
    ' /* #REF123# */
    ' 	/* d85d02b5-f7b7-4151-bf30-e55ae84b13a5 WAITING_2 */
    '   ThisState := "d85d02b5-f7b7-4151-bf30-e55ae84b13a5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_2 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_2();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"47a24c52-d9db-4800-b92a-61366b6d5801",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 7240e703-1741-4d0e-8124-83b965f6f0fe */  nullstat;/*##END 7240e703-1741-4d0e-8124-83b965f6f0fe */ /* #REF1546# */
    ' 		This.RtsEnter_FAILURE_DETECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2 then
    ' /* #REF123# */
    ' 	/* d85d02b5-f7b7-4151-bf30-e55ae84b13a5 WAITING_2 */
    '   ThisState := "d85d02b5-f7b7-4151-bf30-e55ae84b13a5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_2 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_2();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6446236f-082d-4139-88a5-ccbd52d35db9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 6e84c8ad-5e38-46c2-861a-7f0262a4b332 */  nullstat;/*##END 6e84c8ad-5e38-46c2-861a-7f0262a4b332 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_FAILURE_DETECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2 then
    ' /* #REF123# */
    ' 	/* 9c5415ab-5513-4178-8442-4e164a5d8ae0 MONITORING_PARAMETER_SET_2 */
    '   ThisState := "9c5415ab-5513-4178-8442-4e164a5d8ae0";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg18, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_MONITORING_PARAMETER_SET_2 */
    ' 		/* standard */
    ' 		This.RtsExit_MONITORING_PARAMETER_SET_2();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e52a087c-efed-49f2-b385-434a9fe80c44",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 76b2a62a-d3f2-42dd-921a-aa40065dd084 */  nullstat;/*##END 76b2a62a-d3f2-42dd-921a-aa40065dd084 */ /* #REF1546# */
    ' 		This.RtsEnter_MONITORING_PARAMETER_SET_1();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1 then
    ' /* #REF123# */
    ' 	/* 10226120-02d7-423e-8971-2554b95c461e MONITORING_PARAMETER_SET_1 */
    '   ThisState := "10226120-02d7-423e-8971-2554b95c461e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg19, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_MONITORING_PARAMETER_SET_1 */
    ' 		/* standard */
    ' 		This.RtsExit_MONITORING_PARAMETER_SET_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"869ce920-a1b2-48bd-a88c-713653116a75",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 0cbf22a0-b84a-494a-b9fd-b52eb87d577c */  nullstat;/*##END 0cbf22a0-b84a-494a-b9fd-b52eb87d577c */ /* #REF1546# */
    ' 		This.RtsEnter_MONITORING_PARAMETER_SET_2();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_Observe_LCPF =  /* #REF121d# */ RtsF_Observe_LCPF_States{enum_datatype}.RtsF_Observe_LCPF_States_NotIn_F_Observe_LCPF then
    ' /* #REF123# */
    ' 	/* 035de67b-e682-46cf-851a-646e24d2587a Initial0 */
    '   ThisState := "035de67b-e682-46cf-851a-646e24d2587a";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"035de67b-e682-46cf-851a-646e24d2587a",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"035de67b-e682-46cf-851a-646e24d2587a",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"aa70a129-9b87-41a9-8062-5e58a68f7a05",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT b5ef8d9a-407a-4211-bcf1-49c0594cd63c */  nullstat;/*##END b5ef8d9a-407a-4211-bcf1-49c0594cd63c */ /* #REF1546# */
    ' 	This.RtsDefault_OBSERVE_LCPF();/* #REF1587# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED Then
        ThisState = "1431a92f-5840-4a27-90d7-661b4825165e"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_UNPROTECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "71cb25b4-bb6d-43f4-b563-2bd6d2ec9af0", 0, NullString)
          Me.RtsEnter_IDLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED Then
        ThisState = "1431a92f-5840-4a27-90d7-661b4825165e"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_UNPROTECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d4737512-5c7d-4707-9a49-b6af2bd16b86", 0, NullString)
          Me.RtsEnter_PROTECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED Then
        ThisState = "a59baf02-2f20-43c5-82d7-3e7f21dab024"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_PROTECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "40f5f34b-3686-4547-adb0-9b8840dd9e27", 0, NullString)
          Me.RtsEnter_IDLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED Then
        ThisState = "a59baf02-2f20-43c5-82d7-3e7f21dab024"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_PROTECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "141a8729-da7f-4445-ab60-b07ff750e912", 0, NullString)
          Me.RtsEnter_UNPROTECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE Then
        ThisState = "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IDLE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "9f8ea5b6-6269-44b7-9347-a2a1d70ff12a", 0, NullString)
          Me.RtsEnter_PROTECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE Then
        ThisState = "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IDLE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "72b71a38-0193-46bc-8ff7-a6cbdd14b057", 0, NullString)
          Me.RtsEnter_UNPROTECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING Then
        ThisState = "7ce5aa6f-4204-48f0-8306-76a724f45ac9"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8601ec2d-8460-4560-9f9a-f43b8810a46f", 0, NullString)
          Me.RtsEnter_IDLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING Then
        ThisState = "7ce5aa6f-4204-48f0-8306-76a724f45ac9"
        If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "dea46de0-e97c-4b3b-a0d8-d5cc4582d3af", 0, NullString)
          Me.RtsEnter_PROTECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING Then
        ThisState = "7ce5aa6f-4204-48f0-8306-76a724f45ac9"
        If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "41a7183b-5542-474e-9b16-44b20b327516", 0, NullString)
          Me.RtsEnter_UNPROTECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA Then
        ThisState = "802976b7-fc62-497a-8bd9-0d2363b5df49"
        If (D109in_Con_Use_Obstacle_Detection.GetLatchedValue()) And SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NO_OBSTACLE_IN_CONFLICT_AREA()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "5c3a9974-16ac-4726-be8b-92eb52df3e52", 0, NullString)
          Me.RtsEnter_OBSTACLE_IN_CONFLICT_AREA()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA Then
        ThisState = "5e35d335-680c-410d-a7ec-4d5382de5dd4"
        If (D109in_Con_Use_Obstacle_Detection.GetLatchedValue()) And SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) Then
          Me.RtsExit_OBSTACLE_IN_CONFLICT_AREA()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e247ec0c-57f8-41e8-96b8-70ba3e8ac140", 0, NullString)
          Me.RtsEnter_NO_OBSTACLE_IN_CONFLICT_AREA()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1 Then
        ThisState = "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b"
        If (D109in_Con_Use_Obstacle_Detection.GetLatchedValue()) And SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "7015c053-6dbf-43d6-b8ca-4aabb30c33b0", 0, NullString)
          Me.RtsEnter_OBSTACLE_IN_CONFLICT_AREA()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1 Then
        ThisState = "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b"
        If (D109in_Con_Use_Obstacle_Detection.GetLatchedValue()) And SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "314cf229-48a8-45fa-9a7b-c0783d5a78c3", 0, NullString)
          Me.RtsEnter_NO_OBSTACLE_IN_CONFLICT_AREA()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED Then
        ThisState = "fba6ce5d-0c82-44ea-8a35-0aac10896646"
        If SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NO_FAILURE_DETECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "1c25d060-74c9-467c-b3f0-b6b58ad9e9ae", 0, NullString)
          Me.RtsEnter_FAILURE_DETECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED Then
        ThisState = "ae094529-37d0-467e-ab7f-01f2c4947262"
        If SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) Then
          Me.RtsExit_FAILURE_DETECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "54290180-3f18-4dd9-a179-d20c358aae22", 0, NullString)
          Me.RtsEnter_NO_FAILURE_DETECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2 Then
        ThisState = "d85d02b5-f7b7-4151-bf30-e55ae84b13a5"
        If SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_2()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "47a24c52-d9db-4800-b92a-61366b6d5801", 0, NullString)
          Me.RtsEnter_FAILURE_DETECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2 Then
        ThisState = "d85d02b5-f7b7-4151-bf30-e55ae84b13a5"
        If SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_2()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6446236f-082d-4139-88a5-ccbd52d35db9", 0, NullString)
          Me.RtsEnter_NO_FAILURE_DETECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2 Then
        ThisState = "9c5415ab-5513-4178-8442-4e164a5d8ae0"
        If SenseTrigger(ChgFlg18, ChangeEventsActive, ThisState) Then
          Me.RtsExit_MONITORING_PARAMETER_SET_2()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e52a087c-efed-49f2-b385-434a9fe80c44", 0, NullString)
          Me.RtsEnter_MONITORING_PARAMETER_SET_1()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1 Then
        ThisState = "10226120-02d7-423e-8971-2554b95c461e"
        If SenseTrigger(ChgFlg19, ChangeEventsActive, ThisState) Then
          Me.RtsExit_MONITORING_PARAMETER_SET_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "869ce920-a1b2-48bd-a88c-713653116a75", 0, NullString)
          Me.RtsEnter_MONITORING_PARAMETER_SET_2()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_Observe_LCPF = RtsF_Observe_LCPF_States.RtsF_Observe_LCPF_States_NotIn_F_Observe_LCPF Then
        ThisState = "035de67b-e682-46cf-851a-646e24d2587a"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "035de67b-e682-46cf-851a-646e24d2587a", 0, NullString)
        RtsNotify(Me, SEXIT, "035de67b-e682-46cf-851a-646e24d2587a", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "aa70a129-9b87-41a9-8062-5e58a68f7a05", 0, NullString)
        Me.RtsDefault_OBSERVE_LCPF()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "fc5c7c5f-4e05-493e-9bd2-3fcb88d0305d", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_Observe_LCPF := RtsF_Observe_LCPF_States{enum_datatype}.RtsF_Observe_LCPF_States_NotIn_F_Observe_LCPF;/* #REF1566# */
    ' This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_NotIn_OBSERVE_LCPF_PROTECTION_STATE;/* #REF1566# */
    ' This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NotIn_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE;/* #REF1566# */
    ' This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NotIn_OBSERVE_LCPF_FAILURE_STATE;/* #REF1566# */
    ' This.RtsCurrent_OBSERVE_MONITORING_STATUS := RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_NotIn_OBSERVE_MONITORING_STATUS;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "fc5c7c5f-4e05-493e-9bd2-3fcb88d0305d", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_Observe_LCPF = RtsF_Observe_LCPF_States.RtsF_Observe_LCPF_States_NotIn_F_Observe_LCPF
      Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_NotIn_OBSERVE_LCPF_PROTECTION_STATE
      Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NotIn_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE
      Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NotIn_OBSERVE_LCPF_FAILURE_STATE
      Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_NotIn_OBSERVE_MONITORING_STATUS
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|") then
    '   OperatedStates := OperatedStates + "90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OBSERVE_LCPF ///* #REF520# */
    ' RtsNotify(This,SENTER,"90bcbc11-4f83-4e9a-b625-c4d35a9b2e00",0,NullString);
    ' 
    ' SimCore.EnterState("90bcbc11-4f83-4e9a-b625-c4d35a9b2e00","OBSERVE_LCPF");
    ' 
    ' This.RtsCurrent_F_Observe_LCPF := RtsF_Observe_LCPF_States{enum_datatype}.RtsF_Observe_LCPF_States_OBSERVE_LCPF;/* #REF521# */
    ' 
    Private Sub RtsEnter_OBSERVE_LCPF()
      If not OperatedStates.Contains("90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|") Then
        OperatedStates = OperatedStates + "90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|"
      End If
      'Simulation support : Notification function call for entering state : OBSERVE_LCPF ///* #REF520# */
      RtsNotify(Me, SENTER, "90bcbc11-4f83-4e9a-b625-c4d35a9b2e00", 0, NullString)
      SimCore.EnterState("90bcbc11-4f83-4e9a-b625-c4d35a9b2e00", "OBSERVE_LCPF")
      Me.RtsCurrent_F_Observe_LCPF = RtsF_Observe_LCPF_States.RtsF_Observe_LCPF_States_OBSERVE_LCPF
    End Sub
    
    ' \ART_SMG :: Created for state : UNPROTECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("1431a92f-5840-4a27-90d7-661b4825165e|") then
    '   OperatedStates := OperatedStates + "1431a92f-5840-4a27-90d7-661b4825165e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : UNPROTECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"1431a92f-5840-4a27-90d7-661b4825165e",0,NullString);
    ' 
    ' SimCore.EnterState("1431a92f-5840-4a27-90d7-661b4825165e","OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::UNPROTECTED");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT a3cd312b-eefb-400f-9a39-5e7c15278cac */  d3out_LCPF_Protection_State := "Unprotected"; nullstat;/*##END a3cd312b-eefb-400f-9a39-5e7c15278cac */ 
    Private Sub RtsEnter_UNPROTECTED()
      If not OperatedStates.Contains("1431a92f-5840-4a27-90d7-661b4825165e|") Then
        OperatedStates = OperatedStates + "1431a92f-5840-4a27-90d7-661b4825165e|"
      End If
      'Simulation support : Notification function call for entering state : UNPROTECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "1431a92f-5840-4a27-90d7-661b4825165e", 0, NullString)
      SimCore.EnterState("1431a92f-5840-4a27-90d7-661b4825165e", "OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::UNPROTECTED")
      Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED
      'Entry Actions
      d3out_LCPF_Protection_State.SetValue("Unprotected")
    End Sub
    
    ' \ART_SMG :: Created for state : PROTECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a59baf02-2f20-43c5-82d7-3e7f21dab024|") then
    '   OperatedStates := OperatedStates + "a59baf02-2f20-43c5-82d7-3e7f21dab024|";
    ' end if
    ' // Simulation support : Notification function call for entering state : PROTECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"a59baf02-2f20-43c5-82d7-3e7f21dab024",0,NullString);
    ' 
    ' SimCore.EnterState("a59baf02-2f20-43c5-82d7-3e7f21dab024","OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::PROTECTED");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT d2bba4d1-f01a-4a79-962f-7fc7cf29d949 */  d3out_LCPF_Protection_State := "Protected"; nullstat;/*##END d2bba4d1-f01a-4a79-962f-7fc7cf29d949 */ 
    Private Sub RtsEnter_PROTECTED()
      If not OperatedStates.Contains("a59baf02-2f20-43c5-82d7-3e7f21dab024|") Then
        OperatedStates = OperatedStates + "a59baf02-2f20-43c5-82d7-3e7f21dab024|"
      End If
      'Simulation support : Notification function call for entering state : PROTECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "a59baf02-2f20-43c5-82d7-3e7f21dab024", 0, NullString)
      SimCore.EnterState("a59baf02-2f20-43c5-82d7-3e7f21dab024", "OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::PROTECTED")
      Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED
      'Entry Actions
      d3out_LCPF_Protection_State.SetValue("Protected")
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|") then
    '   OperatedStates := OperatedStates + "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|";
    ' end if
    ' // Simulation support : Notification function call for entering state : IDLE ///* #REF520# */
    ' RtsNotify(This,SENTER,"e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1",0,NullString);
    ' 
    ' SimCore.EnterState("e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1","OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::IDLE");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT f6dfbe3b-31b3-49cb-bd85-77355ef68a6b */  d3out_LCPF_Protection_State := "Idle"; nullstat;/*##END f6dfbe3b-31b3-49cb-bd85-77355ef68a6b */ 
    Private Sub RtsEnter_IDLE()
      If not OperatedStates.Contains("e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|") Then
        OperatedStates = OperatedStates + "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|"
      End If
      'Simulation support : Notification function call for entering state : IDLE ///* #REF520# */
      RtsNotify(Me, SENTER, "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1", 0, NullString)
      SimCore.EnterState("e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1", "OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::IDLE")
      Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE
      'Entry Actions
      d3out_LCPF_Protection_State.SetValue("Idle")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7ce5aa6f-4204-48f0-8306-76a724f45ac9|") then
    '   OperatedStates := OperatedStates + "7ce5aa6f-4204-48f0-8306-76a724f45ac9|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"7ce5aa6f-4204-48f0-8306-76a724f45ac9",0,NullString);
    ' 
    ' SimCore.EnterState("7ce5aa6f-4204-48f0-8306-76a724f45ac9","OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::WAITING");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING()
      If not OperatedStates.Contains("7ce5aa6f-4204-48f0-8306-76a724f45ac9|") Then
        OperatedStates = OperatedStates + "7ce5aa6f-4204-48f0-8306-76a724f45ac9|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "7ce5aa6f-4204-48f0-8306-76a724f45ac9", 0, NullString)
      SimCore.EnterState("7ce5aa6f-4204-48f0-8306-76a724f45ac9", "OBSERVE_LCPF::OBSERVE_LCPF_PROTECTION_STATE::WAITING")
      Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING
    End Sub
    
    ' \ART_SMG :: Created for state : NO_OBSTACLE_IN_CONFLICT_AREA
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("802976b7-fc62-497a-8bd9-0d2363b5df49|") then
    '   OperatedStates := OperatedStates + "802976b7-fc62-497a-8bd9-0d2363b5df49|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_OBSTACLE_IN_CONFLICT_AREA ///* #REF520# */
    ' RtsNotify(This,SENTER,"802976b7-fc62-497a-8bd9-0d2363b5df49",0,NullString);
    ' 
    ' SimCore.EnterState("802976b7-fc62-497a-8bd9-0d2363b5df49","OBSERVE_LCPF::OBSERVE_LCPF_OBSTACLE_DETECTION_STATE::NO_OBSTACLE_IN_CONFLICT_AREA");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 1e60f658-bba7-4a3d-8d91-2f7dd8c73018 */  d4out_Obstacle_Detection_Status := "No obstacle in the conflict area"; nullstat;/*##END 1e60f658-bba7-4a3d-8d91-2f7dd8c73018 */ 
    Private Sub RtsEnter_NO_OBSTACLE_IN_CONFLICT_AREA()
      If not OperatedStates.Contains("802976b7-fc62-497a-8bd9-0d2363b5df49|") Then
        OperatedStates = OperatedStates + "802976b7-fc62-497a-8bd9-0d2363b5df49|"
      End If
      'Simulation support : Notification function call for entering state : NO_OBSTACLE_IN_CONFLICT_AREA ///* #REF520# */
      RtsNotify(Me, SENTER, "802976b7-fc62-497a-8bd9-0d2363b5df49", 0, NullString)
      SimCore.EnterState("802976b7-fc62-497a-8bd9-0d2363b5df49", "OBSERVE_LCPF::OBSERVE_LCPF_OBSTACLE_DETECTION_STATE::NO_OBSTACLE_IN_CONFLICT_AREA")
      Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA
      'Entry Actions
      d4out_Obstacle_Detection_Status.SetValue("No obstacle in the conflict area")
    End Sub
    
    ' \ART_SMG :: Created for state : OBSTACLE_IN_CONFLICT_AREA
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5e35d335-680c-410d-a7ec-4d5382de5dd4|") then
    '   OperatedStates := OperatedStates + "5e35d335-680c-410d-a7ec-4d5382de5dd4|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OBSTACLE_IN_CONFLICT_AREA ///* #REF520# */
    ' RtsNotify(This,SENTER,"5e35d335-680c-410d-a7ec-4d5382de5dd4",0,NullString);
    ' 
    ' SimCore.EnterState("5e35d335-680c-410d-a7ec-4d5382de5dd4","OBSERVE_LCPF::OBSERVE_LCPF_OBSTACLE_DETECTION_STATE::OBSTACLE_IN_CONFLICT_AREA");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 9e64b87e-2a60-4c9a-9dfd-de505935dabe */  d4out_Obstacle_Detection_Status := "Obstacle detected in the conflict area"; nullstat;/*##END 9e64b87e-2a60-4c9a-9dfd-de505935dabe */ 
    Private Sub RtsEnter_OBSTACLE_IN_CONFLICT_AREA()
      If not OperatedStates.Contains("5e35d335-680c-410d-a7ec-4d5382de5dd4|") Then
        OperatedStates = OperatedStates + "5e35d335-680c-410d-a7ec-4d5382de5dd4|"
      End If
      'Simulation support : Notification function call for entering state : OBSTACLE_IN_CONFLICT_AREA ///* #REF520# */
      RtsNotify(Me, SENTER, "5e35d335-680c-410d-a7ec-4d5382de5dd4", 0, NullString)
      SimCore.EnterState("5e35d335-680c-410d-a7ec-4d5382de5dd4", "OBSERVE_LCPF::OBSERVE_LCPF_OBSTACLE_DETECTION_STATE::OBSTACLE_IN_CONFLICT_AREA")
      Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA
      'Entry Actions
      d4out_Obstacle_Detection_Status.SetValue("Obstacle detected in the conflict area")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|") then
    '   OperatedStates := OperatedStates + "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"b2ceb386-d400-4a50-93ae-1a2f7a86cb6b",0,NullString);
    ' 
    ' SimCore.EnterState("b2ceb386-d400-4a50-93ae-1a2f7a86cb6b","OBSERVE_LCPF::OBSERVE_LCPF_OBSTACLE_DETECTION_STATE::WAITING");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_1()
      If not OperatedStates.Contains("b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|") Then
        OperatedStates = OperatedStates + "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b", 0, NullString)
      SimCore.EnterState("b2ceb386-d400-4a50-93ae-1a2f7a86cb6b", "OBSERVE_LCPF::OBSERVE_LCPF_OBSTACLE_DETECTION_STATE::WAITING")
      Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1
    End Sub
    
    ' \ART_SMG :: Created for state : NO_FAILURE_DETECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("fba6ce5d-0c82-44ea-8a35-0aac10896646|") then
    '   OperatedStates := OperatedStates + "fba6ce5d-0c82-44ea-8a35-0aac10896646|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"fba6ce5d-0c82-44ea-8a35-0aac10896646",0,NullString);
    ' 
    ' SimCore.EnterState("fba6ce5d-0c82-44ea-8a35-0aac10896646","OBSERVE_LCPF::OBSERVE_LCPF_FAILURE_STATE::NO_FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 8c3072f9-d19f-4d6b-a035-7749b32a7343 */  d74out_LCPF_Failure_State := "No failure present"; nullstat;/*##END 8c3072f9-d19f-4d6b-a035-7749b32a7343 */ 
    Private Sub RtsEnter_NO_FAILURE_DETECTED()
      If not OperatedStates.Contains("fba6ce5d-0c82-44ea-8a35-0aac10896646|") Then
        OperatedStates = OperatedStates + "fba6ce5d-0c82-44ea-8a35-0aac10896646|"
      End If
      'Simulation support : Notification function call for entering state : NO_FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "fba6ce5d-0c82-44ea-8a35-0aac10896646", 0, NullString)
      SimCore.EnterState("fba6ce5d-0c82-44ea-8a35-0aac10896646", "OBSERVE_LCPF::OBSERVE_LCPF_FAILURE_STATE::NO_FAILURE_DETECTED")
      Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED
      'Entry Actions
      d74out_LCPF_Failure_State.SetValue("No failure present")
    End Sub
    
    ' \ART_SMG :: Created for state : FAILURE_DETECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ae094529-37d0-467e-ab7f-01f2c4947262|") then
    '   OperatedStates := OperatedStates + "ae094529-37d0-467e-ab7f-01f2c4947262|";
    ' end if
    ' // Simulation support : Notification function call for entering state : FAILURE_DETECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"ae094529-37d0-467e-ab7f-01f2c4947262",0,NullString);
    ' 
    ' SimCore.EnterState("ae094529-37d0-467e-ab7f-01f2c4947262","OBSERVE_LCPF::OBSERVE_LCPF_FAILURE_STATE::FAILURE_DETECTED");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 6cd5046e-f7e0-4864-991d-32bec02d26cf */  d74out_LCPF_Failure_State := "Failure present"; nullstat;/*##END 6cd5046e-f7e0-4864-991d-32bec02d26cf */ 
    Private Sub RtsEnter_FAILURE_DETECTED()
      If not OperatedStates.Contains("ae094529-37d0-467e-ab7f-01f2c4947262|") Then
        OperatedStates = OperatedStates + "ae094529-37d0-467e-ab7f-01f2c4947262|"
      End If
      'Simulation support : Notification function call for entering state : FAILURE_DETECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "ae094529-37d0-467e-ab7f-01f2c4947262", 0, NullString)
      SimCore.EnterState("ae094529-37d0-467e-ab7f-01f2c4947262", "OBSERVE_LCPF::OBSERVE_LCPF_FAILURE_STATE::FAILURE_DETECTED")
      Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED
      'Entry Actions
      d74out_LCPF_Failure_State.SetValue("Failure present")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_2
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d85d02b5-f7b7-4151-bf30-e55ae84b13a5|") then
    '   OperatedStates := OperatedStates + "d85d02b5-f7b7-4151-bf30-e55ae84b13a5|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"d85d02b5-f7b7-4151-bf30-e55ae84b13a5",0,NullString);
    ' 
    ' SimCore.EnterState("d85d02b5-f7b7-4151-bf30-e55ae84b13a5","OBSERVE_LCPF::OBSERVE_LCPF_FAILURE_STATE::WAITING");
    ' 
    ' This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_2()
      If not OperatedStates.Contains("d85d02b5-f7b7-4151-bf30-e55ae84b13a5|") Then
        OperatedStates = OperatedStates + "d85d02b5-f7b7-4151-bf30-e55ae84b13a5|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "d85d02b5-f7b7-4151-bf30-e55ae84b13a5", 0, NullString)
      SimCore.EnterState("d85d02b5-f7b7-4151-bf30-e55ae84b13a5", "OBSERVE_LCPF::OBSERVE_LCPF_FAILURE_STATE::WAITING")
      Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2
    End Sub
    
    ' \ART_SMG :: Created for state : MONITORING_PARAMETER_SET_2
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9c5415ab-5513-4178-8442-4e164a5d8ae0|") then
    '   OperatedStates := OperatedStates + "9c5415ab-5513-4178-8442-4e164a5d8ae0|";
    ' end if
    ' // Simulation support : Notification function call for entering state : MONITORING_PARAMETER_SET_2 ///* #REF520# */
    ' RtsNotify(This,SENTER,"9c5415ab-5513-4178-8442-4e164a5d8ae0",0,NullString);
    ' 
    ' SimCore.EnterState("9c5415ab-5513-4178-8442-4e164a5d8ae0","OBSERVE_LCPF::OBSERVE_MONITORING_STATUS::MONITORING_PARAMETER_SET_2");
    ' 
    ' This.RtsCurrent_OBSERVE_MONITORING_STATUS := RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT ead88932-b4a9-49d9-8c49-871f0bdaf026 */  d9out_Changed_Monitoring_State := "Monitoring Parameter Set 2"; nullstat;/*##END ead88932-b4a9-49d9-8c49-871f0bdaf026 */ 
    Private Sub RtsEnter_MONITORING_PARAMETER_SET_2()
      If not OperatedStates.Contains("9c5415ab-5513-4178-8442-4e164a5d8ae0|") Then
        OperatedStates = OperatedStates + "9c5415ab-5513-4178-8442-4e164a5d8ae0|"
      End If
      'Simulation support : Notification function call for entering state : MONITORING_PARAMETER_SET_2 ///* #REF520# */
      RtsNotify(Me, SENTER, "9c5415ab-5513-4178-8442-4e164a5d8ae0", 0, NullString)
      SimCore.EnterState("9c5415ab-5513-4178-8442-4e164a5d8ae0", "OBSERVE_LCPF::OBSERVE_MONITORING_STATUS::MONITORING_PARAMETER_SET_2")
      Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2
      'Entry Actions
      d9out_Changed_Monitoring_State.SetValue("Monitoring Parameter Set 2")
    End Sub
    
    ' \ART_SMG :: Created for state : MONITORING_PARAMETER_SET_1
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("10226120-02d7-423e-8971-2554b95c461e|") then
    '   OperatedStates := OperatedStates + "10226120-02d7-423e-8971-2554b95c461e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : MONITORING_PARAMETER_SET_1 ///* #REF520# */
    ' RtsNotify(This,SENTER,"10226120-02d7-423e-8971-2554b95c461e",0,NullString);
    ' 
    ' SimCore.EnterState("10226120-02d7-423e-8971-2554b95c461e","OBSERVE_LCPF::OBSERVE_MONITORING_STATUS::MONITORING_PARAMETER_SET_1");
    ' 
    ' This.RtsCurrent_OBSERVE_MONITORING_STATUS := RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 16037018-1efd-4e2a-87d1-33afb100afc8 */  d9out_Changed_Monitoring_State := "Monitoring Parameter Set 1"; nullstat;/*##END 16037018-1efd-4e2a-87d1-33afb100afc8 */ 
    Private Sub RtsEnter_MONITORING_PARAMETER_SET_1()
      If not OperatedStates.Contains("10226120-02d7-423e-8971-2554b95c461e|") Then
        OperatedStates = OperatedStates + "10226120-02d7-423e-8971-2554b95c461e|"
      End If
      'Simulation support : Notification function call for entering state : MONITORING_PARAMETER_SET_1 ///* #REF520# */
      RtsNotify(Me, SENTER, "10226120-02d7-423e-8971-2554b95c461e", 0, NullString)
      SimCore.EnterState("10226120-02d7-423e-8971-2554b95c461e", "OBSERVE_LCPF::OBSERVE_MONITORING_STATUS::MONITORING_PARAMETER_SET_1")
      Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1
      'Entry Actions
      d9out_Changed_Monitoring_State.SetValue("Monitoring Parameter Set 1")
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_Observe_LCPF = RtsF_Observe_LCPF_States{enum_datatype}.RtsF_Observe_LCPF_States_OBSERVE_LCPF then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OBSERVE_LCPF
    ' 	RtsNotify(This,SEXIT,"90bcbc11-4f83-4e9a-b625-c4d35a9b2e00",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OBSERVE_LCPF ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OBSERVE_LCPF()
      If Me.RtsCurrent_F_Observe_LCPF = RtsF_Observe_LCPF_States.RtsF_Observe_LCPF_States_OBSERVE_LCPF Then
        'Simulation support : Notification function call for exiting state : OBSERVE_LCPF
        RtsNotify(Me, SEXIT, "90bcbc11-4f83-4e9a-b625-c4d35a9b2e00", 0, NullString)
        RtsExitSSOf_OBSERVE_LCPF()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : UNPROTECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : UNPROTECTED
    ' 	RtsNotify(This,SEXIT,"1431a92f-5840-4a27-90d7-661b4825165e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_UNPROTECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_UNPROTECTED()
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED Then
        'Simulation support : Notification function call for exiting state : UNPROTECTED
        RtsNotify(Me, SEXIT, "1431a92f-5840-4a27-90d7-661b4825165e", 0, NullString)
        RtsExitSSOf_UNPROTECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : PROTECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : PROTECTED
    ' 	RtsNotify(This,SEXIT,"a59baf02-2f20-43c5-82d7-3e7f21dab024",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_PROTECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_PROTECTED()
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED Then
        'Simulation support : Notification function call for exiting state : PROTECTED
        RtsNotify(Me, SEXIT, "a59baf02-2f20-43c5-82d7-3e7f21dab024", 0, NullString)
        RtsExitSSOf_PROTECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : IDLE
    ' 	RtsNotify(This,SEXIT,"e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_IDLE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_IDLE()
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE Then
        'Simulation support : Notification function call for exiting state : IDLE
        RtsNotify(Me, SEXIT, "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1", 0, NullString)
        RtsExitSSOf_IDLE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"7ce5aa6f-4204-48f0-8306-76a724f45ac9",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING()
      If Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "7ce5aa6f-4204-48f0-8306-76a724f45ac9", 0, NullString)
        RtsExitSSOf_WAITING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_OBSTACLE_IN_CONFLICT_AREA
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_OBSTACLE_IN_CONFLICT_AREA
    ' 	RtsNotify(This,SEXIT,"802976b7-fc62-497a-8bd9-0d2363b5df49",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_OBSTACLE_IN_CONFLICT_AREA ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_OBSTACLE_IN_CONFLICT_AREA()
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA Then
        'Simulation support : Notification function call for exiting state : NO_OBSTACLE_IN_CONFLICT_AREA
        RtsNotify(Me, SEXIT, "802976b7-fc62-497a-8bd9-0d2363b5df49", 0, NullString)
        RtsExitSSOf_NO_OBSTACLE_IN_CONFLICT_AREA()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OBSTACLE_IN_CONFLICT_AREA
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OBSTACLE_IN_CONFLICT_AREA
    ' 	RtsNotify(This,SEXIT,"5e35d335-680c-410d-a7ec-4d5382de5dd4",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OBSTACLE_IN_CONFLICT_AREA ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OBSTACLE_IN_CONFLICT_AREA()
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA Then
        'Simulation support : Notification function call for exiting state : OBSTACLE_IN_CONFLICT_AREA
        RtsNotify(Me, SEXIT, "5e35d335-680c-410d-a7ec-4d5382de5dd4", 0, NullString)
        RtsExitSSOf_OBSTACLE_IN_CONFLICT_AREA()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"b2ceb386-d400-4a50-93ae-1a2f7a86cb6b",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_1()
      If Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1 Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b", 0, NullString)
        RtsExitSSOf_WAITING_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_FAILURE_DETECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"fba6ce5d-0c82-44ea-8a35-0aac10896646",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_FAILURE_DETECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_FAILURE_DETECTED()
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED Then
        'Simulation support : Notification function call for exiting state : NO_FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "fba6ce5d-0c82-44ea-8a35-0aac10896646", 0, NullString)
        RtsExitSSOf_NO_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : FAILURE_DETECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : FAILURE_DETECTED
    ' 	RtsNotify(This,SEXIT,"ae094529-37d0-467e-ab7f-01f2c4947262",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_FAILURE_DETECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_FAILURE_DETECTED()
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED Then
        'Simulation support : Notification function call for exiting state : FAILURE_DETECTED
        RtsNotify(Me, SEXIT, "ae094529-37d0-467e-ab7f-01f2c4947262", 0, NullString)
        RtsExitSSOf_FAILURE_DETECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_2
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"d85d02b5-f7b7-4151-bf30-e55ae84b13a5",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_2 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_2()
      If Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2 Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "d85d02b5-f7b7-4151-bf30-e55ae84b13a5", 0, NullString)
        RtsExitSSOf_WAITING_2()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITORING_PARAMETER_SET_2
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : MONITORING_PARAMETER_SET_2
    ' 	RtsNotify(This,SEXIT,"9c5415ab-5513-4178-8442-4e164a5d8ae0",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_MONITORING_PARAMETER_SET_2 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_MONITORING_PARAMETER_SET_2()
      If Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2 Then
        'Simulation support : Notification function call for exiting state : MONITORING_PARAMETER_SET_2
        RtsNotify(Me, SEXIT, "9c5415ab-5513-4178-8442-4e164a5d8ae0", 0, NullString)
        RtsExitSSOf_MONITORING_PARAMETER_SET_2()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITORING_PARAMETER_SET_1
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : MONITORING_PARAMETER_SET_1
    ' 	RtsNotify(This,SEXIT,"10226120-02d7-423e-8971-2554b95c461e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_MONITORING_PARAMETER_SET_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_MONITORING_PARAMETER_SET_1()
      If Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1 Then
        'Simulation support : Notification function call for exiting state : MONITORING_PARAMETER_SET_1
        RtsNotify(Me, SEXIT, "10226120-02d7-423e-8971-2554b95c461e", 0, NullString)
        RtsExitSSOf_MONITORING_PARAMETER_SET_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF_PROTECTION_STATE
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"516daac0-1e1f-4e45-9131-2ad63e0aab09",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"516daac0-1e1f-4e45-9131-2ad63e0aab09",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"952bcb44-ac29-48c0-89c7-9c7eaab9e4cc",0,NullString);/* #REF1585# */
    ' /*##STRT a3fc0c09-4f5e-4c66-992a-548b015b4cb4 */  nullstat;/*##END a3fc0c09-4f5e-4c66-992a-548b015b4cb4 */ /* #REF1546# */
    ' This.RtsEnter_WAITING();/* #REF1590# */
    ' 
    Private Sub RtsDefault_OBSERVE_LCPF_PROTECTION_STATE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "516daac0-1e1f-4e45-9131-2ad63e0aab09", 0, NullString)
      RtsNotify(Me, SEXIT, "516daac0-1e1f-4e45-9131-2ad63e0aab09", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "952bcb44-ac29-48c0-89c7-9c7eaab9e4cc", 0, NullString)
      Me.RtsEnter_WAITING()
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' This.RtsEnter_OBSERVE_LCPF();/* #REF1572# */
    ' This.RtsDefault_OBSERVE_LCPF_PROTECTION_STATE();/* #REF1573# */
    ' This.RtsDefault_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE();/* #REF1573# */
    ' This.RtsDefault_OBSERVE_LCPF_FAILURE_STATE();/* #REF1573# */
    ' This.RtsDefault_OBSERVE_MONITORING_STATUS();/* #REF1573# */
    ' 
    Private Sub RtsDefault_OBSERVE_LCPF()
      Me.RtsEnter_OBSERVE_LCPF()
      Me.RtsDefault_OBSERVE_LCPF_PROTECTION_STATE()
      Me.RtsDefault_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE()
      Me.RtsDefault_OBSERVE_LCPF_FAILURE_STATE()
      Me.RtsDefault_OBSERVE_MONITORING_STATUS()
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF_OBSTACLE_DETECTION_STATE
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"fa831e51-880b-4c80-8e96-f4fe90da2a47",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"fa831e51-880b-4c80-8e96-f4fe90da2a47",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"635fd715-d166-4db1-85d6-05be0a70b35b",0,NullString);/* #REF1585# */
    ' /*##STRT 87df3468-9b0b-4463-9496-de60d6b0df86 */  nullstat;/*##END 87df3468-9b0b-4463-9496-de60d6b0df86 */ /* #REF1546# */
    ' This.RtsEnter_WAITING_1();/* #REF1590# */
    ' 
    Private Sub RtsDefault_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "fa831e51-880b-4c80-8e96-f4fe90da2a47", 0, NullString)
      RtsNotify(Me, SEXIT, "fa831e51-880b-4c80-8e96-f4fe90da2a47", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "635fd715-d166-4db1-85d6-05be0a70b35b", 0, NullString)
      Me.RtsEnter_WAITING_1()
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF_FAILURE_STATE
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"23aef398-5af9-49a1-bff2-5a0674cef65f",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"23aef398-5af9-49a1-bff2-5a0674cef65f",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"a23cef8c-1dc1-47d5-a869-87a683b1b5cc",0,NullString);/* #REF1585# */
    ' /*##STRT 456a224b-c5af-423b-9b7c-85905395483d */  nullstat;/*##END 456a224b-c5af-423b-9b7c-85905395483d */ /* #REF1546# */
    ' This.RtsEnter_WAITING_2();/* #REF1590# */
    ' 
    Private Sub RtsDefault_OBSERVE_LCPF_FAILURE_STATE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "23aef398-5af9-49a1-bff2-5a0674cef65f", 0, NullString)
      RtsNotify(Me, SEXIT, "23aef398-5af9-49a1-bff2-5a0674cef65f", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "a23cef8c-1dc1-47d5-a869-87a683b1b5cc", 0, NullString)
      Me.RtsEnter_WAITING_2()
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_MONITORING_STATUS
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"e2e00a11-88ce-4f52-bbbc-4e6fb9b7648c",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"e2e00a11-88ce-4f52-bbbc-4e6fb9b7648c",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"f628577f-0b21-4683-ab81-78928049a207",0,NullString);/* #REF1585# */
    ' /*##STRT 8e909c24-ca4c-4a31-ba19-45dbbc5b03d3 */  nullstat;/*##END 8e909c24-ca4c-4a31-ba19-45dbbc5b03d3 */ /* #REF1546# */
    ' This.RtsEnter_MONITORING_PARAMETER_SET_1();/* #REF1590# */
    ' 
    Private Sub RtsDefault_OBSERVE_MONITORING_STATUS()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "e2e00a11-88ce-4f52-bbbc-4e6fb9b7648c", 0, NullString)
      RtsNotify(Me, SEXIT, "e2e00a11-88ce-4f52-bbbc-4e6fb9b7648c", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "f628577f-0b21-4683-ab81-78928049a207", 0, NullString)
      Me.RtsEnter_MONITORING_PARAMETER_SET_1()
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_Observe_LCPF)
    End Sub
    
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Observe_LCPF" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_LCPF, "RtsF_Observe_LCPF_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_MONITORING_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_MONITORING_STATUS, "RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_Observe_LCPF" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_LCPF, "RtsF_Observe_LCPF_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_MONITORING_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_MONITORING_STATUS, "RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "fc5c7c5f-4e05-493e-9bd2-3fcb88d0305d";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "12";
    '   Value := Value + "|RtsCurrent_F_Observe_LCPF";
    '   Value := Value + "|RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE";
    '   Value := Value + "|RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE";
    '   Value := Value + "|RtsCurrent_OBSERVE_LCPF_FAILURE_STATE";
    '   Value := Value + "|RtsCurrent_OBSERVE_MONITORING_STATUS";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_Observe_LCPF";
    '   Value := Value + "|RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE";
    '   Value := Value + "|RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE";
    '   Value := Value + "|RtsCurrent_OBSERVE_LCPF_FAILURE_STATE";
    '   Value := Value + "|RtsCurrent_OBSERVE_MONITORING_STATUS";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_Observe_LCPF)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Observe_LCPF" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_LCPF, "RtsF_Observe_LCPF_States")
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States")
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States")
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States")
      End If
      If Name = "RtsCurrent_OBSERVE_MONITORING_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_MONITORING_STATUS, "RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_Observe_LCPF" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_Observe_LCPF, "RtsF_Observe_LCPF_States")
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States")
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States")
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE, "RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States")
      End If
      If Name = "RtsCurrent_OBSERVE_MONITORING_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_OBSERVE_MONITORING_STATUS, "RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "fc5c7c5f-4e05-493e-9bd2-3fcb88d0305d"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "12"
        Value = Value + "|RtsCurrent_F_Observe_LCPF"
        Value = Value + "|RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE"
        Value = Value + "|RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE"
        Value = Value + "|RtsCurrent_OBSERVE_LCPF_FAILURE_STATE"
        Value = Value + "|RtsCurrent_OBSERVE_MONITORING_STATUS"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_Observe_LCPF"
        Value = Value + "|RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE"
        Value = Value + "|RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE"
        Value = Value + "|RtsCurrent_OBSERVE_LCPF_FAILURE_STATE"
        Value = Value + "|RtsCurrent_OBSERVE_MONITORING_STATUS"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_Observe_LCPF" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Observe_LCPF, Value, "RtsF_Observe_LCPF_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPF_States));
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE, Value, "RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States));
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE, Value, "RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States));
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_LCPF_FAILURE_STATE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE, Value, "RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States));
    ' end if
    ' if Name = "RtsCurrent_OBSERVE_MONITORING_STATUS" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_MONITORING_STATUS, Value, "RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_Observe_LCPF)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_Observe_LCPF" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_Observe_LCPF, Value, "RtsF_Observe_LCPF_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPF_States))
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE, Value, "RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States))
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE, Value, "RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States))
      End If
      If Name = "RtsCurrent_OBSERVE_LCPF_FAILURE_STATE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE, Value, "RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States))
      End If
      If Name = "RtsCurrent_OBSERVE_MONITORING_STATUS" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_OBSERVE_MONITORING_STATUS, Value, "RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States", GetType(F_Observe_LCPF.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : OBSERVE_LCPF
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|") then
    '   OperatedStates := OperatedStates + "90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|";
    ' end if
    ' /* #REF724# */
    ' select case This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_UNPROTECTED();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_PROTECTED();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_IDLE();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_NotIn_OBSERVE_LCPF_PROTECTION_STATE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_OBSTACLE_IN_CONFLICT_AREA();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_OBSTACLE_IN_CONFLICT_AREA();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING_1();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NotIn_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_FAILURE_DETECTED();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_FAILURE_DETECTED();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING_2();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE := RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NotIn_OBSERVE_LCPF_FAILURE_STATE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_OBSERVE_MONITORING_STATUS/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_MONITORING_PARAMETER_SET_2();/* #REF730# */
    ' 	case RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_MONITORING_PARAMETER_SET_1();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_OBSERVE_MONITORING_STATUS := RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States{enum_datatype}.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_NotIn_OBSERVE_MONITORING_STATUS;/* #REF736# */
    ' 
    Private Sub RtsExitSSOf_OBSERVE_LCPF()
      If not OperatedStates.Contains("90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|") Then
        OperatedStates = OperatedStates + "90bcbc11-4f83-4e9a-b625-c4d35a9b2e00|"
      End If
      Select Case Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE
        Case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_UNPROTECTED
          Me.RtsExit_UNPROTECTED()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_PROTECTED
          Me.RtsExit_PROTECTED()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_IDLE
          Me.RtsExit_IDLE()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_WAITING
          Me.RtsExit_WAITING()
      End Select
      Me.RtsCurrent_OBSERVE_LCPF_PROTECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_PROTECTION_STATE_States_NotIn_OBSERVE_LCPF_PROTECTION_STATE
      Select Case Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE
        Case RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NO_OBSTACLE_IN_CONFLICT_AREA
          Me.RtsExit_NO_OBSTACLE_IN_CONFLICT_AREA()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_OBSTACLE_IN_CONFLICT_AREA
          Me.RtsExit_OBSTACLE_IN_CONFLICT_AREA()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_WAITING_1
          Me.RtsExit_WAITING_1()
      End Select
      Me.RtsCurrent_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_OBSTACLE_DETECTION_STATE_States_NotIn_OBSERVE_LCPF_OBSTACLE_DETECTION_STATE
      Select Case Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE
        Case RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NO_FAILURE_DETECTED
          Me.RtsExit_NO_FAILURE_DETECTED()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_FAILURE_DETECTED
          Me.RtsExit_FAILURE_DETECTED()
        Case RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_WAITING_2
          Me.RtsExit_WAITING_2()
      End Select
      Me.RtsCurrent_OBSERVE_LCPF_FAILURE_STATE = RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States.RtsF_Observe_LCPFOBSERVE_LCPF_FAILURE_STATE_States_NotIn_OBSERVE_LCPF_FAILURE_STATE
      Select Case Me.RtsCurrent_OBSERVE_MONITORING_STATUS
        Case RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_2
          Me.RtsExit_MONITORING_PARAMETER_SET_2()
        Case RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_MONITORING_PARAMETER_SET_1
          Me.RtsExit_MONITORING_PARAMETER_SET_1()
      End Select
      Me.RtsCurrent_OBSERVE_MONITORING_STATUS = RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States.RtsF_Observe_LCPFOBSERVE_MONITORING_STATUS_States_NotIn_OBSERVE_MONITORING_STATUS
    End Sub
    
    ' \ART_SMG :: Created for state : UNPROTECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("1431a92f-5840-4a27-90d7-661b4825165e|") then
    '   OperatedStates := OperatedStates + "1431a92f-5840-4a27-90d7-661b4825165e|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_UNPROTECTED()
      If not OperatedStates.Contains("1431a92f-5840-4a27-90d7-661b4825165e|") Then
        OperatedStates = OperatedStates + "1431a92f-5840-4a27-90d7-661b4825165e|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : PROTECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a59baf02-2f20-43c5-82d7-3e7f21dab024|") then
    '   OperatedStates := OperatedStates + "a59baf02-2f20-43c5-82d7-3e7f21dab024|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_PROTECTED()
      If not OperatedStates.Contains("a59baf02-2f20-43c5-82d7-3e7f21dab024|") Then
        OperatedStates = OperatedStates + "a59baf02-2f20-43c5-82d7-3e7f21dab024|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IDLE
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|") then
    '   OperatedStates := OperatedStates + "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_IDLE()
      If not OperatedStates.Contains("e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|") Then
        OperatedStates = OperatedStates + "e85d3aee-f2f5-4d2b-adcb-0cdc9e341ad1|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7ce5aa6f-4204-48f0-8306-76a724f45ac9|") then
    '   OperatedStates := OperatedStates + "7ce5aa6f-4204-48f0-8306-76a724f45ac9|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING()
      If not OperatedStates.Contains("7ce5aa6f-4204-48f0-8306-76a724f45ac9|") Then
        OperatedStates = OperatedStates + "7ce5aa6f-4204-48f0-8306-76a724f45ac9|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_OBSTACLE_IN_CONFLICT_AREA
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("802976b7-fc62-497a-8bd9-0d2363b5df49|") then
    '   OperatedStates := OperatedStates + "802976b7-fc62-497a-8bd9-0d2363b5df49|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_OBSTACLE_IN_CONFLICT_AREA()
      If not OperatedStates.Contains("802976b7-fc62-497a-8bd9-0d2363b5df49|") Then
        OperatedStates = OperatedStates + "802976b7-fc62-497a-8bd9-0d2363b5df49|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OBSTACLE_IN_CONFLICT_AREA
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("5e35d335-680c-410d-a7ec-4d5382de5dd4|") then
    '   OperatedStates := OperatedStates + "5e35d335-680c-410d-a7ec-4d5382de5dd4|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_OBSTACLE_IN_CONFLICT_AREA()
      If not OperatedStates.Contains("5e35d335-680c-410d-a7ec-4d5382de5dd4|") Then
        OperatedStates = OperatedStates + "5e35d335-680c-410d-a7ec-4d5382de5dd4|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|") then
    '   OperatedStates := OperatedStates + "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_1()
      If not OperatedStates.Contains("b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|") Then
        OperatedStates = OperatedStates + "b2ceb386-d400-4a50-93ae-1a2f7a86cb6b|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_FAILURE_DETECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("fba6ce5d-0c82-44ea-8a35-0aac10896646|") then
    '   OperatedStates := OperatedStates + "fba6ce5d-0c82-44ea-8a35-0aac10896646|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_FAILURE_DETECTED()
      If not OperatedStates.Contains("fba6ce5d-0c82-44ea-8a35-0aac10896646|") Then
        OperatedStates = OperatedStates + "fba6ce5d-0c82-44ea-8a35-0aac10896646|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : FAILURE_DETECTED
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ae094529-37d0-467e-ab7f-01f2c4947262|") then
    '   OperatedStates := OperatedStates + "ae094529-37d0-467e-ab7f-01f2c4947262|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_FAILURE_DETECTED()
      If not OperatedStates.Contains("ae094529-37d0-467e-ab7f-01f2c4947262|") Then
        OperatedStates = OperatedStates + "ae094529-37d0-467e-ab7f-01f2c4947262|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_2
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d85d02b5-f7b7-4151-bf30-e55ae84b13a5|") then
    '   OperatedStates := OperatedStates + "d85d02b5-f7b7-4151-bf30-e55ae84b13a5|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_2()
      If not OperatedStates.Contains("d85d02b5-f7b7-4151-bf30-e55ae84b13a5|") Then
        OperatedStates = OperatedStates + "d85d02b5-f7b7-4151-bf30-e55ae84b13a5|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITORING_PARAMETER_SET_2
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9c5415ab-5513-4178-8442-4e164a5d8ae0|") then
    '   OperatedStates := OperatedStates + "9c5415ab-5513-4178-8442-4e164a5d8ae0|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_MONITORING_PARAMETER_SET_2()
      If not OperatedStates.Contains("9c5415ab-5513-4178-8442-4e164a5d8ae0|") Then
        OperatedStates = OperatedStates + "9c5415ab-5513-4178-8442-4e164a5d8ae0|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : MONITORING_PARAMETER_SET_1
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("10226120-02d7-423e-8971-2554b95c461e|") then
    '   OperatedStates := OperatedStates + "10226120-02d7-423e-8971-2554b95c461e|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_MONITORING_PARAMETER_SET_1()
      If not OperatedStates.Contains("10226120-02d7-423e-8971-2554b95c461e|") Then
        OperatedStates = OperatedStates + "10226120-02d7-423e-8971-2554b95c461e|"
      End If
    End Sub
    
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume D109in_Con_Use_Obstacle_Detection: a SySimInputPort;
    ' assume D30in_LCPF_Protection_State: a SySimInputPort;
    ' assume D31in_Obstacle_Detection_State: a SySimInputPort;
    ' assume D32in_LCPF_Failure_State: a SySimInputPort;
    ' assume D33in_Monitoring_State: a SySimInputPort;
    ' assume d3out_LCPF_Protection_State: a SySimOutputPort;
    ' assume d4out_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d74out_LCPF_Failure_State: a SySimOutputPort;
    ' assume d9out_Changed_Monitoring_State: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg19Tmp := (/*##STRT b556e32a-2ad3-4f4c-9be8-322353d949c8 */ ( D33in_Monitoring_State = "Monitoring Parameter Set 2")/*##END b556e32a-2ad3-4f4c-9be8-322353d949c8 */ ) : Boolean;
    ' ChgFlg19 := EvalTrigger(ChgFlg19Tmp , ChgFlgLast19);
    ' declare ChgFlg7Tmp := (/*##STRT 099ec74c-8c4c-4d8c-93f2-c270f0076add */ ( D30in_LCPF_Protection_State = "Idle")/*##END 099ec74c-8c4c-4d8c-93f2-c270f0076add */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg2Tmp := (/*##STRT f4dd99fd-65a8-4967-89ff-2e049960a6f4 */ ( D30in_LCPF_Protection_State = "Protected")/*##END f4dd99fd-65a8-4967-89ff-2e049960a6f4 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg11Tmp := (/*##STRT 2c7eee60-17a6-4dbb-afa6-75ed149d7a05 */ (NOT D31in_Obstacle_Detection_State )/*##END 2c7eee60-17a6-4dbb-afa6-75ed149d7a05 */ ) : Boolean;
    ' ChgFlg11 := EvalTrigger(ChgFlg11Tmp , ChgFlgLast11);
    ' declare ChgFlg12Tmp := (/*##STRT b30e8d02-fbfb-4e9c-a4bf-854dc705669e */ ( D31in_Obstacle_Detection_State )/*##END b30e8d02-fbfb-4e9c-a4bf-854dc705669e */ ) : Boolean;
    ' ChgFlg12 := EvalTrigger(ChgFlg12Tmp , ChgFlgLast12);
    ' declare ChgFlg4Tmp := (/*##STRT 8e46b40f-538b-4800-9687-82f29cfad0ce */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END 8e46b40f-538b-4800-9687-82f29cfad0ce */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg5Tmp := (/*##STRT eda6a697-6865-466c-8393-bc36668e5e02 */ ( D30in_LCPF_Protection_State = "Protected")/*##END eda6a697-6865-466c-8393-bc36668e5e02 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg17Tmp := (/*##STRT 32bb280c-2086-41bb-bd16-a378aa946b5d */ (NOT D32in_LCPF_Failure_State )/*##END 32bb280c-2086-41bb-bd16-a378aa946b5d */ ) : Boolean;
    ' ChgFlg17 := EvalTrigger(ChgFlg17Tmp , ChgFlgLast17);
    ' declare ChgFlg16Tmp := (/*##STRT a314e2ae-7538-4dfb-9c69-efa471c046e5 */ ( D32in_LCPF_Failure_State )/*##END a314e2ae-7538-4dfb-9c69-efa471c046e5 */ ) : Boolean;
    ' ChgFlg16 := EvalTrigger(ChgFlg16Tmp , ChgFlgLast16);
    ' declare ChgFlg18Tmp := (/*##STRT dca1f633-11a7-496a-b3ca-14ccf129c2b0 */ ( D33in_Monitoring_State = "Monitoring Parameter Set 1")/*##END dca1f633-11a7-496a-b3ca-14ccf129c2b0 */ ) : Boolean;
    ' ChgFlg18 := EvalTrigger(ChgFlg18Tmp , ChgFlgLast18);
    ' declare ChgFlg13Tmp := (/*##STRT 0d2289da-fe0a-463d-9752-0f65c912369b */ (NOT D31in_Obstacle_Detection_State )/*##END 0d2289da-fe0a-463d-9752-0f65c912369b */ ) : Boolean;
    ' ChgFlg13 := EvalTrigger(ChgFlg13Tmp , ChgFlgLast13);
    ' declare ChgFlg3Tmp := (/*##STRT 5aaed418-ede2-4b89-91c4-5f26dbb3a881 */ ( D30in_LCPF_Protection_State = "Idle")/*##END 5aaed418-ede2-4b89-91c4-5f26dbb3a881 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg1Tmp := (/*##STRT 644abd00-802e-4143-a43f-e1b99644ae64 */ ( D30in_LCPF_Protection_State = "Idle")/*##END 644abd00-802e-4143-a43f-e1b99644ae64 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg14Tmp := (/*##STRT 0317c904-6386-4fbc-9f71-2c7441ca2a00 */ ( D32in_LCPF_Failure_State )/*##END 0317c904-6386-4fbc-9f71-2c7441ca2a00 */ ) : Boolean;
    ' ChgFlg14 := EvalTrigger(ChgFlg14Tmp , ChgFlgLast14);
    ' declare ChgFlg8Tmp := (/*##STRT 215d15da-c991-4711-a826-f765dcf94ae5 */ ( D30in_LCPF_Protection_State = "Protected")/*##END 215d15da-c991-4711-a826-f765dcf94ae5 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg10Tmp := (/*##STRT 1976af4c-d0ba-402f-9970-669978d18b54 */ ( D31in_Obstacle_Detection_State )/*##END 1976af4c-d0ba-402f-9970-669978d18b54 */ ) : Boolean;
    ' ChgFlg10 := EvalTrigger(ChgFlg10Tmp , ChgFlgLast10);
    ' declare ChgFlg9Tmp := (/*##STRT ae194fb3-28db-42e6-b441-cd3375f41949 */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END ae194fb3-28db-42e6-b441-cd3375f41949 */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' declare ChgFlg6Tmp := (/*##STRT 2d93990a-6b1a-435c-96bd-455f490e9814 */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END 2d93990a-6b1a-435c-96bd-455f490e9814 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg15Tmp := (/*##STRT 62259e5c-bc17-469b-9197-baa94c9d563f */ (NOT D32in_LCPF_Failure_State )/*##END 62259e5c-bc17-469b-9197-baa94c9d563f */ ) : Boolean;
    ' ChgFlg15 := EvalTrigger(ChgFlg15Tmp , ChgFlgLast15);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast19 := ChgFlg19Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast11 := ChgFlg11Tmp;
    ' ChgFlgLast12 := ChgFlg12Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast17 := ChgFlg17Tmp;
    ' ChgFlgLast16 := ChgFlg16Tmp;
    ' ChgFlgLast18 := ChgFlg18Tmp;
    ' ChgFlgLast13 := ChgFlg13Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast14 := ChgFlg14Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast10 := ChgFlg10Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast15 := ChgFlg15Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg19 := (/*##STRT b556e32a-2ad3-4f4c-9be8-322353d949c8 */ ( D33in_Monitoring_State = "Monitoring Parameter Set 2")/*##END b556e32a-2ad3-4f4c-9be8-322353d949c8 */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 099ec74c-8c4c-4d8c-93f2-c270f0076add */ ( D30in_LCPF_Protection_State = "Idle")/*##END 099ec74c-8c4c-4d8c-93f2-c270f0076add */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT f4dd99fd-65a8-4967-89ff-2e049960a6f4 */ ( D30in_LCPF_Protection_State = "Protected")/*##END f4dd99fd-65a8-4967-89ff-2e049960a6f4 */ ) : Boolean;
    '   declare MaskedChgFlg11 := (/*##STRT 2c7eee60-17a6-4dbb-afa6-75ed149d7a05 */ (NOT D31in_Obstacle_Detection_State )/*##END 2c7eee60-17a6-4dbb-afa6-75ed149d7a05 */ ) : Boolean;
    '   declare MaskedChgFlg12 := (/*##STRT b30e8d02-fbfb-4e9c-a4bf-854dc705669e */ ( D31in_Obstacle_Detection_State )/*##END b30e8d02-fbfb-4e9c-a4bf-854dc705669e */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 8e46b40f-538b-4800-9687-82f29cfad0ce */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END 8e46b40f-538b-4800-9687-82f29cfad0ce */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT eda6a697-6865-466c-8393-bc36668e5e02 */ ( D30in_LCPF_Protection_State = "Protected")/*##END eda6a697-6865-466c-8393-bc36668e5e02 */ ) : Boolean;
    '   declare MaskedChgFlg17 := (/*##STRT 32bb280c-2086-41bb-bd16-a378aa946b5d */ (NOT D32in_LCPF_Failure_State )/*##END 32bb280c-2086-41bb-bd16-a378aa946b5d */ ) : Boolean;
    '   declare MaskedChgFlg16 := (/*##STRT a314e2ae-7538-4dfb-9c69-efa471c046e5 */ ( D32in_LCPF_Failure_State )/*##END a314e2ae-7538-4dfb-9c69-efa471c046e5 */ ) : Boolean;
    '   declare MaskedChgFlg18 := (/*##STRT dca1f633-11a7-496a-b3ca-14ccf129c2b0 */ ( D33in_Monitoring_State = "Monitoring Parameter Set 1")/*##END dca1f633-11a7-496a-b3ca-14ccf129c2b0 */ ) : Boolean;
    '   declare MaskedChgFlg13 := (/*##STRT 0d2289da-fe0a-463d-9752-0f65c912369b */ (NOT D31in_Obstacle_Detection_State )/*##END 0d2289da-fe0a-463d-9752-0f65c912369b */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 5aaed418-ede2-4b89-91c4-5f26dbb3a881 */ ( D30in_LCPF_Protection_State = "Idle")/*##END 5aaed418-ede2-4b89-91c4-5f26dbb3a881 */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT 644abd00-802e-4143-a43f-e1b99644ae64 */ ( D30in_LCPF_Protection_State = "Idle")/*##END 644abd00-802e-4143-a43f-e1b99644ae64 */ ) : Boolean;
    '   declare MaskedChgFlg14 := (/*##STRT 0317c904-6386-4fbc-9f71-2c7441ca2a00 */ ( D32in_LCPF_Failure_State )/*##END 0317c904-6386-4fbc-9f71-2c7441ca2a00 */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT 215d15da-c991-4711-a826-f765dcf94ae5 */ ( D30in_LCPF_Protection_State = "Protected")/*##END 215d15da-c991-4711-a826-f765dcf94ae5 */ ) : Boolean;
    '   declare MaskedChgFlg10 := (/*##STRT 1976af4c-d0ba-402f-9970-669978d18b54 */ ( D31in_Obstacle_Detection_State )/*##END 1976af4c-d0ba-402f-9970-669978d18b54 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT ae194fb3-28db-42e6-b441-cd3375f41949 */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END ae194fb3-28db-42e6-b441-cd3375f41949 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT 2d93990a-6b1a-435c-96bd-455f490e9814 */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END 2d93990a-6b1a-435c-96bd-455f490e9814 */ ) : Boolean;
    '   declare MaskedChgFlg15 := (/*##STRT 62259e5c-bc17-469b-9197-baa94c9d563f */ (NOT D32in_LCPF_Failure_State )/*##END 62259e5c-bc17-469b-9197-baa94c9d563f */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg19 := (/*##STRT b556e32a-2ad3-4f4c-9be8-322353d949c8 */ ( D33in_Monitoring_State = "Monitoring Parameter Set 2")/*##END b556e32a-2ad3-4f4c-9be8-322353d949c8 */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 099ec74c-8c4c-4d8c-93f2-c270f0076add */ ( D30in_LCPF_Protection_State = "Idle")/*##END 099ec74c-8c4c-4d8c-93f2-c270f0076add */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT f4dd99fd-65a8-4967-89ff-2e049960a6f4 */ ( D30in_LCPF_Protection_State = "Protected")/*##END f4dd99fd-65a8-4967-89ff-2e049960a6f4 */ ) : Boolean;
    '   declare UnMaskedChgFlg11 := (/*##STRT 2c7eee60-17a6-4dbb-afa6-75ed149d7a05 */ (NOT D31in_Obstacle_Detection_State )/*##END 2c7eee60-17a6-4dbb-afa6-75ed149d7a05 */ ) : Boolean;
    '   declare UnMaskedChgFlg12 := (/*##STRT b30e8d02-fbfb-4e9c-a4bf-854dc705669e */ ( D31in_Obstacle_Detection_State )/*##END b30e8d02-fbfb-4e9c-a4bf-854dc705669e */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 8e46b40f-538b-4800-9687-82f29cfad0ce */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END 8e46b40f-538b-4800-9687-82f29cfad0ce */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT eda6a697-6865-466c-8393-bc36668e5e02 */ ( D30in_LCPF_Protection_State = "Protected")/*##END eda6a697-6865-466c-8393-bc36668e5e02 */ ) : Boolean;
    '   declare UnMaskedChgFlg17 := (/*##STRT 32bb280c-2086-41bb-bd16-a378aa946b5d */ (NOT D32in_LCPF_Failure_State )/*##END 32bb280c-2086-41bb-bd16-a378aa946b5d */ ) : Boolean;
    '   declare UnMaskedChgFlg16 := (/*##STRT a314e2ae-7538-4dfb-9c69-efa471c046e5 */ ( D32in_LCPF_Failure_State )/*##END a314e2ae-7538-4dfb-9c69-efa471c046e5 */ ) : Boolean;
    '   declare UnMaskedChgFlg18 := (/*##STRT dca1f633-11a7-496a-b3ca-14ccf129c2b0 */ ( D33in_Monitoring_State = "Monitoring Parameter Set 1")/*##END dca1f633-11a7-496a-b3ca-14ccf129c2b0 */ ) : Boolean;
    '   declare UnMaskedChgFlg13 := (/*##STRT 0d2289da-fe0a-463d-9752-0f65c912369b */ (NOT D31in_Obstacle_Detection_State )/*##END 0d2289da-fe0a-463d-9752-0f65c912369b */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 5aaed418-ede2-4b89-91c4-5f26dbb3a881 */ ( D30in_LCPF_Protection_State = "Idle")/*##END 5aaed418-ede2-4b89-91c4-5f26dbb3a881 */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT 644abd00-802e-4143-a43f-e1b99644ae64 */ ( D30in_LCPF_Protection_State = "Idle")/*##END 644abd00-802e-4143-a43f-e1b99644ae64 */ ) : Boolean;
    '   declare UnMaskedChgFlg14 := (/*##STRT 0317c904-6386-4fbc-9f71-2c7441ca2a00 */ ( D32in_LCPF_Failure_State )/*##END 0317c904-6386-4fbc-9f71-2c7441ca2a00 */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT 215d15da-c991-4711-a826-f765dcf94ae5 */ ( D30in_LCPF_Protection_State = "Protected")/*##END 215d15da-c991-4711-a826-f765dcf94ae5 */ ) : Boolean;
    '   declare UnMaskedChgFlg10 := (/*##STRT 1976af4c-d0ba-402f-9970-669978d18b54 */ ( D31in_Obstacle_Detection_State )/*##END 1976af4c-d0ba-402f-9970-669978d18b54 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT ae194fb3-28db-42e6-b441-cd3375f41949 */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END ae194fb3-28db-42e6-b441-cd3375f41949 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT 2d93990a-6b1a-435c-96bd-455f490e9814 */ ( D30in_LCPF_Protection_State = "Unprotected")/*##END 2d93990a-6b1a-435c-96bd-455f490e9814 */ ) : Boolean;
    '   declare UnMaskedChgFlg15 := (/*##STRT 62259e5c-bc17-469b-9197-baa94c9d563f */ (NOT D32in_LCPF_Failure_State )/*##END 62259e5c-bc17-469b-9197-baa94c9d563f */ ) : Boolean;
    '   declare PreviousChgFlg19 := ChgFlg19 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg11 := ChgFlg11 : Boolean;
    '   declare PreviousChgFlg12 := ChgFlg12 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg17 := ChgFlg17 : Boolean;
    '   declare PreviousChgFlg16 := ChgFlg16 : Boolean;
    '   declare PreviousChgFlg18 := ChgFlg18 : Boolean;
    '   declare PreviousChgFlg13 := ChgFlg13 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg14 := ChgFlg14 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg10 := ChgFlg10 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg15 := ChgFlg15 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg19 And UnMaskedChgFlg19 And Not MaskedChgFlg19 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := True;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := True;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := True;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := True;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := True;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := True;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := True;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := True;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := True;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg18 And UnMaskedChgFlg18 And Not MaskedChgFlg18 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := True;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := True;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := True;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := True;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := True;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := True;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := True;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := True;
    '   ChgFlg6 := False;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := True;
    '   ChgFlg15 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg19 := False;
    '   ChgFlg7 := False;
    '   ChgFlg2 := False;
    '   ChgFlg11 := False;
    '   ChgFlg12 := False;
    '   ChgFlg4 := False;
    '   ChgFlg5 := False;
    '   ChgFlg17 := False;
    '   ChgFlg16 := False;
    '   ChgFlg18 := False;
    '   ChgFlg13 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg14 := False;
    '   ChgFlg8 := False;
    '   ChgFlg10 := False;
    '   ChgFlg9 := False;
    '   ChgFlg6 := False;
    '   ChgFlg15 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg19 := false;
    ' ChgFlg7 := false;
    ' ChgFlg2 := false;
    ' ChgFlg11 := false;
    ' ChgFlg12 := false;
    ' ChgFlg4 := false;
    ' ChgFlg5 := false;
    ' ChgFlg17 := false;
    ' ChgFlg16 := false;
    ' ChgFlg18 := false;
    ' ChgFlg13 := false;
    ' ChgFlg3 := false;
    ' ChgFlg1 := false;
    ' ChgFlg14 := false;
    ' ChgFlg8 := false;
    ' ChgFlg10 := false;
    ' ChgFlg9 := false;
    ' ChgFlg6 := false;
    ' ChgFlg15 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg19Tmp As Boolean = ((D33in_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
      ChgFlg19 = EvalTrigger(ChgFlg19Tmp, ChgFlgLast19)
      Dim ChgFlg7Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg2Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg11Tmp As Boolean = ((NOT D31in_Obstacle_Detection_State.GetLatchedValue()))
      ChgFlg11 = EvalTrigger(ChgFlg11Tmp, ChgFlgLast11)
      Dim ChgFlg12Tmp As Boolean = ((D31in_Obstacle_Detection_State.GetLatchedValue()))
      ChgFlg12 = EvalTrigger(ChgFlg12Tmp, ChgFlgLast12)
      Dim ChgFlg4Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg5Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg17Tmp As Boolean = ((NOT D32in_LCPF_Failure_State.GetLatchedValue()))
      ChgFlg17 = EvalTrigger(ChgFlg17Tmp, ChgFlgLast17)
      Dim ChgFlg16Tmp As Boolean = ((D32in_LCPF_Failure_State.GetLatchedValue()))
      ChgFlg16 = EvalTrigger(ChgFlg16Tmp, ChgFlgLast16)
      Dim ChgFlg18Tmp As Boolean = ((D33in_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
      ChgFlg18 = EvalTrigger(ChgFlg18Tmp, ChgFlgLast18)
      Dim ChgFlg13Tmp As Boolean = ((NOT D31in_Obstacle_Detection_State.GetLatchedValue()))
      ChgFlg13 = EvalTrigger(ChgFlg13Tmp, ChgFlgLast13)
      Dim ChgFlg3Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg1Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg14Tmp As Boolean = ((D32in_LCPF_Failure_State.GetLatchedValue()))
      ChgFlg14 = EvalTrigger(ChgFlg14Tmp, ChgFlgLast14)
      Dim ChgFlg8Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg10Tmp As Boolean = ((D31in_Obstacle_Detection_State.GetLatchedValue()))
      ChgFlg10 = EvalTrigger(ChgFlg10Tmp, ChgFlgLast10)
      Dim ChgFlg9Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      Dim ChgFlg6Tmp As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg15Tmp As Boolean = ((NOT D32in_LCPF_Failure_State.GetLatchedValue()))
      ChgFlg15 = EvalTrigger(ChgFlg15Tmp, ChgFlgLast15)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast19 = ChgFlg19Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast11 = ChgFlg11Tmp
      ChgFlgLast12 = ChgFlg12Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast17 = ChgFlg17Tmp
      ChgFlgLast16 = ChgFlg16Tmp
      ChgFlgLast18 = ChgFlg18Tmp
      ChgFlgLast13 = ChgFlg13Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast14 = ChgFlg14Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast10 = ChgFlg10Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast15 = ChgFlg15Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg19 As Boolean = ((D33in_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
        Dim MaskedChgFlg7 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim MaskedChgFlg2 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim MaskedChgFlg11 As Boolean = ((NOT D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim MaskedChgFlg12 As Boolean = ((D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
        Dim MaskedChgFlg5 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim MaskedChgFlg17 As Boolean = ((NOT D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim MaskedChgFlg16 As Boolean = ((D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim MaskedChgFlg18 As Boolean = ((D33in_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
        Dim MaskedChgFlg13 As Boolean = ((NOT D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim MaskedChgFlg1 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim MaskedChgFlg14 As Boolean = ((D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim MaskedChgFlg8 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim MaskedChgFlg10 As Boolean = ((D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim MaskedChgFlg9 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
        Dim MaskedChgFlg6 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
        Dim MaskedChgFlg15 As Boolean = ((NOT D32in_LCPF_Failure_State.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg19 As Boolean = ((D33in_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
        Dim UnMaskedChgFlg7 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim UnMaskedChgFlg2 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim UnMaskedChgFlg11 As Boolean = ((NOT D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim UnMaskedChgFlg12 As Boolean = ((D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
        Dim UnMaskedChgFlg5 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim UnMaskedChgFlg17 As Boolean = ((NOT D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim UnMaskedChgFlg16 As Boolean = ((D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim UnMaskedChgFlg18 As Boolean = ((D33in_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
        Dim UnMaskedChgFlg13 As Boolean = ((NOT D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim UnMaskedChgFlg1 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim UnMaskedChgFlg14 As Boolean = ((D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim UnMaskedChgFlg8 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim UnMaskedChgFlg10 As Boolean = ((D31in_Obstacle_Detection_State.GetLatchedValue()))
        Dim UnMaskedChgFlg9 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
        Dim UnMaskedChgFlg6 As Boolean = ((D30in_LCPF_Protection_State.GetLatchedValue() = "Unprotected"))
        Dim UnMaskedChgFlg15 As Boolean = ((NOT D32in_LCPF_Failure_State.GetLatchedValue()))
        Dim PreviousChgFlg19 As Boolean = ChgFlg19
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg11 As Boolean = ChgFlg11
        Dim PreviousChgFlg12 As Boolean = ChgFlg12
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg17 As Boolean = ChgFlg17
        Dim PreviousChgFlg16 As Boolean = ChgFlg16
        Dim PreviousChgFlg18 As Boolean = ChgFlg18
        Dim PreviousChgFlg13 As Boolean = ChgFlg13
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg14 As Boolean = ChgFlg14
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg10 As Boolean = ChgFlg10
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg15 As Boolean = ChgFlg15
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg19 And UnMaskedChgFlg19 And Not MaskedChgFlg19 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = True
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = True
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = True
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = True
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = True
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = True
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = True
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = True
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = True
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg18 And UnMaskedChgFlg18 And Not MaskedChgFlg18 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = True
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = True
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = True
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = True
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = True
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = True
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = True
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = True
          ChgFlg6 = False
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = True
          ChgFlg15 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
          'This is sensitive to ports - run it again
          ChgFlg19 = False
          ChgFlg7 = False
          ChgFlg2 = False
          ChgFlg11 = False
          ChgFlg12 = False
          ChgFlg4 = False
          ChgFlg5 = False
          ChgFlg17 = False
          ChgFlg16 = False
          ChgFlg18 = False
          ChgFlg13 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg14 = False
          ChgFlg8 = False
          ChgFlg10 = False
          ChgFlg9 = False
          ChgFlg6 = False
          ChgFlg15 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg19 = False
      ChgFlg7 = False
      ChgFlg2 = False
      ChgFlg11 = False
      ChgFlg12 = False
      ChgFlg4 = False
      ChgFlg5 = False
      ChgFlg17 = False
      ChgFlg16 = False
      ChgFlg18 = False
      ChgFlg13 = False
      ChgFlg3 = False
      ChgFlg1 = False
      ChgFlg14 = False
      ChgFlg8 = False
      ChgFlg10 = False
      ChgFlg9 = False
      ChgFlg6 = False
      ChgFlg15 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or D109in_Con_Use_Obstacle_Detection.Decrement())
      Ret = (Ret Or D30in_LCPF_Protection_State.Decrement())
      Ret = (Ret Or D31in_Obstacle_Detection_State.Decrement())
      Ret = (Ret Or D32in_LCPF_Failure_State.Decrement())
      Ret = (Ret Or D33in_Monitoring_State.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      D109in_Con_Use_Obstacle_Detection.Mask(What)
      D30in_LCPF_Protection_State.Mask(What)
      D31in_Obstacle_Detection_State.Mask(What)
      D32in_LCPF_Failure_State.Mask(What)
      D33in_Monitoring_State.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_SCI_EfeS_Sec : Implements SMSupport.SMQueued 
    Protected Class F_SCI_EfeS_SecSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_SCI_EfeS_Sec = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
          Case Cd_Close_PDI.Id
            Dim TheMsg As Cd_Close_PDI = Msg
            TheTarget.RtsCd_Close_PDI(TheMsg.RequestedCloseReason)
          Case Cd_Release_PDI_for_Maintenance.Id
            Dim TheMsg As Cd_Release_PDI_for_Maintenance = Msg
            TheTarget.RtsCd_Release_PDI_for_Maintenance()
          Case NotReady_For_PDI_Connection.Id
            Dim TheMsg As NotReady_For_PDI_Connection = Msg
            TheTarget.RtsNotReady_For_PDI_Connection()
          Case Cd_Initialisation_Request.Id
            Dim TheMsg As Cd_Initialisation_Request = Msg
            TheTarget.RtsCd_Initialisation_Request()
          Case Status_Report_Completed.Id
            Dim TheMsg As Status_Report_Completed = Msg
            TheTarget.RtsStatus_Report_Completed()
          Case Cd_PDI_Version_Check.Id
            Dim TheMsg As Cd_PDI_Version_Check = Msg
            TheTarget.RtsCd_PDI_Version_Check(TheMsg.PDI_Version)
          Case Ready_For_PDI_Connection.Id
            Dim TheMsg As Ready_For_PDI_Connection = Msg
            TheTarget.RtsReady_For_PDI_Connection()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_SCI_EfeS_Sec_States
      RtsF_SCI_EfeS_Sec_States_ACTIVE
      RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI
      RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP
      RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI
      RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP
      RtsF_SCI_EfeS_Sec_States_SUSPENDED
      RtsF_SCI_EfeS_Sec_States_NotIn_F_SCI_EfeS_Sec
    End Enum
    Public Enum RtsF_SCI_EfeS_SecACTIVE_States
      RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING
      RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED
      RtsF_SCI_EfeS_SecACTIVE_States_NotIn_ACTIVE
    End Enum
    Public Enum RtsF_SCI_EfeS_SecESTABLISHING_States
      RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION
      RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS
      RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL
      RtsF_SCI_EfeS_SecESTABLISHING_States_NotIn_ESTABLISHING
    End Enum
    ' \ART_SMG :: Created for state : F_SCI_EfeS_Sec
    Private RtsCurrent_F_SCI_EfeS_Sec As F_SCI_EfeS_Sec.RtsF_SCI_EfeS_Sec_States
    ' \ART_SMG :: Created for state : ACTIVE
    Private RtsCurrent_ACTIVE As F_SCI_EfeS_Sec.RtsF_SCI_EfeS_SecACTIVE_States
    ' \ART_SMG :: Created for state : ESTABLISHING
    Private RtsCurrent_ESTABLISHING As F_SCI_EfeS_Sec.RtsF_SCI_EfeS_SecESTABLISHING_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_SCI_EfeS_SecSMQueue = New F_SCI_EfeS_SecSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    Protected p2inout As OInputOutputPort(Of EST_SCI_GEN)
    ' The port D3in_Con_PDI_Version provides the configured PDIVer.
    Protected D3in_Con_PDI_Version As OInputPort(Of String)
    ' The port D4in_Con_Checksum_Data provides the configured CSS.
    Protected D4in_Con_Checksum_Data As OInputPort(Of String)
    ' The port T20in_Protocol_Error represents the event of a protocol error.
    Protected T20in_Protocol_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T21in_Formal_Telegram_Error represents the event of a formal telegram error.
    Protected T21in_Formal_Telegram_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T22in_Content_Telegram_Error represents the event of a content telegram error.
    Protected T22in_Content_Telegram_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port d50out_PDI_Connection_State provides the status of the PDI connection.
    Protected d50out_PDI_Connection_State As OOutputPort(Of String)
    ' The port T5in_SCP_Connection_Established represents the event of the established SCP connection.
    Protected T5in_SCP_Connection_Established As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T10in_SCP_Connection_Terminated represents the event of the terminated SCP connection.
    Protected T10in_SCP_Connection_Terminated As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T12out_Terminate_SCP_Connection represents the event to terminate the SCP connection.
    Protected T12out_Terminate_SCP_Connection As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    Private Mem_PDI_Version As String
    ' The port P1inout exchanges information objects according to SCI_GEN.
    Protected P1inout As OInputOutputPort(Of SCI_GEN)
    Protected p3inout As OInputOutputPort(Of F_SCI_Specific)
    Protected d60out_PDI_Close_Reason As OOutputPort(Of String)
    ' The operation cOp1_init initialises all output ports and block properties.
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp1_init */
    ' 
    ' Mem_PDI_Version := D3in_Con_PDI_Version;
    Public Sub cOp1_init()
      Mem_PDI_Version = D3in_Con_PDI_Version.GetLatchedValue()
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_SCI_EfeS_Sec: on object;
    ' assume RtsCurrent_ACTIVE: on object;
    ' assume RtsCurrent_ESTABLISHING: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* a18ccae4-b6fc-454c-b859-0d51f9c1995b ACTIVE */
    '   ThisState := "a18ccae4-b6fc-454c-b859-0d51f9c1995b";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"fbcd480d-e03e-49f2-a240-67940ffebbbc",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8b520018-efe1-440e-8a45-d05fbe71e87c */ 
    ' send PDI_Connection_Closed to p2inout ; nullstat;/*##END 8b520018-efe1-440e-8a45-d05fbe71e87c */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* a18ccae4-b6fc-454c-b859-0d51f9c1995b ACTIVE */
    '   ThisState := "a18ccae4-b6fc-454c-b859-0d51f9c1995b";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a19069bc-a83a-4b6a-8182-9c45e42e169f",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 15fe5615-344e-4dce-b83c-a8f6477d81fa */ 
    ' send Msg_Reset_PDI ( ResetReason.ProtocolError ) to P1inout ;
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "EfeS Protocol Error"; nullstat;/*##END 15fe5615-344e-4dce-b83c-a8f6477d81fa */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* a18ccae4-b6fc-454c-b859-0d51f9c1995b ACTIVE */
    '   ThisState := "a18ccae4-b6fc-454c-b859-0d51f9c1995b";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"625f267b-e1d5-4baf-bd34-bd7cd77ecbe3",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 95fdd021-9dba-46f0-9d37-ebcea21f5868 */ 
    ' send Msg_Reset_PDI ( ResetReason.FormalTelegramError ) to P1inout ;
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "EfeS Formal Telegram Error"; nullstat;/*##END 95fdd021-9dba-46f0-9d37-ebcea21f5868 */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* a18ccae4-b6fc-454c-b859-0d51f9c1995b ACTIVE */
    '   ThisState := "a18ccae4-b6fc-454c-b859-0d51f9c1995b";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"990ea904-c48b-4217-89d9-0f2111b007ce",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 81ea87fe-f76b-4d79-9d17-5dbc188ddf2e */ 
    ' send Msg_Reset_PDI ( ResetReason.ContentTelegramError ) to P1inout ;
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "EfeS Content Telegram Error"; nullstat;/*##END 81ea87fe-f76b-4d79-9d17-5dbc188ddf2e */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec =  /* #REF121d# */ RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NotIn_F_SCI_EfeS_Sec then
    ' /* #REF123# */
    ' 	/* 34a063bd-6cc8-4705-b822-38a697b5a9ca Initial0 */
    '   ThisState := "34a063bd-6cc8-4705-b822-38a697b5a9ca";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"34a063bd-6cc8-4705-b822-38a697b5a9ca",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"34a063bd-6cc8-4705-b822-38a697b5a9ca",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"a5e3e1b2-c614-49e0-9bc0-9033a15463c2",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 620cbb8b-9854-460b-9a30-8add8bb62adb */  cOp1_init (); nullstat;/*##END 620cbb8b-9854-460b-9a30-8add8bb62adb */ /* #REF1546# */
    ' 	This.RtsEnter_NOT_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI then
    ' /* #REF123# */
    ' 	/* d0ac6499-0795-4a81-aac7-695f2bd8671e NOT_READY_FOR_PDI */
    '   ThisState := "d0ac6499-0795-4a81-aac7-695f2bd8671e";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NOT_READY_FOR_PDI */
    ' 		/* standard */
    ' 		This.RtsExit_NOT_READY_FOR_PDI();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"817c5620-a5d8-460c-97ab-101c24fc435b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT a356a0a6-02b6-42da-ab59-2b63bde0e417 */  nullstat;/*##END a356a0a6-02b6-42da-ab59-2b63bde0e417 */ /* #REF1546# */
    ' 		This.RtsEnter_NOT_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP then
    ' /* #REF123# */
    ' 	/* ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c NOT_READY_FOR_PDI_NO_SCP */
    '   ThisState := "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NOT_READY_FOR_PDI_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_NOT_READY_FOR_PDI_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"f53c04ae-b35b-458f-aa29-87925359fa5e",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT aa2dc053-2e27-48fe-803a-743777a8fecf */  nullstat;/*##END aa2dc053-2e27-48fe-803a-743777a8fecf */ /* #REF1546# */
    ' 		This.RtsEnter_NOT_READY_FOR_PDI();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI then
    ' /* #REF123# */
    ' 	/* 7d9586c7-d170-4d6e-8126-65f5bc706506 READY_FOR_PDI */
    '   ThisState := "7d9586c7-d170-4d6e-8126-65f5bc706506";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_READY_FOR_PDI */
    ' 		/* standard */
    ' 		This.RtsExit_READY_FOR_PDI();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"23573bf1-1c2c-4004-bff3-0db1b4cb9224",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 85ddf1f7-6cc7-42dc-b2d1-e8cf9ff4ffa4 */  nullstat;/*##END 85ddf1f7-6cc7-42dc-b2d1-e8cf9ff4ffa4 */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP then
    ' /* #REF123# */
    ' 	/* c6891d21-0341-46db-8fcf-8542ec06d9a6 READY_FOR_PDI_NO_SCP */
    '   ThisState := "c6891d21-0341-46db-8fcf-8542ec06d9a6";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_READY_FOR_PDI_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_READY_FOR_PDI_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"63e37261-abaa-42c5-8ffc-418a82c41c65",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 9e28a9e0-75b4-4c20-bf33-5e0e35d74c1f */  nullstat;/*##END 9e28a9e0-75b4-4c20-bf33-5e0e35d74c1f */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_SUSPENDED then
    ' /* #REF123# */
    ' 	/* 19e3cba6-a28d-4995-a341-c70f948e1f3a SUSPENDED */
    '   ThisState := "19e3cba6-a28d-4995-a341-c70f948e1f3a";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_SUSPENDED */
    ' 		/* standard */
    ' 		This.RtsExit_SUSPENDED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"289b51e2-ea2c-47f4-82e4-c0efe1a3b8fe",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT b6023265-9605-4b92-893f-448045d11bf0 */  nullstat;/*##END b6023265-9605-4b92-893f-448045d11bf0 */ /* #REF1546# */
    ' 		This.RtsEnter_NOT_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        ThisState = "a18ccae4-b6fc-454c-b859-0d51f9c1995b"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "fbcd480d-e03e-49f2-a240-67940ffebbbc", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          Me.RtsEnter_READY_FOR_PDI_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        ThisState = "a18ccae4-b6fc-454c-b859-0d51f9c1995b"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a19069bc-a83a-4b6a-8182-9c45e42e169f", 0, NullString)
          P1inout.SendEvent(New Msg_Reset_PDI(ResetReason.ProtocolError))
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("EfeS Protocol Error")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        ThisState = "a18ccae4-b6fc-454c-b859-0d51f9c1995b"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "625f267b-e1d5-4baf-bd34-bd7cd77ecbe3", 0, NullString)
          P1inout.SendEvent(New Msg_Reset_PDI(ResetReason.FormalTelegramError))
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("EfeS Formal Telegram Error")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        ThisState = "a18ccae4-b6fc-454c-b859-0d51f9c1995b"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "990ea904-c48b-4217-89d9-0f2111b007ce", 0, NullString)
          P1inout.SendEvent(New Msg_Reset_PDI(ResetReason.ContentTelegramError))
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("EfeS Content Telegram Error")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NotIn_F_SCI_EfeS_Sec Then
        ThisState = "34a063bd-6cc8-4705-b822-38a697b5a9ca"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "34a063bd-6cc8-4705-b822-38a697b5a9ca", 0, NullString)
        RtsNotify(Me, SEXIT, "34a063bd-6cc8-4705-b822-38a697b5a9ca", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "a5e3e1b2-c614-49e0-9bc0-9033a15463c2", 0, NullString)
        cOp1_init()
        Me.RtsEnter_NOT_READY_FOR_PDI_NO_SCP()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI Then
        ThisState = "d0ac6499-0795-4a81-aac7-695f2bd8671e"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NOT_READY_FOR_PDI()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "817c5620-a5d8-460c-97ab-101c24fc435b", 0, NullString)
          Me.RtsEnter_NOT_READY_FOR_PDI_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP Then
        ThisState = "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NOT_READY_FOR_PDI_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "f53c04ae-b35b-458f-aa29-87925359fa5e", 0, NullString)
          Me.RtsEnter_NOT_READY_FOR_PDI()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI Then
        ThisState = "7d9586c7-d170-4d6e-8126-65f5bc706506"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_READY_FOR_PDI()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "23573bf1-1c2c-4004-bff3-0db1b4cb9224", 0, NullString)
          Me.RtsEnter_READY_FOR_PDI_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP Then
        ThisState = "c6891d21-0341-46db-8fcf-8542ec06d9a6"
        If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          Me.RtsExit_READY_FOR_PDI_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "63e37261-abaa-42c5-8ffc-418a82c41c65", 0, NullString)
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_SUSPENDED Then
        ThisState = "19e3cba6-a28d-4995-a341-c70f948e1f3a"
        If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
          Me.RtsExit_SUSPENDED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "289b51e2-ea2c-47f4-82e4-c0efe1a3b8fe", 0, NullString)
          Me.RtsEnter_NOT_READY_FOR_PDI_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "f08f6060-1bb8-4cc2-86f2-92124ca69497", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NotIn_F_SCI_EfeS_Sec;/* #REF1566# */
    ' This.RtsCurrent_ACTIVE := RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_NotIn_ACTIVE;/* #REF1566# */
    ' This.RtsCurrent_ESTABLISHING := RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_NotIn_ESTABLISHING;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "f08f6060-1bb8-4cc2-86f2-92124ca69497", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NotIn_F_SCI_EfeS_Sec
      Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_NotIn_ACTIVE
      Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_NotIn_ESTABLISHING
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a18ccae4-b6fc-454c-b859-0d51f9c1995b|") then
    '   OperatedStates := OperatedStates + "a18ccae4-b6fc-454c-b859-0d51f9c1995b|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ACTIVE ///* #REF520# */
    ' RtsNotify(This,SENTER,"a18ccae4-b6fc-454c-b859-0d51f9c1995b",0,NullString);
    ' 
    ' SimCore.EnterState("a18ccae4-b6fc-454c-b859-0d51f9c1995b","ACTIVE");
    ' 
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE;/* #REF521# */
    ' 
    Private Sub RtsEnter_ACTIVE()
      If not OperatedStates.Contains("a18ccae4-b6fc-454c-b859-0d51f9c1995b|") Then
        OperatedStates = OperatedStates + "a18ccae4-b6fc-454c-b859-0d51f9c1995b|"
      End If
      'Simulation support : Notification function call for entering state : ACTIVE ///* #REF520# */
      RtsNotify(Me, SENTER, "a18ccae4-b6fc-454c-b859-0d51f9c1995b", 0, NullString)
      SimCore.EnterState("a18ccae4-b6fc-454c-b859-0d51f9c1995b", "ACTIVE")
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d0ac6499-0795-4a81-aac7-695f2bd8671e|") then
    '   OperatedStates := OperatedStates + "d0ac6499-0795-4a81-aac7-695f2bd8671e|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NOT_READY_FOR_PDI ///* #REF520# */
    ' RtsNotify(This,SENTER,"d0ac6499-0795-4a81-aac7-695f2bd8671e",0,NullString);
    ' 
    ' SimCore.EnterState("d0ac6499-0795-4a81-aac7-695f2bd8671e","NOT_READY_FOR_PDI");
    ' 
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT dde6ffb0-3124-425e-880b-6760df2e1b35 */  d50out_PDI_Connection_State := "NOT_READY_FOR_PDI"; nullstat;/*##END dde6ffb0-3124-425e-880b-6760df2e1b35 */ 
    Private Sub RtsEnter_NOT_READY_FOR_PDI()
      If not OperatedStates.Contains("d0ac6499-0795-4a81-aac7-695f2bd8671e|") Then
        OperatedStates = OperatedStates + "d0ac6499-0795-4a81-aac7-695f2bd8671e|"
      End If
      'Simulation support : Notification function call for entering state : NOT_READY_FOR_PDI ///* #REF520# */
      RtsNotify(Me, SENTER, "d0ac6499-0795-4a81-aac7-695f2bd8671e", 0, NullString)
      SimCore.EnterState("d0ac6499-0795-4a81-aac7-695f2bd8671e", "NOT_READY_FOR_PDI")
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("NOT_READY_FOR_PDI")
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI_NO_SCP
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|") then
    '   OperatedStates := OperatedStates + "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NOT_READY_FOR_PDI_NO_SCP ///* #REF520# */
    ' RtsNotify(This,SENTER,"ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c",0,NullString);
    ' 
    ' SimCore.EnterState("ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c","NOT_READY_FOR_PDI_NO_SCP");
    ' 
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 366ba315-620f-4b70-b54b-efc6ec5e800e */  d50out_PDI_Connection_State := "NOT_READY_FOR_PDI_NO_SCP"; nullstat;/*##END 366ba315-620f-4b70-b54b-efc6ec5e800e */ 
    Private Sub RtsEnter_NOT_READY_FOR_PDI_NO_SCP()
      If not OperatedStates.Contains("ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|") Then
        OperatedStates = OperatedStates + "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|"
      End If
      'Simulation support : Notification function call for entering state : NOT_READY_FOR_PDI_NO_SCP ///* #REF520# */
      RtsNotify(Me, SENTER, "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c", 0, NullString)
      SimCore.EnterState("ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c", "NOT_READY_FOR_PDI_NO_SCP")
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("NOT_READY_FOR_PDI_NO_SCP")
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7d9586c7-d170-4d6e-8126-65f5bc706506|") then
    '   OperatedStates := OperatedStates + "7d9586c7-d170-4d6e-8126-65f5bc706506|";
    ' end if
    ' // Simulation support : Notification function call for entering state : READY_FOR_PDI ///* #REF520# */
    ' RtsNotify(This,SENTER,"7d9586c7-d170-4d6e-8126-65f5bc706506",0,NullString);
    ' 
    ' SimCore.EnterState("7d9586c7-d170-4d6e-8126-65f5bc706506","READY_FOR_PDI");
    ' 
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 3843aad6-69dd-49b6-8a79-0f64a2e91e7b */  d50out_PDI_Connection_State := "READY_FOR_PDI"; nullstat;/*##END 3843aad6-69dd-49b6-8a79-0f64a2e91e7b */ 
    Private Sub RtsEnter_READY_FOR_PDI()
      If not OperatedStates.Contains("7d9586c7-d170-4d6e-8126-65f5bc706506|") Then
        OperatedStates = OperatedStates + "7d9586c7-d170-4d6e-8126-65f5bc706506|"
      End If
      'Simulation support : Notification function call for entering state : READY_FOR_PDI ///* #REF520# */
      RtsNotify(Me, SENTER, "7d9586c7-d170-4d6e-8126-65f5bc706506", 0, NullString)
      SimCore.EnterState("7d9586c7-d170-4d6e-8126-65f5bc706506", "READY_FOR_PDI")
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("READY_FOR_PDI")
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_PDI_NO_SCP
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("c6891d21-0341-46db-8fcf-8542ec06d9a6|") then
    '   OperatedStates := OperatedStates + "c6891d21-0341-46db-8fcf-8542ec06d9a6|";
    ' end if
    ' // Simulation support : Notification function call for entering state : READY_FOR_PDI_NO_SCP ///* #REF520# */
    ' RtsNotify(This,SENTER,"c6891d21-0341-46db-8fcf-8542ec06d9a6",0,NullString);
    ' 
    ' SimCore.EnterState("c6891d21-0341-46db-8fcf-8542ec06d9a6","READY_FOR_PDI_NO_SCP");
    ' 
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT af0ec2cf-d718-41f7-ba5a-0ebb5d985d5e */  d50out_PDI_Connection_State := "READY_FOR_PDI_NO_SCP"; nullstat;/*##END af0ec2cf-d718-41f7-ba5a-0ebb5d985d5e */ 
    Private Sub RtsEnter_READY_FOR_PDI_NO_SCP()
      If not OperatedStates.Contains("c6891d21-0341-46db-8fcf-8542ec06d9a6|") Then
        OperatedStates = OperatedStates + "c6891d21-0341-46db-8fcf-8542ec06d9a6|"
      End If
      'Simulation support : Notification function call for entering state : READY_FOR_PDI_NO_SCP ///* #REF520# */
      RtsNotify(Me, SENTER, "c6891d21-0341-46db-8fcf-8542ec06d9a6", 0, NullString)
      SimCore.EnterState("c6891d21-0341-46db-8fcf-8542ec06d9a6", "READY_FOR_PDI_NO_SCP")
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("READY_FOR_PDI_NO_SCP")
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("19e3cba6-a28d-4995-a341-c70f948e1f3a|") then
    '   OperatedStates := OperatedStates + "19e3cba6-a28d-4995-a341-c70f948e1f3a|";
    ' end if
    ' // Simulation support : Notification function call for entering state : SUSPENDED ///* #REF520# */
    ' RtsNotify(This,SENTER,"19e3cba6-a28d-4995-a341-c70f948e1f3a",0,NullString);
    ' 
    ' SimCore.EnterState("19e3cba6-a28d-4995-a341-c70f948e1f3a","SUSPENDED");
    ' 
    ' This.RtsCurrent_F_SCI_EfeS_Sec := RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_SUSPENDED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 7d33ed00-3d00-41ed-9efd-9910eadcc0c5 */  d50out_PDI_Connection_State := "SUSPENDED";
    ' send PDI_Released_For_Maintenance to p2inout ; nullstat;/*##END 7d33ed00-3d00-41ed-9efd-9910eadcc0c5 */ 
    Private Sub RtsEnter_SUSPENDED()
      If not OperatedStates.Contains("19e3cba6-a28d-4995-a341-c70f948e1f3a|") Then
        OperatedStates = OperatedStates + "19e3cba6-a28d-4995-a341-c70f948e1f3a|"
      End If
      'Simulation support : Notification function call for entering state : SUSPENDED ///* #REF520# */
      RtsNotify(Me, SENTER, "19e3cba6-a28d-4995-a341-c70f948e1f3a", 0, NullString)
      SimCore.EnterState("19e3cba6-a28d-4995-a341-c70f948e1f3a", "SUSPENDED")
      Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_SUSPENDED
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("SUSPENDED")
      p2inout.SendEvent(New PDI_Released_For_Maintenance)
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("934edf42-0231-4aa8-8619-acc8e372638d|") then
    '   OperatedStates := OperatedStates + "934edf42-0231-4aa8-8619-acc8e372638d|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ESTABLISHING ///* #REF520# */
    ' RtsNotify(This,SENTER,"934edf42-0231-4aa8-8619-acc8e372638d",0,NullString);
    ' 
    ' SimCore.EnterState("934edf42-0231-4aa8-8619-acc8e372638d","ACTIVE::ESTABLISHING");
    ' 
    ' This.RtsCurrent_ACTIVE := RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING;/* #REF521# */
    ' 
    Private Sub RtsEnter_ESTABLISHING()
      If not OperatedStates.Contains("934edf42-0231-4aa8-8619-acc8e372638d|") Then
        OperatedStates = OperatedStates + "934edf42-0231-4aa8-8619-acc8e372638d|"
      End If
      'Simulation support : Notification function call for entering state : ESTABLISHING ///* #REF520# */
      RtsNotify(Me, SENTER, "934edf42-0231-4aa8-8619-acc8e372638d", 0, NullString)
      SimCore.EnterState("934edf42-0231-4aa8-8619-acc8e372638d", "ACTIVE::ESTABLISHING")
      Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHED
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("31dca9ac-8214-4192-aae9-ca4acdd441ba|") then
    '   OperatedStates := OperatedStates + "31dca9ac-8214-4192-aae9-ca4acdd441ba|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ESTABLISHED ///* #REF520# */
    ' RtsNotify(This,SENTER,"31dca9ac-8214-4192-aae9-ca4acdd441ba",0,NullString);
    ' 
    ' SimCore.EnterState("31dca9ac-8214-4192-aae9-ca4acdd441ba","ACTIVE::ESTABLISHED");
    ' 
    ' This.RtsCurrent_ACTIVE := RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 643b7598-ff16-4f52-abd6-070a8de9af69 */  d50out_PDI_Connection_State := "ESTABLISHED";
    ' send PDI_Connection_Established to p2inout ; nullstat;/*##END 643b7598-ff16-4f52-abd6-070a8de9af69 */ 
    Private Sub RtsEnter_ESTABLISHED()
      If not OperatedStates.Contains("31dca9ac-8214-4192-aae9-ca4acdd441ba|") Then
        OperatedStates = OperatedStates + "31dca9ac-8214-4192-aae9-ca4acdd441ba|"
      End If
      'Simulation support : Notification function call for entering state : ESTABLISHED ///* #REF520# */
      RtsNotify(Me, SENTER, "31dca9ac-8214-4192-aae9-ca4acdd441ba", 0, NullString)
      SimCore.EnterState("31dca9ac-8214-4192-aae9-ca4acdd441ba", "ACTIVE::ESTABLISHED")
      Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("ESTABLISHED")
      p2inout.SendEvent(New PDI_Connection_Established)
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_INITIALISATION
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("06869a26-5c83-4188-9e40-7a9bfc6b1837|") then
    '   OperatedStates := OperatedStates + "06869a26-5c83-4188-9e40-7a9bfc6b1837|";
    ' end if
    ' // Simulation support : Notification function call for entering state : READY_FOR_INITIALISATION ///* #REF520# */
    ' RtsNotify(This,SENTER,"06869a26-5c83-4188-9e40-7a9bfc6b1837",0,NullString);
    ' 
    ' SimCore.EnterState("06869a26-5c83-4188-9e40-7a9bfc6b1837","ACTIVE::ESTABLISHING::READY_FOR_INITIALISATION");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 11c09e3f-3f1b-49ed-9953-09d4be1827bf */  d50out_PDI_Connection_State := "READY_FOR_INITIALISATION"; nullstat;/*##END 11c09e3f-3f1b-49ed-9953-09d4be1827bf */ 
    Private Sub RtsEnter_READY_FOR_INITIALISATION()
      If not OperatedStates.Contains("06869a26-5c83-4188-9e40-7a9bfc6b1837|") Then
        OperatedStates = OperatedStates + "06869a26-5c83-4188-9e40-7a9bfc6b1837|"
      End If
      'Simulation support : Notification function call for entering state : READY_FOR_INITIALISATION ///* #REF520# */
      RtsNotify(Me, SENTER, "06869a26-5c83-4188-9e40-7a9bfc6b1837", 0, NullString)
      SimCore.EnterState("06869a26-5c83-4188-9e40-7a9bfc6b1837", "ACTIVE::ESTABLISHING::READY_FOR_INITIALISATION")
      Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("READY_FOR_INITIALISATION")
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_STATUS
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("201ad4bd-4e5f-4ede-8224-164d12195079|") then
    '   OperatedStates := OperatedStates + "201ad4bd-4e5f-4ede-8224-164d12195079|";
    ' end if
    ' // Simulation support : Notification function call for entering state : SENDING_STATUS ///* #REF520# */
    ' RtsNotify(This,SENTER,"201ad4bd-4e5f-4ede-8224-164d12195079",0,NullString);
    ' 
    ' SimCore.EnterState("201ad4bd-4e5f-4ede-8224-164d12195079","ACTIVE::ESTABLISHING::SENDING_STATUS");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 416ce04a-cb0c-4277-b309-f00b477f86d2 */  d50out_PDI_Connection_State := "SENDING_STATUS";
    ' send Start_Status_Report to p3inout ; nullstat;/*##END 416ce04a-cb0c-4277-b309-f00b477f86d2 */ 
    Private Sub RtsEnter_SENDING_STATUS()
      If not OperatedStates.Contains("201ad4bd-4e5f-4ede-8224-164d12195079|") Then
        OperatedStates = OperatedStates + "201ad4bd-4e5f-4ede-8224-164d12195079|"
      End If
      'Simulation support : Notification function call for entering state : SENDING_STATUS ///* #REF520# */
      RtsNotify(Me, SENTER, "201ad4bd-4e5f-4ede-8224-164d12195079", 0, NullString)
      SimCore.EnterState("201ad4bd-4e5f-4ede-8224-164d12195079", "ACTIVE::ESTABLISHING::SENDING_STATUS")
      Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("SENDING_STATUS")
      p3inout.SendEvent(New Start_Status_Report)
    End Sub
    
    ' \ART_SMG :: Created for state : VERSION_UNEQUAL
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("09581792-b5ef-4212-a501-ba79efd84fb2|") then
    '   OperatedStates := OperatedStates + "09581792-b5ef-4212-a501-ba79efd84fb2|";
    ' end if
    ' // Simulation support : Notification function call for entering state : VERSION_UNEQUAL ///* #REF520# */
    ' RtsNotify(This,SENTER,"09581792-b5ef-4212-a501-ba79efd84fb2",0,NullString);
    ' 
    ' SimCore.EnterState("09581792-b5ef-4212-a501-ba79efd84fb2","ACTIVE::ESTABLISHING::VERSION_UNEQUAL");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 5537e6d7-8c6e-4dd5-a4f8-a97a518a9522 */  d50out_PDI_Connection_State := "VERSION_UNEQUAL"; nullstat;/*##END 5537e6d7-8c6e-4dd5-a4f8-a97a518a9522 */ 
    Private Sub RtsEnter_VERSION_UNEQUAL()
      If not OperatedStates.Contains("09581792-b5ef-4212-a501-ba79efd84fb2|") Then
        OperatedStates = OperatedStates + "09581792-b5ef-4212-a501-ba79efd84fb2|"
      End If
      'Simulation support : Notification function call for entering state : VERSION_UNEQUAL ///* #REF520# */
      RtsNotify(Me, SENTER, "09581792-b5ef-4212-a501-ba79efd84fb2", 0, NullString)
      SimCore.EnterState("09581792-b5ef-4212-a501-ba79efd84fb2", "ACTIVE::ESTABLISHING::VERSION_UNEQUAL")
      Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("VERSION_UNEQUAL")
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ACTIVE
    ' 	RtsNotify(This,SEXIT,"a18ccae4-b6fc-454c-b859-0d51f9c1995b",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ACTIVE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ACTIVE()
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        'Simulation support : Notification function call for exiting state : ACTIVE
        RtsNotify(Me, SEXIT, "a18ccae4-b6fc-454c-b859-0d51f9c1995b", 0, NullString)
        RtsExitSSOf_ACTIVE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NOT_READY_FOR_PDI
    ' 	RtsNotify(This,SEXIT,"d0ac6499-0795-4a81-aac7-695f2bd8671e",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NOT_READY_FOR_PDI ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NOT_READY_FOR_PDI()
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI Then
        'Simulation support : Notification function call for exiting state : NOT_READY_FOR_PDI
        RtsNotify(Me, SEXIT, "d0ac6499-0795-4a81-aac7-695f2bd8671e", 0, NullString)
        RtsExitSSOf_NOT_READY_FOR_PDI()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI_NO_SCP
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NOT_READY_FOR_PDI_NO_SCP
    ' 	RtsNotify(This,SEXIT,"ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NOT_READY_FOR_PDI_NO_SCP ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NOT_READY_FOR_PDI_NO_SCP()
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP Then
        'Simulation support : Notification function call for exiting state : NOT_READY_FOR_PDI_NO_SCP
        RtsNotify(Me, SEXIT, "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c", 0, NullString)
        RtsExitSSOf_NOT_READY_FOR_PDI_NO_SCP()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : READY_FOR_PDI
    ' 	RtsNotify(This,SEXIT,"7d9586c7-d170-4d6e-8126-65f5bc706506",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_READY_FOR_PDI ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_READY_FOR_PDI()
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI Then
        'Simulation support : Notification function call for exiting state : READY_FOR_PDI
        RtsNotify(Me, SEXIT, "7d9586c7-d170-4d6e-8126-65f5bc706506", 0, NullString)
        RtsExitSSOf_READY_FOR_PDI()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_PDI_NO_SCP
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : READY_FOR_PDI_NO_SCP
    ' 	RtsNotify(This,SEXIT,"c6891d21-0341-46db-8fcf-8542ec06d9a6",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_READY_FOR_PDI_NO_SCP ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_READY_FOR_PDI_NO_SCP()
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP Then
        'Simulation support : Notification function call for exiting state : READY_FOR_PDI_NO_SCP
        RtsNotify(Me, SEXIT, "c6891d21-0341-46db-8fcf-8542ec06d9a6", 0, NullString)
        RtsExitSSOf_READY_FOR_PDI_NO_SCP()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_SUSPENDED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : SUSPENDED
    ' 	RtsNotify(This,SEXIT,"19e3cba6-a28d-4995-a341-c70f948e1f3a",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_SUSPENDED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_SUSPENDED()
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_SUSPENDED Then
        'Simulation support : Notification function call for exiting state : SUSPENDED
        RtsNotify(Me, SEXIT, "19e3cba6-a28d-4995-a341-c70f948e1f3a", 0, NullString)
        RtsExitSSOf_SUSPENDED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ESTABLISHING
    ' 	RtsNotify(This,SEXIT,"934edf42-0231-4aa8-8619-acc8e372638d",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ESTABLISHING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ESTABLISHING()
      If Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING Then
        'Simulation support : Notification function call for exiting state : ESTABLISHING
        RtsNotify(Me, SEXIT, "934edf42-0231-4aa8-8619-acc8e372638d", 0, NullString)
        RtsExitSSOf_ESTABLISHING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHED
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ESTABLISHED
    ' 	RtsNotify(This,SEXIT,"31dca9ac-8214-4192-aae9-ca4acdd441ba",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ESTABLISHED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ESTABLISHED()
      If Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED Then
        'Simulation support : Notification function call for exiting state : ESTABLISHED
        RtsNotify(Me, SEXIT, "31dca9ac-8214-4192-aae9-ca4acdd441ba", 0, NullString)
        RtsExitSSOf_ESTABLISHED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_INITIALISATION
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : READY_FOR_INITIALISATION
    ' 	RtsNotify(This,SEXIT,"06869a26-5c83-4188-9e40-7a9bfc6b1837",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_READY_FOR_INITIALISATION ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_READY_FOR_INITIALISATION()
      If Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION Then
        'Simulation support : Notification function call for exiting state : READY_FOR_INITIALISATION
        RtsNotify(Me, SEXIT, "06869a26-5c83-4188-9e40-7a9bfc6b1837", 0, NullString)
        RtsExitSSOf_READY_FOR_INITIALISATION()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_STATUS
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : SENDING_STATUS
    ' 	RtsNotify(This,SEXIT,"201ad4bd-4e5f-4ede-8224-164d12195079",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_SENDING_STATUS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_SENDING_STATUS()
      If Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS Then
        'Simulation support : Notification function call for exiting state : SENDING_STATUS
        RtsNotify(Me, SEXIT, "201ad4bd-4e5f-4ede-8224-164d12195079", 0, NullString)
        RtsExitSSOf_SENDING_STATUS()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : VERSION_UNEQUAL
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : VERSION_UNEQUAL
    ' 	RtsNotify(This,SEXIT,"09581792-b5ef-4212-a501-ba79efd84fb2",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_VERSION_UNEQUAL ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_VERSION_UNEQUAL()
      If Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL Then
        'Simulation support : Notification function call for exiting state : VERSION_UNEQUAL
        RtsNotify(Me, SEXIT, "09581792-b5ef-4212-a501-ba79efd84fb2", 0, NullString)
        RtsExitSSOf_VERSION_UNEQUAL()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"e761b11d-6ec5-4998-8df8-73216310791b",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"e761b11d-6ec5-4998-8df8-73216310791b",0,NullString);/* #REF1576# */
    ' This.RtsEnter_ACTIVE();/* #REF1577# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"70b8c20e-1803-44f3-a14c-f571d3f0e315",0,NullString);/* #REF1585# */
    ' /*##STRT 724a793a-f9eb-4c7f-b17b-c06028600ae7 */  nullstat;/*##END 724a793a-f9eb-4c7f-b17b-c06028600ae7 */ /* #REF1546# */
    ' This.RtsDefault_ESTABLISHING();/* #REF1587# */
    ' 
    Private Sub RtsDefault_ACTIVE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "e761b11d-6ec5-4998-8df8-73216310791b", 0, NullString)
      RtsNotify(Me, SEXIT, "e761b11d-6ec5-4998-8df8-73216310791b", 0, NullString)
      Me.RtsEnter_ACTIVE()
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "70b8c20e-1803-44f3-a14c-f571d3f0e315", 0, NullString)
      Me.RtsDefault_ESTABLISHING()
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"388bfb0b-92b1-416c-af61-4e4d8912d08a",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"388bfb0b-92b1-416c-af61-4e4d8912d08a",0,NullString);/* #REF1576# */
    ' This.RtsEnter_ESTABLISHING();/* #REF1577# */
    ' If (Mem_PDI_Version = D3in_Con_PDI_Version) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"2f54ba20-95ba-4754-9e37-80299d1cf394",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"ef866f65-4adb-4344-af03-6a0b67773c0d",0,NullString);/* #REF1585# */
    ' 	/*##STRT 003d582e-886d-46e8-a568-f41098cef02d */  nullstat;/*##END 003d582e-886d-46e8-a568-f41098cef02d */ /* #REF1578# */
    ' /*##STRT 69a4d08b-9756-450c-a794-1959c97ee631 */ 
    ' send Msg_PDI_Version_Check ("match", D4in_Con_Checksum_Data , D3in_Con_PDI_Version ) to P1inout ; nullstat;/*##END 69a4d08b-9756-450c-a794-1959c97ee631 */ /* #REF1546# */
    ' 	This.RtsEnter_READY_FOR_INITIALISATION();/* #REF1590# */
    ' 	ElseIf (NOT (Mem_PDI_Version = D3in_Con_PDI_Version)) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"2f54ba20-95ba-4754-9e37-80299d1cf394",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"d2abf82b-0437-4c2a-acf7-19fb3794a29f",0,NullString);/* #REF1585# */
    ' 	/*##STRT 003d582e-886d-46e8-a568-f41098cef02d */  nullstat;/*##END 003d582e-886d-46e8-a568-f41098cef02d */ /* #REF1578# */
    ' /*##STRT b3010b4b-85d8-4b93-ac96-5b1117a6ca78 */ 
    ' send Msg_PDI_Version_Check ("not match", D4in_Con_Checksum_Data , D3in_Con_PDI_Version ) to P1inout ; nullstat;/*##END b3010b4b-85d8-4b93-ac96-5b1117a6ca78 */ /* #REF1546# */
    ' 	This.RtsEnter_VERSION_UNEQUAL();/* #REF1590# */
    ' 	/* #REF158644# */
    ' End If
    ' 
    Private Sub RtsDefault_ESTABLISHING()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "388bfb0b-92b1-416c-af61-4e4d8912d08a", 0, NullString)
      RtsNotify(Me, SEXIT, "388bfb0b-92b1-416c-af61-4e4d8912d08a", 0, NullString)
      Me.RtsEnter_ESTABLISHING()
      If (Mem_PDI_Version = D3in_Con_PDI_Version.GetLatchedValue()) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "2f54ba20-95ba-4754-9e37-80299d1cf394", 0, NullString)
        RtsNotify(Me, TRANSITION, "ef866f65-4adb-4344-af03-6a0b67773c0d", 0, NullString)
        P1inout.SendEvent(New Msg_PDI_Version_Check("match", D4in_Con_Checksum_Data.GetLatchedValue(), D3in_Con_PDI_Version.GetLatchedValue()))
        Me.RtsEnter_READY_FOR_INITIALISATION()
      ElseIf (NOT (Mem_PDI_Version = D3in_Con_PDI_Version.GetLatchedValue())) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "2f54ba20-95ba-4754-9e37-80299d1cf394", 0, NullString)
        RtsNotify(Me, TRANSITION, "d2abf82b-0437-4c2a-acf7-19fb3794a29f", 0, NullString)
        P1inout.SendEvent(New Msg_PDI_Version_Check("not match", D4in_Con_Checksum_Data.GetLatchedValue(), D3in_Con_PDI_Version.GetLatchedValue()))
        Me.RtsEnter_VERSION_UNEQUAL()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_SCI_EfeS_Sec)
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_SCI_EfeS_Sec" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_EfeS_Sec, "RtsF_SCI_EfeS_Sec_States");
    ' end if
    ' if Name = "RtsCurrent_ACTIVE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsF_SCI_EfeS_SecACTIVE_States");
    ' end if
    ' if Name = "RtsCurrent_ESTABLISHING" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsF_SCI_EfeS_SecESTABLISHING_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_SCI_EfeS_Sec" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_EfeS_Sec, "RtsF_SCI_EfeS_Sec_States");
    ' end if
    ' if Name = "RtsCurrent_ACTIVE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsF_SCI_EfeS_SecACTIVE_States");
    ' end if
    ' if Name = "RtsCurrent_ESTABLISHING" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsF_SCI_EfeS_SecESTABLISHING_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "f08f6060-1bb8-4cc2-86f2-92124ca69497";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "8";
    '   Value := Value + "|RtsCurrent_F_SCI_EfeS_Sec";
    '   Value := Value + "|RtsCurrent_ACTIVE";
    '   Value := Value + "|RtsCurrent_ESTABLISHING";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_SCI_EfeS_Sec";
    '   Value := Value + "|RtsCurrent_ACTIVE";
    '   Value := Value + "|RtsCurrent_ESTABLISHING";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_SCI_EfeS_Sec)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_SCI_EfeS_Sec" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_EfeS_Sec, "RtsF_SCI_EfeS_Sec_States")
      End If
      If Name = "RtsCurrent_ACTIVE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsF_SCI_EfeS_SecACTIVE_States")
      End If
      If Name = "RtsCurrent_ESTABLISHING" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsF_SCI_EfeS_SecESTABLISHING_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_SCI_EfeS_Sec" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_EfeS_Sec, "RtsF_SCI_EfeS_Sec_States")
      End If
      If Name = "RtsCurrent_ACTIVE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsF_SCI_EfeS_SecACTIVE_States")
      End If
      If Name = "RtsCurrent_ESTABLISHING" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsF_SCI_EfeS_SecESTABLISHING_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "f08f6060-1bb8-4cc2-86f2-92124ca69497"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "8"
        Value = Value + "|RtsCurrent_F_SCI_EfeS_Sec"
        Value = Value + "|RtsCurrent_ACTIVE"
        Value = Value + "|RtsCurrent_ESTABLISHING"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_SCI_EfeS_Sec"
        Value = Value + "|RtsCurrent_ACTIVE"
        Value = Value + "|RtsCurrent_ESTABLISHING"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_SCI_EfeS_Sec" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_SCI_EfeS_Sec, Value, "RtsF_SCI_EfeS_Sec_States", GetType(F_SCI_EfeS_Sec.RtsF_SCI_EfeS_Sec_States));
    ' end if
    ' if Name = "RtsCurrent_ACTIVE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_ACTIVE, Value, "RtsF_SCI_EfeS_SecACTIVE_States", GetType(F_SCI_EfeS_Sec.RtsF_SCI_EfeS_SecACTIVE_States));
    ' end if
    ' if Name = "RtsCurrent_ESTABLISHING" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_ESTABLISHING, Value, "RtsF_SCI_EfeS_SecESTABLISHING_States", GetType(F_SCI_EfeS_Sec.RtsF_SCI_EfeS_SecESTABLISHING_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_SCI_EfeS_Sec)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_SCI_EfeS_Sec" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_SCI_EfeS_Sec, Value, "RtsF_SCI_EfeS_Sec_States", GetType(F_SCI_EfeS_Sec.RtsF_SCI_EfeS_Sec_States))
      End If
      If Name = "RtsCurrent_ACTIVE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_ACTIVE, Value, "RtsF_SCI_EfeS_SecACTIVE_States", GetType(F_SCI_EfeS_Sec.RtsF_SCI_EfeS_SecACTIVE_States))
      End If
      If Name = "RtsCurrent_ESTABLISHING" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_ESTABLISHING, Value, "RtsF_SCI_EfeS_SecESTABLISHING_States", GetType(F_SCI_EfeS_Sec.RtsF_SCI_EfeS_SecESTABLISHING_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Close_PDI_In_F_SCI_EfeS_Sec(RetValue, RequestedCloseReason);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Close_PDI(ByVal RequestedCloseReason As CloseReason)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Close_PDI_In_F_SCI_EfeS_Sec(RetValue, RequestedCloseReason)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Release_PDI_for_Maintenance_In_F_SCI_EfeS_Sec(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Release_PDI_for_Maintenance()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Release_PDI_for_Maintenance_In_F_SCI_EfeS_Sec(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsNotReady_For_PDI_Connection_In_F_SCI_EfeS_Sec(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsNotReady_For_PDI_Connection()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsNotReady_For_PDI_Connection_In_F_SCI_EfeS_Sec(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_INITIALISATION
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Initialisation_Request_In_F_SCI_EfeS_Sec(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Initialisation_Request()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Initialisation_Request_In_F_SCI_EfeS_Sec(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_STATUS
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsStatus_Report_Completed_In_F_SCI_EfeS_Sec(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsStatus_Report_Completed()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsStatus_Report_Completed_In_F_SCI_EfeS_Sec(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_PDI_Version_Check_In_F_SCI_EfeS_Sec(RetValue, PDI_Version);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_PDI_Version_Check(ByVal PDI_Version As String)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_PDI_Version_Check_In_F_SCI_EfeS_Sec(RetValue, PDI_Version)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsReady_For_PDI_Connection_In_F_SCI_EfeS_Sec(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsReady_For_PDI_Connection()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsReady_For_PDI_Connection_In_F_SCI_EfeS_Sec(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 6b259ffb-d1fd-4c80-bf08-f93f66a67206 */ ( RequestedCloseReason = CloseReason.OtherVersionRequired )/*##END 6b259ffb-d1fd-4c80-bf08-f93f66a67206 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"0c4253aa-35ca-471c-90e5-58138bb33e45",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT efc87351-b21a-42fa-95cd-0eaaaebe059a */ 
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "PDI Other Version Required"; nullstat;/*##END efc87351-b21a-42fa-95cd-0eaaaebe059a */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 3aca5cfe-6570-49e4-94a7-218b237631b8 */ ( RequestedCloseReason = CloseReason.ContentTelegramError )/*##END 3aca5cfe-6570-49e4-94a7-218b237631b8 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"28c1a1c3-1d0d-47ff-a6ab-9ce4355075fa",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 12fe5193-1be0-400c-bd2f-087885d50c76 */ 
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "EIL Content Telegram Error"; nullstat;/*##END 12fe5193-1be0-400c-bd2f-087885d50c76 */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT c49b8f0d-3e74-4e91-a593-c75b82223ca6 */ ( RequestedCloseReason = CloseReason.FormalTelegramError )/*##END c49b8f0d-3e74-4e91-a593-c75b82223ca6 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"86971a36-458b-429e-9432-fff5c8dffe7c",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 7cf00465-a007-42f2-82e3-8114b14f6526 */ 
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "EIL Formal Telegram Error"; nullstat;/*##END 7cf00465-a007-42f2-82e3-8114b14f6526 */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 64f00607-31af-47ff-a1c7-b9f89fbd1148 */ ( RequestedCloseReason = CloseReason.NormalClose )/*##END 64f00607-31af-47ff-a1c7-b9f89fbd1148 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ae808659-fefe-42f9-b493-4a60afecc4f8",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ae6ff4e7-0cca-4578-bb1d-a3b14bcaaed5 */ 
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "PDI Normal Close"; nullstat;/*##END ae6ff4e7-0cca-4578-bb1d-a3b14bcaaed5 */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 0c6dd0f1-6589-43bf-85cc-b0f70423e297 */ ( RequestedCloseReason = CloseReason.ProtocolError )/*##END 0c6dd0f1-6589-43bf-85cc-b0f70423e297 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"cae19741-b40c-4040-ba6a-218a4c8ca67d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 96b2176c-48b8-4e3c-ac9e-5e53f748acf9 */ 
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "EIL Protocol Error"; nullstat;/*##END 96b2176c-48b8-4e3c-ac9e-5e53f748acf9 */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 14353a09-8771-4cba-9960-98af2a74a511 */ ( RequestedCloseReason = CloseReason.Timeout )/*##END 14353a09-8771-4cba-9960-98af2a74a511 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"081b09e8-4cb8-451d-8341-274cab191be6",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4038b4d3-45a8-49a5-bde3-fc910d0dfcaa */ 
    ' send PDI_Connection_Closed to p2inout ;
    '  d60out_PDI_Close_Reason := "PDI Timeout"; nullstat;/*##END 4038b4d3-45a8-49a5-bde3-fc910d0dfcaa */ /* #REF1546# */
    ' 		This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Close_PDI_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean, ByVal RequestedCloseReason As CloseReason)
      'H1 ACTIVE
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        If (RequestedCloseReason = CloseReason.OtherVersionRequired) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "0c4253aa-35ca-471c-90e5-58138bb33e45", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("PDI Other Version Required")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
        If (RequestedCloseReason = CloseReason.ContentTelegramError) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "28c1a1c3-1d0d-47ff-a6ab-9ce4355075fa", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("EIL Content Telegram Error")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
        If (RequestedCloseReason = CloseReason.FormalTelegramError) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "86971a36-458b-429e-9432-fff5c8dffe7c", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("EIL Formal Telegram Error")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
        If (RequestedCloseReason = CloseReason.NormalClose) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ae808659-fefe-42f9-b493-4a60afecc4f8", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("PDI Normal Close")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
        If (RequestedCloseReason = CloseReason.ProtocolError) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "cae19741-b40c-4040-ba6a-218a4c8ca67d", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("EIL Protocol Error")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
        If (RequestedCloseReason = CloseReason.Timeout) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "081b09e8-4cb8-451d-8341-274cab191be6", 0, NullString)
          p2inout.SendEvent(New PDI_Connection_Closed)
          d60out_PDI_Close_Reason.SetValue("PDI Timeout")
          Me.RtsEnter_READY_FOR_PDI()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_ACTIVE */
    ' 	/* standard */
    ' 	This.RtsExit_ACTIVE();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"d8d8d9ff-76a5-40d9-a266-c9abef9a9473",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 73bbf565-d7fb-42af-a35d-1e7ebf5d483b */  nullstat;/*##END 73bbf565-d7fb-42af-a35d-1e7ebf5d483b */ /* #REF1546# */
    ' 	This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Release_PDI_for_Maintenance_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean)
      'H1 ACTIVE
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        Me.RtsExit_ACTIVE()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "d8d8d9ff-76a5-40d9-a266-c9abef9a9473", 0, NullString)
        Me.RtsEnter_SUSPENDED()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_ACTIVE */
    ' 	/* standard */
    ' 	This.RtsExit_ACTIVE();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"1b64bf84-665d-46e8-8c82-0de6b1e437e0",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 62acbb83-65b1-4e5c-b1b6-8f9633706dd3 */ 
    ' send Msg_PDI_Not_Available to P1inout ; nullstat;/*##END 62acbb83-65b1-4e5c-b1b6-8f9633706dd3 */ /* #REF1546# */
    ' 	This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 READY_FOR_PDI
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_READY_FOR_PDI */
    ' 	/* standard */
    ' 	This.RtsExit_READY_FOR_PDI();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"4e64e8c5-a7c9-4f45-8151-9e17fd605b58",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 8a74b732-88eb-4b2f-9e94-3ee5eed0b938 */  nullstat;/*##END 8a74b732-88eb-4b2f-9e94-3ee5eed0b938 */ /* #REF1546# */
    ' 	This.RtsEnter_NOT_READY_FOR_PDI();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 READY_FOR_PDI_NO_SCP
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_READY_FOR_PDI_NO_SCP */
    ' 	/* standard */
    ' 	This.RtsExit_READY_FOR_PDI_NO_SCP();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"74f63622-942f-4486-815c-5e95cc2239ff",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT fbdcc5bf-5f3a-4be8-9bd2-e58f9e9c4fd9 */  nullstat;/*##END fbdcc5bf-5f3a-4be8-9bd2-e58f9e9c4fd9 */ /* #REF1546# */
    ' 	This.RtsEnter_NOT_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsNotReady_For_PDI_Connection_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean)
      'H1 ACTIVE
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        Me.RtsExit_ACTIVE()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "1b64bf84-665d-46e8-8c82-0de6b1e437e0", 0, NullString)
        P1inout.SendEvent(New Msg_PDI_Not_Available)
        Me.RtsEnter_SUSPENDED()
        RetValue = True
        Return
      End If
      'H1 READY_FOR_PDI
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI Then
        Me.RtsExit_READY_FOR_PDI()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "4e64e8c5-a7c9-4f45-8151-9e17fd605b58", 0, NullString)
        Me.RtsEnter_NOT_READY_FOR_PDI()
        RetValue = True
        Return
      End If
      'H1 READY_FOR_PDI_NO_SCP
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI_NO_SCP Then
        Me.RtsExit_READY_FOR_PDI_NO_SCP()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "74f63622-942f-4486-815c-5e95cc2239ff", 0, NullString)
        Me.RtsEnter_NOT_READY_FOR_PDI_NO_SCP()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 ACTIVE - call into substate
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCd_Initialisation_Request_In_ACTIVE(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Initialisation_Request_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 ACTIVE - call into substate
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        RtsCd_Initialisation_Request_In_ACTIVE(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ESTABLISHING
    ' // H1 ESTABLISHING - call into substate
    ' if This.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCd_Initialisation_Request_In_ESTABLISHING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Initialisation_Request_In_ACTIVE(ByRef RetValue As Boolean)
      'H1 ESTABLISHING
      'H1 ESTABLISHING - call into substate
      If Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING Then
        RtsCd_Initialisation_Request_In_ESTABLISHING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 READY_FOR_INITIALISATION
    ' if This.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_READY_FOR_INITIALISATION */
    ' 	/* standard */
    ' 	This.RtsExit_READY_FOR_INITIALISATION();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"a3ae2a9e-0507-40aa-90f2-0e8034fdeee7",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 2889babb-26a4-421f-9f35-aaaa5b2bb49d */ 
    ' send Msg_Start_Initialisation to P1inout ; nullstat;/*##END 2889babb-26a4-421f-9f35-aaaa5b2bb49d */ /* #REF1546# */
    ' 	This.RtsEnter_SENDING_STATUS();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Initialisation_Request_In_ESTABLISHING(ByRef RetValue As Boolean)
      'H1 READY_FOR_INITIALISATION
      If Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION Then
        Me.RtsExit_READY_FOR_INITIALISATION()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "a3ae2a9e-0507-40aa-90f2-0e8034fdeee7", 0, NullString)
        P1inout.SendEvent(New Msg_Start_Initialisation)
        Me.RtsEnter_SENDING_STATUS()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 ACTIVE - call into substate
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsStatus_Report_Completed_In_ACTIVE(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsStatus_Report_Completed_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 ACTIVE - call into substate
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_ACTIVE Then
        RtsStatus_Report_Completed_In_ACTIVE(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ESTABLISHING
    ' // H1 ESTABLISHING - call into substate
    ' if This.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsStatus_Report_Completed_In_ESTABLISHING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsStatus_Report_Completed_In_ACTIVE(ByRef RetValue As Boolean)
      'H1 ESTABLISHING
      'H1 ESTABLISHING - call into substate
      If Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING Then
        RtsStatus_Report_Completed_In_ESTABLISHING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 SENDING_STATUS
    ' if This.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_ESTABLISHING */
    ' 	/* standard */
    ' 	This.RtsExit_ESTABLISHING();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"0b79334c-e72d-49d0-b8a8-5731c6d0ffc7",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 7df60ae6-724f-4654-b3ce-19516c18f92c */ 
    ' send Msg_Initialisation_Completed to P1inout ; nullstat;/*##END 7df60ae6-724f-4654-b3ce-19516c18f92c */ /* #REF1546# */
    ' 	This.RtsEnter_ESTABLISHED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsStatus_Report_Completed_In_ESTABLISHING(ByRef RetValue As Boolean)
      'H1 SENDING_STATUS
      If Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS Then
        Me.RtsExit_ESTABLISHING()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "0b79334c-e72d-49d0-b8a8-5731c6d0ffc7", 0, NullString)
        P1inout.SendEvent(New Msg_Initialisation_Completed)
        Me.RtsEnter_ESTABLISHED()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 NOT_READY_FOR_PDI
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_NOT_READY_FOR_PDI */
    ' 	/* standard */
    ' 	This.RtsExit_NOT_READY_FOR_PDI();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"5213f098-1160-4c7a-8733-9feaa3214300",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 6bf32080-961f-4de1-a506-94966e5f74ef */ send Msg_PDI_Not_Available to P1inout ; nullstat;/*##END 6bf32080-961f-4de1-a506-94966e5f74ef */ /* #REF1546# */
    ' 	This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 READY_FOR_PDI
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_READY_FOR_PDI */
    ' 	/* standard */
    ' 	This.RtsExit_READY_FOR_PDI();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"631e67a7-1845-4cde-bb42-9057f6a1fdba",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 198d421c-6947-425d-8b75-4fb344e84620 */ 
    '  Mem_PDI_Version := PDI_Version ;
    ' send PDI_Connection_Started to p2inout ; nullstat;/*##END 198d421c-6947-425d-8b75-4fb344e84620 */ /* #REF1546# */
    ' 	This.RtsDefault_ACTIVE();/* #REF1587# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_PDI_Version_Check_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean, ByVal PDI_Version As String)
      'H1 ACTIVE
      'H1 NOT_READY_FOR_PDI
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI Then
        Me.RtsExit_NOT_READY_FOR_PDI()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "5213f098-1160-4c7a-8733-9feaa3214300", 0, NullString)
        P1inout.SendEvent(New Msg_PDI_Not_Available)
        Me.RtsEnter_SUSPENDED()
        RetValue = True
        Return
      End If
      'H1 READY_FOR_PDI
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_READY_FOR_PDI Then
        Me.RtsExit_READY_FOR_PDI()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "631e67a7-1845-4cde-bb42-9057f6a1fdba", 0, NullString)
        Mem_PDI_Version = PDI_Version
        p2inout.SendEvent(New PDI_Connection_Started)
        Me.RtsDefault_ACTIVE()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 NOT_READY_FOR_PDI
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_NOT_READY_FOR_PDI */
    ' 	/* standard */
    ' 	This.RtsExit_NOT_READY_FOR_PDI();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"eb4f608f-1b6b-442f-8ea0-3b3022a1614a",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 2fd518fa-49a7-4972-ba36-791eaada23e7 */  nullstat;/*##END 2fd518fa-49a7-4972-ba36-791eaada23e7 */ /* #REF1546# */
    ' 	This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 NOT_READY_FOR_PDI_NO_SCP
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_NOT_READY_FOR_PDI_NO_SCP */
    ' 	/* standard */
    ' 	This.RtsExit_NOT_READY_FOR_PDI_NO_SCP();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"bc8abb6b-16ab-423b-b975-1937acf9a59f",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 711ff2b3-929c-4d47-be20-ba046c9f609a */  nullstat;/*##END 711ff2b3-929c-4d47-be20-ba046c9f609a */ /* #REF1546# */
    ' 	This.RtsEnter_READY_FOR_PDI_NO_SCP();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 SUSPENDED
    ' if This.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States{enum_datatype}.RtsF_SCI_EfeS_Sec_States_SUSPENDED then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_SUSPENDED */
    ' 	/* standard */
    ' 	This.RtsExit_SUSPENDED();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"f1767999-5070-4de6-a59d-ea01eebbc93e",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT c2e2db8f-f8f8-4de1-a065-4c1b385f964d */ send Msg_PDI_Available to P1inout ; nullstat;/*##END c2e2db8f-f8f8-4de1-a065-4c1b385f964d */ /* #REF1546# */
    ' 	This.RtsEnter_READY_FOR_PDI();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsReady_For_PDI_Connection_In_F_SCI_EfeS_Sec(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 NOT_READY_FOR_PDI
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI Then
        Me.RtsExit_NOT_READY_FOR_PDI()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "eb4f608f-1b6b-442f-8ea0-3b3022a1614a", 0, NullString)
        Me.RtsEnter_READY_FOR_PDI()
        RetValue = True
        Return
      End If
      'H1 NOT_READY_FOR_PDI_NO_SCP
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_NOT_READY_FOR_PDI_NO_SCP Then
        Me.RtsExit_NOT_READY_FOR_PDI_NO_SCP()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "bc8abb6b-16ab-423b-b975-1937acf9a59f", 0, NullString)
        Me.RtsEnter_READY_FOR_PDI_NO_SCP()
        RetValue = True
        Return
      End If
      'H1 SUSPENDED
      If Me.RtsCurrent_F_SCI_EfeS_Sec = RtsF_SCI_EfeS_Sec_States.RtsF_SCI_EfeS_Sec_States_SUSPENDED Then
        Me.RtsExit_SUSPENDED()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "f1767999-5070-4de6-a59d-ea01eebbc93e", 0, NullString)
        P1inout.SendEvent(New Msg_PDI_Available)
        Me.RtsEnter_READY_FOR_PDI()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a18ccae4-b6fc-454c-b859-0d51f9c1995b|") then
    '   OperatedStates := OperatedStates + "a18ccae4-b6fc-454c-b859-0d51f9c1995b|";
    ' end if
    ' /* #REF737# */
    ' select case This.RtsCurrent_ACTIVE
    ' /* #REF738# */
    ' 	case RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_ESTABLISHING();/* #REF742# */
    ' 	case RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_ESTABLISHED();/* #REF742# */
    ' 	case else:/* #REF743# */
    ' 		/* #REF744# */
    ' end select
    ' This.RtsCurrent_ACTIVE := RtsF_SCI_EfeS_SecACTIVE_States{enum_datatype}.RtsF_SCI_EfeS_SecACTIVE_States_NotIn_ACTIVE;/* #REF748# */
    ' 
    Private Sub RtsExitSSOf_ACTIVE()
      If not OperatedStates.Contains("a18ccae4-b6fc-454c-b859-0d51f9c1995b|") Then
        OperatedStates = OperatedStates + "a18ccae4-b6fc-454c-b859-0d51f9c1995b|"
      End If
      Select Case Me.RtsCurrent_ACTIVE
        Case RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHING
          Me.RtsExit_ESTABLISHING()
        Case RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_ESTABLISHED
          Me.RtsExit_ESTABLISHED()
      End Select
      Me.RtsCurrent_ACTIVE = RtsF_SCI_EfeS_SecACTIVE_States.RtsF_SCI_EfeS_SecACTIVE_States_NotIn_ACTIVE
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("d0ac6499-0795-4a81-aac7-695f2bd8671e|") then
    '   OperatedStates := OperatedStates + "d0ac6499-0795-4a81-aac7-695f2bd8671e|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NOT_READY_FOR_PDI()
      If not OperatedStates.Contains("d0ac6499-0795-4a81-aac7-695f2bd8671e|") Then
        OperatedStates = OperatedStates + "d0ac6499-0795-4a81-aac7-695f2bd8671e|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NOT_READY_FOR_PDI_NO_SCP
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|") then
    '   OperatedStates := OperatedStates + "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NOT_READY_FOR_PDI_NO_SCP()
      If not OperatedStates.Contains("ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|") Then
        OperatedStates = OperatedStates + "ff5bb11c-4f0c-4c0a-a05c-8b233e3c7e0c|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_PDI
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("7d9586c7-d170-4d6e-8126-65f5bc706506|") then
    '   OperatedStates := OperatedStates + "7d9586c7-d170-4d6e-8126-65f5bc706506|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_READY_FOR_PDI()
      If not OperatedStates.Contains("7d9586c7-d170-4d6e-8126-65f5bc706506|") Then
        OperatedStates = OperatedStates + "7d9586c7-d170-4d6e-8126-65f5bc706506|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_PDI_NO_SCP
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("c6891d21-0341-46db-8fcf-8542ec06d9a6|") then
    '   OperatedStates := OperatedStates + "c6891d21-0341-46db-8fcf-8542ec06d9a6|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_READY_FOR_PDI_NO_SCP()
      If not OperatedStates.Contains("c6891d21-0341-46db-8fcf-8542ec06d9a6|") Then
        OperatedStates = OperatedStates + "c6891d21-0341-46db-8fcf-8542ec06d9a6|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("19e3cba6-a28d-4995-a341-c70f948e1f3a|") then
    '   OperatedStates := OperatedStates + "19e3cba6-a28d-4995-a341-c70f948e1f3a|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_SUSPENDED()
      If not OperatedStates.Contains("19e3cba6-a28d-4995-a341-c70f948e1f3a|") Then
        OperatedStates = OperatedStates + "19e3cba6-a28d-4995-a341-c70f948e1f3a|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("934edf42-0231-4aa8-8619-acc8e372638d|") then
    '   OperatedStates := OperatedStates + "934edf42-0231-4aa8-8619-acc8e372638d|";
    ' end if
    ' /* #REF737# */
    ' select case This.RtsCurrent_ESTABLISHING
    ' /* #REF738# */
    ' 	case RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_READY_FOR_INITIALISATION();/* #REF742# */
    ' 	case RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_SENDING_STATUS();/* #REF742# */
    ' 	case RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_VERSION_UNEQUAL();/* #REF742# */
    ' 	case else:/* #REF743# */
    ' 		/* #REF744# */
    ' end select
    ' This.RtsCurrent_ESTABLISHING := RtsF_SCI_EfeS_SecESTABLISHING_States{enum_datatype}.RtsF_SCI_EfeS_SecESTABLISHING_States_NotIn_ESTABLISHING;/* #REF748# */
    ' 
    Private Sub RtsExitSSOf_ESTABLISHING()
      If not OperatedStates.Contains("934edf42-0231-4aa8-8619-acc8e372638d|") Then
        OperatedStates = OperatedStates + "934edf42-0231-4aa8-8619-acc8e372638d|"
      End If
      Select Case Me.RtsCurrent_ESTABLISHING
        Case RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_READY_FOR_INITIALISATION
          Me.RtsExit_READY_FOR_INITIALISATION()
        Case RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_SENDING_STATUS
          Me.RtsExit_SENDING_STATUS()
        Case RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_VERSION_UNEQUAL
          Me.RtsExit_VERSION_UNEQUAL()
      End Select
      Me.RtsCurrent_ESTABLISHING = RtsF_SCI_EfeS_SecESTABLISHING_States.RtsF_SCI_EfeS_SecESTABLISHING_States_NotIn_ESTABLISHING
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHED
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("31dca9ac-8214-4192-aae9-ca4acdd441ba|") then
    '   OperatedStates := OperatedStates + "31dca9ac-8214-4192-aae9-ca4acdd441ba|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_ESTABLISHED()
      If not OperatedStates.Contains("31dca9ac-8214-4192-aae9-ca4acdd441ba|") Then
        OperatedStates = OperatedStates + "31dca9ac-8214-4192-aae9-ca4acdd441ba|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : READY_FOR_INITIALISATION
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("06869a26-5c83-4188-9e40-7a9bfc6b1837|") then
    '   OperatedStates := OperatedStates + "06869a26-5c83-4188-9e40-7a9bfc6b1837|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_READY_FOR_INITIALISATION()
      If not OperatedStates.Contains("06869a26-5c83-4188-9e40-7a9bfc6b1837|") Then
        OperatedStates = OperatedStates + "06869a26-5c83-4188-9e40-7a9bfc6b1837|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_STATUS
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("201ad4bd-4e5f-4ede-8224-164d12195079|") then
    '   OperatedStates := OperatedStates + "201ad4bd-4e5f-4ede-8224-164d12195079|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_SENDING_STATUS()
      If not OperatedStates.Contains("201ad4bd-4e5f-4ede-8224-164d12195079|") Then
        OperatedStates = OperatedStates + "201ad4bd-4e5f-4ede-8224-164d12195079|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : VERSION_UNEQUAL
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("09581792-b5ef-4212-a501-ba79efd84fb2|") then
    '   OperatedStates := OperatedStates + "09581792-b5ef-4212-a501-ba79efd84fb2|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_VERSION_UNEQUAL()
      If not OperatedStates.Contains("09581792-b5ef-4212-a501-ba79efd84fb2|") Then
        OperatedStates = OperatedStates + "09581792-b5ef-4212-a501-ba79efd84fb2|"
      End If
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume p2inout: a SySimInputPort, a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg2Tmp := (/*##STRT b22c6f70-4e5d-47cf-a41c-4ca0e81ffcc5 */ ( T20in_Protocol_Error )/*##END b22c6f70-4e5d-47cf-a41c-4ca0e81ffcc5 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg4Tmp := (/*##STRT 95fc32bc-5086-4b21-bf41-1eb9064be98a */ ( T22in_Content_Telegram_Error )/*##END 95fc32bc-5086-4b21-bf41-1eb9064be98a */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg7Tmp := (/*##STRT 8143f806-1376-4e42-9634-99ad5681e899 */ ( T10in_SCP_Connection_Terminated )/*##END 8143f806-1376-4e42-9634-99ad5681e899 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg1Tmp := (/*##STRT bba4f490-0cd4-41d4-a56b-046011d0fed9 */ ( T10in_SCP_Connection_Terminated )/*##END bba4f490-0cd4-41d4-a56b-046011d0fed9 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg3Tmp := (/*##STRT 21313772-91bc-42d8-8ec4-a9412c1ea598 */ ( T21in_Formal_Telegram_Error )/*##END 21313772-91bc-42d8-8ec4-a9412c1ea598 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg8Tmp := (/*##STRT d275f041-c28f-4f1d-a326-51164a515b69 */ ( T5in_SCP_Connection_Established )/*##END d275f041-c28f-4f1d-a326-51164a515b69 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg5Tmp := (/*##STRT 50bfca5e-07b2-4d76-b670-8519af63cac4 */ ( T10in_SCP_Connection_Terminated )/*##END 50bfca5e-07b2-4d76-b670-8519af63cac4 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg6Tmp := (/*##STRT f73759fd-092b-43d5-9667-5d75bc21c253 */ ( T5in_SCP_Connection_Established )/*##END f73759fd-092b-43d5-9667-5d75bc21c253 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg9Tmp := (/*##STRT 8f6bd0e2-ba8b-4955-b699-7b031f6e3d55 */ ( T10in_SCP_Connection_Terminated )/*##END 8f6bd0e2-ba8b-4955-b699-7b031f6e3d55 */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg2 := (/*##STRT b22c6f70-4e5d-47cf-a41c-4ca0e81ffcc5 */ ( T20in_Protocol_Error )/*##END b22c6f70-4e5d-47cf-a41c-4ca0e81ffcc5 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 95fc32bc-5086-4b21-bf41-1eb9064be98a */ ( T22in_Content_Telegram_Error )/*##END 95fc32bc-5086-4b21-bf41-1eb9064be98a */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 8143f806-1376-4e42-9634-99ad5681e899 */ ( T10in_SCP_Connection_Terminated )/*##END 8143f806-1376-4e42-9634-99ad5681e899 */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT bba4f490-0cd4-41d4-a56b-046011d0fed9 */ ( T10in_SCP_Connection_Terminated )/*##END bba4f490-0cd4-41d4-a56b-046011d0fed9 */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 21313772-91bc-42d8-8ec4-a9412c1ea598 */ ( T21in_Formal_Telegram_Error )/*##END 21313772-91bc-42d8-8ec4-a9412c1ea598 */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT d275f041-c28f-4f1d-a326-51164a515b69 */ ( T5in_SCP_Connection_Established )/*##END d275f041-c28f-4f1d-a326-51164a515b69 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 50bfca5e-07b2-4d76-b670-8519af63cac4 */ ( T10in_SCP_Connection_Terminated )/*##END 50bfca5e-07b2-4d76-b670-8519af63cac4 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT f73759fd-092b-43d5-9667-5d75bc21c253 */ ( T5in_SCP_Connection_Established )/*##END f73759fd-092b-43d5-9667-5d75bc21c253 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT 8f6bd0e2-ba8b-4955-b699-7b031f6e3d55 */ ( T10in_SCP_Connection_Terminated )/*##END 8f6bd0e2-ba8b-4955-b699-7b031f6e3d55 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg2 := (/*##STRT b22c6f70-4e5d-47cf-a41c-4ca0e81ffcc5 */ ( T20in_Protocol_Error )/*##END b22c6f70-4e5d-47cf-a41c-4ca0e81ffcc5 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 95fc32bc-5086-4b21-bf41-1eb9064be98a */ ( T22in_Content_Telegram_Error )/*##END 95fc32bc-5086-4b21-bf41-1eb9064be98a */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 8143f806-1376-4e42-9634-99ad5681e899 */ ( T10in_SCP_Connection_Terminated )/*##END 8143f806-1376-4e42-9634-99ad5681e899 */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT bba4f490-0cd4-41d4-a56b-046011d0fed9 */ ( T10in_SCP_Connection_Terminated )/*##END bba4f490-0cd4-41d4-a56b-046011d0fed9 */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 21313772-91bc-42d8-8ec4-a9412c1ea598 */ ( T21in_Formal_Telegram_Error )/*##END 21313772-91bc-42d8-8ec4-a9412c1ea598 */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT d275f041-c28f-4f1d-a326-51164a515b69 */ ( T5in_SCP_Connection_Established )/*##END d275f041-c28f-4f1d-a326-51164a515b69 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 50bfca5e-07b2-4d76-b670-8519af63cac4 */ ( T10in_SCP_Connection_Terminated )/*##END 50bfca5e-07b2-4d76-b670-8519af63cac4 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT f73759fd-092b-43d5-9667-5d75bc21c253 */ ( T5in_SCP_Connection_Established )/*##END f73759fd-092b-43d5-9667-5d75bc21c253 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT 8f6bd0e2-ba8b-4955-b699-7b031f6e3d55 */ ( T10in_SCP_Connection_Terminated )/*##END 8f6bd0e2-ba8b-4955-b699-7b031f6e3d55 */ ) : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := True;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := True;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := True;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := True;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := True;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := True;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := True;
    '   ChgFlg6 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := True;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg7 := False;
    '   ChgFlg1 := False;
    '   ChgFlg3 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg9 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg2 := false;
    ' ChgFlg4 := false;
    ' ChgFlg7 := false;
    ' ChgFlg1 := false;
    ' ChgFlg3 := false;
    ' ChgFlg8 := false;
    ' ChgFlg5 := false;
    ' ChgFlg6 := false;
    ' ChgFlg9 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg2Tmp As Boolean = ((T20in_Protocol_Error.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg4Tmp As Boolean = ((T22in_Content_Telegram_Error.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg7Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg1Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg3Tmp As Boolean = ((T21in_Formal_Telegram_Error.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg8Tmp As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg5Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg6Tmp As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg9Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg2 As Boolean = ((T20in_Protocol_Error.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((T22in_Content_Telegram_Error.GetLatchedValue()))
        Dim MaskedChgFlg7 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((T21in_Formal_Telegram_Error.GetLatchedValue()))
        Dim MaskedChgFlg8 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg6 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim MaskedChgFlg9 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg2 As Boolean = ((T20in_Protocol_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((T22in_Content_Telegram_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg7 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((T21in_Formal_Telegram_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg8 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg6 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim UnMaskedChgFlg9 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = True
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = True
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = True
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = True
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = True
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = True
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = True
          ChgFlg6 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = True
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg7 = False
          ChgFlg1 = False
          ChgFlg3 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg9 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg2 = False
      ChgFlg4 = False
      ChgFlg7 = False
      ChgFlg1 = False
      ChgFlg3 = False
      ChgFlg8 = False
      ChgFlg5 = False
      ChgFlg6 = False
      ChgFlg9 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or D3in_Con_PDI_Version.Decrement())
      Ret = (Ret Or D4in_Con_Checksum_Data.Decrement())
      Ret = (Ret Or T10in_SCP_Connection_Terminated.Decrement())
      Ret = (Ret Or T20in_Protocol_Error.Decrement())
      Ret = (Ret Or T21in_Formal_Telegram_Error.Decrement())
      Ret = (Ret Or T22in_Content_Telegram_Error.Decrement())
      Ret = (Ret Or T5in_SCP_Connection_Established.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      D3in_Con_PDI_Version.Mask(What)
      D4in_Con_Checksum_Data.Mask(What)
      T10in_SCP_Connection_Terminated.Mask(What)
      T20in_Protocol_Error.Mask(What)
      T21in_Formal_Telegram_Error.Mask(What)
      T22in_Content_Telegram_Error.Mask(What)
      T5in_SCP_Connection_Established.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  ' Entity 'F_SCI_IO_Receive' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'F_SCI_IO_Report' not generated by SySim because unreferenced or not having qualifying stereotypes
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_SCI_LC_Receive : Implements SMSupport.SMQueued 
    Protected Class F_SCI_LC_ReceiveSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_SCI_LC_Receive = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
          Case Cd_Deactivation.Id
            Dim TheMsg As Cd_Deactivation = Msg
            TheTarget.RtsCd_Deactivation(TheMsg.CommandedDeactivationState)
          Case Cd_Activation.Id
            Dim TheMsg As Cd_Activation = Msg
            TheTarget.RtsCd_Activation(TheMsg.CommandedActivationState)
          Case Cd_Isolate_LC.Id
            Dim TheMsg As Cd_Isolate_LC = Msg
            TheTarget.RtsCd_Isolate_LC(TheMsg.CommandedIsolateState)
          Case Cd_Local_Operation_Handover.Id
            Dim TheMsg As Cd_Local_Operation_Handover = Msg
            TheTarget.RtsCd_Local_Operation_Handover(TheMsg.CommandedHandoverState)
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_SCI_LC_Receive_States
      RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE
      RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS
      RtsF_SCI_LC_Receive_States_WAITING_1
      RtsF_SCI_LC_Receive_States_NotIn_F_SCI_LC_Receive
    End Enum
    Public Enum RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States
      RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED
      RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED
      RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED
      RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED
      RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE
    End Enum
    Public Enum RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States
      RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING
      RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR
      RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED
      RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
      RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER
    End Enum
    ' \ART_SMG :: Created for state : F_SCI_LC_Receive
    Private RtsCurrent_F_SCI_LC_Receive As F_SCI_LC_Receive.RtsF_SCI_LC_Receive_States
    ' \ART_SMG :: Created for state : RECEIVING_ACTIVATION_STATE
    Private RtsCurrent_RECEIVING_ACTIVATION_STATE As F_SCI_LC_Receive.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States
    ' \ART_SMG :: Created for state : RECEIVE_LOCAL_OPERATION_HANDOVER
    Private RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER As F_SCI_LC_Receive.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_SCI_LC_ReceiveSMQueue = New F_SCI_LC_ReceiveSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    Protected d1out_Receive_LC_State As OOutputPort(Of String)
    Protected d8out_Handover_To_Local_Operator_State As OOutputPort(Of String)
    Protected d53in_Time_Expired As OInputPort(Of String)
    ' The port P1in exchanges information objects according to SCI_LC_Subsystem_LC.
    Protected P1in As OInputPort(Of SCI_LC_Command)
    ' The port T31_Activate_LCPF refines the Flow Property Activate.
    Protected T31out_Activate_LCPF As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The port T33_Pre_Activate_LCPF refines the Flow Property Pre-Activate.
    Protected T33out_Pre_Activate_LCPF As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The port T34_National_Specific_State_LCPF refines the Flow Property National_Specific_State.
    Protected T34out_National_Specific_State_LCPF As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The port T32_Deactivate_LCPF refines the Flow Property Deactivate.
    Protected T32out_Deactivate_LCPF As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    Protected d51in_EST_EfeS_State As OInputPort(Of String)
    ' The port D55in_Con_Inital_Activate_LCPF provides configuration values for the initial activation or deactivation of the Level Crossing protection facility.
    ' 
    ' true: Level Crossing protection facility is initial activated.
    ' false: Level Crossing protection facility is initial deactivated.
    Protected D55in_Con_Inital_Activate_LCPF As OInputPort(Of Boolean)
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_SCI_LC_Receive: on object;
    ' assume RtsCurrent_RECEIVING_ACTIVATION_STATE: on object;
    ' assume RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER: on object;
    ' declare ThisState : String;
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS and (This.RtsCurrent_RECEIVING_ACTIVATION_STATE <> RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE or This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER <> RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER) then/* #REF118# */
    ' /* #REF119# */
    ' 	if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED then
    ' 	/* #REF123# */
    ' 		/* 856cfec5-6088-411d-b36f-79f24ccd99fe ACTIVATED */
    '   ThisState := "856cfec5-6088-411d-b36f-79f24ccd99fe";
    ' 		if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_ACTIVATED */
    ' 			/* standard */
    ' 			This.RtsExit_ACTIVATED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"b6be0b49-ce3e-4450-a2c6-b1243de4642f",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 6fe2881d-5fbc-49fc-93b0-57bb39053c00 */  T32out_Deactivate_LCPF := TRUE; nullstat;/*##END 6fe2881d-5fbc-49fc-93b0-57bb39053c00 */ /* #REF1546# */
    ' 			This.RtsEnter_DEACTIVATED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED then
    ' 	/* #REF123# */
    ' 		/* b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9 DEACTIVATED */
    '   ThisState := "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9";
    ' 		if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_DEACTIVATED */
    ' 			/* standard */
    ' 			This.RtsExit_DEACTIVATED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"74b6a379-a03e-4d64-8f4f-748b1add2065",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 1952f060-a1d8-4101-af78-5ee227f21662 */  nullstat;/*##END 1952f060-a1d8-4101-af78-5ee227f21662 */ /* #REF1546# */
    ' 			This.RtsEnter_ACTIVATED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED then
    ' 	/* #REF123# */
    ' 		/* 15bccdc4-a655-4db4-b3b0-1d776d6c3d8f PRE_ACTIVATED */
    '   ThisState := "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f";
    ' 		if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			/* #REF7004# */
    ' 			/* #REF7001# */
    ' 			/* #REF7002# */
    ' 			/* #REF7002B#  RtsExit_PRE_ACTIVATED */
    ' 			/* standard */
    ' 			This.RtsExit_PRE_ACTIVATED();/* #REF1596# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"8412ba95-1e13-4479-950f-739e9b5a546c",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT c8e4cbd3-0d36-4759-b43b-47d76d7e5dbb */  nullstat;/*##END c8e4cbd3-0d36-4759-b43b-47d76d7e5dbb */ /* #REF1546# */
    ' 			This.RtsEnter_ACTIVATED();/* #REF1590# */
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF120# */
    ' End If
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Receive =  /* #REF121d# */ RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_NotIn_F_SCI_LC_Receive then
    ' /* #REF123# */
    ' 	/* 6e274936-c587-45db-8835-dc38a4c2420b Initial0 */
    '   ThisState := "6e274936-c587-45db-8835-dc38a4c2420b";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"6e274936-c587-45db-8835-dc38a4c2420b",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"6e274936-c587-45db-8835-dc38a4c2420b",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"596fadaa-7ce5-4d8f-813f-ffeb3f7dd5f4",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT aac6706f-5401-4af3-90b5-a78d06d246dc */  nullstat;/*##END aac6706f-5401-4af3-90b5-a78d06d246dc */ /* #REF1546# */
    ' 	This.RtsEnter_WAITING_1();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE then
    ' /* #REF123# */
    ' 	/* 33fda23c-672a-49d0-84ac-4b0ada0053e5 NATIONAL_SPECIFIC_STATE */
    '   ThisState := "33fda23c-672a-49d0-84ac-4b0ada0053e5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NATIONAL_SPECIFIC_STATE */
    ' 		/* standard */
    ' 		This.RtsExit_NATIONAL_SPECIFIC_STATE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"665330a6-c339-4ede-9191-71243e8803df",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4db42b2b-6fba-47c5-8231-32d77d7e0d3c */  nullstat;/*##END 4db42b2b-6fba-47c5-8231-32d77d7e0d3c */ /* #REF1546# */
    ' 		This.RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then
    ' /* #REF123# */
    ' 	/* 4da15136-8376-4a24-9749-fac8a01d1e76 RECEIVING_LEVEL_CROSSING_COMMANDS */
    '   ThisState := "4da15136-8376-4a24-9749-fac8a01d1e76";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS */
    ' 		/* standard */
    ' 		This.RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"81265979-59e2-4845-a8b5-b109a58afcf8",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 039c5de2-9694-4a0b-b8f8-7d73b4ed56e5 */  nullstat;/*##END 039c5de2-9694-4a0b-b8f8-7d73b4ed56e5 */ /* #REF1546# */
    ' 		This.RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then
    ' /* #REF123# */
    ' 	/* 4da15136-8376-4a24-9749-fac8a01d1e76 RECEIVING_LEVEL_CROSSING_COMMANDS */
    '   ThisState := "4da15136-8376-4a24-9749-fac8a01d1e76";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS */
    ' 		/* standard */
    ' 		This.RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ff0f579e-61aa-4654-b03a-0b0ebf67d834",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT aa1d0ea3-dd82-4d89-a8e7-31e4a7333961 */  nullstat;/*##END aa1d0ea3-dd82-4d89-a8e7-31e4a7333961 */ /* #REF1546# */
    ' 		This.RtsEnter_NATIONAL_SPECIFIC_STATE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_WAITING_1 then
    ' /* #REF123# */
    ' 	/* 4c1d9621-1eb5-4056-8e08-f187d0ed5a41 WAITING_1 */
    '   ThisState := "4c1d9621-1eb5-4056-8e08-f187d0ed5a41";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_1 */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_1();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"bfc6e70e-f8f8-46f6-83f8-f4ea69840152",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 5c064eca-9b8c-4291-a004-1b0a3d389432 */  nullstat;/*##END 5c064eca-9b8c-4291-a004-1b0a3d389432 */ /* #REF1546# */
    ' 		This.RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS And (Me.RtsCurrent_RECEIVING_ACTIVATION_STATE <> RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE Or Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER <> RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER) Then
        If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED Then
          ThisState = "856cfec5-6088-411d-b36f-79f24ccd99fe"
          If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
            Me.RtsExit_ACTIVATED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "b6be0b49-ce3e-4450-a2c6-b1243de4642f", 0, NullString)
            T32out_Deactivate_LCPF.SetValue(True)
            Me.RtsEnter_DEACTIVATED()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED Then
          ThisState = "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9"
          If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
            Me.RtsExit_DEACTIVATED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "74b6a379-a03e-4d64-8f4f-748b1add2065", 0, NullString)
            Me.RtsEnter_ACTIVATED()
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED Then
          ThisState = "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f"
          If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
            Me.RtsExit_PRE_ACTIVATED()
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "8412ba95-1e13-4479-950f-739e9b5a546c", 0, NullString)
            Me.RtsEnter_ACTIVATED()
            RetValue = True
            Return
          End If
        End If
      End If
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_NotIn_F_SCI_LC_Receive Then
        ThisState = "6e274936-c587-45db-8835-dc38a4c2420b"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "6e274936-c587-45db-8835-dc38a4c2420b", 0, NullString)
        RtsNotify(Me, SEXIT, "6e274936-c587-45db-8835-dc38a4c2420b", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "596fadaa-7ce5-4d8f-813f-ffeb3f7dd5f4", 0, NullString)
        Me.RtsEnter_WAITING_1()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE Then
        ThisState = "33fda23c-672a-49d0-84ac-4b0ada0053e5"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_NATIONAL_SPECIFIC_STATE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "665330a6-c339-4ede-9191-71243e8803df", 0, NullString)
          Me.RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        ThisState = "4da15136-8376-4a24-9749-fac8a01d1e76"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "81265979-59e2-4845-a8b5-b109a58afcf8", 0, NullString)
          Me.RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        ThisState = "4da15136-8376-4a24-9749-fac8a01d1e76"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ff0f579e-61aa-4654-b03a-0b0ebf67d834", 0, NullString)
          Me.RtsEnter_NATIONAL_SPECIFIC_STATE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_WAITING_1 Then
        ThisState = "4c1d9621-1eb5-4056-8e08-f187d0ed5a41"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_WAITING_1()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "bfc6e70e-f8f8-46f6-83f8-f4ea69840152", 0, NullString)
          Me.RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "3242738d-8c22-4865-bea8-24d780d32bf2", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_SCI_LC_Receive := RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_NotIn_F_SCI_LC_Receive;/* #REF1566# */
    ' This.RtsCurrent_RECEIVING_ACTIVATION_STATE := RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE;/* #REF1566# */
    ' This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER := RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "3242738d-8c22-4865-bea8-24d780d32bf2", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_NotIn_F_SCI_LC_Receive
      Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE
      Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : NATIONAL_SPECIFIC_STATE
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("33fda23c-672a-49d0-84ac-4b0ada0053e5|") then
    '   OperatedStates := OperatedStates + "33fda23c-672a-49d0-84ac-4b0ada0053e5|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NATIONAL_SPECIFIC_STATE ///* #REF520# */
    ' RtsNotify(This,SENTER,"33fda23c-672a-49d0-84ac-4b0ada0053e5",0,NullString);
    ' 
    ' SimCore.EnterState("33fda23c-672a-49d0-84ac-4b0ada0053e5","NATIONAL_SPECIFIC_STATE");
    ' 
    ' This.RtsCurrent_F_SCI_LC_Receive := RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 684f0068-4fc3-484b-a21c-521018210ef4 */  T34out_National_Specific_State_LCPF := TRUE; nullstat;/*##END 684f0068-4fc3-484b-a21c-521018210ef4 */ 
    Private Sub RtsEnter_NATIONAL_SPECIFIC_STATE()
      If not OperatedStates.Contains("33fda23c-672a-49d0-84ac-4b0ada0053e5|") Then
        OperatedStates = OperatedStates + "33fda23c-672a-49d0-84ac-4b0ada0053e5|"
      End If
      'Simulation support : Notification function call for entering state : NATIONAL_SPECIFIC_STATE ///* #REF520# */
      RtsNotify(Me, SENTER, "33fda23c-672a-49d0-84ac-4b0ada0053e5", 0, NullString)
      SimCore.EnterState("33fda23c-672a-49d0-84ac-4b0ada0053e5", "NATIONAL_SPECIFIC_STATE")
      Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE
      'Entry Actions
      T34out_National_Specific_State_LCPF.SetValue(True)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LEVEL_CROSSING_COMMANDS
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("4da15136-8376-4a24-9749-fac8a01d1e76|") then
    '   OperatedStates := OperatedStates + "4da15136-8376-4a24-9749-fac8a01d1e76|";
    ' end if
    ' // Simulation support : Notification function call for entering state : RECEIVING_LEVEL_CROSSING_COMMANDS ///* #REF520# */
    ' RtsNotify(This,SENTER,"4da15136-8376-4a24-9749-fac8a01d1e76",0,NullString);
    ' 
    ' SimCore.EnterState("4da15136-8376-4a24-9749-fac8a01d1e76","RECEIVING_LEVEL_CROSSING_COMMANDS");
    ' 
    ' This.RtsCurrent_F_SCI_LC_Receive := RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS;/* #REF521# */
    ' 
    Private Sub RtsEnter_RECEIVING_LEVEL_CROSSING_COMMANDS()
      If not OperatedStates.Contains("4da15136-8376-4a24-9749-fac8a01d1e76|") Then
        OperatedStates = OperatedStates + "4da15136-8376-4a24-9749-fac8a01d1e76|"
      End If
      'Simulation support : Notification function call for entering state : RECEIVING_LEVEL_CROSSING_COMMANDS ///* #REF520# */
      RtsNotify(Me, SENTER, "4da15136-8376-4a24-9749-fac8a01d1e76", 0, NullString)
      SimCore.EnterState("4da15136-8376-4a24-9749-fac8a01d1e76", "RECEIVING_LEVEL_CROSSING_COMMANDS")
      Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("4c1d9621-1eb5-4056-8e08-f187d0ed5a41|") then
    '   OperatedStates := OperatedStates + "4c1d9621-1eb5-4056-8e08-f187d0ed5a41|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"4c1d9621-1eb5-4056-8e08-f187d0ed5a41",0,NullString);
    ' 
    ' SimCore.EnterState("4c1d9621-1eb5-4056-8e08-f187d0ed5a41","WAITING");
    ' 
    ' This.RtsCurrent_F_SCI_LC_Receive := RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_WAITING_1;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING_1()
      If not OperatedStates.Contains("4c1d9621-1eb5-4056-8e08-f187d0ed5a41|") Then
        OperatedStates = OperatedStates + "4c1d9621-1eb5-4056-8e08-f187d0ed5a41|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "4c1d9621-1eb5-4056-8e08-f187d0ed5a41", 0, NullString)
      SimCore.EnterState("4c1d9621-1eb5-4056-8e08-f187d0ed5a41", "WAITING")
      Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_WAITING_1
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("856cfec5-6088-411d-b36f-79f24ccd99fe|") then
    '   OperatedStates := OperatedStates + "856cfec5-6088-411d-b36f-79f24ccd99fe|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ACTIVATED ///* #REF520# */
    ' RtsNotify(This,SENTER,"856cfec5-6088-411d-b36f-79f24ccd99fe",0,NullString);
    ' 
    ' SimCore.EnterState("856cfec5-6088-411d-b36f-79f24ccd99fe","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::ACTIVATED");
    ' 
    ' This.RtsCurrent_RECEIVING_ACTIVATION_STATE := RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT cafdc048-2f9c-43eb-a938-595fa40da298 */  d1out_Receive_LC_State := "Activated";
    '  T31out_Activate_LCPF := TRUE; nullstat;/*##END cafdc048-2f9c-43eb-a938-595fa40da298 */ 
    Private Sub RtsEnter_ACTIVATED()
      If not OperatedStates.Contains("856cfec5-6088-411d-b36f-79f24ccd99fe|") Then
        OperatedStates = OperatedStates + "856cfec5-6088-411d-b36f-79f24ccd99fe|"
      End If
      'Simulation support : Notification function call for entering state : ACTIVATED ///* #REF520# */
      RtsNotify(Me, SENTER, "856cfec5-6088-411d-b36f-79f24ccd99fe", 0, NullString)
      SimCore.EnterState("856cfec5-6088-411d-b36f-79f24ccd99fe", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::ACTIVATED")
      Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED
      'Entry Actions
      d1out_Receive_LC_State.SetValue("Activated")
      T31out_Activate_LCPF.SetValue(True)
    End Sub
    
    ' \ART_SMG :: Created for state : DEACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|") then
    '   OperatedStates := OperatedStates + "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|";
    ' end if
    ' // Simulation support : Notification function call for entering state : DEACTIVATED ///* #REF520# */
    ' RtsNotify(This,SENTER,"b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9",0,NullString);
    ' 
    ' SimCore.EnterState("b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::DEACTIVATED");
    ' 
    ' This.RtsCurrent_RECEIVING_ACTIVATION_STATE := RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT cc8d49eb-53e3-4aa8-bcfd-bef1febe4141 */  d1out_Receive_LC_State := "Deactivated"; nullstat;/*##END cc8d49eb-53e3-4aa8-bcfd-bef1febe4141 */ 
    Private Sub RtsEnter_DEACTIVATED()
      If not OperatedStates.Contains("b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|") Then
        OperatedStates = OperatedStates + "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|"
      End If
      'Simulation support : Notification function call for entering state : DEACTIVATED ///* #REF520# */
      RtsNotify(Me, SENTER, "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9", 0, NullString)
      SimCore.EnterState("b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::DEACTIVATED")
      Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED
      'Entry Actions
      d1out_Receive_LC_State.SetValue("Deactivated")
    End Sub
    
    ' \ART_SMG :: Created for state : ISOLATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("3607e837-ac83-4d08-8f36-a2e576e51058|") then
    '   OperatedStates := OperatedStates + "3607e837-ac83-4d08-8f36-a2e576e51058|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ISOLATED ///* #REF520# */
    ' RtsNotify(This,SENTER,"3607e837-ac83-4d08-8f36-a2e576e51058",0,NullString);
    ' 
    ' SimCore.EnterState("3607e837-ac83-4d08-8f36-a2e576e51058","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::ISOLATED");
    ' 
    ' This.RtsCurrent_RECEIVING_ACTIVATION_STATE := RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT a1b04edf-d91f-4bb9-a5e4-4a3399b3b2bc */  d1out_Receive_LC_State := "Isolated"; nullstat;/*##END a1b04edf-d91f-4bb9-a5e4-4a3399b3b2bc */ 
    Private Sub RtsEnter_ISOLATED()
      If not OperatedStates.Contains("3607e837-ac83-4d08-8f36-a2e576e51058|") Then
        OperatedStates = OperatedStates + "3607e837-ac83-4d08-8f36-a2e576e51058|"
      End If
      'Simulation support : Notification function call for entering state : ISOLATED ///* #REF520# */
      RtsNotify(Me, SENTER, "3607e837-ac83-4d08-8f36-a2e576e51058", 0, NullString)
      SimCore.EnterState("3607e837-ac83-4d08-8f36-a2e576e51058", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::ISOLATED")
      Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED
      'Entry Actions
      d1out_Receive_LC_State.SetValue("Isolated")
    End Sub
    
    ' \ART_SMG :: Created for state : PRE_ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|") then
    '   OperatedStates := OperatedStates + "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|";
    ' end if
    ' // Simulation support : Notification function call for entering state : PRE_ACTIVATED ///* #REF520# */
    ' RtsNotify(This,SENTER,"15bccdc4-a655-4db4-b3b0-1d776d6c3d8f",0,NullString);
    ' 
    ' SimCore.EnterState("15bccdc4-a655-4db4-b3b0-1d776d6c3d8f","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::PRE_ACTIVATED");
    ' 
    ' This.RtsCurrent_RECEIVING_ACTIVATION_STATE := RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 014b697f-c8f6-414f-bf58-3426489b0782 */  d1out_Receive_LC_State := "Pre Activated";
    '  T33out_Pre_Activate_LCPF := TRUE; nullstat;/*##END 014b697f-c8f6-414f-bf58-3426489b0782 */ 
    Private Sub RtsEnter_PRE_ACTIVATED()
      If not OperatedStates.Contains("15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|") Then
        OperatedStates = OperatedStates + "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|"
      End If
      'Simulation support : Notification function call for entering state : PRE_ACTIVATED ///* #REF520# */
      RtsNotify(Me, SENTER, "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f", 0, NullString)
      SimCore.EnterState("15bccdc4-a655-4db4-b3b0-1d776d6c3d8f", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVING_ACTIVATION_STATE::PRE_ACTIVATED")
      Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED
      'Entry Actions
      d1out_Receive_LC_State.SetValue("Pre Activated")
      T33out_Pre_Activate_LCPF.SetValue(True)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|") then
    '   OperatedStates := OperatedStates + "0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
    ' RtsNotify(This,SENTER,"0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c",0,NullString);
    ' 
    ' SimCore.EnterState("0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::WAITING");
    ' 
    ' This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER := RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING;/* #REF521# */
    ' 
    Private Sub RtsEnter_WAITING()
      If not OperatedStates.Contains("0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|") Then
        OperatedStates = OperatedStates + "0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|"
      End If
      'Simulation support : Notification function call for entering state : WAITING ///* #REF520# */
      RtsNotify(Me, SENTER, "0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c", 0, NullString)
      SimCore.EnterState("0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::WAITING")
      Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING
    End Sub
    
    ' \ART_SMG :: Created for state : NO_HANDOVER_TO_LOCAL_OPERATOR
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ecf94e8b-8373-4390-8dfc-73fdc13a8b53|") then
    '   OperatedStates := OperatedStates + "ecf94e8b-8373-4390-8dfc-73fdc13a8b53|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NO_HANDOVER_TO_LOCAL_OPERATOR ///* #REF520# */
    ' RtsNotify(This,SENTER,"ecf94e8b-8373-4390-8dfc-73fdc13a8b53",0,NullString);
    ' 
    ' SimCore.EnterState("ecf94e8b-8373-4390-8dfc-73fdc13a8b53","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::NO_HANDOVER_TO_LOCAL_OPERATOR");
    ' 
    ' This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER := RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT c0a0a0dd-5614-4520-9317-22c464eeeb4f */  d8out_Handover_To_Local_Operator_State := "No Handover"; nullstat;/*##END c0a0a0dd-5614-4520-9317-22c464eeeb4f */ 
    Private Sub RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR()
      If not OperatedStates.Contains("ecf94e8b-8373-4390-8dfc-73fdc13a8b53|") Then
        OperatedStates = OperatedStates + "ecf94e8b-8373-4390-8dfc-73fdc13a8b53|"
      End If
      'Simulation support : Notification function call for entering state : NO_HANDOVER_TO_LOCAL_OPERATOR ///* #REF520# */
      RtsNotify(Me, SENTER, "ecf94e8b-8373-4390-8dfc-73fdc13a8b53", 0, NullString)
      SimCore.EnterState("ecf94e8b-8373-4390-8dfc-73fdc13a8b53", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::NO_HANDOVER_TO_LOCAL_OPERATOR")
      Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR
      'Entry Actions
      d8out_Handover_To_Local_Operator_State.SetValue("No Handover")
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("54dc9626-6534-46f0-8f8a-bacd52235a2a|") then
    '   OperatedStates := OperatedStates + "54dc9626-6534-46f0-8f8a-bacd52235a2a|";
    ' end if
    ' // Simulation support : Notification function call for entering state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED ///* #REF520# */
    ' RtsNotify(This,SENTER,"54dc9626-6534-46f0-8f8a-bacd52235a2a",0,NullString);
    ' 
    ' SimCore.EnterState("54dc9626-6534-46f0-8f8a-bacd52235a2a","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::HANDOVER_TO_LOCAL_OPERATOR_INITIATED");
    ' 
    ' This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER := RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 6d9b8f34-89f4-4531-8ea3-46354b5a5d13 */  d8out_Handover_To_Local_Operator_State := "Initiated"; nullstat;/*##END 6d9b8f34-89f4-4531-8ea3-46354b5a5d13 */ 
    Private Sub RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
      If not OperatedStates.Contains("54dc9626-6534-46f0-8f8a-bacd52235a2a|") Then
        OperatedStates = OperatedStates + "54dc9626-6534-46f0-8f8a-bacd52235a2a|"
      End If
      'Simulation support : Notification function call for entering state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED ///* #REF520# */
      RtsNotify(Me, SENTER, "54dc9626-6534-46f0-8f8a-bacd52235a2a", 0, NullString)
      SimCore.EnterState("54dc9626-6534-46f0-8f8a-bacd52235a2a", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::HANDOVER_TO_LOCAL_OPERATOR_INITIATED")
      Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED
      'Entry Actions
      d8out_Handover_To_Local_Operator_State.SetValue("Initiated")
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("79f66fbf-4687-4905-8f85-43493e563147|") then
    '   OperatedStates := OperatedStates + "79f66fbf-4687-4905-8f85-43493e563147|";
    ' end if
    ' // Simulation support : Notification function call for entering state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED ///* #REF520# */
    ' RtsNotify(This,SENTER,"79f66fbf-4687-4905-8f85-43493e563147",0,NullString);
    ' 
    ' SimCore.EnterState("79f66fbf-4687-4905-8f85-43493e563147","RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED");
    ' 
    ' This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER := RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 0f7b85f7-3368-4694-9d51-050142c6a4b1 */  d8out_Handover_To_Local_Operator_State := "Established"; nullstat;/*##END 0f7b85f7-3368-4694-9d51-050142c6a4b1 */ 
    Private Sub RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
      If not OperatedStates.Contains("79f66fbf-4687-4905-8f85-43493e563147|") Then
        OperatedStates = OperatedStates + "79f66fbf-4687-4905-8f85-43493e563147|"
      End If
      'Simulation support : Notification function call for entering state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED ///* #REF520# */
      RtsNotify(Me, SENTER, "79f66fbf-4687-4905-8f85-43493e563147", 0, NullString)
      SimCore.EnterState("79f66fbf-4687-4905-8f85-43493e563147", "RECEIVING_LEVEL_CROSSING_COMMANDS::RECEIVE_LOCAL_OPERATION_HANDOVER::HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED")
      Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
      'Entry Actions
      d8out_Handover_To_Local_Operator_State.SetValue("Established")
    End Sub
    
    ' \ART_SMG :: Created for state : NATIONAL_SPECIFIC_STATE
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NATIONAL_SPECIFIC_STATE
    ' 	RtsNotify(This,SEXIT,"33fda23c-672a-49d0-84ac-4b0ada0053e5",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NATIONAL_SPECIFIC_STATE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NATIONAL_SPECIFIC_STATE()
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_NATIONAL_SPECIFIC_STATE Then
        'Simulation support : Notification function call for exiting state : NATIONAL_SPECIFIC_STATE
        RtsNotify(Me, SEXIT, "33fda23c-672a-49d0-84ac-4b0ada0053e5", 0, NullString)
        RtsExitSSOf_NATIONAL_SPECIFIC_STATE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LEVEL_CROSSING_COMMANDS
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : RECEIVING_LEVEL_CROSSING_COMMANDS
    ' 	RtsNotify(This,SEXIT,"4da15136-8376-4a24-9749-fac8a01d1e76",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_RECEIVING_LEVEL_CROSSING_COMMANDS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_RECEIVING_LEVEL_CROSSING_COMMANDS()
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        'Simulation support : Notification function call for exiting state : RECEIVING_LEVEL_CROSSING_COMMANDS
        RtsNotify(Me, SEXIT, "4da15136-8376-4a24-9749-fac8a01d1e76", 0, NullString)
        RtsExitSSOf_RECEIVING_LEVEL_CROSSING_COMMANDS()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_WAITING_1 then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"4c1d9621-1eb5-4056-8e08-f187d0ed5a41",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_1 ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_1()
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_WAITING_1 Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "4c1d9621-1eb5-4056-8e08-f187d0ed5a41", 0, NullString)
        RtsExitSSOf_WAITING_1()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ACTIVATED
    ' 	RtsNotify(This,SEXIT,"856cfec5-6088-411d-b36f-79f24ccd99fe",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ACTIVATED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ACTIVATED()
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED Then
        'Simulation support : Notification function call for exiting state : ACTIVATED
        RtsNotify(Me, SEXIT, "856cfec5-6088-411d-b36f-79f24ccd99fe", 0, NullString)
        RtsExitSSOf_ACTIVATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DEACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : DEACTIVATED
    ' 	RtsNotify(This,SEXIT,"b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_DEACTIVATED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_DEACTIVATED()
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED Then
        'Simulation support : Notification function call for exiting state : DEACTIVATED
        RtsNotify(Me, SEXIT, "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9", 0, NullString)
        RtsExitSSOf_DEACTIVATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ISOLATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ISOLATED
    ' 	RtsNotify(This,SEXIT,"3607e837-ac83-4d08-8f36-a2e576e51058",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ISOLATED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ISOLATED()
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED Then
        'Simulation support : Notification function call for exiting state : ISOLATED
        RtsNotify(Me, SEXIT, "3607e837-ac83-4d08-8f36-a2e576e51058", 0, NullString)
        RtsExitSSOf_ISOLATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : PRE_ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : PRE_ACTIVATED
    ' 	RtsNotify(This,SEXIT,"15bccdc4-a655-4db4-b3b0-1d776d6c3d8f",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_PRE_ACTIVATED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_PRE_ACTIVATED()
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED Then
        'Simulation support : Notification function call for exiting state : PRE_ACTIVATED
        RtsNotify(Me, SEXIT, "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f", 0, NullString)
        RtsExitSSOf_PRE_ACTIVATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING
    ' 	RtsNotify(This,SEXIT,"0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING()
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING Then
        'Simulation support : Notification function call for exiting state : WAITING
        RtsNotify(Me, SEXIT, "0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c", 0, NullString)
        RtsExitSSOf_WAITING()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_HANDOVER_TO_LOCAL_OPERATOR
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NO_HANDOVER_TO_LOCAL_OPERATOR
    ' 	RtsNotify(This,SEXIT,"ecf94e8b-8373-4390-8dfc-73fdc13a8b53",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NO_HANDOVER_TO_LOCAL_OPERATOR ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR()
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR Then
        'Simulation support : Notification function call for exiting state : NO_HANDOVER_TO_LOCAL_OPERATOR
        RtsNotify(Me, SEXIT, "ecf94e8b-8373-4390-8dfc-73fdc13a8b53", 0, NullString)
        RtsExitSSOf_NO_HANDOVER_TO_LOCAL_OPERATOR()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED
    ' 	RtsNotify(This,SEXIT,"54dc9626-6534-46f0-8f8a-bacd52235a2a",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_HANDOVER_TO_LOCAL_OPERATOR_INITIATED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED Then
        'Simulation support : Notification function call for exiting state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED
        RtsNotify(Me, SEXIT, "54dc9626-6534-46f0-8f8a-bacd52235a2a", 0, NullString)
        RtsExitSSOf_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
    ' 	RtsNotify(This,SEXIT,"79f66fbf-4687-4905-8f85-43493e563147",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED Then
        'Simulation support : Notification function call for exiting state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
        RtsNotify(Me, SEXIT, "79f66fbf-4687-4905-8f85-43493e563147", 0, NullString)
        RtsExitSSOf_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_ACTIVATION_STATE
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"1465c362-4521-40bc-8c9b-4e92d18f1c8e",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"1465c362-4521-40bc-8c9b-4e92d18f1c8e",0,NullString);/* #REF1576# */
    ' If (D55in_Con_Inital_Activate_LCPF = TRUE) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"db1e4063-199b-43dc-89cf-22a53e04de56",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"9939b169-ff0f-49e3-a586-5a030df9707e",0,NullString);/* #REF1585# */
    ' 	/*##STRT 028be566-0bad-4a54-9f2f-f71719d5de96 */  nullstat;/*##END 028be566-0bad-4a54-9f2f-f71719d5de96 */ /* #REF1578# */
    ' /*##STRT a66cfe2a-65f8-4f5c-bf6a-8ae8b0fa6884 */  nullstat;/*##END a66cfe2a-65f8-4f5c-bf6a-8ae8b0fa6884 */ /* #REF1546# */
    ' 	This.RtsEnter_ACTIVATED();/* #REF1590# */
    ' 	ElseIf (D55in_Con_Inital_Activate_LCPF = FALSE) then/* #REF1580# */
    ' /* #REF1582# */
    ' 	// Simulation support : Notification function calls for default transition/* #REF1584# */
    ' 	RtsNotify(This,TRANSITION,"db1e4063-199b-43dc-89cf-22a53e04de56",0,NullString);/* #REF1585# */
    ' 	RtsNotify(This,TRANSITION,"1df5406b-4d1b-4eac-b3bd-6e0d9a281700",0,NullString);/* #REF1585# */
    ' 	/*##STRT 028be566-0bad-4a54-9f2f-f71719d5de96 */  nullstat;/*##END 028be566-0bad-4a54-9f2f-f71719d5de96 */ /* #REF1578# */
    ' /*##STRT a7f6a4f4-52df-47da-879c-39549d43ba5c */  T32out_Deactivate_LCPF := TRUE; nullstat;/*##END a7f6a4f4-52df-47da-879c-39549d43ba5c */ /* #REF1546# */
    ' 	This.RtsEnter_DEACTIVATED();/* #REF1590# */
    ' 	/* #REF158644# */
    ' End If
    ' 
    Private Sub RtsDefault_RECEIVING_ACTIVATION_STATE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "1465c362-4521-40bc-8c9b-4e92d18f1c8e", 0, NullString)
      RtsNotify(Me, SEXIT, "1465c362-4521-40bc-8c9b-4e92d18f1c8e", 0, NullString)
      If (D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "db1e4063-199b-43dc-89cf-22a53e04de56", 0, NullString)
        RtsNotify(Me, TRANSITION, "9939b169-ff0f-49e3-a586-5a030df9707e", 0, NullString)
        Me.RtsEnter_ACTIVATED()
      ElseIf (D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = False) Then
        'Simulation support : Notification function calls for default transition/* #REF1584# */
        RtsNotify(Me, TRANSITION, "db1e4063-199b-43dc-89cf-22a53e04de56", 0, NullString)
        RtsNotify(Me, TRANSITION, "1df5406b-4d1b-4eac-b3bd-6e0d9a281700", 0, NullString)
        T32out_Deactivate_LCPF.SetValue(True)
        Me.RtsEnter_DEACTIVATED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LEVEL_CROSSING_COMMANDS
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' This.RtsEnter_RECEIVING_LEVEL_CROSSING_COMMANDS();/* #REF1572# */
    ' This.RtsDefault_RECEIVING_ACTIVATION_STATE();/* #REF1573# */
    ' This.RtsDefault_RECEIVE_LOCAL_OPERATION_HANDOVER();/* #REF1573# */
    ' 
    Private Sub RtsDefault_RECEIVING_LEVEL_CROSSING_COMMANDS()
      Me.RtsEnter_RECEIVING_LEVEL_CROSSING_COMMANDS()
      Me.RtsDefault_RECEIVING_ACTIVATION_STATE()
      Me.RtsDefault_RECEIVE_LOCAL_OPERATION_HANDOVER()
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVE_LOCAL_OPERATION_HANDOVER
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"ec2dbb8d-bb0e-4296-9421-8a8efc85b303",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"ec2dbb8d-bb0e-4296-9421-8a8efc85b303",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"443a8fae-3abc-412d-84e8-08c993dfbacb",0,NullString);/* #REF1585# */
    ' /*##STRT 737f0ca9-534e-4883-88c5-afbc1fbcddf8 */  nullstat;/*##END 737f0ca9-534e-4883-88c5-afbc1fbcddf8 */ /* #REF1546# */
    ' This.RtsEnter_WAITING();/* #REF1590# */
    ' 
    Private Sub RtsDefault_RECEIVE_LOCAL_OPERATION_HANDOVER()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "ec2dbb8d-bb0e-4296-9421-8a8efc85b303", 0, NullString)
      RtsNotify(Me, SEXIT, "ec2dbb8d-bb0e-4296-9421-8a8efc85b303", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "443a8fae-3abc-412d-84e8-08c993dfbacb", 0, NullString)
      Me.RtsEnter_WAITING()
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_SCI_LC_Receive)
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_SCI_LC_Receive" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Receive, "RtsF_SCI_LC_Receive_States");
    ' end if
    ' if Name = "RtsCurrent_RECEIVING_ACTIVATION_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVING_ACTIVATION_STATE, "RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER, "RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_SCI_LC_Receive" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Receive, "RtsF_SCI_LC_Receive_States");
    ' end if
    ' if Name = "RtsCurrent_RECEIVING_ACTIVATION_STATE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVING_ACTIVATION_STATE, "RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States");
    ' end if
    ' if Name = "RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER, "RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "3242738d-8c22-4865-bea8-24d780d32bf2";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "8";
    '   Value := Value + "|RtsCurrent_F_SCI_LC_Receive";
    '   Value := Value + "|RtsCurrent_RECEIVING_ACTIVATION_STATE";
    '   Value := Value + "|RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_SCI_LC_Receive";
    '   Value := Value + "|RtsCurrent_RECEIVING_ACTIVATION_STATE";
    '   Value := Value + "|RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_SCI_LC_Receive)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_SCI_LC_Receive" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Receive, "RtsF_SCI_LC_Receive_States")
      End If
      If Name = "RtsCurrent_RECEIVING_ACTIVATION_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVING_ACTIVATION_STATE, "RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States")
      End If
      If Name = "RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER, "RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_SCI_LC_Receive" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Receive, "RtsF_SCI_LC_Receive_States")
      End If
      If Name = "RtsCurrent_RECEIVING_ACTIVATION_STATE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVING_ACTIVATION_STATE, "RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States")
      End If
      If Name = "RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER, "RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "3242738d-8c22-4865-bea8-24d780d32bf2"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "8"
        Value = Value + "|RtsCurrent_F_SCI_LC_Receive"
        Value = Value + "|RtsCurrent_RECEIVING_ACTIVATION_STATE"
        Value = Value + "|RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_SCI_LC_Receive"
        Value = Value + "|RtsCurrent_RECEIVING_ACTIVATION_STATE"
        Value = Value + "|RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_SCI_LC_Receive" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_SCI_LC_Receive, Value, "RtsF_SCI_LC_Receive_States", GetType(F_SCI_LC_Receive.RtsF_SCI_LC_Receive_States));
    ' end if
    ' if Name = "RtsCurrent_RECEIVING_ACTIVATION_STATE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_RECEIVING_ACTIVATION_STATE, Value, "RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States", GetType(F_SCI_LC_Receive.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States));
    ' end if
    ' if Name = "RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER, Value, "RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States", GetType(F_SCI_LC_Receive.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_SCI_LC_Receive)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_SCI_LC_Receive" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_SCI_LC_Receive, Value, "RtsF_SCI_LC_Receive_States", GetType(F_SCI_LC_Receive.RtsF_SCI_LC_Receive_States))
      End If
      If Name = "RtsCurrent_RECEIVING_ACTIVATION_STATE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_RECEIVING_ACTIVATION_STATE, Value, "RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States", GetType(F_SCI_LC_Receive.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States))
      End If
      If Name = "RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER, Value, "RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States", GetType(F_SCI_LC_Receive.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Deactivation_In_F_SCI_LC_Receive(RetValue, CommandedDeactivationState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Deactivation(ByVal CommandedDeactivationState As DeactivationControlableState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Deactivation_In_F_SCI_LC_Receive(RetValue, CommandedDeactivationState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : DEACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Activation_In_F_SCI_LC_Receive(RetValue, CommandedActivationState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Activation(ByVal CommandedActivationState As ActivationControlableState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Activation_In_F_SCI_LC_Receive(RetValue, CommandedActivationState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : DEACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Isolate_LC_In_F_SCI_LC_Receive(RetValue, CommandedIsolateState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Isolate_LC(ByVal CommandedIsolateState As IsolateLevelCrossingControlableState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Isolate_LC_In_F_SCI_LC_Receive(RetValue, CommandedIsolateState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsCd_Local_Operation_Handover_In_F_SCI_LC_Receive(RetValue, CommandedHandoverState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsCd_Local_Operation_Handover(ByVal CommandedHandoverState As LocalOperationHandoverControlableState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsCd_Local_Operation_Handover_In_F_SCI_LC_Receive(RetValue, CommandedHandoverState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCd_Deactivation_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedDeactivationState);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Deactivation_In_F_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal CommandedDeactivationState As DeactivationControlableState)
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        RtsCd_Deactivation_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedDeactivationState)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare InternalRetValue := False: boolean;
    ' RtsCd_Deactivation_In_RECEIVING_ACTIVATION_STATE(InternalRetValue, CommandedDeactivationState);
    ' RetValue := RetValue or InternalRetValue;
    ' if RetValue then
    ' 	return;
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Deactivation_In_RECEIVING_LEVEL_CROSSING_COMMANDS(ByRef RetValue As Boolean, ByVal CommandedDeactivationState As DeactivationControlableState)
      Dim InternalRetValue As boolean = False
      RtsCd_Deactivation_In_RECEIVING_ACTIVATION_STATE(InternalRetValue, CommandedDeactivationState)
      RetValue = RetValue Or InternalRetValue
      If RetValue Then
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVATED
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT c0d0fa41-165c-4f70-bbbd-fdb28a956b2e */ ( CommandedDeactivationState = DeactivationControlableState.Deactivation )/*##END c0d0fa41-165c-4f70-bbbd-fdb28a956b2e */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVATED */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"61702d27-4a48-46d6-93db-7cdacf6cd96b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 9ec857a2-d799-41d7-973f-709e9af2d6bc */  T32out_Deactivate_LCPF := TRUE; nullstat;/*##END 9ec857a2-d799-41d7-973f-709e9af2d6bc */ /* #REF1546# */
    ' 		This.RtsEnter_DEACTIVATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 PRE_ACTIVATED
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT c115b92d-5e5a-4129-bd33-185bd9b28747 */ ( CommandedDeactivationState = DeactivationControlableState.Deactivation )/*##END c115b92d-5e5a-4129-bd33-185bd9b28747 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_PRE_ACTIVATED */
    ' 		/* standard */
    ' 		This.RtsExit_PRE_ACTIVATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d33439c9-c2ce-4ae2-bcb2-f8dc10c9bf03",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 136ed6e9-f8dc-4723-aee6-fabb53d8b6ef */  T32out_Deactivate_LCPF := TRUE; nullstat;/*##END 136ed6e9-f8dc-4723-aee6-fabb53d8b6ef */ /* #REF1546# */
    ' 		This.RtsEnter_DEACTIVATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Deactivation_In_RECEIVING_ACTIVATION_STATE(ByRef RetValue As Boolean, ByVal CommandedDeactivationState As DeactivationControlableState)
      'H1 ACTIVATED
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED Then
        If (CommandedDeactivationState = DeactivationControlableState.Deactivation) Then
          Me.RtsExit_ACTIVATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "61702d27-4a48-46d6-93db-7cdacf6cd96b", 0, NullString)
          T32out_Deactivate_LCPF.SetValue(True)
          Me.RtsEnter_DEACTIVATED()
          RetValue = True
          Return
        End If
      End If
      'H1 PRE_ACTIVATED
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED Then
        If (CommandedDeactivationState = DeactivationControlableState.Deactivation) Then
          Me.RtsExit_PRE_ACTIVATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d33439c9-c2ce-4ae2-bcb2-f8dc10c9bf03", 0, NullString)
          T32out_Deactivate_LCPF.SetValue(True)
          Me.RtsEnter_DEACTIVATED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCd_Activation_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedActivationState);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Activation_In_F_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal CommandedActivationState As ActivationControlableState)
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        RtsCd_Activation_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedActivationState)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare InternalRetValue := False: boolean;
    ' RtsCd_Activation_In_RECEIVING_ACTIVATION_STATE(InternalRetValue, CommandedActivationState);
    ' RetValue := RetValue or InternalRetValue;
    ' if RetValue then
    ' 	return;
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Activation_In_RECEIVING_LEVEL_CROSSING_COMMANDS(ByRef RetValue As Boolean, ByVal CommandedActivationState As ActivationControlableState)
      Dim InternalRetValue As boolean = False
      RtsCd_Activation_In_RECEIVING_ACTIVATION_STATE(InternalRetValue, CommandedActivationState)
      RetValue = RetValue Or InternalRetValue
      If RetValue Then
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 DEACTIVATED
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 348f98a1-c8fc-480e-858d-9f11f93ada3e */ ( CommandedActivationState = ActivationControlableState.Activation )/*##END 348f98a1-c8fc-480e-858d-9f11f93ada3e */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DEACTIVATED */
    ' 		/* standard */
    ' 		This.RtsExit_DEACTIVATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8281edb8-fefe-472a-b7dd-847264ffe283",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 84047bf5-d85a-4a00-9716-fa25c247b308 */  nullstat;/*##END 84047bf5-d85a-4a00-9716-fa25c247b308 */ /* #REF1546# */
    ' 		This.RtsEnter_ACTIVATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT d52535d8-2686-4e6f-8fdc-1f2675c9a114 */ ( CommandedActivationState = ActivationControlableState.Pre_activation )/*##END d52535d8-2686-4e6f-8fdc-1f2675c9a114 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DEACTIVATED */
    ' 		/* standard */
    ' 		This.RtsExit_DEACTIVATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"31aa8d5e-d3a0-4a17-b521-e09f90525e62",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 18ef822d-352b-47c2-9763-400471df35f5 */  nullstat;/*##END 18ef822d-352b-47c2-9763-400471df35f5 */ /* #REF1546# */
    ' 		This.RtsEnter_PRE_ACTIVATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 PRE_ACTIVATED
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 867aa610-5f79-48b7-ad4d-1b71fc00a229 */ (
    '  CommandedActivationState = ActivationControlableState.Activation )/*##END 867aa610-5f79-48b7-ad4d-1b71fc00a229 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_PRE_ACTIVATED */
    ' 		/* standard */
    ' 		This.RtsExit_PRE_ACTIVATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"230106c3-d279-43aa-9953-29ddf7fda2db",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 394ebbf0-eb8a-4a9c-827b-efee05fd4716 */  nullstat;/*##END 394ebbf0-eb8a-4a9c-827b-efee05fd4716 */ /* #REF1546# */
    ' 		This.RtsEnter_ACTIVATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Activation_In_RECEIVING_ACTIVATION_STATE(ByRef RetValue As Boolean, ByVal CommandedActivationState As ActivationControlableState)
      'H1 DEACTIVATED
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED Then
        If (CommandedActivationState = ActivationControlableState.Activation) Then
          Me.RtsExit_DEACTIVATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8281edb8-fefe-472a-b7dd-847264ffe283", 0, NullString)
          Me.RtsEnter_ACTIVATED()
          RetValue = True
          Return
        End If
        If (CommandedActivationState = ActivationControlableState.Pre_activation) Then
          Me.RtsExit_DEACTIVATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "31aa8d5e-d3a0-4a17-b521-e09f90525e62", 0, NullString)
          Me.RtsEnter_PRE_ACTIVATED()
          RetValue = True
          Return
        End If
      End If
      'H1 PRE_ACTIVATED
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED Then
        If (CommandedActivationState = ActivationControlableState.Activation) Then
          Me.RtsExit_PRE_ACTIVATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "230106c3-d279-43aa-9953-29ddf7fda2db", 0, NullString)
          Me.RtsEnter_ACTIVATED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCd_Isolate_LC_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedIsolateState);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Isolate_LC_In_F_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal CommandedIsolateState As IsolateLevelCrossingControlableState)
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        RtsCd_Isolate_LC_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedIsolateState)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare InternalRetValue := False: boolean;
    ' RtsCd_Isolate_LC_In_RECEIVING_ACTIVATION_STATE(InternalRetValue, CommandedIsolateState);
    ' RetValue := RetValue or InternalRetValue;
    ' if RetValue then
    ' 	return;
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Isolate_LC_In_RECEIVING_LEVEL_CROSSING_COMMANDS(ByRef RetValue As Boolean, ByVal CommandedIsolateState As IsolateLevelCrossingControlableState)
      Dim InternalRetValue As boolean = False
      RtsCd_Isolate_LC_In_RECEIVING_ACTIVATION_STATE(InternalRetValue, CommandedIsolateState)
      RetValue = RetValue Or InternalRetValue
      If RetValue Then
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 DEACTIVATED
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT a3ad0198-5294-4822-a8fa-f4f33516fa51 */ ( CommandedIsolateState = IsolateLevelCrossingControlableState.EnableIsolationOfTheLevelCrossing )/*##END a3ad0198-5294-4822-a8fa-f4f33516fa51 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DEACTIVATED */
    ' 		/* standard */
    ' 		This.RtsExit_DEACTIVATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"47423a93-0d95-4f4b-a6a6-7cdd2519b378",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 0190eefe-d957-44d8-8cfa-7a5f1d0853b3 */  nullstat;/*##END 0190eefe-d957-44d8-8cfa-7a5f1d0853b3 */ /* #REF1546# */
    ' 		This.RtsEnter_ISOLATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 ISOLATED
    ' if This.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 1b9c070a-75b8-402d-a645-d81de2ecb5da */ ( CommandedIsolateState = IsolateLevelCrossingControlableState.DisableIsolationOfTheLevelCrossing )/*##END 1b9c070a-75b8-402d-a645-d81de2ecb5da */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ISOLATED */
    ' 		/* standard */
    ' 		This.RtsExit_ISOLATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"52b9c7c6-d0f3-46d1-b4ac-2d89520e10ca",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT a032c573-f16d-496b-b3a3-783e2f535bfe */  nullstat;/*##END a032c573-f16d-496b-b3a3-783e2f535bfe */ /* #REF1546# */
    ' 		This.RtsEnter_DEACTIVATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Isolate_LC_In_RECEIVING_ACTIVATION_STATE(ByRef RetValue As Boolean, ByVal CommandedIsolateState As IsolateLevelCrossingControlableState)
      'H1 DEACTIVATED
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED Then
        If (CommandedIsolateState = IsolateLevelCrossingControlableState.EnableIsolationOfTheLevelCrossing) Then
          Me.RtsExit_DEACTIVATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "47423a93-0d95-4f4b-a6a6-7cdd2519b378", 0, NullString)
          Me.RtsEnter_ISOLATED()
          RetValue = True
          Return
        End If
      End If
      'H1 ISOLATED
      If Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED Then
        If (CommandedIsolateState = IsolateLevelCrossingControlableState.DisableIsolationOfTheLevelCrossing) Then
          Me.RtsExit_ISOLATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "52b9c7c6-d0f3-46d1-b4ac-2d89520e10ca", 0, NullString)
          Me.RtsEnter_DEACTIVATED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS
    ' // H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
    ' if This.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States{enum_datatype}.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsCd_Local_Operation_Handover_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedHandoverState);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Local_Operation_Handover_In_F_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal CommandedHandoverState As LocalOperationHandoverControlableState)
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS
      'H1 RECEIVING_LEVEL_CROSSING_COMMANDS - call into substate
      If Me.RtsCurrent_F_SCI_LC_Receive = RtsF_SCI_LC_Receive_States.RtsF_SCI_LC_Receive_States_RECEIVING_LEVEL_CROSSING_COMMANDS Then
        RtsCd_Local_Operation_Handover_In_RECEIVING_LEVEL_CROSSING_COMMANDS(RetValue, CommandedHandoverState)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare InternalRetValue := False: boolean;
    ' RtsCd_Local_Operation_Handover_In_RECEIVE_LOCAL_OPERATION_HANDOVER(InternalRetValue, CommandedHandoverState);
    ' RetValue := RetValue or InternalRetValue;
    ' if RetValue then
    ' 	return;
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Local_Operation_Handover_In_RECEIVING_LEVEL_CROSSING_COMMANDS(ByRef RetValue As Boolean, ByVal CommandedHandoverState As LocalOperationHandoverControlableState)
      Dim InternalRetValue As boolean = False
      RtsCd_Local_Operation_Handover_In_RECEIVE_LOCAL_OPERATION_HANDOVER(InternalRetValue, CommandedHandoverState)
      RetValue = RetValue Or InternalRetValue
      If RetValue Then
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 522d17e5-3a0e-45da-b291-0bddeb4900a6 */ ( CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished )/*##END 522d17e5-3a0e-45da-b291-0bddeb4900a6 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e0d53887-683c-434b-920f-666400cec752",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 857c3780-fd15-4d9e-bd07-15c7df16dcb3 */  nullstat;/*##END 857c3780-fd15-4d9e-bd07-15c7df16dcb3 */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT aba762d0-7001-404c-a2bb-711fa0ffa883 */ ( CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated )/*##END aba762d0-7001-404c-a2bb-711fa0ffa883 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"5688f020-11b8-4c0e-9efd-37a47a0e5a50",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f0913f50-01a1-467f-8e55-7281933e13ef */  nullstat;/*##END f0913f50-01a1-467f-8e55-7281933e13ef */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 557a391d-1f8b-4c8d-8f40-a15f7208d105 */ ( CommandedHandoverState = LocalOperationHandoverControlableState.NoHandOverToLocalOperator )/*##END 557a391d-1f8b-4c8d-8f40-a15f7208d105 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"f593b773-6ff7-43cf-b774-61ac22c26d78",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4bfada44-e9cb-4db7-9298-72e9ccb24cda */  nullstat;/*##END 4bfada44-e9cb-4db7-9298-72e9ccb24cda */ /* #REF1546# */
    ' 		This.RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 NO_HANDOVER_TO_LOCAL_OPERATOR
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 05a03ffb-25bf-4854-a9db-18e192db8dba */ ( CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated )/*##END 05a03ffb-25bf-4854-a9db-18e192db8dba */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR */
    ' 		/* standard */
    ' 		This.RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8c49e27d-ec4a-4659-ad47-314a6ef7950d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8776c4f3-b552-4279-a1fd-48fc5a6f71fd */  nullstat;/*##END 8776c4f3-b552-4279-a1fd-48fc5a6f71fd */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT b4e971b8-2f54-46f1-a216-07105b00910d */ ( CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished )/*##END b4e971b8-2f54-46f1-a216-07105b00910d */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR */
    ' 		/* standard */
    ' 		This.RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8b2c43bb-7ae0-4f85-b022-4ca3fd8d28b1",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 39dc4101-a575-4bba-81af-a53659801fee */  nullstat;/*##END 39dc4101-a575-4bba-81af-a53659801fee */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 HANDOVER_TO_LOCAL_OPERATOR_INITIATED
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 323b9b24-3206-4bfc-a7bf-ec6cee276982 */ ( CommandedHandoverState = LocalOperationHandoverControlableState.NoHandOverToLocalOperator )/*##END 323b9b24-3206-4bfc-a7bf-ec6cee276982 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d51eb1b0-3cf5-4647-a3b7-534f4b22232e",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 185c5ea1-0e34-428a-8ccf-1bd077ce3a07 */  nullstat;/*##END 185c5ea1-0e34-428a-8ccf-1bd077ce3a07 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 47c2d52a-7af4-4979-a921-473d50887c9d */ ( CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished )/*##END 47c2d52a-7af4-4979-a921-473d50887c9d */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e13c5472-db0c-482f-a1dd-0d3bfb78189b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 949bae6a-5475-40e2-8957-23bb5ed22afe */  nullstat;/*##END 949bae6a-5475-40e2-8957-23bb5ed22afe */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' // H1 HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
    ' if This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 22967c07-8fbc-4e39-8e8a-0d5c1850cc66 */ ( CommandedHandoverState = LocalOperationHandoverControlableState.NoHandOverToLocalOperator )/*##END 22967c07-8fbc-4e39-8e8a-0d5c1850cc66 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8216a907-44fc-4b43-95ab-0ad9aeb1e6b1",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ad2632df-429b-47db-b037-231933e41f93 */  nullstat;/*##END ad2632df-429b-47db-b037-231933e41f93 */ /* #REF1546# */
    ' 		This.RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 74f94dc9-22d6-4323-a0d1-15bf4f5cfff9 */ ( CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated )/*##END 74f94dc9-22d6-4323-a0d1-15bf4f5cfff9 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED */
    ' 		/* standard */
    ' 		This.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"9f7b963a-c9a9-4216-ae8b-2ddc60691842",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 69a87133-fd9d-4ded-93a9-79d3ad31ad3c */  nullstat;/*##END 69a87133-fd9d-4ded-93a9-79d3ad31ad3c */ /* #REF1546# */
    ' 		This.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsCd_Local_Operation_Handover_In_RECEIVE_LOCAL_OPERATION_HANDOVER(ByRef RetValue As Boolean, ByVal CommandedHandoverState As LocalOperationHandoverControlableState)
      'H1 WAITING
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING Then
        If (CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e0d53887-683c-434b-920f-666400cec752", 0, NullString)
          Me.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
          RetValue = True
          Return
        End If
        If (CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "5688f020-11b8-4c0e-9efd-37a47a0e5a50", 0, NullString)
          Me.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
          RetValue = True
          Return
        End If
        If (CommandedHandoverState = LocalOperationHandoverControlableState.NoHandOverToLocalOperator) Then
          Me.RtsExit_WAITING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "f593b773-6ff7-43cf-b774-61ac22c26d78", 0, NullString)
          Me.RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR()
          RetValue = True
          Return
        End If
      End If
      'H1 NO_HANDOVER_TO_LOCAL_OPERATOR
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR Then
        If (CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated) Then
          Me.RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8c49e27d-ec4a-4659-ad47-314a6ef7950d", 0, NullString)
          Me.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
          RetValue = True
          Return
        End If
        If (CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished) Then
          Me.RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8b2c43bb-7ae0-4f85-b022-4ca3fd8d28b1", 0, NullString)
          Me.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
          RetValue = True
          Return
        End If
      End If
      'H1 HANDOVER_TO_LOCAL_OPERATOR_INITIATED
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED Then
        If (CommandedHandoverState = LocalOperationHandoverControlableState.NoHandOverToLocalOperator) Then
          Me.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d51eb1b0-3cf5-4647-a3b7-534f4b22232e", 0, NullString)
          Me.RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR()
          RetValue = True
          Return
        End If
        If (CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished) Then
          Me.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e13c5472-db0c-482f-a1dd-0d3bfb78189b", 0, NullString)
          Me.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
          RetValue = True
          Return
        End If
      End If
      'H1 HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
      If Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED Then
        If (CommandedHandoverState = LocalOperationHandoverControlableState.NoHandOverToLocalOperator) Then
          Me.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8216a907-44fc-4b43-95ab-0ad9aeb1e6b1", 0, NullString)
          Me.RtsEnter_NO_HANDOVER_TO_LOCAL_OPERATOR()
          RetValue = True
          Return
        End If
        If (CommandedHandoverState = LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated) Then
          Me.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "9f7b963a-c9a9-4216-ae8b-2ddc60691842", 0, NullString)
          Me.RtsEnter_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : NATIONAL_SPECIFIC_STATE
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("33fda23c-672a-49d0-84ac-4b0ada0053e5|") then
    '   OperatedStates := OperatedStates + "33fda23c-672a-49d0-84ac-4b0ada0053e5|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NATIONAL_SPECIFIC_STATE()
      If not OperatedStates.Contains("33fda23c-672a-49d0-84ac-4b0ada0053e5|") Then
        OperatedStates = OperatedStates + "33fda23c-672a-49d0-84ac-4b0ada0053e5|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LEVEL_CROSSING_COMMANDS
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("4da15136-8376-4a24-9749-fac8a01d1e76|") then
    '   OperatedStates := OperatedStates + "4da15136-8376-4a24-9749-fac8a01d1e76|";
    ' end if
    ' /* #REF724# */
    ' select case This.RtsCurrent_RECEIVING_ACTIVATION_STATE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_ACTIVATED();/* #REF730# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_DEACTIVATED();/* #REF730# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_ISOLATED();/* #REF730# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_PRE_ACTIVATED();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_RECEIVING_ACTIVATION_STATE := RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_WAITING();/* #REF730# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR();/* #REF730# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED();/* #REF730# */
    ' 	case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER := RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER;/* #REF736# */
    ' 
    Private Sub RtsExitSSOf_RECEIVING_LEVEL_CROSSING_COMMANDS()
      If not OperatedStates.Contains("4da15136-8376-4a24-9749-fac8a01d1e76|") Then
        OperatedStates = OperatedStates + "4da15136-8376-4a24-9749-fac8a01d1e76|"
      End If
      Select Case Me.RtsCurrent_RECEIVING_ACTIVATION_STATE
        Case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ACTIVATED
          Me.RtsExit_ACTIVATED()
        Case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_DEACTIVATED
          Me.RtsExit_DEACTIVATED()
        Case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_ISOLATED
          Me.RtsExit_ISOLATED()
        Case RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_PRE_ACTIVATED
          Me.RtsExit_PRE_ACTIVATED()
      End Select
      Me.RtsCurrent_RECEIVING_ACTIVATION_STATE = RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States.RtsF_SCI_LC_ReceiveRECEIVING_ACTIVATION_STATE_States_NotIn_RECEIVING_ACTIVATION_STATE
      Select Case Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER
        Case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_WAITING
          Me.RtsExit_WAITING()
        Case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NO_HANDOVER_TO_LOCAL_OPERATOR
          Me.RtsExit_NO_HANDOVER_TO_LOCAL_OPERATOR()
        Case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_INITIATED
          Me.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
        Case RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
          Me.RtsExit_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
      End Select
      Me.RtsCurrent_RECEIVE_LOCAL_OPERATION_HANDOVER = RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States.RtsF_SCI_LC_ReceiveRECEIVE_LOCAL_OPERATION_HANDOVER_States_NotIn_RECEIVE_LOCAL_OPERATION_HANDOVER
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_1
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("4c1d9621-1eb5-4056-8e08-f187d0ed5a41|") then
    '   OperatedStates := OperatedStates + "4c1d9621-1eb5-4056-8e08-f187d0ed5a41|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_1()
      If not OperatedStates.Contains("4c1d9621-1eb5-4056-8e08-f187d0ed5a41|") Then
        OperatedStates = OperatedStates + "4c1d9621-1eb5-4056-8e08-f187d0ed5a41|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("856cfec5-6088-411d-b36f-79f24ccd99fe|") then
    '   OperatedStates := OperatedStates + "856cfec5-6088-411d-b36f-79f24ccd99fe|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_ACTIVATED()
      If not OperatedStates.Contains("856cfec5-6088-411d-b36f-79f24ccd99fe|") Then
        OperatedStates = OperatedStates + "856cfec5-6088-411d-b36f-79f24ccd99fe|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DEACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|") then
    '   OperatedStates := OperatedStates + "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_DEACTIVATED()
      If not OperatedStates.Contains("b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|") Then
        OperatedStates = OperatedStates + "b89fb0c5-6b4b-426d-9fbc-2fce4134bfe9|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ISOLATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("3607e837-ac83-4d08-8f36-a2e576e51058|") then
    '   OperatedStates := OperatedStates + "3607e837-ac83-4d08-8f36-a2e576e51058|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_ISOLATED()
      If not OperatedStates.Contains("3607e837-ac83-4d08-8f36-a2e576e51058|") Then
        OperatedStates = OperatedStates + "3607e837-ac83-4d08-8f36-a2e576e51058|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : PRE_ACTIVATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|") then
    '   OperatedStates := OperatedStates + "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_PRE_ACTIVATED()
      If not OperatedStates.Contains("15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|") Then
        OperatedStates = OperatedStates + "15bccdc4-a655-4db4-b3b0-1d776d6c3d8f|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|") then
    '   OperatedStates := OperatedStates + "0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING()
      If not OperatedStates.Contains("0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|") Then
        OperatedStates = OperatedStates + "0dca4d4f-3d66-4abe-9e19-a4ef048ddd6c|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NO_HANDOVER_TO_LOCAL_OPERATOR
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ecf94e8b-8373-4390-8dfc-73fdc13a8b53|") then
    '   OperatedStates := OperatedStates + "ecf94e8b-8373-4390-8dfc-73fdc13a8b53|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NO_HANDOVER_TO_LOCAL_OPERATOR()
      If not OperatedStates.Contains("ecf94e8b-8373-4390-8dfc-73fdc13a8b53|") Then
        OperatedStates = OperatedStates + "ecf94e8b-8373-4390-8dfc-73fdc13a8b53|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_TO_LOCAL_OPERATOR_INITIATED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("54dc9626-6534-46f0-8f8a-bacd52235a2a|") then
    '   OperatedStates := OperatedStates + "54dc9626-6534-46f0-8f8a-bacd52235a2a|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_HANDOVER_TO_LOCAL_OPERATOR_INITIATED()
      If not OperatedStates.Contains("54dc9626-6534-46f0-8f8a-bacd52235a2a|") Then
        OperatedStates = OperatedStates + "54dc9626-6534-46f0-8f8a-bacd52235a2a|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("79f66fbf-4687-4905-8f85-43493e563147|") then
    '   OperatedStates := OperatedStates + "79f66fbf-4687-4905-8f85-43493e563147|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_HANDOVER_TO_LOCAL_OPERATOR_ESTABLISHED()
      If not OperatedStates.Contains("79f66fbf-4687-4905-8f85-43493e563147|") Then
        OperatedStates = OperatedStates + "79f66fbf-4687-4905-8f85-43493e563147|"
      End If
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume d1out_Receive_LC_State: a SySimOutputPort;
    ' assume d51in_EST_EfeS_State: a SySimInputPort;
    ' assume d53in_Time_Expired: a SySimInputPort;
    ' assume D55in_Con_Inital_Activate_LCPF: a SySimInputPort;
    ' assume d8out_Handover_To_Local_Operator_State: a SySimOutputPort;
    ' assume P1in: a SySimInputPort;
    ' assume T31out_Activate_LCPF: a SySimOutputPort;
    ' assume T32out_Deactivate_LCPF: a SySimOutputPort;
    ' assume T33out_Pre_Activate_LCPF: a SySimOutputPort;
    ' assume T34out_National_Specific_State_LCPF: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg2Tmp := (/*##STRT 3cc441aa-b098-409a-8b25-49816f717dd6 */ ( d51in_EST_EfeS_State = "BOOTING")/*##END 3cc441aa-b098-409a-8b25-49816f717dd6 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg5Tmp := (/*##STRT 66c11068-147f-42b6-93f4-cb59873963ca */ ( d51in_EST_EfeS_State = "INITIALISING" AND D55in_Con_Inital_Activate_LCPF = TRUE)/*##END 66c11068-147f-42b6-93f4-cb59873963ca */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg1Tmp := (/*##STRT f03a93bf-0fdf-4991-b7dc-530b81fc43f1 */ ( d51in_EST_EfeS_State = "OPERATIONAL" OR d51in_EST_EfeS_State = "BOOTING" OR d51in_EST_EfeS_State = "INITIALISING")/*##END f03a93bf-0fdf-4991-b7dc-530b81fc43f1 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg7Tmp := (/*##STRT 4b031f61-732d-4e8c-ac3d-7ee2afd2c091 */ ( d51in_EST_EfeS_State = "BOOTING")/*##END 4b031f61-732d-4e8c-ac3d-7ee2afd2c091 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg4Tmp := (/*##STRT 3221e638-c834-424d-b5c2-fdcf9ebd096c */ ( d53in_Time_Expired = "Delay Expired")/*##END 3221e638-c834-424d-b5c2-fdcf9ebd096c */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg3Tmp := (/*##STRT 1eb4f1ce-68e1-4aff-af34-f1d78c35f256 */ ( d51in_EST_EfeS_State = "FALLBACK_MODE" OR d51in_EST_EfeS_State = "NO_OPERATING_VOLTAGE")/*##END 1eb4f1ce-68e1-4aff-af34-f1d78c35f256 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg6Tmp := (/*##STRT 4c5859ad-bd68-4595-a1f6-a61b57b0ce3c */ ( d51in_EST_EfeS_State = "INITIALISING" AND D55in_Con_Inital_Activate_LCPF = TRUE)/*##END 4c5859ad-bd68-4595-a1f6-a61b57b0ce3c */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg2 := (/*##STRT 3cc441aa-b098-409a-8b25-49816f717dd6 */ ( d51in_EST_EfeS_State = "BOOTING")/*##END 3cc441aa-b098-409a-8b25-49816f717dd6 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 66c11068-147f-42b6-93f4-cb59873963ca */ ( d51in_EST_EfeS_State = "INITIALISING" AND D55in_Con_Inital_Activate_LCPF = TRUE)/*##END 66c11068-147f-42b6-93f4-cb59873963ca */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT f03a93bf-0fdf-4991-b7dc-530b81fc43f1 */ ( d51in_EST_EfeS_State = "OPERATIONAL" OR d51in_EST_EfeS_State = "BOOTING" OR d51in_EST_EfeS_State = "INITIALISING")/*##END f03a93bf-0fdf-4991-b7dc-530b81fc43f1 */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 4b031f61-732d-4e8c-ac3d-7ee2afd2c091 */ ( d51in_EST_EfeS_State = "BOOTING")/*##END 4b031f61-732d-4e8c-ac3d-7ee2afd2c091 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 3221e638-c834-424d-b5c2-fdcf9ebd096c */ ( d53in_Time_Expired = "Delay Expired")/*##END 3221e638-c834-424d-b5c2-fdcf9ebd096c */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 1eb4f1ce-68e1-4aff-af34-f1d78c35f256 */ ( d51in_EST_EfeS_State = "FALLBACK_MODE" OR d51in_EST_EfeS_State = "NO_OPERATING_VOLTAGE")/*##END 1eb4f1ce-68e1-4aff-af34-f1d78c35f256 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT 4c5859ad-bd68-4595-a1f6-a61b57b0ce3c */ ( d51in_EST_EfeS_State = "INITIALISING" AND D55in_Con_Inital_Activate_LCPF = TRUE)/*##END 4c5859ad-bd68-4595-a1f6-a61b57b0ce3c */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg2 := (/*##STRT 3cc441aa-b098-409a-8b25-49816f717dd6 */ ( d51in_EST_EfeS_State = "BOOTING")/*##END 3cc441aa-b098-409a-8b25-49816f717dd6 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 66c11068-147f-42b6-93f4-cb59873963ca */ ( d51in_EST_EfeS_State = "INITIALISING" AND D55in_Con_Inital_Activate_LCPF = TRUE)/*##END 66c11068-147f-42b6-93f4-cb59873963ca */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT f03a93bf-0fdf-4991-b7dc-530b81fc43f1 */ ( d51in_EST_EfeS_State = "OPERATIONAL" OR d51in_EST_EfeS_State = "BOOTING" OR d51in_EST_EfeS_State = "INITIALISING")/*##END f03a93bf-0fdf-4991-b7dc-530b81fc43f1 */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 4b031f61-732d-4e8c-ac3d-7ee2afd2c091 */ ( d51in_EST_EfeS_State = "BOOTING")/*##END 4b031f61-732d-4e8c-ac3d-7ee2afd2c091 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 3221e638-c834-424d-b5c2-fdcf9ebd096c */ ( d53in_Time_Expired = "Delay Expired")/*##END 3221e638-c834-424d-b5c2-fdcf9ebd096c */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 1eb4f1ce-68e1-4aff-af34-f1d78c35f256 */ ( d51in_EST_EfeS_State = "FALLBACK_MODE" OR d51in_EST_EfeS_State = "NO_OPERATING_VOLTAGE")/*##END 1eb4f1ce-68e1-4aff-af34-f1d78c35f256 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT 4c5859ad-bd68-4595-a1f6-a61b57b0ce3c */ ( d51in_EST_EfeS_State = "INITIALISING" AND D55in_Con_Inital_Activate_LCPF = TRUE)/*##END 4c5859ad-bd68-4595-a1f6-a61b57b0ce3c */ ) : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := True;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := True;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := True;
    '   ChgFlg7 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := True;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg4 := True;
    '   ChgFlg3 := False;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := True;
    '   ChgFlg6 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg6 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg2 := false;
    ' ChgFlg5 := false;
    ' ChgFlg1 := false;
    ' ChgFlg7 := false;
    ' ChgFlg4 := false;
    ' ChgFlg3 := false;
    ' ChgFlg6 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg2Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg5Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING" And D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg1Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL" Or d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING" Or d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING"))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg7Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg4Tmp As Boolean = ((d53in_Time_Expired.GetLatchedValue() = "Delay Expired"))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg3Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE" Or d51in_EST_EfeS_State.GetLatchedValue() = "NO_OPERATING_VOLTAGE"))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg6Tmp As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING" And D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg2 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
        Dim MaskedChgFlg5 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING" And D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True))
        Dim MaskedChgFlg1 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL" Or d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING" Or d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING"))
        Dim MaskedChgFlg7 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
        Dim MaskedChgFlg4 As Boolean = ((d53in_Time_Expired.GetLatchedValue() = "Delay Expired"))
        Dim MaskedChgFlg3 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE" Or d51in_EST_EfeS_State.GetLatchedValue() = "NO_OPERATING_VOLTAGE"))
        Dim MaskedChgFlg6 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING" And D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True))
        MaskInPorts(False)
        Dim UnMaskedChgFlg2 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
        Dim UnMaskedChgFlg5 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING" And D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True))
        Dim UnMaskedChgFlg1 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "OPERATIONAL" Or d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING" Or d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING"))
        Dim UnMaskedChgFlg7 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "BOOTING"))
        Dim UnMaskedChgFlg4 As Boolean = ((d53in_Time_Expired.GetLatchedValue() = "Delay Expired"))
        Dim UnMaskedChgFlg3 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "FALLBACK_MODE" Or d51in_EST_EfeS_State.GetLatchedValue() = "NO_OPERATING_VOLTAGE"))
        Dim UnMaskedChgFlg6 As Boolean = ((d51in_EST_EfeS_State.GetLatchedValue() = "INITIALISING" And D55in_Con_Inital_Activate_LCPF.GetLatchedValue() = True))
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = True
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = True
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg1 = True
          ChgFlg7 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg7 = True
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg4 = True
          ChgFlg3 = False
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg4 = False
          ChgFlg3 = True
          ChgFlg6 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg6 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg2 = False
      ChgFlg5 = False
      ChgFlg1 = False
      ChgFlg7 = False
      ChgFlg4 = False
      ChgFlg3 = False
      ChgFlg6 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or d51in_EST_EfeS_State.Decrement())
      Ret = (Ret Or d53in_Time_Expired.Decrement())
      Ret = (Ret Or D55in_Con_Inital_Activate_LCPF.Decrement())
      Ret = (Ret Or P1in.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      d51in_EST_EfeS_State.Mask(What)
      d53in_Time_Expired.Mask(What)
      D55in_Con_Inital_Activate_LCPF.Mask(What)
      P1in.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class F_SCI_LC_Report : Implements SMSupport.SMQueued 
    Protected Class F_SCI_LC_ReportSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As F_SCI_LC_Report = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
          Case Start_Status_Report.Id
            Dim TheMsg As Start_Status_Report = Msg
            TheTarget.RtsStart_Status_Report()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsF_SCI_LC_Report_States
      RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED
      RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS
      RtsF_SCI_LC_Report_States_NotIn_F_SCI_LC_Report
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States
      RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS
      RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States
      RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA
      RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States
      RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE
      RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States
      RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE
      RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States
      RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS
      RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States
      RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER
      RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States
      RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN
      RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER
    End Enum
    Public Enum RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States
      RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE
      RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR
    End Enum
    ' \ART_SMG :: Created for state : F_SCI_LC_Report
    Private RtsCurrent_F_SCI_LC_Report As F_SCI_LC_Report.RtsF_SCI_LC_Report_States
    ' \ART_SMG :: Created for state : REPORT_FUNCTIONAL_STATUS
    Private RtsCurrent_REPORT_FUNCTIONAL_STATUS As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States
    ' \ART_SMG :: Created for state : REPORT_OBSTACLE_DETECTION_STATUS
    Private RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States
    ' \ART_SMG :: Created for state : REPORT_LEVEL_CROSSING_CRITICAL_FAILURE
    Private RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States
    ' \ART_SMG :: Created for state : REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE
    Private RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States
    ' \ART_SMG :: Created for state : REPORT_DETECTION_ELEMENT_STATUS
    Private RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States
    ' \ART_SMG :: Created for state : REPORT_LOCAL_HANDOVER
    Private RtsCurrent_REPORT_LOCAL_HANDOVER As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States
    ' \ART_SMG :: Created for state : REPORT_MONITORING_PARAMETER
    Private RtsCurrent_REPORT_MONITORING_PARAMETER As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States
    ' \ART_SMG :: Created for state : REPORT_REQUEST_BY_LOCAL_OPERATOR
    Private RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR As F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast18 As Boolean
    Private ChgFlg18 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast24 As Boolean
    Private ChgFlg24 As Boolean
    Private ChgFlgLast15 As Boolean
    Private ChgFlg15 As Boolean
    Private ChgFlgLast26 As Boolean
    Private ChgFlg26 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast28 As Boolean
    Private ChgFlg28 As Boolean
    Private ChgFlgLast10 As Boolean
    Private ChgFlg10 As Boolean
    Private ChgFlgLast17 As Boolean
    Private ChgFlg17 As Boolean
    Private ChgFlgLast12 As Boolean
    Private ChgFlg12 As Boolean
    Private ChgFlgLast21 As Boolean
    Private ChgFlg21 As Boolean
    Private ChgFlgLast23 As Boolean
    Private ChgFlg23 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast11 As Boolean
    Private ChgFlg11 As Boolean
    Private ChgFlgLast20 As Boolean
    Private ChgFlg20 As Boolean
    Private ChgFlgLast14 As Boolean
    Private ChgFlg14 As Boolean
    Private ChgFlgLast25 As Boolean
    Private ChgFlg25 As Boolean
    Private ChgFlgLast13 As Boolean
    Private ChgFlg13 As Boolean
    Private ChgFlgLast27 As Boolean
    Private ChgFlg27 As Boolean
    Private ChgFlgLast19 As Boolean
    Private ChgFlg19 As Boolean
    Private ChgFlgLast22 As Boolean
    Private ChgFlg22 As Boolean
    Private ChgFlgLast16 As Boolean
    Private ChgFlg16 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As F_SCI_LC_ReportSMQueue = New F_SCI_LC_ReportSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    Protected d1in_Receive_LC_State As OInputPort(Of String)
    Protected d3in_LCPF_Protection_State As OInputPort(Of String)
    Protected d4in_Obstacle_Detection_Status As OInputPort(Of String)
    Protected d7in_Detection_Element_Status As OInputPort(Of String)
    Protected d81in_Local_Operation_Handover As OInputPort(Of String)
    Protected d6in_LC_Monitoring_Status As OInputPort(Of String)
    Protected d61in_LC_Failure_Status As OInputPort(Of String)
    Protected d62in_LCPF_Failure_Status As OInputPort(Of String)
    ' The port P2out exchanges information objects according to SCI_LC_Subsystem_LC.
    Protected P2out As OOutputPort(Of SCI_LC_Report)
    Protected d9in_Changed_Monitoring_State As OInputPort(Of String)
    Protected d75in_LC_Failure_Status As OInputPort(Of String)
    Protected d82in_Local_Operation_Handover As OInputPort(Of String)
    Protected d50in_PDI_Connection_State As OInputPort(Of String)
    Protected p3inout As OInputOutputPort(Of F_SCI_Specific)
    ' cOp1_Critical_Failure
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp1_Critical_Failure */
    ' 
    ' if (d61in_LC_Failure_Status <> "A critical failure is present" AND d62in_LCPF_Failure_Status <> "A critical failure is present" AND d75in_LC_Failure_Status <> "A critical failure is present") then
    ' 	return CriticalFailureStatusState.NoCriticalFailureIsPresent;
    ' else
    ' 	return CriticalFailureStatusState.ACriticalFailureIsPresent; 
    ' end if
    Public Function cOp1_Critical_Failure() As CriticalFailureStatusState
      If (d61in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present") Then
        Return CriticalFailureStatusState.NoCriticalFailureIsPresent
      Else
        Return CriticalFailureStatusState.ACriticalFailureIsPresent
      End If
    End Function
    
    ' cOp2_Non_Critical_Failure 
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp2_Non_Critical_Failure */
    ' 
    ' if (d61in_LC_Failure_Status <> "A non critical failure is present" AND d62in_LCPF_Failure_Status <> "A non critical failure is present" AND d75in_LC_Failure_Status <> "A non critical failure is present")then
    ' 	return NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent;
    ' else
    ' 	return NonCriticalFailureStatusState.ANonCriticalFailureIsPresent;
    ' end if
    Public Function cOp2_Non_Critical_Failure() As NonCriticalFailureStatusState
      If (d61in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present") Then
        Return NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent
      Else
        Return NonCriticalFailureStatusState.ANonCriticalFailureIsPresent
      End If
    End Function
    
    ' cOp3_Status_Report
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '  /* cOp3_Status_Report */
    ' 
    ' if (d1in_Receive_LC_State = "Activated" AND (d3in_LCPF_Protection_State = "Unprotected" OR d3in_LCPF_Protection_State = "Idle")) then
    ' 	send Msg_LC_Functional_Status (FunctionalStatusState.ActivatedAndUnprotected)to P2out;
    ' elseif (d1in_Receive_LC_State = "Activated" AND d3in_LCPF_Protection_State = "Protected") then
    ' 	send Msg_LC_Functional_Status (FunctionalStatusState.ActivatedAndProtected) to P2out;
    ' elseif (d1in_Receive_LC_State = "Isolated") then
    ' 	send Msg_LC_Functional_Status (FunctionalStatusState.IsolatedLC)to P2out;
    ' elseif (d1in_Receive_LC_State = "Pre Activated") then
    ' 	send Msg_LC_Functional_Status (FunctionalStatusState.PreActivated)to P2out;
    ' elseif (d1in_Receive_LC_State = "Deactivated" AND d3in_LCPF_Protection_State = "Idle") then
    ' 	send Msg_LC_Functional_Status (FunctionalStatusState.DeactivatedAndIdle)to P2out;
    ' else
    ' 	send Msg_LC_Functional_Status (FunctionalStatusState.DeactivatingAndUnprotected)to P2out;
    ' end if
    ' 
    ' if (d4in_Obstacle_Detection_Status = "Obstacle detected in the conflict area") then
    ' 	send Msg_Obstacle_Detection_Status (ObstacleDetectionStatusState.ObstacleInTheConflictArea)to P2out;
    ' else
    ' 	send Msg_Obstacle_Detection_Status (ObstacleDetectionStatusState.NoObstacleInTheConflictArea)to P2out;
    ' end if
    ' 
    ' if (d61in_LC_Failure_Status = "A critical failure is present" OR d62in_LCPF_Failure_Status = "A critical failure is present" OR d75in_LC_Failure_Status = "A critical failure is present") then
    ' 	send Msg_LC_Failure_Status (cOp2_Non_Critical_Failure(),CriticalFailureStatusState.ACriticalFailureIsPresent)to P2out;
    ' else
    ' 	send Msg_LC_Failure_Status (cOp2_Non_Critical_Failure(),CriticalFailureStatusState.NoCriticalFailureIsPresent)to P2out;
    ' end if
    ' 
    ' if (d61in_LC_Failure_Status = "A non critical failure is present" OR d62in_LCPF_Failure_Status = "A non critical failure is present" OR d75in_LC_Failure_Status = "A non critical failure is present") then
    ' 	send Msg_LC_Failure_Status (NonCriticalFailureStatusState.ANonCriticalFailureIsPresent,cOp1_Critical_Failure())to P2out;
    ' else
    ' 	send Msg_LC_Failure_Status (NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent,cOp1_Critical_Failure())to P2out;
    ' end if
    ' 
    ' if (d6in_LC_Monitoring_Status = "No Closure time overrun" AND d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1") then
    ' 	send Msg_LC_Monitoring_Status (TimeOverrunState.NoClosureTimeOverrun,ChangendMonitoringStatus.MonitoringParameterSet1)to P2out;
    ' elseif (d6in_LC_Monitoring_Status = "Closure time overrun occurred" AND d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1") then
    ' 	send Msg_LC_Monitoring_Status (TimeOverrunState.ClosureTimeOverrunOccured,ChangendMonitoringStatus.MonitoringParameterSet1)to P2out;
    ' elseif (d6in_LC_Monitoring_Status = "No Closure time overrun" AND d9in_Changed_Monitoring_State <> "Monitoring Parameter Set 1") then
    ' 	send Msg_LC_Monitoring_Status (TimeOverrunState.NoClosureTimeOverrun,ChangendMonitoringStatus.MonitoringParameterSet2)to P2out;
    ' elseif (d6in_LC_Monitoring_Status = "Closure time overrun occurred" AND d9in_Changed_Monitoring_State <> "Monitoring Parameter Set 1") then
    ' 	send Msg_LC_Monitoring_Status (TimeOverrunState.ClosureTimeOverrunOccured,ChangendMonitoringStatus.MonitoringParameterSet2)to P2out;
    ' elseif (d9in_Changed_Monitoring_State = "Changed Monitoring Paramenter" AND d6in_LC_Monitoring_Status = "Monitoring Parameter Set 1") then
    ' 	send Msg_LC_Monitoring_Status (TimeOverrunState.NoClosureTimeOverrun,ChangendMonitoringStatus.MonitoringParameterSet1)to P2out;
    ' else
    ' 	send Msg_LC_Monitoring_Status (TimeOverrunState.ClosureTimeOverrunOccured,ChangendMonitoringStatus.MonitoringParameterSet1)to P2out;
    ' end if
    ' 
    ' if (d7in_Detection_Element_Status = "Vacant") then
    ' 	send Msg_Detection_Element_Status (DetectionElementStatusState.DetectionElementIsVacant)to P2out;
    ' 	send Status_Report_Completed to p3inout;
    ' elseif (d7in_Detection_Element_Status = "Occupied") then
    ' 	send Msg_Detection_Element_Status (DetectionElementStatusState.DetectionElementIsOccupied)to P2out;
    ' 	send Status_Report_Completed to p3inout;
    ' else
    ' 	send Msg_Detection_Element_Status (DetectionElementStatusState.DetectionElementIsFailed)to P2out;
    ' end if
    Public Sub cOp3_Status_Report()
      If (d1in_Receive_LC_State.GetLatchedValue() = "Activated" And (d3in_LCPF_Protection_State.GetLatchedValue() = "Unprotected" Or d3in_LCPF_Protection_State.GetLatchedValue() = "Idle")) Then
        P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.ActivatedAndUnprotected))
      ElseIf (d1in_Receive_LC_State.GetLatchedValue() = "Activated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Protected") Then
        P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.ActivatedAndProtected))
      ElseIf (d1in_Receive_LC_State.GetLatchedValue() = "Isolated") Then
        P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.IsolatedLC))
      ElseIf (d1in_Receive_LC_State.GetLatchedValue() = "Pre Activated") Then
        P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.PreActivated))
      ElseIf (d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Idle") Then
        P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.DeactivatedAndIdle))
      Else
        P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.DeactivatingAndUnprotected))
      End If
      If (d4in_Obstacle_Detection_Status.GetLatchedValue() = "Obstacle detected in the conflict area") Then
        P2out.SendEvent(New Msg_Obstacle_Detection_Status(ObstacleDetectionStatusState.ObstacleInTheConflictArea))
      Else
        P2out.SendEvent(New Msg_Obstacle_Detection_Status(ObstacleDetectionStatusState.NoObstacleInTheConflictArea))
      End If
      If (d61in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present") Then
        P2out.SendEvent(New Msg_LC_Failure_Status(cOp2_Non_Critical_Failure(), CriticalFailureStatusState.ACriticalFailureIsPresent))
      Else
        P2out.SendEvent(New Msg_LC_Failure_Status(cOp2_Non_Critical_Failure(), CriticalFailureStatusState.NoCriticalFailureIsPresent))
      End If
      If (d61in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present") Then
        P2out.SendEvent(New Msg_LC_Failure_Status(NonCriticalFailureStatusState.ANonCriticalFailureIsPresent, cOp1_Critical_Failure()))
      Else
        P2out.SendEvent(New Msg_LC_Failure_Status(NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent, cOp1_Critical_Failure()))
      End If
      If (d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun" And d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1") Then
        P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet1))
      ElseIf (d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred" And d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1") Then
        P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet1))
      ElseIf (d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun" And d9in_Changed_Monitoring_State.GetLatchedValue() <> "Monitoring Parameter Set 1") Then
        P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet2))
      ElseIf (d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred" And d9in_Changed_Monitoring_State.GetLatchedValue() <> "Monitoring Parameter Set 1") Then
        P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet2))
      ElseIf (d9in_Changed_Monitoring_State.GetLatchedValue() = "Changed Monitoring Paramenter" And d6in_LC_Monitoring_Status.GetLatchedValue() = "Monitoring Parameter Set 1") Then
        P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet1))
      Else
        P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet1))
      End If
      If (d7in_Detection_Element_Status.GetLatchedValue() = "Vacant") Then
        P2out.SendEvent(New Msg_Detection_Element_Status(DetectionElementStatusState.DetectionElementIsVacant))
        p3inout.SendEvent(New Status_Report_Completed)
      ElseIf (d7in_Detection_Element_Status.GetLatchedValue() = "Occupied") Then
        P2out.SendEvent(New Msg_Detection_Element_Status(DetectionElementStatusState.DetectionElementIsOccupied))
        p3inout.SendEvent(New Status_Report_Completed)
      Else
        P2out.SendEvent(New Msg_Detection_Element_Status(DetectionElementStatusState.DetectionElementIsFailed))
      End If
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_F_SCI_LC_Report: on object;
    ' assume RtsCurrent_REPORT_FUNCTIONAL_STATUS: on object;
    ' assume RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS: on object;
    ' assume RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE: on object;
    ' assume RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE: on object;
    ' assume RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS: on object;
    ' assume RtsCurrent_REPORT_LOCAL_HANDOVER: on object;
    ' assume RtsCurrent_REPORT_MONITORING_PARAMETER: on object;
    ' assume RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR: on object;
    ' declare ThisState : String;
    ' if This.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS and (This.RtsCurrent_REPORT_FUNCTIONAL_STATUS <> RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS or This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS <> RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS or This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE <> RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE or This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE <> RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE or This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS <> RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS or This.RtsCurrent_REPORT_LOCAL_HANDOVER <> RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER or This.RtsCurrent_REPORT_MONITORING_PARAMETER <> RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER or This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR <> RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR) then/* #REF118# */
    ' /* #REF119# */
    ' 	if This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE then
    ' 	/* #REF123# */
    ' 		/* dc07638d-bbe4-4951-ada6-25428c662252 REQUEST_TO_ACTIVATE_OR_DEACTIVATE */
    '   ThisState := "dc07638d-bbe4-4951-ada6-25428c662252";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg28, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"297ead77-d2fd-4d34-8e79-20d29e1613c5",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 297ead77-d2fd-4d34-8e79-20d29e1613c5 */ send Msg_Local_Request ( LocalRequestState.LocalRequestToActivateTheLevelCrossing )to P2out ; nullstat;/*##END 297ead77-d2fd-4d34-8e79-20d29e1613c5 */ /* #REF1546# */
    ' 			ChgFlg28 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE then
    ' 	/* #REF123# */
    ' 		/* dc07638d-bbe4-4951-ada6-25428c662252 REQUEST_TO_ACTIVATE_OR_DEACTIVATE */
    '   ThisState := "dc07638d-bbe4-4951-ada6-25428c662252";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg27, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"b048e74e-fd7b-46c6-ab1c-a9a7ca529192",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT b048e74e-fd7b-46c6-ab1c-a9a7ca529192 */ send Msg_Local_Request ( LocalRequestState.LocalRequestToDeactivateTheLevelCrossing )to P2out ; nullstat;/*##END b048e74e-fd7b-46c6-ab1c-a9a7ca529192 */ /* #REF1546# */
    ' 			ChgFlg27 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 9c1d938d-8da0-4ad5-95c1-5784bcf9e671 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 9c1d938d-8da0-4ad5-95c1-5784bcf9e671 */  and /* #REF2003# */ SenseTrigger(ChgFlg26, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"1b81d118-b1d6-4dbc-b5b9-ce622e48f5ad",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 1b81d118-b1d6-4dbc-b5b9-ce622e48f5ad */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.NoClosureTimeOverrun , ChangendMonitoringStatus.MonitoringParameterSet1 )to P2out ; nullstat;/*##END 1b81d118-b1d6-4dbc-b5b9-ce622e48f5ad */ /* #REF1546# */
    ' 			ChgFlg26 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 9ae7afbb-aee8-4cfb-b368-cf7e6233d234 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END 9ae7afbb-aee8-4cfb-b368-cf7e6233d234 */  and /* #REF2003# */ SenseTrigger(ChgFlg25, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"9318ae20-d4b2-42da-9539-da06686cbe81",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 9318ae20-d4b2-42da-9539-da06686cbe81 */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.ClosureTimeOverrunOccured , ChangendMonitoringStatus.MonitoringParameterSet2 )to P2out ; nullstat;/*##END 9318ae20-d4b2-42da-9539-da06686cbe81 */ /* #REF1546# */
    ' 			ChgFlg25 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 4516952c-9ce3-4f6e-b5d8-06d20e3eb866 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 4516952c-9ce3-4f6e-b5d8-06d20e3eb866 */  and /* #REF2003# */ SenseTrigger(ChgFlg24, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"173e496f-ad8e-4b9a-a2ea-4b9b5dcf4a60",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 173e496f-ad8e-4b9a-a2ea-4b9b5dcf4a60 */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.NoClosureTimeOverrun , ChangendMonitoringStatus.MonitoringParameterSet2 )to P2out ; nullstat;/*##END 173e496f-ad8e-4b9a-a2ea-4b9b5dcf4a60 */ /* #REF1546# */
    ' 			ChgFlg24 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 27e14df9-7efc-4d8c-be3f-cf59ac616206 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END 27e14df9-7efc-4d8c-be3f-cf59ac616206 */  and /* #REF2003# */ SenseTrigger(ChgFlg23, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"50fb9a15-240a-42dc-9d10-83bb7c9d1556",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 50fb9a15-240a-42dc-9d10-83bb7c9d1556 */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.ClosureTimeOverrunOccured , ChangendMonitoringStatus.MonitoringParameterSet1 )to P2out ; nullstat;/*##END 50fb9a15-240a-42dc-9d10-83bb7c9d1556 */ /* #REF1546# */
    ' 			ChgFlg23 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 4912dff5-2647-4a92-8855-e477000dfced */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END 4912dff5-2647-4a92-8855-e477000dfced */  and /* #REF2003# */ SenseTrigger(ChgFlg22, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"d3fcce88-1dc3-4911-92c4-4e0d48e74b9d",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT d3fcce88-1dc3-4911-92c4-4e0d48e74b9d */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.NoClosureTimeOverrun , ChangendMonitoringStatus.MonitoringParameterSet1 )to P2out ; nullstat;/*##END d3fcce88-1dc3-4911-92c4-4e0d48e74b9d */ /* #REF1546# */
    ' 			ChgFlg22 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 84fabb13-837e-41a4-9e1b-00a00ae29ce1 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 84fabb13-837e-41a4-9e1b-00a00ae29ce1 */  and /* #REF2003# */ SenseTrigger(ChgFlg21, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"475b1dd9-21b1-4ef5-b6f8-793605679cb4",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 475b1dd9-21b1-4ef5-b6f8-793605679cb4 */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.NoClosureTimeOverrun , ChangendMonitoringStatus.MonitoringParameterSet2 )to P2out ; nullstat;/*##END 475b1dd9-21b1-4ef5-b6f8-793605679cb4 */ /* #REF1546# */
    ' 			ChgFlg21 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 4809556c-8f0c-4f91-aed1-92336e2a33cc */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 4809556c-8f0c-4f91-aed1-92336e2a33cc */  and /* #REF2003# */ SenseTrigger(ChgFlg20, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"8714a389-b777-4396-9ccf-1d824d599b84",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 8714a389-b777-4396-9ccf-1d824d599b84 */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.ClosureTimeOverrunOccured , ChangendMonitoringStatus.MonitoringParameterSet2 )to P2out ; nullstat;/*##END 8714a389-b777-4396-9ccf-1d824d599b84 */ /* #REF1546# */
    ' 			ChgFlg20 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then
    ' 	/* #REF123# */
    ' 		/* b5c5ad6d-a32d-427c-be37-18fba84ecdb1 REPORT_CLOSURE_TIME_OVERUN */
    '   ThisState := "b5c5ad6d-a32d-427c-be37-18fba84ecdb1";
    ' 		if /* #REF2002# *//*##STRT 6e6f18ee-95ba-41f3-b359-424e5378f328 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END 6e6f18ee-95ba-41f3-b359-424e5378f328 */  and /* #REF2003# */ SenseTrigger(ChgFlg19, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"b207d4a5-0914-4084-86f4-6d44c45c5090",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT b207d4a5-0914-4084-86f4-6d44c45c5090 */ 
    ' send Msg_LC_Monitoring_Status ( TimeOverrunState.ClosureTimeOverrunOccured , ChangendMonitoringStatus.MonitoringParameterSet1 )to P2out ; nullstat;/*##END b207d4a5-0914-4084-86f4-6d44c45c5090 */ /* #REF1546# */
    ' 			ChgFlg19 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER then
    ' 	/* #REF123# */
    ' 		/* 8cbc127f-4f46-4d88-b4ed-d3de47e168b1 ALLOW_OR_RETURN_HANDOVER */
    '   ThisState := "8cbc127f-4f46-4d88-b4ed-d3de47e168b1";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg18, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"0987b934-1c60-43a2-9653-796dfd44f84f",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 0987b934-1c60-43a2-9653-796dfd44f84f */ send Msg_Local_Operation_Handover ( LocalOperationHandoverState.ReturnHandoverFromLocalOperator )to P2out ; nullstat;/*##END 0987b934-1c60-43a2-9653-796dfd44f84f */ /* #REF1546# */
    ' 			ChgFlg18 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER then
    ' 	/* #REF123# */
    ' 		/* 8cbc127f-4f46-4d88-b4ed-d3de47e168b1 ALLOW_OR_RETURN_HANDOVER */
    '   ThisState := "8cbc127f-4f46-4d88-b4ed-d3de47e168b1";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"398c12e1-74ec-49b2-9506-1acf3e297351",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 398c12e1-74ec-49b2-9506-1acf3e297351 */ send Msg_Local_Operation_Handover ( LocalOperationHandoverState.AllowHandovertoLocalOperator )to P2out ; nullstat;/*##END 398c12e1-74ec-49b2-9506-1acf3e297351 */ /* #REF1546# */
    ' 			ChgFlg17 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS then
    ' 	/* #REF123# */
    ' 		/* cf5e55eb-bff6-4e73-9a56-c079544344b2 DETECTION_ELEMENT_STATUS */
    '   ThisState := "cf5e55eb-bff6-4e73-9a56-c079544344b2";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"d6fecb9f-13b2-490e-aeca-ae82b4ce2ee6",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT d6fecb9f-13b2-490e-aeca-ae82b4ce2ee6 */ send Msg_Detection_Element_Status ( DetectionElementStatusState.DetectionElementIsVacant )to P2out ; nullstat;/*##END d6fecb9f-13b2-490e-aeca-ae82b4ce2ee6 */ /* #REF1546# */
    ' 			ChgFlg16 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS then
    ' 	/* #REF123# */
    ' 		/* cf5e55eb-bff6-4e73-9a56-c079544344b2 DETECTION_ELEMENT_STATUS */
    '   ThisState := "cf5e55eb-bff6-4e73-9a56-c079544344b2";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"1755cfd1-edf7-421e-86ba-2993d9af1898",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 1755cfd1-edf7-421e-86ba-2993d9af1898 */ send Msg_Detection_Element_Status ( DetectionElementStatusState.DetectionElementIsOccupied )to P2out ; nullstat;/*##END 1755cfd1-edf7-421e-86ba-2993d9af1898 */ /* #REF1546# */
    ' 			ChgFlg15 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS then
    ' 	/* #REF123# */
    ' 		/* cf5e55eb-bff6-4e73-9a56-c079544344b2 DETECTION_ELEMENT_STATUS */
    '   ThisState := "cf5e55eb-bff6-4e73-9a56-c079544344b2";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"8cdbf995-c4ad-4ba1-9b53-415c38f2c013",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 8cdbf995-c4ad-4ba1-9b53-415c38f2c013 */ send Msg_Detection_Element_Status ( DetectionElementStatusState.DetectionElementIsFailed )to P2out ; nullstat;/*##END 8cdbf995-c4ad-4ba1-9b53-415c38f2c013 */ /* #REF1546# */
    ' 			ChgFlg14 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE then
    ' 	/* #REF123# */
    ' 		/* 881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8 NON_CRITICAL_FAILURE */
    '   ThisState := "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"ae302fce-655c-4cc8-90c1-fa1b8ec5e177",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT ae302fce-655c-4cc8-90c1-fa1b8ec5e177 */ 
    ' send Msg_LC_Failure_Status ( NonCriticalFailureStatusState.ANonCriticalFailureIsPresent , cOp1_Critical_Failure ())to P2out ; nullstat;/*##END ae302fce-655c-4cc8-90c1-fa1b8ec5e177 */ /* #REF1546# */
    ' 			ChgFlg13 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE then
    ' 	/* #REF123# */
    ' 		/* 881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8 NON_CRITICAL_FAILURE */
    '   ThisState := "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"46dd4192-6e52-411d-80dc-203ba1f6bae8",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 46dd4192-6e52-411d-80dc-203ba1f6bae8 */ 
    ' send Msg_LC_Failure_Status ( NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent , cOp1_Critical_Failure ())to P2out ; nullstat;/*##END 46dd4192-6e52-411d-80dc-203ba1f6bae8 */ /* #REF1546# */
    ' 			ChgFlg12 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE then
    ' 	/* #REF123# */
    ' 		/* 0425704d-412c-4223-b895-5273ed090ef9 CRITICAL_FAILURE */
    '   ThisState := "0425704d-412c-4223-b895-5273ed090ef9";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"8228d236-79f8-479b-af0e-4c4c7b64b0dc",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 8228d236-79f8-479b-af0e-4c4c7b64b0dc */ send Msg_LC_Failure_Status ( cOp2_Non_Critical_Failure (), CriticalFailureStatusState.ACriticalFailureIsPresent )to P2out ; nullstat;/*##END 8228d236-79f8-479b-af0e-4c4c7b64b0dc */ /* #REF1546# */
    ' 			ChgFlg11 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE then
    ' 	/* #REF123# */
    ' 		/* 0425704d-412c-4223-b895-5273ed090ef9 CRITICAL_FAILURE */
    '   ThisState := "0425704d-412c-4223-b895-5273ed090ef9";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"358e03a7-bc66-46dc-b603-e2edc5d1b8ac",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 358e03a7-bc66-46dc-b603-e2edc5d1b8ac */ 
    ' send Msg_LC_Failure_Status ( cOp2_Non_Critical_Failure (), CriticalFailureStatusState.NoCriticalFailureIsPresent )to P2out ; nullstat;/*##END 358e03a7-bc66-46dc-b603-e2edc5d1b8ac */ /* #REF1546# */
    ' 			ChgFlg10 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA then
    ' 	/* #REF123# */
    ' 		/* a160ede5-069b-49ae-b153-1da169498d55 OBSTACLE_IN_CONFLICT_AREA */
    '   ThisState := "a160ede5-069b-49ae-b153-1da169498d55";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"f8089079-bc90-4bf9-87b5-7d5b7e23986d",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT f8089079-bc90-4bf9-87b5-7d5b7e23986d */ send Msg_Obstacle_Detection_Status ( ObstacleDetectionStatusState.ObstacleInTheConflictArea )to P2out ; nullstat;/*##END f8089079-bc90-4bf9-87b5-7d5b7e23986d */ /* #REF1546# */
    ' 			ChgFlg9 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA then
    ' 	/* #REF123# */
    ' 		/* a160ede5-069b-49ae-b153-1da169498d55 OBSTACLE_IN_CONFLICT_AREA */
    '   ThisState := "a160ede5-069b-49ae-b153-1da169498d55";
    ' 		if /* #REF2003# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"55d64f52-3edb-4c04-b03d-c97bf5127880",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 55d64f52-3edb-4c04-b03d-c97bf5127880 */ send Msg_Obstacle_Detection_Status ( ObstacleDetectionStatusState.NoObstacleInTheConflictArea )to P2out ; nullstat;/*##END 55d64f52-3edb-4c04-b03d-c97bf5127880 */ /* #REF1546# */
    ' 			ChgFlg8 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then
    ' 	/* #REF123# */
    ' 		/* 93f12095-d6c5-4779-91f8-808ce8d012c0 FUNCTIONAL_STATUS */
    '   ThisState := "93f12095-d6c5-4779-91f8-808ce8d012c0";
    ' 		if /* #REF2002# *//*##STRT 3f578bb2-cd87-4489-99a3-bd43afd8508a */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END 3f578bb2-cd87-4489-99a3-bd43afd8508a */  and /* #REF2003# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"db2d626b-65df-4915-93f5-ddaebb93ec02",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT db2d626b-65df-4915-93f5-ddaebb93ec02 */ send Msg_LC_Functional_Status ( FunctionalStatusState.PreActivated )to P2out ; nullstat;/*##END db2d626b-65df-4915-93f5-ddaebb93ec02 */ /* #REF1546# */
    ' 			ChgFlg7 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then
    ' 	/* #REF123# */
    ' 		/* 93f12095-d6c5-4779-91f8-808ce8d012c0 FUNCTIONAL_STATUS */
    '   ThisState := "93f12095-d6c5-4779-91f8-808ce8d012c0";
    ' 		if /* #REF2002# *//*##STRT b873df3e-71c3-41b4-80f6-1e6d505c5f77 */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END b873df3e-71c3-41b4-80f6-1e6d505c5f77 */  and /* #REF2003# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"dc34ed23-b795-4312-a98e-0dd99e559624",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT dc34ed23-b795-4312-a98e-0dd99e559624 */ send Msg_LC_Functional_Status ( FunctionalStatusState.IsolatedLC )to P2out ; nullstat;/*##END dc34ed23-b795-4312-a98e-0dd99e559624 */ /* #REF1546# */
    ' 			ChgFlg6 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then
    ' 	/* #REF123# */
    ' 		/* 93f12095-d6c5-4779-91f8-808ce8d012c0 FUNCTIONAL_STATUS */
    '   ThisState := "93f12095-d6c5-4779-91f8-808ce8d012c0";
    ' 		if /* #REF2002# *//*##STRT 192c7716-f990-49e0-9367-3dce36177078 */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END 192c7716-f990-49e0-9367-3dce36177078 */  and /* #REF2003# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"5df7f77e-7d90-41ba-982a-1428aba7554a",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 5df7f77e-7d90-41ba-982a-1428aba7554a */ send Msg_LC_Functional_Status ( FunctionalStatusState.DeactivatedAndIdle )to P2out ; nullstat;/*##END 5df7f77e-7d90-41ba-982a-1428aba7554a */ /* #REF1546# */
    ' 			ChgFlg5 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then
    ' 	/* #REF123# */
    ' 		/* 93f12095-d6c5-4779-91f8-808ce8d012c0 FUNCTIONAL_STATUS */
    '   ThisState := "93f12095-d6c5-4779-91f8-808ce8d012c0";
    ' 		if /* #REF2002# *//*##STRT 56d40b5d-ee77-4dea-b06b-cfb0a94412e4 */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END 56d40b5d-ee77-4dea-b06b-cfb0a94412e4 */  and /* #REF2003# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"6d1f10bd-5252-4c6c-baed-bd49759388b2",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 6d1f10bd-5252-4c6c-baed-bd49759388b2 */ send Msg_LC_Functional_Status ( FunctionalStatusState.DeactivatingAndUnprotected )to P2out ; nullstat;/*##END 6d1f10bd-5252-4c6c-baed-bd49759388b2 */ /* #REF1546# */
    ' 			ChgFlg4 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then
    ' 	/* #REF123# */
    ' 		/* 93f12095-d6c5-4779-91f8-808ce8d012c0 FUNCTIONAL_STATUS */
    '   ThisState := "93f12095-d6c5-4779-91f8-808ce8d012c0";
    ' 		if /* #REF2002# *//*##STRT e35e4f98-62fb-4fc8-82b6-c552684ef9ce */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END e35e4f98-62fb-4fc8-82b6-c552684ef9ce */  and /* #REF2003# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"e0b559eb-c5da-4835-a05a-858c857e9bdb",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT e0b559eb-c5da-4835-a05a-858c857e9bdb */ send Msg_LC_Functional_Status ( FunctionalStatusState.ActivatedAndProtected ) to P2out ; nullstat;/*##END e0b559eb-c5da-4835-a05a-858c857e9bdb */ /* #REF1546# */
    ' 			ChgFlg3 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF119# */
    ' 	if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then
    ' 	/* #REF123# */
    ' 		/* 93f12095-d6c5-4779-91f8-808ce8d012c0 FUNCTIONAL_STATUS */
    '   ThisState := "93f12095-d6c5-4779-91f8-808ce8d012c0";
    ' 		if /* #REF2002# *//*##STRT c4e4d8ef-5c3d-42b1-839c-5f8f1c21495a */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END c4e4d8ef-5c3d-42b1-839c-5f8f1c21495a */  and /* #REF2003# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 		/* #REF125# */
    ' 			// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 			RtsNotify(This,TRANSITION,"0bc2afd2-38c7-453c-b179-4e4ba67d4739",0,NullString);/* #REF1599# */
    ' 			
    ' 			/*##STRT 0bc2afd2-38c7-453c-b179-4e4ba67d4739 */ send Msg_LC_Functional_Status ( FunctionalStatusState.ActivatedAndUnprotected )to P2out ; nullstat;/*##END 0bc2afd2-38c7-453c-b179-4e4ba67d4739 */ /* #REF1546# */
    ' 			ChgFlg2 := False;
    ' 			RetValue := true; /* #REF129# */
    ' 			return;/* #REF130# */
    ' 		End If/* #REF131# */
    ' 	End If/* #REF120# */
    ' End If
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Report =  /* #REF121d# */ RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_NotIn_F_SCI_LC_Report then
    ' /* #REF123# */
    ' 	/* 412544c5-21ca-40ab-b4f9-e7c3f1b89c77 Initial0 */
    '   ThisState := "412544c5-21ca-40ab-b4f9-e7c3f1b89c77";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"412544c5-21ca-40ab-b4f9-e7c3f1b89c77",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"412544c5-21ca-40ab-b4f9-e7c3f1b89c77",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"2ea1ef20-3677-4e97-9758-4b01f962cb9c",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT b6f06f39-9869-45c9-a48d-461762aa6a1d */  nullstat;/*##END b6f06f39-9869-45c9-a48d-461762aa6a1d */ /* #REF1546# */
    ' 	This.RtsEnter_INTERFACE_CONNECTION_NOT_ESTABLISHED();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS then
    ' /* #REF123# */
    ' 	/* b00e80f5-bb7f-4207-82b6-5500dab059aa SENDING_LEVEL_CROSSING_REPORTS */
    '   ThisState := "b00e80f5-bb7f-4207-82b6-5500dab059aa";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_SENDING_LEVEL_CROSSING_REPORTS */
    ' 		/* standard */
    ' 		This.RtsExit_SENDING_LEVEL_CROSSING_REPORTS();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"eb2bc0af-d8e4-4529-97be-461ac883b759",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 2776c8d5-ad1a-44a6-be55-00d3497d487c */  nullstat;/*##END 2776c8d5-ad1a-44a6-be55-00d3497d487c */ /* #REF1546# */
    ' 		This.RtsEnter_INTERFACE_CONNECTION_NOT_ESTABLISHED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS And (Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS <> RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS Or Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS <> RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS Or Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE <> RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE Or Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE <> RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE Or Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS <> RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS Or Me.RtsCurrent_REPORT_LOCAL_HANDOVER <> RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER Or Me.RtsCurrent_REPORT_MONITORING_PARAMETER <> RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER Or Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR <> RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR) Then
        If Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE Then
          ThisState = "dc07638d-bbe4-4951-ada6-25428c662252"
          If SenseTrigger(ChgFlg28, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "297ead77-d2fd-4d34-8e79-20d29e1613c5", 0, NullString)
            P2out.SendEvent(New Msg_Local_Request(LocalRequestState.LocalRequestToActivateTheLevelCrossing))
            ChgFlg28 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE Then
          ThisState = "dc07638d-bbe4-4951-ada6-25428c662252"
          If SenseTrigger(ChgFlg27, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "b048e74e-fd7b-46c6-ab1c-a9a7ca529192", 0, NullString)
            P2out.SendEvent(New Msg_Local_Request(LocalRequestState.LocalRequestToDeactivateTheLevelCrossing))
            ChgFlg27 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun") And SenseTrigger(ChgFlg26, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "1b81d118-b1d6-4dbc-b5b9-ce622e48f5ad", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet1))
            ChgFlg26 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred") And SenseTrigger(ChgFlg25, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "9318ae20-d4b2-42da-9539-da06686cbe81", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet2))
            ChgFlg25 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun") And SenseTrigger(ChgFlg24, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "173e496f-ad8e-4b9a-a2ea-4b9b5dcf4a60", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet2))
            ChgFlg24 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred") And SenseTrigger(ChgFlg23, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "50fb9a15-240a-42dc-9d10-83bb7c9d1556", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet1))
            ChgFlg23 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1") And SenseTrigger(ChgFlg22, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "d3fcce88-1dc3-4911-92c4-4e0d48e74b9d", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet1))
            ChgFlg22 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2") And SenseTrigger(ChgFlg21, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "475b1dd9-21b1-4ef5-b6f8-793605679cb4", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.NoClosureTimeOverrun, ChangendMonitoringStatus.MonitoringParameterSet2))
            ChgFlg21 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2") And SenseTrigger(ChgFlg20, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "8714a389-b777-4396-9ccf-1d824d599b84", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet2))
            ChgFlg20 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
          ThisState = "b5c5ad6d-a32d-427c-be37-18fba84ecdb1"
          If (d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1") And SenseTrigger(ChgFlg19, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "b207d4a5-0914-4084-86f4-6d44c45c5090", 0, NullString)
            P2out.SendEvent(New Msg_LC_Monitoring_Status(TimeOverrunState.ClosureTimeOverrunOccured, ChangendMonitoringStatus.MonitoringParameterSet1))
            ChgFlg19 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER Then
          ThisState = "8cbc127f-4f46-4d88-b4ed-d3de47e168b1"
          If SenseTrigger(ChgFlg18, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "0987b934-1c60-43a2-9653-796dfd44f84f", 0, NullString)
            P2out.SendEvent(New Msg_Local_Operation_Handover(LocalOperationHandoverState.ReturnHandoverFromLocalOperator))
            ChgFlg18 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER Then
          ThisState = "8cbc127f-4f46-4d88-b4ed-d3de47e168b1"
          If SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "398c12e1-74ec-49b2-9506-1acf3e297351", 0, NullString)
            P2out.SendEvent(New Msg_Local_Operation_Handover(LocalOperationHandoverState.AllowHandovertoLocalOperator))
            ChgFlg17 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS Then
          ThisState = "cf5e55eb-bff6-4e73-9a56-c079544344b2"
          If SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "d6fecb9f-13b2-490e-aeca-ae82b4ce2ee6", 0, NullString)
            P2out.SendEvent(New Msg_Detection_Element_Status(DetectionElementStatusState.DetectionElementIsVacant))
            ChgFlg16 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS Then
          ThisState = "cf5e55eb-bff6-4e73-9a56-c079544344b2"
          If SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "1755cfd1-edf7-421e-86ba-2993d9af1898", 0, NullString)
            P2out.SendEvent(New Msg_Detection_Element_Status(DetectionElementStatusState.DetectionElementIsOccupied))
            ChgFlg15 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS Then
          ThisState = "cf5e55eb-bff6-4e73-9a56-c079544344b2"
          If SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "8cdbf995-c4ad-4ba1-9b53-415c38f2c013", 0, NullString)
            P2out.SendEvent(New Msg_Detection_Element_Status(DetectionElementStatusState.DetectionElementIsFailed))
            ChgFlg14 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE Then
          ThisState = "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8"
          If SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "ae302fce-655c-4cc8-90c1-fa1b8ec5e177", 0, NullString)
            P2out.SendEvent(New Msg_LC_Failure_Status(NonCriticalFailureStatusState.ANonCriticalFailureIsPresent, cOp1_Critical_Failure()))
            ChgFlg13 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE Then
          ThisState = "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8"
          If SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "46dd4192-6e52-411d-80dc-203ba1f6bae8", 0, NullString)
            P2out.SendEvent(New Msg_LC_Failure_Status(NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent, cOp1_Critical_Failure()))
            ChgFlg12 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE Then
          ThisState = "0425704d-412c-4223-b895-5273ed090ef9"
          If SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "8228d236-79f8-479b-af0e-4c4c7b64b0dc", 0, NullString)
            P2out.SendEvent(New Msg_LC_Failure_Status(cOp2_Non_Critical_Failure(), CriticalFailureStatusState.ACriticalFailureIsPresent))
            ChgFlg11 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE Then
          ThisState = "0425704d-412c-4223-b895-5273ed090ef9"
          If SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "358e03a7-bc66-46dc-b603-e2edc5d1b8ac", 0, NullString)
            P2out.SendEvent(New Msg_LC_Failure_Status(cOp2_Non_Critical_Failure(), CriticalFailureStatusState.NoCriticalFailureIsPresent))
            ChgFlg10 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA Then
          ThisState = "a160ede5-069b-49ae-b153-1da169498d55"
          If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "f8089079-bc90-4bf9-87b5-7d5b7e23986d", 0, NullString)
            P2out.SendEvent(New Msg_Obstacle_Detection_Status(ObstacleDetectionStatusState.ObstacleInTheConflictArea))
            ChgFlg9 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA Then
          ThisState = "a160ede5-069b-49ae-b153-1da169498d55"
          If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "55d64f52-3edb-4c04-b03d-c97bf5127880", 0, NullString)
            P2out.SendEvent(New Msg_Obstacle_Detection_Status(ObstacleDetectionStatusState.NoObstacleInTheConflictArea))
            ChgFlg8 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
          ThisState = "93f12095-d6c5-4779-91f8-808ce8d012c0"
          If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "db2d626b-65df-4915-93f5-ddaebb93ec02", 0, NullString)
            P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.PreActivated))
            ChgFlg7 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
          ThisState = "93f12095-d6c5-4779-91f8-808ce8d012c0"
          If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "dc34ed23-b795-4312-a98e-0dd99e559624", 0, NullString)
            P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.IsolatedLC))
            ChgFlg6 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
          ThisState = "93f12095-d6c5-4779-91f8-808ce8d012c0"
          If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "5df7f77e-7d90-41ba-982a-1428aba7554a", 0, NullString)
            P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.DeactivatedAndIdle))
            ChgFlg5 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
          ThisState = "93f12095-d6c5-4779-91f8-808ce8d012c0"
          If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "6d1f10bd-5252-4c6c-baed-bd49759388b2", 0, NullString)
            P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.DeactivatingAndUnprotected))
            ChgFlg4 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
          ThisState = "93f12095-d6c5-4779-91f8-808ce8d012c0"
          If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "e0b559eb-c5da-4835-a05a-858c857e9bdb", 0, NullString)
            P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.ActivatedAndProtected))
            ChgFlg3 = False
            RetValue = True
            Return
          End If
        End If
        If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
          ThisState = "93f12095-d6c5-4779-91f8-808ce8d012c0"
          If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
            'Simulation support : Notification function calls for transition/* #REF1598# */
            RtsNotify(Me, TRANSITION, "0bc2afd2-38c7-453c-b179-4e4ba67d4739", 0, NullString)
            P2out.SendEvent(New Msg_LC_Functional_Status(FunctionalStatusState.ActivatedAndUnprotected))
            ChgFlg2 = False
            RetValue = True
            Return
          End If
        End If
      End If
      If Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_NotIn_F_SCI_LC_Report Then
        ThisState = "412544c5-21ca-40ab-b4f9-e7c3f1b89c77"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "412544c5-21ca-40ab-b4f9-e7c3f1b89c77", 0, NullString)
        RtsNotify(Me, SEXIT, "412544c5-21ca-40ab-b4f9-e7c3f1b89c77", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "2ea1ef20-3677-4e97-9758-4b01f962cb9c", 0, NullString)
        Me.RtsEnter_INTERFACE_CONNECTION_NOT_ESTABLISHED()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS Then
        ThisState = "b00e80f5-bb7f-4207-82b6-5500dab059aa"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_SENDING_LEVEL_CROSSING_REPORTS()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "eb2bc0af-d8e4-4529-97be-461ac883b759", 0, NullString)
          Me.RtsEnter_INTERFACE_CONNECTION_NOT_ESTABLISHED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "2b4b8fd4-a5ba-4f35-b4e4-48247c8e5c41", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_F_SCI_LC_Report := RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_NotIn_F_SCI_LC_Report;/* #REF1566# */
    ' This.RtsCurrent_REPORT_FUNCTIONAL_STATUS := RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS;/* #REF1566# */
    ' This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS := RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS;/* #REF1566# */
    ' This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE := RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE;/* #REF1566# */
    ' This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE := RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE;/* #REF1566# */
    ' This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS := RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS;/* #REF1566# */
    ' This.RtsCurrent_REPORT_LOCAL_HANDOVER := RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER;/* #REF1566# */
    ' This.RtsCurrent_REPORT_MONITORING_PARAMETER := RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER;/* #REF1566# */
    ' This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR := RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "2b4b8fd4-a5ba-4f35-b4e4-48247c8e5c41", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_NotIn_F_SCI_LC_Report
      Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS
      Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS
      Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE
      Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE
      Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS
      Me.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER
      Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER
      Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : INTERFACE_CONNECTION_NOT_ESTABLISHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|") then
    '   OperatedStates := OperatedStates + "850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|";
    ' end if
    ' // Simulation support : Notification function call for entering state : INTERFACE_CONNECTION_NOT_ESTABLISHED ///* #REF520# */
    ' RtsNotify(This,SENTER,"850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974",0,NullString);
    ' 
    ' SimCore.EnterState("850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974","INTERFACE_CONNECTION_NOT_ESTABLISHED");
    ' 
    ' This.RtsCurrent_F_SCI_LC_Report := RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED;/* #REF521# */
    ' 
    Private Sub RtsEnter_INTERFACE_CONNECTION_NOT_ESTABLISHED()
      If not OperatedStates.Contains("850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|") Then
        OperatedStates = OperatedStates + "850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|"
      End If
      'Simulation support : Notification function call for entering state : INTERFACE_CONNECTION_NOT_ESTABLISHED ///* #REF520# */
      RtsNotify(Me, SENTER, "850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974", 0, NullString)
      SimCore.EnterState("850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974", "INTERFACE_CONNECTION_NOT_ESTABLISHED")
      Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_LEVEL_CROSSING_REPORTS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b00e80f5-bb7f-4207-82b6-5500dab059aa|") then
    '   OperatedStates := OperatedStates + "b00e80f5-bb7f-4207-82b6-5500dab059aa|";
    ' end if
    ' // Simulation support : Notification function call for entering state : SENDING_LEVEL_CROSSING_REPORTS ///* #REF520# */
    ' RtsNotify(This,SENTER,"b00e80f5-bb7f-4207-82b6-5500dab059aa",0,NullString);
    ' 
    ' SimCore.EnterState("b00e80f5-bb7f-4207-82b6-5500dab059aa","SENDING_LEVEL_CROSSING_REPORTS");
    ' 
    ' This.RtsCurrent_F_SCI_LC_Report := RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT d4474024-dd8d-422c-8663-5c2f9e916c44 */ send Status_Report_Completed to p3inout ; nullstat;/*##END d4474024-dd8d-422c-8663-5c2f9e916c44 */ 
    Private Sub RtsEnter_SENDING_LEVEL_CROSSING_REPORTS()
      If not OperatedStates.Contains("b00e80f5-bb7f-4207-82b6-5500dab059aa|") Then
        OperatedStates = OperatedStates + "b00e80f5-bb7f-4207-82b6-5500dab059aa|"
      End If
      'Simulation support : Notification function call for entering state : SENDING_LEVEL_CROSSING_REPORTS ///* #REF520# */
      RtsNotify(Me, SENTER, "b00e80f5-bb7f-4207-82b6-5500dab059aa", 0, NullString)
      SimCore.EnterState("b00e80f5-bb7f-4207-82b6-5500dab059aa", "SENDING_LEVEL_CROSSING_REPORTS")
      Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS
      'Entry Actions
      p3inout.SendEvent(New Status_Report_Completed)
    End Sub
    
    ' \ART_SMG :: Created for state : FUNCTIONAL_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("93f12095-d6c5-4779-91f8-808ce8d012c0|") then
    '   OperatedStates := OperatedStates + "93f12095-d6c5-4779-91f8-808ce8d012c0|";
    ' end if
    ' // Simulation support : Notification function call for entering state : FUNCTIONAL_STATUS ///* #REF520# */
    ' RtsNotify(This,SENTER,"93f12095-d6c5-4779-91f8-808ce8d012c0",0,NullString);
    ' 
    ' SimCore.EnterState("93f12095-d6c5-4779-91f8-808ce8d012c0","SENDING_LEVEL_CROSSING_REPORTS::REPORT_FUNCTIONAL_STATUS::FUNCTIONAL_STATUS");
    ' 
    ' This.RtsCurrent_REPORT_FUNCTIONAL_STATUS := RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS;/* #REF521# */
    ' 
    Private Sub RtsEnter_FUNCTIONAL_STATUS()
      If not OperatedStates.Contains("93f12095-d6c5-4779-91f8-808ce8d012c0|") Then
        OperatedStates = OperatedStates + "93f12095-d6c5-4779-91f8-808ce8d012c0|"
      End If
      'Simulation support : Notification function call for entering state : FUNCTIONAL_STATUS ///* #REF520# */
      RtsNotify(Me, SENTER, "93f12095-d6c5-4779-91f8-808ce8d012c0", 0, NullString)
      SimCore.EnterState("93f12095-d6c5-4779-91f8-808ce8d012c0", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_FUNCTIONAL_STATUS::FUNCTIONAL_STATUS")
      Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS
    End Sub
    
    ' \ART_SMG :: Created for state : OBSTACLE_IN_CONFLICT_AREA
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a160ede5-069b-49ae-b153-1da169498d55|") then
    '   OperatedStates := OperatedStates + "a160ede5-069b-49ae-b153-1da169498d55|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OBSTACLE_IN_CONFLICT_AREA ///* #REF520# */
    ' RtsNotify(This,SENTER,"a160ede5-069b-49ae-b153-1da169498d55",0,NullString);
    ' 
    ' SimCore.EnterState("a160ede5-069b-49ae-b153-1da169498d55","SENDING_LEVEL_CROSSING_REPORTS::REPORT_OBSTACLE_DETECTION_STATUS::OBSTACLE_IN_CONFLICT_AREA");
    ' 
    ' This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS := RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA;/* #REF521# */
    ' 
    Private Sub RtsEnter_OBSTACLE_IN_CONFLICT_AREA()
      If not OperatedStates.Contains("a160ede5-069b-49ae-b153-1da169498d55|") Then
        OperatedStates = OperatedStates + "a160ede5-069b-49ae-b153-1da169498d55|"
      End If
      'Simulation support : Notification function call for entering state : OBSTACLE_IN_CONFLICT_AREA ///* #REF520# */
      RtsNotify(Me, SENTER, "a160ede5-069b-49ae-b153-1da169498d55", 0, NullString)
      SimCore.EnterState("a160ede5-069b-49ae-b153-1da169498d55", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_OBSTACLE_DETECTION_STATUS::OBSTACLE_IN_CONFLICT_AREA")
      Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("0425704d-412c-4223-b895-5273ed090ef9|") then
    '   OperatedStates := OperatedStates + "0425704d-412c-4223-b895-5273ed090ef9|";
    ' end if
    ' // Simulation support : Notification function call for entering state : CRITICAL_FAILURE ///* #REF520# */
    ' RtsNotify(This,SENTER,"0425704d-412c-4223-b895-5273ed090ef9",0,NullString);
    ' 
    ' SimCore.EnterState("0425704d-412c-4223-b895-5273ed090ef9","SENDING_LEVEL_CROSSING_REPORTS::REPORT_LEVEL_CROSSING_CRITICAL_FAILURE::CRITICAL_FAILURE");
    ' 
    ' This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE := RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE;/* #REF521# */
    ' 
    Private Sub RtsEnter_CRITICAL_FAILURE()
      If not OperatedStates.Contains("0425704d-412c-4223-b895-5273ed090ef9|") Then
        OperatedStates = OperatedStates + "0425704d-412c-4223-b895-5273ed090ef9|"
      End If
      'Simulation support : Notification function call for entering state : CRITICAL_FAILURE ///* #REF520# */
      RtsNotify(Me, SENTER, "0425704d-412c-4223-b895-5273ed090ef9", 0, NullString)
      SimCore.EnterState("0425704d-412c-4223-b895-5273ed090ef9", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_LEVEL_CROSSING_CRITICAL_FAILURE::CRITICAL_FAILURE")
      Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|") then
    '   OperatedStates := OperatedStates + "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|";
    ' end if
    ' // Simulation support : Notification function call for entering state : NON_CRITICAL_FAILURE ///* #REF520# */
    ' RtsNotify(This,SENTER,"881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8",0,NullString);
    ' 
    ' SimCore.EnterState("881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8","SENDING_LEVEL_CROSSING_REPORTS::REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE::NON_CRITICAL_FAILURE");
    ' 
    ' This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE := RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE;/* #REF521# */
    ' 
    Private Sub RtsEnter_NON_CRITICAL_FAILURE()
      If not OperatedStates.Contains("881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|") Then
        OperatedStates = OperatedStates + "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|"
      End If
      'Simulation support : Notification function call for entering state : NON_CRITICAL_FAILURE ///* #REF520# */
      RtsNotify(Me, SENTER, "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8", 0, NullString)
      SimCore.EnterState("881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE::NON_CRITICAL_FAILURE")
      Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE
    End Sub
    
    ' \ART_SMG :: Created for state : DETECTION_ELEMENT_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("cf5e55eb-bff6-4e73-9a56-c079544344b2|") then
    '   OperatedStates := OperatedStates + "cf5e55eb-bff6-4e73-9a56-c079544344b2|";
    ' end if
    ' // Simulation support : Notification function call for entering state : DETECTION_ELEMENT_STATUS ///* #REF520# */
    ' RtsNotify(This,SENTER,"cf5e55eb-bff6-4e73-9a56-c079544344b2",0,NullString);
    ' 
    ' SimCore.EnterState("cf5e55eb-bff6-4e73-9a56-c079544344b2","SENDING_LEVEL_CROSSING_REPORTS::REPORT_DETECTION_ELEMENT_STATUS::DETECTION_ELEMENT_STATUS");
    ' 
    ' This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS := RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS;/* #REF521# */
    ' 
    Private Sub RtsEnter_DETECTION_ELEMENT_STATUS()
      If not OperatedStates.Contains("cf5e55eb-bff6-4e73-9a56-c079544344b2|") Then
        OperatedStates = OperatedStates + "cf5e55eb-bff6-4e73-9a56-c079544344b2|"
      End If
      'Simulation support : Notification function call for entering state : DETECTION_ELEMENT_STATUS ///* #REF520# */
      RtsNotify(Me, SENTER, "cf5e55eb-bff6-4e73-9a56-c079544344b2", 0, NullString)
      SimCore.EnterState("cf5e55eb-bff6-4e73-9a56-c079544344b2", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_DETECTION_ELEMENT_STATUS::DETECTION_ELEMENT_STATUS")
      Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS
    End Sub
    
    ' \ART_SMG :: Created for state : ALLOW_OR_RETURN_HANDOVER
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("8cbc127f-4f46-4d88-b4ed-d3de47e168b1|") then
    '   OperatedStates := OperatedStates + "8cbc127f-4f46-4d88-b4ed-d3de47e168b1|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ALLOW_OR_RETURN_HANDOVER ///* #REF520# */
    ' RtsNotify(This,SENTER,"8cbc127f-4f46-4d88-b4ed-d3de47e168b1",0,NullString);
    ' 
    ' SimCore.EnterState("8cbc127f-4f46-4d88-b4ed-d3de47e168b1","SENDING_LEVEL_CROSSING_REPORTS::REPORT_LOCAL_HANDOVER::ALLOW_OR_RETURN_HANDOVER");
    ' 
    ' This.RtsCurrent_REPORT_LOCAL_HANDOVER := RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER;/* #REF521# */
    ' 
    Private Sub RtsEnter_ALLOW_OR_RETURN_HANDOVER()
      If not OperatedStates.Contains("8cbc127f-4f46-4d88-b4ed-d3de47e168b1|") Then
        OperatedStates = OperatedStates + "8cbc127f-4f46-4d88-b4ed-d3de47e168b1|"
      End If
      'Simulation support : Notification function call for entering state : ALLOW_OR_RETURN_HANDOVER ///* #REF520# */
      RtsNotify(Me, SENTER, "8cbc127f-4f46-4d88-b4ed-d3de47e168b1", 0, NullString)
      SimCore.EnterState("8cbc127f-4f46-4d88-b4ed-d3de47e168b1", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_LOCAL_HANDOVER::ALLOW_OR_RETURN_HANDOVER")
      Me.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_CLOSURE_TIME_OVERUN
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b5c5ad6d-a32d-427c-be37-18fba84ecdb1|") then
    '   OperatedStates := OperatedStates + "b5c5ad6d-a32d-427c-be37-18fba84ecdb1|";
    ' end if
    ' // Simulation support : Notification function call for entering state : REPORT_CLOSURE_TIME_OVERUN ///* #REF520# */
    ' RtsNotify(This,SENTER,"b5c5ad6d-a32d-427c-be37-18fba84ecdb1",0,NullString);
    ' 
    ' SimCore.EnterState("b5c5ad6d-a32d-427c-be37-18fba84ecdb1","SENDING_LEVEL_CROSSING_REPORTS::REPORT_MONITORING_PARAMETER::REPORT_CLOSURE_TIME_OVERUN");
    ' 
    ' This.RtsCurrent_REPORT_MONITORING_PARAMETER := RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN;/* #REF521# */
    ' 
    Private Sub RtsEnter_REPORT_CLOSURE_TIME_OVERUN()
      If not OperatedStates.Contains("b5c5ad6d-a32d-427c-be37-18fba84ecdb1|") Then
        OperatedStates = OperatedStates + "b5c5ad6d-a32d-427c-be37-18fba84ecdb1|"
      End If
      'Simulation support : Notification function call for entering state : REPORT_CLOSURE_TIME_OVERUN ///* #REF520# */
      RtsNotify(Me, SENTER, "b5c5ad6d-a32d-427c-be37-18fba84ecdb1", 0, NullString)
      SimCore.EnterState("b5c5ad6d-a32d-427c-be37-18fba84ecdb1", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_MONITORING_PARAMETER::REPORT_CLOSURE_TIME_OVERUN")
      Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("dc07638d-bbe4-4951-ada6-25428c662252|") then
    '   OperatedStates := OperatedStates + "dc07638d-bbe4-4951-ada6-25428c662252|";
    ' end if
    ' // Simulation support : Notification function call for entering state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE ///* #REF520# */
    ' RtsNotify(This,SENTER,"dc07638d-bbe4-4951-ada6-25428c662252",0,NullString);
    ' 
    ' SimCore.EnterState("dc07638d-bbe4-4951-ada6-25428c662252","SENDING_LEVEL_CROSSING_REPORTS::REPORT_REQUEST_BY_LOCAL_OPERATOR::REQUEST_TO_ACTIVATE_OR_DEACTIVATE");
    ' 
    ' This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR := RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE;/* #REF521# */
    ' 
    Private Sub RtsEnter_REQUEST_TO_ACTIVATE_OR_DEACTIVATE()
      If not OperatedStates.Contains("dc07638d-bbe4-4951-ada6-25428c662252|") Then
        OperatedStates = OperatedStates + "dc07638d-bbe4-4951-ada6-25428c662252|"
      End If
      'Simulation support : Notification function call for entering state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE ///* #REF520# */
      RtsNotify(Me, SENTER, "dc07638d-bbe4-4951-ada6-25428c662252", 0, NullString)
      SimCore.EnterState("dc07638d-bbe4-4951-ada6-25428c662252", "SENDING_LEVEL_CROSSING_REPORTS::REPORT_REQUEST_BY_LOCAL_OPERATOR::REQUEST_TO_ACTIVATE_OR_DEACTIVATE")
      Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE
    End Sub
    
    ' \ART_SMG :: Created for state : INTERFACE_CONNECTION_NOT_ESTABLISHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : INTERFACE_CONNECTION_NOT_ESTABLISHED
    ' 	RtsNotify(This,SEXIT,"850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_INTERFACE_CONNECTION_NOT_ESTABLISHED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_INTERFACE_CONNECTION_NOT_ESTABLISHED()
      If Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED Then
        'Simulation support : Notification function call for exiting state : INTERFACE_CONNECTION_NOT_ESTABLISHED
        RtsNotify(Me, SEXIT, "850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974", 0, NullString)
        RtsExitSSOf_INTERFACE_CONNECTION_NOT_ESTABLISHED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_LEVEL_CROSSING_REPORTS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : SENDING_LEVEL_CROSSING_REPORTS
    ' 	RtsNotify(This,SEXIT,"b00e80f5-bb7f-4207-82b6-5500dab059aa",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_SENDING_LEVEL_CROSSING_REPORTS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_SENDING_LEVEL_CROSSING_REPORTS()
      If Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_SENDING_LEVEL_CROSSING_REPORTS Then
        'Simulation support : Notification function call for exiting state : SENDING_LEVEL_CROSSING_REPORTS
        RtsNotify(Me, SEXIT, "b00e80f5-bb7f-4207-82b6-5500dab059aa", 0, NullString)
        RtsExitSSOf_SENDING_LEVEL_CROSSING_REPORTS()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : FUNCTIONAL_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : FUNCTIONAL_STATUS
    ' 	RtsNotify(This,SEXIT,"93f12095-d6c5-4779-91f8-808ce8d012c0",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_FUNCTIONAL_STATUS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_FUNCTIONAL_STATUS()
      If Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS Then
        'Simulation support : Notification function call for exiting state : FUNCTIONAL_STATUS
        RtsNotify(Me, SEXIT, "93f12095-d6c5-4779-91f8-808ce8d012c0", 0, NullString)
        RtsExitSSOf_FUNCTIONAL_STATUS()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OBSTACLE_IN_CONFLICT_AREA
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OBSTACLE_IN_CONFLICT_AREA
    ' 	RtsNotify(This,SEXIT,"a160ede5-069b-49ae-b153-1da169498d55",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OBSTACLE_IN_CONFLICT_AREA ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OBSTACLE_IN_CONFLICT_AREA()
      If Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA Then
        'Simulation support : Notification function call for exiting state : OBSTACLE_IN_CONFLICT_AREA
        RtsNotify(Me, SEXIT, "a160ede5-069b-49ae-b153-1da169498d55", 0, NullString)
        RtsExitSSOf_OBSTACLE_IN_CONFLICT_AREA()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : CRITICAL_FAILURE
    ' 	RtsNotify(This,SEXIT,"0425704d-412c-4223-b895-5273ed090ef9",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_CRITICAL_FAILURE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_CRITICAL_FAILURE()
      If Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE Then
        'Simulation support : Notification function call for exiting state : CRITICAL_FAILURE
        RtsNotify(Me, SEXIT, "0425704d-412c-4223-b895-5273ed090ef9", 0, NullString)
        RtsExitSSOf_CRITICAL_FAILURE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : NON_CRITICAL_FAILURE
    ' 	RtsNotify(This,SEXIT,"881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_NON_CRITICAL_FAILURE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_NON_CRITICAL_FAILURE()
      If Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE Then
        'Simulation support : Notification function call for exiting state : NON_CRITICAL_FAILURE
        RtsNotify(Me, SEXIT, "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8", 0, NullString)
        RtsExitSSOf_NON_CRITICAL_FAILURE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DETECTION_ELEMENT_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : DETECTION_ELEMENT_STATUS
    ' 	RtsNotify(This,SEXIT,"cf5e55eb-bff6-4e73-9a56-c079544344b2",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_DETECTION_ELEMENT_STATUS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_DETECTION_ELEMENT_STATUS()
      If Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS Then
        'Simulation support : Notification function call for exiting state : DETECTION_ELEMENT_STATUS
        RtsNotify(Me, SEXIT, "cf5e55eb-bff6-4e73-9a56-c079544344b2", 0, NullString)
        RtsExitSSOf_DETECTION_ELEMENT_STATUS()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ALLOW_OR_RETURN_HANDOVER
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ALLOW_OR_RETURN_HANDOVER
    ' 	RtsNotify(This,SEXIT,"8cbc127f-4f46-4d88-b4ed-d3de47e168b1",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ALLOW_OR_RETURN_HANDOVER ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ALLOW_OR_RETURN_HANDOVER()
      If Me.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER Then
        'Simulation support : Notification function call for exiting state : ALLOW_OR_RETURN_HANDOVER
        RtsNotify(Me, SEXIT, "8cbc127f-4f46-4d88-b4ed-d3de47e168b1", 0, NullString)
        RtsExitSSOf_ALLOW_OR_RETURN_HANDOVER()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_CLOSURE_TIME_OVERUN
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : REPORT_CLOSURE_TIME_OVERUN
    ' 	RtsNotify(This,SEXIT,"b5c5ad6d-a32d-427c-be37-18fba84ecdb1",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_REPORT_CLOSURE_TIME_OVERUN ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_REPORT_CLOSURE_TIME_OVERUN()
      If Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN Then
        'Simulation support : Notification function call for exiting state : REPORT_CLOSURE_TIME_OVERUN
        RtsNotify(Me, SEXIT, "b5c5ad6d-a32d-427c-be37-18fba84ecdb1", 0, NullString)
        RtsExitSSOf_REPORT_CLOSURE_TIME_OVERUN()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE
    ' 	RtsNotify(This,SEXIT,"dc07638d-bbe4-4951-ada6-25428c662252",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_REQUEST_TO_ACTIVATE_OR_DEACTIVATE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_REQUEST_TO_ACTIVATE_OR_DEACTIVATE()
      If Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE Then
        'Simulation support : Notification function call for exiting state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE
        RtsNotify(Me, SEXIT, "dc07638d-bbe4-4951-ada6-25428c662252", 0, NullString)
        RtsExitSSOf_REQUEST_TO_ACTIVATE_OR_DEACTIVATE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_FUNCTIONAL_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"6af5f7c1-9dc6-4a8e-979b-1e649a955e20",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"6af5f7c1-9dc6-4a8e-979b-1e649a955e20",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"eea0a72d-6945-4fba-ac00-b4a045df3a98",0,NullString);/* #REF1585# */
    ' /*##STRT b8519e4e-eb7d-4b0a-8df9-74e49504a440 */  nullstat;/*##END b8519e4e-eb7d-4b0a-8df9-74e49504a440 */ /* #REF1546# */
    ' This.RtsEnter_FUNCTIONAL_STATUS();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_FUNCTIONAL_STATUS()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "6af5f7c1-9dc6-4a8e-979b-1e649a955e20", 0, NullString)
      RtsNotify(Me, SEXIT, "6af5f7c1-9dc6-4a8e-979b-1e649a955e20", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "eea0a72d-6945-4fba-ac00-b4a045df3a98", 0, NullString)
      Me.RtsEnter_FUNCTIONAL_STATUS()
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_LEVEL_CROSSING_REPORTS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' This.RtsEnter_SENDING_LEVEL_CROSSING_REPORTS();/* #REF1572# */
    ' This.RtsDefault_REPORT_FUNCTIONAL_STATUS();/* #REF1573# */
    ' This.RtsDefault_REPORT_OBSTACLE_DETECTION_STATUS();/* #REF1573# */
    ' This.RtsDefault_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE();/* #REF1573# */
    ' This.RtsDefault_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE();/* #REF1573# */
    ' This.RtsDefault_REPORT_DETECTION_ELEMENT_STATUS();/* #REF1573# */
    ' This.RtsDefault_REPORT_LOCAL_HANDOVER();/* #REF1573# */
    ' This.RtsDefault_REPORT_MONITORING_PARAMETER();/* #REF1573# */
    ' This.RtsDefault_REPORT_REQUEST_BY_LOCAL_OPERATOR();/* #REF1573# */
    ' 
    Private Sub RtsDefault_SENDING_LEVEL_CROSSING_REPORTS()
      Me.RtsEnter_SENDING_LEVEL_CROSSING_REPORTS()
      Me.RtsDefault_REPORT_FUNCTIONAL_STATUS()
      Me.RtsDefault_REPORT_OBSTACLE_DETECTION_STATUS()
      Me.RtsDefault_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE()
      Me.RtsDefault_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE()
      Me.RtsDefault_REPORT_DETECTION_ELEMENT_STATUS()
      Me.RtsDefault_REPORT_LOCAL_HANDOVER()
      Me.RtsDefault_REPORT_MONITORING_PARAMETER()
      Me.RtsDefault_REPORT_REQUEST_BY_LOCAL_OPERATOR()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_OBSTACLE_DETECTION_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"9fb6eb91-3d16-487d-953b-82d853668845",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"9fb6eb91-3d16-487d-953b-82d853668845",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"52f45c81-2ce3-4fa1-b065-84acf0f47329",0,NullString);/* #REF1585# */
    ' /*##STRT 8421d9cc-2dc7-4050-b82c-7dc6007c7408 */  nullstat;/*##END 8421d9cc-2dc7-4050-b82c-7dc6007c7408 */ /* #REF1546# */
    ' This.RtsEnter_OBSTACLE_IN_CONFLICT_AREA();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_OBSTACLE_DETECTION_STATUS()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "9fb6eb91-3d16-487d-953b-82d853668845", 0, NullString)
      RtsNotify(Me, SEXIT, "9fb6eb91-3d16-487d-953b-82d853668845", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "52f45c81-2ce3-4fa1-b065-84acf0f47329", 0, NullString)
      Me.RtsEnter_OBSTACLE_IN_CONFLICT_AREA()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_LEVEL_CROSSING_CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"040ee750-544c-4442-844b-a676289eea4b",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"040ee750-544c-4442-844b-a676289eea4b",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"ceccb042-ffbd-4190-883c-2fdc652737aa",0,NullString);/* #REF1585# */
    ' /*##STRT 511018d9-8b54-427c-b00b-cc624b57728d */  nullstat;/*##END 511018d9-8b54-427c-b00b-cc624b57728d */ /* #REF1546# */
    ' This.RtsEnter_CRITICAL_FAILURE();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "040ee750-544c-4442-844b-a676289eea4b", 0, NullString)
      RtsNotify(Me, SEXIT, "040ee750-544c-4442-844b-a676289eea4b", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "ceccb042-ffbd-4190-883c-2fdc652737aa", 0, NullString)
      Me.RtsEnter_CRITICAL_FAILURE()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"1edf5a94-6dd8-4567-864a-863d79e2615d",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"1edf5a94-6dd8-4567-864a-863d79e2615d",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"2eb9f1b8-c051-43a6-9bed-8d5f591b8b54",0,NullString);/* #REF1585# */
    ' /*##STRT 4f80ab65-2528-47c3-9bc2-1b37c5cc8449 */  nullstat;/*##END 4f80ab65-2528-47c3-9bc2-1b37c5cc8449 */ /* #REF1546# */
    ' This.RtsEnter_NON_CRITICAL_FAILURE();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "1edf5a94-6dd8-4567-864a-863d79e2615d", 0, NullString)
      RtsNotify(Me, SEXIT, "1edf5a94-6dd8-4567-864a-863d79e2615d", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "2eb9f1b8-c051-43a6-9bed-8d5f591b8b54", 0, NullString)
      Me.RtsEnter_NON_CRITICAL_FAILURE()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_DETECTION_ELEMENT_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"b57a6d00-4d80-4e8b-aa29-d57fc84a5b49",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"b57a6d00-4d80-4e8b-aa29-d57fc84a5b49",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"fbb39155-7f30-4549-9fa9-971d5afedaba",0,NullString);/* #REF1585# */
    ' /*##STRT f758587b-0e18-4038-bd34-99b51ddb1a17 */  nullstat;/*##END f758587b-0e18-4038-bd34-99b51ddb1a17 */ /* #REF1546# */
    ' This.RtsEnter_DETECTION_ELEMENT_STATUS();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_DETECTION_ELEMENT_STATUS()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "b57a6d00-4d80-4e8b-aa29-d57fc84a5b49", 0, NullString)
      RtsNotify(Me, SEXIT, "b57a6d00-4d80-4e8b-aa29-d57fc84a5b49", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "fbb39155-7f30-4549-9fa9-971d5afedaba", 0, NullString)
      Me.RtsEnter_DETECTION_ELEMENT_STATUS()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_LOCAL_HANDOVER
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"13367028-2898-4ac9-96dd-b4683824ef13",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"13367028-2898-4ac9-96dd-b4683824ef13",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"41ea7bb7-ceb9-42e2-bbfa-0b0a16807724",0,NullString);/* #REF1585# */
    ' /*##STRT 19bd8262-c6d3-4844-94c6-793b08a993ed */  nullstat;/*##END 19bd8262-c6d3-4844-94c6-793b08a993ed */ /* #REF1546# */
    ' This.RtsEnter_ALLOW_OR_RETURN_HANDOVER();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_LOCAL_HANDOVER()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "13367028-2898-4ac9-96dd-b4683824ef13", 0, NullString)
      RtsNotify(Me, SEXIT, "13367028-2898-4ac9-96dd-b4683824ef13", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "41ea7bb7-ceb9-42e2-bbfa-0b0a16807724", 0, NullString)
      Me.RtsEnter_ALLOW_OR_RETURN_HANDOVER()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_MONITORING_PARAMETER
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"15004c5f-26f4-4717-875a-f2fc48a4bebe",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"15004c5f-26f4-4717-875a-f2fc48a4bebe",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"7d699feb-9545-493b-af5d-cf2a8ab1a6e8",0,NullString);/* #REF1585# */
    ' /*##STRT 6540f0d1-ec13-403a-a300-de64015c8f54 */  nullstat;/*##END 6540f0d1-ec13-403a-a300-de64015c8f54 */ /* #REF1546# */
    ' This.RtsEnter_REPORT_CLOSURE_TIME_OVERUN();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_MONITORING_PARAMETER()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "15004c5f-26f4-4717-875a-f2fc48a4bebe", 0, NullString)
      RtsNotify(Me, SEXIT, "15004c5f-26f4-4717-875a-f2fc48a4bebe", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "7d699feb-9545-493b-af5d-cf2a8ab1a6e8", 0, NullString)
      Me.RtsEnter_REPORT_CLOSURE_TIME_OVERUN()
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_REQUEST_BY_LOCAL_OPERATOR
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"1a3b3810-d408-492a-bec3-2fb0b806f633",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"1a3b3810-d408-492a-bec3-2fb0b806f633",0,NullString);/* #REF1576# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"3d5b24f1-c59b-43ae-aa8a-c2cf724873b6",0,NullString);/* #REF1585# */
    ' /*##STRT bc435710-2eec-41f1-8ccf-53a95a44e04b */  nullstat;/*##END bc435710-2eec-41f1-8ccf-53a95a44e04b */ /* #REF1546# */
    ' This.RtsEnter_REQUEST_TO_ACTIVATE_OR_DEACTIVATE();/* #REF1590# */
    ' 
    Private Sub RtsDefault_REPORT_REQUEST_BY_LOCAL_OPERATOR()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "1a3b3810-d408-492a-bec3-2fb0b806f633", 0, NullString)
      RtsNotify(Me, SEXIT, "1a3b3810-d408-492a-bec3-2fb0b806f633", 0, NullString)
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "3d5b24f1-c59b-43ae-aa8a-c2cf724873b6", 0, NullString)
      Me.RtsEnter_REQUEST_TO_ACTIVATE_OR_DEACTIVATE()
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As F_SCI_LC_Report)
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_SCI_LC_Report" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Report, "RtsF_SCI_LC_Report_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_FUNCTIONAL_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_FUNCTIONAL_STATUS, "RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS, "RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS, "RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_LOCAL_HANDOVER" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LOCAL_HANDOVER, "RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_MONITORING_PARAMETER" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_MONITORING_PARAMETER, "RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR, "RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_F_SCI_LC_Report" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Report, "RtsF_SCI_LC_Report_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_FUNCTIONAL_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_FUNCTIONAL_STATUS, "RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS, "RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS, "RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_LOCAL_HANDOVER" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LOCAL_HANDOVER, "RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_MONITORING_PARAMETER" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_MONITORING_PARAMETER, "RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States");
    ' end if
    ' if Name = "RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR, "RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "2b4b8fd4-a5ba-4f35-b4e4-48247c8e5c41";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "20";
    '   Value := Value + "|RtsCurrent_F_SCI_LC_Report";
    '   Value := Value + "|RtsCurrent_REPORT_FUNCTIONAL_STATUS";
    '   Value := Value + "|RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS";
    '   Value := Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE";
    '   Value := Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE";
    '   Value := Value + "|RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS";
    '   Value := Value + "|RtsCurrent_REPORT_LOCAL_HANDOVER";
    '   Value := Value + "|RtsCurrent_REPORT_MONITORING_PARAMETER";
    '   Value := Value + "|RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_F_SCI_LC_Report";
    '   Value := Value + "|RtsCurrent_REPORT_FUNCTIONAL_STATUS";
    '   Value := Value + "|RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS";
    '   Value := Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE";
    '   Value := Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE";
    '   Value := Value + "|RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS";
    '   Value := Value + "|RtsCurrent_REPORT_LOCAL_HANDOVER";
    '   Value := Value + "|RtsCurrent_REPORT_MONITORING_PARAMETER";
    '   Value := Value + "|RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As F_SCI_LC_Report)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_SCI_LC_Report" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Report, "RtsF_SCI_LC_Report_States")
      End If
      If Name = "RtsCurrent_REPORT_FUNCTIONAL_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_FUNCTIONAL_STATUS, "RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States")
      End If
      If Name = "RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS, "RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States")
      End If
      If Name = "RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States")
      End If
      If Name = "RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States")
      End If
      If Name = "RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS, "RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States")
      End If
      If Name = "RtsCurrent_REPORT_LOCAL_HANDOVER" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LOCAL_HANDOVER, "RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States")
      End If
      If Name = "RtsCurrent_REPORT_MONITORING_PARAMETER" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_MONITORING_PARAMETER, "RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States")
      End If
      If Name = "RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR, "RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_F_SCI_LC_Report" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_F_SCI_LC_Report, "RtsF_SCI_LC_Report_States")
      End If
      If Name = "RtsCurrent_REPORT_FUNCTIONAL_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_FUNCTIONAL_STATUS, "RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States")
      End If
      If Name = "RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS, "RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States")
      End If
      If Name = "RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States")
      End If
      If Name = "RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States")
      End If
      If Name = "RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS, "RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States")
      End If
      If Name = "RtsCurrent_REPORT_LOCAL_HANDOVER" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_LOCAL_HANDOVER, "RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States")
      End If
      If Name = "RtsCurrent_REPORT_MONITORING_PARAMETER" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_MONITORING_PARAMETER, "RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States")
      End If
      If Name = "RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR, "RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "2b4b8fd4-a5ba-4f35-b4e4-48247c8e5c41"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "20"
        Value = Value + "|RtsCurrent_F_SCI_LC_Report"
        Value = Value + "|RtsCurrent_REPORT_FUNCTIONAL_STATUS"
        Value = Value + "|RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS"
        Value = Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE"
        Value = Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE"
        Value = Value + "|RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS"
        Value = Value + "|RtsCurrent_REPORT_LOCAL_HANDOVER"
        Value = Value + "|RtsCurrent_REPORT_MONITORING_PARAMETER"
        Value = Value + "|RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_F_SCI_LC_Report"
        Value = Value + "|RtsCurrent_REPORT_FUNCTIONAL_STATUS"
        Value = Value + "|RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS"
        Value = Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE"
        Value = Value + "|RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE"
        Value = Value + "|RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS"
        Value = Value + "|RtsCurrent_REPORT_LOCAL_HANDOVER"
        Value = Value + "|RtsCurrent_REPORT_MONITORING_PARAMETER"
        Value = Value + "|RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_F_SCI_LC_Report" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_SCI_LC_Report, Value, "RtsF_SCI_LC_Report_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_Report_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_FUNCTIONAL_STATUS" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_FUNCTIONAL_STATUS, Value, "RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS, Value, "RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE, Value, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE, Value, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS, Value, "RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_LOCAL_HANDOVER" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_LOCAL_HANDOVER, Value, "RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_MONITORING_PARAMETER" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_MONITORING_PARAMETER, Value, "RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States));
    ' end if
    ' if Name = "RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR, Value, "RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As F_SCI_LC_Report)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_F_SCI_LC_Report" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_F_SCI_LC_Report, Value, "RtsF_SCI_LC_Report_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_Report_States))
      End If
      If Name = "RtsCurrent_REPORT_FUNCTIONAL_STATUS" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_FUNCTIONAL_STATUS, Value, "RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States))
      End If
      If Name = "RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS, Value, "RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States))
      End If
      If Name = "RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE, Value, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States))
      End If
      If Name = "RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE, Value, "RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States))
      End If
      If Name = "RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS, Value, "RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States))
      End If
      If Name = "RtsCurrent_REPORT_LOCAL_HANDOVER" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_LOCAL_HANDOVER, Value, "RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States))
      End If
      If Name = "RtsCurrent_REPORT_MONITORING_PARAMETER" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_MONITORING_PARAMETER, Value, "RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States))
      End If
      If Name = "RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR, Value, "RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States", GetType(F_SCI_LC_Report.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : INTERFACE_CONNECTION_NOT_ESTABLISHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsStart_Status_Report_In_F_SCI_LC_Report(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsStart_Status_Report()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsStart_Status_Report_In_F_SCI_LC_Report(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 INTERFACE_CONNECTION_NOT_ESTABLISHED
    ' if This.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States{enum_datatype}.RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_INTERFACE_CONNECTION_NOT_ESTABLISHED */
    ' 	/* standard */
    ' 	This.RtsExit_INTERFACE_CONNECTION_NOT_ESTABLISHED();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"8912bf20-92cc-434b-8e50-1e8e0bafe1e6",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 5a7a64a1-1899-4af5-b648-68b3afeaca69 */  cOp3_Status_Report (); nullstat;/*##END 5a7a64a1-1899-4af5-b648-68b3afeaca69 */ /* #REF1546# */
    ' 	This.RtsDefault_SENDING_LEVEL_CROSSING_REPORTS();/* #REF1587# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' // H1 SENDING_LEVEL_CROSSING_REPORTS
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsStart_Status_Report_In_F_SCI_LC_Report(ByRef RetValue As Boolean)
      'H1 INTERFACE_CONNECTION_NOT_ESTABLISHED
      If Me.RtsCurrent_F_SCI_LC_Report = RtsF_SCI_LC_Report_States.RtsF_SCI_LC_Report_States_INTERFACE_CONNECTION_NOT_ESTABLISHED Then
        Me.RtsExit_INTERFACE_CONNECTION_NOT_ESTABLISHED()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "8912bf20-92cc-434b-8e50-1e8e0bafe1e6", 0, NullString)
        cOp3_Status_Report()
        Me.RtsDefault_SENDING_LEVEL_CROSSING_REPORTS()
        RetValue = True
        Return
      End If
      'H1 SENDING_LEVEL_CROSSING_REPORTS
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : INTERFACE_CONNECTION_NOT_ESTABLISHED
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|") then
    '   OperatedStates := OperatedStates + "850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_INTERFACE_CONNECTION_NOT_ESTABLISHED()
      If not OperatedStates.Contains("850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|") Then
        OperatedStates = OperatedStates + "850cd2f6-f7f5-4d6c-9cbf-4f3e9d619974|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_LEVEL_CROSSING_REPORTS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b00e80f5-bb7f-4207-82b6-5500dab059aa|") then
    '   OperatedStates := OperatedStates + "b00e80f5-bb7f-4207-82b6-5500dab059aa|";
    ' end if
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_FUNCTIONAL_STATUS/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_FUNCTIONAL_STATUS();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_FUNCTIONAL_STATUS := RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_OBSTACLE_IN_CONFLICT_AREA();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS := RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_CRITICAL_FAILURE();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE := RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_NON_CRITICAL_FAILURE();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE := RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_DETECTION_ELEMENT_STATUS();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS := RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_LOCAL_HANDOVER/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_ALLOW_OR_RETURN_HANDOVER();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_LOCAL_HANDOVER := RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_MONITORING_PARAMETER/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_REPORT_CLOSURE_TIME_OVERUN();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_MONITORING_PARAMETER := RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER;/* #REF736# */
    ' /* #REF724# */
    ' select case This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR/* #REF725# */
    ' /* #REF726# */
    ' 	case RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE:/* #REF728# */
    ' 	/* #REF729# */
    ' 		This.RtsExit_REQUEST_TO_ACTIVATE_OR_DEACTIVATE();/* #REF730# */
    ' 	case else:/* #REF731# */
    ' 		/* #REF732# */
    ' end select
    ' This.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR := RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States{enum_datatype}.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR;/* #REF736# */
    ' 
    Private Sub RtsExitSSOf_SENDING_LEVEL_CROSSING_REPORTS()
      If not OperatedStates.Contains("b00e80f5-bb7f-4207-82b6-5500dab059aa|") Then
        OperatedStates = OperatedStates + "b00e80f5-bb7f-4207-82b6-5500dab059aa|"
      End If
      Select Case Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS
        Case RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_FUNCTIONAL_STATUS
          Me.RtsExit_FUNCTIONAL_STATUS()
      End Select
      Me.RtsCurrent_REPORT_FUNCTIONAL_STATUS = RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States.RtsF_SCI_LC_ReportREPORT_FUNCTIONAL_STATUS_States_NotIn_REPORT_FUNCTIONAL_STATUS
      Select Case Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS
        Case RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_OBSTACLE_IN_CONFLICT_AREA
          Me.RtsExit_OBSTACLE_IN_CONFLICT_AREA()
      End Select
      Me.RtsCurrent_REPORT_OBSTACLE_DETECTION_STATUS = RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States.RtsF_SCI_LC_ReportREPORT_OBSTACLE_DETECTION_STATUS_States_NotIn_REPORT_OBSTACLE_DETECTION_STATUS
      Select Case Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE
        Case RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_CRITICAL_FAILURE
          Me.RtsExit_CRITICAL_FAILURE()
      End Select
      Me.RtsCurrent_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_CRITICAL_FAILURE
      Select Case Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE
        Case RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NON_CRITICAL_FAILURE
          Me.RtsExit_NON_CRITICAL_FAILURE()
      End Select
      Me.RtsCurrent_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE = RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States.RtsF_SCI_LC_ReportREPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE_States_NotIn_REPORT_LEVEL_CROSSING_NON_CRITICAL_FAILURE
      Select Case Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS
        Case RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_DETECTION_ELEMENT_STATUS
          Me.RtsExit_DETECTION_ELEMENT_STATUS()
      End Select
      Me.RtsCurrent_REPORT_DETECTION_ELEMENT_STATUS = RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States.RtsF_SCI_LC_ReportREPORT_DETECTION_ELEMENT_STATUS_States_NotIn_REPORT_DETECTION_ELEMENT_STATUS
      Select Case Me.RtsCurrent_REPORT_LOCAL_HANDOVER
        Case RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_ALLOW_OR_RETURN_HANDOVER
          Me.RtsExit_ALLOW_OR_RETURN_HANDOVER()
      End Select
      Me.RtsCurrent_REPORT_LOCAL_HANDOVER = RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States.RtsF_SCI_LC_ReportREPORT_LOCAL_HANDOVER_States_NotIn_REPORT_LOCAL_HANDOVER
      Select Case Me.RtsCurrent_REPORT_MONITORING_PARAMETER
        Case RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_REPORT_CLOSURE_TIME_OVERUN
          Me.RtsExit_REPORT_CLOSURE_TIME_OVERUN()
      End Select
      Me.RtsCurrent_REPORT_MONITORING_PARAMETER = RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States.RtsF_SCI_LC_ReportREPORT_MONITORING_PARAMETER_States_NotIn_REPORT_MONITORING_PARAMETER
      Select Case Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR
        Case RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_REQUEST_TO_ACTIVATE_OR_DEACTIVATE
          Me.RtsExit_REQUEST_TO_ACTIVATE_OR_DEACTIVATE()
      End Select
      Me.RtsCurrent_REPORT_REQUEST_BY_LOCAL_OPERATOR = RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States.RtsF_SCI_LC_ReportREPORT_REQUEST_BY_LOCAL_OPERATOR_States_NotIn_REPORT_REQUEST_BY_LOCAL_OPERATOR
    End Sub
    
    ' \ART_SMG :: Created for state : FUNCTIONAL_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("93f12095-d6c5-4779-91f8-808ce8d012c0|") then
    '   OperatedStates := OperatedStates + "93f12095-d6c5-4779-91f8-808ce8d012c0|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_FUNCTIONAL_STATUS()
      If not OperatedStates.Contains("93f12095-d6c5-4779-91f8-808ce8d012c0|") Then
        OperatedStates = OperatedStates + "93f12095-d6c5-4779-91f8-808ce8d012c0|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OBSTACLE_IN_CONFLICT_AREA
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a160ede5-069b-49ae-b153-1da169498d55|") then
    '   OperatedStates := OperatedStates + "a160ede5-069b-49ae-b153-1da169498d55|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_OBSTACLE_IN_CONFLICT_AREA()
      If not OperatedStates.Contains("a160ede5-069b-49ae-b153-1da169498d55|") Then
        OperatedStates = OperatedStates + "a160ede5-069b-49ae-b153-1da169498d55|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("0425704d-412c-4223-b895-5273ed090ef9|") then
    '   OperatedStates := OperatedStates + "0425704d-412c-4223-b895-5273ed090ef9|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_CRITICAL_FAILURE()
      If not OperatedStates.Contains("0425704d-412c-4223-b895-5273ed090ef9|") Then
        OperatedStates = OperatedStates + "0425704d-412c-4223-b895-5273ed090ef9|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : NON_CRITICAL_FAILURE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|") then
    '   OperatedStates := OperatedStates + "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_NON_CRITICAL_FAILURE()
      If not OperatedStates.Contains("881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|") Then
        OperatedStates = OperatedStates + "881d13ae-cb8e-4a3b-869e-4b3f04b9c0c8|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DETECTION_ELEMENT_STATUS
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("cf5e55eb-bff6-4e73-9a56-c079544344b2|") then
    '   OperatedStates := OperatedStates + "cf5e55eb-bff6-4e73-9a56-c079544344b2|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_DETECTION_ELEMENT_STATUS()
      If not OperatedStates.Contains("cf5e55eb-bff6-4e73-9a56-c079544344b2|") Then
        OperatedStates = OperatedStates + "cf5e55eb-bff6-4e73-9a56-c079544344b2|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ALLOW_OR_RETURN_HANDOVER
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("8cbc127f-4f46-4d88-b4ed-d3de47e168b1|") then
    '   OperatedStates := OperatedStates + "8cbc127f-4f46-4d88-b4ed-d3de47e168b1|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_ALLOW_OR_RETURN_HANDOVER()
      If not OperatedStates.Contains("8cbc127f-4f46-4d88-b4ed-d3de47e168b1|") Then
        OperatedStates = OperatedStates + "8cbc127f-4f46-4d88-b4ed-d3de47e168b1|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REPORT_CLOSURE_TIME_OVERUN
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b5c5ad6d-a32d-427c-be37-18fba84ecdb1|") then
    '   OperatedStates := OperatedStates + "b5c5ad6d-a32d-427c-be37-18fba84ecdb1|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_REPORT_CLOSURE_TIME_OVERUN()
      If not OperatedStates.Contains("b5c5ad6d-a32d-427c-be37-18fba84ecdb1|") Then
        OperatedStates = OperatedStates + "b5c5ad6d-a32d-427c-be37-18fba84ecdb1|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUEST_TO_ACTIVATE_OR_DEACTIVATE
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("dc07638d-bbe4-4951-ada6-25428c662252|") then
    '   OperatedStates := OperatedStates + "dc07638d-bbe4-4951-ada6-25428c662252|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_REQUEST_TO_ACTIVATE_OR_DEACTIVATE()
      If not OperatedStates.Contains("dc07638d-bbe4-4951-ada6-25428c662252|") Then
        OperatedStates = OperatedStates + "dc07638d-bbe4-4951-ada6-25428c662252|"
      End If
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume d1in_Receive_LC_State: a SySimInputPort;
    ' assume d3in_LCPF_Protection_State: a SySimInputPort;
    ' assume d4in_Obstacle_Detection_Status: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d61in_LC_Failure_Status: a SySimInputPort;
    ' assume d62in_LCPF_Failure_Status: a SySimInputPort;
    ' assume d6in_LC_Monitoring_Status: a SySimInputPort;
    ' assume d75in_LC_Failure_Status: a SySimInputPort;
    ' assume d7in_Detection_Element_Status: a SySimInputPort;
    ' assume d81in_Local_Operation_Handover: a SySimInputPort;
    ' assume d82in_Local_Operation_Handover: a SySimInputPort;
    ' assume d9in_Changed_Monitoring_State: a SySimInputPort;
    ' assume P2out: a SySimOutputPort;
    ' assume p3inout: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg18Tmp := (/*##STRT 5587cf7e-b91f-4afd-8052-68e1712ae263 */ ( d81in_Local_Operation_Handover = "Return handover from local operator")/*##END 5587cf7e-b91f-4afd-8052-68e1712ae263 */ ) : Boolean;
    ' ChgFlg18 := EvalTrigger(ChgFlg18Tmp , ChgFlgLast18);
    ' declare ChgFlg2Tmp := (/*##STRT 7b2b1b2d-b283-43e9-a22f-e52a38a88a2a */ ( d1in_Receive_LC_State = "Activated" AND
    ' ( d3in_LCPF_Protection_State = "Unprotected" OR d3in_LCPF_Protection_State = "Idle"))/*##END 7b2b1b2d-b283-43e9-a22f-e52a38a88a2a */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg24Tmp := (/*##STRT 425fae44-ea98-4b80-9002-76e89b1d8ade */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 425fae44-ea98-4b80-9002-76e89b1d8ade */ ) : Boolean;
    ' ChgFlg24 := EvalTrigger(ChgFlg24Tmp , ChgFlgLast24);
    ' declare ChgFlg15Tmp := (/*##STRT 89b0eaf0-f705-46f4-8ba9-c7e856ed8e98 */ ( d7in_Detection_Element_Status = "Occupied")/*##END 89b0eaf0-f705-46f4-8ba9-c7e856ed8e98 */ ) : Boolean;
    ' ChgFlg15 := EvalTrigger(ChgFlg15Tmp , ChgFlgLast15);
    ' declare ChgFlg26Tmp := (/*##STRT fd55fc8c-924f-4a57-8e08-683f21d7c433 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END fd55fc8c-924f-4a57-8e08-683f21d7c433 */ ) : Boolean;
    ' ChgFlg26 := EvalTrigger(ChgFlg26Tmp , ChgFlgLast26);
    ' declare ChgFlg1Tmp := (/*##STRT 1908ebfc-7678-4e5d-9881-0c097d4b0853 */ ( d50in_PDI_Connection_State = "READY_FOR_PDI_NO_SCP"
    ' OR d50in_PDI_Connection_State = "READY_FOR_PDI"
    ' OR d50in_PDI_Connection_State = "SUSPENDED")/*##END 1908ebfc-7678-4e5d-9881-0c097d4b0853 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg28Tmp := (/*##STRT 736207d8-6636-4f34-81e0-ba84ebdaf0b6 */ ( d82in_Local_Operation_Handover = "Request to activate the level Crossing")/*##END 736207d8-6636-4f34-81e0-ba84ebdaf0b6 */ ) : Boolean;
    ' ChgFlg28 := EvalTrigger(ChgFlg28Tmp , ChgFlgLast28);
    ' declare ChgFlg10Tmp := (/*##STRT 0e7f837d-c496-45a2-a42e-54cdff4872f6 */ ( d61in_LC_Failure_Status <> "A critical failure is present" AND d62in_LCPF_Failure_Status <> "A critical failure is present"
    ' AND d75in_LC_Failure_Status <> "A critical failure is present")/*##END 0e7f837d-c496-45a2-a42e-54cdff4872f6 */ ) : Boolean;
    ' ChgFlg10 := EvalTrigger(ChgFlg10Tmp , ChgFlgLast10);
    ' declare ChgFlg17Tmp := (/*##STRT 6e22405a-e8ca-4d6f-8ea5-80ad4a855637 */ ( d81in_Local_Operation_Handover = "Allow handover to local operator")/*##END 6e22405a-e8ca-4d6f-8ea5-80ad4a855637 */ ) : Boolean;
    ' ChgFlg17 := EvalTrigger(ChgFlg17Tmp , ChgFlgLast17);
    ' declare ChgFlg12Tmp := (/*##STRT 244be418-f508-4bb0-a0ea-927b30dba0bc */ ( d61in_LC_Failure_Status <> "A non critical failure is present" AND d62in_LCPF_Failure_Status <> "A non critical failure is present"
    ' AND d75in_LC_Failure_Status <> "A non critical failure is present")/*##END 244be418-f508-4bb0-a0ea-927b30dba0bc */ ) : Boolean;
    ' ChgFlg12 := EvalTrigger(ChgFlg12Tmp , ChgFlgLast12);
    ' declare ChgFlg21Tmp := (/*##STRT 9083be04-4167-4c36-a4ad-d01c32b8c413 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 9083be04-4167-4c36-a4ad-d01c32b8c413 */ ) : Boolean;
    ' ChgFlg21 := EvalTrigger(ChgFlg21Tmp , ChgFlgLast21);
    ' declare ChgFlg23Tmp := (/*##STRT 69f24ba2-e189-4a90-946a-9fe8effc62cc */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END 69f24ba2-e189-4a90-946a-9fe8effc62cc */ ) : Boolean;
    ' ChgFlg23 := EvalTrigger(ChgFlg23Tmp , ChgFlgLast23);
    ' declare ChgFlg8Tmp := (/*##STRT d6b0f70f-0e57-4c4c-b108-444187ba1141 */ ( d4in_Obstacle_Detection_Status = "No obstacle in the conflict area")/*##END d6b0f70f-0e57-4c4c-b108-444187ba1141 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg5Tmp := (/*##STRT 463eb928-a98c-4fe1-bcfe-5160a582db18 */ ( d1in_Receive_LC_State = "Deactivated" AND d3in_LCPF_Protection_State = "Idle")/*##END 463eb928-a98c-4fe1-bcfe-5160a582db18 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg4Tmp := (/*##STRT aaddfc7d-033a-4f70-817f-59d0043c13b4 */ ( d1in_Receive_LC_State = "Deactivated" AND NOT d3in_LCPF_Protection_State = "Idle")/*##END aaddfc7d-033a-4f70-817f-59d0043c13b4 */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg11Tmp := (/*##STRT b256e44e-da94-4916-bf07-6fb9c235425a */ ( d61in_LC_Failure_Status = "A critical failure is present" OR d62in_LCPF_Failure_Status = "A critical failure is present"
    ' OR d75in_LC_Failure_Status = "A critical failure is present")/*##END b256e44e-da94-4916-bf07-6fb9c235425a */ ) : Boolean;
    ' ChgFlg11 := EvalTrigger(ChgFlg11Tmp , ChgFlgLast11);
    ' declare ChgFlg20Tmp := (/*##STRT c05e5110-0793-44dc-9062-3df676616012 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END c05e5110-0793-44dc-9062-3df676616012 */ ) : Boolean;
    ' ChgFlg20 := EvalTrigger(ChgFlg20Tmp , ChgFlgLast20);
    ' declare ChgFlg14Tmp := (/*##STRT 276c05f4-064a-461d-a192-da91c23c179d */ ( d7in_Detection_Element_Status = "Failed")/*##END 276c05f4-064a-461d-a192-da91c23c179d */ ) : Boolean;
    ' ChgFlg14 := EvalTrigger(ChgFlg14Tmp , ChgFlgLast14);
    ' declare ChgFlg25Tmp := (/*##STRT 20c81e78-c077-4111-b7b3-93518a264e33 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 20c81e78-c077-4111-b7b3-93518a264e33 */ ) : Boolean;
    ' ChgFlg25 := EvalTrigger(ChgFlg25Tmp , ChgFlgLast25);
    ' declare ChgFlg13Tmp := (/*##STRT 7c9fed1b-dfc8-4b9b-8d86-3f3550b10c78 */ ( d61in_LC_Failure_Status = "A non critical failure is present" OR d62in_LCPF_Failure_Status = "A non critical failure is present"
    ' OR d75in_LC_Failure_Status = "A non critical failure is present")/*##END 7c9fed1b-dfc8-4b9b-8d86-3f3550b10c78 */ ) : Boolean;
    ' ChgFlg13 := EvalTrigger(ChgFlg13Tmp , ChgFlgLast13);
    ' declare ChgFlg27Tmp := (/*##STRT 94f97d6e-96ab-481b-b9d8-a8ef5b4566a4 */ ( d82in_Local_Operation_Handover = "Request to deactivate the level Crossing")/*##END 94f97d6e-96ab-481b-b9d8-a8ef5b4566a4 */ ) : Boolean;
    ' ChgFlg27 := EvalTrigger(ChgFlg27Tmp , ChgFlgLast27);
    ' declare ChgFlg19Tmp := (/*##STRT 3dc962f4-0592-441a-a5a4-9dc21b377fb5 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END 3dc962f4-0592-441a-a5a4-9dc21b377fb5 */ ) : Boolean;
    ' ChgFlg19 := EvalTrigger(ChgFlg19Tmp , ChgFlgLast19);
    ' declare ChgFlg22Tmp := (/*##STRT 1dc6832c-1dfe-4ad7-a80c-ef925b844506 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 1dc6832c-1dfe-4ad7-a80c-ef925b844506 */ ) : Boolean;
    ' ChgFlg22 := EvalTrigger(ChgFlg22Tmp , ChgFlgLast22);
    ' declare ChgFlg16Tmp := (/*##STRT f7216a54-3521-422c-9677-2535960625cf */ ( d7in_Detection_Element_Status = "Vacant")/*##END f7216a54-3521-422c-9677-2535960625cf */ ) : Boolean;
    ' ChgFlg16 := EvalTrigger(ChgFlg16Tmp , ChgFlgLast16);
    ' declare ChgFlg7Tmp := (/*##STRT e97c39d6-b168-4236-a50f-14ebacc1f486 */ ( d1in_Receive_LC_State = "Pre Activated")/*##END e97c39d6-b168-4236-a50f-14ebacc1f486 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg6Tmp := (/*##STRT addcacf9-cde1-44df-ad0a-1b094306f972 */ ( d1in_Receive_LC_State = "Isolated")/*##END addcacf9-cde1-44df-ad0a-1b094306f972 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg3Tmp := (/*##STRT a25823d3-2f04-45a9-b958-74146fbe3925 */ ( d1in_Receive_LC_State = "Activated" AND d3in_LCPF_Protection_State = "Protected")/*##END a25823d3-2f04-45a9-b958-74146fbe3925 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg9Tmp := (/*##STRT b2bd2245-3bd9-44a1-8bd6-15b90e2ae71b */ ( d4in_Obstacle_Detection_Status = "Obstacle detected in the conflict area")/*##END b2bd2245-3bd9-44a1-8bd6-15b90e2ae71b */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast18 := ChgFlg18Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast24 := ChgFlg24Tmp;
    ' ChgFlgLast15 := ChgFlg15Tmp;
    ' ChgFlgLast26 := ChgFlg26Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast28 := ChgFlg28Tmp;
    ' ChgFlgLast10 := ChgFlg10Tmp;
    ' ChgFlgLast17 := ChgFlg17Tmp;
    ' ChgFlgLast12 := ChgFlg12Tmp;
    ' ChgFlgLast21 := ChgFlg21Tmp;
    ' ChgFlgLast23 := ChgFlg23Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast11 := ChgFlg11Tmp;
    ' ChgFlgLast20 := ChgFlg20Tmp;
    ' ChgFlgLast14 := ChgFlg14Tmp;
    ' ChgFlgLast25 := ChgFlg25Tmp;
    ' ChgFlgLast13 := ChgFlg13Tmp;
    ' ChgFlgLast27 := ChgFlg27Tmp;
    ' ChgFlgLast19 := ChgFlg19Tmp;
    ' ChgFlgLast22 := ChgFlg22Tmp;
    ' ChgFlgLast16 := ChgFlg16Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg18 := (/*##STRT 5587cf7e-b91f-4afd-8052-68e1712ae263 */ ( d81in_Local_Operation_Handover = "Return handover from local operator")/*##END 5587cf7e-b91f-4afd-8052-68e1712ae263 */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT 7b2b1b2d-b283-43e9-a22f-e52a38a88a2a */ ( d1in_Receive_LC_State = "Activated" AND
    '   ( d3in_LCPF_Protection_State = "Unprotected" OR d3in_LCPF_Protection_State = "Idle"))/*##END 7b2b1b2d-b283-43e9-a22f-e52a38a88a2a */ ) : Boolean;
    '   declare MaskedChgFlg24 := (/*##STRT 425fae44-ea98-4b80-9002-76e89b1d8ade */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 425fae44-ea98-4b80-9002-76e89b1d8ade */ ) : Boolean;
    '   declare MaskedChgFlg15 := (/*##STRT 89b0eaf0-f705-46f4-8ba9-c7e856ed8e98 */ ( d7in_Detection_Element_Status = "Occupied")/*##END 89b0eaf0-f705-46f4-8ba9-c7e856ed8e98 */ ) : Boolean;
    '   declare MaskedChgFlg26 := (/*##STRT fd55fc8c-924f-4a57-8e08-683f21d7c433 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END fd55fc8c-924f-4a57-8e08-683f21d7c433 */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT 1908ebfc-7678-4e5d-9881-0c097d4b0853 */ ( d50in_PDI_Connection_State = "READY_FOR_PDI_NO_SCP"
    '   OR d50in_PDI_Connection_State = "READY_FOR_PDI"
    '   OR d50in_PDI_Connection_State = "SUSPENDED")/*##END 1908ebfc-7678-4e5d-9881-0c097d4b0853 */ ) : Boolean;
    '   declare MaskedChgFlg28 := (/*##STRT 736207d8-6636-4f34-81e0-ba84ebdaf0b6 */ ( d82in_Local_Operation_Handover = "Request to activate the level Crossing")/*##END 736207d8-6636-4f34-81e0-ba84ebdaf0b6 */ ) : Boolean;
    '   declare MaskedChgFlg10 := (/*##STRT 0e7f837d-c496-45a2-a42e-54cdff4872f6 */ ( d61in_LC_Failure_Status <> "A critical failure is present" AND d62in_LCPF_Failure_Status <> "A critical failure is present"
    '   AND d75in_LC_Failure_Status <> "A critical failure is present")/*##END 0e7f837d-c496-45a2-a42e-54cdff4872f6 */ ) : Boolean;
    '   declare MaskedChgFlg17 := (/*##STRT 6e22405a-e8ca-4d6f-8ea5-80ad4a855637 */ ( d81in_Local_Operation_Handover = "Allow handover to local operator")/*##END 6e22405a-e8ca-4d6f-8ea5-80ad4a855637 */ ) : Boolean;
    '   declare MaskedChgFlg12 := (/*##STRT 244be418-f508-4bb0-a0ea-927b30dba0bc */ ( d61in_LC_Failure_Status <> "A non critical failure is present" AND d62in_LCPF_Failure_Status <> "A non critical failure is present"
    '   AND d75in_LC_Failure_Status <> "A non critical failure is present")/*##END 244be418-f508-4bb0-a0ea-927b30dba0bc */ ) : Boolean;
    '   declare MaskedChgFlg21 := (/*##STRT 9083be04-4167-4c36-a4ad-d01c32b8c413 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 9083be04-4167-4c36-a4ad-d01c32b8c413 */ ) : Boolean;
    '   declare MaskedChgFlg23 := (/*##STRT 69f24ba2-e189-4a90-946a-9fe8effc62cc */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END 69f24ba2-e189-4a90-946a-9fe8effc62cc */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT d6b0f70f-0e57-4c4c-b108-444187ba1141 */ ( d4in_Obstacle_Detection_Status = "No obstacle in the conflict area")/*##END d6b0f70f-0e57-4c4c-b108-444187ba1141 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 463eb928-a98c-4fe1-bcfe-5160a582db18 */ ( d1in_Receive_LC_State = "Deactivated" AND d3in_LCPF_Protection_State = "Idle")/*##END 463eb928-a98c-4fe1-bcfe-5160a582db18 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT aaddfc7d-033a-4f70-817f-59d0043c13b4 */ ( d1in_Receive_LC_State = "Deactivated" AND NOT d3in_LCPF_Protection_State = "Idle")/*##END aaddfc7d-033a-4f70-817f-59d0043c13b4 */ ) : Boolean;
    '   declare MaskedChgFlg11 := (/*##STRT b256e44e-da94-4916-bf07-6fb9c235425a */ ( d61in_LC_Failure_Status = "A critical failure is present" OR d62in_LCPF_Failure_Status = "A critical failure is present"
    '   OR d75in_LC_Failure_Status = "A critical failure is present")/*##END b256e44e-da94-4916-bf07-6fb9c235425a */ ) : Boolean;
    '   declare MaskedChgFlg20 := (/*##STRT c05e5110-0793-44dc-9062-3df676616012 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END c05e5110-0793-44dc-9062-3df676616012 */ ) : Boolean;
    '   declare MaskedChgFlg14 := (/*##STRT 276c05f4-064a-461d-a192-da91c23c179d */ ( d7in_Detection_Element_Status = "Failed")/*##END 276c05f4-064a-461d-a192-da91c23c179d */ ) : Boolean;
    '   declare MaskedChgFlg25 := (/*##STRT 20c81e78-c077-4111-b7b3-93518a264e33 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 20c81e78-c077-4111-b7b3-93518a264e33 */ ) : Boolean;
    '   declare MaskedChgFlg13 := (/*##STRT 7c9fed1b-dfc8-4b9b-8d86-3f3550b10c78 */ ( d61in_LC_Failure_Status = "A non critical failure is present" OR d62in_LCPF_Failure_Status = "A non critical failure is present"
    '   OR d75in_LC_Failure_Status = "A non critical failure is present")/*##END 7c9fed1b-dfc8-4b9b-8d86-3f3550b10c78 */ ) : Boolean;
    '   declare MaskedChgFlg27 := (/*##STRT 94f97d6e-96ab-481b-b9d8-a8ef5b4566a4 */ ( d82in_Local_Operation_Handover = "Request to deactivate the level Crossing")/*##END 94f97d6e-96ab-481b-b9d8-a8ef5b4566a4 */ ) : Boolean;
    '   declare MaskedChgFlg19 := (/*##STRT 3dc962f4-0592-441a-a5a4-9dc21b377fb5 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END 3dc962f4-0592-441a-a5a4-9dc21b377fb5 */ ) : Boolean;
    '   declare MaskedChgFlg22 := (/*##STRT 1dc6832c-1dfe-4ad7-a80c-ef925b844506 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 1dc6832c-1dfe-4ad7-a80c-ef925b844506 */ ) : Boolean;
    '   declare MaskedChgFlg16 := (/*##STRT f7216a54-3521-422c-9677-2535960625cf */ ( d7in_Detection_Element_Status = "Vacant")/*##END f7216a54-3521-422c-9677-2535960625cf */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT e97c39d6-b168-4236-a50f-14ebacc1f486 */ ( d1in_Receive_LC_State = "Pre Activated")/*##END e97c39d6-b168-4236-a50f-14ebacc1f486 */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT addcacf9-cde1-44df-ad0a-1b094306f972 */ ( d1in_Receive_LC_State = "Isolated")/*##END addcacf9-cde1-44df-ad0a-1b094306f972 */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT a25823d3-2f04-45a9-b958-74146fbe3925 */ ( d1in_Receive_LC_State = "Activated" AND d3in_LCPF_Protection_State = "Protected")/*##END a25823d3-2f04-45a9-b958-74146fbe3925 */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT b2bd2245-3bd9-44a1-8bd6-15b90e2ae71b */ ( d4in_Obstacle_Detection_Status = "Obstacle detected in the conflict area")/*##END b2bd2245-3bd9-44a1-8bd6-15b90e2ae71b */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg18 := (/*##STRT 5587cf7e-b91f-4afd-8052-68e1712ae263 */ ( d81in_Local_Operation_Handover = "Return handover from local operator")/*##END 5587cf7e-b91f-4afd-8052-68e1712ae263 */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT 7b2b1b2d-b283-43e9-a22f-e52a38a88a2a */ ( d1in_Receive_LC_State = "Activated" AND
    '   ( d3in_LCPF_Protection_State = "Unprotected" OR d3in_LCPF_Protection_State = "Idle"))/*##END 7b2b1b2d-b283-43e9-a22f-e52a38a88a2a */ ) : Boolean;
    '   declare UnMaskedChgFlg24 := (/*##STRT 425fae44-ea98-4b80-9002-76e89b1d8ade */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 425fae44-ea98-4b80-9002-76e89b1d8ade */ ) : Boolean;
    '   declare UnMaskedChgFlg15 := (/*##STRT 89b0eaf0-f705-46f4-8ba9-c7e856ed8e98 */ ( d7in_Detection_Element_Status = "Occupied")/*##END 89b0eaf0-f705-46f4-8ba9-c7e856ed8e98 */ ) : Boolean;
    '   declare UnMaskedChgFlg26 := (/*##STRT fd55fc8c-924f-4a57-8e08-683f21d7c433 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END fd55fc8c-924f-4a57-8e08-683f21d7c433 */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT 1908ebfc-7678-4e5d-9881-0c097d4b0853 */ ( d50in_PDI_Connection_State = "READY_FOR_PDI_NO_SCP"
    '   OR d50in_PDI_Connection_State = "READY_FOR_PDI"
    '   OR d50in_PDI_Connection_State = "SUSPENDED")/*##END 1908ebfc-7678-4e5d-9881-0c097d4b0853 */ ) : Boolean;
    '   declare UnMaskedChgFlg28 := (/*##STRT 736207d8-6636-4f34-81e0-ba84ebdaf0b6 */ ( d82in_Local_Operation_Handover = "Request to activate the level Crossing")/*##END 736207d8-6636-4f34-81e0-ba84ebdaf0b6 */ ) : Boolean;
    '   declare UnMaskedChgFlg10 := (/*##STRT 0e7f837d-c496-45a2-a42e-54cdff4872f6 */ ( d61in_LC_Failure_Status <> "A critical failure is present" AND d62in_LCPF_Failure_Status <> "A critical failure is present"
    '   AND d75in_LC_Failure_Status <> "A critical failure is present")/*##END 0e7f837d-c496-45a2-a42e-54cdff4872f6 */ ) : Boolean;
    '   declare UnMaskedChgFlg17 := (/*##STRT 6e22405a-e8ca-4d6f-8ea5-80ad4a855637 */ ( d81in_Local_Operation_Handover = "Allow handover to local operator")/*##END 6e22405a-e8ca-4d6f-8ea5-80ad4a855637 */ ) : Boolean;
    '   declare UnMaskedChgFlg12 := (/*##STRT 244be418-f508-4bb0-a0ea-927b30dba0bc */ ( d61in_LC_Failure_Status <> "A non critical failure is present" AND d62in_LCPF_Failure_Status <> "A non critical failure is present"
    '   AND d75in_LC_Failure_Status <> "A non critical failure is present")/*##END 244be418-f508-4bb0-a0ea-927b30dba0bc */ ) : Boolean;
    '   declare UnMaskedChgFlg21 := (/*##STRT 9083be04-4167-4c36-a4ad-d01c32b8c413 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 9083be04-4167-4c36-a4ad-d01c32b8c413 */ ) : Boolean;
    '   declare UnMaskedChgFlg23 := (/*##STRT 69f24ba2-e189-4a90-946a-9fe8effc62cc */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 1")/*##END 69f24ba2-e189-4a90-946a-9fe8effc62cc */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT d6b0f70f-0e57-4c4c-b108-444187ba1141 */ ( d4in_Obstacle_Detection_Status = "No obstacle in the conflict area")/*##END d6b0f70f-0e57-4c4c-b108-444187ba1141 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 463eb928-a98c-4fe1-bcfe-5160a582db18 */ ( d1in_Receive_LC_State = "Deactivated" AND d3in_LCPF_Protection_State = "Idle")/*##END 463eb928-a98c-4fe1-bcfe-5160a582db18 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT aaddfc7d-033a-4f70-817f-59d0043c13b4 */ ( d1in_Receive_LC_State = "Deactivated" AND NOT d3in_LCPF_Protection_State = "Idle")/*##END aaddfc7d-033a-4f70-817f-59d0043c13b4 */ ) : Boolean;
    '   declare UnMaskedChgFlg11 := (/*##STRT b256e44e-da94-4916-bf07-6fb9c235425a */ ( d61in_LC_Failure_Status = "A critical failure is present" OR d62in_LCPF_Failure_Status = "A critical failure is present"
    '   OR d75in_LC_Failure_Status = "A critical failure is present")/*##END b256e44e-da94-4916-bf07-6fb9c235425a */ ) : Boolean;
    '   declare UnMaskedChgFlg20 := (/*##STRT c05e5110-0793-44dc-9062-3df676616012 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END c05e5110-0793-44dc-9062-3df676616012 */ ) : Boolean;
    '   declare UnMaskedChgFlg14 := (/*##STRT 276c05f4-064a-461d-a192-da91c23c179d */ ( d7in_Detection_Element_Status = "Failed")/*##END 276c05f4-064a-461d-a192-da91c23c179d */ ) : Boolean;
    '   declare UnMaskedChgFlg25 := (/*##STRT 20c81e78-c077-4111-b7b3-93518a264e33 */ ( d9in_Changed_Monitoring_State = "Monitoring Parameter Set 2")/*##END 20c81e78-c077-4111-b7b3-93518a264e33 */ ) : Boolean;
    '   declare UnMaskedChgFlg13 := (/*##STRT 7c9fed1b-dfc8-4b9b-8d86-3f3550b10c78 */ ( d61in_LC_Failure_Status = "A non critical failure is present" OR d62in_LCPF_Failure_Status = "A non critical failure is present"
    '   OR d75in_LC_Failure_Status = "A non critical failure is present")/*##END 7c9fed1b-dfc8-4b9b-8d86-3f3550b10c78 */ ) : Boolean;
    '   declare UnMaskedChgFlg27 := (/*##STRT 94f97d6e-96ab-481b-b9d8-a8ef5b4566a4 */ ( d82in_Local_Operation_Handover = "Request to deactivate the level Crossing")/*##END 94f97d6e-96ab-481b-b9d8-a8ef5b4566a4 */ ) : Boolean;
    '   declare UnMaskedChgFlg19 := (/*##STRT 3dc962f4-0592-441a-a5a4-9dc21b377fb5 */ ( d6in_LC_Monitoring_Status = "Closure time overrun occurred")/*##END 3dc962f4-0592-441a-a5a4-9dc21b377fb5 */ ) : Boolean;
    '   declare UnMaskedChgFlg22 := (/*##STRT 1dc6832c-1dfe-4ad7-a80c-ef925b844506 */ ( d6in_LC_Monitoring_Status = "No Closure time overrun")/*##END 1dc6832c-1dfe-4ad7-a80c-ef925b844506 */ ) : Boolean;
    '   declare UnMaskedChgFlg16 := (/*##STRT f7216a54-3521-422c-9677-2535960625cf */ ( d7in_Detection_Element_Status = "Vacant")/*##END f7216a54-3521-422c-9677-2535960625cf */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT e97c39d6-b168-4236-a50f-14ebacc1f486 */ ( d1in_Receive_LC_State = "Pre Activated")/*##END e97c39d6-b168-4236-a50f-14ebacc1f486 */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT addcacf9-cde1-44df-ad0a-1b094306f972 */ ( d1in_Receive_LC_State = "Isolated")/*##END addcacf9-cde1-44df-ad0a-1b094306f972 */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT a25823d3-2f04-45a9-b958-74146fbe3925 */ ( d1in_Receive_LC_State = "Activated" AND d3in_LCPF_Protection_State = "Protected")/*##END a25823d3-2f04-45a9-b958-74146fbe3925 */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT b2bd2245-3bd9-44a1-8bd6-15b90e2ae71b */ ( d4in_Obstacle_Detection_Status = "Obstacle detected in the conflict area")/*##END b2bd2245-3bd9-44a1-8bd6-15b90e2ae71b */ ) : Boolean;
    '   declare PreviousChgFlg18 := ChgFlg18 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg24 := ChgFlg24 : Boolean;
    '   declare PreviousChgFlg15 := ChgFlg15 : Boolean;
    '   declare PreviousChgFlg26 := ChgFlg26 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg28 := ChgFlg28 : Boolean;
    '   declare PreviousChgFlg10 := ChgFlg10 : Boolean;
    '   declare PreviousChgFlg17 := ChgFlg17 : Boolean;
    '   declare PreviousChgFlg12 := ChgFlg12 : Boolean;
    '   declare PreviousChgFlg21 := ChgFlg21 : Boolean;
    '   declare PreviousChgFlg23 := ChgFlg23 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg11 := ChgFlg11 : Boolean;
    '   declare PreviousChgFlg20 := ChgFlg20 : Boolean;
    '   declare PreviousChgFlg14 := ChgFlg14 : Boolean;
    '   declare PreviousChgFlg25 := ChgFlg25 : Boolean;
    '   declare PreviousChgFlg13 := ChgFlg13 : Boolean;
    '   declare PreviousChgFlg27 := ChgFlg27 : Boolean;
    '   declare PreviousChgFlg19 := ChgFlg19 : Boolean;
    '   declare PreviousChgFlg22 := ChgFlg22 : Boolean;
    '   declare PreviousChgFlg16 := ChgFlg16 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg18 And UnMaskedChgFlg18 And Not MaskedChgFlg18 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := True;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := True;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg24 And UnMaskedChgFlg24 And Not MaskedChgFlg24 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := True;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := True;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg26 And UnMaskedChgFlg26 And Not MaskedChgFlg26 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := True;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := True;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg28 And UnMaskedChgFlg28 And Not MaskedChgFlg28 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := True;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := True;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := True;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := True;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg21 And UnMaskedChgFlg21 And Not MaskedChgFlg21 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := True;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg23 And UnMaskedChgFlg23 And Not MaskedChgFlg23 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := True;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := True;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := True;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := True;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := True;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg20 And UnMaskedChgFlg20 And Not MaskedChgFlg20 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := True;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := True;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg25 And UnMaskedChgFlg25 And Not MaskedChgFlg25 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := True;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := True;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg27 And UnMaskedChgFlg27 And Not MaskedChgFlg27 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := True;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg19 And UnMaskedChgFlg19 And Not MaskedChgFlg19 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := True;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg22 And UnMaskedChgFlg22 And Not MaskedChgFlg22 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := True;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := True;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := True;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := True;
    '   ChgFlg3 := False;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := True;
    '   ChgFlg9 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg18 := False;
    '   ChgFlg2 := False;
    '   ChgFlg24 := False;
    '   ChgFlg15 := False;
    '   ChgFlg26 := False;
    '   ChgFlg1 := False;
    '   ChgFlg28 := False;
    '   ChgFlg10 := False;
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg21 := False;
    '   ChgFlg23 := False;
    '   ChgFlg8 := False;
    '   ChgFlg5 := False;
    '   ChgFlg4 := False;
    '   ChgFlg11 := False;
    '   ChgFlg20 := False;
    '   ChgFlg14 := False;
    '   ChgFlg25 := False;
    '   ChgFlg13 := False;
    '   ChgFlg27 := False;
    '   ChgFlg19 := False;
    '   ChgFlg22 := False;
    '   ChgFlg16 := False;
    '   ChgFlg7 := False;
    '   ChgFlg6 := False;
    '   ChgFlg3 := False;
    '   ChgFlg9 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg18 := false;
    ' ChgFlg2 := false;
    ' ChgFlg24 := false;
    ' ChgFlg15 := false;
    ' ChgFlg26 := false;
    ' ChgFlg1 := false;
    ' ChgFlg28 := false;
    ' ChgFlg10 := false;
    ' ChgFlg17 := false;
    ' ChgFlg12 := false;
    ' ChgFlg21 := false;
    ' ChgFlg23 := false;
    ' ChgFlg8 := false;
    ' ChgFlg5 := false;
    ' ChgFlg4 := false;
    ' ChgFlg11 := false;
    ' ChgFlg20 := false;
    ' ChgFlg14 := false;
    ' ChgFlg25 := false;
    ' ChgFlg13 := false;
    ' ChgFlg27 := false;
    ' ChgFlg19 := false;
    ' ChgFlg22 := false;
    ' ChgFlg16 := false;
    ' ChgFlg7 := false;
    ' ChgFlg6 := false;
    ' ChgFlg3 := false;
    ' ChgFlg9 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg18Tmp As Boolean = ((d81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator"))
      ChgFlg18 = EvalTrigger(ChgFlg18Tmp, ChgFlgLast18)
      Dim ChgFlg2Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated" And (d3in_LCPF_Protection_State.GetLatchedValue() = "Unprotected" Or d3in_LCPF_Protection_State.GetLatchedValue() = "Idle")))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg24Tmp As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
      ChgFlg24 = EvalTrigger(ChgFlg24Tmp, ChgFlgLast24)
      Dim ChgFlg15Tmp As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Occupied"))
      ChgFlg15 = EvalTrigger(ChgFlg15Tmp, ChgFlgLast15)
      Dim ChgFlg26Tmp As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
      ChgFlg26 = EvalTrigger(ChgFlg26Tmp, ChgFlgLast26)
      Dim ChgFlg1Tmp As Boolean = ((d50in_PDI_Connection_State.GetLatchedValue() = "READY_FOR_PDI_NO_SCP" Or d50in_PDI_Connection_State.GetLatchedValue() = "READY_FOR_PDI" Or d50in_PDI_Connection_State.GetLatchedValue() = "SUSPENDED"))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg28Tmp As Boolean = ((d82in_Local_Operation_Handover.GetLatchedValue() = "Request to activate the level Crossing"))
      ChgFlg28 = EvalTrigger(ChgFlg28Tmp, ChgFlgLast28)
      Dim ChgFlg10Tmp As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present"))
      ChgFlg10 = EvalTrigger(ChgFlg10Tmp, ChgFlgLast10)
      Dim ChgFlg17Tmp As Boolean = ((d81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator"))
      ChgFlg17 = EvalTrigger(ChgFlg17Tmp, ChgFlgLast17)
      Dim ChgFlg12Tmp As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present"))
      ChgFlg12 = EvalTrigger(ChgFlg12Tmp, ChgFlgLast12)
      Dim ChgFlg21Tmp As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun"))
      ChgFlg21 = EvalTrigger(ChgFlg21Tmp, ChgFlgLast21)
      Dim ChgFlg23Tmp As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
      ChgFlg23 = EvalTrigger(ChgFlg23Tmp, ChgFlgLast23)
      Dim ChgFlg8Tmp As Boolean = ((d4in_Obstacle_Detection_Status.GetLatchedValue() = "No obstacle in the conflict area"))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg5Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg4Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And NOT d3in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg11Tmp As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present"))
      ChgFlg11 = EvalTrigger(ChgFlg11Tmp, ChgFlgLast11)
      Dim ChgFlg20Tmp As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred"))
      ChgFlg20 = EvalTrigger(ChgFlg20Tmp, ChgFlgLast20)
      Dim ChgFlg14Tmp As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Failed"))
      ChgFlg14 = EvalTrigger(ChgFlg14Tmp, ChgFlgLast14)
      Dim ChgFlg25Tmp As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
      ChgFlg25 = EvalTrigger(ChgFlg25Tmp, ChgFlgLast25)
      Dim ChgFlg13Tmp As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present"))
      ChgFlg13 = EvalTrigger(ChgFlg13Tmp, ChgFlgLast13)
      Dim ChgFlg27Tmp As Boolean = ((d82in_Local_Operation_Handover.GetLatchedValue() = "Request to deactivate the level Crossing"))
      ChgFlg27 = EvalTrigger(ChgFlg27Tmp, ChgFlgLast27)
      Dim ChgFlg19Tmp As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred"))
      ChgFlg19 = EvalTrigger(ChgFlg19Tmp, ChgFlgLast19)
      Dim ChgFlg22Tmp As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun"))
      ChgFlg22 = EvalTrigger(ChgFlg22Tmp, ChgFlgLast22)
      Dim ChgFlg16Tmp As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Vacant"))
      ChgFlg16 = EvalTrigger(ChgFlg16Tmp, ChgFlgLast16)
      Dim ChgFlg7Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Pre Activated"))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg6Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Isolated"))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg3Tmp As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg9Tmp As Boolean = ((d4in_Obstacle_Detection_Status.GetLatchedValue() = "Obstacle detected in the conflict area"))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast18 = ChgFlg18Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast24 = ChgFlg24Tmp
      ChgFlgLast15 = ChgFlg15Tmp
      ChgFlgLast26 = ChgFlg26Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast28 = ChgFlg28Tmp
      ChgFlgLast10 = ChgFlg10Tmp
      ChgFlgLast17 = ChgFlg17Tmp
      ChgFlgLast12 = ChgFlg12Tmp
      ChgFlgLast21 = ChgFlg21Tmp
      ChgFlgLast23 = ChgFlg23Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast11 = ChgFlg11Tmp
      ChgFlgLast20 = ChgFlg20Tmp
      ChgFlgLast14 = ChgFlg14Tmp
      ChgFlgLast25 = ChgFlg25Tmp
      ChgFlgLast13 = ChgFlg13Tmp
      ChgFlgLast27 = ChgFlg27Tmp
      ChgFlgLast19 = ChgFlg19Tmp
      ChgFlgLast22 = ChgFlg22Tmp
      ChgFlgLast16 = ChgFlg16Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg18 As Boolean = ((d81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator"))
        Dim MaskedChgFlg2 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated" And (d3in_LCPF_Protection_State.GetLatchedValue() = "Unprotected" Or d3in_LCPF_Protection_State.GetLatchedValue() = "Idle")))
        Dim MaskedChgFlg24 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
        Dim MaskedChgFlg15 As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Occupied"))
        Dim MaskedChgFlg26 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
        Dim MaskedChgFlg1 As Boolean = ((d50in_PDI_Connection_State.GetLatchedValue() = "READY_FOR_PDI_NO_SCP" Or d50in_PDI_Connection_State.GetLatchedValue() = "READY_FOR_PDI" Or d50in_PDI_Connection_State.GetLatchedValue() = "SUSPENDED"))
        Dim MaskedChgFlg28 As Boolean = ((d82in_Local_Operation_Handover.GetLatchedValue() = "Request to activate the level Crossing"))
        Dim MaskedChgFlg10 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present"))
        Dim MaskedChgFlg17 As Boolean = ((d81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator"))
        Dim MaskedChgFlg12 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present"))
        Dim MaskedChgFlg21 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun"))
        Dim MaskedChgFlg23 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
        Dim MaskedChgFlg8 As Boolean = ((d4in_Obstacle_Detection_Status.GetLatchedValue() = "No obstacle in the conflict area"))
        Dim MaskedChgFlg5 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim MaskedChgFlg4 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And NOT d3in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim MaskedChgFlg11 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present"))
        Dim MaskedChgFlg20 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred"))
        Dim MaskedChgFlg14 As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Failed"))
        Dim MaskedChgFlg25 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
        Dim MaskedChgFlg13 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present"))
        Dim MaskedChgFlg27 As Boolean = ((d82in_Local_Operation_Handover.GetLatchedValue() = "Request to deactivate the level Crossing"))
        Dim MaskedChgFlg19 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred"))
        Dim MaskedChgFlg22 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun"))
        Dim MaskedChgFlg16 As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Vacant"))
        Dim MaskedChgFlg7 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Pre Activated"))
        Dim MaskedChgFlg6 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Isolated"))
        Dim MaskedChgFlg3 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim MaskedChgFlg9 As Boolean = ((d4in_Obstacle_Detection_Status.GetLatchedValue() = "Obstacle detected in the conflict area"))
        MaskInPorts(False)
        Dim UnMaskedChgFlg18 As Boolean = ((d81in_Local_Operation_Handover.GetLatchedValue() = "Return handover from local operator"))
        Dim UnMaskedChgFlg2 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated" And (d3in_LCPF_Protection_State.GetLatchedValue() = "Unprotected" Or d3in_LCPF_Protection_State.GetLatchedValue() = "Idle")))
        Dim UnMaskedChgFlg24 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
        Dim UnMaskedChgFlg15 As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Occupied"))
        Dim UnMaskedChgFlg26 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
        Dim UnMaskedChgFlg1 As Boolean = ((d50in_PDI_Connection_State.GetLatchedValue() = "READY_FOR_PDI_NO_SCP" Or d50in_PDI_Connection_State.GetLatchedValue() = "READY_FOR_PDI" Or d50in_PDI_Connection_State.GetLatchedValue() = "SUSPENDED"))
        Dim UnMaskedChgFlg28 As Boolean = ((d82in_Local_Operation_Handover.GetLatchedValue() = "Request to activate the level Crossing"))
        Dim UnMaskedChgFlg10 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A critical failure is present"))
        Dim UnMaskedChgFlg17 As Boolean = ((d81in_Local_Operation_Handover.GetLatchedValue() = "Allow handover to local operator"))
        Dim UnMaskedChgFlg12 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d62in_LCPF_Failure_Status.GetLatchedValue() <> "A non critical failure is present" And d75in_LC_Failure_Status.GetLatchedValue() <> "A non critical failure is present"))
        Dim UnMaskedChgFlg21 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun"))
        Dim UnMaskedChgFlg23 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 1"))
        Dim UnMaskedChgFlg8 As Boolean = ((d4in_Obstacle_Detection_Status.GetLatchedValue() = "No obstacle in the conflict area"))
        Dim UnMaskedChgFlg5 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim UnMaskedChgFlg4 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Deactivated" And NOT d3in_LCPF_Protection_State.GetLatchedValue() = "Idle"))
        Dim UnMaskedChgFlg11 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A critical failure is present"))
        Dim UnMaskedChgFlg20 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred"))
        Dim UnMaskedChgFlg14 As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Failed"))
        Dim UnMaskedChgFlg25 As Boolean = ((d9in_Changed_Monitoring_State.GetLatchedValue() = "Monitoring Parameter Set 2"))
        Dim UnMaskedChgFlg13 As Boolean = ((d61in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d62in_LCPF_Failure_Status.GetLatchedValue() = "A non critical failure is present" Or d75in_LC_Failure_Status.GetLatchedValue() = "A non critical failure is present"))
        Dim UnMaskedChgFlg27 As Boolean = ((d82in_Local_Operation_Handover.GetLatchedValue() = "Request to deactivate the level Crossing"))
        Dim UnMaskedChgFlg19 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "Closure time overrun occurred"))
        Dim UnMaskedChgFlg22 As Boolean = ((d6in_LC_Monitoring_Status.GetLatchedValue() = "No Closure time overrun"))
        Dim UnMaskedChgFlg16 As Boolean = ((d7in_Detection_Element_Status.GetLatchedValue() = "Vacant"))
        Dim UnMaskedChgFlg7 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Pre Activated"))
        Dim UnMaskedChgFlg6 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Isolated"))
        Dim UnMaskedChgFlg3 As Boolean = ((d1in_Receive_LC_State.GetLatchedValue() = "Activated" And d3in_LCPF_Protection_State.GetLatchedValue() = "Protected"))
        Dim UnMaskedChgFlg9 As Boolean = ((d4in_Obstacle_Detection_Status.GetLatchedValue() = "Obstacle detected in the conflict area"))
        Dim PreviousChgFlg18 As Boolean = ChgFlg18
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg24 As Boolean = ChgFlg24
        Dim PreviousChgFlg15 As Boolean = ChgFlg15
        Dim PreviousChgFlg26 As Boolean = ChgFlg26
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg28 As Boolean = ChgFlg28
        Dim PreviousChgFlg10 As Boolean = ChgFlg10
        Dim PreviousChgFlg17 As Boolean = ChgFlg17
        Dim PreviousChgFlg12 As Boolean = ChgFlg12
        Dim PreviousChgFlg21 As Boolean = ChgFlg21
        Dim PreviousChgFlg23 As Boolean = ChgFlg23
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg11 As Boolean = ChgFlg11
        Dim PreviousChgFlg20 As Boolean = ChgFlg20
        Dim PreviousChgFlg14 As Boolean = ChgFlg14
        Dim PreviousChgFlg25 As Boolean = ChgFlg25
        Dim PreviousChgFlg13 As Boolean = ChgFlg13
        Dim PreviousChgFlg27 As Boolean = ChgFlg27
        Dim PreviousChgFlg19 As Boolean = ChgFlg19
        Dim PreviousChgFlg22 As Boolean = ChgFlg22
        Dim PreviousChgFlg16 As Boolean = ChgFlg16
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg18 And UnMaskedChgFlg18 And Not MaskedChgFlg18 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = True
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = True
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg24 And UnMaskedChgFlg24 And Not MaskedChgFlg24 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = True
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = True
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg26 And UnMaskedChgFlg26 And Not MaskedChgFlg26 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = True
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = True
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg28 And UnMaskedChgFlg28 And Not MaskedChgFlg28 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = True
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = True
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = True
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = True
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg21 And UnMaskedChgFlg21 And Not MaskedChgFlg21 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = True
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg23 And UnMaskedChgFlg23 And Not MaskedChgFlg23 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = True
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = True
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = True
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = True
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = True
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg20 And UnMaskedChgFlg20 And Not MaskedChgFlg20 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = True
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = True
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg25 And UnMaskedChgFlg25 And Not MaskedChgFlg25 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = True
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = True
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg27 And UnMaskedChgFlg27 And Not MaskedChgFlg27 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = True
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg19 And UnMaskedChgFlg19 And Not MaskedChgFlg19 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = True
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg22 And UnMaskedChgFlg22 And Not MaskedChgFlg22 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = True
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = True
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = True
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = True
          ChgFlg3 = False
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = True
          ChgFlg9 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg18 = False
          ChgFlg2 = False
          ChgFlg24 = False
          ChgFlg15 = False
          ChgFlg26 = False
          ChgFlg1 = False
          ChgFlg28 = False
          ChgFlg10 = False
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg21 = False
          ChgFlg23 = False
          ChgFlg8 = False
          ChgFlg5 = False
          ChgFlg4 = False
          ChgFlg11 = False
          ChgFlg20 = False
          ChgFlg14 = False
          ChgFlg25 = False
          ChgFlg13 = False
          ChgFlg27 = False
          ChgFlg19 = False
          ChgFlg22 = False
          ChgFlg16 = False
          ChgFlg7 = False
          ChgFlg6 = False
          ChgFlg3 = False
          ChgFlg9 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg18 = False
      ChgFlg2 = False
      ChgFlg24 = False
      ChgFlg15 = False
      ChgFlg26 = False
      ChgFlg1 = False
      ChgFlg28 = False
      ChgFlg10 = False
      ChgFlg17 = False
      ChgFlg12 = False
      ChgFlg21 = False
      ChgFlg23 = False
      ChgFlg8 = False
      ChgFlg5 = False
      ChgFlg4 = False
      ChgFlg11 = False
      ChgFlg20 = False
      ChgFlg14 = False
      ChgFlg25 = False
      ChgFlg13 = False
      ChgFlg27 = False
      ChgFlg19 = False
      ChgFlg22 = False
      ChgFlg16 = False
      ChgFlg7 = False
      ChgFlg6 = False
      ChgFlg3 = False
      ChgFlg9 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or d1in_Receive_LC_State.Decrement())
      Ret = (Ret Or d3in_LCPF_Protection_State.Decrement())
      Ret = (Ret Or d4in_Obstacle_Detection_Status.Decrement())
      Ret = (Ret Or d50in_PDI_Connection_State.Decrement())
      Ret = (Ret Or d61in_LC_Failure_Status.Decrement())
      Ret = (Ret Or d62in_LCPF_Failure_Status.Decrement())
      Ret = (Ret Or d6in_LC_Monitoring_Status.Decrement())
      Ret = (Ret Or d75in_LC_Failure_Status.Decrement())
      Ret = (Ret Or d7in_Detection_Element_Status.Decrement())
      Ret = (Ret Or d81in_Local_Operation_Handover.Decrement())
      Ret = (Ret Or d82in_Local_Operation_Handover.Decrement())
      Ret = (Ret Or d9in_Changed_Monitoring_State.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      d1in_Receive_LC_State.Mask(What)
      d3in_LCPF_Protection_State.Mask(What)
      d4in_Obstacle_Detection_Status.Mask(What)
      d50in_PDI_Connection_State.Mask(What)
      d61in_LC_Failure_Status.Mask(What)
      d62in_LCPF_Failure_Status.Mask(What)
      d6in_LC_Monitoring_Status.Mask(What)
      d75in_LC_Failure_Status.Mask(What)
      d7in_Detection_Element_Status.Mask(What)
      d81in_Local_Operation_Handover.Mask(What)
      d82in_Local_Operation_Handover.Mask(What)
      d9in_Changed_Monitoring_State.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <Serializable()> Public Class F_SCI_Specific : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.F_SCI_Specific, ByVal A As Simulation_Package.F_SCI_Specific) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As F_SCI_Specific = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.F_SCI_Specific, ByVal A As Simulation_Package.F_SCI_Specific) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As F_SCI_Specific = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class Hilfsblock : Implements SMSupport.SMQueued 
    Protected Class HilfsblockSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As Hilfsblock = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsHilfsblock_States
      RtsHilfsblock_States_Atomic_State
      RtsHilfsblock_States_NotIn_Hilfsblock
    End Enum
    ' \ART_SMG :: Created for state : Hilfsblock
    Private RtsCurrent_Hilfsblock As Hilfsblock.RtsHilfsblock_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As HilfsblockSMQueue = New HilfsblockSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    Protected F_Specific As OInputOutputPort(Of F_SCI_Specific)
    Protected SMI_Gen As OInputOutputPort(Of EST_SMI_GEN)
    Protected HilfMDM_Maintenance_Commanded As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected HilfFinished_Data_Update As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected HilfStatus_Update_Completed As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected HilfMDM_Reboot_Required As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected HilfMDM_Triggered_Reset As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_Hilfsblock: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_Hilfsblock = RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State then
    ' /* #REF123# */
    ' 	/* b3f817ed-41df-4fe0-b10d-7f9507522f96 Atomic_State */
    '   ThisState := "b3f817ed-41df-4fe0-b10d-7f9507522f96";
    ' 	if /* #REF2003# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"17751181-c49a-46ec-ae44-5e75e942c4b4",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 17751181-c49a-46ec-ae44-5e75e942c4b4 */ send Status_Report_Completed to F_Specific ; nullstat;/*##END 17751181-c49a-46ec-ae44-5e75e942c4b4 */ /* #REF1546# */
    ' 		ChgFlg5 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_Hilfsblock = RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State then
    ' /* #REF123# */
    ' 	/* b3f817ed-41df-4fe0-b10d-7f9507522f96 Atomic_State */
    '   ThisState := "b3f817ed-41df-4fe0-b10d-7f9507522f96";
    ' 	if /* #REF2003# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d2954d56-5e11-494b-b088-6540e7f305d1",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT d2954d56-5e11-494b-b088-6540e7f305d1 */ send MDM_Triggered_Reset to SMI_Gen ; nullstat;/*##END d2954d56-5e11-494b-b088-6540e7f305d1 */ /* #REF1546# */
    ' 		ChgFlg4 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_Hilfsblock = RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State then
    ' /* #REF123# */
    ' 	/* b3f817ed-41df-4fe0-b10d-7f9507522f96 Atomic_State */
    '   ThisState := "b3f817ed-41df-4fe0-b10d-7f9507522f96";
    ' 	if /* #REF2003# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d59808c2-a6a8-4276-87cf-a5e84f875f91",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT d59808c2-a6a8-4276-87cf-a5e84f875f91 */ send Reboot_Required to SMI_Gen ; nullstat;/*##END d59808c2-a6a8-4276-87cf-a5e84f875f91 */ /* #REF1546# */
    ' 		ChgFlg3 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_Hilfsblock = RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State then
    ' /* #REF123# */
    ' 	/* b3f817ed-41df-4fe0-b10d-7f9507522f96 Atomic_State */
    '   ThisState := "b3f817ed-41df-4fe0-b10d-7f9507522f96";
    ' 	if /* #REF2003# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"87fbb01d-c273-4b61-a71d-dade38085b1f",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 87fbb01d-c273-4b61-a71d-dade38085b1f */ send MDM_Commanded_Maintenance to SMI_Gen ; nullstat;/*##END 87fbb01d-c273-4b61-a71d-dade38085b1f */ /* #REF1546# */
    ' 		ChgFlg2 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_Hilfsblock = RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State then
    ' /* #REF123# */
    ' 	/* b3f817ed-41df-4fe0-b10d-7f9507522f96 Atomic_State */
    '   ThisState := "b3f817ed-41df-4fe0-b10d-7f9507522f96";
    ' 	if /* #REF2003# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"02c19d1c-8c96-4c9b-aae3-bdeeae2a8eda",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 02c19d1c-8c96-4c9b-aae3-bdeeae2a8eda */ send Data_Update_Finished to SMI_Gen ; nullstat;/*##END 02c19d1c-8c96-4c9b-aae3-bdeeae2a8eda */ /* #REF1546# */
    ' 		ChgFlg1 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_Hilfsblock =  /* #REF121d# */ RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_NotIn_Hilfsblock then
    ' /* #REF123# */
    ' 	/* 79caf505-81a3-46a0-a1a4-03be6a32b8a6 Initial */
    '   ThisState := "79caf505-81a3-46a0-a1a4-03be6a32b8a6";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"79caf505-81a3-46a0-a1a4-03be6a32b8a6",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"79caf505-81a3-46a0-a1a4-03be6a32b8a6",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"d92cfa26-9431-49c9-9e1d-2903895131d0",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 79a0036c-df6a-468f-aa10-718ea5c90df3 */  nullstat;/*##END 79a0036c-df6a-468f-aa10-718ea5c90df3 */ /* #REF1546# */
    ' 	This.RtsEnter_Atomic_State();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State Then
        ThisState = "b3f817ed-41df-4fe0-b10d-7f9507522f96"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "17751181-c49a-46ec-ae44-5e75e942c4b4", 0, NullString)
          F_Specific.SendEvent(New Status_Report_Completed)
          ChgFlg5 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State Then
        ThisState = "b3f817ed-41df-4fe0-b10d-7f9507522f96"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d2954d56-5e11-494b-b088-6540e7f305d1", 0, NullString)
          SMI_Gen.SendEvent(New MDM_Triggered_Reset)
          ChgFlg4 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State Then
        ThisState = "b3f817ed-41df-4fe0-b10d-7f9507522f96"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d59808c2-a6a8-4276-87cf-a5e84f875f91", 0, NullString)
          SMI_Gen.SendEvent(New Reboot_Required)
          ChgFlg3 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State Then
        ThisState = "b3f817ed-41df-4fe0-b10d-7f9507522f96"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "87fbb01d-c273-4b61-a71d-dade38085b1f", 0, NullString)
          SMI_Gen.SendEvent(New MDM_Commanded_Maintenance)
          ChgFlg2 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State Then
        ThisState = "b3f817ed-41df-4fe0-b10d-7f9507522f96"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "02c19d1c-8c96-4c9b-aae3-bdeeae2a8eda", 0, NullString)
          SMI_Gen.SendEvent(New Data_Update_Finished)
          ChgFlg1 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_NotIn_Hilfsblock Then
        ThisState = "79caf505-81a3-46a0-a1a4-03be6a32b8a6"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "79caf505-81a3-46a0-a1a4-03be6a32b8a6", 0, NullString)
        RtsNotify(Me, SEXIT, "79caf505-81a3-46a0-a1a4-03be6a32b8a6", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "d92cfa26-9431-49c9-9e1d-2903895131d0", 0, NullString)
        Me.RtsEnter_Atomic_State()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "712af389-a8e6-4723-9809-7d0dbb9ea416", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_Hilfsblock := RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_NotIn_Hilfsblock;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "712af389-a8e6-4723-9809-7d0dbb9ea416", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_NotIn_Hilfsblock
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : Atomic_State
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b3f817ed-41df-4fe0-b10d-7f9507522f96|") then
    '   OperatedStates := OperatedStates + "b3f817ed-41df-4fe0-b10d-7f9507522f96|";
    ' end if
    ' // Simulation support : Notification function call for entering state : Atomic State ///* #REF520# */
    ' RtsNotify(This,SENTER,"b3f817ed-41df-4fe0-b10d-7f9507522f96",0,NullString);
    ' 
    ' SimCore.EnterState("b3f817ed-41df-4fe0-b10d-7f9507522f96","Atomic State");
    ' 
    ' This.RtsCurrent_Hilfsblock := RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State;/* #REF521# */
    ' 
    Private Sub RtsEnter_Atomic_State()
      If not OperatedStates.Contains("b3f817ed-41df-4fe0-b10d-7f9507522f96|") Then
        OperatedStates = OperatedStates + "b3f817ed-41df-4fe0-b10d-7f9507522f96|"
      End If
      'Simulation support : Notification function call for entering state : Atomic State ///* #REF520# */
      RtsNotify(Me, SENTER, "b3f817ed-41df-4fe0-b10d-7f9507522f96", 0, NullString)
      SimCore.EnterState("b3f817ed-41df-4fe0-b10d-7f9507522f96", "Atomic State")
      Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State
    End Sub
    
    ' \ART_SMG :: Created for state : Atomic_State
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_Hilfsblock = RtsHilfsblock_States{enum_datatype}.RtsHilfsblock_States_Atomic_State then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : Atomic State
    ' 	RtsNotify(This,SEXIT,"b3f817ed-41df-4fe0-b10d-7f9507522f96",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_Atomic_State ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_Atomic_State()
      If Me.RtsCurrent_Hilfsblock = RtsHilfsblock_States.RtsHilfsblock_States_Atomic_State Then
        'Simulation support : Notification function call for exiting state : Atomic State
        RtsNotify(Me, SEXIT, "b3f817ed-41df-4fe0-b10d-7f9507522f96", 0, NullString)
        RtsExitSSOf_Atomic_State()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As Hilfsblock)
    End Sub
    
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_Hilfsblock" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_Hilfsblock, "RtsHilfsblock_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_Hilfsblock" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_Hilfsblock, "RtsHilfsblock_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "712af389-a8e6-4723-9809-7d0dbb9ea416";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "4";
    '   Value := Value + "|RtsCurrent_Hilfsblock";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_Hilfsblock";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As Hilfsblock)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_Hilfsblock" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_Hilfsblock, "RtsHilfsblock_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_Hilfsblock" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_Hilfsblock, "RtsHilfsblock_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "712af389-a8e6-4723-9809-7d0dbb9ea416"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "4"
        Value = Value + "|RtsCurrent_Hilfsblock"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_Hilfsblock"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_Hilfsblock" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_Hilfsblock, Value, "RtsHilfsblock_States", GetType(Hilfsblock.RtsHilfsblock_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As Hilfsblock)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_Hilfsblock" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_Hilfsblock, Value, "RtsHilfsblock_States", GetType(Hilfsblock.RtsHilfsblock_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : Atomic_State
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b3f817ed-41df-4fe0-b10d-7f9507522f96|") then
    '   OperatedStates := OperatedStates + "b3f817ed-41df-4fe0-b10d-7f9507522f96|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_Atomic_State()
      If not OperatedStates.Contains("b3f817ed-41df-4fe0-b10d-7f9507522f96|") Then
        OperatedStates = OperatedStates + "b3f817ed-41df-4fe0-b10d-7f9507522f96|"
      End If
    End Sub
    
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume F_Specific: a SySimInputPort, a SySimOutputPort;
    ' assume HilfFinished_Data_Update: a SySimInputPort;
    ' assume HilfMDM_Maintenance_Commanded: a SySimInputPort;
    ' assume HilfMDM_Reboot_Required: a SySimInputPort;
    ' assume HilfMDM_Triggered_Reset: a SySimInputPort;
    ' assume HilfStatus_Update_Completed: a SySimInputPort;
    ' assume SMI_Gen: a SySimInputPort, a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg1Tmp := (/*##STRT e0a06219-cd6b-4001-b712-df400905c051 */ ( HilfFinished_Data_Update )/*##END e0a06219-cd6b-4001-b712-df400905c051 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg5Tmp := (/*##STRT 806bbc82-6f6b-4195-b3c5-95a92a8c4bb6 */ ( HilfStatus_Update_Completed )/*##END 806bbc82-6f6b-4195-b3c5-95a92a8c4bb6 */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg2Tmp := (/*##STRT 6315e162-967a-4828-9907-5035bad4372d */ ( HilfMDM_Maintenance_Commanded )/*##END 6315e162-967a-4828-9907-5035bad4372d */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg4Tmp := (/*##STRT 5a5270ab-e818-4bc4-a191-17a775d42cde */ ( HilfMDM_Triggered_Reset )/*##END 5a5270ab-e818-4bc4-a191-17a775d42cde */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg3Tmp := (/*##STRT 1d02c4fd-2df6-4773-93f3-5723146d213b */ ( HilfMDM_Reboot_Required )/*##END 1d02c4fd-2df6-4773-93f3-5723146d213b */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg1 := (/*##STRT e0a06219-cd6b-4001-b712-df400905c051 */ ( HilfFinished_Data_Update )/*##END e0a06219-cd6b-4001-b712-df400905c051 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 806bbc82-6f6b-4195-b3c5-95a92a8c4bb6 */ ( HilfStatus_Update_Completed )/*##END 806bbc82-6f6b-4195-b3c5-95a92a8c4bb6 */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT 6315e162-967a-4828-9907-5035bad4372d */ ( HilfMDM_Maintenance_Commanded )/*##END 6315e162-967a-4828-9907-5035bad4372d */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT 5a5270ab-e818-4bc4-a191-17a775d42cde */ ( HilfMDM_Triggered_Reset )/*##END 5a5270ab-e818-4bc4-a191-17a775d42cde */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 1d02c4fd-2df6-4773-93f3-5723146d213b */ ( HilfMDM_Reboot_Required )/*##END 1d02c4fd-2df6-4773-93f3-5723146d213b */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg1 := (/*##STRT e0a06219-cd6b-4001-b712-df400905c051 */ ( HilfFinished_Data_Update )/*##END e0a06219-cd6b-4001-b712-df400905c051 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 806bbc82-6f6b-4195-b3c5-95a92a8c4bb6 */ ( HilfStatus_Update_Completed )/*##END 806bbc82-6f6b-4195-b3c5-95a92a8c4bb6 */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT 6315e162-967a-4828-9907-5035bad4372d */ ( HilfMDM_Maintenance_Commanded )/*##END 6315e162-967a-4828-9907-5035bad4372d */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT 5a5270ab-e818-4bc4-a191-17a775d42cde */ ( HilfMDM_Triggered_Reset )/*##END 5a5270ab-e818-4bc4-a191-17a775d42cde */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 1d02c4fd-2df6-4773-93f3-5723146d213b */ ( HilfMDM_Reboot_Required )/*##END 1d02c4fd-2df6-4773-93f3-5723146d213b */ ) : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg1 := True;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg1 := False;
    '   ChgFlg5 := True;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg1 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := True;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg1 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := True;
    '   ChgFlg3 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg1 := False;
    '   ChgFlg5 := False;
    '   ChgFlg2 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg1 := false;
    ' ChgFlg5 := false;
    ' ChgFlg2 := false;
    ' ChgFlg4 := false;
    ' ChgFlg3 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg1Tmp As Boolean = ((HilfFinished_Data_Update.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg5Tmp As Boolean = ((HilfStatus_Update_Completed.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg2Tmp As Boolean = ((HilfMDM_Maintenance_Commanded.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg4Tmp As Boolean = ((HilfMDM_Triggered_Reset.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg3Tmp As Boolean = ((HilfMDM_Reboot_Required.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg1 As Boolean = ((HilfFinished_Data_Update.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((HilfStatus_Update_Completed.GetLatchedValue()))
        Dim MaskedChgFlg2 As Boolean = ((HilfMDM_Maintenance_Commanded.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((HilfMDM_Triggered_Reset.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((HilfMDM_Reboot_Required.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg1 As Boolean = ((HilfFinished_Data_Update.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((HilfStatus_Update_Completed.GetLatchedValue()))
        Dim UnMaskedChgFlg2 As Boolean = ((HilfMDM_Maintenance_Commanded.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((HilfMDM_Triggered_Reset.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((HilfMDM_Reboot_Required.GetLatchedValue()))
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg1 = True
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg1 = False
          ChgFlg5 = True
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg1 = False
          ChgFlg5 = False
          ChgFlg2 = True
          ChgFlg4 = False
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg1 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = True
          ChgFlg3 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg1 = False
          ChgFlg5 = False
          ChgFlg2 = False
          ChgFlg4 = False
          ChgFlg3 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg1 = False
      ChgFlg5 = False
      ChgFlg2 = False
      ChgFlg4 = False
      ChgFlg3 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or HilfFinished_Data_Update.Decrement())
      Ret = (Ret Or HilfMDM_Maintenance_Commanded.Decrement())
      Ret = (Ret Or HilfMDM_Reboot_Required.Decrement())
      Ret = (Ret Or HilfMDM_Triggered_Reset.Decrement())
      Ret = (Ret Or HilfStatus_Update_Completed.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      HilfFinished_Data_Update.Mask(What)
      HilfMDM_Maintenance_Commanded.Mask(What)
      HilfMDM_Reboot_Required.Mask(What)
      HilfMDM_Triggered_Reset.Mask(What)
      HilfStatus_Update_Completed.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  ' Entity 'Point_Helpblock' not generated by SySim because unreferenced or not having qualifying stereotypes
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class S_SCI_EfeS_Prim : Implements SMSupport.SMQueued 
    Protected Class S_SCI_EfeS_PrimSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As S_SCI_EfeS_Prim = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
          Case Msg_PDI_Not_Available.Id
            Dim TheMsg As Msg_PDI_Not_Available = Msg
            TheTarget.RtsMsg_PDI_Not_Available()
          Case Msg_Reset_PDI.Id
            Dim TheMsg As Msg_Reset_PDI = Msg
            TheTarget.RtsMsg_Reset_PDI(TheMsg.ReportedResetReason)
          Case Msg_PDI_Version_Check.Id
            Dim TheMsg As Msg_PDI_Version_Check = Msg
            TheTarget.RtsMsg_PDI_Version_Check(TheMsg.Result, TheMsg.ChecksumData, TheMsg.PDIVersion)
          Case Msg_Start_Initialisation.Id
            Dim TheMsg As Msg_Start_Initialisation = Msg
            TheTarget.RtsMsg_Start_Initialisation()
          Case Msg_Initialisation_Completed.Id
            Dim TheMsg As Msg_Initialisation_Completed = Msg
            TheTarget.RtsMsg_Initialisation_Completed()
          Case Msg_PDI_Available.Id
            Dim TheMsg As Msg_PDI_Available = Msg
            TheTarget.RtsMsg_PDI_Available()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsS_SCI_EfeS_Prim_States
      RtsS_SCI_EfeS_Prim_States_ACTIVE
      RtsS_SCI_EfeS_Prim_States_DISCONNECTED
      RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP
      RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE
      RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP
      RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP
      RtsS_SCI_EfeS_Prim_States_SUSPENDED
      RtsS_SCI_EfeS_Prim_States_NotIn_S_SCI_EfeS_Prim
    End Enum
    Public Enum RtsS_SCI_EfeS_PrimACTIVE_States
      RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING
      RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED
      RtsS_SCI_EfeS_PrimACTIVE_States_NotIn_ACTIVE
    End Enum
    Public Enum RtsS_SCI_EfeS_PrimESTABLISHING_States
      RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK
      RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION
      RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS
      RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED
      RtsS_SCI_EfeS_PrimESTABLISHING_States_NotIn_ESTABLISHING
    End Enum
    ' \ART_SMG :: Created for state : S_SCI_EfeS_Prim
    Private RtsCurrent_S_SCI_EfeS_Prim As S_SCI_EfeS_Prim.RtsS_SCI_EfeS_Prim_States
    ' \ART_SMG :: Created for state : ACTIVE
    Private RtsCurrent_ACTIVE As S_SCI_EfeS_Prim.RtsS_SCI_EfeS_PrimACTIVE_States
    ' \ART_SMG :: Created for state : ESTABLISHING
    Private RtsAttESTABLISHING_Timer1 As SMSupport.RtsTimer
    ' \ART_SMG :: Created for state : ESTABLISHING
    Private RtsCurrent_ESTABLISHING As S_SCI_EfeS_Prim.RtsS_SCI_EfeS_PrimESTABLISHING_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast17 As Boolean
    Private ChgFlg17 As Boolean
    Private ChgFlgLast12 As Boolean
    Private ChgFlg12 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private ChgFlgLast16 As Boolean
    Private ChgFlg16 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast13 As Boolean
    Private ChgFlg13 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast10 As Boolean
    Private ChgFlg10 As Boolean
    Private ChgFlgLast15 As Boolean
    Private ChgFlg15 As Boolean
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast9 As Boolean
    Private ChgFlg9 As Boolean
    Private ChgFlgLast18 As Boolean
    Private ChgFlg18 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast14 As Boolean
    Private ChgFlg14 As Boolean
    Private ChgFlgLast19 As Boolean
    Private ChgFlg19 As Boolean
    Private ChgFlgLast11 As Boolean
    Private ChgFlg11 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As S_SCI_EfeS_PrimSMQueue = New S_SCI_EfeS_PrimSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The port P1inout exchanges information objects according to SCI_GEN.
    Protected P1inout As OInputOutputPort(Of SCI_GEN)
    ' The port D3in_Con_PDI_Version provides the configured PDIVer.
    Protected D3in_Con_PDI_Version As OInputPort(Of String)
    ' The port D4in_Con_Checksum_Data provides the configured CSS.
    Protected D4in_Con_Checksum_Data As OInputPort(Of String)
    ' The port T20in_Protocol_Error represents the event of a protocol error.
    Protected T20in_Protocol_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T21in_Formal_Telegram_Error represents the event of a formal telegram error.
    Protected T21in_Formal_Telegram_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T22in_Content_Telegram_Error represents the event of a content telegram error.
    Protected T22in_Content_Telegram_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T5in_SCP_Connection_Established represents the event of the established SCP connection.
    Protected T5in_SCP_Connection_Established As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T10in_SCP_Connection_Terminated represents the event of the terminated SCP connection.
    Protected T10in_SCP_Connection_Terminated As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port T12out_Terminate_SCP_Connection represents the event to terminate the SCP connection.
    Protected T12out_Terminate_SCP_Connection As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The port d50out_PDI_Connection_State provides the status of the PDI connection.
    Protected d50out_PDI_Connection_State As OOutputPort(Of String)
    ' The port D2in_Con_tmax_PDI_Connection provides the time value Con_tmax_PDI_Connection.
    Protected D2in_Con_tmax_PDI_Connection As OInputPort(Of Integer)
    ' The port T6out_Establish_SCP_Connection represents the event for the SCP to establish the SCP connection. 
    ' 
    ' Note: It is assumed that the implementation of the SCP connection handle each connection error by itself after sending the trigger on T6out_Establish_SCP_Connection. A retriggering of SCP connection is not in  responsibility of SCI layer. In case of a successful established connection the trigger T5in_SCP_Connection_Established is expected.
    Protected T6out_Establish_SCP_Connection As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    Protected T48in_Disable_Or_Disconnect_PDI_EfeS As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected T49in_Enable_Or_Connect_PDI_EfeS As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected T45in_Reset_Severe_Error As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected T47in_Con_Other_PDI_Version_Available As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The port D39in_Con_Last_PDI_Version indicates if this was the last possible PDI version for a new version check cycle.
    Protected D39in_Con_Last_PDI_Version As OInputPort(Of Boolean)
    Protected T46out_Con_Other_PDI_Version_Request As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    Protected T44in_Initiate_Maintenance As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    Protected d60out_PDI_Close_Reason As OOutputPort(Of String)
    Private Mem_PDI_Version_Result As String
    Private Mem_Checksum_Data As String
    ' The operation cOp1_init initialises all output ports and block properties.
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp1_init */
    ' 
    ' d60out_PDI_Close_Reason := "No Error";
    ' Mem_PDI_Version_Result := "unknown";
    ' Mem_Checksum_Data := D4in_Con_Checksum_Data;
    Public Sub cOp1_init()
      d60out_PDI_Close_Reason.SetValue("No Error")
      Mem_PDI_Version_Result = "unknown"
      Mem_Checksum_Data = D4in_Con_Checksum_Data.GetLatchedValue()
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' pInstance.RtsESTABLISHING_Timer1();
    Private Shared Sub RtsESTABLISHING_Timer1_CallBack(ByRef pInstance As S_SCI_EfeS_Prim)
      pInstance.RtsESTABLISHING_Timer1()
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_S_SCI_EfeS_Prim: on object;
    ' assume RtsCurrent_ACTIVE: on object;
    ' assume RtsCurrent_ESTABLISHING: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED then
    ' /* #REF123# */
    ' 	/* dbc2b1b7-bfe0-471d-96a8-0fee278e94e8 OTHER_VERSION_REQUIRED */
    '   ThisState := "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ESTABLISHING */
    ' 		/* standard */
    ' 		This.RtsExit_ESTABLISHING();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6dd71406-c690-4a8f-9641-9fdd6703c223",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4f33c1c4-4d29-4250-b559-5065b35e8679 */  nullstat;/*##END 4f33c1c4-4d29-4250-b559-5065b35e8679 */ /* #REF1546# */
    ' 		This.RtsDefault_ESTABLISHING();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* f589d9b0-1cfe-4a0b-9e13-86a8d0898523 ACTIVE */
    '   ThisState := "f589d9b0-1cfe-4a0b-9e13-86a8d0898523";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"adc1752a-ba4f-4a6e-b0cd-2310f65326a3",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3e552ce0-a03a-47c7-b552-189963913659 */  nullstat;/*##END 3e552ce0-a03a-47c7-b552-189963913659 */ /* #REF1546# */
    ' 		This.RtsEnter_REQUESTED_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* f589d9b0-1cfe-4a0b-9e13-86a8d0898523 ACTIVE */
    '   ThisState := "f589d9b0-1cfe-4a0b-9e13-86a8d0898523";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d6cf83b4-895d-40c5-87ca-b5d1592b6343",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8cace6bf-6ce4-4a8a-89b0-40ce27bcbebc */ 
    '  d60out_PDI_Close_Reason := "EIL Protocol Error";
    ' send Cd_Close_PDI ( CloseReason.ProtocolError ) to P1inout ; nullstat;/*##END 8cace6bf-6ce4-4a8a-89b0-40ce27bcbebc */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* f589d9b0-1cfe-4a0b-9e13-86a8d0898523 ACTIVE */
    '   ThisState := "f589d9b0-1cfe-4a0b-9e13-86a8d0898523";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"71081929-9c4f-4d0b-abb0-9486ac16259a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 2ef7761d-145b-4fd6-a6a0-b72a3433ab68 */ 
    '  d60out_PDI_Close_Reason := "EIL Formal Telegram Error";
    ' send Cd_Close_PDI ( CloseReason.FormalTelegramError ) to P1inout ; nullstat;/*##END 2ef7761d-145b-4fd6-a6a0-b72a3433ab68 */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* f589d9b0-1cfe-4a0b-9e13-86a8d0898523 ACTIVE */
    '   ThisState := "f589d9b0-1cfe-4a0b-9e13-86a8d0898523";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8eac55f2-d1cb-48ce-a52e-dc92e84f2516",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT bdd343eb-0fa3-4ead-90b3-75092b5684d2 */ 
    '  d60out_PDI_Close_Reason := "EIL Content Telegram Error";
    ' send Cd_Close_PDI ( CloseReason.ContentTelegramError ) to P1inout ; nullstat;/*##END bdd343eb-0fa3-4ead-90b3-75092b5684d2 */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* f589d9b0-1cfe-4a0b-9e13-86a8d0898523 ACTIVE */
    '   ThisState := "f589d9b0-1cfe-4a0b-9e13-86a8d0898523";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6f1e41d7-89fd-4867-a999-81ae4418cdff",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ea8f6783-33fa-41da-9432-f025cbce2ff0 */ 
    ' send Cd_Release_PDI_for_Maintenance to P1inout ; nullstat;/*##END ea8f6783-33fa-41da-9432-f025cbce2ff0 */ /* #REF1546# */
    ' 		This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then
    ' /* #REF123# */
    ' 	/* f589d9b0-1cfe-4a0b-9e13-86a8d0898523 ACTIVE */
    '   ThisState := "f589d9b0-1cfe-4a0b-9e13-86a8d0898523";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"dfacabaf-2173-4efd-9c97-1641a9c3afde",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT cb08aca8-c2de-4c6d-8736-bb3b30aaebf5 */ 
    ' send Cd_Close_PDI ( CloseReason.NormalClose ) to P1inout ;
    '  d60out_PDI_Close_Reason := "PDI Normal Close"; nullstat;/*##END cb08aca8-c2de-4c6d-8736-bb3b30aaebf5 */ /* #REF1546# */
    ' 		This.RtsEnter_DISCONNECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED then
    ' /* #REF123# */
    ' 	/* 40ece123-bc4c-4e07-849a-9cd439d1df20 DISCONNECTED */
    '   ThisState := "40ece123-bc4c-4e07-849a-9cd439d1df20";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DISCONNECTED */
    ' 		/* standard */
    ' 		This.RtsExit_DISCONNECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a28895f3-5920-475f-936b-b9d8550db36d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 07b978c5-db7d-4549-9fa6-7ecb615d4ff9 */  nullstat;/*##END 07b978c5-db7d-4549-9fa6-7ecb615d4ff9 */ /* #REF1546# */
    ' 		This.RtsEnter_DISCONNECTED_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED then
    ' /* #REF123# */
    ' 	/* 40ece123-bc4c-4e07-849a-9cd439d1df20 DISCONNECTED */
    '   ThisState := "40ece123-bc4c-4e07-849a-9cd439d1df20";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DISCONNECTED */
    ' 		/* standard */
    ' 		This.RtsExit_DISCONNECTED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"4f50c1c4-3294-445a-97a0-01d10572767b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT acdf78ea-3ec2-4390-b91b-b46a43fa7d16 */  nullstat;/*##END acdf78ea-3ec2-4390-b91b-b46a43fa7d16 */ /* #REF1546# */
    ' 		This.RtsDefault_ACTIVE();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP then
    ' /* #REF123# */
    ' 	/* 59a690f6-ad8a-45d0-bdab-1e4be11e336f DISCONNECTED_NO_SCP */
    '   ThisState := "59a690f6-ad8a-45d0-bdab-1e4be11e336f";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DISCONNECTED_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_DISCONNECTED_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"f437e971-05e2-4bea-bfea-42095d550829",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 6af3982f-0395-4f01-a1c3-9b2334dc3355 */  nullstat;/*##END 6af3982f-0395-4f01-a1c3-9b2334dc3355 */ /* #REF1546# */
    ' 		This.RtsEnter_REQUESTED_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP then
    ' /* #REF123# */
    ' 	/* 59a690f6-ad8a-45d0-bdab-1e4be11e336f DISCONNECTED_NO_SCP */
    '   ThisState := "59a690f6-ad8a-45d0-bdab-1e4be11e336f";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_DISCONNECTED_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_DISCONNECTED_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"c9ab36eb-8292-445a-a181-2202276d1891",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f19e2b2f-e71a-4024-8b2f-50e008d120de */  nullstat;/*##END f19e2b2f-e71a-4024-8b2f-50e008d120de */ /* #REF1546# */
    ' 		This.RtsEnter_DISCONNECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE then
    ' /* #REF123# */
    ' 	/* 23d3f36e-104b-4e3c-8de3-ce795184e4b1 IMPERMISSIBLE */
    '   ThisState := "23d3f36e-104b-4e3c-8de3-ce795184e4b1";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IMPERMISSIBLE */
    ' 		/* standard */
    ' 		This.RtsExit_IMPERMISSIBLE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ebf11713-f57a-4f34-b1b1-68a9ea479095",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 07263172-6853-4f8b-a97c-7926d9da3393 */  nullstat;/*##END 07263172-6853-4f8b-a97c-7926d9da3393 */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE then
    ' /* #REF123# */
    ' 	/* 23d3f36e-104b-4e3c-8de3-ce795184e4b1 IMPERMISSIBLE */
    '   ThisState := "23d3f36e-104b-4e3c-8de3-ce795184e4b1";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IMPERMISSIBLE */
    ' 		/* standard */
    ' 		This.RtsExit_IMPERMISSIBLE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"c8a1d204-f130-4e77-bee4-bbe096c98cba",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 4cc85b4f-27ac-4915-9741-910ee4685633 */  nullstat;/*##END 4cc85b4f-27ac-4915-9741-910ee4685633 */ /* #REF1546# */
    ' 		This.RtsDefault_ACTIVE();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP then
    ' /* #REF123# */
    ' 	/* b8180ee0-f815-4867-bb62-832cd4094618 IMPERMISSIBLE_NO_SCP */
    '   ThisState := "b8180ee0-f815-4867-bb62-832cd4094618";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IMPERMISSIBLE_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_IMPERMISSIBLE_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e337cf1a-f39e-440b-a3f9-56b3a185257c",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f0a26f1f-9b8b-487c-8a3a-95870d15b620 */  nullstat;/*##END f0a26f1f-9b8b-487c-8a3a-95870d15b620 */ /* #REF1546# */
    ' 		This.RtsEnter_REQUESTED_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP then
    ' /* #REF123# */
    ' 	/* b8180ee0-f815-4867-bb62-832cd4094618 IMPERMISSIBLE_NO_SCP */
    '   ThisState := "b8180ee0-f815-4867-bb62-832cd4094618";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_IMPERMISSIBLE_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_IMPERMISSIBLE_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"bf5be094-bbfa-4bc4-ab35-47e9088fc94d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 870414d1-98b7-440e-b422-391caf67127c */  nullstat;/*##END 870414d1-98b7-440e-b422-391caf67127c */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim =  /* #REF121d# */ RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_NotIn_S_SCI_EfeS_Prim then
    ' /* #REF123# */
    ' 	/* 25a121d1-a36d-4cc8-afe9-d2cf634e7b8f Initial0 */
    '   ThisState := "25a121d1-a36d-4cc8-afe9-d2cf634e7b8f";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"25a121d1-a36d-4cc8-afe9-d2cf634e7b8f",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"25a121d1-a36d-4cc8-afe9-d2cf634e7b8f",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"813630cc-a126-4adb-8011-6ae755533327",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT e56e9209-eed8-4e92-b886-2efdeeabc44c */  cOp1_init (); nullstat;/*##END e56e9209-eed8-4e92-b886-2efdeeabc44c */ /* #REF1546# */
    ' 	This.RtsEnter_DISCONNECTED_NO_SCP();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP then
    ' /* #REF123# */
    ' 	/* a598dff8-2813-4044-91cf-7925354bb8c6 REQUESTED_NO_SCP */
    '   ThisState := "a598dff8-2813-4044-91cf-7925354bb8c6";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_REQUESTED_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_REQUESTED_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"edf1b7ca-c6d5-4c30-9fe4-5b12b2e5c947",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 156c139e-15b6-47ce-b9d9-b8d9e914f2bc */  nullstat;/*##END 156c139e-15b6-47ce-b9d9-b8d9e914f2bc */ /* #REF1546# */
    ' 		This.RtsEnter_DISCONNECTED_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP then
    ' /* #REF123# */
    ' 	/* a598dff8-2813-4044-91cf-7925354bb8c6 REQUESTED_NO_SCP */
    '   ThisState := "a598dff8-2813-4044-91cf-7925354bb8c6";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_REQUESTED_NO_SCP */
    ' 		/* standard */
    ' 		This.RtsExit_REQUESTED_NO_SCP();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"5a624c8a-62bd-4ccc-b059-7bdcf9f000ce",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 06a0821c-610f-4022-b999-d8490cad9db9 */  nullstat;/*##END 06a0821c-610f-4022-b999-d8490cad9db9 */ /* #REF1546# */
    ' 		This.RtsDefault_ACTIVE();/* #REF1587# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_SUSPENDED then
    ' /* #REF123# */
    ' 	/* b611af78-b8d5-4a88-b90a-84b47baabee5 SUSPENDED */
    '   ThisState := "b611af78-b8d5-4a88-b90a-84b47baabee5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg18, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_SUSPENDED */
    ' 		/* standard */
    ' 		This.RtsExit_SUSPENDED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"2e0fc8a2-818b-40d6-91c5-b15609fda445",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT b6845539-8294-4fba-a07a-a2fddc4fb4bd */  nullstat;/*##END b6845539-8294-4fba-a07a-a2fddc4fb4bd */ /* #REF1546# */
    ' 		This.RtsEnter_REQUESTED_NO_SCP();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_SUSPENDED then
    ' /* #REF123# */
    ' 	/* b611af78-b8d5-4a88-b90a-84b47baabee5 SUSPENDED */
    '   ThisState := "b611af78-b8d5-4a88-b90a-84b47baabee5";
    ' 	if /* #REF2001# */ SenseTrigger(ChgFlg19, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_SUSPENDED */
    ' 		/* standard */
    ' 		This.RtsExit_SUSPENDED();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"254da337-b7a6-4bef-b3bd-786b02e6678e",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f171cb38-7ec4-4ab0-88e7-5e39dde45de0 */  nullstat;/*##END f171cb38-7ec4-4ab0-88e7-5e39dde45de0 */ /* #REF1546# */
    ' 		This.RtsEnter_DISCONNECTED();/* #REF1590# */
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED Then
        ThisState = "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8"
        If SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ESTABLISHING()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6dd71406-c690-4a8f-9641-9fdd6703c223", 0, NullString)
          Me.RtsDefault_ESTABLISHING()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        ThisState = "f589d9b0-1cfe-4a0b-9e13-86a8d0898523"
        If SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "adc1752a-ba4f-4a6e-b0cd-2310f65326a3", 0, NullString)
          Me.RtsEnter_REQUESTED_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        ThisState = "f589d9b0-1cfe-4a0b-9e13-86a8d0898523"
        If SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d6cf83b4-895d-40c5-87ca-b5d1592b6343", 0, NullString)
          d60out_PDI_Close_Reason.SetValue("EIL Protocol Error")
          P1inout.SendEvent(New Cd_Close_PDI(CloseReason.ProtocolError))
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        ThisState = "f589d9b0-1cfe-4a0b-9e13-86a8d0898523"
        If SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "71081929-9c4f-4d0b-abb0-9486ac16259a", 0, NullString)
          d60out_PDI_Close_Reason.SetValue("EIL Formal Telegram Error")
          P1inout.SendEvent(New Cd_Close_PDI(CloseReason.FormalTelegramError))
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        ThisState = "f589d9b0-1cfe-4a0b-9e13-86a8d0898523"
        If SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8eac55f2-d1cb-48ce-a52e-dc92e84f2516", 0, NullString)
          d60out_PDI_Close_Reason.SetValue("EIL Content Telegram Error")
          P1inout.SendEvent(New Cd_Close_PDI(CloseReason.ContentTelegramError))
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        ThisState = "f589d9b0-1cfe-4a0b-9e13-86a8d0898523"
        If SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6f1e41d7-89fd-4867-a999-81ae4418cdff", 0, NullString)
          P1inout.SendEvent(New Cd_Release_PDI_for_Maintenance)
          Me.RtsEnter_SUSPENDED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        ThisState = "f589d9b0-1cfe-4a0b-9e13-86a8d0898523"
        If SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "dfacabaf-2173-4efd-9c97-1641a9c3afde", 0, NullString)
          P1inout.SendEvent(New Cd_Close_PDI(CloseReason.NormalClose))
          d60out_PDI_Close_Reason.SetValue("PDI Normal Close")
          Me.RtsEnter_DISCONNECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED Then
        ThisState = "40ece123-bc4c-4e07-849a-9cd439d1df20"
        If SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          Me.RtsExit_DISCONNECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a28895f3-5920-475f-936b-b9d8550db36d", 0, NullString)
          Me.RtsEnter_DISCONNECTED_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED Then
        ThisState = "40ece123-bc4c-4e07-849a-9cd439d1df20"
        If SenseTrigger(ChgFlg9, ChangeEventsActive, ThisState) Then
          Me.RtsExit_DISCONNECTED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "4f50c1c4-3294-445a-97a0-01d10572767b", 0, NullString)
          Me.RtsDefault_ACTIVE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP Then
        ThisState = "59a690f6-ad8a-45d0-bdab-1e4be11e336f"
        If SenseTrigger(ChgFlg10, ChangeEventsActive, ThisState) Then
          Me.RtsExit_DISCONNECTED_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "f437e971-05e2-4bea-bfea-42095d550829", 0, NullString)
          Me.RtsEnter_REQUESTED_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP Then
        ThisState = "59a690f6-ad8a-45d0-bdab-1e4be11e336f"
        If SenseTrigger(ChgFlg11, ChangeEventsActive, ThisState) Then
          Me.RtsExit_DISCONNECTED_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "c9ab36eb-8292-445a-a181-2202276d1891", 0, NullString)
          Me.RtsEnter_DISCONNECTED()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE Then
        ThisState = "23d3f36e-104b-4e3c-8de3-ce795184e4b1"
        If SenseTrigger(ChgFlg12, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IMPERMISSIBLE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ebf11713-f57a-4f34-b1b1-68a9ea479095", 0, NullString)
          Me.RtsEnter_IMPERMISSIBLE_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE Then
        ThisState = "23d3f36e-104b-4e3c-8de3-ce795184e4b1"
        If SenseTrigger(ChgFlg13, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IMPERMISSIBLE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "c8a1d204-f130-4e77-bee4-bbe096c98cba", 0, NullString)
          Me.RtsDefault_ACTIVE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP Then
        ThisState = "b8180ee0-f815-4867-bb62-832cd4094618"
        If SenseTrigger(ChgFlg14, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IMPERMISSIBLE_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e337cf1a-f39e-440b-a3f9-56b3a185257c", 0, NullString)
          Me.RtsEnter_REQUESTED_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP Then
        ThisState = "b8180ee0-f815-4867-bb62-832cd4094618"
        If SenseTrigger(ChgFlg15, ChangeEventsActive, ThisState) Then
          Me.RtsExit_IMPERMISSIBLE_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "bf5be094-bbfa-4bc4-ab35-47e9088fc94d", 0, NullString)
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_NotIn_S_SCI_EfeS_Prim Then
        ThisState = "25a121d1-a36d-4cc8-afe9-d2cf634e7b8f"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "25a121d1-a36d-4cc8-afe9-d2cf634e7b8f", 0, NullString)
        RtsNotify(Me, SEXIT, "25a121d1-a36d-4cc8-afe9-d2cf634e7b8f", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "813630cc-a126-4adb-8011-6ae755533327", 0, NullString)
        cOp1_init()
        Me.RtsEnter_DISCONNECTED_NO_SCP()
        RetValue = True
        Return
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP Then
        ThisState = "a598dff8-2813-4044-91cf-7925354bb8c6"
        If SenseTrigger(ChgFlg16, ChangeEventsActive, ThisState) Then
          Me.RtsExit_REQUESTED_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "edf1b7ca-c6d5-4c30-9fe4-5b12b2e5c947", 0, NullString)
          Me.RtsEnter_DISCONNECTED_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP Then
        ThisState = "a598dff8-2813-4044-91cf-7925354bb8c6"
        If SenseTrigger(ChgFlg17, ChangeEventsActive, ThisState) Then
          Me.RtsExit_REQUESTED_NO_SCP()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "5a624c8a-62bd-4ccc-b059-7bdcf9f000ce", 0, NullString)
          Me.RtsDefault_ACTIVE()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_SUSPENDED Then
        ThisState = "b611af78-b8d5-4a88-b90a-84b47baabee5"
        If SenseTrigger(ChgFlg18, ChangeEventsActive, ThisState) Then
          Me.RtsExit_SUSPENDED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "2e0fc8a2-818b-40d6-91c5-b15609fda445", 0, NullString)
          Me.RtsEnter_REQUESTED_NO_SCP()
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_SUSPENDED Then
        ThisState = "b611af78-b8d5-4a88-b90a-84b47baabee5"
        If SenseTrigger(ChgFlg19, ChangeEventsActive, ThisState) Then
          Me.RtsExit_SUSPENDED()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "254da337-b7a6-4bef-b3bd-786b02e6678e", 0, NullString)
          Me.RtsEnter_DISCONNECTED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "12a3fc7b-e1a9-4000-a330-e34983cb84c8", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);/* #REF1564# */
    ' SMSupport.RtsBase.RtsCreateTimer(This.RtsAttESTABLISHING_Timer1);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_NotIn_S_SCI_EfeS_Prim;/* #REF1566# */
    ' This.RtsCurrent_ACTIVE := RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_NotIn_ACTIVE;/* #REF1566# */
    ' This.RtsCurrent_ESTABLISHING := RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_NotIn_ESTABLISHING;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "12a3fc7b-e1a9-4000-a330-e34983cb84c8", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      SMSupport.RtsBase.RtsCreateTimer(Me.RtsAttESTABLISHING_Timer1)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_NotIn_S_SCI_EfeS_Prim
      Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_NotIn_ACTIVE
      Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_NotIn_ESTABLISHING
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f589d9b0-1cfe-4a0b-9e13-86a8d0898523|") then
    '   OperatedStates := OperatedStates + "f589d9b0-1cfe-4a0b-9e13-86a8d0898523|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ACTIVE ///* #REF520# */
    ' RtsNotify(This,SENTER,"f589d9b0-1cfe-4a0b-9e13-86a8d0898523",0,NullString);
    ' 
    ' SimCore.EnterState("f589d9b0-1cfe-4a0b-9e13-86a8d0898523","ACTIVE");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE;/* #REF521# */
    ' 
    Private Sub RtsEnter_ACTIVE()
      If not OperatedStates.Contains("f589d9b0-1cfe-4a0b-9e13-86a8d0898523|") Then
        OperatedStates = OperatedStates + "f589d9b0-1cfe-4a0b-9e13-86a8d0898523|"
      End If
      'Simulation support : Notification function call for entering state : ACTIVE ///* #REF520# */
      RtsNotify(Me, SENTER, "f589d9b0-1cfe-4a0b-9e13-86a8d0898523", 0, NullString)
      SimCore.EnterState("f589d9b0-1cfe-4a0b-9e13-86a8d0898523", "ACTIVE")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE
    End Sub
    
    ' \ART_SMG :: Created for state : DISCONNECTED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("40ece123-bc4c-4e07-849a-9cd439d1df20|") then
    '   OperatedStates := OperatedStates + "40ece123-bc4c-4e07-849a-9cd439d1df20|";
    ' end if
    ' // Simulation support : Notification function call for entering state : DISCONNECTED ///* #REF520# */
    ' RtsNotify(This,SENTER,"40ece123-bc4c-4e07-849a-9cd439d1df20",0,NullString);
    ' 
    ' SimCore.EnterState("40ece123-bc4c-4e07-849a-9cd439d1df20","DISCONNECTED");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 11ef785d-e2d2-4f17-b608-72de1bb284f8 */  d50out_PDI_Connection_State := "DISCONNECTED"; nullstat;/*##END 11ef785d-e2d2-4f17-b608-72de1bb284f8 */ 
    Private Sub RtsEnter_DISCONNECTED()
      If not OperatedStates.Contains("40ece123-bc4c-4e07-849a-9cd439d1df20|") Then
        OperatedStates = OperatedStates + "40ece123-bc4c-4e07-849a-9cd439d1df20|"
      End If
      'Simulation support : Notification function call for entering state : DISCONNECTED ///* #REF520# */
      RtsNotify(Me, SENTER, "40ece123-bc4c-4e07-849a-9cd439d1df20", 0, NullString)
      SimCore.EnterState("40ece123-bc4c-4e07-849a-9cd439d1df20", "DISCONNECTED")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("DISCONNECTED")
    End Sub
    
    ' \ART_SMG :: Created for state : DISCONNECTED_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("59a690f6-ad8a-45d0-bdab-1e4be11e336f|") then
    '   OperatedStates := OperatedStates + "59a690f6-ad8a-45d0-bdab-1e4be11e336f|";
    ' end if
    ' // Simulation support : Notification function call for entering state : DISCONNECTED_NO_SCP ///* #REF520# */
    ' RtsNotify(This,SENTER,"59a690f6-ad8a-45d0-bdab-1e4be11e336f",0,NullString);
    ' 
    ' SimCore.EnterState("59a690f6-ad8a-45d0-bdab-1e4be11e336f","DISCONNECTED_NO_SCP");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT ef68bca7-4954-43e8-99e2-1ac81cf92f84 */  d50out_PDI_Connection_State := "DISCONNECTED_NO_SCP"; nullstat;/*##END ef68bca7-4954-43e8-99e2-1ac81cf92f84 */ 
    Private Sub RtsEnter_DISCONNECTED_NO_SCP()
      If not OperatedStates.Contains("59a690f6-ad8a-45d0-bdab-1e4be11e336f|") Then
        OperatedStates = OperatedStates + "59a690f6-ad8a-45d0-bdab-1e4be11e336f|"
      End If
      'Simulation support : Notification function call for entering state : DISCONNECTED_NO_SCP ///* #REF520# */
      RtsNotify(Me, SENTER, "59a690f6-ad8a-45d0-bdab-1e4be11e336f", 0, NullString)
      SimCore.EnterState("59a690f6-ad8a-45d0-bdab-1e4be11e336f", "DISCONNECTED_NO_SCP")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("DISCONNECTED_NO_SCP")
    End Sub
    
    ' \ART_SMG :: Created for state : IMPERMISSIBLE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("23d3f36e-104b-4e3c-8de3-ce795184e4b1|") then
    '   OperatedStates := OperatedStates + "23d3f36e-104b-4e3c-8de3-ce795184e4b1|";
    ' end if
    ' // Simulation support : Notification function call for entering state : IMPERMISSIBLE ///* #REF520# */
    ' RtsNotify(This,SENTER,"23d3f36e-104b-4e3c-8de3-ce795184e4b1",0,NullString);
    ' 
    ' SimCore.EnterState("23d3f36e-104b-4e3c-8de3-ce795184e4b1","IMPERMISSIBLE");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT f2b27c3d-02ad-4db2-8960-67692ba8186b */  d50out_PDI_Connection_State := "IMPERMISSIBLE"; nullstat;/*##END f2b27c3d-02ad-4db2-8960-67692ba8186b */ 
    Private Sub RtsEnter_IMPERMISSIBLE()
      If not OperatedStates.Contains("23d3f36e-104b-4e3c-8de3-ce795184e4b1|") Then
        OperatedStates = OperatedStates + "23d3f36e-104b-4e3c-8de3-ce795184e4b1|"
      End If
      'Simulation support : Notification function call for entering state : IMPERMISSIBLE ///* #REF520# */
      RtsNotify(Me, SENTER, "23d3f36e-104b-4e3c-8de3-ce795184e4b1", 0, NullString)
      SimCore.EnterState("23d3f36e-104b-4e3c-8de3-ce795184e4b1", "IMPERMISSIBLE")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("IMPERMISSIBLE")
    End Sub
    
    ' \ART_SMG :: Created for state : IMPERMISSIBLE_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b8180ee0-f815-4867-bb62-832cd4094618|") then
    '   OperatedStates := OperatedStates + "b8180ee0-f815-4867-bb62-832cd4094618|";
    ' end if
    ' // Simulation support : Notification function call for entering state : IMPERMISSIBLE_NO_SCP ///* #REF520# */
    ' RtsNotify(This,SENTER,"b8180ee0-f815-4867-bb62-832cd4094618",0,NullString);
    ' 
    ' SimCore.EnterState("b8180ee0-f815-4867-bb62-832cd4094618","IMPERMISSIBLE_NO_SCP");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT a14b9338-adb7-4896-9efb-08c7e266e68d */  d50out_PDI_Connection_State := "IMPERMISSIBLE_NO_SCP"; nullstat;/*##END a14b9338-adb7-4896-9efb-08c7e266e68d */ 
    Private Sub RtsEnter_IMPERMISSIBLE_NO_SCP()
      If not OperatedStates.Contains("b8180ee0-f815-4867-bb62-832cd4094618|") Then
        OperatedStates = OperatedStates + "b8180ee0-f815-4867-bb62-832cd4094618|"
      End If
      'Simulation support : Notification function call for entering state : IMPERMISSIBLE_NO_SCP ///* #REF520# */
      RtsNotify(Me, SENTER, "b8180ee0-f815-4867-bb62-832cd4094618", 0, NullString)
      SimCore.EnterState("b8180ee0-f815-4867-bb62-832cd4094618", "IMPERMISSIBLE_NO_SCP")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("IMPERMISSIBLE_NO_SCP")
    End Sub
    
    ' \ART_SMG :: Created for state : REQUESTED_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a598dff8-2813-4044-91cf-7925354bb8c6|") then
    '   OperatedStates := OperatedStates + "a598dff8-2813-4044-91cf-7925354bb8c6|";
    ' end if
    ' // Simulation support : Notification function call for entering state : REQUESTED_NO_SCP ///* #REF520# */
    ' RtsNotify(This,SENTER,"a598dff8-2813-4044-91cf-7925354bb8c6",0,NullString);
    ' 
    ' SimCore.EnterState("a598dff8-2813-4044-91cf-7925354bb8c6","REQUESTED_NO_SCP");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT b208239d-125a-4be8-8d3a-576c0b5816d4 */  d50out_PDI_Connection_State := "REQUESTED_NO_SCP";
    '  T6out_Establish_SCP_Connection := TRUE; nullstat;/*##END b208239d-125a-4be8-8d3a-576c0b5816d4 */ 
    Private Sub RtsEnter_REQUESTED_NO_SCP()
      If not OperatedStates.Contains("a598dff8-2813-4044-91cf-7925354bb8c6|") Then
        OperatedStates = OperatedStates + "a598dff8-2813-4044-91cf-7925354bb8c6|"
      End If
      'Simulation support : Notification function call for entering state : REQUESTED_NO_SCP ///* #REF520# */
      RtsNotify(Me, SENTER, "a598dff8-2813-4044-91cf-7925354bb8c6", 0, NullString)
      SimCore.EnterState("a598dff8-2813-4044-91cf-7925354bb8c6", "REQUESTED_NO_SCP")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("REQUESTED_NO_SCP")
      T6out_Establish_SCP_Connection.SetValue(True)
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b611af78-b8d5-4a88-b90a-84b47baabee5|") then
    '   OperatedStates := OperatedStates + "b611af78-b8d5-4a88-b90a-84b47baabee5|";
    ' end if
    ' // Simulation support : Notification function call for entering state : SUSPENDED ///* #REF520# */
    ' RtsNotify(This,SENTER,"b611af78-b8d5-4a88-b90a-84b47baabee5",0,NullString);
    ' 
    ' SimCore.EnterState("b611af78-b8d5-4a88-b90a-84b47baabee5","SUSPENDED");
    ' 
    ' This.RtsCurrent_S_SCI_EfeS_Prim := RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_SUSPENDED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 4cf1961e-f677-49ef-9737-3b5c315b8625 */  d50out_PDI_Connection_State := "SUSPENDED"; nullstat;/*##END 4cf1961e-f677-49ef-9737-3b5c315b8625 */ 
    Private Sub RtsEnter_SUSPENDED()
      If not OperatedStates.Contains("b611af78-b8d5-4a88-b90a-84b47baabee5|") Then
        OperatedStates = OperatedStates + "b611af78-b8d5-4a88-b90a-84b47baabee5|"
      End If
      'Simulation support : Notification function call for entering state : SUSPENDED ///* #REF520# */
      RtsNotify(Me, SENTER, "b611af78-b8d5-4a88-b90a-84b47baabee5", 0, NullString)
      SimCore.EnterState("b611af78-b8d5-4a88-b90a-84b47baabee5", "SUSPENDED")
      Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_SUSPENDED
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("SUSPENDED")
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("bdcc7435-7f33-4928-ae06-59dfc65451ee|") then
    '   OperatedStates := OperatedStates + "bdcc7435-7f33-4928-ae06-59dfc65451ee|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ESTABLISHING ///* #REF520# */
    ' RtsNotify(This,SENTER,"bdcc7435-7f33-4928-ae06-59dfc65451ee",0,NullString);
    ' 
    ' SimCore.EnterState("bdcc7435-7f33-4928-ae06-59dfc65451ee","ACTIVE::ESTABLISHING");
    ' 
    ' This.RtsCurrent_ACTIVE := RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING;/* #REF521# */
    ' /* #REF523# */
    ' // Start Timers/* #REF525# */
    ' SMSupport.RtsBase.RtsStartTimer(This.RtsAttESTABLISHING_Timer1, /*##STRT 96049d23-94c6-454e-8b6a-3df5d035760b */ D2in_Con_tmax_PDI_Connection/*##END 96049d23-94c6-454e-8b6a-3df5d035760b */ , CurrentTime);
    Private Sub RtsEnter_ESTABLISHING()
      If not OperatedStates.Contains("bdcc7435-7f33-4928-ae06-59dfc65451ee|") Then
        OperatedStates = OperatedStates + "bdcc7435-7f33-4928-ae06-59dfc65451ee|"
      End If
      'Simulation support : Notification function call for entering state : ESTABLISHING ///* #REF520# */
      RtsNotify(Me, SENTER, "bdcc7435-7f33-4928-ae06-59dfc65451ee", 0, NullString)
      SimCore.EnterState("bdcc7435-7f33-4928-ae06-59dfc65451ee", "ACTIVE::ESTABLISHING")
      Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING
      'Start Timers/* #REF525# */
      SMSupport.RtsBase.RtsStartTimer(Me.RtsAttESTABLISHING_Timer1, D2in_Con_tmax_PDI_Connection.GetLatchedValue(), CurrentTime)
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b9b274ca-51f6-4d04-b575-d606028484e7|") then
    '   OperatedStates := OperatedStates + "b9b274ca-51f6-4d04-b575-d606028484e7|";
    ' end if
    ' // Simulation support : Notification function call for entering state : ESTABLISHED ///* #REF520# */
    ' RtsNotify(This,SENTER,"b9b274ca-51f6-4d04-b575-d606028484e7",0,NullString);
    ' 
    ' SimCore.EnterState("b9b274ca-51f6-4d04-b575-d606028484e7","ACTIVE::ESTABLISHED");
    ' 
    ' This.RtsCurrent_ACTIVE := RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 9c164c42-ca30-4bb9-b7fe-4810a44a7ffd */  d50out_PDI_Connection_State := "ESTABLISHED"; nullstat;/*##END 9c164c42-ca30-4bb9-b7fe-4810a44a7ffd */ 
    Private Sub RtsEnter_ESTABLISHED()
      If not OperatedStates.Contains("b9b274ca-51f6-4d04-b575-d606028484e7|") Then
        OperatedStates = OperatedStates + "b9b274ca-51f6-4d04-b575-d606028484e7|"
      End If
      'Simulation support : Notification function call for entering state : ESTABLISHED ///* #REF520# */
      RtsNotify(Me, SENTER, "b9b274ca-51f6-4d04-b575-d606028484e7", 0, NullString)
      SimCore.EnterState("b9b274ca-51f6-4d04-b575-d606028484e7", "ACTIVE::ESTABLISHED")
      Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("ESTABLISHED")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_VERSION_CHECK
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|") then
    '   OperatedStates := OperatedStates + "9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_VERSION_CHECK ///* #REF520# */
    ' RtsNotify(This,SENTER,"9a914b97-6ed7-4a6d-8a4d-610d8bb245d0",0,NullString);
    ' 
    ' SimCore.EnterState("9a914b97-6ed7-4a6d-8a4d-610d8bb245d0","ACTIVE::ESTABLISHING::WAITING_FOR_VERSION_CHECK");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT bce65948-5459-49ba-b49d-08d51b2211dd */  d50out_PDI_Connection_State := "WAITING_FOR_VERSION_CHECK"; nullstat;/*##END bce65948-5459-49ba-b49d-08d51b2211dd */ 
    Private Sub RtsEnter_WAITING_FOR_VERSION_CHECK()
      If not OperatedStates.Contains("9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|") Then
        OperatedStates = OperatedStates + "9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_VERSION_CHECK ///* #REF520# */
      RtsNotify(Me, SENTER, "9a914b97-6ed7-4a6d-8a4d-610d8bb245d0", 0, NullString)
      SimCore.EnterState("9a914b97-6ed7-4a6d-8a4d-610d8bb245d0", "ACTIVE::ESTABLISHING::WAITING_FOR_VERSION_CHECK")
      Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("WAITING_FOR_VERSION_CHECK")
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_INITIALISATION
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ef441dfe-7565-4ca3-97e8-94ecc3b3b025|") then
    '   OperatedStates := OperatedStates + "ef441dfe-7565-4ca3-97e8-94ecc3b3b025|";
    ' end if
    ' // Simulation support : Notification function call for entering state : WAITING_FOR_INITIALISATION ///* #REF520# */
    ' RtsNotify(This,SENTER,"ef441dfe-7565-4ca3-97e8-94ecc3b3b025",0,NullString);
    ' 
    ' SimCore.EnterState("ef441dfe-7565-4ca3-97e8-94ecc3b3b025","ACTIVE::ESTABLISHING::WAITING_FOR_INITIALISATION");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 4c07e2f1-0382-42b4-a6f8-435de826d15b */  d50out_PDI_Connection_State := "WAITING_FOR_INITIALISATION"; nullstat;/*##END 4c07e2f1-0382-42b4-a6f8-435de826d15b */ 
    Private Sub RtsEnter_WAITING_FOR_INITIALISATION()
      If not OperatedStates.Contains("ef441dfe-7565-4ca3-97e8-94ecc3b3b025|") Then
        OperatedStates = OperatedStates + "ef441dfe-7565-4ca3-97e8-94ecc3b3b025|"
      End If
      'Simulation support : Notification function call for entering state : WAITING_FOR_INITIALISATION ///* #REF520# */
      RtsNotify(Me, SENTER, "ef441dfe-7565-4ca3-97e8-94ecc3b3b025", 0, NullString)
      SimCore.EnterState("ef441dfe-7565-4ca3-97e8-94ecc3b3b025", "ACTIVE::ESTABLISHING::WAITING_FOR_INITIALISATION")
      Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("WAITING_FOR_INITIALISATION")
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_STATUS
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f9fbd6fa-9c83-489f-8748-0aa539878f54|") then
    '   OperatedStates := OperatedStates + "f9fbd6fa-9c83-489f-8748-0aa539878f54|";
    ' end if
    ' // Simulation support : Notification function call for entering state : RECEIVING_STATUS ///* #REF520# */
    ' RtsNotify(This,SENTER,"f9fbd6fa-9c83-489f-8748-0aa539878f54",0,NullString);
    ' 
    ' SimCore.EnterState("f9fbd6fa-9c83-489f-8748-0aa539878f54","ACTIVE::ESTABLISHING::RECEIVING_STATUS");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 7ec1447f-1572-4673-a4f1-541804ac157a */  d50out_PDI_Connection_State := "RECEIVING_STATUS"; nullstat;/*##END 7ec1447f-1572-4673-a4f1-541804ac157a */ 
    Private Sub RtsEnter_RECEIVING_STATUS()
      If not OperatedStates.Contains("f9fbd6fa-9c83-489f-8748-0aa539878f54|") Then
        OperatedStates = OperatedStates + "f9fbd6fa-9c83-489f-8748-0aa539878f54|"
      End If
      'Simulation support : Notification function call for entering state : RECEIVING_STATUS ///* #REF520# */
      RtsNotify(Me, SENTER, "f9fbd6fa-9c83-489f-8748-0aa539878f54", 0, NullString)
      SimCore.EnterState("f9fbd6fa-9c83-489f-8748-0aa539878f54", "ACTIVE::ESTABLISHING::RECEIVING_STATUS")
      Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("RECEIVING_STATUS")
    End Sub
    
    ' \ART_SMG :: Created for state : OTHER_VERSION_REQUIRED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|") then
    '   OperatedStates := OperatedStates + "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|";
    ' end if
    ' // Simulation support : Notification function call for entering state : OTHER_VERSION_REQUIRED ///* #REF520# */
    ' RtsNotify(This,SENTER,"dbc2b1b7-bfe0-471d-96a8-0fee278e94e8",0,NullString);
    ' 
    ' SimCore.EnterState("dbc2b1b7-bfe0-471d-96a8-0fee278e94e8","ACTIVE::ESTABLISHING::OTHER_VERSION_REQUIRED");
    ' 
    ' This.RtsCurrent_ESTABLISHING := RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED;/* #REF521# */
    ' /* #REF522# */
    ' // Entry Actions
    ' /*##STRT 6edc35a2-8bb3-44cb-94a6-23cedf899893 */  d50out_PDI_Connection_State := "OTHER_VERSION_REQUIRED"; nullstat;/*##END 6edc35a2-8bb3-44cb-94a6-23cedf899893 */ 
    Private Sub RtsEnter_OTHER_VERSION_REQUIRED()
      If not OperatedStates.Contains("dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|") Then
        OperatedStates = OperatedStates + "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|"
      End If
      'Simulation support : Notification function call for entering state : OTHER_VERSION_REQUIRED ///* #REF520# */
      RtsNotify(Me, SENTER, "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8", 0, NullString)
      SimCore.EnterState("dbc2b1b7-bfe0-471d-96a8-0fee278e94e8", "ACTIVE::ESTABLISHING::OTHER_VERSION_REQUIRED")
      Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED
      'Entry Actions
      d50out_PDI_Connection_State.SetValue("OTHER_VERSION_REQUIRED")
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ACTIVE
    ' 	RtsNotify(This,SEXIT,"f589d9b0-1cfe-4a0b-9e13-86a8d0898523",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ACTIVE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ACTIVE()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        'Simulation support : Notification function call for exiting state : ACTIVE
        RtsNotify(Me, SEXIT, "f589d9b0-1cfe-4a0b-9e13-86a8d0898523", 0, NullString)
        RtsExitSSOf_ACTIVE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DISCONNECTED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : DISCONNECTED
    ' 	RtsNotify(This,SEXIT,"40ece123-bc4c-4e07-849a-9cd439d1df20",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_DISCONNECTED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_DISCONNECTED()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED Then
        'Simulation support : Notification function call for exiting state : DISCONNECTED
        RtsNotify(Me, SEXIT, "40ece123-bc4c-4e07-849a-9cd439d1df20", 0, NullString)
        RtsExitSSOf_DISCONNECTED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DISCONNECTED_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : DISCONNECTED_NO_SCP
    ' 	RtsNotify(This,SEXIT,"59a690f6-ad8a-45d0-bdab-1e4be11e336f",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_DISCONNECTED_NO_SCP ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_DISCONNECTED_NO_SCP()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_DISCONNECTED_NO_SCP Then
        'Simulation support : Notification function call for exiting state : DISCONNECTED_NO_SCP
        RtsNotify(Me, SEXIT, "59a690f6-ad8a-45d0-bdab-1e4be11e336f", 0, NullString)
        RtsExitSSOf_DISCONNECTED_NO_SCP()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IMPERMISSIBLE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : IMPERMISSIBLE
    ' 	RtsNotify(This,SEXIT,"23d3f36e-104b-4e3c-8de3-ce795184e4b1",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_IMPERMISSIBLE ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_IMPERMISSIBLE()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE Then
        'Simulation support : Notification function call for exiting state : IMPERMISSIBLE
        RtsNotify(Me, SEXIT, "23d3f36e-104b-4e3c-8de3-ce795184e4b1", 0, NullString)
        RtsExitSSOf_IMPERMISSIBLE()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IMPERMISSIBLE_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : IMPERMISSIBLE_NO_SCP
    ' 	RtsNotify(This,SEXIT,"b8180ee0-f815-4867-bb62-832cd4094618",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_IMPERMISSIBLE_NO_SCP ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_IMPERMISSIBLE_NO_SCP()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_IMPERMISSIBLE_NO_SCP Then
        'Simulation support : Notification function call for exiting state : IMPERMISSIBLE_NO_SCP
        RtsNotify(Me, SEXIT, "b8180ee0-f815-4867-bb62-832cd4094618", 0, NullString)
        RtsExitSSOf_IMPERMISSIBLE_NO_SCP()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUESTED_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : REQUESTED_NO_SCP
    ' 	RtsNotify(This,SEXIT,"a598dff8-2813-4044-91cf-7925354bb8c6",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_REQUESTED_NO_SCP ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_REQUESTED_NO_SCP()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_REQUESTED_NO_SCP Then
        'Simulation support : Notification function call for exiting state : REQUESTED_NO_SCP
        RtsNotify(Me, SEXIT, "a598dff8-2813-4044-91cf-7925354bb8c6", 0, NullString)
        RtsExitSSOf_REQUESTED_NO_SCP()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_SUSPENDED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : SUSPENDED
    ' 	RtsNotify(This,SEXIT,"b611af78-b8d5-4a88-b90a-84b47baabee5",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_SUSPENDED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_SUSPENDED()
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_SUSPENDED Then
        'Simulation support : Notification function call for exiting state : SUSPENDED
        RtsNotify(Me, SEXIT, "b611af78-b8d5-4a88-b90a-84b47baabee5", 0, NullString)
        RtsExitSSOf_SUSPENDED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ESTABLISHING
    ' 	RtsNotify(This,SEXIT,"bdcc7435-7f33-4928-ae06-59dfc65451ee",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ESTABLISHING ();
    ' 	/* #REF750# */
    ' 	// Stop Timers/* #REF751# */
    ' 	SMSupport.RtsBase.RtsStopTimer(This.RtsAttESTABLISHING_Timer1);
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ESTABLISHING()
      If Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING Then
        'Simulation support : Notification function call for exiting state : ESTABLISHING
        RtsNotify(Me, SEXIT, "bdcc7435-7f33-4928-ae06-59dfc65451ee", 0, NullString)
        RtsExitSSOf_ESTABLISHING()
        'Stop Timers/* #REF751# */
        SMSupport.RtsBase.RtsStopTimer(Me.RtsAttESTABLISHING_Timer1)
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : ESTABLISHED
    ' 	RtsNotify(This,SEXIT,"b9b274ca-51f6-4d04-b575-d606028484e7",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_ESTABLISHED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_ESTABLISHED()
      If Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED Then
        'Simulation support : Notification function call for exiting state : ESTABLISHED
        RtsNotify(Me, SEXIT, "b9b274ca-51f6-4d04-b575-d606028484e7", 0, NullString)
        RtsExitSSOf_ESTABLISHED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_VERSION_CHECK
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_VERSION_CHECK
    ' 	RtsNotify(This,SEXIT,"9a914b97-6ed7-4a6d-8a4d-610d8bb245d0",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_VERSION_CHECK ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_VERSION_CHECK()
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_VERSION_CHECK
        RtsNotify(Me, SEXIT, "9a914b97-6ed7-4a6d-8a4d-610d8bb245d0", 0, NullString)
        RtsExitSSOf_WAITING_FOR_VERSION_CHECK()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_INITIALISATION
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : WAITING_FOR_INITIALISATION
    ' 	RtsNotify(This,SEXIT,"ef441dfe-7565-4ca3-97e8-94ecc3b3b025",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_WAITING_FOR_INITIALISATION ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_WAITING_FOR_INITIALISATION()
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION Then
        'Simulation support : Notification function call for exiting state : WAITING_FOR_INITIALISATION
        RtsNotify(Me, SEXIT, "ef441dfe-7565-4ca3-97e8-94ecc3b3b025", 0, NullString)
        RtsExitSSOf_WAITING_FOR_INITIALISATION()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_STATUS
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : RECEIVING_STATUS
    ' 	RtsNotify(This,SEXIT,"f9fbd6fa-9c83-489f-8748-0aa539878f54",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_RECEIVING_STATUS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_RECEIVING_STATUS()
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS Then
        'Simulation support : Notification function call for exiting state : RECEIVING_STATUS
        RtsNotify(Me, SEXIT, "f9fbd6fa-9c83-489f-8748-0aa539878f54", 0, NullString)
        RtsExitSSOf_RECEIVING_STATUS()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OTHER_VERSION_REQUIRED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : OTHER_VERSION_REQUIRED
    ' 	RtsNotify(This,SEXIT,"dbc2b1b7-bfe0-471d-96a8-0fee278e94e8",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_OTHER_VERSION_REQUIRED ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_OTHER_VERSION_REQUIRED()
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED Then
        'Simulation support : Notification function call for exiting state : OTHER_VERSION_REQUIRED
        RtsNotify(Me, SEXIT, "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8", 0, NullString)
        RtsExitSSOf_OTHER_VERSION_REQUIRED()
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"d05ef1d3-8a6e-4d0a-8757-6cea24b4ce1a",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"d05ef1d3-8a6e-4d0a-8757-6cea24b4ce1a",0,NullString);/* #REF1576# */
    ' This.RtsEnter_ACTIVE();/* #REF1577# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"48221f5b-f49a-4e9d-8649-858a1ea4c24c",0,NullString);/* #REF1585# */
    ' /*##STRT b5b0ccec-fd11-4e45-a722-a2cfa5d554bc */  nullstat;/*##END b5b0ccec-fd11-4e45-a722-a2cfa5d554bc */ /* #REF1546# */
    ' This.RtsDefault_ESTABLISHING();/* #REF1587# */
    ' 
    Private Sub RtsDefault_ACTIVE()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "d05ef1d3-8a6e-4d0a-8757-6cea24b4ce1a", 0, NullString)
      RtsNotify(Me, SEXIT, "d05ef1d3-8a6e-4d0a-8757-6cea24b4ce1a", 0, NullString)
      Me.RtsEnter_ACTIVE()
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "48221f5b-f49a-4e9d-8649-858a1ea4c24c", 0, NullString)
      Me.RtsDefault_ESTABLISHING()
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
    ' RtsNotify(This,SENTER,"c9551e30-1655-4f5b-965e-7615f08937ba",0,NullString);/* #REF1575# */
    ' RtsNotify(This,SEXIT,"c9551e30-1655-4f5b-965e-7615f08937ba",0,NullString);/* #REF1576# */
    ' This.RtsEnter_ESTABLISHING();/* #REF1577# */
    ' /* #REF1582# */
    ' // Simulation support : Notification function calls for default transition/* #REF1584# */
    ' RtsNotify(This,TRANSITION,"aae77615-89f3-41c3-8a73-9a17e4435ddf",0,NullString);/* #REF1585# */
    ' /*##STRT 3ec38848-39a1-40d5-9328-e0071784bb18 */ send Cd_PDI_Version_Check ( D3in_Con_PDI_Version ) to P1inout ; nullstat;/*##END 3ec38848-39a1-40d5-9328-e0071784bb18 */ /* #REF1546# */
    ' This.RtsEnter_WAITING_FOR_VERSION_CHECK();/* #REF1590# */
    ' 
    Private Sub RtsDefault_ESTABLISHING()
      'Simulation support : Notification function calls for entry and exit of initial state/* #REF1574# */
      RtsNotify(Me, SENTER, "c9551e30-1655-4f5b-965e-7615f08937ba", 0, NullString)
      RtsNotify(Me, SEXIT, "c9551e30-1655-4f5b-965e-7615f08937ba", 0, NullString)
      Me.RtsEnter_ESTABLISHING()
      'Simulation support : Notification function calls for default transition/* #REF1584# */
      RtsNotify(Me, TRANSITION, "aae77615-89f3-41c3-8a73-9a17e4435ddf", 0, NullString)
      P1inout.SendEvent(New Cd_PDI_Version_Check(D3in_Con_PDI_Version.GetLatchedValue()))
      Me.RtsEnter_WAITING_FOR_VERSION_CHECK()
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As S_SCI_EfeS_Prim)
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_S_SCI_EfeS_Prim" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_EfeS_Prim, "RtsS_SCI_EfeS_Prim_States");
    ' end if
    ' if Name = "RtsCurrent_ACTIVE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsS_SCI_EfeS_PrimACTIVE_States");
    ' end if
    ' if Name = "RtsCurrent_ESTABLISHING" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsS_SCI_EfeS_PrimESTABLISHING_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_S_SCI_EfeS_Prim" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_EfeS_Prim, "RtsS_SCI_EfeS_Prim_States");
    ' end if
    ' if Name = "RtsCurrent_ACTIVE" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsS_SCI_EfeS_PrimACTIVE_States");
    ' end if
    ' if Name = "RtsCurrent_ESTABLISHING" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsS_SCI_EfeS_PrimESTABLISHING_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "12a3fc7b-e1a9-4000-a330-e34983cb84c8";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "8";
    '   Value := Value + "|RtsCurrent_S_SCI_EfeS_Prim";
    '   Value := Value + "|RtsCurrent_ACTIVE";
    '   Value := Value + "|RtsCurrent_ESTABLISHING";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_S_SCI_EfeS_Prim";
    '   Value := Value + "|RtsCurrent_ACTIVE";
    '   Value := Value + "|RtsCurrent_ESTABLISHING";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As S_SCI_EfeS_Prim)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_S_SCI_EfeS_Prim" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_EfeS_Prim, "RtsS_SCI_EfeS_Prim_States")
      End If
      If Name = "RtsCurrent_ACTIVE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsS_SCI_EfeS_PrimACTIVE_States")
      End If
      If Name = "RtsCurrent_ESTABLISHING" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsS_SCI_EfeS_PrimESTABLISHING_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_S_SCI_EfeS_Prim" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_EfeS_Prim, "RtsS_SCI_EfeS_Prim_States")
      End If
      If Name = "RtsCurrent_ACTIVE" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ACTIVE, "RtsS_SCI_EfeS_PrimACTIVE_States")
      End If
      If Name = "RtsCurrent_ESTABLISHING" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_ESTABLISHING, "RtsS_SCI_EfeS_PrimESTABLISHING_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "12a3fc7b-e1a9-4000-a330-e34983cb84c8"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "8"
        Value = Value + "|RtsCurrent_S_SCI_EfeS_Prim"
        Value = Value + "|RtsCurrent_ACTIVE"
        Value = Value + "|RtsCurrent_ESTABLISHING"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_S_SCI_EfeS_Prim"
        Value = Value + "|RtsCurrent_ACTIVE"
        Value = Value + "|RtsCurrent_ESTABLISHING"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_S_SCI_EfeS_Prim" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_S_SCI_EfeS_Prim, Value, "RtsS_SCI_EfeS_Prim_States", GetType(S_SCI_EfeS_Prim.RtsS_SCI_EfeS_Prim_States));
    ' end if
    ' if Name = "RtsCurrent_ACTIVE" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_ACTIVE, Value, "RtsS_SCI_EfeS_PrimACTIVE_States", GetType(S_SCI_EfeS_Prim.RtsS_SCI_EfeS_PrimACTIVE_States));
    ' end if
    ' if Name = "RtsCurrent_ESTABLISHING" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_ESTABLISHING, Value, "RtsS_SCI_EfeS_PrimESTABLISHING_States", GetType(S_SCI_EfeS_Prim.RtsS_SCI_EfeS_PrimESTABLISHING_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As S_SCI_EfeS_Prim)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_S_SCI_EfeS_Prim" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_S_SCI_EfeS_Prim, Value, "RtsS_SCI_EfeS_Prim_States", GetType(S_SCI_EfeS_Prim.RtsS_SCI_EfeS_Prim_States))
      End If
      If Name = "RtsCurrent_ACTIVE" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_ACTIVE, Value, "RtsS_SCI_EfeS_PrimACTIVE_States", GetType(S_SCI_EfeS_Prim.RtsS_SCI_EfeS_PrimACTIVE_States))
      End If
      If Name = "RtsCurrent_ESTABLISHING" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_ESTABLISHING, Value, "RtsS_SCI_EfeS_PrimESTABLISHING_States", GetType(S_SCI_EfeS_Prim.RtsS_SCI_EfeS_PrimESTABLISHING_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_PDI_Not_Available_In_S_SCI_EfeS_Prim(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_PDI_Not_Available()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_PDI_Not_Available_In_S_SCI_EfeS_Prim(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Reset_PDI_In_S_SCI_EfeS_Prim(RetValue, ReportedResetReason);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Reset_PDI(ByVal ReportedResetReason As ResetReason)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Reset_PDI_In_S_SCI_EfeS_Prim(RetValue, ReportedResetReason)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SMSupport.RtsBase.RtsStopTimer(This.RtsAttESTABLISHING_Timer1);
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsESTABLISHING_Timer1_In_S_SCI_EfeS_Prim(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Private Sub RtsESTABLISHING_Timer1()
      SMSupport.RtsBase.RtsStopTimer(Me.RtsAttESTABLISHING_Timer1)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsESTABLISHING_Timer1_In_S_SCI_EfeS_Prim(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_VERSION_CHECK
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_PDI_Version_Check_In_S_SCI_EfeS_Prim(RetValue, Result, ChecksumData, PDIVersion);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_PDI_Version_Check(ByVal Result As String, ByVal ChecksumData As String, ByVal PDIVersion As String)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_PDI_Version_Check_In_S_SCI_EfeS_Prim(RetValue, Result, ChecksumData, PDIVersion)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_INITIALISATION
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Start_Initialisation_In_S_SCI_EfeS_Prim(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Start_Initialisation()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Start_Initialisation_In_S_SCI_EfeS_Prim(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_STATUS
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Initialisation_Completed_In_S_SCI_EfeS_Prim(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Initialisation_Completed()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Initialisation_Completed_In_S_SCI_EfeS_Prim(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_PDI_Available_In_S_SCI_EfeS_Prim(RetValue);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_PDI_Available()
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_PDI_Available_In_S_SCI_EfeS_Prim(RetValue)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_ACTIVE */
    ' 	/* standard */
    ' 	This.RtsExit_ACTIVE();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"1769486e-8dec-440d-970d-ced760daccd5",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 8021ec8f-bdf3-47e1-83ab-ab37dbb1b29b */  nullstat;/*##END 8021ec8f-bdf3-47e1-83ab-ab37dbb1b29b */ /* #REF1546# */
    ' 	This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_PDI_Not_Available_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean)
      'H1 ACTIVE
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        Me.RtsExit_ACTIVE()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "1769486e-8dec-440d-970d-ced760daccd5", 0, NullString)
        Me.RtsEnter_SUSPENDED()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT 7007389e-62ee-4ce2-b837-027e658745c5 */ ( ReportedResetReason = ResetReason.ProtocolError )/*##END 7007389e-62ee-4ce2-b837-027e658745c5 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"b99b4baa-7bbc-4949-900e-872eb7f1eca7",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 2158830b-7b9a-464e-bfa3-711e75c150ff */ 
    '  d60out_PDI_Close_Reason := "EfeS Protocol Error"; nullstat;/*##END 2158830b-7b9a-464e-bfa3-711e75c150ff */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT aa7ff6c6-542a-4e81-a321-bbc718c7c98f */ ( ReportedResetReason = ResetReason.ContentTelegramError )/*##END aa7ff6c6-542a-4e81-a321-bbc718c7c98f */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"963f76cf-4d57-4042-8097-0c1849d6485d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 12da2cb0-6d99-417d-9c06-8daa19ea0aed */ 
    '  d60out_PDI_Close_Reason := "EfeS Content Telegram Error"; nullstat;/*##END 12da2cb0-6d99-417d-9c06-8daa19ea0aed */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT 379827c2-5c0e-4818-ace9-74d58774f7f3 */ ( ReportedResetReason = ResetReason.FormalTelegramError )/*##END 379827c2-5c0e-4818-ace9-74d58774f7f3 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a4d3ad5f-71de-4207-9c75-3cc0dd35fddf",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ae3bb0e9-fcf1-436e-a6a6-73aa9db0a471 */ 
    '  d60out_PDI_Close_Reason := "EfeS Formal Telegram Error"; nullstat;/*##END ae3bb0e9-fcf1-436e-a6a6-73aa9db0a471 */ /* #REF1546# */
    ' 		This.RtsEnter_IMPERMISSIBLE();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Reset_PDI_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean, ByVal ReportedResetReason As ResetReason)
      'H1 ACTIVE
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        If (ReportedResetReason = ResetReason.ProtocolError) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "b99b4baa-7bbc-4949-900e-872eb7f1eca7", 0, NullString)
          d60out_PDI_Close_Reason.SetValue("EfeS Protocol Error")
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
        If (ReportedResetReason = ResetReason.ContentTelegramError) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "963f76cf-4d57-4042-8097-0c1849d6485d", 0, NullString)
          d60out_PDI_Close_Reason.SetValue("EfeS Content Telegram Error")
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
        If (ReportedResetReason = ResetReason.FormalTelegramError) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a4d3ad5f-71de-4207-9c75-3cc0dd35fddf", 0, NullString)
          d60out_PDI_Close_Reason.SetValue("EfeS Formal Telegram Error")
          Me.RtsEnter_IMPERMISSIBLE()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 ACTIVE - call into substate
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsESTABLISHING_Timer1_In_ACTIVE(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsESTABLISHING_Timer1_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 ACTIVE - call into substate
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        RtsESTABLISHING_Timer1_In_ACTIVE(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ESTABLISHING
    ' if This.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_ESTABLISHING */
    ' 	/* standard */
    ' 	This.RtsExit_ESTABLISHING();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"e877ba8d-36f2-40d7-b76e-a3d62c4d352e",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 96049d23-94c6-454e-8b6a-3df5d035760b */ 
    ' send Cd_Close_PDI ( CloseReason.Timeout ) to P1inout ;
    '  d60out_PDI_Close_Reason := "PDI Timeout"; nullstat;/*##END 96049d23-94c6-454e-8b6a-3df5d035760b */ /* #REF1546# */
    ' 	This.RtsDefault_ESTABLISHING();/* #REF1587# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsESTABLISHING_Timer1_In_ACTIVE(ByRef RetValue As Boolean)
      'H1 ESTABLISHING
      If Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING Then
        Me.RtsExit_ESTABLISHING()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "e877ba8d-36f2-40d7-b76e-a3d62c4d352e", 0, NullString)
        P1inout.SendEvent(New Cd_Close_PDI(CloseReason.Timeout))
        d60out_PDI_Close_Reason.SetValue("PDI Timeout")
        Me.RtsDefault_ESTABLISHING()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 ACTIVE - call into substate
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMsg_PDI_Version_Check_In_ACTIVE(RetValue, Result, ChecksumData, PDIVersion);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_PDI_Version_Check_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean, ByVal Result As String, ByVal ChecksumData As String, ByVal PDIVersion As String)
      'H1 ACTIVE
      'H1 ACTIVE - call into substate
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        RtsMsg_PDI_Version_Check_In_ACTIVE(RetValue, Result, ChecksumData, PDIVersion)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ESTABLISHING
    ' // H1 ESTABLISHING - call into substate
    ' if This.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMsg_PDI_Version_Check_In_ESTABLISHING(RetValue, Result, ChecksumData, PDIVersion);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_PDI_Version_Check_In_ACTIVE(ByRef RetValue As Boolean, ByVal Result As String, ByVal ChecksumData As String, ByVal PDIVersion As String)
      'H1 ESTABLISHING
      'H1 ESTABLISHING - call into substate
      If Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING Then
        RtsMsg_PDI_Version_Check_In_ESTABLISHING(RetValue, Result, ChecksumData, PDIVersion)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_VERSION_CHECK
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2000# *//*##STRT ab8332e9-f219-4caa-b038-5bbc8b036487 */ ( Result = "match")/*##END ab8332e9-f219-4caa-b038-5bbc8b036487 */  and /* #REF2000# *//*##STRT 989687da-ec80-4c55-ae3b-d0dcf47acf09 */ (NOT ( ChecksumData = D4in_Con_Checksum_Data ))/*##END 989687da-ec80-4c55-ae3b-d0dcf47acf09 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"23f1ee4a-8367-4543-8c79-c89a99f63600",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e897e3fb-308c-4e1d-be8b-8577c3703bc2",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e88bc0eb-629b-49e4-8c2a-5500dbb38f7c",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */  Mem_PDI_Version_Result := Result ;
    '  Mem_Checksum_Data := ChecksumData ; nullstat;/*##END f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */ /* #REF1544# */
    ' 	/*##STRT 89ccb815-b947-4bde-bd37-fe50bedb2a05 */  nullstat;/*##END 89ccb815-b947-4bde-bd37-fe50bedb2a05 */ /* #REF1544# */
    ' 	/*##STRT 0586d7cb-ad31-4d65-9e5a-0995ffbc28f6 */ 
    ' send Cd_Release_PDI_for_Maintenance to P1inout ; nullstat;/*##END 0586d7cb-ad31-4d65-9e5a-0995ffbc28f6 */ /* #REF1546# */
    ' 		This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT ab8332e9-f219-4caa-b038-5bbc8b036487 */ ( Result = "match")/*##END ab8332e9-f219-4caa-b038-5bbc8b036487 */  and /* #REF2000# *//*##STRT 9bc4662b-5494-4e29-9700-dbfc1dd1435e */ ( ChecksumData = D4in_Con_Checksum_Data )/*##END 9bc4662b-5494-4e29-9700-dbfc1dd1435e */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_VERSION_CHECK */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_VERSION_CHECK();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"23f1ee4a-8367-4543-8c79-c89a99f63600",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"e897e3fb-308c-4e1d-be8b-8577c3703bc2",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"b7716bb4-3f67-49c4-aabb-341f3c16d56c",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */  Mem_PDI_Version_Result := Result ;
    '  Mem_Checksum_Data := ChecksumData ; nullstat;/*##END f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */ /* #REF1544# */
    ' 	/*##STRT 89ccb815-b947-4bde-bd37-fe50bedb2a05 */  nullstat;/*##END 89ccb815-b947-4bde-bd37-fe50bedb2a05 */ /* #REF1544# */
    ' 	/*##STRT 821ef706-0492-4796-9a0b-fb85c15df10b */ 
    ' send Cd_Initialisation_Request to P1inout ; nullstat;/*##END 821ef706-0492-4796-9a0b-fb85c15df10b */ /* #REF1546# */
    ' 		This.RtsEnter_WAITING_FOR_INITIALISATION();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT ae7f150d-c775-4527-9227-e8e6fb082dee */ ( Result = "not match")/*##END ae7f150d-c775-4527-9227-e8e6fb082dee */  and /* #REF2000# *//*##STRT b13a6014-0d49-415f-8bac-eea210c92822 */ ( D39in_Con_Last_PDI_Version = FALSE)/*##END b13a6014-0d49-415f-8bac-eea210c92822 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_WAITING_FOR_VERSION_CHECK */
    ' 		/* standard */
    ' 		This.RtsExit_WAITING_FOR_VERSION_CHECK();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"23f1ee4a-8367-4543-8c79-c89a99f63600",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"33a62db1-a1a6-4b0a-9cf0-909022050e22",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"0ffc90bf-df2e-4bf7-aa86-29904c103385",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */  Mem_PDI_Version_Result := Result ;
    '  Mem_Checksum_Data := ChecksumData ; nullstat;/*##END f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */ /* #REF1544# */
    ' 	/*##STRT e019ad4c-ba1a-483c-a8ac-b3bd1a450711 */  nullstat;/*##END e019ad4c-ba1a-483c-a8ac-b3bd1a450711 */ /* #REF1544# */
    ' 	/*##STRT 9b452dfe-a887-4933-97a2-140823533c1d */ 
    '  T46out_Con_Other_PDI_Version_Request := TRUE;
    ' send Cd_Close_PDI ( CloseReason.OtherVersionRequired ) to P1inout ;
    '  d60out_PDI_Close_Reason := "PDI Other Version Required"; nullstat;/*##END 9b452dfe-a887-4933-97a2-140823533c1d */ /* #REF1546# */
    ' 		This.RtsEnter_OTHER_VERSION_REQUIRED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2000# *//*##STRT ae7f150d-c775-4527-9227-e8e6fb082dee */ ( Result = "not match")/*##END ae7f150d-c775-4527-9227-e8e6fb082dee */  and /* #REF2000# *//*##STRT eb35aba9-2dcd-49f6-a2e2-558e7462f012 */ ( D39in_Con_Last_PDI_Version = TRUE)/*##END eb35aba9-2dcd-49f6-a2e2-558e7462f012 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		/* #REF7004# */
    ' 		/* #REF7001# */
    ' 		/* #REF7002# */
    ' 		/* #REF7002B#  RtsExit_ACTIVE */
    ' 		/* standard */
    ' 		This.RtsExit_ACTIVE();/* #REF1596# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"23f1ee4a-8367-4543-8c79-c89a99f63600",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"33a62db1-a1a6-4b0a-9cf0-909022050e22",0,NullString);/* #REF1599# */
    ' 		
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"30dd7e7a-905c-408f-9390-fa558ad586c4",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */  Mem_PDI_Version_Result := Result ;
    '  Mem_Checksum_Data := ChecksumData ; nullstat;/*##END f72e3cbf-b9f9-4283-b0de-3fab270f5f74 */ /* #REF1544# */
    ' 	/*##STRT e019ad4c-ba1a-483c-a8ac-b3bd1a450711 */  nullstat;/*##END e019ad4c-ba1a-483c-a8ac-b3bd1a450711 */ /* #REF1544# */
    ' 	/*##STRT 1d1c8901-b1d2-45c6-b18c-e6f28fbe665c */ 
    ' send Cd_Release_PDI_for_Maintenance to P1inout ; nullstat;/*##END 1d1c8901-b1d2-45c6-b18c-e6f28fbe665c */ /* #REF1546# */
    ' 		This.RtsEnter_SUSPENDED();/* #REF1590# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_PDI_Version_Check_In_ESTABLISHING(ByRef RetValue As Boolean, ByVal Result As String, ByVal ChecksumData As String, ByVal PDIVersion As String)
      'H1 WAITING_FOR_VERSION_CHECK
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK Then
        If (Result = "match") And (NOT (ChecksumData = D4in_Con_Checksum_Data.GetLatchedValue())) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "23f1ee4a-8367-4543-8c79-c89a99f63600", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e897e3fb-308c-4e1d-be8b-8577c3703bc2", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e88bc0eb-629b-49e4-8c2a-5500dbb38f7c", 0, NullString)
          Mem_PDI_Version_Result = Result
          Mem_Checksum_Data = ChecksumData
          P1inout.SendEvent(New Cd_Release_PDI_for_Maintenance)
          Me.RtsEnter_SUSPENDED()
          RetValue = True
          Return
        End If
        If (Result = "match") And (ChecksumData = D4in_Con_Checksum_Data.GetLatchedValue()) Then
          Me.RtsExit_WAITING_FOR_VERSION_CHECK()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "23f1ee4a-8367-4543-8c79-c89a99f63600", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "e897e3fb-308c-4e1d-be8b-8577c3703bc2", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "b7716bb4-3f67-49c4-aabb-341f3c16d56c", 0, NullString)
          Mem_PDI_Version_Result = Result
          Mem_Checksum_Data = ChecksumData
          P1inout.SendEvent(New Cd_Initialisation_Request)
          Me.RtsEnter_WAITING_FOR_INITIALISATION()
          RetValue = True
          Return
        End If
        If (Result = "not match") And (D39in_Con_Last_PDI_Version.GetLatchedValue() = False) Then
          Me.RtsExit_WAITING_FOR_VERSION_CHECK()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "23f1ee4a-8367-4543-8c79-c89a99f63600", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "33a62db1-a1a6-4b0a-9cf0-909022050e22", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "0ffc90bf-df2e-4bf7-aa86-29904c103385", 0, NullString)
          Mem_PDI_Version_Result = Result
          Mem_Checksum_Data = ChecksumData
          T46out_Con_Other_PDI_Version_Request.SetValue(True)
          P1inout.SendEvent(New Cd_Close_PDI(CloseReason.OtherVersionRequired))
          d60out_PDI_Close_Reason.SetValue("PDI Other Version Required")
          Me.RtsEnter_OTHER_VERSION_REQUIRED()
          RetValue = True
          Return
        End If
        If (Result = "not match") And (D39in_Con_Last_PDI_Version.GetLatchedValue() = True) Then
          Me.RtsExit_ACTIVE()
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "23f1ee4a-8367-4543-8c79-c89a99f63600", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "33a62db1-a1a6-4b0a-9cf0-909022050e22", 0, NullString)
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "30dd7e7a-905c-408f-9390-fa558ad586c4", 0, NullString)
          Mem_PDI_Version_Result = Result
          Mem_Checksum_Data = ChecksumData
          P1inout.SendEvent(New Cd_Release_PDI_for_Maintenance)
          Me.RtsEnter_SUSPENDED()
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 ACTIVE - call into substate
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMsg_Start_Initialisation_In_ACTIVE(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Start_Initialisation_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 ACTIVE - call into substate
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        RtsMsg_Start_Initialisation_In_ACTIVE(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ESTABLISHING
    ' // H1 ESTABLISHING - call into substate
    ' if This.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMsg_Start_Initialisation_In_ESTABLISHING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Start_Initialisation_In_ACTIVE(ByRef RetValue As Boolean)
      'H1 ESTABLISHING
      'H1 ESTABLISHING - call into substate
      If Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING Then
        RtsMsg_Start_Initialisation_In_ESTABLISHING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 WAITING_FOR_INITIALISATION
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_WAITING_FOR_INITIALISATION */
    ' 	/* standard */
    ' 	This.RtsExit_WAITING_FOR_INITIALISATION();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"7106ff56-4b00-4639-a933-efc94e663fd6",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 762cc909-6a72-402b-8a4d-595d87798e3e */  nullstat;/*##END 762cc909-6a72-402b-8a4d-595d87798e3e */ /* #REF1546# */
    ' 	This.RtsEnter_RECEIVING_STATUS();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Start_Initialisation_In_ESTABLISHING(ByRef RetValue As Boolean)
      'H1 WAITING_FOR_INITIALISATION
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION Then
        Me.RtsExit_WAITING_FOR_INITIALISATION()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "7106ff56-4b00-4639-a933-efc94e663fd6", 0, NullString)
        Me.RtsEnter_RECEIVING_STATUS()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 ACTIVE - call into substate
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_ACTIVE then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMsg_Initialisation_Completed_In_ACTIVE(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Initialisation_Completed_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 ACTIVE - call into substate
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_ACTIVE Then
        RtsMsg_Initialisation_Completed_In_ACTIVE(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ESTABLISHING
    ' // H1 ESTABLISHING - call into substate
    ' if This.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING then/* #REF5# */
    ' /* #REF6# */
    ' 	RtsMsg_Initialisation_Completed_In_ESTABLISHING(RetValue);/* #REF7# */
    ' 	if RetValue then/* #REF8# */
    ' 	/* #REF9# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF10# */
    ' 	end if
    ' /* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Initialisation_Completed_In_ACTIVE(ByRef RetValue As Boolean)
      'H1 ESTABLISHING
      'H1 ESTABLISHING - call into substate
      If Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING Then
        RtsMsg_Initialisation_Completed_In_ESTABLISHING(RetValue)
        If RetValue Then
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_STATUS
    ' if This.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_ESTABLISHING */
    ' 	/* standard */
    ' 	This.RtsExit_ESTABLISHING();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"3c7998cc-0e79-4e0c-89a2-fb9eb2e1b443",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 31a2a0d4-20b3-4b30-a0be-4da6fa7e0c20 */  nullstat;/*##END 31a2a0d4-20b3-4b30-a0be-4da6fa7e0c20 */ /* #REF1546# */
    ' 	This.RtsEnter_ESTABLISHED();/* #REF1590# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Initialisation_Completed_In_ESTABLISHING(ByRef RetValue As Boolean)
      'H1 RECEIVING_STATUS
      If Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS Then
        Me.RtsExit_ESTABLISHING()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "3c7998cc-0e79-4e0c-89a2-fb9eb2e1b443", 0, NullString)
        Me.RtsEnter_ESTABLISHED()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 ACTIVE
    ' // H1 SUSPENDED
    ' if This.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States{enum_datatype}.RtsS_SCI_EfeS_Prim_States_SUSPENDED then/* #REF5# */
    ' /* #REF6# */
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_SUSPENDED */
    ' 	/* standard */
    ' 	This.RtsExit_SUSPENDED();/* #REF1596# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"13fa50fe-ec7b-46c0-800c-fe5544fe5c8f",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 5a5a879c-b8bb-4008-b455-99ca2a205384 */  nullstat;/*##END 5a5a879c-b8bb-4008-b455-99ca2a205384 */ /* #REF1546# */
    ' 	This.RtsDefault_ACTIVE();/* #REF1587# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_PDI_Available_In_S_SCI_EfeS_Prim(ByRef RetValue As Boolean)
      'H1 ACTIVE
      'H1 SUSPENDED
      If Me.RtsCurrent_S_SCI_EfeS_Prim = RtsS_SCI_EfeS_Prim_States.RtsS_SCI_EfeS_Prim_States_SUSPENDED Then
        Me.RtsExit_SUSPENDED()
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "13fa50fe-ec7b-46c0-800c-fe5544fe5c8f", 0, NullString)
        Me.RtsDefault_ACTIVE()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : ACTIVE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f589d9b0-1cfe-4a0b-9e13-86a8d0898523|") then
    '   OperatedStates := OperatedStates + "f589d9b0-1cfe-4a0b-9e13-86a8d0898523|";
    ' end if
    ' /* #REF737# */
    ' select case This.RtsCurrent_ACTIVE
    ' /* #REF738# */
    ' 	case RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_ESTABLISHING();/* #REF742# */
    ' 	case RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_ESTABLISHED();/* #REF742# */
    ' 	case else:/* #REF743# */
    ' 		/* #REF744# */
    ' end select
    ' This.RtsCurrent_ACTIVE := RtsS_SCI_EfeS_PrimACTIVE_States{enum_datatype}.RtsS_SCI_EfeS_PrimACTIVE_States_NotIn_ACTIVE;/* #REF748# */
    ' 
    Private Sub RtsExitSSOf_ACTIVE()
      If not OperatedStates.Contains("f589d9b0-1cfe-4a0b-9e13-86a8d0898523|") Then
        OperatedStates = OperatedStates + "f589d9b0-1cfe-4a0b-9e13-86a8d0898523|"
      End If
      Select Case Me.RtsCurrent_ACTIVE
        Case RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHING
          Me.RtsExit_ESTABLISHING()
        Case RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_ESTABLISHED
          Me.RtsExit_ESTABLISHED()
      End Select
      Me.RtsCurrent_ACTIVE = RtsS_SCI_EfeS_PrimACTIVE_States.RtsS_SCI_EfeS_PrimACTIVE_States_NotIn_ACTIVE
    End Sub
    
    ' \ART_SMG :: Created for state : DISCONNECTED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("40ece123-bc4c-4e07-849a-9cd439d1df20|") then
    '   OperatedStates := OperatedStates + "40ece123-bc4c-4e07-849a-9cd439d1df20|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_DISCONNECTED()
      If not OperatedStates.Contains("40ece123-bc4c-4e07-849a-9cd439d1df20|") Then
        OperatedStates = OperatedStates + "40ece123-bc4c-4e07-849a-9cd439d1df20|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : DISCONNECTED_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("59a690f6-ad8a-45d0-bdab-1e4be11e336f|") then
    '   OperatedStates := OperatedStates + "59a690f6-ad8a-45d0-bdab-1e4be11e336f|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_DISCONNECTED_NO_SCP()
      If not OperatedStates.Contains("59a690f6-ad8a-45d0-bdab-1e4be11e336f|") Then
        OperatedStates = OperatedStates + "59a690f6-ad8a-45d0-bdab-1e4be11e336f|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IMPERMISSIBLE
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("23d3f36e-104b-4e3c-8de3-ce795184e4b1|") then
    '   OperatedStates := OperatedStates + "23d3f36e-104b-4e3c-8de3-ce795184e4b1|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_IMPERMISSIBLE()
      If not OperatedStates.Contains("23d3f36e-104b-4e3c-8de3-ce795184e4b1|") Then
        OperatedStates = OperatedStates + "23d3f36e-104b-4e3c-8de3-ce795184e4b1|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : IMPERMISSIBLE_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b8180ee0-f815-4867-bb62-832cd4094618|") then
    '   OperatedStates := OperatedStates + "b8180ee0-f815-4867-bb62-832cd4094618|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_IMPERMISSIBLE_NO_SCP()
      If not OperatedStates.Contains("b8180ee0-f815-4867-bb62-832cd4094618|") Then
        OperatedStates = OperatedStates + "b8180ee0-f815-4867-bb62-832cd4094618|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : REQUESTED_NO_SCP
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a598dff8-2813-4044-91cf-7925354bb8c6|") then
    '   OperatedStates := OperatedStates + "a598dff8-2813-4044-91cf-7925354bb8c6|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_REQUESTED_NO_SCP()
      If not OperatedStates.Contains("a598dff8-2813-4044-91cf-7925354bb8c6|") Then
        OperatedStates = OperatedStates + "a598dff8-2813-4044-91cf-7925354bb8c6|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : SUSPENDED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b611af78-b8d5-4a88-b90a-84b47baabee5|") then
    '   OperatedStates := OperatedStates + "b611af78-b8d5-4a88-b90a-84b47baabee5|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_SUSPENDED()
      If not OperatedStates.Contains("b611af78-b8d5-4a88-b90a-84b47baabee5|") Then
        OperatedStates = OperatedStates + "b611af78-b8d5-4a88-b90a-84b47baabee5|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHING
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("bdcc7435-7f33-4928-ae06-59dfc65451ee|") then
    '   OperatedStates := OperatedStates + "bdcc7435-7f33-4928-ae06-59dfc65451ee|";
    ' end if
    ' /* #REF737# */
    ' select case This.RtsCurrent_ESTABLISHING
    ' /* #REF738# */
    ' 	case RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_WAITING_FOR_VERSION_CHECK();/* #REF742# */
    ' 	case RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_WAITING_FOR_INITIALISATION();/* #REF742# */
    ' 	case RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_RECEIVING_STATUS();/* #REF742# */
    ' 	case RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED:/* #REF740# */
    ' 	/* #REF741# */
    ' 		This.RtsExit_OTHER_VERSION_REQUIRED();/* #REF742# */
    ' 	case else:/* #REF743# */
    ' 		/* #REF744# */
    ' end select
    ' This.RtsCurrent_ESTABLISHING := RtsS_SCI_EfeS_PrimESTABLISHING_States{enum_datatype}.RtsS_SCI_EfeS_PrimESTABLISHING_States_NotIn_ESTABLISHING;/* #REF748# */
    ' 
    Private Sub RtsExitSSOf_ESTABLISHING()
      If not OperatedStates.Contains("bdcc7435-7f33-4928-ae06-59dfc65451ee|") Then
        OperatedStates = OperatedStates + "bdcc7435-7f33-4928-ae06-59dfc65451ee|"
      End If
      Select Case Me.RtsCurrent_ESTABLISHING
        Case RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_VERSION_CHECK
          Me.RtsExit_WAITING_FOR_VERSION_CHECK()
        Case RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_WAITING_FOR_INITIALISATION
          Me.RtsExit_WAITING_FOR_INITIALISATION()
        Case RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_RECEIVING_STATUS
          Me.RtsExit_RECEIVING_STATUS()
        Case RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_OTHER_VERSION_REQUIRED
          Me.RtsExit_OTHER_VERSION_REQUIRED()
      End Select
      Me.RtsCurrent_ESTABLISHING = RtsS_SCI_EfeS_PrimESTABLISHING_States.RtsS_SCI_EfeS_PrimESTABLISHING_States_NotIn_ESTABLISHING
    End Sub
    
    ' \ART_SMG :: Created for state : ESTABLISHED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b9b274ca-51f6-4d04-b575-d606028484e7|") then
    '   OperatedStates := OperatedStates + "b9b274ca-51f6-4d04-b575-d606028484e7|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_ESTABLISHED()
      If not OperatedStates.Contains("b9b274ca-51f6-4d04-b575-d606028484e7|") Then
        OperatedStates = OperatedStates + "b9b274ca-51f6-4d04-b575-d606028484e7|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_VERSION_CHECK
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|") then
    '   OperatedStates := OperatedStates + "9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_VERSION_CHECK()
      If not OperatedStates.Contains("9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|") Then
        OperatedStates = OperatedStates + "9a914b97-6ed7-4a6d-8a4d-610d8bb245d0|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : WAITING_FOR_INITIALISATION
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("ef441dfe-7565-4ca3-97e8-94ecc3b3b025|") then
    '   OperatedStates := OperatedStates + "ef441dfe-7565-4ca3-97e8-94ecc3b3b025|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_WAITING_FOR_INITIALISATION()
      If not OperatedStates.Contains("ef441dfe-7565-4ca3-97e8-94ecc3b3b025|") Then
        OperatedStates = OperatedStates + "ef441dfe-7565-4ca3-97e8-94ecc3b3b025|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_STATUS
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("f9fbd6fa-9c83-489f-8748-0aa539878f54|") then
    '   OperatedStates := OperatedStates + "f9fbd6fa-9c83-489f-8748-0aa539878f54|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_RECEIVING_STATUS()
      If not OperatedStates.Contains("f9fbd6fa-9c83-489f-8748-0aa539878f54|") Then
        OperatedStates = OperatedStates + "f9fbd6fa-9c83-489f-8748-0aa539878f54|"
      End If
    End Sub
    
    ' \ART_SMG :: Created for state : OTHER_VERSION_REQUIRED
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|") then
    '   OperatedStates := OperatedStates + "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_OTHER_VERSION_REQUIRED()
      If not OperatedStates.Contains("dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|") Then
        OperatedStates = OperatedStates + "dbc2b1b7-bfe0-471d-96a8-0fee278e94e8|"
      End If
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' This.RtsAttESTABLISHING_Timer1.TStep(CurrentTime);
    ' if This.RtsAttESTABLISHING_Timer1.HasElapsed() then
    '   This.RtsAttESTABLISHING_Timer1.TStop();
    '   RtsESTABLISHING_Timer1_CallBack(This);
    ' end if
    ' Ret := SMSupport.Duration.MinOf(Ret, This.RtsAttESTABLISHING_Timer1.TimeToLive());
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      Me.RtsAttESTABLISHING_Timer1.TStep(CurrentTime)
      If Me.RtsAttESTABLISHING_Timer1.HasElapsed() Then
        Me.RtsAttESTABLISHING_Timer1.TStop()
        RtsESTABLISHING_Timer1_CallBack(Me)
      End If
      Ret = SMSupport.Duration.MinOf(Ret, Me.RtsAttESTABLISHING_Timer1.TimeToLive())
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume D2in_Con_tmax_PDI_Connection: a SySimInputPort;
    ' assume D39in_Con_Last_PDI_Version: a SySimInputPort;
    ' assume D3in_Con_PDI_Version: a SySimInputPort;
    ' assume D4in_Con_Checksum_Data: a SySimInputPort;
    ' assume d50out_PDI_Connection_State: a SySimOutputPort;
    ' assume d60out_PDI_Close_Reason: a SySimOutputPort;
    ' assume P1inout: a SySimInputPort, a SySimOutputPort;
    ' assume T10in_SCP_Connection_Terminated: a SySimInputPort;
    ' assume T12out_Terminate_SCP_Connection: a SySimOutputPort;
    ' assume T20in_Protocol_Error: a SySimInputPort;
    ' assume T21in_Formal_Telegram_Error: a SySimInputPort;
    ' assume T22in_Content_Telegram_Error: a SySimInputPort;
    ' assume T44in_Initiate_Maintenance: a SySimInputPort;
    ' assume T45in_Reset_Severe_Error: a SySimInputPort;
    ' assume T46out_Con_Other_PDI_Version_Request: a SySimOutputPort;
    ' assume T47in_Con_Other_PDI_Version_Available: a SySimInputPort;
    ' assume T48in_Disable_Or_Disconnect_PDI_EfeS: a SySimInputPort;
    ' assume T49in_Enable_Or_Connect_PDI_EfeS: a SySimInputPort;
    ' assume T5in_SCP_Connection_Established: a SySimInputPort;
    ' assume T6out_Establish_SCP_Connection: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg17Tmp := (/*##STRT ca96e462-8d46-46d3-96d9-24c433ae53be */ ( T5in_SCP_Connection_Established )/*##END ca96e462-8d46-46d3-96d9-24c433ae53be */ ) : Boolean;
    ' ChgFlg17 := EvalTrigger(ChgFlg17Tmp , ChgFlgLast17);
    ' declare ChgFlg12Tmp := (/*##STRT e978b143-001b-4e30-90fc-17901bdf39ea */ ( T10in_SCP_Connection_Terminated )/*##END e978b143-001b-4e30-90fc-17901bdf39ea */ ) : Boolean;
    ' ChgFlg12 := EvalTrigger(ChgFlg12Tmp , ChgFlgLast12);
    ' declare ChgFlg8Tmp := (/*##STRT 8f9a7269-98eb-4d55-b901-f7c17fb31a70 */ ( T10in_SCP_Connection_Terminated )/*##END 8f9a7269-98eb-4d55-b901-f7c17fb31a70 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' declare ChgFlg16Tmp := (/*##STRT c75cf973-b408-47ab-83c4-79f6f7a9ccae */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END c75cf973-b408-47ab-83c4-79f6f7a9ccae */ ) : Boolean;
    ' ChgFlg16 := EvalTrigger(ChgFlg16Tmp , ChgFlgLast16);
    ' declare ChgFlg3Tmp := (/*##STRT 5baed757-a410-4afb-8d7f-4ffe3d34977b */ ( T21in_Formal_Telegram_Error )/*##END 5baed757-a410-4afb-8d7f-4ffe3d34977b */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg1Tmp := (/*##STRT b83bb344-a81f-4e34-85cd-6c5f8afa58b9 */ ( T10in_SCP_Connection_Terminated )/*##END b83bb344-a81f-4e34-85cd-6c5f8afa58b9 */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg13Tmp := (/*##STRT 8f3f28fb-eb4b-4d8e-9e73-dec19a2ca214 */ ( T45in_Reset_Severe_Error )/*##END 8f3f28fb-eb4b-4d8e-9e73-dec19a2ca214 */ ) : Boolean;
    ' ChgFlg13 := EvalTrigger(ChgFlg13Tmp , ChgFlgLast13);
    ' declare ChgFlg7Tmp := (/*##STRT 3d6da5ca-a791-4c24-965f-74c432262bf4 */ ( T47in_Con_Other_PDI_Version_Available )/*##END 3d6da5ca-a791-4c24-965f-74c432262bf4 */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg10Tmp := (/*##STRT 94c2b446-4165-4497-b06d-0f42d8908d88 */ ( T49in_Enable_Or_Connect_PDI_EfeS )/*##END 94c2b446-4165-4497-b06d-0f42d8908d88 */ ) : Boolean;
    ' ChgFlg10 := EvalTrigger(ChgFlg10Tmp , ChgFlgLast10);
    ' declare ChgFlg15Tmp := (/*##STRT 07d52214-f066-43cd-8910-c5d19673b2dc */ ( T5in_SCP_Connection_Established )/*##END 07d52214-f066-43cd-8910-c5d19673b2dc */ ) : Boolean;
    ' ChgFlg15 := EvalTrigger(ChgFlg15Tmp , ChgFlgLast15);
    ' declare ChgFlg2Tmp := (/*##STRT a491939d-3429-400c-a666-a46e675111ab */ ( T20in_Protocol_Error )/*##END a491939d-3429-400c-a666-a46e675111ab */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg9Tmp := (/*##STRT 4238a2dd-0a07-4db7-be0e-5d1fdb3834d8 */ ( T49in_Enable_Or_Connect_PDI_EfeS )/*##END 4238a2dd-0a07-4db7-be0e-5d1fdb3834d8 */ ) : Boolean;
    ' ChgFlg9 := EvalTrigger(ChgFlg9Tmp , ChgFlgLast9);
    ' declare ChgFlg18Tmp := (/*##STRT c556a5f4-1099-44df-9b1e-1a0ce59939e4 */ ( T10in_SCP_Connection_Terminated )/*##END c556a5f4-1099-44df-9b1e-1a0ce59939e4 */ ) : Boolean;
    ' ChgFlg18 := EvalTrigger(ChgFlg18Tmp , ChgFlgLast18);
    ' declare ChgFlg4Tmp := (/*##STRT d8f786a3-b42a-4473-8227-8ebe8afe82cf */ ( T22in_Content_Telegram_Error )/*##END d8f786a3-b42a-4473-8227-8ebe8afe82cf */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg6Tmp := (/*##STRT f7a869e8-c2b8-43ab-b6bc-480fed43b9b5 */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END f7a869e8-c2b8-43ab-b6bc-480fed43b9b5 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg5Tmp := (/*##STRT 6691c935-1216-453c-ab2f-317e52c68a2c */ ( T44in_Initiate_Maintenance )/*##END 6691c935-1216-453c-ab2f-317e52c68a2c */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg14Tmp := (/*##STRT e23d36c6-bde2-4853-907d-0611b43ac3b0 */ ( T45in_Reset_Severe_Error )/*##END e23d36c6-bde2-4853-907d-0611b43ac3b0 */ ) : Boolean;
    ' ChgFlg14 := EvalTrigger(ChgFlg14Tmp , ChgFlgLast14);
    ' declare ChgFlg19Tmp := (/*##STRT 3a905fbc-dd5b-4dad-b607-83f4aaeedc7a */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END 3a905fbc-dd5b-4dad-b607-83f4aaeedc7a */ ) : Boolean;
    ' ChgFlg19 := EvalTrigger(ChgFlg19Tmp , ChgFlgLast19);
    ' declare ChgFlg11Tmp := (/*##STRT 9417d001-14ff-4f9d-b04a-961249aef732 */ ( T5in_SCP_Connection_Established )/*##END 9417d001-14ff-4f9d-b04a-961249aef732 */ ) : Boolean;
    ' ChgFlg11 := EvalTrigger(ChgFlg11Tmp , ChgFlgLast11);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast17 := ChgFlg17Tmp;
    ' ChgFlgLast12 := ChgFlg12Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' ChgFlgLast16 := ChgFlg16Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast13 := ChgFlg13Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast10 := ChgFlg10Tmp;
    ' ChgFlgLast15 := ChgFlg15Tmp;
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast9 := ChgFlg9Tmp;
    ' ChgFlgLast18 := ChgFlg18Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast14 := ChgFlg14Tmp;
    ' ChgFlgLast19 := ChgFlg19Tmp;
    ' ChgFlgLast11 := ChgFlg11Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg17 := (/*##STRT ca96e462-8d46-46d3-96d9-24c433ae53be */ ( T5in_SCP_Connection_Established )/*##END ca96e462-8d46-46d3-96d9-24c433ae53be */ ) : Boolean;
    '   declare MaskedChgFlg12 := (/*##STRT e978b143-001b-4e30-90fc-17901bdf39ea */ ( T10in_SCP_Connection_Terminated )/*##END e978b143-001b-4e30-90fc-17901bdf39ea */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT 8f9a7269-98eb-4d55-b901-f7c17fb31a70 */ ( T10in_SCP_Connection_Terminated )/*##END 8f9a7269-98eb-4d55-b901-f7c17fb31a70 */ ) : Boolean;
    '   declare MaskedChgFlg16 := (/*##STRT c75cf973-b408-47ab-83c4-79f6f7a9ccae */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END c75cf973-b408-47ab-83c4-79f6f7a9ccae */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 5baed757-a410-4afb-8d7f-4ffe3d34977b */ ( T21in_Formal_Telegram_Error )/*##END 5baed757-a410-4afb-8d7f-4ffe3d34977b */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT b83bb344-a81f-4e34-85cd-6c5f8afa58b9 */ ( T10in_SCP_Connection_Terminated )/*##END b83bb344-a81f-4e34-85cd-6c5f8afa58b9 */ ) : Boolean;
    '   declare MaskedChgFlg13 := (/*##STRT 8f3f28fb-eb4b-4d8e-9e73-dec19a2ca214 */ ( T45in_Reset_Severe_Error )/*##END 8f3f28fb-eb4b-4d8e-9e73-dec19a2ca214 */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 3d6da5ca-a791-4c24-965f-74c432262bf4 */ ( T47in_Con_Other_PDI_Version_Available )/*##END 3d6da5ca-a791-4c24-965f-74c432262bf4 */ ) : Boolean;
    '   declare MaskedChgFlg10 := (/*##STRT 94c2b446-4165-4497-b06d-0f42d8908d88 */ ( T49in_Enable_Or_Connect_PDI_EfeS )/*##END 94c2b446-4165-4497-b06d-0f42d8908d88 */ ) : Boolean;
    '   declare MaskedChgFlg15 := (/*##STRT 07d52214-f066-43cd-8910-c5d19673b2dc */ ( T5in_SCP_Connection_Established )/*##END 07d52214-f066-43cd-8910-c5d19673b2dc */ ) : Boolean;
    '   declare MaskedChgFlg2 := (/*##STRT a491939d-3429-400c-a666-a46e675111ab */ ( T20in_Protocol_Error )/*##END a491939d-3429-400c-a666-a46e675111ab */ ) : Boolean;
    '   declare MaskedChgFlg9 := (/*##STRT 4238a2dd-0a07-4db7-be0e-5d1fdb3834d8 */ ( T49in_Enable_Or_Connect_PDI_EfeS )/*##END 4238a2dd-0a07-4db7-be0e-5d1fdb3834d8 */ ) : Boolean;
    '   declare MaskedChgFlg18 := (/*##STRT c556a5f4-1099-44df-9b1e-1a0ce59939e4 */ ( T10in_SCP_Connection_Terminated )/*##END c556a5f4-1099-44df-9b1e-1a0ce59939e4 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT d8f786a3-b42a-4473-8227-8ebe8afe82cf */ ( T22in_Content_Telegram_Error )/*##END d8f786a3-b42a-4473-8227-8ebe8afe82cf */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT f7a869e8-c2b8-43ab-b6bc-480fed43b9b5 */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END f7a869e8-c2b8-43ab-b6bc-480fed43b9b5 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT 6691c935-1216-453c-ab2f-317e52c68a2c */ ( T44in_Initiate_Maintenance )/*##END 6691c935-1216-453c-ab2f-317e52c68a2c */ ) : Boolean;
    '   declare MaskedChgFlg14 := (/*##STRT e23d36c6-bde2-4853-907d-0611b43ac3b0 */ ( T45in_Reset_Severe_Error )/*##END e23d36c6-bde2-4853-907d-0611b43ac3b0 */ ) : Boolean;
    '   declare MaskedChgFlg19 := (/*##STRT 3a905fbc-dd5b-4dad-b607-83f4aaeedc7a */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END 3a905fbc-dd5b-4dad-b607-83f4aaeedc7a */ ) : Boolean;
    '   declare MaskedChgFlg11 := (/*##STRT 9417d001-14ff-4f9d-b04a-961249aef732 */ ( T5in_SCP_Connection_Established )/*##END 9417d001-14ff-4f9d-b04a-961249aef732 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg17 := (/*##STRT ca96e462-8d46-46d3-96d9-24c433ae53be */ ( T5in_SCP_Connection_Established )/*##END ca96e462-8d46-46d3-96d9-24c433ae53be */ ) : Boolean;
    '   declare UnMaskedChgFlg12 := (/*##STRT e978b143-001b-4e30-90fc-17901bdf39ea */ ( T10in_SCP_Connection_Terminated )/*##END e978b143-001b-4e30-90fc-17901bdf39ea */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT 8f9a7269-98eb-4d55-b901-f7c17fb31a70 */ ( T10in_SCP_Connection_Terminated )/*##END 8f9a7269-98eb-4d55-b901-f7c17fb31a70 */ ) : Boolean;
    '   declare UnMaskedChgFlg16 := (/*##STRT c75cf973-b408-47ab-83c4-79f6f7a9ccae */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END c75cf973-b408-47ab-83c4-79f6f7a9ccae */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 5baed757-a410-4afb-8d7f-4ffe3d34977b */ ( T21in_Formal_Telegram_Error )/*##END 5baed757-a410-4afb-8d7f-4ffe3d34977b */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT b83bb344-a81f-4e34-85cd-6c5f8afa58b9 */ ( T10in_SCP_Connection_Terminated )/*##END b83bb344-a81f-4e34-85cd-6c5f8afa58b9 */ ) : Boolean;
    '   declare UnMaskedChgFlg13 := (/*##STRT 8f3f28fb-eb4b-4d8e-9e73-dec19a2ca214 */ ( T45in_Reset_Severe_Error )/*##END 8f3f28fb-eb4b-4d8e-9e73-dec19a2ca214 */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 3d6da5ca-a791-4c24-965f-74c432262bf4 */ ( T47in_Con_Other_PDI_Version_Available )/*##END 3d6da5ca-a791-4c24-965f-74c432262bf4 */ ) : Boolean;
    '   declare UnMaskedChgFlg10 := (/*##STRT 94c2b446-4165-4497-b06d-0f42d8908d88 */ ( T49in_Enable_Or_Connect_PDI_EfeS )/*##END 94c2b446-4165-4497-b06d-0f42d8908d88 */ ) : Boolean;
    '   declare UnMaskedChgFlg15 := (/*##STRT 07d52214-f066-43cd-8910-c5d19673b2dc */ ( T5in_SCP_Connection_Established )/*##END 07d52214-f066-43cd-8910-c5d19673b2dc */ ) : Boolean;
    '   declare UnMaskedChgFlg2 := (/*##STRT a491939d-3429-400c-a666-a46e675111ab */ ( T20in_Protocol_Error )/*##END a491939d-3429-400c-a666-a46e675111ab */ ) : Boolean;
    '   declare UnMaskedChgFlg9 := (/*##STRT 4238a2dd-0a07-4db7-be0e-5d1fdb3834d8 */ ( T49in_Enable_Or_Connect_PDI_EfeS )/*##END 4238a2dd-0a07-4db7-be0e-5d1fdb3834d8 */ ) : Boolean;
    '   declare UnMaskedChgFlg18 := (/*##STRT c556a5f4-1099-44df-9b1e-1a0ce59939e4 */ ( T10in_SCP_Connection_Terminated )/*##END c556a5f4-1099-44df-9b1e-1a0ce59939e4 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT d8f786a3-b42a-4473-8227-8ebe8afe82cf */ ( T22in_Content_Telegram_Error )/*##END d8f786a3-b42a-4473-8227-8ebe8afe82cf */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT f7a869e8-c2b8-43ab-b6bc-480fed43b9b5 */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END f7a869e8-c2b8-43ab-b6bc-480fed43b9b5 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT 6691c935-1216-453c-ab2f-317e52c68a2c */ ( T44in_Initiate_Maintenance )/*##END 6691c935-1216-453c-ab2f-317e52c68a2c */ ) : Boolean;
    '   declare UnMaskedChgFlg14 := (/*##STRT e23d36c6-bde2-4853-907d-0611b43ac3b0 */ ( T45in_Reset_Severe_Error )/*##END e23d36c6-bde2-4853-907d-0611b43ac3b0 */ ) : Boolean;
    '   declare UnMaskedChgFlg19 := (/*##STRT 3a905fbc-dd5b-4dad-b607-83f4aaeedc7a */ ( T48in_Disable_Or_Disconnect_PDI_EfeS )/*##END 3a905fbc-dd5b-4dad-b607-83f4aaeedc7a */ ) : Boolean;
    '   declare UnMaskedChgFlg11 := (/*##STRT 9417d001-14ff-4f9d-b04a-961249aef732 */ ( T5in_SCP_Connection_Established )/*##END 9417d001-14ff-4f9d-b04a-961249aef732 */ ) : Boolean;
    '   declare PreviousChgFlg17 := ChgFlg17 : Boolean;
    '   declare PreviousChgFlg12 := ChgFlg12 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   declare PreviousChgFlg16 := ChgFlg16 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg13 := ChgFlg13 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg10 := ChgFlg10 : Boolean;
    '   declare PreviousChgFlg15 := ChgFlg15 : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg9 := ChgFlg9 : Boolean;
    '   declare PreviousChgFlg18 := ChgFlg18 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg14 := ChgFlg14 : Boolean;
    '   declare PreviousChgFlg19 := ChgFlg19 : Boolean;
    '   declare PreviousChgFlg11 := ChgFlg11 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := True;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := True;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := True;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := True;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := True;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := True;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := True;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := True;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := True;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := True;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := True;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := True;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg18 And UnMaskedChgFlg18 And Not MaskedChgFlg18 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := True;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := True;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := True;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := True;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := True;
    '   ChgFlg19 := False;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg19 And UnMaskedChgFlg19 And Not MaskedChgFlg19 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := True;
    '   ChgFlg11 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg17 := False;
    '   ChgFlg12 := False;
    '   ChgFlg8 := False;
    '   ChgFlg16 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg13 := False;
    '   ChgFlg7 := False;
    '   ChgFlg10 := False;
    '   ChgFlg15 := False;
    '   ChgFlg2 := False;
    '   ChgFlg9 := False;
    '   ChgFlg18 := False;
    '   ChgFlg4 := False;
    '   ChgFlg6 := False;
    '   ChgFlg5 := False;
    '   ChgFlg14 := False;
    '   ChgFlg19 := False;
    '   ChgFlg11 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg17 := false;
    ' ChgFlg12 := false;
    ' ChgFlg8 := false;
    ' ChgFlg16 := false;
    ' ChgFlg3 := false;
    ' ChgFlg1 := false;
    ' ChgFlg13 := false;
    ' ChgFlg7 := false;
    ' ChgFlg10 := false;
    ' ChgFlg15 := false;
    ' ChgFlg2 := false;
    ' ChgFlg9 := false;
    ' ChgFlg18 := false;
    ' ChgFlg4 := false;
    ' ChgFlg6 := false;
    ' ChgFlg5 := false;
    ' ChgFlg14 := false;
    ' ChgFlg19 := false;
    ' ChgFlg11 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg17Tmp As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
      ChgFlg17 = EvalTrigger(ChgFlg17Tmp, ChgFlgLast17)
      Dim ChgFlg12Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg12 = EvalTrigger(ChgFlg12Tmp, ChgFlgLast12)
      Dim ChgFlg8Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      Dim ChgFlg16Tmp As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
      ChgFlg16 = EvalTrigger(ChgFlg16Tmp, ChgFlgLast16)
      Dim ChgFlg3Tmp As Boolean = ((T21in_Formal_Telegram_Error.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg1Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg13Tmp As Boolean = ((T45in_Reset_Severe_Error.GetLatchedValue()))
      ChgFlg13 = EvalTrigger(ChgFlg13Tmp, ChgFlgLast13)
      Dim ChgFlg7Tmp As Boolean = ((T47in_Con_Other_PDI_Version_Available.GetLatchedValue()))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg10Tmp As Boolean = ((T49in_Enable_Or_Connect_PDI_EfeS.GetLatchedValue()))
      ChgFlg10 = EvalTrigger(ChgFlg10Tmp, ChgFlgLast10)
      Dim ChgFlg15Tmp As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
      ChgFlg15 = EvalTrigger(ChgFlg15Tmp, ChgFlgLast15)
      Dim ChgFlg2Tmp As Boolean = ((T20in_Protocol_Error.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg9Tmp As Boolean = ((T49in_Enable_Or_Connect_PDI_EfeS.GetLatchedValue()))
      ChgFlg9 = EvalTrigger(ChgFlg9Tmp, ChgFlgLast9)
      Dim ChgFlg18Tmp As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
      ChgFlg18 = EvalTrigger(ChgFlg18Tmp, ChgFlgLast18)
      Dim ChgFlg4Tmp As Boolean = ((T22in_Content_Telegram_Error.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg6Tmp As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg5Tmp As Boolean = ((T44in_Initiate_Maintenance.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg14Tmp As Boolean = ((T45in_Reset_Severe_Error.GetLatchedValue()))
      ChgFlg14 = EvalTrigger(ChgFlg14Tmp, ChgFlgLast14)
      Dim ChgFlg19Tmp As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
      ChgFlg19 = EvalTrigger(ChgFlg19Tmp, ChgFlgLast19)
      Dim ChgFlg11Tmp As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
      ChgFlg11 = EvalTrigger(ChgFlg11Tmp, ChgFlgLast11)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast17 = ChgFlg17Tmp
      ChgFlgLast12 = ChgFlg12Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      ChgFlgLast16 = ChgFlg16Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast13 = ChgFlg13Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast10 = ChgFlg10Tmp
      ChgFlgLast15 = ChgFlg15Tmp
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast9 = ChgFlg9Tmp
      ChgFlgLast18 = ChgFlg18Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast14 = ChgFlg14Tmp
      ChgFlgLast19 = ChgFlg19Tmp
      ChgFlgLast11 = ChgFlg11Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg17 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim MaskedChgFlg12 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg8 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg16 As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((T21in_Formal_Telegram_Error.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg13 As Boolean = ((T45in_Reset_Severe_Error.GetLatchedValue()))
        Dim MaskedChgFlg7 As Boolean = ((T47in_Con_Other_PDI_Version_Available.GetLatchedValue()))
        Dim MaskedChgFlg10 As Boolean = ((T49in_Enable_Or_Connect_PDI_EfeS.GetLatchedValue()))
        Dim MaskedChgFlg15 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim MaskedChgFlg2 As Boolean = ((T20in_Protocol_Error.GetLatchedValue()))
        Dim MaskedChgFlg9 As Boolean = ((T49in_Enable_Or_Connect_PDI_EfeS.GetLatchedValue()))
        Dim MaskedChgFlg18 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((T22in_Content_Telegram_Error.GetLatchedValue()))
        Dim MaskedChgFlg6 As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((T44in_Initiate_Maintenance.GetLatchedValue()))
        Dim MaskedChgFlg14 As Boolean = ((T45in_Reset_Severe_Error.GetLatchedValue()))
        Dim MaskedChgFlg19 As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
        Dim MaskedChgFlg11 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg17 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim UnMaskedChgFlg12 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg8 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg16 As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((T21in_Formal_Telegram_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg13 As Boolean = ((T45in_Reset_Severe_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg7 As Boolean = ((T47in_Con_Other_PDI_Version_Available.GetLatchedValue()))
        Dim UnMaskedChgFlg10 As Boolean = ((T49in_Enable_Or_Connect_PDI_EfeS.GetLatchedValue()))
        Dim UnMaskedChgFlg15 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim UnMaskedChgFlg2 As Boolean = ((T20in_Protocol_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg9 As Boolean = ((T49in_Enable_Or_Connect_PDI_EfeS.GetLatchedValue()))
        Dim UnMaskedChgFlg18 As Boolean = ((T10in_SCP_Connection_Terminated.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((T22in_Content_Telegram_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg6 As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((T44in_Initiate_Maintenance.GetLatchedValue()))
        Dim UnMaskedChgFlg14 As Boolean = ((T45in_Reset_Severe_Error.GetLatchedValue()))
        Dim UnMaskedChgFlg19 As Boolean = ((T48in_Disable_Or_Disconnect_PDI_EfeS.GetLatchedValue()))
        Dim UnMaskedChgFlg11 As Boolean = ((T5in_SCP_Connection_Established.GetLatchedValue()))
        Dim PreviousChgFlg17 As Boolean = ChgFlg17
        Dim PreviousChgFlg12 As Boolean = ChgFlg12
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        Dim PreviousChgFlg16 As Boolean = ChgFlg16
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg13 As Boolean = ChgFlg13
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg10 As Boolean = ChgFlg10
        Dim PreviousChgFlg15 As Boolean = ChgFlg15
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg9 As Boolean = ChgFlg9
        Dim PreviousChgFlg18 As Boolean = ChgFlg18
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg14 As Boolean = ChgFlg14
        Dim PreviousChgFlg19 As Boolean = ChgFlg19
        Dim PreviousChgFlg11 As Boolean = ChgFlg11
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg17 And UnMaskedChgFlg17 And Not MaskedChgFlg17 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = True
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg12 And UnMaskedChgFlg12 And Not MaskedChgFlg12 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = True
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = True
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg16 And UnMaskedChgFlg16 And Not MaskedChgFlg16 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = True
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = True
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = True
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg13 And UnMaskedChgFlg13 And Not MaskedChgFlg13 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = True
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = True
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg10 And UnMaskedChgFlg10 And Not MaskedChgFlg10 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = True
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg15 And UnMaskedChgFlg15 And Not MaskedChgFlg15 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = True
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = True
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg9 And UnMaskedChgFlg9 And Not MaskedChgFlg9 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = True
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg18 And UnMaskedChgFlg18 And Not MaskedChgFlg18 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = True
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = True
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = True
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = True
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg14 And UnMaskedChgFlg14 And Not MaskedChgFlg14 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = True
          ChgFlg19 = False
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg19 And UnMaskedChgFlg19 And Not MaskedChgFlg19 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = True
          ChgFlg11 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg11 And UnMaskedChgFlg11 And Not MaskedChgFlg11 Then
          'This is sensitive to ports - run it again
          ChgFlg17 = False
          ChgFlg12 = False
          ChgFlg8 = False
          ChgFlg16 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg13 = False
          ChgFlg7 = False
          ChgFlg10 = False
          ChgFlg15 = False
          ChgFlg2 = False
          ChgFlg9 = False
          ChgFlg18 = False
          ChgFlg4 = False
          ChgFlg6 = False
          ChgFlg5 = False
          ChgFlg14 = False
          ChgFlg19 = False
          ChgFlg11 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg17 = False
      ChgFlg12 = False
      ChgFlg8 = False
      ChgFlg16 = False
      ChgFlg3 = False
      ChgFlg1 = False
      ChgFlg13 = False
      ChgFlg7 = False
      ChgFlg10 = False
      ChgFlg15 = False
      ChgFlg2 = False
      ChgFlg9 = False
      ChgFlg18 = False
      ChgFlg4 = False
      ChgFlg6 = False
      ChgFlg5 = False
      ChgFlg14 = False
      ChgFlg19 = False
      ChgFlg11 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or D2in_Con_tmax_PDI_Connection.Decrement())
      Ret = (Ret Or D39in_Con_Last_PDI_Version.Decrement())
      Ret = (Ret Or D3in_Con_PDI_Version.Decrement())
      Ret = (Ret Or D4in_Con_Checksum_Data.Decrement())
      Ret = (Ret Or T10in_SCP_Connection_Terminated.Decrement())
      Ret = (Ret Or T20in_Protocol_Error.Decrement())
      Ret = (Ret Or T21in_Formal_Telegram_Error.Decrement())
      Ret = (Ret Or T22in_Content_Telegram_Error.Decrement())
      Ret = (Ret Or T44in_Initiate_Maintenance.Decrement())
      Ret = (Ret Or T45in_Reset_Severe_Error.Decrement())
      Ret = (Ret Or T47in_Con_Other_PDI_Version_Available.Decrement())
      Ret = (Ret Or T48in_Disable_Or_Disconnect_PDI_EfeS.Decrement())
      Ret = (Ret Or T49in_Enable_Or_Connect_PDI_EfeS.Decrement())
      Ret = (Ret Or T5in_SCP_Connection_Established.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      D2in_Con_tmax_PDI_Connection.Mask(What)
      D39in_Con_Last_PDI_Version.Mask(What)
      D3in_Con_PDI_Version.Mask(What)
      D4in_Con_Checksum_Data.Mask(What)
      T10in_SCP_Connection_Terminated.Mask(What)
      T20in_Protocol_Error.Mask(What)
      T21in_Formal_Telegram_Error.Mask(What)
      T22in_Content_Telegram_Error.Mask(What)
      T44in_Initiate_Maintenance.Mask(What)
      T45in_Reset_Severe_Error.Mask(What)
      T47in_Con_Other_PDI_Version_Available.Mask(What)
      T48in_Disable_Or_Disconnect_PDI_EfeS.Mask(What)
      T49in_Enable_Or_Connect_PDI_EfeS.Mask(What)
      T5in_SCP_Connection_Established.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  ' Entity 'S_SCI_IO_Command' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'S_SCI_IO_Receive' not generated by SySim because unreferenced or not having qualifying stereotypes
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class S_SCI_LC_Command : Implements SMSupport.SMQueued 
    Protected Class S_SCI_LC_CommandSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As S_SCI_LC_Command = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsS_SCI_LC_Command_States
      RtsS_SCI_LC_Command_States_SENDING_COMMANDS
      RtsS_SCI_LC_Command_States_NotIn_S_SCI_LC_Command
    End Enum
    ' \ART_SMG :: Created for state : S_SCI_LC_Command
    Private RtsCurrent_S_SCI_LC_Command As S_SCI_LC_Command.RtsS_SCI_LC_Command_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private ChgFlgLast2 As Boolean
    Private ChgFlg2 As Boolean
    Private ChgFlgLast5 As Boolean
    Private ChgFlg5 As Boolean
    Private ChgFlgLast6 As Boolean
    Private ChgFlg6 As Boolean
    Private ChgFlgLast4 As Boolean
    Private ChgFlg4 As Boolean
    Private ChgFlgLast3 As Boolean
    Private ChgFlg3 As Boolean
    Private ChgFlgLast1 As Boolean
    Private ChgFlg1 As Boolean
    Private ChgFlgLast7 As Boolean
    Private ChgFlg7 As Boolean
    Private ChgFlgLast8 As Boolean
    Private ChgFlg8 As Boolean
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As S_SCI_LC_CommandSMQueue = New S_SCI_LC_CommandSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The FlowPort T1_Cd_Activation refines the Flow Property Cd_Activation.
    Protected t1in_Cd_Activation As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The FlowPort d1in_Cd_Activation belongs to T1_Cd_Activation.
    Protected d1in_Cd_Activation As OInputPort(Of String)
    ' The FlowPort T2_Cd_Deactivation refines the Flow Property Cd_Deactivation.
    Protected t2in_Cd_Deactivation As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The FlowPort T4_Cd_Isolate_LC refines the Flow Property Cd_Isolate_LC.
    Protected t4in_Cd_Isolate_LC As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The FlowPort d4in_Cd_Isolate_LC belongs to T4_Cd_Isolate_LC.
    Protected d4in_Cd_Isolate_LC As OInputPort(Of String)
    ' The port P1out exchanges information objects according to SCI_LC_Subsystem_EIL.
    Protected P1out As OOutputPort(Of SCI_LC_Command)
    ' The FlowPort T3_Cd_Local_Operation_Handover refines the Flow Property Cd_Local_Operation_Handover.
    Protected t3in_Cd_Local_Operation_Handover As OInputPort(Of EULYNX_Profile.Data_Types.PulsedIn)
    ' The FlowPort d3in_Cd_Local_Operation_Handover belongs to T3_Cd_Local_Operation_Handover.
    Protected d3in_Cd_Local_Operation_Handover As OInputPort(Of String)
    Protected d50in_PDI_Connection_State As OInputPort(Of String)
    ' The port D65in_Con_Use_Pre_Activation provides configuration values for Pre-Activation.
    ' 
    ' true: Pre-Activation is used.
    ' false: Pre-Activation is not used.
    Protected D65in_Con_Use_Pre_Activation As OInputPort(Of Boolean)
    ' The port D67in_Con_Use_Isolation provides configuration values for Cd_Isolate_LC.
    ' 
    ' true: Cd_Isolate_LC is used.
    ' false: Cd_Isolate_LC is not used.
    Protected D67in_Con_Use_Isolation As OInputPort(Of Boolean)
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_S_SCI_LC_Command: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT a6e2cb41-12fb-4451-866d-b1603f1af19c */ ( d4in_Cd_Isolate_LC = "Isolate LC enable" AND d50in_PDI_Connection_State = "ESTABLISHED" AND D67in_Con_Use_Isolation = TRUE)/*##END a6e2cb41-12fb-4451-866d-b1603f1af19c */  and /* #REF2003# */ SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"d8c4e405-5131-4f4b-8e28-d0d3c67dfe5b",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT d8c4e405-5131-4f4b-8e28-d0d3c67dfe5b */ 
    ' send Cd_Isolate_LC ( IsolateLevelCrossingControlableState.EnableIsolationOfTheLevelCrossing )to P1out ; nullstat;/*##END d8c4e405-5131-4f4b-8e28-d0d3c67dfe5b */ /* #REF1546# */
    ' 		ChgFlg8 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT 8f32aa3e-bb4a-431a-a4e5-0a5013693e67 */ ( d4in_Cd_Isolate_LC = "Isolate LC disable" AND d50in_PDI_Connection_State = "ESTABLISHED" AND D67in_Con_Use_Isolation = TRUE)/*##END 8f32aa3e-bb4a-431a-a4e5-0a5013693e67 */  and /* #REF2003# */ SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"c0ef1acc-eaa5-4e22-950a-2f8010f84ec7",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT c0ef1acc-eaa5-4e22-950a-2f8010f84ec7 */ 
    ' send Cd_Isolate_LC ( IsolateLevelCrossingControlableState.DisableIsolationOfTheLevelCrossing )to P1out ; nullstat;/*##END c0ef1acc-eaa5-4e22-950a-2f8010f84ec7 */ /* #REF1546# */
    ' 		ChgFlg7 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT d84de359-03b6-421b-8bf7-3f52ef4b2c94 */ ( d3in_Cd_Local_Operation_Handover = "No handover to local operator" AND d50in_PDI_Connection_State = "ESTABLISHED")/*##END d84de359-03b6-421b-8bf7-3f52ef4b2c94 */  and /* #REF2003# */ SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"32d06ce4-e694-422a-8d5a-f4198aac0889",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 32d06ce4-e694-422a-8d5a-f4198aac0889 */ 
    ' send Cd_Local_Operation_Handover ( LocalOperationHandoverControlableState.NoHandOverToLocalOperator )to P1out ; nullstat;/*##END 32d06ce4-e694-422a-8d5a-f4198aac0889 */ /* #REF1546# */
    ' 		ChgFlg6 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT 5a9e9d3a-a4f5-4f00-aca7-ea70e1b02a7e */ ( d3in_Cd_Local_Operation_Handover = "Handover to local operator established" AND d50in_PDI_Connection_State = "ESTABLISHED")/*##END 5a9e9d3a-a4f5-4f00-aca7-ea70e1b02a7e */  and /* #REF2003# */ SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"27206786-2aa9-4bc8-825a-cfa01ccaa19c",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 27206786-2aa9-4bc8-825a-cfa01ccaa19c */ 
    ' send Cd_Local_Operation_Handover ( LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished )to P1out ; nullstat;/*##END 27206786-2aa9-4bc8-825a-cfa01ccaa19c */ /* #REF1546# */
    ' 		ChgFlg5 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT cb833aae-f101-4e9e-b2e7-8d50246b2f74 */ ( d3in_Cd_Local_Operation_Handover = "Handover to local operator initiated" AND d50in_PDI_Connection_State = "ESTABLISHED")/*##END cb833aae-f101-4e9e-b2e7-8d50246b2f74 */  and /* #REF2003# */ SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"60631708-4b91-4f91-ab8e-b2391ce03358",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 60631708-4b91-4f91-ab8e-b2391ce03358 */ 
    ' send Cd_Local_Operation_Handover ( LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated )to P1out ; nullstat;/*##END 60631708-4b91-4f91-ab8e-b2391ce03358 */ /* #REF1546# */
    ' 		ChgFlg4 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT 90df3ead-8a9c-46a2-b3c5-f5f7e88a1d0e */ ( d50in_PDI_Connection_State = "ESTABLISHED")/*##END 90df3ead-8a9c-46a2-b3c5-f5f7e88a1d0e */  and /* #REF2003# */ SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"757085e5-e91c-4730-9454-e465d10045d1",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 757085e5-e91c-4730-9454-e465d10045d1 */ 
    ' send Cd_Deactivation ( DeactivationControlableState.Deactivation )to P1out ; nullstat;/*##END 757085e5-e91c-4730-9454-e465d10045d1 */ /* #REF1546# */
    ' 		ChgFlg3 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT 492f7631-90fb-4016-9186-76d1b0adfb84 */ ( d1in_Cd_Activation = "Activation" AND d50in_PDI_Connection_State = "ESTABLISHED")/*##END 492f7631-90fb-4016-9186-76d1b0adfb84 */  and /* #REF2003# */ SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"1c09b583-a566-48de-99ef-2ef601fc8aba",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 1c09b583-a566-48de-99ef-2ef601fc8aba */ 
    ' send Cd_Activation ( ActivationControlableState.Activation )to P1out ; nullstat;/*##END 1c09b583-a566-48de-99ef-2ef601fc8aba */ /* #REF1546# */
    ' 		ChgFlg2 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then
    ' /* #REF123# */
    ' 	/* b21b00af-7644-4904-853a-3d0745992587 SENDING_COMMANDS */
    '   ThisState := "b21b00af-7644-4904-853a-3d0745992587";
    ' 	if /* #REF2002# *//*##STRT 277b02f6-194a-447a-8098-cc5156a67b2a */ ( d1in_Cd_Activation = "Pre-Activation" AND d50in_PDI_Connection_State = "ESTABLISHED" AND D65in_Con_Use_Pre_Activation = TRUE)/*##END 277b02f6-194a-447a-8098-cc5156a67b2a */  and /* #REF2003# */ SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) then/* #REF124# */
    ' 	/* #REF125# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a4948661-eb85-480d-8d35-028de53187a2",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT a4948661-eb85-480d-8d35-028de53187a2 */ 
    ' send Cd_Activation ( ActivationControlableState.Pre_activation )to P1out ; nullstat;/*##END a4948661-eb85-480d-8d35-028de53187a2 */ /* #REF1546# */
    ' 		ChgFlg1 := False;
    ' 		RetValue := true; /* #REF129# */
    ' 		return;/* #REF130# */
    ' 	End If/* #REF131# */
    ' End If/* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Command =  /* #REF121d# */ RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_NotIn_S_SCI_LC_Command then
    ' /* #REF123# */
    ' 	/* a37a480e-3de0-4a15-a93c-718215c97486 Initial0 */
    '   ThisState := "a37a480e-3de0-4a15-a93c-718215c97486";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"a37a480e-3de0-4a15-a93c-718215c97486",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"a37a480e-3de0-4a15-a93c-718215c97486",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"7458b74b-3578-4534-8114-9c61f7a10681",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 81d0e65b-3532-4d1a-b86b-67366f4edf12 */  nullstat;/*##END 81d0e65b-3532-4d1a-b86b-67366f4edf12 */ /* #REF1546# */
    ' 	This.RtsEnter_SENDING_COMMANDS();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d4in_Cd_Isolate_LC.GetLatchedValue() = "Isolate LC enable" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED" And D67in_Con_Use_Isolation.GetLatchedValue() = True) And SenseTrigger(ChgFlg8, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "d8c4e405-5131-4f4b-8e28-d0d3c67dfe5b", 0, NullString)
          P1out.SendEvent(New Cd_Isolate_LC(IsolateLevelCrossingControlableState.EnableIsolationOfTheLevelCrossing))
          ChgFlg8 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d4in_Cd_Isolate_LC.GetLatchedValue() = "Isolate LC disable" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED" And D67in_Con_Use_Isolation.GetLatchedValue() = True) And SenseTrigger(ChgFlg7, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "c0ef1acc-eaa5-4e22-950a-2f8010f84ec7", 0, NullString)
          P1out.SendEvent(New Cd_Isolate_LC(IsolateLevelCrossingControlableState.DisableIsolationOfTheLevelCrossing))
          ChgFlg7 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d3in_Cd_Local_Operation_Handover.GetLatchedValue() = "No handover to local operator" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg6, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "32d06ce4-e694-422a-8d5a-f4198aac0889", 0, NullString)
          P1out.SendEvent(New Cd_Local_Operation_Handover(LocalOperationHandoverControlableState.NoHandOverToLocalOperator))
          ChgFlg6 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d3in_Cd_Local_Operation_Handover.GetLatchedValue() = "Handover to local operator established" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg5, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "27206786-2aa9-4bc8-825a-cfa01ccaa19c", 0, NullString)
          P1out.SendEvent(New Cd_Local_Operation_Handover(LocalOperationHandoverControlableState.HandoverToLocalOperatorEstablished))
          ChgFlg5 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d3in_Cd_Local_Operation_Handover.GetLatchedValue() = "Handover to local operator initiated" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg4, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "60631708-4b91-4f91-ab8e-b2391ce03358", 0, NullString)
          P1out.SendEvent(New Cd_Local_Operation_Handover(LocalOperationHandoverControlableState.HandoverToLocalOperatorInitiated))
          ChgFlg4 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg3, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "757085e5-e91c-4730-9454-e465d10045d1", 0, NullString)
          P1out.SendEvent(New Cd_Deactivation(DeactivationControlableState.Deactivation))
          ChgFlg3 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d1in_Cd_Activation.GetLatchedValue() = "Activation" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED") And SenseTrigger(ChgFlg2, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "1c09b583-a566-48de-99ef-2ef601fc8aba", 0, NullString)
          P1out.SendEvent(New Cd_Activation(ActivationControlableState.Activation))
          ChgFlg2 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        ThisState = "b21b00af-7644-4904-853a-3d0745992587"
        If (d1in_Cd_Activation.GetLatchedValue() = "Pre-Activation" And d50in_PDI_Connection_State.GetLatchedValue() = "ESTABLISHED" And D65in_Con_Use_Pre_Activation.GetLatchedValue() = True) And SenseTrigger(ChgFlg1, ChangeEventsActive, ThisState) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a4948661-eb85-480d-8d35-028de53187a2", 0, NullString)
          P1out.SendEvent(New Cd_Activation(ActivationControlableState.Pre_activation))
          ChgFlg1 = False
          RetValue = True
          Return
        End If
      End If
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_NotIn_S_SCI_LC_Command Then
        ThisState = "a37a480e-3de0-4a15-a93c-718215c97486"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "a37a480e-3de0-4a15-a93c-718215c97486", 0, NullString)
        RtsNotify(Me, SEXIT, "a37a480e-3de0-4a15-a93c-718215c97486", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "7458b74b-3578-4534-8114-9c61f7a10681", 0, NullString)
        Me.RtsEnter_SENDING_COMMANDS()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "4bece126-9437-4063-8589-30c023ba3cf8", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_S_SCI_LC_Command := RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_NotIn_S_SCI_LC_Command;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "4bece126-9437-4063-8589-30c023ba3cf8", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_NotIn_S_SCI_LC_Command
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_COMMANDS
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b21b00af-7644-4904-853a-3d0745992587|") then
    '   OperatedStates := OperatedStates + "b21b00af-7644-4904-853a-3d0745992587|";
    ' end if
    ' // Simulation support : Notification function call for entering state : SENDING_COMMANDS ///* #REF520# */
    ' RtsNotify(This,SENTER,"b21b00af-7644-4904-853a-3d0745992587",0,NullString);
    ' 
    ' SimCore.EnterState("b21b00af-7644-4904-853a-3d0745992587","SENDING_COMMANDS");
    ' 
    ' This.RtsCurrent_S_SCI_LC_Command := RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS;/* #REF521# */
    ' 
    Private Sub RtsEnter_SENDING_COMMANDS()
      If not OperatedStates.Contains("b21b00af-7644-4904-853a-3d0745992587|") Then
        OperatedStates = OperatedStates + "b21b00af-7644-4904-853a-3d0745992587|"
      End If
      'Simulation support : Notification function call for entering state : SENDING_COMMANDS ///* #REF520# */
      RtsNotify(Me, SENTER, "b21b00af-7644-4904-853a-3d0745992587", 0, NullString)
      SimCore.EnterState("b21b00af-7644-4904-853a-3d0745992587", "SENDING_COMMANDS")
      Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_COMMANDS
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States{enum_datatype}.RtsS_SCI_LC_Command_States_SENDING_COMMANDS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : SENDING_COMMANDS
    ' 	RtsNotify(This,SEXIT,"b21b00af-7644-4904-853a-3d0745992587",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_SENDING_COMMANDS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_SENDING_COMMANDS()
      If Me.RtsCurrent_S_SCI_LC_Command = RtsS_SCI_LC_Command_States.RtsS_SCI_LC_Command_States_SENDING_COMMANDS Then
        'Simulation support : Notification function call for exiting state : SENDING_COMMANDS
        RtsNotify(Me, SEXIT, "b21b00af-7644-4904-853a-3d0745992587", 0, NullString)
        RtsExitSSOf_SENDING_COMMANDS()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As S_SCI_LC_Command)
    End Sub
    
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_S_SCI_LC_Command" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Command, "RtsS_SCI_LC_Command_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_S_SCI_LC_Command" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Command, "RtsS_SCI_LC_Command_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "4bece126-9437-4063-8589-30c023ba3cf8";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "4";
    '   Value := Value + "|RtsCurrent_S_SCI_LC_Command";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_S_SCI_LC_Command";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As S_SCI_LC_Command)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_S_SCI_LC_Command" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Command, "RtsS_SCI_LC_Command_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_S_SCI_LC_Command" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Command, "RtsS_SCI_LC_Command_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "4bece126-9437-4063-8589-30c023ba3cf8"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "4"
        Value = Value + "|RtsCurrent_S_SCI_LC_Command"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_S_SCI_LC_Command"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_S_SCI_LC_Command" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_S_SCI_LC_Command, Value, "RtsS_SCI_LC_Command_States", GetType(S_SCI_LC_Command.RtsS_SCI_LC_Command_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As S_SCI_LC_Command)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_S_SCI_LC_Command" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_S_SCI_LC_Command, Value, "RtsS_SCI_LC_Command_States", GetType(S_SCI_LC_Command.RtsS_SCI_LC_Command_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : SENDING_COMMANDS
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("b21b00af-7644-4904-853a-3d0745992587|") then
    '   OperatedStates := OperatedStates + "b21b00af-7644-4904-853a-3d0745992587|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_SENDING_COMMANDS()
      If not OperatedStates.Contains("b21b00af-7644-4904-853a-3d0745992587|") Then
        OperatedStates = OperatedStates + "b21b00af-7644-4904-853a-3d0745992587|"
      End If
    End Sub
    
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume d1in_Cd_Activation: a SySimInputPort;
    ' assume d3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume d4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume D65in_Con_Use_Pre_Activation: a SySimInputPort;
    ' assume D67in_Con_Use_Isolation: a SySimInputPort;
    ' assume P1out: a SySimOutputPort;
    ' assume t1in_Cd_Activation: a SySimInputPort;
    ' assume t2in_Cd_Deactivation: a SySimInputPort;
    ' assume t3in_Cd_Local_Operation_Handover: a SySimInputPort;
    ' assume t4in_Cd_Isolate_LC: a SySimInputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' declare ChgFlg2Tmp := (/*##STRT ef6eec65-d740-4d8d-b472-99f124d30081 */ ( t1in_Cd_Activation )/*##END ef6eec65-d740-4d8d-b472-99f124d30081 */ ) : Boolean;
    ' ChgFlg2 := EvalTrigger(ChgFlg2Tmp , ChgFlgLast2);
    ' declare ChgFlg5Tmp := (/*##STRT dc2f3291-7ea7-4646-a78b-7d650539f5ca */ ( t3in_Cd_Local_Operation_Handover )/*##END dc2f3291-7ea7-4646-a78b-7d650539f5ca */ ) : Boolean;
    ' ChgFlg5 := EvalTrigger(ChgFlg5Tmp , ChgFlgLast5);
    ' declare ChgFlg6Tmp := (/*##STRT 390e16db-ab47-45c7-b924-1416dde0a727 */ ( t3in_Cd_Local_Operation_Handover )/*##END 390e16db-ab47-45c7-b924-1416dde0a727 */ ) : Boolean;
    ' ChgFlg6 := EvalTrigger(ChgFlg6Tmp , ChgFlgLast6);
    ' declare ChgFlg4Tmp := (/*##STRT b7e52be0-5c10-4f8b-ade8-fec796b404d8 */ ( t3in_Cd_Local_Operation_Handover )/*##END b7e52be0-5c10-4f8b-ade8-fec796b404d8 */ ) : Boolean;
    ' ChgFlg4 := EvalTrigger(ChgFlg4Tmp , ChgFlgLast4);
    ' declare ChgFlg3Tmp := (/*##STRT 6a733123-e2ce-49ad-8327-14f33b3ce382 */ ( t2in_Cd_Deactivation )/*##END 6a733123-e2ce-49ad-8327-14f33b3ce382 */ ) : Boolean;
    ' ChgFlg3 := EvalTrigger(ChgFlg3Tmp , ChgFlgLast3);
    ' declare ChgFlg1Tmp := (/*##STRT de7e9252-ed8a-4780-bbca-658772e267aa */ ( t1in_Cd_Activation )/*##END de7e9252-ed8a-4780-bbca-658772e267aa */ ) : Boolean;
    ' ChgFlg1 := EvalTrigger(ChgFlg1Tmp , ChgFlgLast1);
    ' declare ChgFlg7Tmp := (/*##STRT 1644a2b4-0047-4dc5-8d25-957bdb5067dc */ ( t4in_Cd_Isolate_LC )/*##END 1644a2b4-0047-4dc5-8d25-957bdb5067dc */ ) : Boolean;
    ' ChgFlg7 := EvalTrigger(ChgFlg7Tmp , ChgFlgLast7);
    ' declare ChgFlg8Tmp := (/*##STRT 3474a305-ae33-440b-bb25-02465eac1526 */ ( t4in_Cd_Isolate_LC )/*##END 3474a305-ae33-440b-bb25-02465eac1526 */ ) : Boolean;
    ' ChgFlg8 := EvalTrigger(ChgFlg8Tmp , ChgFlgLast8);
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' RtsRunToCompletion(RetValue, True);
    ' ChgFlgLast2 := ChgFlg2Tmp;
    ' ChgFlgLast5 := ChgFlg5Tmp;
    ' ChgFlgLast6 := ChgFlg6Tmp;
    ' ChgFlgLast4 := ChgFlg4Tmp;
    ' ChgFlgLast3 := ChgFlg3Tmp;
    ' ChgFlgLast1 := ChgFlg1Tmp;
    ' ChgFlgLast7 := ChgFlg7Tmp;
    ' ChgFlgLast8 := ChgFlg8Tmp;
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   declare MaskedChgFlg2 := (/*##STRT ef6eec65-d740-4d8d-b472-99f124d30081 */ ( t1in_Cd_Activation )/*##END ef6eec65-d740-4d8d-b472-99f124d30081 */ ) : Boolean;
    '   declare MaskedChgFlg5 := (/*##STRT dc2f3291-7ea7-4646-a78b-7d650539f5ca */ ( t3in_Cd_Local_Operation_Handover )/*##END dc2f3291-7ea7-4646-a78b-7d650539f5ca */ ) : Boolean;
    '   declare MaskedChgFlg6 := (/*##STRT 390e16db-ab47-45c7-b924-1416dde0a727 */ ( t3in_Cd_Local_Operation_Handover )/*##END 390e16db-ab47-45c7-b924-1416dde0a727 */ ) : Boolean;
    '   declare MaskedChgFlg4 := (/*##STRT b7e52be0-5c10-4f8b-ade8-fec796b404d8 */ ( t3in_Cd_Local_Operation_Handover )/*##END b7e52be0-5c10-4f8b-ade8-fec796b404d8 */ ) : Boolean;
    '   declare MaskedChgFlg3 := (/*##STRT 6a733123-e2ce-49ad-8327-14f33b3ce382 */ ( t2in_Cd_Deactivation )/*##END 6a733123-e2ce-49ad-8327-14f33b3ce382 */ ) : Boolean;
    '   declare MaskedChgFlg1 := (/*##STRT de7e9252-ed8a-4780-bbca-658772e267aa */ ( t1in_Cd_Activation )/*##END de7e9252-ed8a-4780-bbca-658772e267aa */ ) : Boolean;
    '   declare MaskedChgFlg7 := (/*##STRT 1644a2b4-0047-4dc5-8d25-957bdb5067dc */ ( t4in_Cd_Isolate_LC )/*##END 1644a2b4-0047-4dc5-8d25-957bdb5067dc */ ) : Boolean;
    '   declare MaskedChgFlg8 := (/*##STRT 3474a305-ae33-440b-bb25-02465eac1526 */ ( t4in_Cd_Isolate_LC )/*##END 3474a305-ae33-440b-bb25-02465eac1526 */ ) : Boolean;
    '   MaskInPorts(False);
    '   declare UnMaskedChgFlg2 := (/*##STRT ef6eec65-d740-4d8d-b472-99f124d30081 */ ( t1in_Cd_Activation )/*##END ef6eec65-d740-4d8d-b472-99f124d30081 */ ) : Boolean;
    '   declare UnMaskedChgFlg5 := (/*##STRT dc2f3291-7ea7-4646-a78b-7d650539f5ca */ ( t3in_Cd_Local_Operation_Handover )/*##END dc2f3291-7ea7-4646-a78b-7d650539f5ca */ ) : Boolean;
    '   declare UnMaskedChgFlg6 := (/*##STRT 390e16db-ab47-45c7-b924-1416dde0a727 */ ( t3in_Cd_Local_Operation_Handover )/*##END 390e16db-ab47-45c7-b924-1416dde0a727 */ ) : Boolean;
    '   declare UnMaskedChgFlg4 := (/*##STRT b7e52be0-5c10-4f8b-ade8-fec796b404d8 */ ( t3in_Cd_Local_Operation_Handover )/*##END b7e52be0-5c10-4f8b-ade8-fec796b404d8 */ ) : Boolean;
    '   declare UnMaskedChgFlg3 := (/*##STRT 6a733123-e2ce-49ad-8327-14f33b3ce382 */ ( t2in_Cd_Deactivation )/*##END 6a733123-e2ce-49ad-8327-14f33b3ce382 */ ) : Boolean;
    '   declare UnMaskedChgFlg1 := (/*##STRT de7e9252-ed8a-4780-bbca-658772e267aa */ ( t1in_Cd_Activation )/*##END de7e9252-ed8a-4780-bbca-658772e267aa */ ) : Boolean;
    '   declare UnMaskedChgFlg7 := (/*##STRT 1644a2b4-0047-4dc5-8d25-957bdb5067dc */ ( t4in_Cd_Isolate_LC )/*##END 1644a2b4-0047-4dc5-8d25-957bdb5067dc */ ) : Boolean;
    '   declare UnMaskedChgFlg8 := (/*##STRT 3474a305-ae33-440b-bb25-02465eac1526 */ ( t4in_Cd_Isolate_LC )/*##END 3474a305-ae33-440b-bb25-02465eac1526 */ ) : Boolean;
    '   declare PreviousChgFlg2 := ChgFlg2 : Boolean;
    '   declare PreviousChgFlg5 := ChgFlg5 : Boolean;
    '   declare PreviousChgFlg6 := ChgFlg6 : Boolean;
    '   declare PreviousChgFlg4 := ChgFlg4 : Boolean;
    '   declare PreviousChgFlg3 := ChgFlg3 : Boolean;
    '   declare PreviousChgFlg1 := ChgFlg1 : Boolean;
    '   declare PreviousChgFlg7 := ChgFlg7 : Boolean;
    '   declare PreviousChgFlg8 := ChgFlg8 : Boolean;
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    '   If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := True;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := True;
    '   ChgFlg6 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := True;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg4 := True;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := True;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := True;
    '   ChgFlg7 := False;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := True;
    '   ChgFlg8 := False;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    '   If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
    '     // This is sensitive to ports - run it again
    '   ChgFlg2 := False;
    '   ChgFlg5 := False;
    '   ChgFlg6 := False;
    '   ChgFlg4 := False;
    '   ChgFlg3 := False;
    '   ChgFlg1 := False;
    '   ChgFlg7 := False;
    '   ChgFlg8 := True;
    '     OperatedStates := "";
    '     RtsRunToCompletion(RetValue, True);
    '   End If
    ' End While
    ' ChgFlg2 := false;
    ' ChgFlg5 := false;
    ' ChgFlg6 := false;
    ' ChgFlg4 := false;
    ' ChgFlg3 := false;
    ' ChgFlg1 := false;
    ' ChgFlg7 := false;
    ' ChgFlg8 := false;
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      Dim ChgFlg2Tmp As Boolean = ((t1in_Cd_Activation.GetLatchedValue()))
      ChgFlg2 = EvalTrigger(ChgFlg2Tmp, ChgFlgLast2)
      Dim ChgFlg5Tmp As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
      ChgFlg5 = EvalTrigger(ChgFlg5Tmp, ChgFlgLast5)
      Dim ChgFlg6Tmp As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
      ChgFlg6 = EvalTrigger(ChgFlg6Tmp, ChgFlgLast6)
      Dim ChgFlg4Tmp As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
      ChgFlg4 = EvalTrigger(ChgFlg4Tmp, ChgFlgLast4)
      Dim ChgFlg3Tmp As Boolean = ((t2in_Cd_Deactivation.GetLatchedValue()))
      ChgFlg3 = EvalTrigger(ChgFlg3Tmp, ChgFlgLast3)
      Dim ChgFlg1Tmp As Boolean = ((t1in_Cd_Activation.GetLatchedValue()))
      ChgFlg1 = EvalTrigger(ChgFlg1Tmp, ChgFlgLast1)
      Dim ChgFlg7Tmp As Boolean = ((t4in_Cd_Isolate_LC.GetLatchedValue()))
      ChgFlg7 = EvalTrigger(ChgFlg7Tmp, ChgFlgLast7)
      Dim ChgFlg8Tmp As Boolean = ((t4in_Cd_Isolate_LC.GetLatchedValue()))
      ChgFlg8 = EvalTrigger(ChgFlg8Tmp, ChgFlgLast8)
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      RtsRunToCompletion(RetValue, True)
      ChgFlgLast2 = ChgFlg2Tmp
      ChgFlgLast5 = ChgFlg5Tmp
      ChgFlgLast6 = ChgFlg6Tmp
      ChgFlgLast4 = ChgFlg4Tmp
      ChgFlgLast3 = ChgFlg3Tmp
      ChgFlgLast1 = ChgFlg1Tmp
      ChgFlgLast7 = ChgFlg7Tmp
      ChgFlgLast8 = ChgFlg8Tmp
      While DecrementInPorts()
        MaskInPorts(True)
        Dim MaskedChgFlg2 As Boolean = ((t1in_Cd_Activation.GetLatchedValue()))
        Dim MaskedChgFlg5 As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
        Dim MaskedChgFlg6 As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
        Dim MaskedChgFlg4 As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
        Dim MaskedChgFlg3 As Boolean = ((t2in_Cd_Deactivation.GetLatchedValue()))
        Dim MaskedChgFlg1 As Boolean = ((t1in_Cd_Activation.GetLatchedValue()))
        Dim MaskedChgFlg7 As Boolean = ((t4in_Cd_Isolate_LC.GetLatchedValue()))
        Dim MaskedChgFlg8 As Boolean = ((t4in_Cd_Isolate_LC.GetLatchedValue()))
        MaskInPorts(False)
        Dim UnMaskedChgFlg2 As Boolean = ((t1in_Cd_Activation.GetLatchedValue()))
        Dim UnMaskedChgFlg5 As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
        Dim UnMaskedChgFlg6 As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
        Dim UnMaskedChgFlg4 As Boolean = ((t3in_Cd_Local_Operation_Handover.GetLatchedValue()))
        Dim UnMaskedChgFlg3 As Boolean = ((t2in_Cd_Deactivation.GetLatchedValue()))
        Dim UnMaskedChgFlg1 As Boolean = ((t1in_Cd_Activation.GetLatchedValue()))
        Dim UnMaskedChgFlg7 As Boolean = ((t4in_Cd_Isolate_LC.GetLatchedValue()))
        Dim UnMaskedChgFlg8 As Boolean = ((t4in_Cd_Isolate_LC.GetLatchedValue()))
        Dim PreviousChgFlg2 As Boolean = ChgFlg2
        Dim PreviousChgFlg5 As Boolean = ChgFlg5
        Dim PreviousChgFlg6 As Boolean = ChgFlg6
        Dim PreviousChgFlg4 As Boolean = ChgFlg4
        Dim PreviousChgFlg3 As Boolean = ChgFlg3
        Dim PreviousChgFlg1 As Boolean = ChgFlg1
        Dim PreviousChgFlg7 As Boolean = ChgFlg7
        Dim PreviousChgFlg8 As Boolean = ChgFlg8
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
        If PreviousChgFlg2 And UnMaskedChgFlg2 And Not MaskedChgFlg2 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = True
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg5 And UnMaskedChgFlg5 And Not MaskedChgFlg5 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = True
          ChgFlg6 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg6 And UnMaskedChgFlg6 And Not MaskedChgFlg6 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg6 = True
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg4 And UnMaskedChgFlg4 And Not MaskedChgFlg4 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg4 = True
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg3 And UnMaskedChgFlg3 And Not MaskedChgFlg3 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg4 = False
          ChgFlg3 = True
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg1 And UnMaskedChgFlg1 And Not MaskedChgFlg1 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = True
          ChgFlg7 = False
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg7 And UnMaskedChgFlg7 And Not MaskedChgFlg7 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg7 = True
          ChgFlg8 = False
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
        If PreviousChgFlg8 And UnMaskedChgFlg8 And Not MaskedChgFlg8 Then
          'This is sensitive to ports - run it again
          ChgFlg2 = False
          ChgFlg5 = False
          ChgFlg6 = False
          ChgFlg4 = False
          ChgFlg3 = False
          ChgFlg1 = False
          ChgFlg7 = False
          ChgFlg8 = True
          OperatedStates = ""
          RtsRunToCompletion(RetValue, True)
        End If
      End While
      ChgFlg2 = False
      ChgFlg5 = False
      ChgFlg6 = False
      ChgFlg4 = False
      ChgFlg3 = False
      ChgFlg1 = False
      ChgFlg7 = False
      ChgFlg8 = False
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or d1in_Cd_Activation.Decrement())
      Ret = (Ret Or d3in_Cd_Local_Operation_Handover.Decrement())
      Ret = (Ret Or d4in_Cd_Isolate_LC.Decrement())
      Ret = (Ret Or d50in_PDI_Connection_State.Decrement())
      Ret = (Ret Or D65in_Con_Use_Pre_Activation.Decrement())
      Ret = (Ret Or D67in_Con_Use_Isolation.Decrement())
      Ret = (Ret Or t1in_Cd_Activation.Decrement())
      Ret = (Ret Or t2in_Cd_Deactivation.Decrement())
      Ret = (Ret Or t3in_Cd_Local_Operation_Handover.Decrement())
      Ret = (Ret Or t4in_Cd_Isolate_LC.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      d1in_Cd_Activation.Mask(What)
      d3in_Cd_Local_Operation_Handover.Mask(What)
      d4in_Cd_Isolate_LC.Mask(What)
      d50in_PDI_Connection_State.Mask(What)
      D65in_Con_Use_Pre_Activation.Mask(What)
      D67in_Con_Use_Isolation.Mask(What)
      t1in_Cd_Activation.Mask(What)
      t2in_Cd_Deactivation.Mask(What)
      t3in_Cd_Local_Operation_Handover.Mask(What)
      t4in_Cd_Isolate_LC.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  <System.ComponentModel.ToolboxItem(False)> _
  Public Class S_SCI_LC_Receive : Implements SMSupport.SMQueued 
    Protected Class S_SCI_LC_ReceiveSMQueue : Inherits SMSupport.SMQueue
      Public Overrides Sub DispatchOne(ByVal Target As SMSupport.SMQueued, ByVal Msg As SMSupport.SMMessage)
        Dim TheTarget As S_SCI_LC_Receive = Target
        TheTarget.Sender = Msg.GetSender()
        Select Case Msg.GetId()
          Case Msg_Detection_Element_Status.Id
            Dim TheMsg As Msg_Detection_Element_Status = Msg
            TheTarget.RtsMsg_Detection_Element_Status(TheMsg.ReportedDetectionElementStatusState)
          Case Msg_LC_Failure_Status.Id
            Dim TheMsg As Msg_LC_Failure_Status = Msg
            TheTarget.RtsMsg_LC_Failure_Status(TheMsg.ReportedNonCriticalFailureState, TheMsg.ReportedCriticalFailureState)
          Case Msg_LC_Functional_Status.Id
            Dim TheMsg As Msg_LC_Functional_Status = Msg
            TheTarget.RtsMsg_LC_Functional_Status(TheMsg.ReportedActivationlStatusState)
          Case Msg_LC_Monitoring_Status.Id
            Dim TheMsg As Msg_LC_Monitoring_Status = Msg
            TheTarget.RtsMsg_LC_Monitoring_Status(TheMsg.ReportedTimeOverrunState, TheMsg.ReportedChangedMonitoringParameter)
          Case Msg_Local_Operation_Handover.Id
            Dim TheMsg As Msg_Local_Operation_Handover = Msg
            TheTarget.RtsMsg_Local_Operation_Handover(TheMsg.ReportedLocalOperationHandoverState)
          Case Msg_Local_Request.Id
            Dim TheMsg As Msg_Local_Request = Msg
            TheTarget.RtsMsg_Local_Request(TheMsg.ReportedLocalRequestState)
          Case Msg_Obstacle_Detection_Status.Id
            Dim TheMsg As Msg_Obstacle_Detection_Status = Msg
            TheTarget.RtsMsg_Obstacle_Detection(TheMsg.ReportedObstacleDetectionStatusState)
        End Select
        
      End Sub
      
    End Class
    Public Shadows Class TypeConverter : Inherits SMSupport.TypeConverterBase
    End Class
    Public Enum RtsS_SCI_LC_Receive_States
      RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS
      RtsS_SCI_LC_Receive_States_NotIn_S_SCI_LC_Receive
    End Enum
    ' \ART_SMG :: Created for state : S_SCI_LC_Receive
    Private RtsCurrent_S_SCI_LC_Receive As S_SCI_LC_Receive.RtsS_SCI_LC_Receive_States
    ' \ART_SMG :: Always Created
    Private RtsBusy As SMSupport.RtsSemaphore
    Private Const TickDivider As Single = 0.05
    Private CurrentTime As SMSupport.Time
    Private OperatedStates As String = ""
    Private SMStarted As Boolean
    Protected Shadows Sender As Object
    Private TheQueue As S_SCI_LC_ReceiveSMQueue = New S_SCI_LC_ReceiveSMQueue
    Private Shadows WithEvents SimCore As OSimDeviceCore
    ' The port P2in exchanges information objects according to SCI_LC_Subsystem_EIL.
    ' 
    Protected P2in As OInputPort(Of SCI_LC_Report)
    ' The FlowPort d5out_Msg_LC_Functional_Status belongs to T5_Msg_LC_Functional_Status.
    Protected d5out_Msg_LC_Functional_Status As OOutputPort(Of String)
    ' The FlowPort t5out_Msg_LC_Functional_Status refines the Flow Property Msg_LC_Functional_Status.
    Protected t5out_Msg_LC_Functional_Status As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The FlowPort t91out_Msg_Obstacle_Detection_Status refines the Flow Propertys Status_Level_Crossing_Protection_Facility.
    Protected t91out_Msg_Obstacle_Detection_Status As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The FlowPort d91out_Msg_Obstacle_Detection_Status belongs to T91_Msg_Obstacle_Detection_Status.
    Protected d91out_Msg_Obstacle_Detection_Status As OOutputPort(Of String)
    ' The FlowPort t7out_Msg_LC_Failure_Status refines the Flow Property Msg_LC_Failure_Status.
    Protected t7out_Msg_LC_Failure_Status As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The FlowPort d72out_Msg_LC_Failure_Status_Critical belongs to T7_Msg_LC_Failure_Status.
    Protected d72out_Msg_LC_Failure_Status_Critical As OOutputPort(Of String)
    ' The FlowPort t18out_Msg_Detection_Element_Status refines the Flow Propertys Vacated_Detection_Element, Occupied_Detection_Element or Failed_Detection_Element.
    Protected t18out_Msg_Detection_Element_Status As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The FlowPort d18out_Msg_Detection_Element_Status belongs to T18_Msg_Detection_Element_Status.
    Protected d18out_Msg_Detection_Element_Status As OOutputPort(Of String)
    ' The FlowPort t9out_Msg_Local_Operation_Handover refines the Flow Property Msg_Local_Operation_Handover.
    Protected t9out_Msg_Local_Operation_Handover As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The FlowPort d9out_Msg_Local_Operation_Handover belongs to T9_Msg_Local_Operation_Handover.
    Protected d9out_Msg_Local_Operation_Handover As OOutputPort(Of String)
    ' The FlowPort d61out_Msg_LC_Monitoring_Status_Closure_time belongs to T6_Msg_LC_Monitoring_Status.
    Protected d61out_Msg_LC_Monitoring_Status_Closure_time As OOutputPort(Of String)
    ' The FlowPort t6out_Msg_LC_Monitoring_Status refines the Flow Property Msg_LC_Monitoring_Status.
    Protected t6out_Msg_LC_Monitoring_Status As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    ' The FlowPort d8out_Msg_Local_Request belongs to T8_Msg_Local_Request.
    Protected d8out_Msg_Local_Request As OOutputPort(Of String)
    ' The FlowPort T8_Msg_Local_Request refines the Flow Propertys Activate and Deactivate.
    Protected t8out_Msg_Local_Request As OOutputPort(Of EULYNX_Profile.Data_Types.PulsedOut)
    Protected d50in_PDI_Connection_State As OInputPort(Of String)
    ' The FlowPort d71out_Msg_LC_Failure_Status_Non_Critical belongs to T7_Msg_LC_Failure_Status.
    Protected d71out_Msg_LC_Failure_Status_Non_Critical As OOutputPort(Of String)
    ' The FlowPort d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter belongs to T6_Msg_LC_Monitoring_Status.
    Protected d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter As OOutputPort(Of String)
    ' cOp2_Get_Monitoring_Status
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp2_Get_Monitoring_Status */
    ' 
    ' if ParameterChangedMonitoringParameters = ChangendMonitoringStatus.MonitoringParameterSet1 then
    ' 		d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter :=  "Monitoring Parameter Set 1";
    ' elseif ParameterChangedMonitoringParameters = ChangendMonitoringStatus.MonitoringParameterSet2 then
    ' 		d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter :=  "Monitoring Parameter Set 2";
    ' end if
    ' if ParameterTimeOverrun = TimeOverrunState.ClosureTimeOverrunOccured then
    ' 		d61out_Msg_LC_Monitoring_Status_Closure_time := "Closure time overrun occurred";
    ' elseif ParameterTimeOverrun = TimeOverrunState.NoClosureTimeOverrun then
    ' 		d61out_Msg_LC_Monitoring_Status_Closure_time := "No Closure time overrun";
    ' end if
    Public Sub cOp2_Get_Monitoring_Status(ByVal ParameterChangedMonitoringParameters As ChangendMonitoringStatus, ByVal ParameterTimeOverrun As TimeOverrunState)
      If ParameterChangedMonitoringParameters = ChangendMonitoringStatus.MonitoringParameterSet1 Then
        d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter.SetValue("Monitoring Parameter Set 1")
      ElseIf ParameterChangedMonitoringParameters = ChangendMonitoringStatus.MonitoringParameterSet2 Then
        d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter.SetValue("Monitoring Parameter Set 2")
      End If
      If ParameterTimeOverrun = TimeOverrunState.ClosureTimeOverrunOccured Then
        d61out_Msg_LC_Monitoring_Status_Closure_time.SetValue("Closure time overrun occurred")
      ElseIf ParameterTimeOverrun = TimeOverrunState.NoClosureTimeOverrun Then
        d61out_Msg_LC_Monitoring_Status_Closure_time.SetValue("No Closure time overrun")
      End If
    End Sub
    
    ' cOp3_Get_Failure_State 
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* cOp3_Get_Failure_State */
    ' 
    ' if ParameterCriticalFailure = CriticalFailureStatusState.ACriticalFailureIsPresent then
    ' 	d72out_Msg_LC_Failure_Status_Critical := "A critical failure is present";
    ' elseif ParameterCriticalFailure = CriticalFailureStatusState.NoCriticalFailureIsPresent then
    ' 	d72out_Msg_LC_Failure_Status_Critical := "No critical failure is present";
    ' end if
    ' if ParameterNonCriticalFailure = NonCriticalFailureStatusState.ANonCriticalFailureIsPresent then
    ' 	d71out_Msg_LC_Failure_Status_Non_Critical := "A non critical failure is present";
    ' elseif ParameterNonCriticalFailure = NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent then
    ' 	d71out_Msg_LC_Failure_Status_Non_Critical := "No non critical failure is present";
    ' end if
    Public Sub cOp3_Get_Failure_State(ByVal ParameterNonCriticalFailure As NonCriticalFailureStatusState, ByVal ParameterCriticalFailure As CriticalFailureStatusState)
      If ParameterCriticalFailure = CriticalFailureStatusState.ACriticalFailureIsPresent Then
        d72out_Msg_LC_Failure_Status_Critical.SetValue("A critical failure is present")
      ElseIf ParameterCriticalFailure = CriticalFailureStatusState.NoCriticalFailureIsPresent Then
        d72out_Msg_LC_Failure_Status_Critical.SetValue("No critical failure is present")
      End If
      If ParameterNonCriticalFailure = NonCriticalFailureStatusState.ANonCriticalFailureIsPresent Then
        d71out_Msg_LC_Failure_Status_Non_Critical.SetValue("A non critical failure is present")
      ElseIf ParameterNonCriticalFailure = NonCriticalFailureStatusState.NoNonCriticalFailureIsPresent Then
        d71out_Msg_LC_Failure_Status_Non_Critical.SetValue("No non critical failure is present")
      End If
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' assume RtsCurrent_S_SCI_LC_Receive: on object;
    ' declare ThisState : String;
    ' /* #REF121# */
    ' if /* #REF121c# */ This.RtsCurrent_S_SCI_LC_Receive =  /* #REF121d# */ RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_NotIn_S_SCI_LC_Receive then
    ' /* #REF123# */
    ' 	/* c31dcf18-712b-4b4d-8787-7ec3f394c0fc Initial0 */
    '   ThisState := "c31dcf18-712b-4b4d-8787-7ec3f394c0fc";
    ' 	// Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
    ' 	RtsNotify(This,SENTER,"c31dcf18-712b-4b4d-8787-7ec3f394c0fc",0,NullString);/* #REF127# */
    ' 	RtsNotify(This,SEXIT,"c31dcf18-712b-4b4d-8787-7ec3f394c0fc",0,NullString);/* #REF128# */
    ' 	
    ' 	/* #REF7004# */
    ' 	/* #REF7001# */
    ' 	/* #REF7002# */
    ' 	/* #REF7002B#  RtsExit_Initial0 */
    ' 	/* standard */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"d29d1b2e-4d40-43b5-ba39-ab327408ce74",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT 8ea7e913-3b96-4382-812d-79f79b9000d5 */  nullstat;/*##END 8ea7e913-3b96-4382-812d-79f79b9000d5 */ /* #REF1546# */
    ' 	This.RtsEnter_RECEIVING_LC_REPORTS();/* #REF1590# */
    ' 	RetValue := true; /* #REF129# */
    ' 	return;/* #REF130# */
    ' End If/* #REF122# */
    ' RetValue := false;
    ' return;
    Private Sub RtsRunToCompletion(ByRef RetValue As Boolean, Optional ByVal ChangeEventsActive As Boolean = False)
      Dim ThisState As String = Nothing
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_NotIn_S_SCI_LC_Receive Then
        ThisState = "c31dcf18-712b-4b4d-8787-7ec3f394c0fc"
        'Simulation support : Notification function calls for Entry and Exit of Initial state/* #REF126# */
        RtsNotify(Me, SENTER, "c31dcf18-712b-4b4d-8787-7ec3f394c0fc", 0, NullString)
        RtsNotify(Me, SEXIT, "c31dcf18-712b-4b4d-8787-7ec3f394c0fc", 0, NullString)
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "d29d1b2e-4d40-43b5-ba39-ab327408ce74", 0, NullString)
        Me.RtsEnter_RECEIVING_LC_REPORTS()
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Constructor
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba");/* #REF1559# */
    ' SimInitialize();/* #REF1560# */
    ' CurrentTime := New SMSupport.Time;/* #REF1560# */
    ' RtsNotifySynchronous(This, CREATE, "ca6b56f0-c43b-407a-81e5-29ef3d03bd1f", 0, NullString, addressof(RtsInjectEvent), addressof(RtsGetAttributeValue), addressof(RtsSetAttributeValue));/* #REF1561# */
    ' SMSupport.RtsBase.RtsCreateSemaphore(This.RtsBusy);/* #REF1563# */
    ' SMSupport.RtsBase.RtsLock(This.RtsBusy);// DoState Timer Placeholder
    ' /* #REF1565# */
    ' 
    ' // Initialising State Vectors to NotIn
    ' This.RtsCurrent_S_SCI_LC_Receive := RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_NotIn_S_SCI_LC_Receive;/* #REF1566# */
    ' SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Shadows Sub SMGInitialize(Optional ByVal SingleStep As Boolean = False)
      SimSetModelId("72b7a6a5-4c11-4047-95fc-1c6bb5e49aba")
      SimInitialize()
      CurrentTime = New SMSupport.Time
      RtsNotifySynchronous(Me, CREATE, "ca6b56f0-c43b-407a-81e5-29ef3d03bd1f", 0, NullString, AddressOf RtsInjectEvent, AddressOf RtsGetAttributeValue, AddressOf RtsSetAttributeValue)
      SMSupport.RtsBase.RtsCreateSemaphore(Me.RtsBusy)
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      'DoState Timer Placeholder
      'Initialising State Vectors to NotIn
      Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_NotIn_S_SCI_LC_Receive
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Destructor
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' /* #REF1617# */
    ' RtsUnregister(This);
    Public Shadows Sub SMGTerminate()
      RtsUnregister(Me)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|") then
    '   OperatedStates := OperatedStates + "a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|";
    ' end if
    ' // Simulation support : Notification function call for entering state : RECEIVING_LC_REPORTS ///* #REF520# */
    ' RtsNotify(This,SENTER,"a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea",0,NullString);
    ' 
    ' SimCore.EnterState("a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea","RECEIVING_LC_REPORTS");
    ' 
    ' This.RtsCurrent_S_SCI_LC_Receive := RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS;/* #REF521# */
    ' 
    Private Sub RtsEnter_RECEIVING_LC_REPORTS()
      If not OperatedStates.Contains("a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|") Then
        OperatedStates = OperatedStates + "a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|"
      End If
      'Simulation support : Notification function call for entering state : RECEIVING_LC_REPORTS ///* #REF520# */
      RtsNotify(Me, SENTER, "a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea", 0, NullString)
      SimCore.EnterState("a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea", "RECEIVING_LC_REPORTS")
      Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF753# */
    ' /* #REF722# */
    ' 	// Simulation support : Notification function call for exiting state : RECEIVING_LC_REPORTS
    ' 	RtsNotify(This,SEXIT,"a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea",0,NullString);/* #REF723# */
    ' 	RtsExitSSOf_RECEIVING_LC_REPORTS ();
    ' 	/* #REF754# */
    ' end if
    Private Sub RtsExit_RECEIVING_LC_REPORTS()
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        'Simulation support : Notification function call for exiting state : RECEIVING_LC_REPORTS
        RtsNotify(Me, SEXIT, "a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea", 0, NullString)
        RtsExitSSOf_RECEIVING_LC_REPORTS()
      End If
    End Sub
    
    Private Shared Sub RtsInjectEvent(ByRef RetValue As Integer, ByRef TheEvent As String, ByRef Params As SimStringArray, ByRef pInstance As S_SCI_LC_Receive)
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_S_SCI_LC_Receive" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Receive, "RtsS_SCI_LC_Receive_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "RtsCurrent_S_SCI_LC_Receive" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Receive, "RtsS_SCI_LC_Receive_States");
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore");
    ' end if
    ' if Name = "$ClassID" then
    '   // Return the Current Class ID
    '   Value := "ca6b56f0-c43b-407a-81e5-29ef3d03bd1f";
    ' end if
    ' if Name = "$Model" then
    '   // Return the Current Model ID
    '   Value := "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba";
    ' end if
    ' if Name = "$AttributeNames" then
    '   Value := "4";
    '   Value := Value + "|RtsCurrent_S_SCI_LC_Receive";
    '   Value := Value + "|RtsBusy";
    '   Value := Value + "|RtsCurrent_S_SCI_LC_Receive";
    '   Value := Value + "|RtsBusy";
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsGetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByVal buflen As Integer, ByRef pInstance As S_SCI_LC_Receive)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_S_SCI_LC_Receive" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Receive, "RtsS_SCI_LC_Receive_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "RtsCurrent_S_SCI_LC_Receive" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsCurrent_S_SCI_LC_Receive, "RtsS_SCI_LC_Receive_States")
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertToString(Value, pInstance.RtsBusy, "SMSupport.RtsSemaphore")
      End If
      If Name = "$ClassID" Then
        'Return the Current Class ID
        Value = "ca6b56f0-c43b-407a-81e5-29ef3d03bd1f"
      End If
      If Name = "$Model" Then
        'Return the Current Model ID
        Value = "72b7a6a5-4c11-4047-95fc-1c6bb5e49aba"
      End If
      If Name = "$AttributeNames" Then
        Value = "4"
        Value = Value + "|RtsCurrent_S_SCI_LC_Receive"
        Value = Value + "|RtsBusy"
        Value = Value + "|RtsCurrent_S_SCI_LC_Receive"
        Value = Value + "|RtsBusy"
      End If
      RetValue = Ret
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare Ret := 0: Integer;
    ' if Name = "RtsCurrent_S_SCI_LC_Receive" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsCurrent_S_SCI_LC_Receive, Value, "RtsS_SCI_LC_Receive_States", GetType(S_SCI_LC_Receive.RtsS_SCI_LC_Receive_States));
    ' end if
    ' if Name = "RtsBusy" then
    '   Ret := TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore));
    ' end if
    ' RetValue := Ret;
    ' 
    Private Shared Sub RtsSetAttributeValue(ByRef RetValue As Integer, ByRef Name As String, ByRef Value As String, ByRef pInstance As S_SCI_LC_Receive)
      Dim Ret As Integer = 0
      If Name = "RtsCurrent_S_SCI_LC_Receive" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsCurrent_S_SCI_LC_Receive, Value, "RtsS_SCI_LC_Receive_States", GetType(S_SCI_LC_Receive.RtsS_SCI_LC_Receive_States))
      End If
      If Name = "RtsBusy" Then
        Ret = TypeConverter.ConvertFromString(pInstance.RtsBusy, Value, "SMSupport.RtsSemaphore", GetType(SMSupport.RtsSemaphore))
      End If
      RetValue = Ret
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Detection_Element_Status_In_S_SCI_LC_Receive(RetValue, ReportedDetectionElementStatusState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Detection_Element_Status(ByVal ReportedDetectionElementStatusState As DetectionElementStatusState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Detection_Element_Status_In_S_SCI_LC_Receive(RetValue, ReportedDetectionElementStatusState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_LC_Failure_Status_In_S_SCI_LC_Receive(RetValue, ReportedNonCriticalFailureState, ReportedCriticalFailureState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_LC_Failure_Status(ByVal ReportedNonCriticalFailureState As NonCriticalFailureStatusState, ByVal ReportedCriticalFailureState As CriticalFailureStatusState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_LC_Failure_Status_In_S_SCI_LC_Receive(RetValue, ReportedNonCriticalFailureState, ReportedCriticalFailureState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_LC_Functional_Status_In_S_SCI_LC_Receive(RetValue, ReportedActivationlStatusState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_LC_Functional_Status(ByVal ReportedActivationlStatusState As FunctionalStatusState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_LC_Functional_Status_In_S_SCI_LC_Receive(RetValue, ReportedActivationlStatusState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_LC_Monitoring_Status_In_S_SCI_LC_Receive(RetValue, ReportedTimeOverrunState, ReportedChangedMonitoringParameter);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_LC_Monitoring_Status(ByVal ReportedTimeOverrunState As TimeOverrunState, ByVal ReportedChangedMonitoringParameter As ChangendMonitoringStatus)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_LC_Monitoring_Status_In_S_SCI_LC_Receive(RetValue, ReportedTimeOverrunState, ReportedChangedMonitoringParameter)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Local_Operation_Handover_In_S_SCI_LC_Receive(RetValue, ReportedLocalOperationHandoverState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Local_Operation_Handover(ByVal ReportedLocalOperationHandoverState As LocalOperationHandoverState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Local_Operation_Handover_In_S_SCI_LC_Receive(RetValue, ReportedLocalOperationHandoverState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Local_Request_In_S_SCI_LC_Receive(RetValue, ReportedLocalRequestState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Local_Request(ByVal ReportedLocalRequestState As LocalRequestState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Local_Request_In_S_SCI_LC_Receive(RetValue, ReportedLocalRequestState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' declare RetValue := false : boolean;
    '   SMSupport.RtsBase.RtsLock(This.RtsBusy);
    '   This.RtsMsg_Obstacle_Detection_In_S_SCI_LC_Receive(RetValue, ReportedObstacleDetectionStatusState);
    '   RetValue := true;
    '   while RetValue do
    '     This.RtsRunToCompletion(RetValue);
    '   end while
    '   SMSupport.RtsBase.RtsUnlock(This.RtsBusy);
    ' 
    Public Sub RtsMsg_Obstacle_Detection(ByVal ReportedObstacleDetectionStatusState As ObstacleDetectionStatusState)
      Dim RetValue As boolean = False
      SMSupport.RtsBase.RtsLock(Me.RtsBusy)
      Me.RtsMsg_Obstacle_Detection_In_S_SCI_LC_Receive(RetValue, ReportedObstacleDetectionStatusState)
      RetValue = True
      While RetValue
        Me.RtsRunToCompletion(RetValue)
      End While
      SMSupport.RtsBase.RtsUnlock(Me.RtsBusy)
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2002# *//*##STRT 0cfca512-c53f-4f64-b5e7-ae8918727b48 */ ( ReportedDetectionElementStatusState = DetectionElementStatusState.DetectionElementIsVacant )/*##END 0cfca512-c53f-4f64-b5e7-ae8918727b48 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"3101f5bc-df9e-420e-841d-c635fe21c60a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 3101f5bc-df9e-420e-841d-c635fe21c60a */  d18out_Msg_Detection_Element_Status := "Vacant";
    '  t18out_Msg_Detection_Element_Status := TRUE; nullstat;/*##END 3101f5bc-df9e-420e-841d-c635fe21c60a */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT 33c411ab-128a-4c7c-be1c-41c365ba19fc */ ( ReportedDetectionElementStatusState = DetectionElementStatusState.DetectionElementIsOccupied )/*##END 33c411ab-128a-4c7c-be1c-41c365ba19fc */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"f6d632b9-1b00-4938-87ed-cf82b9905074",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT f6d632b9-1b00-4938-87ed-cf82b9905074 */  d18out_Msg_Detection_Element_Status := "Occupied";
    '  t18out_Msg_Detection_Element_Status := TRUE; nullstat;/*##END f6d632b9-1b00-4938-87ed-cf82b9905074 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT 1440ccee-ddc6-4205-96d4-31b95a3f33e0 */ ( ReportedDetectionElementStatusState = DetectionElementStatusState.DetectionElementIsFailed )/*##END 1440ccee-ddc6-4205-96d4-31b95a3f33e0 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"13bda534-5947-4ceb-8a21-ba92419cc080",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 13bda534-5947-4ceb-8a21-ba92419cc080 */  d18out_Msg_Detection_Element_Status := "Failed";
    '  t18out_Msg_Detection_Element_Status := TRUE; nullstat;/*##END 13bda534-5947-4ceb-8a21-ba92419cc080 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Detection_Element_Status_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedDetectionElementStatusState As DetectionElementStatusState)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        If (ReportedDetectionElementStatusState = DetectionElementStatusState.DetectionElementIsVacant) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "3101f5bc-df9e-420e-841d-c635fe21c60a", 0, NullString)
          d18out_Msg_Detection_Element_Status.SetValue("Vacant")
          t18out_Msg_Detection_Element_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedDetectionElementStatusState = DetectionElementStatusState.DetectionElementIsOccupied) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "f6d632b9-1b00-4938-87ed-cf82b9905074", 0, NullString)
          d18out_Msg_Detection_Element_Status.SetValue("Occupied")
          t18out_Msg_Detection_Element_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedDetectionElementStatusState = DetectionElementStatusState.DetectionElementIsFailed) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "13bda534-5947-4ceb-8a21-ba92419cc080", 0, NullString)
          d18out_Msg_Detection_Element_Status.SetValue("Failed")
          t18out_Msg_Detection_Element_Status.SetValue(True)
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"acf1e613-fe4f-4a3c-a2a7-548c222dcf77",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT acf1e613-fe4f-4a3c-a2a7-548c222dcf77 */  cOp3_Get_Failure_State ( ReportedNonCriticalFailureState , ReportedCriticalFailureState );
    '  t7out_Msg_LC_Failure_Status := TRUE; nullstat;/*##END acf1e613-fe4f-4a3c-a2a7-548c222dcf77 */ /* #REF1546# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_LC_Failure_Status_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedNonCriticalFailureState As NonCriticalFailureStatusState, ByVal ReportedCriticalFailureState As CriticalFailureStatusState)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "acf1e613-fe4f-4a3c-a2a7-548c222dcf77", 0, NullString)
        cOp3_Get_Failure_State(ReportedNonCriticalFailureState, ReportedCriticalFailureState)
        t7out_Msg_LC_Failure_Status.SetValue(True)
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2002# *//*##STRT dbdcff3b-eaa6-41d0-b603-c95b25a8d46f */ ( ReportedActivationlStatusState = FunctionalStatusState.DeactivatedAndIdle )/*##END dbdcff3b-eaa6-41d0-b603-c95b25a8d46f */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"a42ffc5d-8da9-4fa5-ae79-121a6ae22ba9",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT a42ffc5d-8da9-4fa5-ae79-121a6ae22ba9 */  d5out_Msg_LC_Functional_Status := "Deactivated and idle";
    '  t5out_Msg_LC_Functional_Status := TRUE; nullstat;/*##END a42ffc5d-8da9-4fa5-ae79-121a6ae22ba9 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT ecc9d0e8-07fe-4c62-b577-b4cf059be0ad */ ( ReportedActivationlStatusState = FunctionalStatusState.DeactivatingAndUnprotected )/*##END ecc9d0e8-07fe-4c62-b577-b4cf059be0ad */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"9b6892d6-c41c-440b-a556-978847744d24",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 9b6892d6-c41c-440b-a556-978847744d24 */  d5out_Msg_LC_Functional_Status := "Deactivating and unprotected";
    '  t5out_Msg_LC_Functional_Status := TRUE; nullstat;/*##END 9b6892d6-c41c-440b-a556-978847744d24 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT a56fd784-1ebd-44f8-8960-11c4d4796531 */ ( ReportedActivationlStatusState = FunctionalStatusState.ActivatedAndUnprotected )/*##END a56fd784-1ebd-44f8-8960-11c4d4796531 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"19a5c92d-a252-413c-8eb7-33194e227d1a",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 19a5c92d-a252-413c-8eb7-33194e227d1a */  d5out_Msg_LC_Functional_Status := "Activated and unprotected";
    '  t5out_Msg_LC_Functional_Status := TRUE; nullstat;/*##END 19a5c92d-a252-413c-8eb7-33194e227d1a */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT e509f1a8-dd9d-454f-a008-f9021898f209 */ ( ReportedActivationlStatusState = FunctionalStatusState.ActivatedAndProtected )/*##END e509f1a8-dd9d-454f-a008-f9021898f209 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"1635dc0a-656e-4e59-974d-2b39ca58afac",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 1635dc0a-656e-4e59-974d-2b39ca58afac */  d5out_Msg_LC_Functional_Status := "Activated and protected";
    '  t5out_Msg_LC_Functional_Status := TRUE; nullstat;/*##END 1635dc0a-656e-4e59-974d-2b39ca58afac */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT 01190a94-5d38-48d4-8255-e5739383d70e */ ( ReportedActivationlStatusState = FunctionalStatusState.PreActivated )/*##END 01190a94-5d38-48d4-8255-e5739383d70e */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"6d843f95-0e9d-4e3e-a15f-6055942c6ea0",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 6d843f95-0e9d-4e3e-a15f-6055942c6ea0 */  d5out_Msg_LC_Functional_Status := "Pre-Activated";
    '  t5out_Msg_LC_Functional_Status := TRUE; nullstat;/*##END 6d843f95-0e9d-4e3e-a15f-6055942c6ea0 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT 1fc64069-0eef-48b8-8a30-a0ca8aea6bd4 */ ( ReportedActivationlStatusState = FunctionalStatusState.IsolatedLC )/*##END 1fc64069-0eef-48b8-8a30-a0ca8aea6bd4 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"507e33cc-a3b8-4e41-9ac8-0ca1958951a3",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 507e33cc-a3b8-4e41-9ac8-0ca1958951a3 */  d5out_Msg_LC_Functional_Status := "Isolated LC";
    '  t5out_Msg_LC_Functional_Status := TRUE; nullstat;/*##END 507e33cc-a3b8-4e41-9ac8-0ca1958951a3 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_LC_Functional_Status_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedActivationlStatusState As FunctionalStatusState)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        If (ReportedActivationlStatusState = FunctionalStatusState.DeactivatedAndIdle) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "a42ffc5d-8da9-4fa5-ae79-121a6ae22ba9", 0, NullString)
          d5out_Msg_LC_Functional_Status.SetValue("Deactivated and idle")
          t5out_Msg_LC_Functional_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedActivationlStatusState = FunctionalStatusState.DeactivatingAndUnprotected) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "9b6892d6-c41c-440b-a556-978847744d24", 0, NullString)
          d5out_Msg_LC_Functional_Status.SetValue("Deactivating and unprotected")
          t5out_Msg_LC_Functional_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedActivationlStatusState = FunctionalStatusState.ActivatedAndUnprotected) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "19a5c92d-a252-413c-8eb7-33194e227d1a", 0, NullString)
          d5out_Msg_LC_Functional_Status.SetValue("Activated and unprotected")
          t5out_Msg_LC_Functional_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedActivationlStatusState = FunctionalStatusState.ActivatedAndProtected) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "1635dc0a-656e-4e59-974d-2b39ca58afac", 0, NullString)
          d5out_Msg_LC_Functional_Status.SetValue("Activated and protected")
          t5out_Msg_LC_Functional_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedActivationlStatusState = FunctionalStatusState.PreActivated) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "6d843f95-0e9d-4e3e-a15f-6055942c6ea0", 0, NullString)
          d5out_Msg_LC_Functional_Status.SetValue("Pre-Activated")
          t5out_Msg_LC_Functional_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedActivationlStatusState = FunctionalStatusState.IsolatedLC) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "507e33cc-a3b8-4e41-9ac8-0ca1958951a3", 0, NullString)
          d5out_Msg_LC_Functional_Status.SetValue("Isolated LC")
          t5out_Msg_LC_Functional_Status.SetValue(True)
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 	RtsNotify(This,TRANSITION,"cb655e13-de88-48c8-9000-83bcad60a489",0,NullString);/* #REF1599# */
    ' 	
    ' 	/*##STRT cb655e13-de88-48c8-9000-83bcad60a489 */  cOp2_Get_Monitoring_Status ( ReportedChangedMonitoringParameter , ReportedTimeOverrunState );
    '  t6out_Msg_LC_Monitoring_Status := TRUE; nullstat;/*##END cb655e13-de88-48c8-9000-83bcad60a489 */ /* #REF1546# */
    ' 	/* #REF13# */
    ' 	RetValue := true;
    ' 	return;
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_LC_Monitoring_Status_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedTimeOverrunState As TimeOverrunState, ByVal ReportedChangedMonitoringParameter As ChangendMonitoringStatus)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        'Simulation support : Notification function calls for transition/* #REF1598# */
        RtsNotify(Me, TRANSITION, "cb655e13-de88-48c8-9000-83bcad60a489", 0, NullString)
        cOp2_Get_Monitoring_Status(ReportedChangedMonitoringParameter, ReportedTimeOverrunState)
        t6out_Msg_LC_Monitoring_Status.SetValue(True)
        RetValue = True
        Return
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2002# *//*##STRT e7c6d29e-415a-4e1a-8d90-ae67d72ea0da */ ( ReportedLocalOperationHandoverState = LocalOperationHandoverState.AllowHandovertoLocalOperator )/*##END e7c6d29e-415a-4e1a-8d90-ae67d72ea0da */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"23379fe8-f8da-48f9-93b4-a16e8f27c2c4",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 23379fe8-f8da-48f9-93b4-a16e8f27c2c4 */  d9out_Msg_Local_Operation_Handover := "Allow handover to local operator";
    '  t9out_Msg_Local_Operation_Handover := TRUE; nullstat;/*##END 23379fe8-f8da-48f9-93b4-a16e8f27c2c4 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT dcbf1b37-2e66-4393-ba0f-4e97e4e39792 */ ( ReportedLocalOperationHandoverState = LocalOperationHandoverState.ReturnHandoverFromLocalOperator )/*##END dcbf1b37-2e66-4393-ba0f-4e97e4e39792 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"1bacfbc5-67d2-45fb-92e9-428103852568",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 1bacfbc5-67d2-45fb-92e9-428103852568 */  d9out_Msg_Local_Operation_Handover := "Return handover from local operator";
    '  t9out_Msg_Local_Operation_Handover := TRUE; nullstat;/*##END 1bacfbc5-67d2-45fb-92e9-428103852568 */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Local_Operation_Handover_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedLocalOperationHandoverState As LocalOperationHandoverState)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        If (ReportedLocalOperationHandoverState = LocalOperationHandoverState.AllowHandovertoLocalOperator) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "23379fe8-f8da-48f9-93b4-a16e8f27c2c4", 0, NullString)
          d9out_Msg_Local_Operation_Handover.SetValue("Allow handover to local operator")
          t9out_Msg_Local_Operation_Handover.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedLocalOperationHandoverState = LocalOperationHandoverState.ReturnHandoverFromLocalOperator) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "1bacfbc5-67d2-45fb-92e9-428103852568", 0, NullString)
          d9out_Msg_Local_Operation_Handover.SetValue("Return handover from local operator")
          t9out_Msg_Local_Operation_Handover.SetValue(True)
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2002# *//*##STRT eabf6ac5-931d-49aa-b94f-92a62c3441ec */ ( ReportedLocalRequestState = LocalRequestState.LocalRequestToDeactivateTheLevelCrossing )/*##END eabf6ac5-931d-49aa-b94f-92a62c3441ec */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"ef74e215-fe4e-4a60-9d17-c54dc4493d2d",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT ef74e215-fe4e-4a60-9d17-c54dc4493d2d */  d8out_Msg_Local_Request := "Local request to deactivate the level crossing";
    '  t8out_Msg_Local_Request := TRUE; nullstat;/*##END ef74e215-fe4e-4a60-9d17-c54dc4493d2d */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT bda830fb-1a29-4125-a250-df82af3cd7ff */ ( ReportedLocalRequestState = LocalRequestState.LocalRequestToActivateTheLevelCrossing )/*##END bda830fb-1a29-4125-a250-df82af3cd7ff */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"0c10150c-87b9-4977-9ee5-a4bc4085b3de",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 0c10150c-87b9-4977-9ee5-a4bc4085b3de */  d8out_Msg_Local_Request := "Local request to activate the level crossing";
    '  t8out_Msg_Local_Request := TRUE; nullstat;/*##END 0c10150c-87b9-4977-9ee5-a4bc4085b3de */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Local_Request_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedLocalRequestState As LocalRequestState)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        If (ReportedLocalRequestState = LocalRequestState.LocalRequestToDeactivateTheLevelCrossing) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "ef74e215-fe4e-4a60-9d17-c54dc4493d2d", 0, NullString)
          d8out_Msg_Local_Request.SetValue("Local request to deactivate the level crossing")
          t8out_Msg_Local_Request.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedLocalRequestState = LocalRequestState.LocalRequestToActivateTheLevelCrossing) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "0c10150c-87b9-4977-9ee5-a4bc4085b3de", 0, NullString)
          d8out_Msg_Local_Request.SetValue("Local request to activate the level crossing")
          t8out_Msg_Local_Request.SetValue(True)
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' // H1 RECEIVING_LC_REPORTS
    ' if This.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States{enum_datatype}.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS then/* #REF5# */
    ' /* #REF6# */
    ' 	if /* #REF2002# *//*##STRT dfcd4ac1-3c08-49fc-b9a1-7e489290e004 */ ( ReportedObstacleDetectionStatusState = ObstacleDetectionStatusState.NoObstacleInTheConflictArea )/*##END dfcd4ac1-3c08-49fc-b9a1-7e489290e004 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"8b732baa-fe00-4396-bb6d-5c8974ca2e2e",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 8b732baa-fe00-4396-bb6d-5c8974ca2e2e */  d91out_Msg_Obstacle_Detection_Status := "No obstacle in the conflict area";
    '  t91out_Msg_Obstacle_Detection_Status := TRUE; nullstat;/*##END 8b732baa-fe00-4396-bb6d-5c8974ca2e2e */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	if /* #REF2002# *//*##STRT 7e72c19d-4ebb-4a9b-9fca-0360520f74f1 */ ( ReportedObstacleDetectionStatusState = ObstacleDetectionStatusState.ObstacleInTheConflictArea )/*##END 7e72c19d-4ebb-4a9b-9fca-0360520f74f1 */  then/* #REF11# */
    ' 	/* #REF12# */
    ' 		// Simulation support : Notification function calls for transition/* #REF1598# */
    ' 		RtsNotify(This,TRANSITION,"0b7ff0f5-71dc-4024-8635-d4315bb8847f",0,NullString);/* #REF1599# */
    ' 		
    ' 		/*##STRT 0b7ff0f5-71dc-4024-8635-d4315bb8847f */  d91out_Msg_Obstacle_Detection_Status := "Obstacle detected in the conflict area";
    '  t91out_Msg_Obstacle_Detection_Status := TRUE; nullstat;/*##END 0b7ff0f5-71dc-4024-8635-d4315bb8847f */ /* #REF1546# */
    ' 		/* #REF13# */
    ' 		RetValue := true;
    ' 		return;
    ' 		/* #REF14# */
    ' 	end if
    ' 	/* #REF15# */
    ' end if
    ' RetValue := false;/* #REF4# */
    ' return;
    Private Sub RtsMsg_Obstacle_Detection_In_S_SCI_LC_Receive(ByRef RetValue As Boolean, ByVal ReportedObstacleDetectionStatusState As ObstacleDetectionStatusState)
      'H1 RECEIVING_LC_REPORTS
      If Me.RtsCurrent_S_SCI_LC_Receive = RtsS_SCI_LC_Receive_States.RtsS_SCI_LC_Receive_States_RECEIVING_LC_REPORTS Then
        If (ReportedObstacleDetectionStatusState = ObstacleDetectionStatusState.NoObstacleInTheConflictArea) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "8b732baa-fe00-4396-bb6d-5c8974ca2e2e", 0, NullString)
          d91out_Msg_Obstacle_Detection_Status.SetValue("No obstacle in the conflict area")
          t91out_Msg_Obstacle_Detection_Status.SetValue(True)
          RetValue = True
          Return
        End If
        If (ReportedObstacleDetectionStatusState = ObstacleDetectionStatusState.ObstacleInTheConflictArea) Then
          'Simulation support : Notification function calls for transition/* #REF1598# */
          RtsNotify(Me, TRANSITION, "0b7ff0f5-71dc-4024-8635-d4315bb8847f", 0, NullString)
          d91out_Msg_Obstacle_Detection_Status.SetValue("Obstacle detected in the conflict area")
          t91out_Msg_Obstacle_Detection_Status.SetValue(True)
          RetValue = True
          Return
        End If
      End If
      RetValue = False
      Return
    End Sub
    
    ' \ART_SMG :: Created for state : RECEIVING_LC_REPORTS
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' if not OperatedStates.Contains ("a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|") then
    '   OperatedStates := OperatedStates + "a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|";
    ' end if
    ' 
    Private Sub RtsExitSSOf_RECEIVING_LC_REPORTS()
      If not OperatedStates.Contains("a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|") Then
        OperatedStates = OperatedStates + "a7cf7c43-e0a9-4f8e-8a1d-bced6ae476ea|"
      End If
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    '   declare Ret := SMSupport.RtsTimer.MaxDuration: SMSupport.Duration;
    '   CurrentTime := NewCurrentTime;
    ' TTL := Ret;
    Public Shadows Sub SMStep(ByVal NewCurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      Dim Ret As SMSupport.Duration = SMSupport.RtsTimer.MaxDuration
      CurrentTime = NewCurrentTime
      TTL = Ret
    End Sub
    
    Public Shadows Sub SMQueueStep(ByVal CurrentTime As SMSupport.Time, ByRef TTL As SMSupport.Duration)
      If Not SMStarted Then
        Dim RunAgain As Boolean = True
        While RunAgain
          RtsRunToCompletion(RunAgain)
        End While
        SMStarted = True
      End If
      GetQueue().DispatchAllExisting(Me)
      SMStep(CurrentTime, TTL)
      RunChangeEvents()
    End Sub
    
    ' assume d18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume d50in_PDI_Connection_State: a SySimInputPort;
    ' assume d5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume d61out_Msg_LC_Monitoring_Status_Closure_time: a SySimOutputPort;
    ' assume d62out_Msg_LC_Monitoring_Status_Changed_Monitoring_Parameter: a SySimOutputPort;
    ' assume d71out_Msg_LC_Failure_Status_Non_Critical: a SySimOutputPort;
    ' assume d72out_Msg_LC_Failure_Status_Critical: a SySimOutputPort;
    ' assume d8out_Msg_Local_Request: a SySimOutputPort;
    ' assume d91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume d9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume P2in: a SySimInputPort;
    ' assume t18out_Msg_Detection_Element_Status: a SySimOutputPort;
    ' assume t5out_Msg_LC_Functional_Status: a SySimOutputPort;
    ' assume t6out_Msg_LC_Monitoring_Status: a SySimOutputPort;
    ' assume t7out_Msg_LC_Failure_Status: a SySimOutputPort;
    ' assume t8out_Msg_Local_Request: a SySimOutputPort;
    ' assume t91out_Msg_Obstacle_Detection_Status: a SySimOutputPort;
    ' assume t9out_Msg_Local_Operation_Handover: a SySimOutputPort;
    ' assume Collection_of_signal_events.Cd_Indicate_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Prim_Status_Report: an Event;
    ' assume Collection_of_signal_events.Request_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Established: an Event;
    ' assume Collection_of_signal_events.Request_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Disconnection_requested: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Obstacle_Detection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Closed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Execute_FC: an Event;
    ' assume Collection_of_signal_events.Execute_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Released_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Initialisation_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Movement_Failed: an Event;
    ' assume Collection_of_signal_events.Cd_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Formal_Telegram_Error_Detected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Prim_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Release_for_maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_DRFC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Start_Status_Report: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.SCP_connection_established: an Event;
    ' assume Collection_of_signal_events.Request_FC_C: an Event;
    ' assume Collection_of_signal_events.Msg_TDP_Status: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Monitoring_Status: an Event;
    ' assume Collection_of_signal_events.Cd_Update_Filling_Level: an Event;
    ' assume Simulation_Package.MDM_Triggered_Reset: an Event;
    ' assume Simulation_Package.Msg_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Data_Update_Finished: an Event;
    ' assume Simulation_Package.NotReady_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_LC_Monitoring_Status: an Event;
    ' assume Simulation_Package.Start_Status_Report: an Event;
    ' assume Simulation_Package.Cd_Local_Operation_Handover: an Event;
    ' assume Simulation_Package.Cd_Activation: an Event;
    ' assume Simulation_Package.Cd_Set_Output_Channels: an Event;
    ' assume Simulation_Package.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Released_For_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Start_Initialisation: an Event;
    ' assume Simulation_Package.Cd_Deactivation: an Event;
    ' assume Simulation_Package.PDI_Connection_Established: an Event;
    ' assume Simulation_Package.Msg_LC_Failure_Status: an Event;
    ' assume Simulation_Package.Msg_Reset_PDI: an Event;
    ' assume Simulation_Package.Ready_For_PDI_Connection: an Event;
    ' assume Simulation_Package.Msg_Obstacle_Detection_Status: an Event;
    ' assume Simulation_Package.Msg_Initialisation_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Input_Channels: an Event;
    ' assume Simulation_Package.Cd_Close_PDI: an Event;
    ' assume Simulation_Package.Cd_Initialisation_Request: an Event;
    ' assume Simulation_Package.Msg_PDI_Version_Check: an Event;
    ' assume Simulation_Package.MDM_Commanded_Maintenance: an Event;
    ' assume Simulation_Package.Msg_Detection_Element_Status: an Event;
    ' assume Simulation_Package.Msg_LC_Functional_Status: an Event;
    ' assume Simulation_Package.Cd_Isolate_LC: an Event;
    ' assume Simulation_Package.Msg_PDI_Available: an Event;
    ' assume Simulation_Package.Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_PDI_Not_Available: an Event;
    ' assume Simulation_Package.Reboot_Required: an Event;
    ' assume Simulation_Package.Msg_Status_Report_Completed: an Event;
    ' assume Simulation_Package.Msg_State_Of_Output_Channels: an Event;
    ' assume Simulation_Package.Data_Update_Stop: an Event;
    ' assume Simulation_Package.PDI_Connection_Closed: an Event;
    ' assume Simulation_Package.Msg_Local_Request: an Event;
    ' assume Simulation_Package.EST_Ready_For_Maintenance: an Event;
    ' assume Simulation_Package.PDI_Connection_Started: an Event;
    ' assume Simulation_Package.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Cd_Move_Point: an Event;
    ' assume Collection_of_signal_events.Execute_DRFC: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Isolate_LC: an Event;
    ' assume Collection_of_signal_events.Request_DRFC: an Event;
    ' assume Collection_of_signal_events.Internal_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Request_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Close_PDI: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Reset_PDI: an Event;
    ' assume Collection_of_signal_events.Msg_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Stop: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Activation: an Event;
    ' assume Collection_of_signal_events.Confirm_Acknowledgement: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Release_PDI_for_Maintenance: an Event;
    ' assume Collection_of_signal_events.Cd_FC: an Event;
    ' assume Collection_of_signal_events.Request_FC_P_A: an Event;
    ' assume Collection_of_signal_events.Msg_Ability_To_Move_Point: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Protocol_Error: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Sec: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Deactivation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Functional_Status: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_Occupancy_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Ready_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.PDI_Connection_Started: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Start_Initialisation: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Local_Request: an Event;
    ' assume Collection_of_signal_events.Request_FC_U: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_PDI_Version_Check: an Event;
    ' assume Collection_of_signal_events.Internal_Not_Ready_For_Operation: an Event;
    ' assume Collection_of_signal_events.Execute_UFL: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Msg_Recovered_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.EST_Ready_For_Maintenance: an Event;
    ' assume Collection_of_signal_events.Msg_Point_Position: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Commanded_Maintenance: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.MDM_Triggered_Reset: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_Detection_Element_Status: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Cd_Initialisation_Request: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Reboot_Required: an Event;
    ' assume Collection_of_signal_events.Cd_Cancel: an Event;
    ' assume Collection_of_signal_events.Msg_Failed_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Msg_Set_Luminosity: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Content_Telegram_Error: an Event;
    ' assume Collection_of_signal_events.Execute_Cancel: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.NotReady_For_PDI_Connection: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Sec_Status_Report_Completed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Data_Update_Finished: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Not_Available: an Event;
    ' assume Collection_of_signal_events.Request_Cancel: an Event;
    ' assume Collection_of_signal_events.LC_Events.Msg_LC_Failure_Status: an Event;
    ' assume Collection_of_signal_events.Msg_Indicated_Signal_Aspect: an Event;
    ' assume Collection_of_signal_events.Report_Command_Rejected: an Event;
    ' assume Collection_of_signal_events.LC_Events.Cd_Local_Operation_Handover: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_Status_Report_Completed_Prim: an Event;
    ' assume Collection_of_signal_events.Msg_TVPS_FC_P_failed: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_A_failed: an Event;
    ' assume Collection_of_signal_events.Internal_subsystem_events.Msg_PDI_Available: an Event;
    ' assume Collection_of_signal_events.Execute_Visual_Sweeping_Confirmation: an Event;
    ' assume Collection_of_signal_events.Change_Trigger: an Event;
    ' assume Collection_of_signal_events.Reason_FC_P_failed: an Event;
    ' Declare RetValue := False : Boolean;
    ' OperatedStates := "";
    ' RtsRunToCompletion(RetValue, True);
    ' While DecrementInPorts() Do
    '   MaskInPorts(True);
    '   MaskInPorts(False);
    '   // A condition is 'sensitive to ports' whenever:
    '   // (1) was true so far in this execution, and
    '   // (2) is still true at this port decrement state, and
    '   // (3) would be false if we mask the ports
    ' End While
    ' 
    Public Shadows Sub RunChangeEvents()
      Dim RetValue As Boolean = False
      OperatedStates = ""
      RtsRunToCompletion(RetValue, True)
      While DecrementInPorts()
        MaskInPorts(True)
        MaskInPorts(False)
        'A condition is 'sensitive to ports' whenever:
        '(1) was true so far in this execution, and
        '(2) is still true at this port decrement state, and
        '(3) would be false if we mask the ports
      End While
    End Sub
    
    Private Function SenseTrigger(ByVal ExprValue As Boolean, ByVal ChangeEventActive As Boolean, ByVal ThisState As String) As Boolean
      Dim Ret As Boolean = False
      If ChangeEventActive Then
        If Not OperatedStates.Contains(ThisState + "|") Then
          If ExprValue Then
            Ret = True
          End If
        End If
      End If
      Return Ret
    End Function
    
    Public Shadows Function EvalTrigger(ByVal ExprValue As Boolean, ByVal LastExprValue As Boolean) As Boolean
      Dim Ret As Boolean = False
      If ExprValue And Not LastExprValue Then
        Ret = True
      End If
      Return Ret
    End Function
    
    Public Shadows Function DecrementInPorts() As Boolean
      Dim Ret As Boolean = False
      Ret = (Ret Or d50in_PDI_Connection_State.Decrement())
      Ret = (Ret Or P2in.Decrement())
      Return Ret
    End Function
    
    Public Shadows Sub MaskInPorts(ByVal What As Boolean)
      d50in_PDI_Connection_State.Mask(What)
      P2in.Mask(What)
      
    End Sub
    
    Public Overridable Function GetQueue() As SMSupport.SMQueue Implements SMSupport.SMQueued.GetQueue
      Return TheQueue
    End Function
    
  End Class
  ' Entity 'SCI-XX EfeS EfeS' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'SCI-XX EfeS EIL' not generated by SySim because unreferenced or not having qualifying stereotypes
  <Serializable()> Public Class SCI_GEN : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.SCI_GEN, ByVal A As Simulation_Package.SCI_GEN) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_GEN = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.SCI_GEN, ByVal A As Simulation_Package.SCI_GEN) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_GEN = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  <Serializable()> Public Class SCI_IO_1 : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.SCI_IO_1, ByVal A As Simulation_Package.SCI_IO_1) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_IO_1 = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.SCI_IO_1, ByVal A As Simulation_Package.SCI_IO_1) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_IO_1 = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  <Serializable()> Public Class SCI_IO_2 : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.SCI_IO_2, ByVal A As Simulation_Package.SCI_IO_2) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_IO_2 = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.SCI_IO_2, ByVal A As Simulation_Package.SCI_IO_2) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_IO_2 = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  ' Entity 'SCI_IO_Subsystem_EIL' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'SCI_IO_Subsystem_IO' not generated by SySim because unreferenced or not having qualifying stereotypes
  <Serializable()> Public Class SCI_LC_Command : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.SCI_LC_Command, ByVal A As Simulation_Package.SCI_LC_Command) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_LC_Command = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.SCI_LC_Command, ByVal A As Simulation_Package.SCI_LC_Command) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_LC_Command = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  <Serializable()> Public Class SCI_LC_Report : Implements SySimFWK.IFlowSpecification, ICopyable, ITextable 
    Public Shared Overloads Operator <>(ByVal B As Simulation_Package.SCI_LC_Report, ByVal A As Simulation_Package.SCI_LC_Report) As Boolean
      Return Not (A = B)
    End Operator
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_LC_Report = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
    Public Shared Overloads Operator =(ByVal B As Simulation_Package.SCI_LC_Report, ByVal A As Simulation_Package.SCI_LC_Report) As Boolean
      Return True
    End Operator
    
    Public Overloads Function AssignFlow(ByVal POrigin As IFlowSpecification, ByVal Conjugated As Boolean) As Boolean Implements IFlowSpecification.AssignFlow
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As SCI_LC_Report = POrigin
        If Not Conjugated Then
        Else
        End If
      End If
      Return Ret
    End Function
    
  End Class
  ' Entity 'SCI_LC_Subsystem_EIL' not generated by SySim because unreferenced or not having qualifying stereotypes
  ' Entity 'SCI_LC_Subsystem_LC' not generated by SySim because unreferenced or not having qualifying stereotypes
  <Serializable()> Class MDM_Triggered_Reset : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 0
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "00d06ee8-baf4-4b23-9d5a-05d4708efcf0"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.MDM_Triggered_Reset"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As MDM_Triggered_Reset = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Local_Operation_Handover : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedLocalOperationHandoverState As LocalOperationHandoverState
    Public Const Id As Integer = 1
    Public Sub New(ByVal ReportedLocalOperationHandoverState As LocalOperationHandoverState)
      MyBase.New(Id, Nothing)
      Me.ReportedLocalOperationHandoverState = ReportedLocalOperationHandoverState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "0594e445-4f73-4600-b6fa-6ea8eb085fe1"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Local_Operation_Handover"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Local_Operation_Handover = POrigin
        If ReportedLocalOperationHandoverState <> Origin.ReportedLocalOperationHandoverState Then
          ReportedLocalOperationHandoverState = Origin.ReportedLocalOperationHandoverState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedLocalOperationHandoverState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Data_Update_Finished : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 2
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "0937d145-a58e-4ddd-886d-cb12fe5fd0eb"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Data_Update_Finished"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Data_Update_Finished = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class NotReady_For_PDI_Connection : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 3
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "0b73073d-dcf9-458f-9a7f-c51766c5590c"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.NotReady_For_PDI_Connection"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As NotReady_For_PDI_Connection = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_LC_Monitoring_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedTimeOverrunState As TimeOverrunState
    Public ReportedChangedMonitoringParameter As ChangendMonitoringStatus
    Public Const Id As Integer = 4
    Public Sub New(ByVal ReportedTimeOverrunState As TimeOverrunState, ByVal ReportedChangedMonitoringParameter As ChangendMonitoringStatus)
      MyBase.New(Id, Nothing)
      Me.ReportedTimeOverrunState = ReportedTimeOverrunState
      Me.ReportedChangedMonitoringParameter = ReportedChangedMonitoringParameter
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "1d451154-23ca-4ba2-a275-dd977451df8f"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_LC_Monitoring_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_LC_Monitoring_Status = POrigin
        If ReportedTimeOverrunState <> Origin.ReportedTimeOverrunState Then
          ReportedTimeOverrunState = Origin.ReportedTimeOverrunState
          Ret = True
        End If
        If ReportedChangedMonitoringParameter <> Origin.ReportedChangedMonitoringParameter Then
          ReportedChangedMonitoringParameter = Origin.ReportedChangedMonitoringParameter
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedTimeOverrunState, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedChangedMonitoringParameter, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Start_Status_Report : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 5
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "1e4ea2a0-1465-4c1a-af7e-2fb5fab8bb47"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Start_Status_Report"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Start_Status_Report = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Local_Operation_Handover : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedHandoverState As LocalOperationHandoverControlableState
    Public Const Id As Integer = 6
    Public Sub New(ByVal CommandedHandoverState As LocalOperationHandoverControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedHandoverState = CommandedHandoverState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "2b725991-bf02-4cab-ae45-ec14ac1b4010"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Local_Operation_Handover"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Local_Operation_Handover = POrigin
        If CommandedHandoverState <> Origin.CommandedHandoverState Then
          CommandedHandoverState = Origin.CommandedHandoverState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedHandoverState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Activation : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedActivationState As ActivationControlableState
    Public Const Id As Integer = 7
    Public Sub New(ByVal CommandedActivationState As ActivationControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedActivationState = CommandedActivationState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "3513c0ba-d34e-42d5-abfc-09866dc5549b"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Activation"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Activation = POrigin
        If CommandedActivationState <> Origin.CommandedActivationState Then
          CommandedActivationState = Origin.CommandedActivationState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedActivationState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Set_Output_Channels : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedOutputState1 As OutputChannelControllableState
    Public CommandedOutputStateN As OutputChannelControllableState
    Public Const Id As Integer = 8
    Public Sub New(ByVal CommandedOutputState1 As OutputChannelControllableState, ByVal CommandedOutputStateN As OutputChannelControllableState)
      MyBase.New(Id, Nothing)
      Me.CommandedOutputState1 = CommandedOutputState1
      Me.CommandedOutputStateN = CommandedOutputStateN
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "3b5f9c91-e433-4819-b6be-fcfd61aa7b85"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Set_Output_Channels"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Set_Output_Channels = POrigin
        If CommandedOutputState1 <> Origin.CommandedOutputState1 Then
          CommandedOutputState1 = Origin.CommandedOutputState1
          Ret = True
        End If
        If CommandedOutputStateN <> Origin.CommandedOutputStateN Then
          CommandedOutputStateN = Origin.CommandedOutputStateN
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedOutputState1, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedOutputStateN, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Release_PDI_for_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 9
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "3e43cdab-a35d-4ef9-b090-a453a6873278"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Release_PDI_for_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Release_PDI_for_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Released_For_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 10
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "3f7ce166-2108-410d-8016-aa06ec1f935e"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.PDI_Released_For_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Released_For_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Start_Initialisation : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 11
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "43d2568f-f9e5-4e3f-b652-23542d4d1205"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Start_Initialisation"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Start_Initialisation = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Deactivation : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedDeactivationState As DeactivationControlableState
    Public Const Id As Integer = 12
    Public Sub New(ByVal CommandedDeactivationState As DeactivationControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedDeactivationState = CommandedDeactivationState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "48b565d4-e1ab-40e1-84d8-638793c8e396"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Deactivation"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Deactivation = POrigin
        If CommandedDeactivationState <> Origin.CommandedDeactivationState Then
          CommandedDeactivationState = Origin.CommandedDeactivationState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedDeactivationState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Connection_Established : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 13
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "4cbf9fcc-c130-4977-9da7-78ce482af7e0"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.PDI_Connection_Established"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Connection_Established = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_LC_Failure_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedNonCriticalFailureState As NonCriticalFailureStatusState
    Public ReportedCriticalFailureState As CriticalFailureStatusState
    Public Const Id As Integer = 14
    Public Sub New(ByVal ReportedNonCriticalFailureState As NonCriticalFailureStatusState, ByVal ReportedCriticalFailureState As CriticalFailureStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedNonCriticalFailureState = ReportedNonCriticalFailureState
      Me.ReportedCriticalFailureState = ReportedCriticalFailureState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "5440725f-5f89-463d-88c2-cff91d260e45"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_LC_Failure_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_LC_Failure_Status = POrigin
        If ReportedNonCriticalFailureState <> Origin.ReportedNonCriticalFailureState Then
          ReportedNonCriticalFailureState = Origin.ReportedNonCriticalFailureState
          Ret = True
        End If
        If ReportedCriticalFailureState <> Origin.ReportedCriticalFailureState Then
          ReportedCriticalFailureState = Origin.ReportedCriticalFailureState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedNonCriticalFailureState, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedCriticalFailureState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Reset_PDI : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedResetReason As ResetReason
    Public Const Id As Integer = 15
    Public Sub New(ByVal ReportedResetReason As ResetReason)
      MyBase.New(Id, Nothing)
      Me.ReportedResetReason = ReportedResetReason
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "59f44418-b2ea-4434-a5dc-da0f853a262b"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Reset_PDI"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Reset_PDI = POrigin
        If ReportedResetReason <> Origin.ReportedResetReason Then
          ReportedResetReason = Origin.ReportedResetReason
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedResetReason, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Ready_For_PDI_Connection : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 16
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "6bd30c55-f317-47f1-8b1e-1b6becf9e5a8"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Ready_For_PDI_Connection"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Ready_For_PDI_Connection = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Obstacle_Detection_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedObstacleDetectionStatusState As ObstacleDetectionStatusState
    Public Const Id As Integer = 17
    Public Sub New(ByVal ReportedObstacleDetectionStatusState As ObstacleDetectionStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedObstacleDetectionStatusState = ReportedObstacleDetectionStatusState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "734db8d7-5cda-478b-8ce9-8b51929db8a0"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Obstacle_Detection_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Obstacle_Detection_Status = POrigin
        If ReportedObstacleDetectionStatusState <> Origin.ReportedObstacleDetectionStatusState Then
          ReportedObstacleDetectionStatusState = Origin.ReportedObstacleDetectionStatusState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedObstacleDetectionStatusState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Initialisation_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 18
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "75d93039-5486-4c1e-9d35-9a6158c91822"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Initialisation_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Initialisation_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_State_Of_Input_Channels : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ResportedInputState1 As InputChannelState
    Public ResportedInputStateN As InputChannelState
    Public Const Id As Integer = 19
    Public Sub New(ByVal ResportedInputState1 As InputChannelState, ByVal ResportedInputStateN As InputChannelState)
      MyBase.New(Id, Nothing)
      Me.ResportedInputState1 = ResportedInputState1
      Me.ResportedInputStateN = ResportedInputStateN
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "8132b637-4502-4b32-8f97-04ca45189c3a"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_State_Of_Input_Channels"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_State_Of_Input_Channels = POrigin
        If ResportedInputState1 <> Origin.ResportedInputState1 Then
          ResportedInputState1 = Origin.ResportedInputState1
          Ret = True
        End If
        If ResportedInputStateN <> Origin.ResportedInputStateN Then
          ResportedInputStateN = Origin.ResportedInputStateN
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ResportedInputState1, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ResportedInputStateN, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Close_PDI : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public RequestedCloseReason As CloseReason
    Public Const Id As Integer = 20
    Public Sub New(ByVal RequestedCloseReason As CloseReason)
      MyBase.New(Id, Nothing)
      Me.RequestedCloseReason = RequestedCloseReason
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "8a06f369-7e07-4a25-a713-b731c808b2c4"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Close_PDI"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Close_PDI = POrigin
        If RequestedCloseReason <> Origin.RequestedCloseReason Then
          RequestedCloseReason = Origin.RequestedCloseReason
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(RequestedCloseReason, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Initialisation_Request : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 21
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "8d96e6cf-5511-4450-aeb0-86dbede3f6e2"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Initialisation_Request"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Initialisation_Request = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_PDI_Version_Check : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Result As String
    Public ChecksumData As String
    Public PDIVersion As String
    Public Const Id As Integer = 22
    Public Sub New(ByVal Result As String, ByVal ChecksumData As String, ByVal PDIVersion As String)
      MyBase.New(Id, Nothing)
      Me.Result = Result
      Me.ChecksumData = ChecksumData
      Me.PDIVersion = PDIVersion
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "98271aba-44ee-4a93-bb41-b93b4051d9ea"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_PDI_Version_Check"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_PDI_Version_Check = POrigin
        If Result <> Origin.Result Then
          Result = Origin.Result
          Ret = True
        End If
        If ChecksumData <> Origin.ChecksumData Then
          ChecksumData = Origin.ChecksumData
          Ret = True
        End If
        If PDIVersion <> Origin.PDIVersion Then
          PDIVersion = Origin.PDIVersion
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(Result, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ChecksumData, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(PDIVersion, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class MDM_Commanded_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 23
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "a9926753-601e-4061-81e7-39f4d179e28f"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.MDM_Commanded_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As MDM_Commanded_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Detection_Element_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedDetectionElementStatusState As DetectionElementStatusState
    Public Const Id As Integer = 24
    Public Sub New(ByVal ReportedDetectionElementStatusState As DetectionElementStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedDetectionElementStatusState = ReportedDetectionElementStatusState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "aa8ba199-589b-4c57-a30e-23f84fd3f859"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Detection_Element_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Detection_Element_Status = POrigin
        If ReportedDetectionElementStatusState <> Origin.ReportedDetectionElementStatusState Then
          ReportedDetectionElementStatusState = Origin.ReportedDetectionElementStatusState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedDetectionElementStatusState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_LC_Functional_Status : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedActivationlStatusState As FunctionalStatusState
    Public Const Id As Integer = 25
    Public Sub New(ByVal ReportedActivationlStatusState As FunctionalStatusState)
      MyBase.New(Id, Nothing)
      Me.ReportedActivationlStatusState = ReportedActivationlStatusState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "ab8c67b9-e9c9-4549-9ac7-0627bddca4af"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_LC_Functional_Status"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_LC_Functional_Status = POrigin
        If ReportedActivationlStatusState <> Origin.ReportedActivationlStatusState Then
          ReportedActivationlStatusState = Origin.ReportedActivationlStatusState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedActivationlStatusState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_Isolate_LC : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public CommandedIsolateState As IsolateLevelCrossingControlableState
    Public Const Id As Integer = 26
    Public Sub New(ByVal CommandedIsolateState As IsolateLevelCrossingControlableState)
      MyBase.New(Id, Nothing)
      Me.CommandedIsolateState = CommandedIsolateState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "add904da-ec89-464a-93ae-cb54f5e3d2f3"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_Isolate_LC"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_Isolate_LC = POrigin
        If CommandedIsolateState <> Origin.CommandedIsolateState Then
          CommandedIsolateState = Origin.CommandedIsolateState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(CommandedIsolateState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_PDI_Available : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 27
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "af0ad5d1-8890-45db-8b0d-e0d28adf54ba"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_PDI_Available"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_PDI_Available = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Status_Report_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 28
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "b457fc19-ab60-4795-b1d9-72d745b4e721"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Status_Report_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Status_Report_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_PDI_Not_Available : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 29
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "b83e8378-4f8a-4dbd-acd7-1ea862a10b1e"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_PDI_Not_Available"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_PDI_Not_Available = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Reboot_Required : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 30
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "bc8e2ca2-2c25-4585-ba3b-ec695bccfc35"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Reboot_Required"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Reboot_Required = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Status_Report_Completed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 31
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "c465a7a2-8d11-4059-956f-5c6cde24c0e6"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Status_Report_Completed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Status_Report_Completed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_State_Of_Output_Channels : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ResportedDisturbanceState1 As OutputChannelDisturbanceState
    Public ResportedDisturbanceStateN As OutputChannelDisturbanceState
    Public Const Id As Integer = 32
    Public Sub New(ByVal ResportedDisturbanceState1 As OutputChannelDisturbanceState, ByVal ResportedDisturbanceStateN As OutputChannelDisturbanceState)
      MyBase.New(Id, Nothing)
      Me.ResportedDisturbanceState1 = ResportedDisturbanceState1
      Me.ResportedDisturbanceStateN = ResportedDisturbanceStateN
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "c6d654fc-43ff-4d98-a5ce-d779077ce857"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_State_Of_Output_Channels"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_State_Of_Output_Channels = POrigin
        If ResportedDisturbanceState1 <> Origin.ResportedDisturbanceState1 Then
          ResportedDisturbanceState1 = Origin.ResportedDisturbanceState1
          Ret = True
        End If
        If ResportedDisturbanceStateN <> Origin.ResportedDisturbanceStateN Then
          ResportedDisturbanceStateN = Origin.ResportedDisturbanceStateN
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ResportedDisturbanceState1, Txt, False)
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ResportedDisturbanceStateN, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Data_Update_Stop : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 33
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "cf0d7c83-4544-472f-ab79-b5b3ac3f1c19"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Data_Update_Stop"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Data_Update_Stop = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Connection_Closed : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 34
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "d803971d-349b-416b-954b-4a23407817d3"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.PDI_Connection_Closed"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Connection_Closed = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Msg_Local_Request : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public ReportedLocalRequestState As LocalRequestState
    Public Const Id As Integer = 35
    Public Sub New(ByVal ReportedLocalRequestState As LocalRequestState)
      MyBase.New(Id, Nothing)
      Me.ReportedLocalRequestState = ReportedLocalRequestState
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "daeb7b23-f630-4410-94e2-51148cbe0e46"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Msg_Local_Request"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Msg_Local_Request = POrigin
        If ReportedLocalRequestState <> Origin.ReportedLocalRequestState Then
          ReportedLocalRequestState = Origin.ReportedLocalRequestState
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(ReportedLocalRequestState, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class EST_Ready_For_Maintenance : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 36
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "dd9a0c5d-58f3-4355-8a11-22d041169de2"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.EST_Ready_For_Maintenance"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As EST_Ready_For_Maintenance = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class PDI_Connection_Started : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public Const Id As Integer = 37
    Public Sub New()
      MyBase.New(Id, Nothing)
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "f9c3330c-5b9a-46fc-b4d3-866c48edbe02"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.PDI_Connection_Started"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As PDI_Connection_Started = POrigin
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
  <Serializable()> Class Cd_PDI_Version_Check : Inherits SMSupport.SMEventMessage : Implements ICopyable, ITextable 
    Public PDI_Version As String
    Public Const Id As Integer = 38
    Public Sub New(ByVal PDI_Version As String)
      MyBase.New(Id, Nothing)
      Me.PDI_Version = PDI_Version
      
    End Sub
    
    Public Overrides Function GetStudioId() As String
      Return "ffab9839-b01c-4c4b-8d8a-c59ad8f2ca05"
    End Function
    
    Public Overrides Function GetMessageName() As String
      Return "Simulation_Package.Cd_PDI_Version_Check"
    End Function
    
    Public Overrides Function GetMessageKind() As SMSupport.SMMessageType
      Return SMSupport.SMMessageType.SignalEvent
    End Function
    
    Public Sub New(ByVal Sndr As Object)
      MyBase.New(Id, Sndr)
    End Sub
    
    Public Overridable Function Copy(ByVal POrigin As ICopyable) As Boolean Implements ICopyable.Copy
      Dim Ret As Boolean = False
      If POrigin IsNot Nothing Then
        Dim Origin As Cd_PDI_Version_Check = POrigin
        If PDI_Version <> Origin.PDI_Version Then
          PDI_Version = Origin.PDI_Version
          Ret = True
        End If
      End If
      Return Ret
    End Function
    
    Public Overridable Sub ToText(ByRef Txt As String, ByVal ShowContainment As Boolean) Implements ITextable.ToText
      If  ShowContainment Then Txt += "("
      If Txt <> "" AndAlso Not Txt.EndsWith("(") Then Txt += ","
      ODataUtils.ToText(PDI_Version, Txt, False)
      If ShowContainment Then Txt +=")"
      
    End Sub
    
  End Class
End Namespace
